/**
 * 称号属性配置
 */
//玩家称号
module game{
    export var g_chenghao_config =
        {
            "注释": {
                "name": "称号",
                "level": "成就级别",
                "desName": "名称",
                "need": "需求",
                "des": "说明",
                "thing": "需要完成的事件",
                "num": "需要的次数",
                "icon": "图片",
                "damage": "伤害",
                "hp": "血量",
                "def": "减伤",
                "power": "耐力",
                "damageUp": "伤害增加",
                "boomRes": "爆炸伤害提升",
                "expUp": "经验增加",
                "damageRes": "伤害抵抗",
                "powerUp": "耐力提升",
                "goldUp": "金币提升"
            },
            "chenghao_1": {
                "1": {
                    "desName": "入门收藏家",
                    "need": "收集5件武器",
                    "des": "伤害+5%",
                    "thing": "collect",
                    "num": 5,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_16.png",
                    "damage": 25,
                    "hp": 30,
                    "def": 0.05,
                    "power": 100,
                    "damageUp": 0.05,
                    "boomRes": 0,
                    "expUp": 0,
                    "damageRes": 0,
                    "powerUp": 0,
                    "goldUp": 0
                },
                "2": {
                    "desName": "武器大师",
                    "need": "收集10件武器",
                    "des": "伤害+10%",
                    "thing": "collect",
                    "num": 10,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_17.png",
                    "damage": 40,
                    "hp": 60,
                    "def": 0.1,
                    "power": 100,
                    "damageUp": 0.1,
                    "boomRes": 0,
                    "expUp": 0,
                    "damageRes": 0,
                    "powerUp": 0,
                    "goldUp": 0
                },
                "3": {
                    "desName": "收藏专家",
                    "need": "收集20件武器",
                    "des": "伤害+15%",
                    "thing": "collect",
                    "num": 20,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_18.png",
                    "damage": 50,
                    "hp": 100,
                    "def": 0.1,
                    "power": 100,
                    "damageUp": 0.15,
                    "boomRes": 0,
                    "expUp": 0,
                    "damageRes": 0,
                    "powerUp": 0,
                    "goldUp": 0
                }
            },
            "chenghao_2": {
                "1": {
                    "desName": "爆破先锋",
                    "need": "决斗场炸死敌人5次",
                    "des": "受到的爆炸伤害减少10%",
                    "thing": "boom",
                    "num": 5,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_4.png",
                    "damage": 35,
                    "hp": 15,
                    "def": 0.05,
                    "power": 100,
                    "damageUp": 0,
                    "boomRes": 0.1,
                    "expUp": 0,
                    "damageRes": 0,
                    "powerUp": 0,
                    "goldUp": 0
                },
                "2": {
                    "desName": "炸弹超人",
                    "need": "决斗场炸死敌人20次",
                    "des": "受到的爆炸伤害减少15%",
                    "thing": "boom",
                    "num": 20,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_5.png",
                    "damage": 50,
                    "hp": 30,
                    "def": 0.1,
                    "power": 100,
                    "damageUp": 0,
                    "boomRes": 0.15,
                    "expUp": 0,
                    "damageRes": 0,
                    "powerUp": 0,
                    "goldUp": 0
                },
                "3": {
                    "desName": "爆炸即艺术",
                    "need": "决斗场炸死敌人100次",
                    "des": "受到的爆炸伤害减少25%",
                    "thing": "boom",
                    "num": 100,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_6.png",
                    "damage": 60,
                    "hp": 50,
                    "def": 0.1,
                    "power": 100,
                    "damageUp": 0,
                    "boomRes": 0.25,
                    "expUp": 0,
                    "damageRes": 0,
                    "powerUp": 0,
                    "goldUp": 0
                }
            },
            "chenghao_3": {
                "1": {
                    "desName": "锻造学徒",
                    "need": "强化装备10次",
                    "des": "结算经验值增加10%",
                    "thing": "upgrade",
                    "num": 10,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_13.png",
                    "damage": 20,
                    "hp": 30,
                    "def": 0.05,
                    "power": 100,
                    "damageUp": 0,
                    "boomRes": 0,
                    "expUp": 0.1,
                    "damageRes": 0,
                    "powerUp": 0,
                    "goldUp": 0
                },
                "2": {
                    "desName": "工匠大师",
                    "need": "强化装备20次",
                    "des": "结算经验值增加15%",
                    "thing": "upgrade",
                    "num": 20,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_14.png",
                    "damage": 30,
                    "hp": 60,
                    "def": 0.1,
                    "power": 100,
                    "damageUp": 0,
                    "boomRes": 0,
                    "expUp": 0.15,
                    "damageRes": 0,
                    "powerUp": 0,
                    "goldUp": 0
                },
                "3": {
                    "desName": "巧夺天工",
                    "need": "强化装备30次",
                    "des": "结算经验值增加30%",
                    "thing": "upgrade",
                    "num": 30,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_15.png",
                    "damage": 40,
                    "hp": 100,
                    "def": 0.1,
                    "power": 100,
                    "damageUp": 0,
                    "boomRes": 0,
                    "expUp": 0.3,
                    "damageRes": 0,
                    "powerUp": 0,
                    "goldUp": 0
                }
            },
            "chenghao_4": {
                "1": {
                    "desName": "战场新兵",
                    "need": "决斗场获胜1场",
                    "des": "受到的任意伤害减少5%",
                    "thing": "win",
                    "num": 1,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_10.png",
                    "damage": 15,
                    "hp": 25,
                    "def": 0.05,
                    "power": 100,
                    "damageUp": 0,
                    "boomRes": 0,
                    "expUp": 0,
                    "damageRes": 0.05,
                    "powerUp": 0,
                    "goldUp": 0
                },
                "2": {
                    "desName": "崭露头角",
                    "need": "决斗场获胜20场",
                    "des": "受到的任意伤害减少10%",
                    "thing": "win",
                    "num": 20,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_11.png",
                    "damage": 25,
                    "hp": 50,
                    "def": 0.1,
                    "power": 100,
                    "damageUp": 0,
                    "boomRes": 0,
                    "expUp": 0,
                    "damageRes": 0.1,
                    "powerUp": 0,
                    "goldUp": 0
                },
                "3": {
                    "desName": "锋芒毕露",
                    "need": "决斗场获胜100场",
                    "des": "受到的任意伤害减少15%",
                    "thing": "win",
                    "num": 100,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_12.png",
                    "damage": 35,
                    "hp": 80,
                    "def": 0.1,
                    "power": 100,
                    "damageUp": 0,
                    "boomRes": 0,
                    "expUp": 0,
                    "damageRes": 0.15,
                    "powerUp": 0,
                    "goldUp": 0
                }
            },
            "chenghao_5": {
                "1": {
                    "desName": "竞技高手",
                    "need": "决斗场结算前100名",
                    "des": "耐力增加25%",
                    "thing": "rank",
                    "num": 100,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_1.png",
                    "damage": 25,
                    "hp": 35,
                    "def": 0.05,
                    "power": 100,
                    "damageUp": 0,
                    "boomRes": 0,
                    "expUp": 0,
                    "damageRes": 0,
                    "powerUp": 0.25,
                    "goldUp": 0
                },
                "2": {
                    "desName": "角斗场大师",
                    "need": "决斗场结算前10名",
                    "des": "耐力增加50%",
                    "thing": "rank",
                    "num": 10,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_2.png",
                    "damage": 40,
                    "hp": 70,
                    "def": 0.1,
                    "power": 100,
                    "damageUp": 0,
                    "boomRes": 0,
                    "expUp": 0,
                    "damageRes": 0,
                    "powerUp": 0.5,
                    "goldUp": 0
                },
                "3": {
                    "desName": "巅峰强者",
                    "need": "决斗场结算前3名",
                    "des": "耐力增加100%",
                    "thing": "rank",
                    "num": 3,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_3.png",
                    "damage": 45,
                    "hp": 120,
                    "def": 0.1,
                    "power": 100,
                    "damageUp": 0,
                    "boomRes": 0,
                    "expUp": 0,
                    "damageRes": 0,
                    "powerUp": 1,
                    "goldUp": 0
                }
            },
            "chenghao_6": {
                "1": {
                    "desName": "幸运达人",
                    "need": "抽奖10次",
                    "des": "结算金币增加10%",
                    "thing": "luck",
                    "num": 10,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_7.png",
                    "damage": 25,
                    "hp": 35,
                    "def": 0.05,
                    "power": 100,
                    "damageUp": 0,
                    "boomRes": 0,
                    "expUp": 0,
                    "damageRes": 0,
                    "powerUp": 0,
                    "goldUp": 0.1
                },
                "2": {
                    "desName": "撞大运",
                    "need": "抽奖50次",
                    "des": "结算金币增加15%",
                    "thing": "luck",
                    "num": 50,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_8.png",
                    "damage": 40,
                    "hp": 70,
                    "def": 0.1,
                    "power": 100,
                    "damageUp": 0,
                    "boomRes": 0,
                    "expUp": 0,
                    "damageRes": 0,
                    "powerUp": 0,
                    "goldUp": 0.15
                },
                "3": {
                    "desName": "摸金校尉",
                    "need": "抽奖100次",
                    "des": "结算金币增加30%",
                    "thing": "luck",
                    "num": 100,
                    "icon": "xingjietantantang/big/ui/image/ddt_uihz_9.png",
                    "damage": 45,
                    "hp": 120,
                    "def": 0.1,
                    "power": 100,
                    "damageUp": 0,
                    "boomRes": 0,
                    "expUp": 0,
                    "damageRes": 0,
                    "powerUp": 0,
                    "goldUp": 0.3
                }
            },
            "default": {
                "1": {
                    "num": 0,
                    "damage": 0,
                    "hp": 0,
                    "def": 0,
                    "power": 0,
                    "damageUp": 0,
                    "boomRes": 0,
                    "expUp": 0,
                    "damageRes": 0,
                    "powerUp": 0,
                    "goldUp": 0
                }
            }
        }
}
//# sourceMappingURL=pifu_config.js.map