/**
 * 道具属性配置
 */
var game;
(function (game) {
    game.g_daoju_nan = {
        "药剂": {
            "desName": "名称",
            "icon": "图片位置",
            "icon2": "图片位置",
            "des": "描述",
            "shuzhi": "数值"
        },
        "yaoji1": {
            "desName": "强力药水",
            "icon": "xingjietantantang/big/ui/image/ddt_ui55.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_ui55_1.png",
            "des": "激发全身潜力，攻击伤害提高20%",
            "shuzhi": 0.2
        },
        "yaoji2": {
            "desName": "急速药水",
            "icon": "xingjietantantang/big/ui/image/ddt_ui53.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_ui53_1.png",
            "des": "快速进行两次射击，攻击伤害降低35%",
            "shuzhi": 0.35
        },
        "yaoji3": {
            "desName": "幻影药水",
            "icon": "xingjietantantang/big/ui/image/ddt_ui54.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_ui54_1.png",
            "des": "发射三枚幻影炮弹，攻击伤害降低30%",
            "shuzhi": 0.3
        },
        "rongyu": {
            "desName": "荣誉点",
            "icon": "xingjietantantang/big/ui/image/ddt_ui165.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_ui165_1.png",
            "des": "为了荣耀！",
            "shuzhi": null
        },
        "jinbi": {
            "desName": "金币",
            "icon": "xingjietantantang/big/ui/image/ddt_ui163.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_ui163_1.png",
            "des": "大陆通用货币，可以购买大多数商品。"
        },
        "zuanshi": {
            "desName": "钻石",
            "icon": "xingjietantantang/big/ui/image/ddt_ui164.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_ui164_1.png",
            "des": "钻石不是万能的，没有钻石是万万不能的。"
        },
        "jingyan": {
            "desName": "经验值",
            "icon": "xingjietantantang/big/ui/image/ddt_ui12.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_ui12_1.png",
            "des": "打怪升级爆经验！"
        },
        "tili": {
            "desName": "体力",
            "icon": "xingjietantantang/big/ui/image/ddt_ui162.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_ui162_1.png",
            "des": "没有足够的体力怎么战斗？！"
        },
        "pifu_nan_1": {
            "desName": "元气少年",
            "icon": "xingjietantantang/big/ui/image/ddt_tx_nan.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_tx_nan_1.png",
            "des": "活力四射的少年，不畏任何挑战！"
        },
        "pifu_nan_2": {
            "desName": "海盗船长",
            "icon": "xingjietantantang/big/ui/image/ddt_tx_hd.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_tx_hd_1.png",
            "des": "纵横加勒比的海盗王者，奇袭可是最拿手的手段。"
        },
        "pifu_nan_3": {
            "desName": "西部警长",
            "icon": "xingjietantantang/big/ui/image/ddt_tx_jingzhang.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_tx_jingzhang_1.png",
            "des": "西部最伟大的警长，以驱逐盗匪为终身事业。"
        },
        "pifu_nan_4": {
            "desName": "迷你暴龙",
            "icon": "xingjietantantang/big/ui/image/ddt_tx_longA.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_tx_longA_1.png",
            "des": "穿着可爱恐龙玩偶的少年，深受所有人的喜爱。"
        },
        "pifu_nan_5": {
            "desName": "呆萌小熊",
            "icon": "xingjietantantang/big/ui/image/ddt_tx_xiongA.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_tx_xiongA_1.png",
            "des": "穿着可爱小熊玩偶的少年，生气的样子反而更受人喜欢。"
        },
        "pifu_nan_6": {
            "desName": "熊猫小子",
            "icon": "xingjietantantang/big/ui/image/ddt_tx_xiongmaoA.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_tx_xiongmaoA_1.png",
            "des": "穿着熊猫玩偶的少年，似乎为命运所眷顾。"
        },
        "pifu_nan_7": {
            "desName": "南瓜怪人",
            "icon": "xingjietantantang/big/ui/image/ddt_tx_wanshengjie.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_tx_wanshengjie_1.png",
            "des": "万圣节出没的奇怪南瓜头怪人，据说南瓜头里充满了糖果。"
        },
        "pifu_nan_8": {
            "desName": "运动少年",
            "icon": "xingjietantantang/big/ui/image/ddt_tx_yundon.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_tx_yundon_1.png",
            "des": "热爱运动的元气少年，经常锻炼的身体身手敏捷。"
        },
        "pifu_nv_1": {
            "desName": "元气少女",
            "icon": "xingjietantantang/big/ui/image/ddt_tx_nv.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_tx_nv_1.png",
            "des": "活力四射的少女，不畏任何挑战！"
        },
        "pifu_nv_2": {
            "desName": "海贼女王",
            "icon": "xingjietantantang/big/ui/image/ddt_tx_ss.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_tx_ss_1.png",
            "des": "立志成为海贼女王的少女，正在为成为最高赏金而努力。"
        },
        "pifu_nv_3": {
            "desName": "西部丽影",
            "icon": "xingjietantantang/big/ui/image/ddt_tx_xibu.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_tx_xibu_1.png",
            "des": "传说中的牛仔女郎，百发百中的枪法让所有人胆寒。"
        },
        "pifu_nv_4": {
            "desName": "迷你暴龙",
            "icon": "xingjietantantang/big/ui/image/ddt_tx_longB.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_tx_longB_1.png",
            "des": "穿着可爱恐龙玩偶的少女，深受所有人的喜爱。"
        },
        "pifu_nv_5": {
            "desName": "呆萌小熊",
            "icon": "xingjietantantang/big/ui/image/ddt_tx_xiongB.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_tx_xiongB_1.png",
            "des": "穿着可爱小熊玩偶的少女，生气的样子反而更受人喜欢。"
        },
        "pifu_nv_6": {
            "desName": "熊猫少女",
            "icon": "xingjietantantang/big/ui/image/ddt_tx_xiongmaoB.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_tx_xiongmaoB_1.png",
            "des": "穿着熊猫玩偶的少女，似乎为命运所眷顾。"
        },
        "pifu_nv_7": {
            "desName": "南瓜女巫",
            "icon": "xingjietantantang/big/ui/image/ddt_tx_nvwu.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_tx_nvwu_1.png",
            "des": "万圣节出没的南瓜女巫，据说南瓜头里充满了糖果。"
        },
        "pifu_nv_8": {
            "desName": "元气女仆",
            "icon": "xingjietantantang/big/ui/image/ddt_tx_nvpu.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_tx_nvpu_1.png",
            "des": "元气满满的女仆，柔弱的身体意外的灵敏。"
        },
        "wuqi1": {
            "desName": "石头",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_1.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_1_1.png",
            "des": "石头可是仅次于板砖的最可靠武器。"
        },
        "wuqi2": {
            "desName": "弓箭",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_8.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_8_1.png",
            "des": "有史以来陪伴人类至今的武器！"
        },
        "wuqi3": {
            "desName": "手枪",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_6.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_6_1.png",
            "des": "居家旅行、防身护体之必备良器。"
        },
        "wuqi4": {
            "desName": "狙击枪",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_7.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_7_1.png",
            "des": "射程八百里的超级狙击枪！"
        },
        "wuqi5": {
            "desName": "炸药",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_10.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_10_1.png",
            "des": "过年啦！BOOM！BOOM！BOOM！"
        },
        "wuqi6": {
            "desName": "TNT",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_11.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_11_1.png",
            "des": "熊孩子神器，炸天炸地炸服务器。"
        },
        "wuqi7": {
            "desName": "手榴弹",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_12.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_12_1.png",
            "des": "没有什么问题是十枚手雷解决不掉的。"
        },
        "wuqi8": {
            "desName": "南瓜",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_20.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_20_1.png",
            "des": "万圣节快乐，但请不要碰我的南瓜。"
        },
        "wuqi9": {
            "desName": "火箭筒",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_5.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_5_1.png",
            "des": "既是武器也是某个奇怪教派的信仰图腾。"
        },
        "wuqi10": {
            "desName": "导弹",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_1.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_1_1.png",
            "des": "武器中的霸主，现代战争的主导者。"
        },
        "wuqi11": {
            "desName": "核弹信标",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_3.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_3_1.png",
            "des": "安全限制已解除，目标锁定，发射！"
        },
        "wuqi12": {
            "desName": "斧子",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_16.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_16_1.png",
            "des": "强力的武器，同时也是某个帮派的象征。"
        },
        "wuqi13": {
            "desName": "篮球",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_15.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_15_1.png",
            "des": "打篮球还是被篮球打这是一个问题。"
        },
        "wuqi14": {
            "desName": "足球",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_14.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_14_1.png",
            "des": "万年小学生侦探使用的超级足球。"
        },
        "wuqi15": {
            "desName": "苦无",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_17.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_17_1.png",
            "des": "忍者最常用的武器之一，无声无息。"
        },
        "wuqi16": {
            "desName": "飞来骨",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_13.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_13_1.png",
            "des": "传说中的东洋女战士使用武器的微缩版。"
        },
        "wuqi17": {
            "desName": "蝙蝠镖",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_21.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_21_1.png",
            "des": "某不知名的百万富翁黑衣面具男的招牌武器。"
        },
        "wuqi18": {
            "desName": "香蕉",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_9.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_9_1.png",
            "des": "事实上香蕉皮的威力远大于香蕉。"
        },
        "wuqi19": {
            "desName": "生命药水",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_22.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_22_1.png",
            "des": "装满起死回生药水的玻璃瓶，异常珍贵。"
        },
        "wuqi20": {
            "desName": "末影之眼",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_19.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_19_1.png",
            "des": "末影人死后留下的充斥空间能量的宝石。"
        },
        "wuqi21": {
            "desName": "死神之眼",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_18.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_18_1.png",
            "des": "沾染了死神力量的眼球状宝石，对虚弱的人事致命。"
        },
        "wuqi1_1": {
            "desName": "石头",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_1.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_1_1.png",
            "des": "石头可是仅次于板砖的最可靠武器。"
        },
        "wuqi2_1": {
            "desName": "弓箭",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_8.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_8_1.png",
            "des": "有史以来陪伴人类至今的武器！"
        },
        "wuqi3_1": {
            "desName": "手枪",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_6.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_6_1.png",
            "des": "居家旅行、防身护体之必备良器。"
        },
        "wuqi4_1": {
            "desName": "狙击枪",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_7.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_7_1.png",
            "des": "射程八百里的超级狙击枪！"
        },
        "wuqi5_1": {
            "desName": "炸药",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_10.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_10_1.png",
            "des": "过年啦！BOOM！BOOM！BOOM！"
        },
        "wuqi6_1": {
            "desName": "TNT",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_11.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_11_1.png",
            "des": "熊孩子神器，炸天炸地炸服务器。"
        },
        "wuqi7_1": {
            "desName": "手榴弹",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_12.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_12_1.png",
            "des": "没有什么问题是十枚手雷解决不掉的。"
        },
        "wuqi8_1": {
            "desName": "南瓜",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_20.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_20_1.png",
            "des": "万圣节快乐，但请不要碰我的南瓜。"
        },
        "wuqi9_1": {
            "desName": "火箭筒",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_5.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_5_1.png",
            "des": "既是武器也是某个奇怪教派的信仰图腾。"
        },
        "wuqi10_1": {
            "desName": "导弹",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_1.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_1_1.png",
            "des": "武器中的霸主，现代战争的主导者。"
        },
        "wuqi11_1": {
            "desName": "核弹信标",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_3.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_3_1.png",
            "des": "安全限制已解除，目标锁定，发射！"
        },
        "wuqi12_1": {
            "desName": "斧子",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_16.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_16_1.png",
            "des": "强力的武器，同时也是某个帮派的象征。"
        },
        "wuqi13_1": {
            "desName": "篮球",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_15.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_15_1.png",
            "des": "打篮球还是被篮球打这是一个问题。"
        },
        "wuqi14_1": {
            "desName": "足球",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_14.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_14_1.png",
            "des": "万年小学生侦探使用的超级足球。"
        },
        "wuqi15_1": {
            "desName": "苦无",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_17.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_17_1.png",
            "des": "忍者最常用的武器之一，无声无息。"
        },
        "wuqi16_1": {
            "desName": "飞来骨",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_13.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_13_1.png",
            "des": "传说中的东洋女战士使用武器的微缩版。"
        },
        "wuqi17_1": {
            "desName": "蝙蝠镖",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_21.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_21_1.png",
            "des": "某不知名的百万富翁黑衣面具男的招牌武器。"
        },
        "wuqi18_1": {
            "desName": "香蕉",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_9.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_9_1.png",
            "des": "事实上香蕉皮的威力远大于香蕉。"
        },
        "wuqi19_1": {
            "desName": "生命药水",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_22.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_22_1.png",
            "des": "装满起死回生药水的玻璃瓶，异常珍贵。"
        },
        "wuqi20_1": {
            "desName": "末影之眼",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_19.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_19_1.png",
            "des": "末影人死后留下的充斥空间能量的宝石。"
        },
        "wuqi21_1": {
            "desName": "死神之眼",
            "icon": "xingjietantantang/big/ui/image/ddt_wq_18.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_wq_18_1.png",
            "des": "沾染了死神力量的眼球状宝石，对虚弱的人事致命。"
        },
        "yaoshui1": {
            "desName": "耐力药水",
            "icon": "xingjietantantang/big/ui/image/ddt_yj_1.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_yj_1_1.png",
            "des": "永久增强基础耐力的药剂非常珍贵"
        },
        "yaoshui2": {
            "desName": "防御药水",
            "icon": "xingjietantantang/big/ui/image/ddt_yj_2.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_yj_2_1.png",
            "des": "永久增强基础防御的药剂非常珍贵"
        },
        "yaoshui3": {
            "desName": "生命药水",
            "icon": "xingjietantantang/big/ui/image/ddt_yj_3.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_yj_3_1.png",
            "des": "永久增强基础血量的药剂非常珍贵"
        },
        "yaoshui4": {
            "desName": "力量药水",
            "icon": "xingjietantantang/big/ui/image/ddt_yj_4.png",
            "icon2": "xingjietantantang/big/ui/image/ddt_yj_4_1.png",
            "des": "永久增强基础攻击的药剂非常珍贵"
        }
    };
})(game || (game = {}));
//# sourceMappingURL=pifu_config.js.map 
//# sourceMappingURL=daoju_config.js.map