module game {

    export var g_scene_config =
        {
            "注释": {
                "scene_name": "R开头为排位模式，R_1为青铜、R_2为白银，以此类推。B开头为对战模式，B_1为1V1、B_2为2V2、B_3为3V3，A开头为冒险模式，A_1为第一关、A_2为第二关，以此类推",
                "res_path": "配置表文件名",
                "map_path": "配置表文件名",
                "hero_birth": "英雄出生位置",
                "min_camera_x": "相机",
                "min_camera_y": "相机",
                "max_camera_x": "相机",
                "max_camera_y": "相机",
                "hpper": "怪物血量比",
                "attper": "怪物攻击比",
                "shift": "怪物攻击偏移",
                "ditu_pic": "地图",
                "name": "场景名称",
                "des": "场景描述",
                "back_music": "战斗背景乐",
                "icon": "pvp的图片",
                "level_limit": "进入关卡的等级限制",
                "tili": "进入关卡的体力需求",
                "exp_win": "关卡胜利给予的基础经验奖励",
                "exp_lose": "关卡失败给予的基础经验奖励",
                "zuanshi_fwin": "首次获胜奖励的钻石",
                "gold_win": "获胜金币",
                "gold_lose": "失败金币",
                "win_jiangli": "可能获得的物品",
                "get_per": "可能获得的概率",
                "bossImage": "BOSS图片（暂无用）",
                "monsterBirth": "过场"
            },
            "sceneR_1": {
                "res_path": "Scene_1.json",
                "map_path": "r_bingyuan.tmx",
                "hero_birth": "r_1",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 1,
                "attper": 1,
                "shift": 1,
                "ditu_pic": 0.15,
                "name": "冰冠冰山",
                "des": "冰雪之地，当心别跌落冰河、",
                "back_music": "bgm_xuedi.mp3",
                "icon": "xingjietantantang/big/ui/image/ddt_ditu1.png",
                "level_limit": 0,
                "tili": 1,
                "exp_win": 20,
                "exp_lose": 10,
                "zuanshi_fwin": 0,
                "gold_win": 50,
                "gold_lose": 10,
                "win_jiangli": " ",
                "get_per": " ",
                "bossImage": 0,
                "monsterBirth": [
                    {}
                ]
            },
            "sceneR_2": {
                "res_path": "Scene_5.json",
                "map_path": "r_dixia.tmx",
                "hero_birth": "r_2",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 1,
                "attper": 1,
                "shift": 1,
                "ditu_pic": 0.1,
                "name": "熔岩地心",
                "des": "也许将对手打入熔岩是不错的获胜方式？",
                "back_music": "bgm_didi.mp3",
                "icon": "xingjietantantang/big/ui/image/ddt_ditu3.png",
                "level_limit": 0,
                "tili": 1,
                "exp_win": 20,
                "exp_lose": 10,
                "zuanshi_fwin": 0,
                "gold_win": 50,
                "gold_lose": 10,
                "win_jiangli": " ",
                "get_per": " ",
                "bossImage": 0,
                "monsterBirth": [
                    {}
                ]
            },
            "sceneR_3": {
                "res_path": "Scene_2.json",
                "map_path": "r_heliu.tmx",
                "hero_birth": "r_3",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 1,
                "attper": 1,
                "shift": 1,
                "ditu_pic": 0.15,
                "name": "河分两岸",
                "des": "隔河相望，退能守，进可攻？",
                "back_music": "bgm_caodi.mp3",
                "icon": "xingjietantantang/big/ui/image/ddt_ditu2.png",
                "level_limit": 0,
                "tili": 1,
                "exp_win": 20,
                "exp_lose": 10,
                "zuanshi_fwin": 0,
                "gold_win": 50,
                "gold_lose": 10,
                "win_jiangli": " ",
                "get_per": " ",
                "bossImage": 0,
                "monsterBirth": [
                    {}
                ]
            },
            "sceneR_4": {
                "res_path": "Scene_2.json",
                "map_path": "r_heliu2.tmx",
                "hero_birth": "r_4",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 1,
                "attper": 1,
                "shift": 1,
                "ditu_pic": 0.15,
                "name": "迷之浮岛",
                "des": "背水一战，或许对双方而言都是？",
                "back_music": "bgm_caodi.mp3",
                "icon": "xingjietantantang/big/ui/image/ddt_ditu2.png",
                "level_limit": 0,
                "tili": 1,
                "exp_win": 20,
                "exp_lose": 10,
                "zuanshi_fwin": 0,
                "gold_win": 50,
                "gold_lose": 10,
                "win_jiangli": " ",
                "get_per": " ",
                "bossImage": 0,
                "monsterBirth": [
                    {}
                ]
            },
            "sceneR_5": {
                "res_path": "Scene_3.json",
                "map_path": "r_huoshan.tmx",
                "hero_birth": "r_5",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 1,
                "attper": 1,
                "shift": 1,
                "ditu_pic": 0.05,
                "name": "火山之上",
                "des": "火山口的战斗，刀尖上的舞蹈！",
                "back_music": "bgm_huoshan.mp3",
                "icon": "xingjietantantang/big/ui/image/ddt_ditu3.png",
                "level_limit": 0,
                "tili": 1,
                "exp_win": 20,
                "exp_lose": 10,
                "zuanshi_fwin": 0,
                "gold_win": 50,
                "gold_lose": 10,
                "win_jiangli": " ",
                "get_per": " ",
                "bossImage": 0,
                "monsterBirth": [
                    {}
                ]
            },
            "sceneR_6": {
                "res_path": "Scene_3.json",
                "map_path": "r_pingtai.tmx",
                "hero_birth": "r_6",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 1,
                "attper": 1,
                "shift": 1,
                "ditu_pic": 0.05,
                "name": "熔火平台",
                "des": "在这熔岩之上一决胜负吧！",
                "back_music": "bgm_huoshan.mp3",
                "icon": "xingjietantantang/big/ui/image/ddt_ditu3.png",
                "level_limit": 0,
                "tili": 1,
                "exp_win": 20,
                "exp_lose": 10,
                "zuanshi_fwin": 0,
                "gold_win": 50,
                "gold_lose": 10,
                "win_jiangli": " ",
                "get_per": " ",
                "bossImage": 0,
                "monsterBirth": [
                    {}
                ]
            },
            "sceneR_7": {
                "res_path": "Scene_2.json",
                "map_path": "r_pingyuan.tmx",
                "hero_birth": "r_7",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 1,
                "attper": 1,
                "shift": 1,
                "ditu_pic": 0.2,
                "name": "丘陵平原",
                "des": "略有起伏的平原，非常适合对战。",
                "back_music": "bgm_caodi.mp3",
                "icon": "xingjietantantang/big/ui/image/ddt_ditu2.png",
                "level_limit": 0,
                "tili": 1,
                "exp_win": 20,
                "exp_lose": 10,
                "zuanshi_fwin": 0,
                "gold_win": 50,
                "gold_lose": 10,
                "win_jiangli": " ",
                "get_per": " ",
                "bossImage": 0,
                "monsterBirth": [
                    {}
                ]
            },
            "sceneR_8": {
                "res_path": "Scene_4.json",
                "map_path": "r_shamo.tmx",
                "hero_birth": "r_8",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 1,
                "attper": 1,
                "shift": 1,
                "ditu_pic": 0.1,
                "name": "巨大沙丘",
                "des": "完美的沙丘，爆破的好地方！",
                "back_music": "bgm_shamo.mp3",
                "icon": "xingjietantantang/big/ui/image/ddt_ditu4.png",
                "level_limit": 0,
                "tili": 1,
                "exp_win": 20,
                "exp_lose": 10,
                "zuanshi_fwin": 0,
                "gold_win": 50,
                "gold_lose": 10,
                "win_jiangli": " ",
                "get_per": " ",
                "bossImage": 0,
                "monsterBirth": [
                    {}
                ]
            },
            "sceneR_9": {
                "res_path": "Scene_5.json",
                "map_path": "r_shan.tmx",
                "hero_birth": "r_9",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 1,
                "attper": 1,
                "shift": 1,
                "ditu_pic": 0.05,
                "name": "魔爪黑山",
                "des": "鬼斧神工亦或人工的黑爪山？",
                "back_music": "bgm_didi.mp3",
                "icon": "xingjietantantang/big/ui/image/ddt_ditu5.png",
                "level_limit": 0,
                "tili": 1,
                "exp_win": 20,
                "exp_lose": 10,
                "zuanshi_fwin": 0,
                "gold_win": 50,
                "gold_lose": 10,
                "win_jiangli": " ",
                "get_per": " ",
                "bossImage": 0,
                "monsterBirth": [
                    {}
                ]
            },
            "sceneN_1": {
                "res_path": "Scene_2.json",
                "map_path": "n_pingyuan.tmx",
                "hero_birth": "n_1",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 1,
                "attper": 0.2,
                "shift": 4,
                "name": "新手引导",
                "back_music": "bgm_caodi.mp3",
                "level_limit": 1,
                "tili": 1,
                "exp_win": 0,
                "exp_lose": 0,
                "zuanshi_fwin": 0,
                "gold_win": 0,
                "gold_lose": 0,
                "win_jiangli": " ",
                "get_per": " ",
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "n_1_1"
                    }
                ]
            },
            "sceneA_1": {
                "res_path": "Scene_2.json",
                "map_path": "a_pingyuan2.tmx",
                "hero_birth": "a_1",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.3,
                "attper": 0.3,
                "shift": 4,
                "name": "初临异界",
                "back_music": "bgm_caodi.mp3",
                "level_limit": 1,
                "tili": 1,
                "exp_win": 10,
                "exp_lose": 5,
                "zuanshi_fwin": 100,
                "gold_win": 50,
                "gold_lose": 25,
                "win_jiangli": "wuqi2",
                "get_per": 0.05,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_1_1"
                    }
                ]
            },
            "sceneA_2": {
                "res_path": "Scene_1.json",
                "map_path": "a_shan.tmx",
                "hero_birth": "a_2",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.35,
                "attper": 0.35,
                "shift": 4,
                "name": "雪山峡谷",
                "back_music": "bgm_xuedi.mp3",
                "level_limit": 1,
                "tili": 1,
                "exp_win": 10,
                "exp_lose": 5,
                "zuanshi_fwin": 100,
                "gold_win": 50,
                "gold_lose": 25,
                "win_jiangli": "yaoji3",
                "get_per": 0.05,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_2_1"
                    }
                ]
            },
            "sceneA_3": {
                "res_path": "Scene_1.json",
                "map_path": "r_bingyuan.tmx",
                "hero_birth": "a_3",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.4,
                "attper": 0.4,
                "shift": 4,
                "name": "雪山幽魂",
                "back_music": "bgm_xuedi.mp3",
                "level_limit": 1,
                "tili": 1,
                "exp_win": 10,
                "exp_lose": 5,
                "zuanshi_fwin": 100,
                "gold_win": 50,
                "gold_lose": 25,
                "win_jiangli": "yaoji1",
                "get_per": 0.05,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_3_1"
                    }
                ]
            },
            "sceneA_4": {
                "res_path": "Scene_1.json",
                "map_path": "a_bingyuan.tmx",
                "hero_birth": "a_4",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.45,
                "attper": 0.45,
                "shift": 4,
                "name": "冰天雪地",
                "back_music": "bgm_xuedi.mp3",
                "level_limit": 2,
                "tili": 2,
                "exp_win": 10,
                "exp_lose": 5,
                "zuanshi_fwin": 100,
                "gold_win": 50,
                "gold_lose": 25,
                "win_jiangli": "yaoji2",
                "get_per": 0.05,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_4_1"
                    }
                ]
            },
            "sceneA_5": {
                "res_path": "Scene_1.json",
                "map_path": "a_bingyuan.tmx",
                "hero_birth": "a_5",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.5,
                "attper": 0.5,
                "shift": 4,
                "name": "雪山之巅",
                "back_music": "bgm_xuedi.mp3",
                "level_limit": 2,
                "tili": 4,
                "exp_win": 20,
                "exp_lose": 10,
                "zuanshi_fwin": 100,
                "gold_win": 100,
                "gold_lose": 50,
                "win_jiangli": "wuqi8",
                "get_per": 0.02,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_5_1"
                    }
                ]
            },
            "sceneA_6": {
                "res_path": "Scene_1.json",
                "map_path": "a_heliu.tmx",
                "hero_birth": "a_6",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.55,
                "attper": 0.55,
                "shift": 4,
                "name": "雪域暖湖",
                "des": " ",
                "back_music": "bgm_xuedi.mp3",
                "level_limit": 2,
                "tili": 2,
                "exp_win": 20,
                "exp_lose": 10,
                "zuanshi_fwin": 150,
                "gold_win": 100,
                "gold_lose": 50,
                "win_jiangli": "wuqi12",
                "get_per": 0.02,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_6_1"
                    }
                ]
            },
            "sceneA_7": {
                "res_path": "Scene_4.json",
                "map_path": "r_shamo.tmx",
                "hero_birth": "a_7",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.6,
                "attper": 0.6,
                "shift": 4,
                "name": "荒芜死漠",
                "back_music": "bgm_shamo.mp3",
                "level_limit": 3,
                "tili": 1,
                "exp_win": 20,
                "exp_lose": 10,
                "zuanshi_fwin": 150,
                "gold_win": 100,
                "gold_lose": 50,
                "win_jiangli": "yaoji3",
                "get_per": 0.08,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_7_1"
                    }
                ]
            },
            "sceneA_8": {
                "res_path": "Scene_4.json",
                "map_path": "a_shamo.tmx",
                "hero_birth": "a_8",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.65,
                "attper": 0.65,
                "shift": 4,
                "name": "荒漠大战",
                "back_music": "bgm_shamo.mp3",
                "level_limit": 3,
                "tili": 1,
                "exp_win": 20,
                "exp_lose": 10,
                "zuanshi_fwin": 150,
                "gold_win": 100,
                "gold_lose": 50,
                "win_jiangli": "yaoji1",
                "get_per": 0.08,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_8_1"
                    }
                ]
            },
            "sceneA_9": {
                "res_path": "Scene_2.json",
                "map_path": "r_pingyuan.tmx",
                "hero_birth": "a_9",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.7,
                "attper": 0.7,
                "shift": 3,
                "name": "林间小道",
                "back_music": "bgm_caodi.mp3",
                "level_limit": 3,
                "tili": 1,
                "exp_win": 20,
                "exp_lose": 10,
                "zuanshi_fwin": 150,
                "gold_win": 100,
                "gold_lose": 50,
                "win_jiangli": "yaoji2",
                "get_per": 0.08,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_9_1"
                    }
                ]
            },
            "sceneA_10": {
                "res_path": "Scene_2.json",
                "map_path": "a_heliu2.tmx",
                "hero_birth": "a_10",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.75,
                "attper": 0.75,
                "shift": 3,
                "name": "水滨激战",
                "back_music": "bgm_caodi.mp3",
                "level_limit": 4,
                "tili": 4,
                "exp_win": 40,
                "exp_lose": 20,
                "zuanshi_fwin": 150,
                "gold_win": 200,
                "gold_lose": 100,
                "win_jiangli": "pifu_nan_5",
                "get_per": 0.03,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_10_1"
                    }
                ]
            },
            "sceneA_11": {
                "res_path": "Scene_2.json",
                "map_path": "r_heliu2.tmx",
                "hero_birth": "a_11",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.8,
                "attper": 0.8,
                "shift": 3,
                "name": "江心小岛",
                "back_music": "bgm_caodi.mp3",
                "level_limit": 4,
                "tili": 2,
                "exp_win": 30,
                "exp_lose": 15,
                "zuanshi_fwin": 200,
                "gold_win": 150,
                "gold_lose": 75,
                "win_jiangli": "wuqi3",
                "get_per": 0.1,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_11_1"
                    }
                ]
            },
            "sceneA_12": {
                "res_path": "Scene_3.json",
                "map_path": "a_bingyuan2.tmx",
                "hero_birth": "a_12",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.82,
                "attper": 0.82,
                "shift": 3,
                "name": "炎之大陆",
                "back_music": "bgm_huoshan.mp3",
                "level_limit": 4,
                "tili": 1,
                "exp_win": 30,
                "exp_lose": 15,
                "zuanshi_fwin": 200,
                "gold_win": 150,
                "gold_lose": 75,
                "win_jiangli": "yaoji3",
                "get_per": 0.1,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_12_1"
                    }
                ]
            },
            "sceneA_13": {
                "res_path": "Scene_3.json",
                "map_path": "r_huoshan.tmx",
                "hero_birth": "a_13",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.84,
                "attper": 0.84,
                "shift": 3,
                "name": "熔火龙影",
                "back_music": "bgm_huoshan.mp3",
                "level_limit": 5,
                "tili": 1,
                "exp_win": 30,
                "exp_lose": 15,
                "zuanshi_fwin": 200,
                "gold_win": 150,
                "gold_lose": 75,
                "win_jiangli": "yaoji1",
                "get_per": 0.1,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_13_1"
                    }
                ]
            },
            "sceneA_14": {
                "res_path": "Scene_3.json",
                "map_path": "a_huoshan2.tmx",
                "hero_birth": "a_14",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.86,
                "attper": 0.86,
                "shift": 3,
                "name": "熔岩漫步",
                "back_music": "bgm_huoshan.mp3",
                "level_limit": 5,
                "tili": 2,
                "exp_win": 30,
                "exp_lose": 15,
                "zuanshi_fwin": 200,
                "gold_win": 150,
                "gold_lose": 75,
                "win_jiangli": "yaoji2",
                "get_per": 0.1,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_14_1"
                    }
                ]
            },
            "sceneA_15": {
                "res_path": "Scene_3.json",
                "map_path": "a_huoshan.tmx",
                "hero_birth": "a_15",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.88,
                "attper": 0.88,
                "shift": 3,
                "name": "恶龙火山",
                "back_music": "bgm_huoshan.mp3",
                "level_limit": 5,
                "tili": 4,
                "exp_win": 60,
                "exp_lose": 30,
                "zuanshi_fwin": 200,
                "gold_win": 300,
                "gold_lose": 150,
                "win_jiangli": "wuqi7",
                "get_per": 0.05,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_15_1"
                    }
                ]
            },
            "sceneA_16": {
                "res_path": "Scene_4.json",
                "map_path": "a_shamo2.tmx",
                "hero_birth": "a_16",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.9,
                "attper": 0.9,
                "shift": 3,
                "name": "风化沙漠",
                "back_music": "bgm_shamo.mp3",
                "level_limit": 6,
                "tili": 1,
                "exp_win": 40,
                "exp_lose": 20,
                "zuanshi_fwin": 250,
                "gold_win": 200,
                "gold_lose": 100,
                "win_jiangli": "yaoji3",
                "get_per": 0.12,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_16_1"
                    }
                ]
            },
            "sceneA_17": {
                "res_path": "Scene_4.json",
                "map_path": "a_shamo3.tmx",
                "hero_birth": "a_17",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.92,
                "attper": 0.92,
                "shift": 2,
                "name": "巨大沙丘",
                "back_music": "bgm_shamo.mp3",
                "level_limit": 6,
                "tili": 1,
                "exp_win": 40,
                "exp_lose": 20,
                "zuanshi_fwin": 250,
                "gold_win": 200,
                "gold_lose": 100,
                "win_jiangli": "yaoji1",
                "get_per": 0.12,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_17_1"
                    }
                ]
            },
            "sceneA_18": {
                "res_path": "Scene_2.json",
                "map_path": "r_heliu.tmx",
                "hero_birth": "a_18",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.94,
                "attper": 0.94,
                "shift": 2,
                "name": "沙心绿洲",
                "back_music": "bgm_caodi.mp3",
                "level_limit": 6,
                "tili": 1,
                "exp_win": 40,
                "exp_lose": 20,
                "zuanshi_fwin": 250,
                "gold_win": 200,
                "gold_lose": 100,
                "win_jiangli": "yaoji2",
                "get_per": 0.12,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_18_1"
                    }
                ]
            },
            "sceneA_19": {
                "res_path": "Scene_4.json",
                "map_path": "a_shamo4.tmx",
                "hero_birth": "a_19",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.96,
                "attper": 0.96,
                "shift": 2,
                "name": "海边沙滩",
                "back_music": "bgm_shamo.mp3",
                "level_limit": 7,
                "tili": 2,
                "exp_win": 40,
                "exp_lose": 20,
                "zuanshi_fwin": 250,
                "gold_win": 200,
                "gold_lose": 100,
                "win_jiangli": "wuqi4",
                "get_per": 0.02,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_19_1"
                    }
                ]
            },
            "sceneA_20": {
                "res_path": "Scene_2.json",
                "map_path": "a_heliu3.tmx",
                "hero_birth": "a_20",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 0.98,
                "attper": 0.98,
                "shift": 2,
                "name": "冰封学院",
                "back_music": "bgm_caodi.mp3",
                "level_limit": 7,
                "tili": 4,
                "exp_win": 80,
                "exp_lose": 40,
                "zuanshi_fwin": 250,
                "gold_win": 400,
                "gold_lose": 200,
                "win_jiangli": "pifu_nv_5",
                "get_per": 0.05,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_20_1"
                    }
                ]
            },
            "sceneA_21": {
                "res_path": "Scene_2.json",
                "map_path": "a_dixia2.tmx",
                "hero_birth": "a_21",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 1,
                "attper": 1,
                "shift": 2,
                "name": "地下入口",
                "back_music": "bgm_shamo.mp3",
                "level_limit": 7,
                "tili": 1,
                "exp_win": 50,
                "exp_lose": 25,
                "zuanshi_fwin": 300,
                "gold_win": 250,
                "gold_lose": 125,
                "win_jiangli": "yaoji3",
                "get_per": 0.15,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_21_1"
                    }
                ]
            },
            "sceneA_22": {
                "res_path": "Scene_5.json",
                "map_path": "a_dixia.tmx",
                "hero_birth": "a_22",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 1.02,
                "attper": 1.02,
                "shift": 1,
                "name": "地下山脉",
                "back_music": "bgm_huoshan.mp3",
                "level_limit": 8,
                "tili": 2,
                "exp_win": 50,
                "exp_lose": 25,
                "zuanshi_fwin": 300,
                "gold_win": 250,
                "gold_lose": 125,
                "win_jiangli": "wuqi17",
                "get_per": 0.01,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_22_1"
                    }
                ]
            },
            "sceneA_23": {
                "res_path": "Scene_5.json",
                "map_path": "a_dixia3.tmx",
                "hero_birth": "a_23",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 1.04,
                "attper": 1.04,
                "shift": 1,
                "name": "无底深渊",
                "back_music": "bgm_huoshan.mp3",
                "level_limit": 8,
                "tili": 1,
                "exp_win": 50,
                "exp_lose": 25,
                "zuanshi_fwin": 300,
                "gold_win": 250,
                "gold_lose": 125,
                "win_jiangli": "yaoji1",
                "get_per": 0.15,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_23_1"
                    }
                ]
            },
            "sceneA_24": {
                "res_path": "Scene_5.json",
                "map_path": "r_dixia.tmx",
                "hero_birth": "a_24",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 1.06,
                "attper": 1.06,
                "shift": 1,
                "name": "前往龙穴",
                "back_music": "bgm_didi.mp3",
                "level_limit": 8,
                "tili": 1,
                "exp_win": 50,
                "exp_lose": 25,
                "zuanshi_fwin": 300,
                "gold_win": 250,
                "gold_lose": 125,
                "win_jiangli": "yaoji2",
                "get_per": 0.15,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_24_1"
                    }
                ]
            },
            "sceneA_25": {
                "res_path": "Scene_5.json",
                "map_path": "r_shan.tmx",
                "hero_birth": "a_25",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 2000,
                "max_camera_y": 1200,
                "hpper": 1.08,
                "attper": 1.08,
                "shift": 1,
                "name": "地心龙影",
                "back_music": "bgm_didi.mp3",
                "level_limit": 9,
                "tili": 4,
                "exp_win": 100,
                "exp_lose": 50,
                "zuanshi_fwin": 300,
                "gold_win": 500,
                "gold_lose": 250,
                "win_jiangli": "wuqi10",
                "get_per": 0.02,
                "bossImage": 0,
                "monsterBirth": [
                    {
                        "wave": "a_25_1"
                    }
                ]
            }
        }
}