/**
 * Created by xieli on 2017/2/4.
 */

//物品管理类


module game {
    export class itemMgr {
        static g_itemMgr: itemMgr = null;
        static getMe = function () {
            if (game.itemMgr.g_itemMgr == null) {
                game.itemMgr.g_itemMgr = new game.itemMgr();
            }
            return game.itemMgr.g_itemMgr;
        };

        getItemnumbyType(type: e_item): number {
            let items = fileMgr.getMe().m_play_doc.items
            for (let p in items) {
                if (items[p].id == type) {
                    return items[p].num
                }
            }
            return 0
        }

        typeToString(type: e_item): string {
            for (let p in g_item_config) {
                if (g_item_config[p].type == type) {
                    return p
                }
            }
            return ""
        }

        stringToType(typestr: string) {
            for (let p in g_item_config) {
                if (p == typestr) {
                    return g_item_config[p].type
                }
            }
            return -1
        }

        private getskinowner(name, skintype: e_item): boolean {
            // nan 1 male 0
            let skintypestr = this.typeToString(skintype)
            name = name.replace("hero_", "")
            return skintypestr.indexOf(name) > -1
        }
        gethasSkin(name = null): Array<itemStruct> {
            let skins = fileMgr.getMe().m_play_doc.skins
            let arr = []
            // return skins //test
            for (let p in skins) {
                // skins[p].lock = 1
                if (skins[p].lock == 1) {
                    if (name == null) {
                        arr.push(skins[p])
                    }
                    else {
                        if (this.getskinowner(name, skins[p].id)) {
                            arr.push(skins[p])
                        }
                    }
                }
            }
            return arr
        }

        TypeToString(type: e_item): string {
            for (let p in g_item_config) {
                if (type == g_item_config[p].type) {
                    return p
                }
            }
            return ""
        }

        removeItemnumBytype(type: e_item, num: number): boolean {
            let items = fileMgr.getMe().m_play_doc.items
            for (let p in items) {
                if (items[p].id == type) {
                    if (items[p].num >= num) {
                        items[p].num -= num
                        return true
                    }
                    else {
                        return false
                    }
                }
            }
            return false
        }

        addItemnumBytype(type: e_item, num: number): boolean {
            let items = fileMgr.getMe().m_play_doc.items
            for (let p in items) {
                if (items[p].id == type) {
                    if (items[p].num >= num) {
                        items[p].num += num
                        return true
                    }
                    else {
                        return false
                    }
                }
            }
            return false
        }

        getSkinislock(type: e_item): boolean {
            let skins = fileMgr.getMe().m_play_doc.skins
            for (let p in skins) {
                if (skins[p].id == type) {
                    return skins[p].lock == 1
                }
            }
            return false
        }

        getWeaponislock(type): boolean {
            // let weapons = fileMgr.getMe().m_play_doc.weapons
            // for (let p in weapons) {
            //     if (weapons[p].id == type) {
            //         return weapons[p].lock == 1
            //     }
            // }
            // return false

            let weapons = fileMgr.getMe().m_play_doc.weapons;
            let str:Array<string>;
            for(let i=0;i<weapons.length;++i){
                if(!weapons[i]) return false;
                str = weapons[i].split("*");
                if(type == str[0]){
                    // weapons[i] = str[0] + "*" +0;
                    return parseInt(str[1]) != -1;
                }
            }
            return false
        }

        setWeaponLock(type){
            // let weapons = fileMgr.getMe().m_play_doc.weapons;
            // for (let p in weapons) {
            //     if (weapons[p].id == type) {
            //         return weapons[p].lock = 1
            //     }
            // }

            let weapons = fileMgr.getMe().m_play_doc.weapons;
            let str:Array<string>;
            for(let i=0;i<weapons.length;++i){
                if(!weapons[i]) return false;
                str = weapons[i].split("*");
                if(type == str[0]){
                    weapons[i] = str[0] + "*" +0;
                    return true;
                }
            }
            return false
        }

        //获得同名武器拥有数
        getWeaponNum(type):number{
            // let weapons = fileMgr.getMe().m_play_doc.weapons;
            // let str:string = this.typeToString(type) .replace("_1","");
            // let Num:number = 0;
            // for(let p in weapons){
            //     if(weapons[p].lock == 1){
            //         let WeaName = this.typeToString(weapons[p].id).replace("_1","");
            //         if(str == WeaName){
            //             Num++;
            //         }
            //     }
            // }
            // return Num;

            let weapons = fileMgr.getMe().m_play_doc.weapons;
            let str:Array<string>;
            let s:string = type.replace("_1","");
            let Num:number = 0;
            for(let i=0;i<weapons.length;++i){
                if(!weapons[i]) continue;
                str = weapons[i].split("*");
                if(parseInt(str[1]) != -1){
                    let WeaName = str[0].replace("_1","");
                    if(s == WeaName){
                        Num++;
                    }
                }
            }
            return Num;
        }


        getWeaponConfig(type: string): weaponconfig_s {
            // for (let p in g_weapon_play) {
            //     if (p == type) {
            //         return cc.clone(g_weapon_play[p]) //[level]
            //     }
            // }
            return getWeaponConfig()[type];
        }

        lockSkin(type: e_item) {
            let skins = fileMgr.getMe().m_play_doc.skins
            for (let p in skins) {
                if (skins[p].id == type) {
                    skins[p].lock = 1
                    return true
                }
            }
            return false
        }

        getitemPriceZuansi(type: string): number {
            let data = Version_mgr.getInstance().m_zuansiInfo
            for (let p in data) {
                if (p == type) {
                    return data[p]
                }
            }
            return null
        }

        getitemPricejinbi(type: string): number {
            let data = Version_mgr.getInstance().m_jinbiInfo
            for (let p in data) {
                if (p == type) {
                    return data[p]
                }
            }
            return null
        }
    }
}
//# sourceMappingURL=itemMgr.js.map