/**
 * Created by w on 2017/5/27.
 */


module game{
    //.........................当前游戏版本.................................................
    export const g_curVersion:e_game_Version = e_game_Version.e_version_web
    //....................................................................................

    export class Version_mgr{
        static g_instance:Version_mgr = null
        static getInstance():Version_mgr{
            if( Version_mgr.g_instance == null ){
                Version_mgr.g_instance = new Version_mgr()
            }
            return Version_mgr.g_instance
        }
        constructor(){
            this.init()
        }

        m_option:option_s = null    //弹窗信息等 配置表
        m_jinbiInfo:jinbi_s = null          //金币配置表
        m_zuansiInfo:zuansi_s = null         //钻石配置表
        m_rmbinfo:rmb_s = null            //rmb商品配置表
        //初始化版本
        private init(){
            let versionconfig = null
            let curversionstr:string = this.TypetoStr(g_curVersion)
            for( let p in g_shop_config ){
                if( p == curversionstr ){
                    versionconfig = cc.clone(g_shop_config[p])
                }
            }
            if(versionconfig == null)
            {
                uiMgr.getMe().show_ui_MessageBox(true,"严重错误1，没有配置当前版本的shop_config  " + curversionstr,function () {
                    cc.director.end()
                })
            }
            this.m_option = versionconfig.option
            this.m_jinbiInfo = versionconfig.jinbi
            this.m_zuansiInfo = versionconfig.zuanshi
            this.m_rmbinfo = versionconfig.price
            if( this.m_option == null || this.m_jinbiInfo == null || this.m_zuansiInfo == null || this.m_rmbinfo == null)
            {
                uiMgr.getMe().show_ui_MessageBox(true,"严重错误2，没有配置当前版本的shop_config  " + curversionstr,function () {
                    cc.director.end()
                })
            }
        }
        getRmbPriceByTag( tag:string )
        {
            tag = tag.replace(/zuanshi/g,'')
            for( let p in this.m_rmbinfo)
            {
                if( p == tag)
                    return this.m_rmbinfo[p]
            }
            return null
        }
        isWeb(){
            return this.getCurVersion() == e_game_Version.e_version_web;
        }
        isPhone()
        {
            return this.m_option.isPhone
        }
        getDiamondPriceBystr( str )
        {
            for( let p in this.m_zuansiInfo)
            {
                if( p == str)
                {
                    return this.m_zuansiInfo[p]
                }
            }
            console.log("没有这个物品配置 " + str)
            return 0
        }
        getGoldPriceBystr( str )
        {
            for( let p in this.m_jinbiInfo)
            {
                if( p == str)
                {
                    return this.m_jinbiInfo[p]
                }
            }
            console.log("没有这个物品配置 " + str)
            return 0
        }

        getCurVersion(){
            return g_curVersion;
        }


        strToType( str:string ):e_game_Version
        {
            switch ( str )
            {
                case "anhui":
                    return e_game_Version.e_version_anhui
                case "hunan":
                    return e_game_Version.e_version_hunan
                case "hubei":
                    return e_game_Version.e_version_hubei
                case "tianjin":
                    return e_game_Version.e_version_tianjing
                case "yun":
                    return e_game_Version.e_version_yunbi
                case "phone":
                    return e_game_Version.e_version_Phone
                case "web":
                    return e_game_Version.e_version_web
                case "hebei":
                    return e_game_Version.e_version_hebei
                default:
                    return null
            }
        }

        TypetoStr( type:e_game_Version ):string
        {
            switch ( type )
            {
                case e_game_Version.e_version_anhui:
                    return "anhui"
                case e_game_Version.e_version_hunan:
                    return "hunan"
                case e_game_Version.e_version_hubei:
                    return "hubei"
                case e_game_Version.e_version_tianjing:
                    return "tianjin"
                case e_game_Version.e_version_yunbi:
                    return "yun"
                case e_game_Version.e_version_Phone:
                    return "phone"
                case e_game_Version.e_version_web:
                    return "web"
                case e_game_Version.e_version_hebei:
                    return "hebei"
                default:
                    return ""
            }
        }
    }
}