module game {
    export class bulletMgr extends xjNode {

        static getMe = function () {
            if (sceneMgr.getMe().m_curScene == null) {
                return null;
            }
            return sceneMgr.getMe().m_curScene.getBulletMgr();
        };
        static create = function (): bulletMgr {
            return new bulletMgr();
        };

        m_bullet_map: Map<number,baseBullet>;
        // m_deleteBulletNum: number;
        // m_curNum: number;
        m_des: string;

        // m_time:number;

        constructor() {
            super();
            this.m_des = "bulletMgr";
            this.init();
        }

        init() {
            super.init();
            this.m_bullet_map = new Map<number,baseBullet>();

            // if(sceneMgr.getMe().getCurScene() instanceof PVP_fight){
            //     this.m_time = 2000;
            // }else{
            //     this.m_time = 1000;
            // }
        }

        // initDeleteBulletNum(num: number) {
        //     this.m_curNum = 0;
        //     this.m_deleteBulletNum = num;
        // }

        createBullet(data: BulletData) {
            let bullet: baseBullet = baseBullet.create(data);
            this.m_bullet_map.set(bullet.__instanceId, bullet);
            this.addChild(bullet.getNode(), 2000);
        }

        creatBlinkBullet(data: BulletData) {
            let bullet: baseBullet = blinkBullet.create(data);
            this.m_bullet_map.set(bullet.__instanceId, bullet);
            this.addChild(bullet.getNode(), 2000);
        }

        creatHealBullet(data: BulletData) {
            let bullet: baseBullet = healBullet.create(data);
            this.m_bullet_map.set(bullet.__instanceId, bullet);
            this.addChild(bullet.getNode(), 2000);
        }

        creatPosionBullet(data: BulletData) {
            let bullet: baseBullet = posionBullet.create(data);
            this.m_bullet_map.set(bullet.__instanceId, bullet);
            this.addChild(bullet.getNode(), 2000);
        }

        creatCrossBullet(data: BulletData) {
            let bullet: baseBullet = crossBullet.create(data);
            this.m_bullet_map.set(bullet.__instanceId, bullet);
            this.addChild(bullet.getNode(), 2000);
        }

        creatLaunchBullet(data: BulletData) {
            let bullet: baseBullet = launchBullet.create(data);
            this.m_bullet_map.set(bullet.__instanceId, bullet);
            this.addChild(bullet.getNode(), 2000);
        }

        creatLaunchBullet2(data: BulletData) {
            let bullet: baseBullet = launchBullet2.create(data);
            this.m_bullet_map.set(bullet.__instanceId, bullet);
            this.addChild(bullet.getNode(), 2000);
        }

        update(dt) {
            this.m_bullet_map.forEach((v, k) => {
                if (v) v.update(dt);
            }, this);
        }

        removeBullet(key: number) {
            if (this.m_bullet_map.get(key)) {
                this.m_bullet_map.get(key).shutdown();
                this.m_bullet_map.delete(key);
                // this.m_curNum++;
                // let time = this.m_time;
                // if (roleMgr.getMe().m_hasDead) {
                //     time = 3000;
                // }
                // if (this.m_curNum >= this.m_deleteBulletNum) {
                //     let a = setInterval(() => {
                //         if(roleMgr.getMe()){
                //             roleMgr.getMe().m_hasDead = false;
                //             RoundManager.getMe().nextStep();
                //         }
                //         clearInterval(a);
                //     }, time);
                // }
            }
        }

        shutdown() {
            this.m_bullet_map.forEach((v, k) => {
                v.shutdown();
            }, this);
            this.m_bullet_map.clear();
            this.m_bullet_map = null;
        }

        zanting(flag) {
            this.m_bullet_map.forEach((v, k) => {
                v.zanting(flag);
            }, this);
        }

    }

}
//# sourceMappingURL=bulletMgr.js.map