/**
 * Created by w on 2017/6/27.
 */
module game {
    export class buy_mgr {
        private static g_instance: buy_mgr;

        static getInstance(): buy_mgr {
            if (!buy_mgr.g_instance) {
                buy_mgr.g_instance = new buy_mgr();
            }
            return buy_mgr.g_instance
        }

        private m_successCallback;
        private m_failCallback;

        buy(id, callback, failback?) {
            let tvid = g_shop_Rmb_info[id];
            cc.log("1111111111111", tvid);
            if (callback) {
                this.m_successCallback = callback;
                this.m_failCallback = failback;
                js_GameLogicMgr.getMe().buy(tvid);
                // buy_mgr.getInstance().callback(true, tvid);
            }
        }

        buyMaxPrice(callback, failback?) {
            let id = 3;
            if (Version_mgr.getInstance().isPhone() || Version_mgr.getInstance().isWeb()) {
                id = 2;
            }
            this.buy(id, callback, failback);
        }

        getDoubleShoppingStr(shuoming: string) {
            let goodsconfig = Version_mgr.getInstance().getRmbPriceByTag("3");
            let str = "钻石不足！是否花费 " + goodsconfig.money + Version_mgr.getInstance().m_option.huobi + "购买 " + goodsconfig.diamond + "钻石并" + shuoming;
            if (Version_mgr.getInstance().isPhone() || Version_mgr.getInstance().isWeb()) {
                goodsconfig = Version_mgr.getInstance().getRmbPriceByTag("2");
                str = "钻石不足！是否花费 " + goodsconfig.money + Version_mgr.getInstance().m_option.huobi + "购买 " + goodsconfig.diamond + "钻石并" + shuoming;
            }
            return str;
        }

        // shoppingByDiamond(price: number, shuoming: string, success, fail) {
        //     cc.log("shoppingByDiamond");
        //     if (dataMgr.getMe().removeDiamond(price)) {
        //         success.call();
        //     } else {
        //         let goodsconfig = Version_mgr.getInstance().getRmbPriceByTag("3");
        //         let str = "钻石不足！是否花费 " + goodsconfig.money + Version_mgr.getInstance().m_option.huobi + "购买 " + goodsconfig.diamond + "" + shuoming;
        //         let id = "3";
        //         if (Version_mgr.getInstance().isPhone()) {
        //             goodsconfig = Version_mgr.getInstance().getRmbPriceByTag("2");
        //             str = "钻石不足！是否花费 " + goodsconfig.money + Version_mgr.getInstance().m_option.huobi + "购买 " + goodsconfig.diamond + "" + shuoming;
        //             id = "2";
        //         }
        //         ui_messageBox2.ShowOrHide(true, str, () => {
        //             cc.log("3333333333333");
        //             // buy_mgr.getInstance().buyMaxPrice(id, success, fail);
        //         }, fail);
        //     }
        // }

        static shoppinglog(str) {
            cc.log(str);
            httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog, str);
            fileMgr.savePlayInfo_callback();
        }

        callback(isok: boolean, tvid = null) {
            cc.log("22222222222222222", isok + "");
            if (isok && tvid) {
                let shopdata: { money: number, diamond: number } = dataMgr.getMe().getShopDataBuTvid(tvid);
                // let shopdata = {money: 1, diamond: 1};
                dataMgr.getMe().addDiamond(shopdata.diamond);
                viplevelupMgr.getMe().addVipExp(shopdata.diamond);
                buy_mgr.shoppinglog("充值" + shopdata.diamond + "钻石花费:" + shopdata.money + Version_mgr.getInstance().m_option.huobi);

                ui_goumaichenggong.ShowOrHide(true, {
                    name: "zuanshi", num: shopdata.diamond, callback: () => {
                        if (this.m_successCallback) {
                            this.m_successCallback.call();
                        }
                        this.m_successCallback = null;
                        this.m_failCallback = null;
                    }
                });
            } else {
                ui_messageBox.ShowOrHide(true, "购买失败!");
                if (this.m_failCallback) {
                    this.m_failCallback.call();
                }
                this.m_successCallback = null;
                this.m_failCallback = null;
            }
        }

        // 购买钻石
        buyDiamonds_buy(id, success_callback, NotTip = false) {
            cc.log(id);
            let goodsconfig = Version_mgr.getInstance().getRmbPriceByTag(id);
            if (!(Version_mgr.getInstance().m_option.isNotTip || NotTip)) {
                let str = "是否花费 " + goodsconfig.money + Version_mgr.getInstance().m_option.huobi + "购买 " + goodsconfig.diamond + "钻石";
                ui_buy.ShowOrHide(true, str, () => {
                    buy_mgr.getInstance().buy(id, success_callback);
                });
                return;
            }
            buy_mgr.getInstance().buy(id, success_callback);
        }

        // 购买体力
        buyStrength_buy(updateUI_func, point, price) {
            if (dataMgr.getMe().removeDiamond(price)) {
                updateUI_func.call(point);
                buy_mgr.shoppinglog(price + "购买体力");
            }
            else {
                if (!(Version_mgr.getInstance().m_option.isNotTip)) {
                    let str = this.getDoubleShoppingStr("购买体力");
                    ui_buy.ShowOrHide(true, str, () => {
                        this.buy_diamond_and_buyStrength(updateUI_func, point, price);
                    });
                } else {
                    this.buy_diamond_and_buyStrength(updateUI_func, point, price);
                }
            }
        }

        //武器
        buyWeapon_buy(updateUI_func, point, weapontype) {
            let price: number = itemMgr.getMe().getitemPriceZuansi(weapontype);
            let weaponName: string = g_weapon_play[weapontype].desName;
            if (dataMgr.getMe().removeDiamond(price)) {
                updateUI_func.call(point);
                buy_mgr.shoppinglog(price + "购买武器:" + weaponName);
            }
            else {
                if (!(Version_mgr.getInstance().m_option.isNotTip)) {
                    let str = this.getDoubleShoppingStr("购买武器:" + weaponName);
                    ui_buy.ShowOrHide(true, str, () => {
                        this.buy_diamond_and_buyWeapon(updateUI_func, point, weapontype);
                    });
                } else {
                    this.buy_diamond_and_buyWeapon(updateUI_func, point, weapontype);
                }
            }
        }

        //皮肤
        buySkin_buy(updateUI_func, point, skintype) {
            let price: number = itemMgr.getMe().getitemPriceZuansi(skintype);
            let skinName: string = g_daoju_nan[skintype].desName;
            if (dataMgr.getMe().removeDiamond(price)) {
                updateUI_func.call(point);
                buy_mgr.shoppinglog(price + "购买皮肤:" + skinName);
            }
            else {
                if (!(Version_mgr.getInstance().m_option.isNotTip)) {
                    let str = this.getDoubleShoppingStr("购买皮肤:" + skinName);
                    ui_buy.ShowOrHide(true, str, () => {
                        this.buy_diamond_and_buySkin(updateUI_func, point, skintype);
                    });
                } else {
                    this.buy_diamond_and_buySkin(updateUI_func, point, skintype);
                }
            }
        }

        //药剂
        buyPotion_buy(updateUI_func, point, potiontype) {
            let price: number = itemMgr.getMe().getitemPriceZuansi(potiontype);
            let potionName: string = g_daoju_nan[potiontype].desName;
            if (dataMgr.getMe().removeDiamond(price)) {
                updateUI_func.call(point);
                buy_mgr.shoppinglog(price + "钻石购买药水:" + potionName);
            }
            else {
                if (!(Version_mgr.getInstance().m_option.isNotTip)) {
                    let str = this.getDoubleShoppingStr("购买药水:" + potionName);
                    ui_buy.ShowOrHide(true, str, () => {
                        this.buy_diamond_and_buyoPotion(updateUI_func, point, potiontype);
                    });
                } else {
                    this.buy_diamond_and_buyoPotion(updateUI_func, point, potiontype);
                }
            }
        }

        //复活
        buyResurrection_buy(updateUI_func, point, fuhuotype) {
            let price: number = itemMgr.getMe().getitemPriceZuansi(fuhuotype);
            let fuhuoName: string = "复活";
            if (dataMgr.getMe().removeDiamond(price)) {
                updateUI_func.call(point);
                buy_mgr.shoppinglog(price + "购买" + fuhuoName);
            }
            else {
                if (!(Version_mgr.getInstance().m_option.isNotTip)) {
                    let str = this.getDoubleShoppingStr("复活角色");
                    ui_buy.ShowOrHide(true, str, () => {
                        this.buy_diamond_and_buyfuhuo(updateUI_func, point, fuhuotype);
                    });
                } else {
                    this.buy_diamond_and_buyfuhuo(updateUI_func, point, fuhuotype);
                }
            }
        }

        //抽奖
        buySmokeNum_buy(updateUI_func, point, smoke) {
            let price: number = itemMgr.getMe().getitemPriceZuansi(smoke);
            let smokeName: string = "抽奖1次";
            if (dataMgr.getMe().removeDiamond(price)) {
                updateUI_func.call(point);
                buy_mgr.shoppinglog(price + "购买" + smokeName);
            }
            else {
                if (!(Version_mgr.getInstance().m_option.isNotTip)) {
                    let str = this.getDoubleShoppingStr("购买" + smokeName);
                    ui_buy.ShowOrHide(true, str, () => {
                        this.buy_diamond_and_buySmoke(updateUI_func, point, smoke);
                    });
                } else {
                    this.buy_diamond_and_buySmoke(updateUI_func, point, smoke);
                }
            }
        }

        //解锁随从
        buyPlayer_buy(updateUI_func, point, playername) {
            let price: number = itemMgr.getMe().getitemPriceZuansi(playername);
            let followName: string = "男";
            if (dataMgr.getMe().getCurHero() == "nan") {
                followName = "女"
            }
            if (dataMgr.getMe().removeDiamond(price)) {
                updateUI_func.call(point);
                buy_mgr.shoppinglog(price + "购买" + followName);
            }
            else {
                if (!(Version_mgr.getInstance().m_option.isNotTip)) {
                    let str = this.getDoubleShoppingStr("购买角色" + followName);
                    ui_buy.ShowOrHide(true, str, () => {
                        this.buy_diamond_and_buyPlayer(updateUI_func, point, playername);
                    });
                } else {
                    this.buy_diamond_and_buyPlayer(updateUI_func, point, playername);
                }
            }
        }

        //强化
        buyUpWeapon_buy(updateUI_func, point, upweatype, weaponname?) {
            let price: number = itemMgr.getMe().getitemPriceZuansi(upweatype);
            let upName: string = "强化+" + upweatype.match(/\d+/);
            let weaponName: string = g_weapon_play[weaponname].desName;
            if (dataMgr.getMe().removeDiamond(price)) {
                updateUI_func.call(point);
                buy_mgr.shoppinglog(price + "钻石" + weaponName + upName);
            }
            else {
                if (!(Version_mgr.getInstance().m_option.isNotTip)) {
                    let str = this.getDoubleShoppingStr("强化:" + weaponName);
                    ui_buy.ShowOrHide(true, str, () => {
                        this.buy_diamond_and_buyUpWeapon(updateUI_func, point, upweatype, weaponname);
                    });
                } else {
                    this.buy_diamond_and_buyUpWeapon(updateUI_func, point, upweatype, weaponname);
                }
            }
        }

        buyPosion_buy(updateUI_func, point, data) {
            let price = Version_mgr.getInstance().getDiamondPriceBystr(data);
            let name = g_daoju_nan[data].desName;
            if (dataMgr.getMe().removeDiamond(price)) {
                updateUI_func.call(point);
                buy_mgr.shoppinglog(price + "购买药水" + name);
            }
            else {
                if (!(Version_mgr.getInstance().m_option.isNotTip)) {
                    let str = this.getDoubleShoppingStr("购买药水:" + name);
                    ui_buy.ShowOrHide(true, str, () => {
                        this.buy_diamond_and_buyPosion(updateUI_func, point, data);
                    });
                } else {
                    this.buy_diamond_and_buyPosion(updateUI_func, point, data);
                }
            }
        }

        buyFuhuo_buy(updateUI_func, point, price, failback?) {
            if (dataMgr.getMe().removeDiamond(price)) {
                updateUI_func.call(point);
                buy_mgr.shoppinglog(price + "购买复活");
            }
            else {
                if (!(Version_mgr.getInstance().m_option.isNotTip)) {
                    let str = this.getDoubleShoppingStr("购买复活");
                    ui_buy.ShowOrHide(true, str, () => {
                        this.buy_diamond_and_fuhuo(updateUI_func, point, price, failback);
                    }, () => {
                        failback.call();
                    });
                } else {
                    this.buy_diamond_and_fuhuo(updateUI_func, point, price, failback);
                }
            }
        }

        buyBullet_buy(updateUI_func, point) {
            let price = Version_mgr.getInstance().getDiamondPriceBystr("danyao");
            if (dataMgr.getMe().removeDiamond(price)) {
                updateUI_func.call(point);
                buy_mgr.shoppinglog(price + "购买弹药");
            }
            else {
                if (!(Version_mgr.getInstance().m_option.isNotTip)) {
                    let str = this.getDoubleShoppingStr("购买弹药");
                    ui_buy.ShowOrHide(true, str, () => {
                        this.buy_diamond_and_buyBullet(updateUI_func, point);
                    });
                } else {
                    this.buy_diamond_and_buyBullet(updateUI_func, point);
                }
            }
        }

        private buy_diamond_and_buyStrength(updateUI_func, point, price) {
            this.buyMaxPrice(() => {
                this.buyStrength_buy(updateUI_func, point, price);
            });
        }

        private buy_diamond_and_buyWeapon(updateUI_func, point, data) {
            this.buyMaxPrice(() => {
                this.buyWeapon_buy(updateUI_func, point, data);
            });
        }

        private buy_diamond_and_buySkin(updateUI_func, point, data) {
            this.buyMaxPrice(() => {
                this.buySkin_buy(updateUI_func, point, data);
            });
        }

        private buy_diamond_and_buySmoke(updateUI_func, point, data) {
            this.buyMaxPrice(() => {
                this.buySmokeNum_buy(updateUI_func, point, data);
            });
        }

        private buy_diamond_and_buyPlayer(updateUI_func, point, data) {
            this.buyMaxPrice(() => {
                this.buyPlayer_buy(updateUI_func, point, data);
            });
        }

        private buy_diamond_and_buyoPotion(updateUI_func, point, data) {
            this.buyMaxPrice(() => {
                this.buyPotion_buy(updateUI_func, point, data);
            });
        }

        private buy_diamond_and_buyfuhuo(updateUI_func, point, data) {
            this.buyMaxPrice(() => {
                this.buyResurrection_buy(updateUI_func, point, data);
            });
        }

        private buy_diamond_and_buyUpWeapon(updateUI_func, point, data, weaponame) {
            this.buyMaxPrice(() => {
                this.buyUpWeapon_buy(updateUI_func, point, data, weaponame);
            });
        }

        private buy_diamond_and_buyPosion(updateUI_func, point, data) {
            this.buyMaxPrice(() => {
                this.buyPosion_buy(updateUI_func, point, data);
            });
        }

        private buy_diamond_and_fuhuo(updateUI_func, point, data, failback) {
            this.buyMaxPrice(() => {
                this.buyFuhuo_buy(updateUI_func, point, data);
            }, () => {
                failback.call();
            });
        }

        private buy_diamond_and_buyBullet(updateUI_func, point) {
            this.buyMaxPrice(() => {
                this.buyBullet_buy(updateUI_func, point);
            });
        }
    }
}