module game {
    export class ui_buy extends UiBase {
        static g_instarn: ui_buy = null;

        static getMe() {
            return ui_buy.g_instarn;
        };

        static ShowOrHide = function (flag, msg, okCallback = null, noCallback = null) {
            UiBase.ShowOrHide(flag, ui_buy, uiMgr.getMe(), 99999999, {
                msg: msg,
                okcallback: okCallback,
                nocallback: noCallback
            });
        };
        m_okCallback: Function = null
        m_noCallback: Function = null

        constructor() {
            super();
            this.m_des = "ui_buy";
            this.m_CBaseKeyState = new BaseKeyState()
        }

        oninit(data) {
            let root = this._parseUIFile("messagebox1.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root)

            if (data.okcallback) {
                this.m_okCallback = data.okcallback
            }
            if (data.nocallback) {
                this.m_noCallback = data.nocallback
            }
            let strText: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "neirong")
            strText.setString(data.msg)

            let okButton: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "queren")
            okButton.addTouchEventListener(this.ok_func, this)

            let noButton: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "fanhui")
            noButton.addTouchEventListener(this.no_func, this)

            this.m_CBaseKeyState.regNodeEx(okButton, 1)
            this.m_CBaseKeyState.regNodeEx(noButton, 2)
            this.m_CBaseKeyState.init(this)
            if (Version_mgr.getInstance().m_option.isOk == 1) {
                this.m_CBaseKeyState.setCurKey(okButton);
            } else {
                this.m_CBaseKeyState.setCurKey(noButton);
            }
            if(ui_zhandoujiemian.getMe() || ui_zhandoujiemian2.getMe()){
                if(roleMgr.getMe()){
                    if(roleMgr.getMe().isPlayerAllDead()){
                        if(Version_mgr.getInstance().m_option.deathFocus){
                            this.m_CBaseKeyState.setCurKey(okButton);
                        }else {
                            this.m_CBaseKeyState.setCurKey(noButton);
                        }
                    }
                }
            }
        }

        ok_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.endLayout(function () {
                        ui_buy.ShowOrHide(false, null)
                        if (this.m_okCallback) {
                            this.m_okCallback()
                        }
                    }.bind(this))
                    break
            }
        }

        no_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.endLayout(function () {
                        if (this.m_noCallback) {
                            this.m_noCallback()
                        }
                        ui_buy.ShowOrHide(false, null)
                    }.bind(this))
                    break
            }
        }

        loop(t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t)
            }
        }
    }
}