module game {
    let g_LEFT_RIGHT_JIANGE = 100;

    export class cameraMgr {
        static g_instance: cameraMgr = null;
        static getMe = function (): cameraMgr {
            if (cameraMgr.g_instance == null) {
                cameraMgr.g_instance = new cameraMgr();
            }
            return cameraMgr.g_instance;
        };

        m_speed: any = 0;
        m_speed_max: any = 100;
        m_rect: any = cc.rect();
        m_Min_pos: any = cc.p(0, 0);
        m_Max_pos: any = cc.p(2000, 1200);
        // m_StartPosition: any = cc.p(0, 0);
        // m_shakeTime: any = 0;
        // m_shake_fudu: any = 0;
        m_cameraMgr_jsbs: cc.cameraMgr_jsb = null;
        m_sceneScale: any = null;
        m_curRole;

        initex() {
            this.m_sceneScale = sceneMgr.getMe().getCurScene().getsceneReScale();
            this.m_speed = this.m_speed_max; //
            if (cc.sys.isNative) {
                if (this.m_cameraMgr_jsbs == null) {
                    this.m_cameraMgr_jsbs = new cc.cameraMgr_jsb();
                }
                this.m_cameraMgr_jsbs.initEx();
            }
        }

        reset(playPos: cc.Vec2, node) {
            this.m_curRole = node;
            // playPos.x = this.m_curRole.getPositionX();
            //
            // let visibleSize: cc.Size = cc.director.getVisibleSize();
            // let newpos_x = 0;
            // let tt = null;
            // if (this.m_curRole) {
            //     tt = this.m_curRole.getState(g_AiType.g_AiType_run);
            //     if (!tt) {
            //         tt = {};
            //         tt.m_dir = cc.p(1, 0)
            //     }
            // }
            // else {
            //     return;
            // }
            //
            // if (tt.m_dir.x > 0) {
            //     newpos_x = VisibleRect.center().x - playPos.x - g_LEFT_RIGHT_JIANGE;
            // }
            // else {
            //     newpos_x = VisibleRect.center().x - playPos.x + g_LEFT_RIGHT_JIANGE;
            // }
            // if (newpos_x < -(this.m_Max_pos.x) + visibleSize.width) {
            //     newpos_x = -(this.m_Max_pos.x) + visibleSize.width;
            // }
            // if (newpos_x > -this.m_Min_pos.x) {
            //     newpos_x = -this.m_Min_pos.x;
            // }
            // //  sceneMgr.getMe().setPositionX(newpos_x);
        }

        loop_normal(t) {

            if (roleMgr.getMe() == null) {
                return;
            }
            if (this.m_curRole == null) {
                return;
            }
            // let tt = this.m_curRole.getState(g_AiType.g_AiType_run);
            // if (!tt) {
            //     return;
            // }
            if (this.m_curRole.m_roledir > 0) {
                let newpos_x = VisibleRect.center().x / rootScene.getMe().m_win_scale - this.m_curRole.getPositionX() - g_LEFT_RIGHT_JIANGE;
                newpos_x = this.loop_h_move(t, newpos_x);
                sceneMgr.getMe().setPositionX(newpos_x);
            } else {
                let newpos_x = VisibleRect.center().x / rootScene.getMe().m_win_scale - this.m_curRole.getPositionX() + g_LEFT_RIGHT_JIANGE;
                newpos_x = this.loop_h_move(t, newpos_x);
                sceneMgr.getMe().setPositionX(newpos_x);
            }

            let newpos_y = VisibleRect.center().y / rootScene.getMe().m_win_scale - this.m_curRole.getPositionY();
            newpos_y = this.loop_w_move(t, newpos_y);
            sceneMgr.getMe().setPositionY(newpos_y);
        }

        loop(t: number) {
            this.loop_normal(t);
        }

        loop_h_move(t, newpos_x) {
            let visibleSize = cc.director.getVisibleSize();
            let sc_pos = sceneMgr.getMe().getPositionX() * sceneMgr.getMe().getCurScene().getsceneReScale();
            let dis = sc_pos - newpos_x;
            let movedis = (dis / 130) * (this.m_speed + this.m_curRole.getSpeed()) * t;
            if (movedis < 0) {
                movedis = -movedis;
            }
            if (dis > 0) {
                if (movedis < dis) {
                    newpos_x = sc_pos - movedis;
                }
            }
            else {
                if (movedis < -dis) {
                    newpos_x = sc_pos + movedis;
                }
            }
            newpos_x = newpos_x * rootScene.getMe().m_win_scale;
            let maxcamera = -((this.m_Max_pos.x) * rootScene.getMe().m_win_scale) + visibleSize.width;
            let mincamera = -(this.m_Min_pos.x) * rootScene.getMe().m_win_scale;

            if (newpos_x < maxcamera) {
                newpos_x = maxcamera;
                return newpos_x;
            }
            if (newpos_x > mincamera) {
                newpos_x = mincamera;
                return newpos_x;
            }
            return newpos_x;
        }

        loop_w_move(t, newpos_y): number {
            let visibleSize = cc.director.getVisibleSize();
            let sc_pos = sceneMgr.getMe().getPositionY() * sceneMgr.getMe().getCurScene().getsceneReScale();
            let dis = sc_pos - newpos_y;
            let movedis = (dis / 130) * (this.m_speed) * t;
            if (movedis < 0) {
                movedis = -movedis;
            }

            if (dis > 0) {
                if (movedis < dis) {
                    newpos_y = sc_pos - movedis;
                }
            }
            else {
                if (movedis < -dis) {
                    newpos_y = sc_pos + movedis;
                }
            }
            newpos_y = newpos_y * rootScene.getMe().m_win_scale;
            let maxcamera = -((this.m_Max_pos.y) * rootScene.getMe().m_win_scale) + visibleSize.height;
            let mincamera = -(this.m_Min_pos.y) * rootScene.getMe().m_win_scale;

            if (newpos_y < maxcamera) {
                newpos_y = maxcamera;
                return newpos_y;
            }
            if (newpos_y > mincamera) {
                newpos_y = mincamera;
                return newpos_y;
            }
            return newpos_y;
        }

        static fgRangeRand(min, max) {
            let rnd = (cc.random0To1() * max * 2) - max;
            return rnd * (max - min) + min;
        }

        updata_Shake(t) {
            //震动x轴不移动
            // let randy = cameraMgr.fgRangeRand(-this.m_shake_fudu, this.m_shake_fudu) * t;
            // let newPos = cc.pAdd(this.m_StartPosition, cc.p(0, randy));
            // let visibleSize = cc.director.getVisibleSize();
            // if (newPos.y < -(this.m_Max_pos.y * rootScene.getMe().m_win_scale) + visibleSize.height) {
            //     newPos.y = -(this.m_Max_pos.y * rootScene.getMe().m_win_scale) + visibleSize.height;
            // }
            // if (newPos.y > this.m_Min_pos.y * rootScene.getMe().m_win_scale) {
            //     newPos.y = this.m_Min_pos.y * rootScene.getMe().m_win_scale;
            // }
            //
            // sceneMgr.getMe().setPositionY(newPos.y);
        }


        setRect(rect) {
            //
            this.m_Min_pos.x = cc.rectGetMinX(rect); // rect.getMinX();//  m_SceneInfo.min_camera_x;
            this.m_Min_pos.y = cc.rectGetMinY(rect); //rect.getMinY(); // m_SceneInfo.min_camera_y;
            this.m_Max_pos.x = cc.rectGetMaxX(rect); //rect.getMaxX();// m_SceneInfo.max_camera_x;
            if (sceneMgr.getMe().getCurSceneInfo().max_camera_x < this.m_Max_pos.x) {
                this.m_Max_pos.x = sceneMgr.getMe().getCurSceneInfo().max_camera_x;
            }
            this.m_Max_pos.y = cc.rectGetMaxY(rect); //rect.getMaxY(); //
            if (sceneMgr.getMe().getCurSceneInfo().max_camera_y < this.m_Max_pos.y) {
                this.m_Max_pos.y = sceneMgr.getMe().getCurSceneInfo().max_camera_y;
            }
            this.m_rect.x = this.m_Min_pos.x;
            this.m_rect.y = this.m_Min_pos.y;
            this.m_rect.width = this.m_Max_pos.x - this.m_Min_pos.x;
            this.m_rect.height = this.m_Max_pos.y - this.m_Min_pos.y;
        }

        getRect() {
            let newrect = cc.clone(this.m_rect);
            newrect.x = newrect.x + 100;
            newrect.width = newrect.width - 200;
            return newrect;
        }


    }
}


