var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by cy1234 on 2016/7/14.
 */
//   与c++ 交互的类
var game;
(function (game) {
    //定义类型   在http mgr中添加对应 的类
    game.g_httpType = {
        type_codesortInfo: 1,
        type_WritePlayData: 2,
        type_ReadPlayData: 3,
        type_httpLoginThreePath: "1001",
        type_httpLogin: "login",
        type_httpZhuce: "zhuce",
        type_ping: "ping",
        type_httpConsumptionList: "",
        // type_httpSaveGameData: "saveGameData",   //上传用户数据
        // type_httpGetGameData: "getGameData",     //获取用户数据
        type_httpGetServerTime: "ServerTime",
        type_httpSaveScore: "SaveScore",
        type_httpGetScore: "GetScore",
        // type_httpGetTopList: "GetTopList",         //获取游戏排行榜
        // type_httpGetMyTop: "GetMyTop",         //获取我的排名信息
        type_httpShoppinglog: "Shoppinglog",
        type_savadata: "savadata",
        type_getdata: "getdata",
        type_setAcc: "saveacc",
        type_getAcc: "getacc",
        type_updateAcc: "updateacc",
        type_httpGetNickNames: "shenyuanmyTop",
        /*CD-碟，KEY-钥匙，就是碟的钥匙，专业术语叫注册码，实际就是一个密码，
         但是这个密码和普通密码不同的是它只能通过读碟来输入而不能从键盘输入，
         即使别人知道了也不行，一般网上银行需要用它以保证客户资料的安全。
         简单说cd key 是软件注册码光盘上安装软件的密码或序列号。
         比如系统安装光盘在安装系统时有一排长方框要你输入号码就是。
         */
        type_CDKEY: "type_CDKEY",
        type_userAward: "userAward",
    };
    var HttpBaseNative = (function () {
        function HttpBaseNative() {
            this.m_HttpBaseJs = null;
            this.m_is_send = false;
            this.m_time_chaoshi = 10;
            this.m_timer = null;
            this.m_CompletedCallBack = null;
            this.m_ErrorCallBack = null;
            this.m_isshengjianserver = 0;
            this.init();
        }
        HttpBaseNative.prototype.init = function () {
            if (cc.sys.isNative) {
                this.m_HttpBaseJs = new cc.HttpBaseJs();
                this.m_HttpBaseJs.onHttpRequestCompleted = this.onHttpRequestCompleted.bind(this);
                this.m_HttpBaseJs.onError = this.onError;
            }
            else {
                this.m_HttpBaseJs = cc.loader.getXMLHttpRequest();
            }
        };
        //isPost : 1 POST 模式 0 ：GET 模式
        HttpBaseNative.prototype.httpSendMsg = function (url, isPost, isshengjianserver) {
            if (isPost === void 0) { isPost = null; }
            if (isshengjianserver === void 0) { isshengjianserver = null; }
            // console.log("Http sendUrl:" + url);
            if (cc.sys.isNative) {
                if (this.m_HttpBaseJs) {
                    if (isPost == null) {
                        isPost = 0;
                    }
                    if (isshengjianserver == null) {
                        isshengjianserver = 1;
                    }
                    this.m_HttpBaseJs.onSendMsg(url, isPost, isshengjianserver);
                }
                else {
                    this.onError();
                }
            }
            else {
                //中转url
                // http://120.26.68.32:52383/d=''&msgType=zhuce&acc=mac_html5&mima=d41d8cd98f00b204e9800998ecf8427e
                //base64_encode
                var base64url = game.base64Mgr.encode(url);
                var testss = game.base64Mgr.decode(base64url);
                testss = testss.toString();
                // let newurl = "http://192.168.2.128:54286/d=''&msgType=geturl&url=" + base64url;
                var newurl = "http://120.26.68.32:54286/d=''&msgType=geturl&url=" + base64url;
                var ret = this.m_HttpBaseJs.open("GET", newurl, true);
                this.m_HttpBaseJs.onreadystatechange = this.httpCallBack.bind(this);
                ret = this.m_HttpBaseJs.send(null);
            }
            this.m_isshengjianserver = isshengjianserver;
        };
        HttpBaseNative.prototype.httpCallBack = function () {
            if (this.m_HttpBaseJs.readyState != 4) {
                return;
            }
            if (this.m_HttpBaseJs.readyState == 4 && (this.m_HttpBaseJs.status >= 200 && this.m_HttpBaseJs.status <= 207)) {
                var httpStatus = this.m_HttpBaseJs.statusText;
                //this.m_HttpBaseJs.responseText
                if (this.m_isshengjianserver == 1) {
                    var outdata = JSON.parse(this.m_HttpBaseJs.responseText);
                    outdata = JSON.parse(outdata["data"]);
                    this.onHttpRequestCompleted(outdata["Result"], outdata["Description"]);
                }
                else {
                    this.onHttpRequestCompleted(this.m_HttpBaseJs.responseText);
                }
            }
            else {
                this.onError();
                return;
            }
        };
        HttpBaseNative.prototype.onError = function () {
            this.m_is_send = false;
            if (this.m_ErrorCallBack) {
                this.m_ErrorCallBack();
            }
        };
        HttpBaseNative.prototype.onHttpRequestCompleted = function (result, Description) {
            this.m_is_send = false;
            if (this.m_CompletedCallBack) {
                this.m_CompletedCallBack(result);
            }
            // console.log("JS result:"+ result);
            // console.log("JS Description:"+ Description);
            // console.log(" HttpBaseNative onHttpRequestCompleted!!!!");
        };
        HttpBaseNative.create = function () {
            var l_ins = new HttpBaseNative();
            return l_ins;
        };
        return HttpBaseNative;
    }());
    game.HttpBaseNative = HttpBaseNative;
    var httpBase = (function (_super) {
        __extends(httpBase, _super);
        function httpBase() {
            _super.call(this);
            this.m_sendUrl = null;
            this.m_downloaderror = false;
            this.m_type = null;
        }
        httpBase.prototype.addWorld = function (key, val) {
            var data = null;
            data = "&" + key + "=" + val;
            this.m_sendUrl += data;
        };
        httpBase.prototype.shutdown = function () {
        };
        httpBase.prototype.onSendMsg = function (data, data1) {
        };
        httpBase.prototype.onError = function () {
            // try
            // {
            //     let log ;
            //     let d= log.dd();
            //
            // }
            // catch (e){
            //
            //     console.log(e.stack);
            // }
            //console.log("连接服务器失败!")
            // Version_mgr.getInstance().setNewAccount( true )
            _super.prototype.onError.call(this);
        };
        httpBase.prototype.isError = function () {
            return this.m_downloaderror;
        };
        httpBase.prototype.loop = function (t) {
        };
        httpBase.prototype.generateSign = function (isBossID, isAccount, isGameID, data) {
            var game_PrivateKey = game.httpMgr.getMe().g_game_PrivateKey;
            var Source = "";
            var BossID = game.iapMgr.getMe().getplatformId();
            var Account = game.iapMgr.getMe().getaccount();
            var GameID = game.iapMgr.getMe().getGameId();
            var KeyMap = new game.Map();
            for (var p in data) {
                if (data[p] != null) {
                    KeyMap.set(p, data[p]);
                }
            }
            if (isAccount) {
                KeyMap.set("Account", Account);
            }
            if (isBossID) {
                KeyMap.set("BossID", BossID);
            }
            if (isGameID) {
                KeyMap.set("GameID", GameID);
            }
            KeyMap.m_keys.sort(function (a, b) {
                return a.charCodeAt(0) - b.charCodeAt(0);
            });
            KeyMap.forEach(function (k, v) {
                Source += k;
            }, this);
            var MySign = Source + game_PrivateKey;
            //console.log("加密前：" + MySign)
            MySign = game.js_GameLogicMgr.getMe().sign(MySign);
            //console.log("加密后：" + MySign)
            return MySign;
        };
        httpBase.prototype.onSendMsgEx = function (url, isBossID, isAccount, isGameID, data) {
            if (isBossID === void 0) { isBossID = false; }
            if (isAccount === void 0) { isAccount = false; }
            if (isGameID === void 0) { isGameID = false; }
            url = game.httpMgr.getMe().g_url_server_one + url + "?";
            var BossID = "&BossID=" + game.iapMgr.getMe().getplatformId();
            var Account = "&Account=" + game.iapMgr.getMe().getaccount();
            var GameID = "&GameID=" + game.iapMgr.getMe().getGameId();
            var KeyMap = new game.Map();
            for (var p in data) {
                if (data[p] != null) {
                    KeyMap.set(p, "&" + p + "=" + data[p]);
                }
            }
            if (isAccount) {
                KeyMap.set("Account", Account);
            }
            if (isBossID) {
                KeyMap.set("BossID", BossID);
            }
            if (isGameID) {
                KeyMap.set("GameID", GameID);
            }
            //根据首字母排序
            KeyMap.m_keys.sort(function (a, b) {
                return a.charCodeAt(0) - b.charCodeAt(0);
            });
            KeyMap.forEach(function (k, v) {
                //带中文参数的在这里都 要转gb2312 再 encode一下 ，签名不需要转，直接签
                // if (v == "NickName") {
                //     k = "&NickName=" + js_GameLogicMgr.getMe().u2g_encode(k.replace("&NickName=", ""))
                // }
                // if (v == "GameData") {
                //     let play_str: string = k.replace("&GameData=", "")
                //     let play_doc: play_doc_s = JSON.parse(play_str)
                //     play_doc.coreData.name = js_GameLogicMgr.getMe().u2g_encode(play_doc.coreData.name)
                //     k = "&GameData=" + JSON.stringify(play_doc)
                // }
                if (v == "PropName") {
                    k = "&PropName=" + game.js_GameLogicMgr.getMe().encode_gb2312(k.replace("&PropName=", ""));
                }
                url += k;
            }, this);
            var sign = "&sign=" + this.generateSign(isBossID, isAccount, isGameID, data);
            url += sign;
            url = url.replace("?&", "?");
            return url;
        };
        httpBase.prototype.generateSign2 = function (isBossID, isAccount, isGameID, propName, extend, Count, NickName, GameData, Type, Score, Num, IsIncludeSelf, Scores) {
            var game_PrivateKey = game.fileMgr.getMe().m_net_info.g_game_PrivateKey;
            var Source = "";
            var BossID = game.iapMgr.getMe().getplatformId();
            var Account = game.iapMgr.getMe().getaccount();
            var GameID = game.iapMgr.getMe().getGameId();
            if (isAccount) {
                Source += Account;
            }
            if (isBossID) {
                Source += BossID;
            }
            if (Count) {
                Source += Count;
            }
            if (extend) {
                Source += extend;
            }
            if (GameData) {
                Source += GameData;
            }
            if (isGameID) {
                Source += GameID;
            }
            if (IsIncludeSelf) {
            }
            if (NickName) {
                Source += NickName;
            }
            if (Num) {
                Source += Num;
            }
            if (propName) {
                Source += propName;
            }
            if (Score) {
                Source += Score;
            }
            if (Scores) {
                Source += Scores;
            }
            if (Type) {
                Source += Type;
            }
            var MySign = Source + game_PrivateKey;
            // console.log("签名前的字符串 ----------- " + MySign);
            MySign = game.js_GameLogicMgr.getMe().sign(MySign);
            // console.log("签名后的字符串 +++++++++++ " + MySign);
            return MySign;
        };
        httpBase.prototype.onSendMsgEx2 = function (url, isBossID, isAccount, isGameID, propName, extend, Count, NickName, GameData, Type, Score, Num, IsIncludeSelf, Scores) {
            url = game.fileMgr.getMe().m_net_info.g_url_server_one + url + "?";
            var BossID = "&BossID=" + game.iapMgr.getMe().getplatformId();
            var Account = "&Account=" + game.iapMgr.getMe().getaccount();
            var GameID = "&GameID=" + game.iapMgr.getMe().getGameId();
            if (isAccount) {
                url += Account;
            }
            if (isBossID) {
                url += BossID;
            }
            if (Count) {
                url += "&Count=" + Count;
            }
            if (extend) {
                url += "&Extend=" + extend;
            }
            if (GameData) {
                var name_1 = GameData.coreData.name;
                GameData.coreData.name = game.js_GameLogicMgr.getMe().encode_gb2312(name_1);
                url += "&GameData=" + JSON.stringify(GameData);
                GameData.coreData.name = name_1;
                GameData = JSON.stringify(GameData);
            }
            if (isGameID) {
                url += GameID;
            }
            if (IsIncludeSelf) {
            }
            if (NickName) {
                var s = game.js_GameLogicMgr.getMe().encode_gb2312(NickName);
                url += "&NickName=" + s;
            }
            if (Num) {
                url += "&Num=" + Num;
            }
            if (propName) {
                var s = game.js_GameLogicMgr.getMe().encode_gb2312(propName);
                url += "&PropName=" + s;
            }
            if (Score) {
                url += "&Score=" + Score;
            }
            if (Scores) {
                url += "&Scores=" + Scores;
            }
            if (Type) {
                url += "&Type=" + Type;
            }
            url += "&sign=" + this.generateSign2(isBossID, isAccount, isGameID, propName, extend, Count, NickName, GameData, Type, Score, Num, IsIncludeSelf, Scores);
            url = url.replace("?&", "?");
            console.log("send_url : " + url);
            return url;
        };
        return httpBase;
    }(HttpBaseNative));
    game.httpBase = httpBase;
})(game || (game = {}));
//# sourceMappingURL=a_HttpBaseNative.js.map