/**
 * Created by cy1234 on 2016/7/14.
 */
//   与c++ 交互的类
module game {
    //定义类型   在http mgr中添加对应 的类
    export let g_httpType = {
        type_codesortInfo: 1,
        type_WritePlayData: 2,
        type_ReadPlayData: 3,

        type_httpLoginThreePath: "1001", //第三方帐号登录
        type_httpLogin: "login", //自有帐号登录
        type_httpZhuce: "zhuce", //自有帐号登录
        type_ping: "ping", //
        type_httpConsumptionList: "",

        // type_httpSaveGameData: "saveGameData",   //上传用户数据
        // type_httpGetGameData: "getGameData",     //获取用户数据
        type_httpGetServerTime: "ServerTime",     //获取服务器时间
        type_httpSaveScore: "SaveScore",         //保存用户分数
        type_httpGetScore: "GetScore",           //获取游戏分数
        // type_httpGetTopList: "GetTopList",         //获取游戏排行榜
        // type_httpGetMyTop: "GetMyTop",         //获取我的排名信息
        type_httpShoppinglog: "Shoppinglog",     //消费日志


        type_savadata: "savadata",
    type_getdata: "getdata",

        type_setAcc: "saveacc",
        type_getAcc: "getacc",
        type_updateAcc: "updateacc",

        type_httpGetNickNames: "shenyuanmyTop",
        /*CD-碟，KEY-钥匙，就是碟的钥匙，专业术语叫注册码，实际就是一个密码，
         但是这个密码和普通密码不同的是它只能通过读碟来输入而不能从键盘输入，
         即使别人知道了也不行，一般网上银行需要用它以保证客户资料的安全。
         简单说cd key 是软件注册码光盘上安装软件的密码或序列号。
         比如系统安装光盘在安装系统时有一排长方框要你输入号码就是。
         */
        type_CDKEY: "type_CDKEY",            //注册码
        type_userAward: "userAward",       //奖品
    };
    export class HttpBaseNative {
        m_HttpBaseJs: any = null;
        m_is_send: any = false;
        m_time_chaoshi: any = 10;
        m_timer: any = null;
        m_CompletedCallBack: Function = null
        m_ErrorCallBack: Function = null
        m_isshengjianserver: number = 0;
        static create = function () {
            let l_ins = new HttpBaseNative();
            return l_ins;
        };

        constructor() {
            this.init();
        }

        init() {
            if (cc.sys.isNative) {

                this.m_HttpBaseJs = new cc.HttpBaseJs();
                this.m_HttpBaseJs.onHttpRequestCompleted = this.onHttpRequestCompleted.bind(this);
                this.m_HttpBaseJs.onError = this.onError;
            }
            else {
                this.m_HttpBaseJs = cc.loader.getXMLHttpRequest();
            }
        }

        //isPost : 1 POST 模式 0 ：GET 模式
        httpSendMsg(url, isPost: any = null, isshengjianserver: any = null) {
            // console.log("Http sendUrl:" + url);
            if (cc.sys.isNative) {
                if (this.m_HttpBaseJs) {
                    if (isPost == null) {
                        isPost = 0;
                    }
                    if (isshengjianserver == null) {
                        isshengjianserver = 1;

                    }

                    this.m_HttpBaseJs.onSendMsg(url, isPost, isshengjianserver);
                }
                else {
                    this.onError();
                }


            }
            else {

                //中转url
                // http://120.26.68.32:52383/d=''&msgType=zhuce&acc=mac_html5&mima=d41d8cd98f00b204e9800998ecf8427e

                //base64_encode
                let base64url = base64Mgr.encode(url);
                let testss = base64Mgr.decode(base64url);
                testss = testss.toString();
               // let newurl = "http://192.168.2.128:54286/d=''&msgType=geturl&url=" + base64url;
                let newurl = "http://120.26.68.32:54286/d=''&msgType=geturl&url=" + base64url;

                let ret = this.m_HttpBaseJs.open("GET", newurl, true);

                this.m_HttpBaseJs.onreadystatechange = this.httpCallBack.bind(this);
                ret = this.m_HttpBaseJs.send(null);
            }

            this.m_isshengjianserver = isshengjianserver;
        }

        httpCallBack()
        {
            if (this.m_HttpBaseJs.readyState != 4)
            {
                return;
            }
            if (this.m_HttpBaseJs.readyState == 4 && (this.m_HttpBaseJs.status >= 200 && this.m_HttpBaseJs.status <= 207)) {
                var httpStatus = this.m_HttpBaseJs.statusText;

                //this.m_HttpBaseJs.responseText


                if ( this.m_isshengjianserver == 1)
                {
                    let outdata =  JSON.parse( this.m_HttpBaseJs.responseText );
                     outdata = JSON.parse( outdata["data"] );
                        this.onHttpRequestCompleted(outdata["Result"],outdata["Description"]);



                }
                else {

                    this.onHttpRequestCompleted(this.m_HttpBaseJs.responseText);
                }


            }
            else
            {
                this.onError();
                return;
            }
        }


        onError() {
            this.m_is_send = false;
            if ( this.m_ErrorCallBack )
            {
                this.m_ErrorCallBack();
            }
        }

        onHttpRequestCompleted(result, Description?) {
            this.m_is_send = false;
            if (this.m_CompletedCallBack) {
                this.m_CompletedCallBack(result)
            }
            // console.log("JS result:"+ result);
            // console.log("JS Description:"+ Description);
            // console.log(" HttpBaseNative onHttpRequestCompleted!!!!");
        }
    }

    export class httpBase extends HttpBaseNative {
        m_sendUrl: string = null;
        m_downloaderror: any = false;
        m_type: any = null;

        constructor() {
            super();
        }

        addWorld(key, val) {
            var data = null;
            data = "&" + key + "=" + val;
            this.m_sendUrl += data;
        }

        shutdown() {
        }

        onSendMsg(data, data1) {
        }

        onError() {
            // try
            // {
            //     let log ;
            //     let d= log.dd();
            //
            // }
            // catch (e){
            //
            //     console.log(e.stack);
            // }
            //console.log("连接服务器失败!")
            // Version_mgr.getInstance().setNewAccount( true )
            super.onError();
        }

        isError() {
            return this.m_downloaderror;
        }

        loop(t) {
        }

        generateSign(isBossID, isAccount, isGameID, data: httpStruct) {
            let game_PrivateKey = httpMgr.getMe().g_game_PrivateKey;
            let Source = "";
            let BossID = iapMgr.getMe().getplatformId();
            let Account = iapMgr.getMe().getaccount();
            let GameID = iapMgr.getMe().getGameId();

            let KeyMap: game.Map<string,string> = new game.Map<string,string>()
            for (let p in data) {
                if (data[p] != null) {
                    KeyMap.set(p, data[p])
                }
            }
            if (isAccount) {
                KeyMap.set("Account", Account)
            }
            if (isBossID) {
                KeyMap.set("BossID", BossID)
            }
            if (isGameID) {
                KeyMap.set("GameID", GameID)
            }
            KeyMap.m_keys.sort(function (a: string, b: string) {
                return a.charCodeAt(0) - b.charCodeAt(0)
            })
            KeyMap.forEach((k, v) => {
                Source += k
            }, this)
            let MySign: string = Source + game_PrivateKey;
            //console.log("加密前：" + MySign)
            MySign = js_GameLogicMgr.getMe().sign(MySign);
            //console.log("加密后：" + MySign)
            return MySign;
        }

        onSendMsgEx(url, isBossID = false, isAccount = false, isGameID = false, data: httpStruct) {
            url = httpMgr.getMe().g_url_server_one + url + "?";
            let BossID = "&BossID=" + iapMgr.getMe().getplatformId();
            let Account = "&Account=" + iapMgr.getMe().getaccount();
            let GameID = "&GameID=" + iapMgr.getMe().getGameId();
            let KeyMap: game.Map<string,string> = new game.Map<string,string>()
            for (let p in data) {
                if (data[p] != null) {
                    KeyMap.set(p, "&" + p + "=" + data[p])
                }
            }
            if (isAccount) {
                KeyMap.set("Account", Account)
            }
            if (isBossID) {
                KeyMap.set("BossID", BossID)
            }
            if (isGameID) {
                KeyMap.set("GameID", GameID)
            }
            //根据首字母排序
            KeyMap.m_keys.sort(function (a: string, b: string) {
                return a.charCodeAt(0) - b.charCodeAt(0)
            })
            KeyMap.forEach((k, v) => {
                //带中文参数的在这里都 要转gb2312 再 encode一下 ，签名不需要转，直接签
                // if (v == "NickName") {
                //     k = "&NickName=" + js_GameLogicMgr.getMe().u2g_encode(k.replace("&NickName=", ""))
                // }
                // if (v == "GameData") {
                //     let play_str: string = k.replace("&GameData=", "")
                //     let play_doc: play_doc_s = JSON.parse(play_str)
                //     play_doc.coreData.name = js_GameLogicMgr.getMe().u2g_encode(play_doc.coreData.name)
                //     k = "&GameData=" + JSON.stringify(play_doc)
                // }
                if (v == "PropName") {
                    k = "&PropName=" + js_GameLogicMgr.getMe().encode_gb2312(k.replace("&PropName=", ""))
                }
                url += k
            }, this)
            let sign = "&sign=" + this.generateSign(isBossID, isAccount, isGameID, data);
            url += sign;
            url = url.replace("?&", "?");
            return url;
        }

        generateSign2(isBossID, isAccount, isGameID, propName, extend, Count, NickName, GameData,Type,Score,Num,IsIncludeSelf,Scores) {
            let game_PrivateKey = fileMgr.getMe().m_net_info.g_game_PrivateKey;
            let Source = "";
            let BossID = iapMgr.getMe().getplatformId();
            let Account = iapMgr.getMe().getaccount();
            let GameID = iapMgr.getMe().getGameId();
            if (isAccount) {
                Source += Account;
            }
            if (isBossID) {
                Source += BossID;
            }
            if (Count) {
                Source += Count;
            }
            if (extend) {
                Source += extend;
            }
            if (GameData) {
                Source += GameData;
            }
            if (isGameID) {
                Source += GameID;
            }
            if (IsIncludeSelf) {
                // Source += IsIncludeSelf;
            }
            if (NickName) {
                Source += NickName;
            }
            if (Num) {
                Source += Num;
            }
            if (propName){
                Source += propName;
            }
            if (Score){
                Source += Score;
            }
            if (Scores){
                Source += Scores;
            }
            if (Type){
                Source += Type;
            }
            let MySign = Source + game_PrivateKey;
            // console.log("签名前的字符串 ----------- " + MySign);
            MySign = js_GameLogicMgr.getMe().sign(MySign);
            // console.log("签名后的字符串 +++++++++++ " + MySign);
            return MySign;
        }

        onSendMsgEx2(url, isBossID, isAccount, isGameID, propName, extend?, Count?, NickName?, GameData?,Type?,Score?,Num?,IsIncludeSelf?,Scores?) {
            url = fileMgr.getMe().m_net_info.g_url_server_one + url + "?";
            let BossID = "&BossID=" + iapMgr.getMe().getplatformId();
            let Account = "&Account=" + iapMgr.getMe().getaccount();
            let GameID = "&GameID=" + iapMgr.getMe().getGameId();
            if (isAccount) {
                url += Account;
            }
            if (isBossID) {
                url += BossID;
            }
            if (Count) {
                url += "&Count=" + Count;
            }
            if (extend) {
                url += "&Extend=" + extend;
            }
            if (GameData) {
                let name = GameData.coreData.name;
                GameData.coreData.name = js_GameLogicMgr.getMe().encode_gb2312(name);
                url += "&GameData=" + JSON.stringify(GameData);
                GameData.coreData.name = name;
                GameData = JSON.stringify(GameData);
            }
            if (isGameID) {
                url += GameID;
            }
            if (IsIncludeSelf) {
                // url += "&IsIncludeSelf=" + IsIncludeSelf;
            }
            if (NickName) {
                let s = js_GameLogicMgr.getMe().encode_gb2312(NickName);
                url += "&NickName=" + s;
            }
            if (Num) {
                url += "&Num=" + Num;
            }
            if (propName) {
                let s = js_GameLogicMgr.getMe().encode_gb2312(propName);
                url += "&PropName=" + s;
            }
            if (Score) {
                url += "&Score=" + Score;
            }
            if (Scores) {
                url += "&Scores=" + Scores;
            }
            if (Type) {
                url += "&Type=" + Type;
            }
            url += "&sign=" + this.generateSign2(isBossID, isAccount, isGameID, propName, extend, Count, NickName, GameData,Type,Score,Num,IsIncludeSelf,Scores);
            url = url.replace("?&", "?");
            console.log("send_url : " + url);
            return url;
        }
    }
}
