/**
 * Created by cy1234 on 2016/5/28.
 */
/**
 * Created by cy1234 on 2016/5/28.
 */
//维护者 魏红兵
//http://www.tuicool.com/articles/VzUzEbI
var game;
(function (game) {
    //  let WebSocket = WebSocket || (<any>window).WebSocket || (<any>window).MozWebSocket;
    //http://www.cnblogs.com/axes/p/3586132.html
    game.g_protoflag = 2;
    var baseWebSocketManager = (function () {
        function baseWebSocketManager() {
            this._wsiSendText = null;
            this.m_msgMap = null;
            this.m_classMap = null;
            this.m_isConnect = false;
            this.m_isConnecting = false;
            this.m_msgDataList = null;
            this.m_msgDataListkey = 0;
            this.m_msgMap = new game.MapGame();
            this.m_classMap = new game.MapGame();
            this.m_msgDataList = new game.MapGame();
        }
        baseWebSocketManager.prototype.init = function (ipport, loginData) {
            if (ipport === void 0) { ipport = null; }
            if (loginData === void 0) { loginData = null; }
            if (this.m_isConnect == true) {
                return false;
            }
            if (this.m_isConnecting == true) {
                return false;
            }
            this.m_isConnecting = true;
            if (ipport == null) {
                game.uiMgr.getMe().show_ui_MessageBox(true, "未配置websocket服务器信息");
                ipport = "ws://127.0.0.1:33434";
            }
            if (this._wsiSendText != null) {
                console.log("websocket 已经连接。");
                return false;
            }
            if (WebSocket == null) {
                WebSocket = window.WebSocket || window.MozWebSocket;
            }
            console.log("链接主服务器ipport:" + ipport);
            this._wsiSendText = new WebSocket(ipport);
            //this._wsiSendText.binaryType="arrayBuffer";
            this._wsiSendText.onopen = this.onconnect.bind(this); //
            this._wsiSendText.onmessage = this.onmessage.bind(this);
            this._wsiSendText.onerror = this.onerror.bind(this);
            this._wsiSendText.onclose = this.onclose.bind(this);
            return true;
        };
        baseWebSocketManager.prototype.regClass = function (_class) {
            this.m_classMap.put(_class.m_msgType, _class);
        };
        baseWebSocketManager.prototype.regFunc = function (name, func, functarget) {
            var funcobj = {};
            funcobj["func"] = func;
            funcobj["funcTarget"] = functarget;
            //init func
            this.m_msgMap.put(name, funcobj);
        };
        baseWebSocketManager.prototype.send_protoBuff = function (data) {
            try {
                // let ret = this._wsiSendText.send(data.buffer);
                if (this.m_isConnect == true) {
                    var ret = this._wsiSendText.send(data.buffer);
                }
                else {
                    game.mainServer_webSocketManager.getMe().init();
                    game.ui_loading2.ShowOrHide(true, "与服务器断开连接...正在尝试重新连接...");
                }
            }
            catch (_error) {
                console.log(_error.stack);
            }
        };
        baseWebSocketManager.prototype.send = function (data) {
            try {
                if (this.m_isConnect == true) {
                    if (data.length > 5000 && cc.sys.isNative) {
                        var sendstr = '1' + game.js_GameLogicMgr.getMe().gzcompress_base64(data);
                        this._wsiSendText.send(sendstr);
                    }
                    else {
                        var sendstr = '0' + data;
                        this._wsiSendText.send(sendstr);
                    }
                }
            }
            catch (_error) {
                this.m_msgDataList.put(++this.m_msgDataListkey, data);
            }
        };
        baseWebSocketManager.prototype.close = function () {
            this.m_isConnect = false;
            this.m_isConnecting = false;
            if (this._wsiSendText) {
                this._wsiSendText.close(); //关闭TCP连接
                this._wsiSendText = null;
            }
            if (game.rootScene.getMe().m_isconnected) {
                game.uiMgr.getMe().show_ui_MessageBox(true, "与服务器断开连接，请检查你的网络设置后重新连接", function () {
                    cc.director.end();
                });
            }
            cc.log("socket 服务器已关闭  ");
        };
        baseWebSocketManager.prototype.onclose = function (evt) {
            // uiMgr.getMe().show_ui_MessageBox(true,"网络连接中断！",this.overCallback,this.overCallback,this);
            this.close(); //关闭TCP连接
        };
        baseWebSocketManager.prototype.overCallback = function () {
            game.js_GameLogicMgr.getMe().resetExe();
        };
        //
        baseWebSocketManager.prototype.onerror = function (evt) {
            // if(ui_loading.getMe())
            // {
            //     ui_loading.getMe().errorMsg("连接登陆服务器失败,，重新连接!")
            // }
            cc.log("sendText Error was fired" + JSON.stringify(evt));
            // uiMgr.getMe().show_ui_MessageBox(true,"网络连接中断！",this.overCallback,this.overCallback,this);
            this.m_isConnect = false;
            this.m_isConnecting = false;
            this.close(); //关闭TCP连接
        };
        // reConnect () {
        //     //重新连接
        //     httpLoginThreePath.getMe().onSendMsg();
        // },
        //重新连接 后发送消息
        baseWebSocketManager.prototype.reConnect_sendMsg = function () {
            //this.m_msgDataList.put(0, "ddd");
            var datalist = cc.clone(this.m_msgDataList);
            this.m_msgDataList.clear();
            for (var i = 0; i < datalist.getSize(); ++i) {
                var data = datalist.getData(i);
                this.send(data);
            }
        };
        //连接成功
        baseWebSocketManager.prototype.onconnect = function (evt) {
            cc.log("WebSocket login ok");
            this.m_isConnect = true;
            this.m_isConnecting = false;
        };
        baseWebSocketManager.prototype.onmessage_binary = function (evt) {
            var _this = this;
            if (cc.sys.isNative) {
                var data = new Uint8Array(evt.data);
                this.onmessage_probuff(data);
            }
            else {
                var reader = new FileReader();
                reader.onload = function (evt) {
                    if (evt.target.readyState == FileReader.DONE) {
                        var data = new Uint8Array(evt.target.result);
                        _this.onmessage_probuff(data);
                    }
                };
                reader.readAsArrayBuffer(evt.data);
            }
        };
        baseWebSocketManager.prototype.onmessage = function (evt) {
            if (typeof (evt.data) != "string") {
                this.onmessage_binary(evt);
                return;
            }
            // let isyasuo = evt.data[0];
            // let data = evt.data.substr(1, evt.data.length - 1);;
            // if (isyasuo == 0) {
            //     data = evt.data.substr(1, evt.data.length - 1);
            // }
            // else if (isyasuo == 1) {
            //     data = evt.data.substr(1, evt.data.length - 1);
            //     //解压
            //     data = game.js_GameLogicMgr.getMe().gzdecompress_base64(data);
            // }
            // else if (isyasuo == g_protoflag) {
            //
            //     this.onmessage_probuff(evt);
            //     return;
            // }
            // else
            // {
            //    console.error("error");
            // }
            var data = evt.data;
            //解析json
            var outjson = null;
            try {
                outjson = JSON.parse(data);
            }
            catch (e) {
                console.log("error msg!" + data);
                return;
            }
            var msgType = outjson["msgType"];
            // let pClassObj = this.m_classMap.getDataByKey(msgType);
            var pClassObj = game.protoBuffMgr.getMe().getProtoBaseByType(msgType);
            if (pClassObj != null) {
                try {
                    pClassObj.callback(outjson);
                }
                catch (w) {
                    console.log(JSON.stringify(pClassObj));
                }
                return;
            }
            var pfuncObj = this.m_msgMap.getDataByKey(msgType);
            if (pfuncObj != null) {
                var pfunc = pfuncObj["func"];
                var pfunc_target = pfuncObj["funcTarget"];
                pfunc.call(pfunc_target, outjson);
            }
            else {
                console.log("error msg! 00 1" + data);
            }
        };
        baseWebSocketManager.prototype.onmessage_probuff = function (in_buff) {
            var l_dataview = new DataView(in_buff.buffer);
            var protoType = l_dataview.getUint8(0);
            if (protoType != game.g_protoflag) {
                console.log(" error onmessage_probuff ");
                return;
            }
            var protoMsgType = l_dataview.getUint32(1);
            var _protoBuffBase = game.protoBuffMgr.getMe().getProtoBaseByType(protoMsgType);
            if (_protoBuffBase) {
                var message = _protoBuffBase.buffToMessage(new Uint8Array(l_dataview.buffer.slice(5)));
                _protoBuffBase.callback(message);
            }
            else {
                console.log("error onmessage_probuff type:" + protoMsgType);
            }
        };
        baseWebSocketManager.prototype.update_heart = function (t) { };
        baseWebSocketManager.prototype.update = function (t) {
        };
        baseWebSocketManager.prototype.title = function () {
            return "baseWebSocketManager";
        };
        return baseWebSocketManager;
    }());
    game.baseWebSocketManager = baseWebSocketManager;
})(game || (game = {}));
//# sourceMappingURL=baseWebSocketManager.js.map