/**
 * Created by xieli on 2017/2/4.
 */
//
var game;
(function (game) {
    (function (protoMessType) {
        protoMessType[protoMessType["heart"] = 0] = "heart";
        protoMessType[protoMessType["login"] = 1] = "login";
        protoMessType[protoMessType["pvpLogin"] = 2] = "pvpLogin";
        protoMessType[protoMessType["data"] = 3] = "data";
        protoMessType[protoMessType["exit"] = 4] = "exit";
        protoMessType[protoMessType["fightAI"] = 5] = "fightAI";
        protoMessType[protoMessType["fightPVP"] = 6] = "fightPVP";
        protoMessType[protoMessType["start"] = 7] = "start";
        protoMessType[protoMessType["round"] = 8] = "round";
        protoMessType[protoMessType["birthPos"] = 9] = "birthPos";
        protoMessType[protoMessType["state"] = 10] = "state";
        protoMessType[protoMessType["att"] = 11] = "att";
        protoMessType[protoMessType["hit"] = 12] = "hit";
        protoMessType[protoMessType["weapon"] = 13] = "weapon";
        protoMessType[protoMessType["item"] = 14] = "item";
        protoMessType[protoMessType["result"] = 15] = "result";
        protoMessType[protoMessType["out"] = 16] = "out";
        protoMessType[protoMessType["title"] = 17] = "title";
        protoMessType[protoMessType["addHp"] = 18] = "addHp";
        protoMessType[protoMessType["ceil"] = 19] = "ceil";
    })(game.protoMessType || (game.protoMessType = {}));
    var protoMessType = game.protoMessType;
    var protoBuffMgr = (function () {
        function protoBuffMgr() {
            this.m_protoBuffBaseMap = new game.Map();
            protobuf.util.isNode = true;
            protobuf.util.fs = this;
        }
        protoBuffMgr.prototype.init = function () {
            this.addProtoBase(game.proto_login.getMe());
            this.addProtoBase(game.proto_pvpLogin.getMe());
            this.addProtoBase(game.proto_data.getMe());
            this.addProtoBase(game.proto_exit.getMe());
            this.addProtoBase(game.proto_fightAI.getMe());
            this.addProtoBase(game.proto_fightPVP.getMe());
            this.addProtoBase(game.sync_start.getMe());
            this.addProtoBase(game.sync_round.getMe());
            this.addProtoBase(game.sync_birthPos.getMe());
            this.addProtoBase(game.sync_state.getMe());
            this.addProtoBase(game.sync_att.getMe());
            this.addProtoBase(game.sync_hit.getMe());
            this.addProtoBase(game.sync_weapon.getMe());
            this.addProtoBase(game.sync_item.getMe());
            this.addProtoBase(game.sync_result.getMe());
            this.addProtoBase(game.proto_out.getMe());
            this.addProtoBase(game.sync_title.getMe());
            this.addProtoBase(game.sync_addHp.getMe());
            this.addProtoBase(game.sync_ceil.getMe());
            // this.addProtoBase(proto_position.getMe())
            // this.addProtoBase(proto_rundir.getMe())
            // this.addProtoBase(proto_animation.getMe())
            // this.addProtoBase(proto_hp.getMe())
            // this.addProtoBase(proto_bullet.getMe())
            // this.addProtoBase(proto_aitype.getMe())
            // this.addProtoBase(proto_init.getMe())
            // this.addProtoBase(proto_Pvplogin.getMe())
            // this.addProtoBase(proto_reg.getMe())
            // this.addProtoBase(proto_exit.getMe())
            // this.addProtoBase(proto_offline.getMe())
            // this.addProtoBase(proto_removetiledmap.getMe())
            // this.addProtoBase(proto_round.getMe())
            // this.addProtoBase(proto_changeweapon.getMe())
            // this.addProtoBase(proto_fire.getMe())
            // this.addProtoBase(proto_dead.getMe())
            // this.addProtoBase(proto_pvptime.getMe())
            // this.addProtoBase(proto_pvpquxiao.getMe())
            // this.addProtoBase(proto_surrender.getMe())
            // this.addProtoBase(proto_update.getMe())
            // this.addProtoBase(proto_pvplocal.getMe())
            // this.addProtoBase(proto_changeweapon.getMe())
            // this.addProtoBase(proto_haoyou_find.getMe());
        };
        //自定义读取proto
        protoBuffMgr.prototype.readFileSync = function (filename) {
            if (cc.sys.isNative) {
                var fullPath = jsb.fileUtils.getWritablePath();
                fullPath += filename;
                if (jsb.fileUtils.isFileExist(fullPath)) {
                    console.log("readFileSync： " + fullPath);
                    return jsb.fileUtils.getStringFromFile(fullPath);
                }
                if (jsb.fileUtils.isFileExist(filename)) {
                    console.log("readFileSync： " + filename);
                    return jsb.fileUtils.getStringFromFile(filename);
                }
                if (jsb.fileUtils.isFileExist("xingjietantantang/src/http_net/socket/protoFile/" + filename)) {
                    console.log("readFileSync： " + "xingjietantantang/src/http_net/socket/protoFile/" + filename);
                    return jsb.fileUtils.getStringFromFile("xingjietantantang/src/http_net/socket/protoFile/" + filename);
                }
                console.log("readFileSync： " + "not find file" + filename);
                return false;
            }
            else {
                var txt = cc.loader._loadTxtSync("xingjietantantang/src/http_net/socket/protoFile/" + filename);
                return txt;
            }
        };
        protoBuffMgr.prototype.getProtoBaseByType = function (type) {
            return this.m_protoBuffBaseMap.get(type);
        };
        protoBuffMgr.prototype.addProtoBase = function (protobase) {
            this.m_protoBuffBaseMap.set(protobase.m_protoMessType, protobase);
        };
        protoBuffMgr.prototype.updata = function () {
        };
        protoBuffMgr.g_protoBuffMgr = null;
        protoBuffMgr.getMe = function () {
            if (protoBuffMgr.g_protoBuffMgr == null) {
                protoBuffMgr.g_protoBuffMgr = new protoBuffMgr();
                return protoBuffMgr.g_protoBuffMgr;
            }
            else {
                return protoBuffMgr.g_protoBuffMgr;
            }
        };
        return protoBuffMgr;
    }());
    game.protoBuffMgr = protoBuffMgr;
})(game || (game = {}));
//# sourceMappingURL=protoBuffMgr.js.map