/**
 * Created by xieli on 2017/2/4.
 */

//
module game {


    export enum protoMessType {
        heart, login, pvpLogin, data, exit, fightAI, fightPVP, start, round, birthPos, state, att, hit, weapon, item, result, out, title, addHp, ceil
    }

    export class protoBuffMgr {
        static g_protoBuffMgr: protoBuffMgr = null;
        static getMe = function (): protoBuffMgr {
            if (protoBuffMgr.g_protoBuffMgr == null) {
                protoBuffMgr.g_protoBuffMgr = new protoBuffMgr();
                return protoBuffMgr.g_protoBuffMgr;
            }
            else {
                return protoBuffMgr.g_protoBuffMgr;
            }
        };

        m_protoBuffBaseMap: game.Map< protoMessType,protoBuffBase<any>> = new game.Map< protoMessType,protoBuffBase<any>>();

        constructor() {
            protobuf.util.isNode = true;
            protobuf.util.fs = this;
        }

        init() {
            this.addProtoBase(proto_login.getMe());
            this.addProtoBase(proto_pvpLogin.getMe());
            this.addProtoBase(proto_data.getMe());
            this.addProtoBase(proto_exit.getMe());
            this.addProtoBase(proto_fightAI.getMe());
            this.addProtoBase(proto_fightPVP.getMe());
            this.addProtoBase(sync_start.getMe());
            this.addProtoBase(sync_round.getMe());
            this.addProtoBase(sync_birthPos.getMe());
            this.addProtoBase(sync_state.getMe());
            this.addProtoBase(sync_att.getMe());
            this.addProtoBase(sync_hit.getMe());
            this.addProtoBase(sync_weapon.getMe());
            this.addProtoBase(sync_item.getMe());
            this.addProtoBase(sync_result.getMe());
            this.addProtoBase(proto_out.getMe());
            this.addProtoBase(sync_title.getMe());
            this.addProtoBase(sync_addHp.getMe());
            this.addProtoBase(sync_ceil.getMe());
            // this.addProtoBase(proto_position.getMe())
            // this.addProtoBase(proto_rundir.getMe())
            // this.addProtoBase(proto_animation.getMe())
            // this.addProtoBase(proto_hp.getMe())
            // this.addProtoBase(proto_bullet.getMe())
            // this.addProtoBase(proto_aitype.getMe())
            // this.addProtoBase(proto_init.getMe())
            // this.addProtoBase(proto_Pvplogin.getMe())
            // this.addProtoBase(proto_reg.getMe())
            // this.addProtoBase(proto_exit.getMe())
            // this.addProtoBase(proto_offline.getMe())
            // this.addProtoBase(proto_removetiledmap.getMe())
            // this.addProtoBase(proto_round.getMe())
            // this.addProtoBase(proto_changeweapon.getMe())
            // this.addProtoBase(proto_fire.getMe())
            // this.addProtoBase(proto_dead.getMe())
            // this.addProtoBase(proto_pvptime.getMe())
            // this.addProtoBase(proto_pvpquxiao.getMe())
            // this.addProtoBase(proto_surrender.getMe())
            // this.addProtoBase(proto_update.getMe())
            // this.addProtoBase(proto_pvplocal.getMe())
            // this.addProtoBase(proto_changeweapon.getMe())
            // this.addProtoBase(proto_haoyou_find.getMe());
        }

        //自定义读取proto
        readFileSync(filename) {

            if (cc.sys.isNative) {

                let fullPath = jsb.fileUtils.getWritablePath();
                fullPath += filename;

                if (jsb.fileUtils.isFileExist(fullPath)) {
                    console.log("readFileSync： " + fullPath);
                    return jsb.fileUtils.getStringFromFile(fullPath);
                }
                if (jsb.fileUtils.isFileExist(filename)) {
                    console.log("readFileSync： " + filename);
                    return jsb.fileUtils.getStringFromFile(filename);
                }

                if (jsb.fileUtils.isFileExist("xingjietantantang/src/http_net/socket/protoFile/" + filename)) {
                    console.log("readFileSync： " + "xingjietantantang/src/http_net/socket/protoFile/" + filename);
                    return jsb.fileUtils.getStringFromFile("xingjietantantang/src/http_net/socket/protoFile/" + filename);
                }
                console.log("readFileSync： " + "not find file" + filename);
                return false;
            }
            else {
                let txt = cc.loader._loadTxtSync("xingjietantantang/src/http_net/socket/protoFile/" + filename);
                return txt;
            }
        }

        getProtoBaseByType(type: protoMessType): protoBuffBase<any> {
            return this.m_protoBuffBaseMap.get(type);
        }

        addProtoBase(protobase: protoBuffBase<any>) {
            this.m_protoBuffBaseMap.set(protobase.m_protoMessType, protobase);
        }

        updata() {

        }

    }
}
