module game {

    export class sync_att extends protoBuffBase<tongyong_s> {
        static g_insta: sync_att = null;

        static getMe(): sync_att {
            return protoBuffBase.getMe(sync_att);
        };

        constructor(path: string = "tongyong.proto") {
            super(path, protoMessType.att);
        }

        send(index: number, d) {
            let data = new tongyong_s();
            data.int32var1 = index;
            data.strvar5 = JSON.stringify(d);
            this.sendMessage(data);
        }

        callback(message: any) {
            if (roleMgr.getMe().m_AllRole_map) {
                let role = roleMgr.getMe().m_AllRole_map.get(message.int32var1);
                if (role && role instanceof player_pvp) {
                    role.OnFireBulletEx(JSON.parse(message.strvar5));
                }
            }
        }
    }
}