module game {

    export class sync_weapon extends protoBuffBase<tongyong_s> {
        static g_insta: sync_weapon = null;

        static getMe(): sync_weapon {
            return protoBuffBase.getMe(sync_weapon);
        };

        constructor(path: string = "tongyong.proto") {
            super(path, protoMessType.weapon);
        }

        send(index: number, weapon: string) {
            let data = new tongyong_s();
            data.int32var1 = index;
            data.strvar5 = weapon;
            this.sendMessage(data);
        }

        callback(message: any) {
            if (roleMgr.getMe().m_AllRole_map) {
                let role = roleMgr.getMe().m_AllRole_map.get(message.int32var1);
                if (role) {
                    role.m_weaon.setCurWeapon(message.strvar5);
                }
            }
        }
    }
}