/**
 * Created by cy1234 on 2015/12/28.
 */
//   与c++ 交互的类
var game;
(function (game) {
    var js_GameLogicMgr = (function () {
        function js_GameLogicMgr() {
            this._js_GameLogic = null;
            this.m_shenjian_userid = 0;
        }
        js_GameLogicMgr.getMe = function () {
            return js_GameLogicMgr.create();
        };
        ;
        js_GameLogicMgr.prototype.init = function () {
            if (!cc.sys.isNative) {
                return;
            }
            this._js_GameLogic = new cc.GameLogic();
            game.rootScene.getMe().addChild(this._js_GameLogic);
            //this._js_GameLogic.buycallback = iapMgr.getMe().buycallback;
            this._js_GameLogic.buycallback = game.buy_mgr.getInstance().callback.bind(game.buy_mgr.getInstance());
            //this._js_GameLogic.buycallback = buybuybuy_mgr.getInstance().buycallback.bind(buybuybuy_mgr.getInstance()) //iapMgr.getMe().buycallback;
            this._js_GameLogic.shenjian_sdk_login_callback = js_GameLogicMgr.getMe().shenjian_sdk_login_callback.bind(this);
            this._js_GameLogic.everyBack = js_GameLogicMgr.getMe().everyBack.bind(this);
            this._js_GameLogic.cdkeyBack = js_GameLogicMgr.getMe().cdkeyBack.bind(this);
            this._js_GameLogic.servertimeBack = js_GameLogicMgr.getMe().servertimeBack.bind(this);
            this._js_GameLogic.dataUser = js_GameLogicMgr.getMe().dataUser_callback.bind(this);
            this._js_GameLogic.projectjson_callback = js_GameLogicMgr.getMe().projectjson_callback.bind(this);
            this._js_GameLogic.exit = js_GameLogicMgr.getMe().exit.bind(this);
            this._js_GameLogic.onSocketGetMsg = js_GameLogicMgr.getMe().onSocketGetMsg.bind(this);
            // this._js_GameLogic.savePlayInfo = fileMgr.getMe().savePlayInfo.bind(this);
            this._js_GameLogic.init();
        };
        js_GameLogicMgr.prototype.loadSpineRes = function (res) {
            if (cc.sys.isNative) {
                var jsonname = "xingjietantantang/big/spine/" + res + "/" + res + ".json";
                var atlasame = "xingjietantantang/big/spine/" + res + "/" + res + ".atlas";
                this._js_GameLogic.loadSpineRes(jsonname, atlasame);
            }
        };
        js_GameLogicMgr.prototype.removeAllSpineMem = function () {
            if (cc.sys.isNative) {
                return this._js_GameLogic.removeAllSpineMem();
            }
        };
        js_GameLogicMgr.prototype.tvsdk_login_shouui = function () {
            if (cc.sys.isNative) {
                this._js_GameLogic.tvsdk_login_shouui();
            }
        };
        js_GameLogicMgr.prototype.encode_gb2312 = function (str) {
            if (cc.sys.isNative) {
                return this._js_GameLogic.u2g_encode(str);
            }
            return str;
        };
        js_GameLogicMgr.prototype.u2g_encode = function (str) {
            if (cc.sys.isNative) {
                return this._js_GameLogic.u2g_encode(str);
            }
            return game.base64Mgr.encode(str);
            //return str
        };
        //灰度化  flag 1：灰色 0 正常化
        js_GameLogicMgr.prototype.grayScale = function (s, flag) {
            if (cc.sys.isNative) {
                this._js_GameLogic.grayScale(s, flag);
            }
            else {
                game.Filter.grayScale(s);
            }
        };
        js_GameLogicMgr.prototype.grayScaleEx = function (node) {
            if (cc.sys.isNative) {
                this._js_GameLogic.grayScaleEx(node);
            }
        };
        js_GameLogicMgr.prototype.every = function () {
            if (cc.sys.isNative) {
                this._js_GameLogic.every();
            }
        };
        //压缩
        js_GameLogicMgr.prototype.gzcompress_base64 = function (data) {
            if (cc.sys.isNative) {
                var buff = this._js_GameLogic.gzcompress_base64(data);
                //buff = this.encode(buff);
                return buff;
            }
            else {
                return data;
            }
        };
        //解压
        js_GameLogicMgr.prototype.gzdecompress_base64 = function (data) {
            if (cc.sys.isNative) {
                var buff = this._js_GameLogic.gzdecompress_base64(data);
                //buff = decode(buff);
                return buff;
            }
            else {
            }
        };
        //重启游戏
        js_GameLogicMgr.prototype.resetExe = function () {
            if (cc.sys.isNative) {
                this._js_GameLogic.resetExe();
            }
        };
        js_GameLogicMgr.prototype.dataUser_callback = function (data) {
            if (cc.sys.isNative) {
                game.musicMgr.getMe().playData(data);
            }
        };
        js_GameLogicMgr.prototype.projectjson_callback = function (filelist) {
            if (cc.sys.isNative) {
                game.fileMgr.getMe().saveProjectJson(filelist);
            }
        };
        js_GameLogicMgr.prototype.shenjian_sdk_login_callback = function (userid, userid_two) {
            this.m_shenjian_userid = userid;
            console.log("js : shenjian_sdk_login_callback:  " + userid);
        };
        js_GameLogicMgr.prototype.exit = function (val, val1) {
        };
        js_GameLogicMgr.prototype.everyBack = function (everyjson, data1) {
            if (cc.sys.isNative) {
            }
        };
        js_GameLogicMgr.prototype.servertime = function () {
            if (cc.sys.isNative) {
                this._js_GameLogic.servertime();
            }
        };
        js_GameLogicMgr.prototype.servertimeBack = function (servertimejson) {
            if (cc.sys.isNative) {
            }
        };
        js_GameLogicMgr.prototype.cdkey = function (cd_key_text) {
            if (cc.sys.isNative) {
                this._js_GameLogic.cdkey(cd_key_text);
            }
        };
        js_GameLogicMgr.prototype.cdkeyBack = function (json) {
            if (cc.sys.isNative) {
                game.cdkeyMgr.getMe().cdkeyBack(json);
            }
        };
        js_GameLogicMgr.prototype.getShenjian_login_id = function () {
            if (cc.sys.isNative) {
                this.m_shenjian_userid = this._js_GameLogic.GameLogic_getUserid();
            }
            console.log("js : getShenjian_login_id:  " + this.m_shenjian_userid);
            return this.m_shenjian_userid;
        };
        js_GameLogicMgr.prototype.onSocketGetMsg = function (data) {
            if (cc.sys.isNative) {
            }
        };
        //ott appid
        js_GameLogicMgr.prototype.getGameId = function () {
            if (cc.sys.isNative) {
                return this.getData("iapMgr_getGameId");
            }
            else {
                return game.fileMgr.getMe().m_net_info["g_gamaid"];
            }
        };
        //ott 渠道id
        // getplatformId() {
        //     if (cc.sys.isNative) {
        //         return this.getData("iapMgr_getplatformId");
        //     }
        //     else {
        //         return "1006";
        //     }
        // }
        //Ott 用户id
        // getaccount() {
        //     if (cc.sys.isNative) {
        //         return this.getData("iapMgr_getaccount");
        //     }
        //     else {
        //         return "user101";
        //     }
        // }
        js_GameLogicMgr.prototype.buy = function (id) {
            if (cc.sys.isNative) {
                this._js_GameLogic.buy(id);
            }
            else {
                game.buy_mgr.getInstance().callback(true, id);
            }
        };
        js_GameLogicMgr.prototype.pay = function (price) {
            if (cc.sys.isNative) {
                this._js_GameLogic.pay(price);
            }
        };
        js_GameLogicMgr.prototype.sign = function (data) {
            if (!cc.sys.isNative) {
                return game.hex_md5(data);
            }
            return this._js_GameLogic.sign(data);
        };
        js_GameLogicMgr.prototype.getData = function (key) {
            if (!cc.sys.isNative) {
                return null;
            }
            return this._js_GameLogic.getData(key);
        };
        js_GameLogicMgr.prototype.loop = function (t) {
            if (!cc.sys.isNative) {
                return null;
            }
            this._js_GameLogic.loop(t);
        };
        js_GameLogicMgr.g_ins = null;
        js_GameLogicMgr.create = function () {
            if (js_GameLogicMgr.g_ins == null) {
                js_GameLogicMgr.g_ins = new js_GameLogicMgr();
                return js_GameLogicMgr.g_ins;
            }
            else {
                return js_GameLogicMgr.g_ins;
            }
        };
        return js_GameLogicMgr;
    }());
    game.js_GameLogicMgr = js_GameLogicMgr;
})(game || (game = {}));
//# sourceMappingURL=js_GameLogicMgr.js.map 
//# sourceMappingURL=js_GameLogicMgr.js.map