"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by xieli on 2016/4/24.
 */
var game;
(function (game) {
    var aiBase = (function () {
        function aiBase(role) {
            this.m_endTime_tiqian = 0.15;
            this.m_dir = cc.p(0, 0);
            this.m_object_role = role;
        }
        aiBase.prototype.onFrameEvent = function (type, event) {
            if (type == "Start") {
            }
            else if (type == "End") {
                this.Complete();
            }
            else if (type == "event") {
                this.Event(event);
            }
            return true;
        };
        /**
         * @return {boolean}
         */
        aiBase.prototype.ExternalEvent = function (key, data) {
            return true;
        };
        /**
         * @return {boolean}
         */
        aiBase.prototype.InternalEvent = function (key, data) {
            return true;
        };
        aiBase.prototype.update = function (t) {
            if (this.m_endTime_tiqian > 0) {
                var curtime = this.m_object_role.m_SpineNode.getAnimationSurplusTime();
                if (curtime < this.m_endTime_tiqian) {
                    this.Complete();
                }
            }
            return true;
        };
        /**
         * @return {boolean}
         */
        aiBase.prototype.Complete = function () {
            return true;
        };
        /**
         * @return {boolean}
         */
        aiBase.prototype.Event = function (event) {
            var name = event.data.name;
            cc.log(name);
            // if (rootScene.getMe().isLowCpu_10fps()) {
            //     return;
            // }
            // if (rootScene.getMe().isLowCpu()) {
            //     let randnum = random0To1();
            //     if (randnum > 0.5) {
            //         return;
            //     }
            // }
            if (name.indexOf("texiao") > -1) {
                this.onTexiao(name);
                return true;
            }
            //发射子弹
            if (name.indexOf("fashe") > -1) {
                this.OnFireBullet();
                return true;
            }
            //伤害处理
            if (name.indexOf("shanghai") > -1) {
                this.OnDamage();
                return true;
            }
            return true;
        };
        aiBase.prototype.onTexiao = function (name) {
            var ss = name.split("_");
            game.spineMgr.getMe().createSpineOncePlay(ss[1], ss[2], this.m_object_role.getNode(), this.m_object_role.getBoneRelationPosition(ss[0]));
        };
        aiBase.prototype.OnFireBullet = function () {
        };
        aiBase.prototype.OnDamage = function () {
        };
        return aiBase;
    }());
    game.aiBase = aiBase;
    var aiBase_run = (function (_super) {
        __extends(aiBase_run, _super);
        function aiBase_run(role) {
            _super.call(this, role);
            this.m_isJump = false;
            this.m_validPos = cc.p(0, 0);
            this.m_height = game.sceneMgr.getMe().getCurScene().m_tileMap.getTileSize().height;
            this.m_stateType = game.g_AiType.g_AiType_run;
        }
        aiBase_run.prototype.InternalEvent = function (key, data) {
            this.m_object_role.stopMoveRootBone(0);
            this.m_object_role.m_SpineNode.setToSetupPose();
            this.m_object_role.playAnimation("yidong", true);
            if (data && data.x) {
                this.m_dir = cc.pNormalize(data);
            }
            this.m_object_role.setDir(this.m_dir.x);
            return true;
        };
        aiBase_run.prototype.ExternalEvent = function (key, data) {
            this.m_object_role.startResetPosition();
            return true;
        };
        aiBase_run.prototype.update = function (t) {
            if (this.m_object_role.getCurPower() <= 0) {
                return true;
            }
            if (this.m_isJump)
                return true;
            this.m_oldPos = this.m_object_role.getPosition();
            var newpos = cc.pAdd(this.m_oldPos, cc.pMult(this.m_dir, this.m_object_role.getSpeed() * t));
            if (newpos.x < 0 || newpos.x > 2000 || newpos.y < 0 || newpos.y > 1200) {
                return true;
            }
            this.m_validPos.y = newpos.y;
            if (this.m_object_role.getDir() > 0) {
                this.m_validPos.x = newpos.x + this.m_object_role.m_jumpData.s;
            }
            else {
                this.m_validPos.x = newpos.x - this.m_object_role.m_jumpData.s;
            }
            if (game.sceneMgr.getMe().getCurScene().m_tileMap.canMove(this.m_validPos)) {
                if (this.m_object_role.m_height == 2) {
                    if (!game.sceneMgr.getMe().getCurScene().m_tileMap.canMove(cc.pAdd(this.m_validPos, cc.p(0, this.m_height * 2 - 10))))
                        return true;
                }
                else if (this.m_object_role.m_height == 3) {
                    if (!game.sceneMgr.getMe().getCurScene().m_tileMap.canMove(cc.pAdd(this.m_validPos, cc.p(0, this.m_height * 3 - 10))))
                        return true;
                }
                this.move(newpos);
            }
            else {
                if (game.sceneMgr.getMe().getCurScene().m_tileMap.canMove(cc.pAdd(this.m_validPos, cc.p(0, this.m_height)))) {
                    this.jump();
                }
            }
            return true;
        };
        aiBase_run.prototype.jump = function () {
            this.m_isJump = true;
            // this.m_object_role.playAnimation("tiaoyue", false);
            var p = cc.p(0, 0);
            var w = this.m_object_role.m_jumpData.x;
            if (this.m_object_role.getDir() > 0) {
                p.x += w;
            }
            else {
                p.x -= w;
            }
            p.y += this.m_object_role.m_jumpData.y * game.g_other_config.jump_height_per;
            var act = cc.jumpBy(game.g_other_config.jump_time, p, this.m_object_role.m_jumpData.y, 1);
            var seq = cc.sequence(act, cc.callFunc(function () {
                // this.m_object_role.playAnimation("yidong", true);
                this.m_isJump = false;
            }.bind(this), this, null));
            this.m_object_role.runAction(seq);
            this.m_object_role.setCurPower(this.m_object_role.getCurPower() - 50);
        };
        aiBase_run.prototype.move = function (newpos) {
            this.m_object_role.setPosition(newpos);
            if (!this.m_isJump)
                this.m_object_role.setCurPower(this.m_object_role.getCurPower() - Math.abs(newpos.x - this.m_oldPos.x));
        };
        return aiBase_run;
    }(aiBase));
    game.aiBase_run = aiBase_run;
})(game || (game = {}));
//# sourceMappingURL=aiBase.js.map