/**
 * 角色状态
 * Created by cy1234 on 2016/7/30.
 */
var game;
(function (game) {
    var ControlerState = (function () {
        function ControlerState(role) {
            this.m_isswitch = false; //是否切换加减蓄力条
            this.m_object_role = role;
        }
        ControlerState.prototype.move = function (dir) {
            this.m_object_role.changeState(game.g_AiType.g_AiType_run, dir);
        };
        ControlerState.prototype.attack = function () {
            this.m_object_role.changeState(game.g_AiType.g_AiType_att);
        };
        ControlerState.prototype.idle = function () {
            if (this.m_object_role.getCurStateType() != game.g_AiType.g_AiType_idle)
                this.m_object_role.changeState(game.g_AiType.g_AiType_idle);
        };
        ControlerState.prototype.loop = function (t) {
        };
        ControlerState.prototype.shutdown = function () {
            this.m_object_role = null;
        };
        return ControlerState;
    }());
    game.ControlerState = ControlerState;
})(game || (game = {}));
//# sourceMappingURL=ControlerState.js.map