/**
 * 角色状态
 * Created by cy1234 on 2016/7/30.
 */
module  game {
    export class MonsterControlerState extends ControlerState {
        m_target: player;
        // m_targetPos: cc.Vec2;
        m_object_role: monster;

        begin() {
            let a = setInterval(() => {
                if (!this.lockTarget()) {
                    this.m_object_role.changeState_Ex(g_AiType.g_AiType_run);
                }
                clearInterval(a);
            }, 500);
        }

        lockTarget() {
            if(!roleMgr.getMe()) return true;
            let temp: number = 10000;
            for (let i = 0; i < roleMgr.getMe().m_player_map.size; ++i) {
                let role = roleMgr.getMe().m_player_map.getByIndex(i);
                if (role.isDead()) continue;
                let dis = cc.pDistance(role.getPosition(), this.m_object_role.getPosition());
                if (dis < temp) {
                    temp = dis;
                    this.m_target = role;
                }
            }
            return this.m_target == null;
        }

        loop(dt) {
            // 锁定目标 移动到指定位置 开火
        }
    }

}