/**
 * 嗑药
 * yaoji1 "激发全身潜力，攻击伤害提高20%"
 * yaoji2 "快速进行两次射击，攻击伤害降低35%"
 * yaoji3 "发射三枚幻影炮弹，攻击伤害降低30%"
 */
module game {
    export class playItem {
        m_des: string;
        m_object_role: player;
        m_curItem: string;
        m_itemData;
        m_used: boolean;

        constructor(player: player) {
            this.m_des = "playItem";
            this.m_object_role = player;
            this.m_curItem = "";
            this.init();
        }

        shutdown() {
            this.m_object_role = null;
            this.m_curItem = null;
            this.m_itemData = null;
        }

        init() {
            this.m_itemData = {};
            this.m_itemData.yaoji1 = Number(g_daoju_nan.yaoji1.shuzhi);
            this.m_itemData.yaoji2 = Number(g_daoju_nan.yaoji2.shuzhi);
            this.m_itemData.yaoji3 = Number(g_daoju_nan.yaoji3.shuzhi);
        }

        isYaoji2() {
            return this.m_curItem == "yaoji2";
        }

        isYaoji3() {
            return this.m_curItem == "yaoji3";
        }

        useCurItem() {
            this.m_curItem = "";
            this.m_used = true;
        }

        setCurItem(name: string) {
            this.m_curItem = name;
            this.m_used = false;
            cc.log("setCurItem :", this.m_curItem);

            if (this.m_object_role.isPvp && this.m_object_role instanceof player) {
                if (this.m_object_role.m_index != null) {
                    sync_item.getMe().send(this.m_object_role.m_index, name);
                }
            }
        }

        getAttPer() {
            if (this.m_curItem == "yaoji1") {
                return (1 + this.m_itemData.yaoji1);
            }
            else if (this.m_curItem == "yaoji2") {
                return (1 - this.m_itemData.yaoji2);
            }
            else if (this.m_curItem == "yaoji3") {
                return (1 - this.m_itemData.yaoji3);
            }
            return 1;
        }
    }
}