var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var RoundManager_ai = (function (_super) {
        __extends(RoundManager_ai, _super);
        function RoundManager_ai() {
            _super.apply(this, arguments);
        }
        RoundManager_ai.prototype.nextStep = function () {
            if (this.m_isOver)
                return;
            game.ui_selectWeapon.ShowOrHide(false);
            RoundManager_ai.gameEnd();
            if (game.ui_pvpwin.getMe() || game.ui_pvplose.getMe())
                return;
            this.m_curRoleIndex++;
            if (this.m_curRoleIndex >= this.m_maxRoleIndex) {
                this.nextRound();
            }
            this.updateControlRole();
        };
        RoundManager_ai.gameEnd = function () {
            if (game.RoundManager.getMe().m_isOver)
                return;
            if (game.roleMgr.getMe().isMonsterAllDead()) {
                cc.log("胜利");
                game.RoundManager.getMe().m_isOver = true;
                game.ui_pvpwin.ShowOrHide(true);
            }
            else if (game.roleMgr.getMe().isPlayerAllDead()) {
                cc.log("失败");
                game.RoundManager.getMe().m_isOver = true;
                game.ui_pvplose.ShowOrHide(true);
            }
        };
        RoundManager_ai.prototype.updateControlRole = function () {
            if (this.m_isOver)
                return;
            this.m_timer = 30;
            this.m_canHideTimer = false;
            game.playControl.getMe().setDefault();
            var role = game.roleMgr.getMe().m_AllRole_map.get(this.m_curRoleIndex);
            if (game.ui_zhandoujiemian.getMe()) {
                game.ui_zhandoujiemian.getMe().setuitexiao(role.m_name, role);
                game.ui_zhandoujiemian.getMe().setHP(role.getHp(), role.getMaxHp());
            }
            // if (role.m_debuffCount > 0) {
            //     role.m_debuffCount--;
            //     if (role.m_buffName) {
            //         let data = g_buff_config[role.m_buffName];
            //         role.onDamage_ex(data.shoujiSpine, data.shoujiAnimation, data.shoujiScale, data.damage);
            //     }
            // }
            if (role.isDead()) {
                this.nextStep();
                return;
            }
            role.setCurPower(role.getMaxPower());
            if (role instanceof game.player) {
                game.roleMgr.getMe().m_curRole = role;
                role.changeState_Ex(game.g_AiType.g_AiType_idle);
                game.uiMgr.getMe().show_OnceAnimation("round.json", function () {
                    game.ui_selectWeapon.ShowOrHide(true);
                }.bind(this));
            }
            game.cameraMgr.getMe().reset(role.getPosition(), role);
            if (role instanceof game.player_ai) {
                // bulletMgr.getMe().initDeleteBulletNum(g_weapon_play[role.getName()]["0"].shootNum);
                // role.m_controlerState.begin();
                role.begin();
            }
            if (game.ui_arraw.getMe()) {
                game.ui_arraw.getMe().setRole(role);
            }
        };
        RoundManager_ai.prototype.loop = function (t) {
            if (this.m_isOver)
                return;
            this.m_timer -= t;
            if (!this.m_canHideTimer) {
                if (game.ui_zhandoujiemian.getMe()) {
                    game.ui_zhandoujiemian.getMe().roundCountdown(this.m_timer);
                }
            }
            if (this.m_timer > 0) {
                if (game.ui_zhandoujiemian.getMe()) {
                    if (game.roleMgr.getMe() == null) {
                        return;
                    }
                    if (game.roleMgr.getMe().getControlPlayer() == null) {
                        return;
                    }
                    var role = game.roleMgr.getMe().m_AllRole_map.get(this.m_curRoleIndex);
                    if (role.m_name != game.roleMgr.getMe().getControlPlayer().m_name) {
                        return;
                    }
                    game.ui_zhandoujiemian.getMe().setHP(role.getHp(), role.getMaxHp());
                }
            }
            if (this.m_timer <= 0) {
                game.roleMgr.getMe().m_curRole.m_controlerState.m_isStayForce = false;
                this.nextStep();
            }
            if (game.ui_arraw.getMe())
                game.ui_arraw.getMe().setArrawPos();
        };
        return RoundManager_ai;
    }(game.RoundManager));
    game.RoundManager_ai = RoundManager_ai;
})(game || (game = {}));
//# sourceMappingURL=RoundManager_ai.js.map