/**
 * 嗑药
 * yaoji1 "激发全身潜力，攻击伤害提高20%"
 * yaoji2 "快速进行两次射击，攻击伤害降低35%"
 * yaoji3 "发射三枚幻影炮弹，攻击伤害降低30%"
 */
var game;
(function (game) {
    var playItem_ai = (function () {
        function playItem_ai(player) {
            this.m_des = "playItem_ai";
            this.m_object_role = player;
            this.m_curItem = "";
            this.init();
        }
        playItem_ai.prototype.shutdown = function () {
            this.m_object_role = null;
            this.m_curItem = null;
            this.m_itemData = null;
        };
        playItem_ai.prototype.init = function () {
            this.m_itemData = {};
            this.m_itemData.yaoji1 = Number(game.g_daoju_nan.yaoji1.shuzhi);
            this.m_itemData.yaoji2 = Number(game.g_daoju_nan.yaoji2.shuzhi);
            this.m_itemData.yaoji3 = Number(game.g_daoju_nan.yaoji3.shuzhi);
        };
        playItem_ai.prototype.isYaoji2 = function () {
            return this.m_curItem == "yaoji2";
        };
        playItem_ai.prototype.isYaoji3 = function () {
            return this.m_curItem == "yaoji3";
        };
        playItem_ai.prototype.useCurItem = function () {
            this.m_curItem = "";
            this.m_used = true;
        };
        playItem_ai.prototype.setCurItem = function (name) {
            this.m_curItem = name;
            this.m_used = false;
            cc.log("setCurItem :", this.m_curItem);
        };
        playItem_ai.prototype.getAttPer = function () {
            if (this.m_curItem == "yaoji1") {
                return (1 + this.m_itemData.yaoji1);
            }
            else if (this.m_curItem == "yaoji2") {
                return (1 - this.m_itemData.yaoji2);
            }
            else if (this.m_curItem == "yaoji3") {
                return (1 - this.m_itemData.yaoji3);
            }
            return 1;
        };
        return playItem_ai;
    }());
    game.playItem_ai = playItem_ai;
})(game || (game = {}));
//# sourceMappingURL=playItem_ai.js.map