/**
 * 装逼时装
 */
var game;
(function (game) {
    var playSkin_ai = (function () {
        function playSkin_ai(player, type) {
            this.m_des = "playSkin_ai";
            this.m_object_role = player;
            this.init(type);
        }
        playSkin_ai.prototype.shutdown = function () {
            this.m_object_role = null;
            this.m_skinData = null;
        };
        playSkin_ai.prototype.init = function (type) {
            var heroName = this.m_object_role.getName();
            var pifu;
            if (type == 1) {
                pifu = game.proto_pvpLogin.getMe().m_data.roleSkin1;
            }
            else {
                pifu = game.proto_pvpLogin.getMe().m_data.roleSkin2;
            }
            this.m_skinData = game.dataMgr.getMe().getSkinConfig(pifu, heroName);
            this.setSkin(this.m_skinData.skin);
            this.m_onceFuhuo = false;
        };
        playSkin_ai.prototype.setSkin = function (name) {
            this.m_object_role.m_SpineNode.setSkin(name);
        };
        playSkin_ai.prototype.getAtt = function () {
            return this.m_skinData.damage;
        };
        playSkin_ai.prototype.getHp = function () {
            return this.m_skinData.hp;
        };
        playSkin_ai.prototype.getDef = function () {
            return this.m_skinData.damageRes;
        };
        playSkin_ai.prototype.getPower = function () {
            return this.m_skinData.power;
        };
        playSkin_ai.prototype.getCritRate = function () {
            return this.m_skinData.critRate;
        };
        playSkin_ai.prototype.getSkillName = function () {
            return this.m_skinData.skill;
        };
        playSkin_ai.prototype.getShuzhi1 = function () {
            return this.m_skinData.shuzhi1;
        };
        playSkin_ai.prototype.getShuzhi2 = function () {
            return this.m_skinData.shuzhi2;
        };
        playSkin_ai.prototype.getShuzhi1_bear = function () {
            return this.m_skinData.shuzhi1 * (game.RoundManager.getMe().m_round + 1);
        };
        playSkin_ai.prototype.getShuzhi2_bear = function () {
            return this.m_skinData.shuzhi2 * (game.RoundManager.getMe().m_round + 1);
        };
        playSkin_ai.prototype.getPanda = function () {
            if (this.m_skinData.skill == "guobao") {
                if (!this.m_onceFuhuo) {
                    this.m_onceFuhuo = true;
                    return true;
                }
            }
            return false;
        };
        return playSkin_ai;
    }());
    game.playSkin_ai = playSkin_ai;
})(game || (game = {}));
//# sourceMappingURL=playSkin_ai.js.map