/**
 * 装逼头衔
 */
var game;
(function (game) {
    var playTitle_ai = (function () {
        function playTitle_ai(player, type) {
            this.m_des = "playTitle_ai";
            this.m_object_role = player;
            this.init(type);
        }
        playTitle_ai.prototype.shutdown = function () {
            this.m_object_role = null;
            this.m_titleData = null;
        };
        playTitle_ai.prototype.init = function (type) {
            var title;
            var level;
            if (type == 1) {
                title = game.proto_pvpLogin.getMe().m_data.title1;
                level = game.proto_pvpLogin.getMe().m_data.titleLevel1;
            }
            else {
                title = game.proto_pvpLogin.getMe().m_data.title2;
                level = game.proto_pvpLogin.getMe().m_data.titleLevel2;
            }
            if (title == -1 || level < 1) {
                this.defaultData();
                return;
            }
            this.m_titleData = game.g_chenghao_config[title][level];
        };
        playTitle_ai.prototype.defaultData = function () {
            this.m_titleData = {};
            this.m_titleData.damage = 0;
            this.m_titleData.hp = 0;
            this.m_titleData.def = 0;
            this.m_titleData.power = 0;
            this.m_titleData.damageUp = 0;
            this.m_titleData.boomRes = 0;
            this.m_titleData.expUp = 0;
            this.m_titleData.damageRes = 0;
            this.m_titleData.powerUp = 0;
            this.m_titleData.goldUp = 0;
        };
        playTitle_ai.prototype.getAtt = function () {
            return this.m_titleData.damage;
        };
        playTitle_ai.prototype.getHp = function () {
            return this.m_titleData.hp;
        };
        playTitle_ai.prototype.getDef = function () {
            return this.m_titleData.def;
        };
        playTitle_ai.prototype.getPower = function () {
            return this.m_titleData.power;
        };
        playTitle_ai.prototype.getAttPer = function () {
            return this.m_titleData.damageUp;
        };
        playTitle_ai.prototype.getBoomDefPer = function () {
            return this.m_titleData.boomRes;
        };
        playTitle_ai.prototype.getExpPer = function () {
            return this.m_titleData.expUp;
        };
        playTitle_ai.prototype.getDefPer = function () {
            return this.m_titleData.damageRes;
        };
        playTitle_ai.prototype.getPowerPer = function () {
            return this.m_titleData.powerUp;
        };
        playTitle_ai.prototype.getGoldPer = function () {
            return this.m_titleData.goldUp;
        };
        return playTitle_ai;
    }());
    game.playTitle_ai = playTitle_ai;
})(game || (game = {}));
//# sourceMappingURL=playTitle_ai.js.map