module  game {

    export class playerAi_idle_pvp extends playerAi_idle {
        m_object_role: player_pvp;

        InternalEvent(key, data) {
            this.m_object_role.playAnimation("daiji", true);
            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 0;
                this.m_object_role.hideBody();
            }
            return true;
        }
    }

    export class playerAi_run_pvp extends aiBase_run {
        m_object_role: player_pvp;

        InternalEvent(key, data) {
            super.InternalEvent(key, data);
            this.m_object_role.updateAngleImage();
            // this.m_object_role.updateAngle(0);
            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 0;
                this.m_object_role.hideBody();
            }
            return true;
        }

        // update(t){
        //     let f = super.update(t);
        //     if(f && ui_arraw.getMe()){
        //         ui_arraw.getMe().setArrawPos(cc.pAdd(this.m_object_role.getPosition(),this.m_object_role.m_arrawPos));
        //     }
        //     return f;
        // }
    }

    export class playerAi_dead_pvp extends playerAi_dead {
        m_object_role: player_pvp;

        InternalEvent(key, data) {
            this.m_object_role.stopMoveRootBone(0);
            this.m_object_role.m_SpineNode.setToSetupPose();
            if (this.m_object_role.m_animaEnd) {
                this.m_object_role.playAnimation("siwang", false);
            }
            // roleMgr.getMe().deleteTarget(this.m_object_role.getId());
            this.m_once = true;

            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 255;
                this.m_object_role.showBody();
            }
            // this.m_object_role.m_SpineNode.setTimeScale(2);
            roleMgr.getMe().m_hasDead = true;
            roleMgr.getMe().m_deadNum_monster++;
            return true;
        }

        Complete() {
            this.m_object_role.startResetPosition();
            this.m_object_role.m_canDelete = true;
            if (this.m_once) {
                this.m_once = false;
                // this.m_object_role.m_debuffCount = 0;
                // this.m_object_role.m_buffName = "";
                // this.m_object_role.m_SpineNode.setTimeScale(1);
                if (this.m_object_role.m_skin.getPanda()) {
                    this.m_object_role.setHp(this.m_object_role.getMaxHp() * this.m_object_role.m_skin.getShuzhi1());
                    this.m_object_role.changeState_Ex(g_AiType.g_AiType_idle);
                    let ret = spineMgr.getMe().createSpineOncePlay("fuhuotxiao","animation",this.m_object_role.getNode(),this.m_object_role.getPosition(),9999999);
                    ret.setPosition(g_other_config.fuhuo.pos);
                    ret.setScale(g_other_config.fuhuo.scale);
                    return true;
                }
                this.m_object_role.playAnimation("mudi", true);
                // RoundManager.gameEnd();
            }
            return true;
        }
    }

    export class playerAi_ptgongji1_pvp extends aiBase {
        m_object_role: player_pvp;
        m_once: boolean;

        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_att;
        }

        InternalEvent(key, data) {
            this.m_once = true;
            this.m_object_role.playAnimation(this.m_object_role.m_weaon.getCurWeaponAnima(), false);
            this.m_object_role.m_animaEnd = false;

            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 255;
                this.m_object_role.showBody();
            }
            if (this.m_object_role.m_weaon.getWeaponSkill() == "blink") {
                return true;
            }
            if (this.m_object_role.m_item.isYaoji2() && this.m_object_role.m_item.m_used) {
                // bulletMgr.getMe().m_deleteBulletNum *= 2;
                return true;
            }
            this.m_object_role.nextRound(false);
            return true;
        }

        ExternalEvent(key, data): boolean {
            return false;
        }

        Complete() {
            // this.m_object_role.startResetPosition();
            // this.m_object_role.changeState_Ex(g_AiType.g_AiType_idle_ex);
            if (this.m_once) {
                this.m_once = false;
                this.m_object_role.m_animaEnd = true;
                this.m_object_role.playAnimation("daiji");
                if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                    // this.m_object_role.m_SpineNode.getNode().opacity = 0;
                    this.m_object_role.hideBody();
                }

                if (this.m_object_role.m_item.isYaoji2() && !this.m_object_role.m_item.m_used) {
                    this.m_object_role.m_item.m_used = true;
                    // let a = setInterval(() => {
                    this.m_object_role.changeState_Ex(g_AiType.g_AiType_att);
                        // clearInterval(a);
                    // }, 1000);
                }
            }
            return true;
        }

        OnFireBullet() {
            RoundManager.getMe().m_canHideTimer = true;
            RoundManager.getMe().m_timer = 30;
        }

    }

    export class playerAi_beiji_pvp extends playerAi_beiji {
        m_object_role: player_pvp;
    }

}