/**
 * 装逼时装
 */
var game;
(function (game) {
    var playSkin_pvp = (function () {
        function playSkin_pvp(player, type) {
            this.m_des = "playSkin_pvp";
            this.m_object_role = player;
            this.init(type);
        }
        playSkin_pvp.prototype.shutdown = function () {
            this.m_object_role = null;
            this.m_skinData = null;
        };
        playSkin_pvp.prototype.init = function (type) {
            var heroName = this.m_object_role.getName();
            var pifu;
            var data = game.proto_fightPVP.getMe().m_data;
            if (this.m_object_role.getName() == data.curHero.name) {
                pifu = data.curHero.skin;
            }
            else {
                pifu = data.curFollower.skin;
            }
            this.m_skinData = game.dataMgr.getMe().getSkinConfig(pifu, heroName);
            this.setSkin(this.m_skinData.skin);
            this.m_onceFuhuo = false;
        };
        playSkin_pvp.prototype.setSkin = function (name) {
            this.m_object_role.m_SpineNode.setSkin(name);
        };
        playSkin_pvp.prototype.getAtt = function () {
            return this.m_skinData.damage;
        };
        playSkin_pvp.prototype.getHp = function () {
            return this.m_skinData.hp;
        };
        playSkin_pvp.prototype.getDef = function () {
            return this.m_skinData.damageRes;
        };
        playSkin_pvp.prototype.getPower = function () {
            return this.m_skinData.power;
        };
        playSkin_pvp.prototype.getCritRate = function () {
            return this.m_skinData.critRate;
        };
        playSkin_pvp.prototype.getSkillName = function () {
            return this.m_skinData.skill;
        };
        playSkin_pvp.prototype.getShuzhi1 = function () {
            return this.m_skinData.shuzhi1;
        };
        playSkin_pvp.prototype.getShuzhi2 = function () {
            return this.m_skinData.shuzhi2;
        };
        playSkin_pvp.prototype.getShuzhi1_bear = function () {
            return this.m_skinData.shuzhi1 * (game.RoundManager.getMe().m_round + 1);
        };
        playSkin_pvp.prototype.getShuzhi2_bear = function () {
            return this.m_skinData.shuzhi2 * (game.RoundManager.getMe().m_round + 1);
        };
        playSkin_pvp.prototype.getPanda = function () {
            if (this.m_skinData.skill == "guobao") {
                if (!this.m_onceFuhuo) {
                    this.m_onceFuhuo = true;
                    return true;
                }
            }
            return false;
        };
        return playSkin_pvp;
    }());
    game.playSkin_pvp = playSkin_pvp;
})(game || (game = {}));
//# sourceMappingURL=playSkin_pvp.js.map