module game {

    export class baseScene extends xjLayer {
        m_scenenode: cc.Node = null
        m_qianjingnode: cc.Node = null
        m_beijingnode: cc.Node = null
        m_node_roleBase: cc.Node = null
        m_node_baseui: cc.Node = null
        m_SceneInfo: scene_config_data_s = null;// 场景信息
        m_roleMgr: roleMgr = null
        m_BulletMgr: bulletMgr = null
        m_SceneType: e_SceneType;
        m_scenename: string = "";
        m_bIsloadind: any = false;
        // m_backlayerCount: any = 0;
        // m_backupLay: xjSprite = null;
        // m_AllKillMonsterNum: number = 0;
        // m_AllKillMonsterExp: number = 0;
        m_tileMap: TiledMapEX;
        init() {
            // return true;
        }

//设置杀怪exp
        setKillMonsterExp(exp: number) {
        }

        // gameOver(winval,  data: any = null) {
        //
        // }

        //场景切换卸载内存
        // removeMem () {
        //     SpinememMgr.getMe().clean()
        //     //cc.textureCache.removeUnusedTextures();
        //     if (cc.sys.isNative) {
        //         cc.textureCache.removeUnusedTextures();
        //         cc.sys.garbageCollect();
        //         console.log("删除无用内存！end");
        //     }
        // }
        removeMem() {
            //SpinememMgr.getMe().clean()
            if (cc.sys.isNative) {
                cc.textureCache.removeUnusedTextures();
                cc.sys.garbageCollect();
                console.log("删除无用内存！end");
            }
        }

        shutdown() {
            spineMgr.getMe().shutdown();
            uieffectMgr.getMe().shutdown();
            if (this.m_BulletMgr != null) {
                this.m_BulletMgr.shutdown();
                this.m_BulletMgr = null;
            }
            if (this.m_roleMgr != null) {
                this.m_roleMgr.shutdown();
                this.m_node_roleBase.removeChild(this.m_roleMgr.getNode(), true);
                this.m_roleMgr = null;
            }
            this.removeMem()
            fileMgr.savePlayInfo_callback();
            return true;
        }

        getRoleMgr(): roleMgr {
            return this.m_roleMgr;
        }

        getBulletMgr() {
            return this.m_BulletMgr;
        }

        playBackMusic() {
            musicMgr.getMe().playbackmusic(this.m_SceneInfo["back_music"]);
        }

        getsceneScale() {
            return rootScene.getMe().m_win_scale;
        }

        getsceneReScale() {
            if (rootScene.getMe().m_win_scale < 1) {
                return 1.0 / rootScene.getMe().m_win_scale;
            }
            else {
                return 1.0 / rootScene.getMe().m_win_scale;
            }
            //   return rootScene.getMe().m_win_scale;
        }

        shipeiCenter(playout) {
            var winSize = cc.director.getWinSize();
            console.log("shipeiCenter：" + this.getsceneScale());
            playout.setScale(this.getsceneScale());
            playout.setPosition(cc.p(0, 0));
            playout.setAnchorPoint(cc.p(0.0, 0.0));

        }

        loadsceneEx() {

        }

        loadscene(scenename) {
            //把其他 界面spine和其他 内存清理掉，防止加载的时候内存崩
            uiMgr.getMe().shutdownAllUi()
            //rootScene.getMe().removeSpine()

            this.m_scenename = scenename;
            rootScene.getMe().zanting(false);
            this.m_SceneInfo = cc.clone(fileMgr.getMe().getSceneInfo(scenename));
            if (this.m_SceneInfo == null) {
                console.log("严重错误 没有这个场景名 ：" + scenename);
                console.error("严重错误 没有这个场景名 ：" + scenename);
                return;
            }
            //
            var json = null;
            json = ccs.load("xingjietantantang/big/scene/" + this.m_SceneInfo.res_path);
            if (json.node == null) {
                console.log("没有这个文件" + "xingjietantantang/big/scene/" + this.m_SceneInfo.res_path);
            }
            this.m_scenenode = json.node;
            this.m_scenenode.setScale(rootScene.getMe().m_win_scale);
            this.m_qianjingnode = json.node.getChildByName("qianjing");
            this.m_beijingnode = json.node.getChildByName("beijing"); //
            if (this.m_qianjingnode == null) {
                this.m_qianjingnode = new cc.Node();
                this.m_scenenode.addChild(this.m_qianjingnode);
            }
            if (this.m_beijingnode == null) {
                this.m_beijingnode = new cc.Node();
                this.m_scenenode.addChild(this.m_beijingnode);
            }
            this.m_node_roleBase = json.node.getChildByName("role")//new cc.Node();
            this.m_node_baseui = new cc.Node();
            this.m_scenenode.addChild(this.m_node_baseui);

            this.m_node_baseui.setLocalZOrder(100);

            this.addChild(this.m_scenenode, 10000);
            this.m_roleMgr = roleMgr.create();

            this.m_node_roleBase.addChild(this.m_roleMgr.getNode());
            //这里暂时把角色层放在最前面
            this.m_node_roleBase.setLocalZOrder(99999999)
            this.m_BulletMgr = bulletMgr.create();
            this.m_roleMgr.addChild(this.m_BulletMgr.getNode(), 200);
            this.shipeiCenter(this.m_scenenode); //这个地方的坐标系千万不能改
            this.init();
            this.playBackMusic();
            this.m_bIsloadind = true;
        }
    }
}
//# sourceMappingURL=baseScene.js.map