var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
//战斗场景  基类
var game;
(function (game) {
    var baseSceneFight = (function (_super) {
        __extends(baseSceneFight, _super);
        // static scene(): baseSceneFight {
        //     // let layer = new baseSceneFight();
        //     return new baseSceneFight();
        // };
        // getPlayerBirth()
        // {
        //     return this.m_playerBirth[Math.floor(Math.random()*this.m_playerBirth.length)];
        //
        // }
        // getEnemyBirth()
        // {
        //     return this.m_enemyBirgh[Math.floor(Math.random()*this.m_enemyBirgh.length)];
        // }
        function baseSceneFight() {
            _super.call(this);
            this.m_startGame = false;
            this.m_gameOver = false;
            this.m_sceneTime = 0; //场景运行时间
            this.m_resultTimer = 0;
            // m_juqingInfo: any = null;
            // m_createMonsterMgr;
            this.m_playerBirth = [];
            this.m_enemyBirgh = [];
            this.m_SceneType = game.e_SceneType.SceneType_fight;
        }
        baseSceneFight.prototype.init = function () {
            game.uiMgr.getMe().shutdownAllUi();
            // switch (this.m_SceneType)
            // {
            //     case e_SceneType.SceneType_fight:
            //     case e_SceneType.SceneType_test:
            //     case e_SceneType.SceneType_guide:
            //         ui_zhandoujiemian.ShowOrHide(true);
            //         break;
            //     case e_SceneType.SceneType_pvp:
            //         // ui_PvpFight.ShowOrHide( true )
            //         break
            // }
            game.ui_zhandoujiemian.ShowOrHide(true);
            // this.m_createMonsterMgr = createMonsterMgr.create();
            // guankaMgr.getMe().initGuanKaData(this.m_SceneInfo);
            this.initlayout();
            this.initTileMap();
            game.uieffectMgr.getMe().resetEffectUINum();
            this.initBirth();
            // ChipmunkMgr.getMe().loadPhysicsSpace();
            // ChipmunkMgr.getMe().loadDebugPhysicsSpace(this.getNode());
            // this.setScale(0.8);
            return true;
        };
        baseSceneFight.prototype.initBirth = function () {
            // let birthdata = cc.clone(g_birth_config[this.m_SceneInfo.hero_birth])
            // if (birthdata == null) {
            //     uiMgr.getMe().show_ui_MessageBox(true, "g_birth_config没有配置出生点:")
            // }
            // else {
            //     for (let p in birthdata) {
            //         if (p.indexOf("hero") > -1) {
            //             this.m_playerBirth.push(birthdata[p])
            //         }
            //         else if (p.indexOf("enemy") > -1) {
            //             this.m_enemyBirgh.push(birthdata[p])
            //         }
            //     }
            // }
        };
        baseSceneFight.prototype.initTileMap = function () {
            this.m_tileMap = game.TiledMapEX.create(this.m_SceneInfo.map_path, game.roleMgr.getMe().getNode());
        };
        // setKillMonsterExp(exp: number) {
        //     ++this.m_AllKillMonsterNum;
        //
        // }
        baseSceneFight.prototype.start_game = function () {
            this.m_startGame = true;
            this.m_gameOver = false;
        };
        baseSceneFight.prototype.end_game = function () {
            this.m_startGame = false;
            this.m_gameOver = true;
        };
        baseSceneFight.prototype.updateWinOver = function (t) {
            if (this.m_gameOver == false) {
                return;
            }
            if (this.m_resultTimer > 2) {
                this.m_resultTimer = -10;
                this.endjuqing();
            }
            else {
                this.m_resultTimer += t;
            }
        };
        baseSceneFight.prototype.update_node = function (dt) {
            if (game.roleMgr.getMe()) {
                game.roleMgr.getMe().update(dt);
            }
            if (game.bulletMgr.getMe()) {
                game.bulletMgr.getMe().update(dt);
            }
            game.cameraMgr.getMe().loop(dt);
        };
        baseSceneFight.prototype.update = function (t) {
            if (game.rootScene.getMe().iszanting()) {
                return;
            }
            // if(ChipmunkMgr.getMe()){
            //     ChipmunkMgr.getMe().loop(t);
            // }
            this.update_node(t);
            _super.prototype.update.call(this, t);
            this.updateWinOver(t);
            this.update_Layout(t);
            // playControl.getMe().loop();
            if (this.m_gameOver) {
                return;
            }
            if (this.m_startGame) {
                this.updateStartGame(t);
            }
        };
        baseSceneFight.prototype.updateStartGame = function (t) {
            this.m_sceneTime += t;
            // if (this.m_SceneType != e_SceneType.SceneType_pvp) {
            //     guankaMgr.getMe().loop(t);
            // }
        };
        baseSceneFight.prototype.startjuqing = function () {
        };
        //结束剧情处理
        baseSceneFight.prototype.endjuqing = function () {
        };
        baseSceneFight.prototype.initlayout = function () {
            var moves_node = game.g_moves;
            for (var p in moves_node) {
                var info = moves_node[p];
                info.pnode = this.m_scenenode.getChildByTag(parseInt(info.node_id));
            }
        };
        baseSceneFight.prototype.update_Layout = function (t) {
            //let sceneinfo = fileMgr.getMe().getSceneInfo(this.m_scenename);
            var moves_node = game.g_moves;
            for (var p in moves_node) {
                var info = moves_node[p];
                if (!info.pnode) {
                    // console.log("移动层id错误没有这个id");
                    break;
                }
                if (info.speed != 0) {
                    var startPos = cc.p(info.startPos_x, info.startPos_y);
                    info.pnode.setPosition(startPos);
                }
                else {
                    var speedlay = game.fileMgr.getMe().m_curMyStruct_xiangsu_base.laySpeedscale;
                    var pos_play = game.sceneMgr.getMe().getPosition();
                    var scale = game.sceneMgr.getMe().getCurScene().getsceneReScale();
                    pos_play = cc.pMult(pos_play, scale);
                    var speedscale = info.playspeed_per_w * speedlay;
                    var nowPos = cc.p(-pos_play.x + speedscale * pos_play.x, 0);
                    info.pnode.setPosition(nowPos);
                }
            }
        };
        baseSceneFight.prototype.gameOver = function (winval, data) {
            if (data === void 0) { data = null; }
            if (this.m_gameOver) {
                return;
            }
            this.m_gameOver = true;
            this.end_game();
        };
        baseSceneFight.prototype.loadscene = function (scenename) {
            _super.prototype.loadscene.call(this, scenename);
            game.cameraMgr.getMe().initex();
            this.startjuqing();
            this.loadsceneEx();
        };
        baseSceneFight.prototype.loadsceneEx = function () {
            //pvp模式下手动创建对象..
            // if( this.m_SceneType != e_SceneType.SceneType_pvp )
            // {
            game.RoundManager.getMe().init();
            this.m_roleMgr.initroleMgr(this.m_SceneInfo);
            // }
            // EffectMgr.getMe().init()
            this.m_sceneTime = 0;
            this.start_game();
        };
        baseSceneFight.prototype.shutdown = function () {
            //场景中有的一些节点添加在rolemgr中，ui场景必须在rolemgr前删除
            switch (this.m_SceneType) {
            }
            if (this.m_tileMap) {
                game.roleMgr.getMe().removeChild(this.m_tileMap.getNode(), true);
                this.m_tileMap = null;
            }
            _super.prototype.shutdown.call(this);
            if (game.ui_zhandoujiemian.getMe()) {
                game.ui_zhandoujiemian.ShowOrHide(false);
            }
            game.RoundManager.getMe().shutdown();
            // guankaMgr.getMe().shutdown();
            // roundMgr.getInstance().shutdown()
            // cameraMgr.getMe().shutdown()
            // uiMgr.getMe().getNode().removeAllChildren(true)
            return true;
        };
        return baseSceneFight;
    }(game.baseScene));
    game.baseSceneFight = baseSceneFight;
})(game || (game = {}));
//# sourceMappingURL=baseSceneFight.js.map 
//# sourceMappingURL=baseSceneFight.js.map