//战斗场景  基类
module game {

    export class baseSceneFight extends baseScene {
        m_startGame: boolean = false;
        m_gameOver: boolean = false;
        m_sceneTime: number = 0; //场景运行时间
        m_resultTimer: number = 0;
        // m_juqingInfo: any = null;
        // m_createMonsterMgr;
        m_playerBirth: Array<cc.Vec2> = [];
        m_enemyBirgh: Array<cc.Vec2> = [];
        // static scene(): baseSceneFight {
        //     // let layer = new baseSceneFight();
        //     return new baseSceneFight();
        // };

        // getPlayerBirth()
        // {
        //     return this.m_playerBirth[Math.floor(Math.random()*this.m_playerBirth.length)];
        //
        // }
        // getEnemyBirth()
        // {
        //     return this.m_enemyBirgh[Math.floor(Math.random()*this.m_enemyBirgh.length)];
        // }
        constructor() {
            super();
            this.m_SceneType = e_SceneType.SceneType_fight;
        }

        init() {
            uiMgr.getMe().shutdownAllUi();

            // switch (this.m_SceneType)
            // {
            //     case e_SceneType.SceneType_fight:
            //     case e_SceneType.SceneType_test:
            //     case e_SceneType.SceneType_guide:
            //         ui_zhandoujiemian.ShowOrHide(true);
            //         break;
            //     case e_SceneType.SceneType_pvp:
            //         // ui_PvpFight.ShowOrHide( true )
            //         break
            // }

            ui_zhandoujiemian.ShowOrHide(true);

            // this.m_createMonsterMgr = createMonsterMgr.create();
            // guankaMgr.getMe().initGuanKaData(this.m_SceneInfo);

            this.initlayout();
            this.initTileMap();
            uieffectMgr.getMe().resetEffectUINum();
            this.initBirth();

            // ChipmunkMgr.getMe().loadPhysicsSpace();
            // ChipmunkMgr.getMe().loadDebugPhysicsSpace(this.getNode());

            // this.setScale(0.8);
            return true;
        }

        initBirth() {
            // let birthdata = cc.clone(g_birth_config[this.m_SceneInfo.hero_birth])
            // if (birthdata == null) {
            //     uiMgr.getMe().show_ui_MessageBox(true, "g_birth_config没有配置出生点:")
            // }
            // else {
            //     for (let p in birthdata) {
            //         if (p.indexOf("hero") > -1) {
            //             this.m_playerBirth.push(birthdata[p])
            //         }
            //         else if (p.indexOf("enemy") > -1) {
            //             this.m_enemyBirgh.push(birthdata[p])
            //         }
            //     }
            // }
        }

        initTileMap() {
            this.m_tileMap = game.TiledMapEX.create(this.m_SceneInfo.map_path, roleMgr.getMe().getNode())
        }


        // setKillMonsterExp(exp: number) {
        //     ++this.m_AllKillMonsterNum;
        //
        // }


        start_game() {
            this.m_startGame = true;
            this.m_gameOver = false;
        }

        end_game() {
            this.m_startGame = false;
            this.m_gameOver = true;
        }

        updateWinOver(t) {
            if (this.m_gameOver == false) {
                return;
            }

            if (this.m_resultTimer > 2) {
                this.m_resultTimer = -10;
                this.endjuqing();
            }
            else {
                this.m_resultTimer += t;
            }
        }


        update_node(dt) {
            if (roleMgr.getMe()) {
                roleMgr.getMe().update(dt);
            }
            if (bulletMgr.getMe()) {
                bulletMgr.getMe().update(dt);
            }
            cameraMgr.getMe().loop(dt);
        }

        update(t) {
            if (rootScene.getMe().iszanting()) {
                return;
            }
            // if(ChipmunkMgr.getMe()){
            //     ChipmunkMgr.getMe().loop(t);
            // }

            this.update_node(t);
            super.update(t);
            this.updateWinOver(t);
            this.update_Layout(t);
            // playControl.getMe().loop();
            if (this.m_gameOver) {
                return;
            }
            if (this.m_startGame) {
                this.updateStartGame(t);
            }
        }

        updateStartGame(t) {

            this.m_sceneTime += t;
            // if (this.m_SceneType != e_SceneType.SceneType_pvp) {
            //     guankaMgr.getMe().loop(t);
            // }
        }


        startjuqing() {


        }

        //结束剧情处理
        endjuqing() {

        }

        initlayout() {
            let moves_node = g_moves;
            for (let p in moves_node) {
                let info = moves_node[p];
                info.pnode = this.m_scenenode.getChildByTag(parseInt(info.node_id));
            }
        }

        update_Layout(t) {

            //let sceneinfo = fileMgr.getMe().getSceneInfo(this.m_scenename);
            let moves_node = g_moves;
            for (let p in moves_node) {
                let info = moves_node[p];
                if (!info.pnode) {
                    // console.log("移动层id错误没有这个id");
                    break;
                }
                if (info.speed != 0) {
                    let startPos = cc.p(info.startPos_x, info.startPos_y);
                    info.pnode.setPosition(startPos);
                }
                else {
                    let speedlay = fileMgr.getMe().m_curMyStruct_xiangsu_base.laySpeedscale;
                    let pos_play = sceneMgr.getMe().getPosition();
                    let scale = sceneMgr.getMe().getCurScene().getsceneReScale();
                    pos_play = cc.pMult(pos_play, scale);
                    let speedscale = info.playspeed_per_w * speedlay;
                    let nowPos = cc.p(-pos_play.x + speedscale * pos_play.x, 0);
                    info.pnode.setPosition(nowPos);
                }
            }
        }

        gameOver(winval: boolean, data: any = null) {
            if (this.m_gameOver) {
                return;
            }
            this.m_gameOver = true
            this.end_game();
        }

        loadscene(scenename) {
            super.loadscene(scenename);
            cameraMgr.getMe().initex();
            this.startjuqing();
            this.loadsceneEx();
        }

        loadsceneEx() {
            //pvp模式下手动创建对象..
            // if( this.m_SceneType != e_SceneType.SceneType_pvp )
            // {
            RoundManager.getMe().init();
            this.m_roleMgr.initroleMgr(this.m_SceneInfo);
            // }

            // EffectMgr.getMe().init()
            this.m_sceneTime = 0;
            this.start_game();
        }

        shutdown() {
            //场景中有的一些节点添加在rolemgr中，ui场景必须在rolemgr前删除
            switch (this.m_SceneType) {
                //     case e_SceneType.SceneType_fight:
                //     case e_SceneType.SceneType_test:
                //     case e_SceneType.SceneType_guide:
                //         ui_zhandoujiemian.ShowOrHide(false);
                //         break
                //     case e_SceneType.SceneType_pvp:
                //         // ui_PvpFight.ShowOrHide( false )
                //         // if(g_pvp_local)
                //         //     autoPvpMgr.getInstance().shutdown()
                //         break
            }
            if (this.m_tileMap) {
                roleMgr.getMe().removeChild(this.m_tileMap.getNode(), true)
                this.m_tileMap = null
            }
            super.shutdown();
            if(ui_zhandoujiemian.getMe()){
                ui_zhandoujiemian.ShowOrHide(false);
            }
            RoundManager.getMe().shutdown();
            // guankaMgr.getMe().shutdown();
            // roundMgr.getInstance().shutdown()
            // cameraMgr.getMe().shutdown()

            // uiMgr.getMe().getNode().removeAllChildren(true)
            return true;
        }
    }

}
//# sourceMappingURL=baseSceneFight.js.map