var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var rootScene = (function (_super) {
        __extends(rootScene, _super);
        function rootScene() {
            _super.apply(this, arguments);
            this._zanting = false;
            this.m_autoDownload = false;
            this.m_isUpdate = false;
            this.m_win_scale = 1;
            this.m_isconnected = false;
        }
        rootScene.prototype.onExit = function () {
            console.log("exit js");
            if (cc.sys.isNative) {
                game.fileMgr.savePlayInfo_callback();
            }
            _super.prototype.onExit.call(this);
        };
        rootScene.prototype.isLowCpu = function () {
            return rootScene.g_lowCPU;
        };
        rootScene.prototype.isLowCpu_10fps = function () {
            return rootScene.g_lowCPU_10;
        };
        rootScene.prototype.testcpu = function () {
            if (cc.sys.isNative) {
                var fps = cc.director.getFrameRate();
                if (fps < 10) {
                    rootScene.g_lowCPU_10 = true;
                }
                else {
                    rootScene.g_lowCPU_10 = false;
                }
                if (fps < 25) {
                    rootScene.g_lowCPU = true;
                }
                else {
                    rootScene.g_lowCPU = false;
                }
            }
        };
        //只初始化一次
        rootScene.prototype.init = function () {
            // let dd=  base64Mgr.encode( "第三方" );
            //    dd=  base64Mgr.decode( dd );
            console.log("当前操作系统:" + game.getOS());
            game.protoBuffMgr.getMe().init();
            this.m_ccNodeLoop = new cc.updateNode();
            this.m_ccNodeLoop.initEx();
            this.addChild(this.m_ccNodeLoop);
            this.m_ccNodeLoop.regUnpdate(this.loop_0016s.bind(this));
            this.testcpu();
            this.m_win_scale = game.fileMgr.getMe().m_curMyStruct_xiangsu_base.scale;
            // iapMgr.getMe().init();
            game.js_GameLogicMgr.getMe().init();
            game.js_GameLogicMgr.getMe().tvsdk_login_shouui();
            game.httpMgr.getMe().init();
            this.addChild(game.KeyboardMgr.getMe().getNode(), 10000);
            this.addChild(game.uiMgr.getMe().getNode(), 1000);
            if (this.m_autoDownload == true) {
                if (this.m_isUpdate == false) {
                    this.m_isUpdate = true;
                    this.scheduleUpdate();
                }
            }
            else {
                this.init_1();
            }
            return true;
        };
        rootScene.prototype.init_1 = function () {
            game.musicMgr.getMe();
            game.resMgr.getMe().loadTexutre();
            // sceneMgr.getMe().selectSceneEx(e_SceneType.SceneType_guide,"sceneN_1");
            // sceneMgr.getMe().selectScene(e_SceneType.SceneType_fight, "sceneA_1");
            if (cc.sys.isNative) {
                game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_login);
            }
            else {
                game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_main);
            }
            // sceneMgr.getMe().selectScene(e_SceneType.SceneType_login);
            // sceneMgr.getMe().selectScene(e_SceneType.SceneType_main);
            // sceneMgr.getMe().selectScene(e_SceneType.SceneType_fightai, "sceneR_7");
            return true;
        };
        rootScene.prototype.initex = function () {
            this.addChild(game.sceneMgr.getMe().getNode(), 0);
            this.addChild(game.parMgr.getMe().getNode(), 100);
            if (this.m_isUpdate == false) {
                this.m_isUpdate = true;
                this.scheduleUpdate();
            }
        };
        rootScene.prototype.loop_0016s = function (dt) {
            this.update(dt);
        };
        rootScene.prototype.update = function (dt) {
            //定时向服务器发送心跳包
            if (game.mainServer_webSocketManager.getMe()) {
                game.mainServer_webSocketManager.getMe().update(dt);
            }
            // if (FightServer_webSocketManager.getMe()) {
            //     FightServer_webSocketManager.getMe().update(dt)
            // }
            //体力恢复系统
            game.energyMgr.getMe().loop(dt);
            game.uiMgr.getMe().loop(dt);
            game.spineMgr.getMe().update(dt);
            game.js_GameLogicMgr.getMe().loop(dt);
            this.testcpu();
            if (this.iszanting()) {
                return;
            }
            game.sceneMgr.getMe().update(dt);
        };
        rootScene.prototype.iszanting = function () {
            return this._zanting;
        };
        //暂停动画 与 cd
        rootScene.prototype.zanting = function (flag) {
            this._zanting = flag;
            if (game.roleMgr.getMe()) {
                game.roleMgr.getMe().zanting(flag);
            }
            if (game.spineMgr.getMe()) {
                game.spineMgr.getMe().zanting(flag);
            }
            if (game.bulletMgr.getMe()) {
                game.bulletMgr.getMe().zanting(flag);
            }
        };
        rootScene.prototype.shutdown = function () {
            console.log("exit");
            game.uieffectMgr.getMe().shutdown();
        };
        rootScene.g_lowCPU = false;
        rootScene.g_lowCPU_10 = false;
        rootScene.g_point = null;
        rootScene.getMe = function () {
            return rootScene.g_point;
        };
        rootScene.scene = function () {
            var scene = new cc.Scene();
            var layer = new rootScene();
            rootScene.g_point = layer;
            layer.init();
            console.log("create rootscene.");
            scene.addChild(layer.getNode());
            return scene;
        };
        return rootScene;
    }(game.xjLayer));
    game.rootScene = rootScene;
})(game || (game = {}));
//# sourceMappingURL=rootScene.js.map 
//# sourceMappingURL=rootScene.js.map