var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var sceneMgr = (function (_super) {
        __extends(sceneMgr, _super);
        function sceneMgr() {
            _super.apply(this, arguments);
            this.m_curScene = null;
        }
        sceneMgr.getMe = function () {
            return sceneMgr.create();
        };
        ;
        sceneMgr.create = function () {
            if (sceneMgr.g_instance == null) {
                sceneMgr.g_instance = new sceneMgr();
            }
            return sceneMgr.g_instance;
        };
        ;
        sceneMgr.prototype.getCurSceneName = function () {
            if (this.getCurSceneType() == game.e_SceneType.SceneType_fight) {
                var sn = this.m_curScene.m_scenename.split("_");
                if (sn.length > 2) {
                    return sn[0] + "_" + sn[1];
                }
            }
            return this.m_curScene.m_scenename;
        };
        sceneMgr.prototype.getCurSceneType = function () {
            if (this.m_curScene == null) {
                return game.e_SceneType.SceneType_login;
            }
            return this.m_curScene.m_SceneType;
        };
        sceneMgr.prototype.getCurScene = function () {
            return this.m_curScene;
        };
        sceneMgr.prototype.getCurSceneInfo = function () {
            try {
                return this.m_curScene.m_SceneInfo;
            }
            catch (e) {
                console.log(e.stack);
            }
        };
        sceneMgr.prototype.getSceneInfoBySceneName = function (sceneName) {
            return game.fileMgr.g_scene_config_data_Map.get(sceneName);
        };
        sceneMgr.prototype.readSceneInfo = function (sceneName) {
            return;
        };
        //删除当前场景
        sceneMgr.prototype.shutdownCurScene = function () {
            // if (this.m_curScene) {
            //     this.m_curScene.shutdown()
            //     this.removeChild(this.m_curScene.getNode(), true)
            //     this.m_curScene = null
            // }
        };
        sceneMgr.prototype.selectScene = function (type, sceneName, callback, callback_data) {
            game.js_GameLogicMgr.getMe().removeAllSpineMem();
            this.selectSceneEx(type, sceneName);
        };
        sceneMgr.prototype.restart = function () {
            this.selectScene(this.getCurSceneType(), this.getCurSceneName());
        };
        sceneMgr.prototype.selectSceneEx = function (type, sceneName) {
            if (sceneName === void 0) { sceneName = null; }
            if (type == game.e_SceneType.SceneType_guide) {
            }
            if (this.m_curScene != null) {
                this.m_curScene.shutdown();
                this.removeChild(this.m_curScene.getNode(), true);
                this.m_curScene = null;
            }
            //登陆背景
            if (type == game.e_SceneType.SceneType_login) {
                this.m_curScene = game.loginscene.scene();
                this.addChild(this.m_curScene.getNode());
            }
            else if (type == game.e_SceneType.SceneType_main) {
                this.m_curScene = game.mainscene.scene();
                this.addChild(this.m_curScene.getNode());
            }
            else if (type == game.e_SceneType.SceneType_fight) {
                this.m_curScene = game.fightscene.scene();
                this.m_curScene.loadscene(sceneName);
                this.addChild(this.m_curScene.getNode());
            }
            else if (type == game.e_SceneType.SceneType_fightai) {
                this.m_curScene = game.fightAiscene.scene();
                this.m_curScene.loadscene(sceneName);
                this.addChild(this.m_curScene.getNode());
            }
            else if (type == game.e_SceneType.SceneType_pvp) {
                this.m_curScene = game.PVP_fight.scene();
                this.m_curScene.loadscene(sceneName);
                this.addChild(this.m_curScene.getNode());
            }
            else if (type == game.e_SceneType.SceneType_guide) {
                this.m_curScene = game.yindaoScene.scene();
                this.m_curScene.loadscene(sceneName);
                this.addChild(this.m_curScene.getNode());
            }
            else {
                console.error("error");
            }
            if (this.m_curScene == null) {
                console.error("error");
            }
            return this.m_curScene;
        };
        sceneMgr.prototype.update = function (t) {
            if (this.m_curScene) {
                this.m_curScene.update(t);
            }
        };
        return sceneMgr;
    }(game.xjNode));
    game.sceneMgr = sceneMgr;
})(game || (game = {}));
//# sourceMappingURL=sceneMgr.js.map