/**
 * Created by w on 2017/5/27.
 */
module game {

    export class ui_PlayAinamationOnce extends UiBase {
        m_funcCallback: Function = null;
        m_key_not_close: boolean = true;   //触摸穿透
        static create( layoutname: string , animation: string , callFunc: Function = null , fatherNode: cc.Node = null ,
                       pos:cc.Vec2 = null ,anchorpoint:cc.Vec2 = null ) {
            if ( layoutname == "" )
            {
                return null;
            }
            let l_instarn = new ui_PlayAinamationOnce();
            l_instarn.oninit(layoutname, animation, callFunc);
            if( pos ){
                l_instarn.setPosition( pos )
            }
            if( anchorpoint ){
                l_instarn.setAnchorPoint( anchorpoint )
            }
            if ( fatherNode )
            {
                fatherNode.addChild(l_instarn.getNode(), 5000000);
            }
            else
            {
                uiMgr.getMe().addChild(l_instarn.getNode(), 5000000);
            }

            return l_instarn;
        };

        constructor() {
            super();
            this.m_key_not_close = false;
            this.m_des = "ui_PlayAinamationOnce类"
        }
        shutdown () {
            this.getNode().removeAllChildren()
            this.getParent().removeChild(this.getNode());
            super.shutdown()
        }
        initColor()
        {
            this.setColor(cc.color(0, 0, 0));
            this.setOpacity(255 * 0.0);
            return true;
        }

        oninit( layoutname: string, animation: string, callFunc: Function = null )
        {
            //console.log( "打开一次性动画文件" + layoutname );
            this.m_funcCallback = null;
            if ( callFunc )
            {
                this.m_funcCallback = callFunc;
            }
            let root = this._parseUIFile( layoutname  , 0 , false );
            this.addChild(root);
            if (this.isPlay())
            {
                this.playCallback();
            }
            else
            {
                this.playAnimation(animation, false, this.playCallback, this);
            }
            this.shipeiCenter(root);
        }

        playCallback() {
            if (this.m_funcCallback) {
                this.m_funcCallback();
            }
            this.m_funcCallback = null;
            this.shutdown();
        }
    }
}
