var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by xieli on 2017/2/13.
 * 主界面
 */
var game;
(function (game) {
    var ui_chushixuanren = (function (_super) {
        __extends(ui_chushixuanren, _super);
        function ui_chushixuanren() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_CBaseKeyState_D = null;
            this.m_nameText = null;
            this.m_NickNames = null;
            this.m_SelectHero = "";
            this.m_curKeyName = "";
            this.m_des = "ui_chushixuanren";
            this.m_CBaseKeyState = new game.BaseKeyState();
            this.m_CBaseKeyState_D = new game.BaseKeyState();
        }
        ui_chushixuanren.prototype.up = function () {
            return this.m_CBaseKeyState_D.up();
        };
        ui_chushixuanren.prototype.down = function () {
            return this.m_CBaseKeyState_D.down();
        };
        ui_chushixuanren.prototype.left = function () {
            return this.m_CBaseKeyState.left();
        };
        ui_chushixuanren.prototype.right = function () {
            return this.m_CBaseKeyState.right();
        };
        ui_chushixuanren.prototype.nickNamesCallback = function (names) {
            if (this.m_NickNames == null) {
                this.m_NickNames = names;
            }
            else {
                this.m_NickNames = this.m_NickNames.concat(names);
            }
            this.updateNickName();
        };
        ui_chushixuanren.prototype.updateNickName = function () {
            if (this.m_NickNames == null) {
                return;
            }
            var SelectName = this.m_NickNames.pop();
            if (this.m_NickNames.length < 5) {
                game.httpMgr.getMe().sendMsg(game.g_httpType.type_httpGetNickNames);
            }
            this.m_nameText.setString(SelectName);
        };
        ui_chushixuanren.prototype.oninit = function (data) {
            var root = this._parseUIFile("chushixuanren.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            // g_new_account = true
            this.m_nameText = ccui.helper.seekWidgetByName(this.m_root, "TextField");
            this.m_nameText.setString("正在获取昵称..");
            //主页面按键注册
            game.httpMgr.getMe().sendMsg(game.g_httpType.type_httpGetNickNames);
            this.initUI();
            this.m_CBaseKeyState.init(this);
            this.m_CBaseKeyState_D.init(this);
            this.m_CBaseKeyState_D.setCurKey_byName("chongxuan");
        };
        ui_chushixuanren.prototype.initUI = function () {
            var nanNode = ccui.helper.seekWidgetByName(this.m_root, "1");
            var NvNode = ccui.helper.seekWidgetByName(this.m_root, "2");
            nanNode.setUserData("nan");
            NvNode.setUserData("nv");
            this.m_CBaseKeyState.regNodeEx(nanNode, 1);
            this.m_CBaseKeyState.regNodeEx(NvNode, 2);
            nanNode.addTouchEventListener(this.selec_func, this);
            NvNode.addTouchEventListener(this.selec_func, this);
            var nanSpineNode = ccui.helper.seekWidgetByName(nanNode, "Node_2");
            var nvSpineNode = ccui.helper.seekWidgetByName(NvNode, "Node_2");
            game.spineMgr.getMe().createSpineSkinPlay("hero_nan", "daiji", "pifu1", true, nanSpineNode);
            game.spineMgr.getMe().createSpineSkinPlay("hero_nv", "daiji", "pifu1", true, nvSpineNode);
            this.selec_func(nanNode, ccui.Widget.TOUCH_ENDED);
            var ok = ccui.helper.seekWidgetByName(this.m_root, "quedin");
            ok.addTouchEventListener(this.ok_func, this);
            var saizi = ccui.helper.seekWidgetByName(this.m_root, "chongxuan");
            saizi.addTouchEventListener(function (sender, type) {
                if (type == ccui.Widget.TOUCH_ENDED) {
                    this.updateNickName();
                }
            }.bind(this), this);
            this.m_CBaseKeyState_D.regNodeEx(saizi, 3);
            this.m_CBaseKeyState_D.regNodeEx(ok, 4);
        };
        ui_chushixuanren.prototype.selec_func = function (sender, type) {
            if (type == ccui.Widget.TOUCH_ENDED) {
                this.m_CBaseKeyState.setCurKey(sender);
                this.m_curKeyName = sender.getName();
                this.m_SelectHero = sender.getUserData();
                console.log("当前选择:" + this.m_SelectHero);
            }
        };
        ui_chushixuanren.prototype.ok_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if (this.m_SelectHero != "") {
                        var name_1 = this.m_nameText.getString();
                        console.log("选择角色:" + this.m_SelectHero);
                        console.log("选择昵称:" + name_1);
                        // if(name != "")
                        // {
                        this.succeedCallback(name_1);
                        // }/
                        game.sceneMgr.getMe().selectSceneEx(game.e_SceneType.SceneType_guide, "sceneN_1");
                    }
                    break;
            }
        };
        //这里是用于服务器判断用户名是否已经注册的回调
        ui_chushixuanren.prototype.succeedCallback = function (name) {
            // if(name != "")
            // {
            game.dataMgr.getMe().updateUserName(name);
            if (game.ui_mainScene.getMe()) {
                game.ui_mainScene.getMe().updateItem();
            }
            if (game.dataMgr.getMe().lockHero(this.m_SelectHero)) {
                game.dataMgr.getMe().setCurHero(this.m_SelectHero);
                if (this.m_SelectHero == "nan") {
                    game.dataMgr.getMe().setCurfollow("");
                }
                else {
                    game.dataMgr.getMe().setCurfollow("");
                }
                ui_chushixuanren.ShowOrHide(false);
            }
            // }
        };
        // DoEnterCurButton_Released()
        // {
        //     this.ok_func(null,ccui.Widget.TOUCH_ENDED)
        // }
        ui_chushixuanren.prototype.loop = function (t) {
            if (this.m_CBaseKeyState_D) {
                this.m_CBaseKeyState_D.loop(t);
            }
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
                if (this.m_CBaseKeyState.m_key.name != this.m_curKeyName) {
                    this.selec_func(this.m_CBaseKeyState.m_key.node, ccui.Widget.TOUCH_ENDED);
                }
            }
            if (this.m_NickNames == null || this.m_NickNames.length == 0) {
                game.ui_loading2.ShowOrHide(true, "正在从服务器获取昵称");
            }
            else {
                if (game.ui_loading2.getMe()) {
                    game.ui_loading2.ShowOrHide(false, null);
                }
            }
        };
        ui_chushixuanren.g_instarn = null;
        ui_chushixuanren.getMe = function () {
            return ui_chushixuanren.g_instarn;
        };
        ui_chushixuanren.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_chushixuanren, game.uiMgr.getMe(), 101);
        };
        return ui_chushixuanren;
    }(game.UiBase));
    game.ui_chushixuanren = ui_chushixuanren;
})(game || (game = {}));
//# sourceMappingURL=ui_chushixuanren.js.map