/**
 * Created by w on 2017/5/25.
 */
//战斗ui特效
//
module game {


    export class ui_dropHp_player extends uiBaseNode {

        constructor() {
            super();
            this.m_key_close = false;
            this.oninit('');
            this.m_des = "ui_dropHp_player";
        }


        oninit(data) {
            let root = this._parseUIFile("wofangdiaoxue.json");
            root.setAnchorPoint(cc.p(0.5, 0.5));
            this.addChild(root);
            this.init();
        }

        m_text: any = null;

        init() {
            this.m_root.setAnchorPoint(cc.p(0.5, 0.5));
            this.m_text = ccui.helper.seekWidgetByName(this.m_root, "BitmapFontLabel_1");
        }


        setText(text: any) {

            {
                this.m_text.setString(text);
            }
        }

        callback() {
            uiBuffMgr.getMe().addUI_BaseNode("ui_dropHp_player", this);
            uieffectMgr.getMe().removeEffectUINum();
        }


        show(showinfo, pos) {
            // showinfo = Math.max(1, toInt32(showinfo));
            this.setPosition(pos)
            this.setVisible(true);
            // cc.log(showinfo);
            this.setText(showinfo);
            this.playAnimation("play", false, this.callback, this);
        }
    }
    export class ui_AddHp_player extends uiBaseNode {

        constructor() {
            super();
            this.m_key_close = false;
            this.oninit('');
            this.m_des = "ui_AddHp_player";
        }


        oninit(data) {
            let root = this._parseUIFile("wofanghuixue.json");
            root.setAnchorPoint(cc.p(0.5, 0.5));
            this.addChild(root);
            this.init();
        }

        m_text: any = null;

        init() {
            this.m_root.setAnchorPoint(cc.p(0.5, 0.5));
            this.m_text = ccui.helper.seekWidgetByName(this.m_root, "BitmapFontLabel_1_0");
        }

        setText(text: any) {

            {
                this.m_text.setString(text);
            }
        }

        callback() {
            uiBuffMgr.getMe().addUI_BaseNode("ui_AddHp_player", this);
            uieffectMgr.getMe().removeEffectUINum();
        }


        show(showinfo, pos) {
            // showinfo = Math.max(1, toInt32(showinfo));
            this.setPosition(pos)
            this.setVisible(true);
            this.setText(showinfo);
            this.playAnimation("play", false, this.callback, this);
        }
    }
    export class ui_dropHp_player_crit extends uiBaseNode {

        constructor() {
            super();
            this.oninit('');
            this.m_des = "ui_dropHp_player_crit";
        }

        oninit(data) {
            let root = this._parseUIFile("miss.json");
            root.setAnchorPoint(cc.p(0.5, 0.5));
            this.addChild(root);
            this.init()
        }


        m_text: any = null;

        init() {
            this.m_root.setAnchorPoint(cc.p(0.5, 0.5));
            this.m_text = ccui.helper.seekWidgetByName(this.m_root, "BitmapFontLabel_1");
        }


        setText(text: any) {

            {
                this.m_text.setString(text);
            }
        }

        callback() {
            uiBuffMgr.getMe().addUI_BaseNode("ui_dropHp_player_crit", this);
            uieffectMgr.getMe().removeEffectUINum();
        }


        show(showinfo, pos) {
            // showinfo = Math.max(1, toInt32(showinfo));
            this.setPosition(pos)
            this.setVisible(true);

            // this.setText(showinfo);
            this.playAnimation("play", false, this.callback, this);
        }

    }
    export class ui_dropHp_monster extends uiBaseNode {
        // static create(): ui_dropHp_monster {
        //     let l_instarn = new ui_dropHp_monster();
        //     l_instarn.oninit('');
        //     return l_instarn;
        // };
        constructor() {
            super();
            this.oninit('');
            this.m_des = "ui_dropHp_monster";
        }

        oninit(data) {
            let root = this._parseUIFile("wofangdiaoxue.json");
            root.setAnchorPoint(cc.p(0.5, 0.5));
            this.addChild(root);
            this.init()
        }


        m_text: any = null;

        init() {
            this.m_root.setAnchorPoint(cc.p(0.5, 0.5));
            this.m_text = ccui.helper.seekWidgetByName(this.m_root, "BitmapFontLabel_1");
        }


        setText(text: any)
        {
            this.m_text.setString(text);
        }

        callback() {
            uiBuffMgr.getMe().addUI_BaseNode("ui_dropHp_monster", this);
            uieffectMgr.getMe().removeEffectUINum();
        }


        show(showinfo, pos) {
            showinfo = Math.max(1, toInt32(showinfo));
            this.setPosition(pos)
            this.setVisible(true);
            this.setText(showinfo);
            this.playAnimation("play", false, this.callback, this);
        }
    }
    export class ui_dropHp_monster_crit extends uiBaseNode {

        constructor() {
            super();
            this.oninit('');
            this.m_des = "ui_dropHp_monster_crit";
        }

        oninit(data) {
            let root = this._parseUIFile("wofangdiaoxue_baoji.json");
            root.setAnchorPoint(cc.p(0.5, 0.5));
            this.addChild(root);
            this.init()
        }


        m_text: any = null;

        init() {
            this.m_root.setAnchorPoint(cc.p(0.5, 0.5));
            this.m_text = ccui.helper.seekWidgetByName(this.m_root, "BitmapFontLabel_1");
        }


        setText(text: any) {

            {
                this.m_text.setString(text);
            }
        }

        callback() {
            uiBuffMgr.getMe().addUI_BaseNode("ui_dropHp_monster_crit", this);
            uieffectMgr.getMe().removeEffectUINum();
        }


        show(showinfo, pos) {
            showinfo = Math.max(1, toInt32(showinfo));
            this.setPosition(pos)
            this.setVisible(true);
            this.setText(showinfo);
            this.playAnimation("play", false, this.callback, this);
        }
    }

    export class uieffectMgr {
        static g_instarn: uieffectMgr = null;
        static getMe(): uieffectMgr {
            if (uieffectMgr.g_instarn == null) {
                uieffectMgr.g_instarn = new uieffectMgr();
                return uieffectMgr.g_instarn;
            }
            else {
                return uieffectMgr.g_instarn;
            }
        };

        // constructor() {
        // }

        m_effectNum: number = 0;
        addEffectUINum() {
            this.m_effectNum++;
        }

        removeEffectUINum()
        {
            this.m_effectNum--;
        }

        resetEffectUINum()
        {
            this.m_effectNum = 0;
        }


        init() {
            this.initPlaydrophp();
        }

        m_isInit: boolean = false;

        initPlaydrophp() {
            if (this.m_isInit == true) return;
            this.m_isInit = true;
            for (let i = 0; i <= 10; ++i) {
                let _DropHpLay = new ui_dropHp_player();
                _DropHpLay.playAnimation("play");
                uiBuffMgr.getMe().addUI_BaseNode("ui_dropHp_player", _DropHpLay);
            }
            for (let i = 0; i <= 10; ++i) {
                let _DropHpLay = new ui_dropHp_player_crit();
                _DropHpLay.playAnimation("play");
                uiBuffMgr.getMe().addUI_BaseNode("ui_dropHp_player_crit", _DropHpLay);
            }
            for (let i = 0; i <= 20; ++i) {
                let _DropHpLay = new ui_dropHp_monster();
                _DropHpLay.playAnimation("play");
                uiBuffMgr.getMe().addUI_BaseNode("ui_dropHp_monster", _DropHpLay);
            }
            for (let i = 0; i <= 10; ++i) {
                let _DropHpLay = new ui_dropHp_monster_crit();
                _DropHpLay.playAnimation("play");
                uiBuffMgr.getMe().addUI_BaseNode("ui_dropHp_monster_crit", _DropHpLay);
            }
        }
        createLayout_playdrophp_crit( father: cc.Node, showinfo: number, pos: cc.Vec2) {

            if (showinfo == 0)
                return;
            if (rootScene.getMe().isLowCpu_10fps()) {
                return;
            }

            if(this.m_effectNum >= 5)
                return;
            // ++this.m_effectNum
            this.addEffectUINum();


            let _DropHpLay: ui_dropHp_player_crit = <ui_dropHp_player_crit>uiBuffMgr.getMe().get_UI_BaseNode("ui_dropHp_player_crit", roleMgr.getMe().getNode(), 500000);
            if (_DropHpLay == null) {
                _DropHpLay = new ui_dropHp_player_crit();
                roleMgr.getMe().addChild(_DropHpLay.getNode(), 500000);
            }
            //_DropHpLay.setScale(g_other_config.dropHp);
            _DropHpLay.show(showinfo, pos);


        }
        createLayout_playaddhp( father: cc.Node, showinfo: number, pos: cc.Vec2) {

            if (showinfo == 0)
                return;
            if (rootScene.getMe().isLowCpu_10fps()) {
                return;
            }

            if(this.m_effectNum >= 5)
                return;
            // ++this.m_effectNum
            this.addEffectUINum();


            let _AddHpLay: ui_AddHp_player = <ui_AddHp_player>uiBuffMgr.getMe().get_UI_BaseNode("ui_AddHp_player", roleMgr.getMe().getNode(), 500000);
            if (_AddHpLay == null) {
                _AddHpLay = new ui_AddHp_player();
                roleMgr.getMe().addChild(_AddHpLay.getNode(), 500000);
            }
            //_DropHpLay.setScale(g_other_config.dropHp);
            _AddHpLay.show("+"+Math.floor(showinfo), pos);


        }

        createLayout_playdrophp( father: cc.Node, showinfo: number, pos: cc.Vec2) {

            if (showinfo == 0)
                return;
            if (rootScene.getMe().isLowCpu_10fps()) {
                return;
            }

            if(this.m_effectNum >= 5)
                return;
            // ++this.m_effectNum
            this.addEffectUINum();


            let _DropHpLay: ui_dropHp_player = <ui_dropHp_player>uiBuffMgr.getMe().get_UI_BaseNode("ui_dropHp_player", roleMgr.getMe().getNode(), 500000);
            if (_DropHpLay == null) {
                _DropHpLay = new ui_dropHp_player();
                roleMgr.getMe().addChild(_DropHpLay.getNode(), 500000);
            }
            //_DropHpLay.setScale(g_other_config.dropHp);
            _DropHpLay.show("-"+Math.floor(showinfo), pos);


        }

        createLayout_monsterdrophp(father: cc.Node, showinfo: number, pos: cc.Vec2) {
            if (showinfo == 0)
                return;
            if (rootScene.getMe().isLowCpu_10fps()) {
                return;
            }

            if(this.m_effectNum >= 5)
                return;
            this.addEffectUINum();
            let _DropHpLay: ui_dropHp_monster = <ui_dropHp_monster>uiBuffMgr.getMe().get_UI_BaseNode("ui_dropHp_monster", roleMgr.getMe().getNode(), 500000);
            if (_DropHpLay == null) {
                _DropHpLay = new ui_dropHp_monster();
                roleMgr.getMe().addChild(_DropHpLay.getNode(), 500000);
            }
            _DropHpLay.show(showinfo, pos);

        }

        createLayout_monsterdropCrithp(father: cc.Node, showinfo: number, pos: cc.Vec2) {
            if (rootScene.getMe().isLowCpu_10fps()) {
                return;
            }
            if(this.m_effectNum >= 5)
                return;

            this.addEffectUINum();
            let _DropHpLay: ui_dropHp_monster_crit = <ui_dropHp_monster_crit>uiBuffMgr.getMe().get_UI_BaseNode("ui_dropHp_monster_crit", roleMgr.getMe().getNode(), 500000);
            if (_DropHpLay == null) {
                _DropHpLay = new ui_dropHp_monster_crit();
                roleMgr.getMe().addChild(_DropHpLay.getNode(), 500000);
            }
            _DropHpLay.show(Math.floor(showinfo), pos);

        }


        loop() {
        }


        shutdown() {
            console.log("shutdown ui_dorpHp !");
        }
    }
}
