var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_pvplose = (function (_super) {
        __extends(ui_pvplose, _super);
        function ui_pvplose() {
            _super.call(this);
            this.m_des = "ui_pvplose";
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_pvplose.getMe = function () {
            return ui_pvplose.g_instarn;
        };
        ;
        ui_pvplose.prototype.oninit = function (award) {
            var root = this._parseUIFile("shibai_pvp.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            game.dataMgr.getMe().yindaoUnlock("d1");
            game.dataMgr.getMe().yindaoUnlock("d2");
            this.initUI();
            var okbutton = ccui.helper.seekWidgetByName(this.m_root, "fanhui");
            okbutton.addTouchEventListener(this.ok_func, this);
            this.m_CBaseKeyState.regNodeEx(okbutton, 1);
            this.m_CBaseKeyState.init(this);
        };
        ui_pvplose.prototype.ok_func = function (sender, type) {
            if (type == ccui.Widget.TOUCH_ENDED) {
                ui_pvplose.ShowOrHide(false);
                game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_main);
            }
        };
        ui_pvplose.prototype.initUI = function () {
            var sceneConfig = game.sceneMgr.getMe().getCurSceneInfo();
            var expNode = ccui.helper.seekWidgetByName(this.m_root, "exp");
            var expnum = ccui.helper.seekWidgetByName(expNode, "shuliang");
            var goldNode = ccui.helper.seekWidgetByName(this.m_root, "jinbi");
            var gold = ccui.helper.seekWidgetByName(goldNode, "shuliang");
            expnum.setString(sceneConfig.exp_lose);
            gold.setString(sceneConfig.gold_lose);
            var rankscore = game.dataMgr.getMe().getRankScore();
            var otherrankscore = game.dataMgr.getMe().getRankScore(); //当没有对方玩家分数时默认为自己的分数
            if (game.proto_fightPVP.getMe().m_data) {
                otherrankscore = game.proto_fightPVP.getMe().m_data.rank_score;
            }
            if (rankscore <= 0) {
                rankscore = 1;
            }
            if (otherrankscore <= 0) {
                otherrankscore = 1;
            }
            var addnum = Math.ceil(rankscore * 10 / (rankscore + otherrankscore));
            var changeui = ccui.helper.seekWidgetByName(this.m_root, "jifen");
            changeui.setString("-" + addnum.toString());
            game.dataMgr.getMe().addExp(sceneConfig.exp_lose);
            game.dataMgr.getMe().addItemByType(game.e_item.e_jinbi, sceneConfig.gold_lose);
            game.dataMgr.getMe().addRankscore(-addnum);
            this.loseCallBack();
            game.dataMgr.getMe().addEnergy(1);
        };
        ui_pvplose.prototype.loseCallBack = function () {
            var imag = ccui.helper.seekWidgetByName(this.m_root, "tubiao");
            // let rankscoreui:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"paiming_up");
            // let rank:number = this.getMycurRank();
            var myRank = game.dataMgr.getMe().getRank();
            var path = this.getIcon(myRank);
            imag.loadTexture(path);
            // if(rank >= myRank){
            //     let dropnum:number = rank - myRank;
            //     rankscoreui.setString("-" + dropnum.toString())
            // }else {
            //     rankscoreui.setString("-" + 0)
            // }
            //重置我当前的排名
            // let rankscore:number = dataMgr.getMe().getRankScore();
            // httpMgr.getMe().sendMsg(g_httpType.type_httpSaveScore,httpSaveScore.getMe(),rankscore);
        };
        // getMycurRank():number{
        //     // let rankscore:number = dataMgr.getMe().getRankScore();
        //     // for(let rank in g_rank_list){
        //     //     if(rankscore < g_rank_list[rank].score){
        //     //         return g_rank_list[rank].rank + 1
        //     //     }
        //     // }
        //     // return g_rank_list.length;
        //     return 0;
        // }
        ui_pvplose.prototype.getIcon = function (score) {
            if (10000000 < score) {
                return game.g_rank_config["10000000"].icon;
            }
            for (var p in game.g_rank_config) {
                var index = parseInt(p);
                if (score == 1) {
                    return game.g_rank_config[1].icon;
                }
                if (score <= index) {
                    return game.g_rank_config[p].icon;
                }
            }
            return "xingjietantantang/big/ui/image/ddt_ui27.png";
        };
        ui_pvplose.prototype.onBack = function () {
            // ui_lose.ShowOrHide( false ,null)
        };
        ui_pvplose.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
            }
            //这个界面需要每一桢判断，服务器返回时间控制不好
        };
        ui_pvplose.g_instarn = null;
        ui_pvplose.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_pvplose, game.uiMgr.getMe(), 999);
        };
        return ui_pvplose;
    }(game.UiBase));
    game.ui_pvplose = ui_pvplose;
})(game || (game = {}));
//# sourceMappingURL=ui_pvpLose.js.map