var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_zhandoujiemian = (function (_super) {
        __extends(ui_zhandoujiemian, _super);
        function ui_zhandoujiemian() {
            _super.call(this);
            this.m_roundName = null;
            this.boss_hpPer = 0;
            this.m_weapons = null; //携带的武器
            this.m_yaojis = null; //携带的药水
            this.xuetiao_per = 0;
            this.roleindex = 100;
            this.monsterindex = 100;
            this.m_des = "ui_zhandoujm类";
            this.m_weapons = new game.Map();
            this.m_yaojis = new game.Map();
        }
        ui_zhandoujiemian.prototype.oninit = function () {
            var root = this._parseUIFile("zhandoujiemian.json", 0);
            if (game.Version_mgr.getInstance().isPhone()) {
                root = this._parseUIFile("zhandoujiemian2.json", 0);
            }
            this.EnterUI();
            this.addChild(root);
            this.shipeiCenter(root);
            this.setOpacity(0);
            var playName = "texiao16";
            var ret = game.spineMgr.getMe().createSpineOncePlay("baizhatexiao", playName, this.getNode(), cc.p(10000, 5000));
            ret.setScale(2);
            this.initUI();
            this.registerItem();
        };
        ui_zhandoujiemian.prototype.shutdown = function () {
            _super.prototype.shutdown.call(this);
            if (game.ui_selectWeapon.getMe()) {
                game.ui_selectWeapon.ShowOrHide(false);
            }
        };
        ui_zhandoujiemian.prototype.onKeyPressed = function (keyCode) {
            if (game.roleMgr.getMe().getControlPlayer())
                game.playControl.getMe().onKeyPressed(keyCode);
            _super.prototype.onKeyPressed.call(this, keyCode);
        };
        ui_zhandoujiemian.prototype.onKeyReleased = function (keyCode) {
            if (game.roleMgr.getMe().getControlPlayer())
                game.playControl.getMe().onKeyReleased(keyCode);
            _super.prototype.onKeyReleased.call(this, keyCode);
        };
        ui_zhandoujiemian.prototype.DoEnterCurButton = function () {
            // if(!CameraMgr_3d.getMe().m_isLockPlayer){
            //     BuyMgr.getMe().buyResurrection_buy(roleMgr.getMe().getPlayer());
            //     return;
            // }
        };
        ui_zhandoujiemian.prototype.initUI = function () {
            this.m_TimeUI = ccui.helper.seekWidgetByName(this.m_root, "daojishi");
            this.m_PingText = ccui.helper.seekWidgetByName(this.m_root, "Text_3");
            this.m_zuoImg = ccui.helper.seekWidgetByName(this.m_root, "jiantou_zuo");
            this.m_youImg = ccui.helper.seekWidgetByName(this.m_root, "jiantou_you");
            this.m_RoundText = ccui.helper.seekWidgetByName(this.m_root, "shuoming");
            this.m_curhero_touxiang = ccui.helper.seekWidgetByName(this.m_root, "renwu_2");
            this.m_curFollow_touxiang = ccui.helper.seekWidgetByName(this.m_root, "renwu_1");
            this.renwu1_pvp = ccui.helper.seekWidgetByName(this.m_root, "renwu_pvp_1");
            this.renwu2_pvp = ccui.helper.seekWidgetByName(this.m_root, "renwu_pvp_2");
            var boss = ccui.helper.seekWidgetByName(this.m_root, "boss");
            boss.setVisible(false);
            var uitexiao = ccui.helper.seekWidgetByName(this.renwu1_pvp, "uitexiao");
            var uitexiao1 = ccui.helper.seekWidgetByName(this.renwu2_pvp, "uitexiao");
            uitexiao.setVisible(false);
            uitexiao1.setVisible(false);
            if (game.sceneMgr.getMe().getCurSceneType() == game.e_SceneType.SceneType_pvp) {
                this.m_TimeUI.setVisible(true);
                this.renwu1_pvp.setVisible(true);
                this.renwu2_pvp.setVisible(true);
            }
            else {
                this.m_TimeUI.setVisible(false);
                this.renwu1_pvp.setVisible(false);
                this.renwu2_pvp.setVisible(false);
            }
            // this.initNetworkUI()
            // this.initButton()
            // this.initHead()
            // this.initFight()
            // this.updateWeaponItem()
            // this.initXuli()
            this.initXuli();
            this.initTouxiang();
            this.setuitexiao(game.dataMgr.getMe().getCurHero(), game.roleMgr.getMe().getControlPlayer());
        };
        ui_zhandoujiemian.prototype.initTouxiang = function () {
            if (game.dataMgr.getMe().getCurHero()) {
                var skinName = game.dataMgr.getMe().getHeroSkin(game.dataMgr.getMe().getCurHero());
                var path = game.dataMgr.getMe().getSkinConfig(skinName, game.dataMgr.getMe().getCurHero()).icon;
                this.m_curhero_touxiang.loadTexture(path);
                this.m_curhero_touxiang.setVisible(true);
            }
            if (game.dataMgr.getMe().getCurfollow()) {
                var skinName = game.dataMgr.getMe().getHeroSkin(game.dataMgr.getMe().getCurfollow());
                var path = game.dataMgr.getMe().getSkinConfig(skinName, game.dataMgr.getMe().getCurfollow()).icon;
                this.m_curFollow_touxiang.loadTexture(path);
                this.m_curFollow_touxiang.setVisible(true);
            }
            if (game.dataMgr.getMe().getCurfollow() == "" || game.dataMgr.getMe().getCurfollow() == null) {
                this.m_curFollow_touxiang.setVisible(false);
            }
            if (game.dataMgr.getMe().getCurHero() == "" || game.dataMgr.getMe().getCurHero() == null) {
                this.m_curhero_touxiang.setVisible(false);
            }
        };
        ui_zhandoujiemian.prototype.setuitexiao = function (heroName, Player) {
            this.m_roundName = heroName;
            if (heroName == game.dataMgr.getMe().getCurHero() && Player instanceof game.player) {
                this.setEnermytexiao(false, false);
                this.setMytexiao(true, false);
            }
            else if (heroName == game.dataMgr.getMe().getCurfollow() && Player instanceof game.player) {
                this.setEnermytexiao(false, false);
                this.setMytexiao(false, true);
            }
            else if (Player instanceof game.player_ai) {
                if (heroName == game.proto_pvpLogin.getMe().m_data.roleName1) {
                    this.setMytexiao(false, false);
                    this.setEnermytexiao(true, false);
                }
                else {
                    this.setMytexiao(false, false);
                    this.setEnermytexiao(false, true);
                }
            }
            else if (Player instanceof game.player_pvp) {
                if (heroName == game.proto_fightPVP.getMe().m_data.curHero.name) {
                    this.setMytexiao(false, false);
                    this.setEnermytexiao(true, false);
                }
                else {
                    this.setMytexiao(false, false);
                    this.setEnermytexiao(false, true);
                }
            }
            else {
                this.setMytexiao(false, false);
                this.setEnermyRound(true);
            }
        };
        ui_zhandoujiemian.prototype.setMytexiao = function (heroflag, followflag) {
            var uitexiao = ccui.helper.seekWidgetByName(this.m_curhero_touxiang, "uitexiao");
            var uitexiao1 = ccui.helper.seekWidgetByName(this.m_curFollow_touxiang, "uitexiao");
            uitexiao.setVisible(heroflag);
            uitexiao1.setVisible(followflag);
            this.setEnermyRound(false);
        };
        ui_zhandoujiemian.prototype.setEnermytexiao = function (heroflag, followflag) {
            var uitexiao = ccui.helper.seekWidgetByName(this.renwu1_pvp, "uitexiao");
            var uitexiao1 = ccui.helper.seekWidgetByName(this.renwu2_pvp, "uitexiao");
            uitexiao.setVisible(heroflag);
            uitexiao1.setVisible(followflag);
            this.setEnermyRound(true);
        };
        ui_zhandoujiemian.prototype.updateBoss = function (Maonstername, curhp, maxhp) {
            var boss = ccui.helper.seekWidgetByName(this.m_root, "boss");
            var pic = ccui.helper.seekWidgetByName(boss, "tx");
            var name = ccui.helper.seekWidgetByName(boss, "name");
            this.boss_xuetiao = ccui.helper.seekWidgetByName(boss, "xuetiao");
            var boss_xuetiao_Text = ccui.helper.seekWidgetByName(boss, "shuzhi");
            var config = game.g_monster_config[Maonstername];
            if (Maonstername.indexOf("boss") > -1) {
                boss.loadTexture("xingjietantantang/big/ui/image/ddt_ui131.png");
            }
            else {
                boss.loadTexture("xingjietantantang/big/ui/image/ddt_ui131b.png");
            }
            boss.setVisible(true);
            pic.loadTexture(config.headicon);
            name.setString(config.desName);
            if (curhp < 0) {
                curhp = 0;
            }
            var per = Math.round(curhp / maxhp * 100);
            if (per <= 0) {
                per = 0;
                boss.setVisible(false);
            }
            this.boss_hpPer = per;
            if (this.monsterindex < per) {
                this.monsterindex = 100;
            }
            boss_xuetiao_Text.setString(Math.floor(curhp) + "/" + Math.floor(maxhp));
        };
        ui_zhandoujiemian.prototype.registerItem = function () {
            for (var i = 1; i <= 3; i++) {
                var weaponNode = ccui.helper.seekWidgetByName(this.m_root, "wuqi_" + i);
                var yaojiNode = ccui.helper.seekWidgetByName(this.m_root, "yaoshui_" + i);
                this.m_yaojis.set("yaoshui_" + i, yaojiNode);
                this.m_weapons.set("wuqi_" + i, weaponNode);
            }
        };
        ui_zhandoujiemian.prototype.setEnermyRound = function (flag) {
            var shuoming_1 = ccui.helper.seekWidgetByName(this.m_root, "shuoming_1");
            shuoming_1.setVisible(flag);
            if (flag) {
                this.m_RoundText.setString("敌方回合");
            }
            else {
                this.m_RoundText.setString("我方回合");
            }
        };
        //设置武器的信息和数量
        ui_zhandoujiemian.prototype.setWeaponUI = function () {
            var weapons = game.roleMgr.getMe().getControlPlayer().m_weaon;
            var index = 0;
            for (var i = 0; i < weapons.m_weaponsPlayData.size; i++) {
                var weaponData = weapons.m_weaponsPlayData.getByIndex(i);
                var level = ccui.helper.seekWidgetByName(this.m_weapons.getByIndex(i), "qianghua");
                var num = ccui.helper.seekWidgetByName(this.m_weapons.getByIndex(i), "shuliang");
                if (this.m_weapons.getByIndex(i)) {
                    if (weaponData.name == "wuqi1" || weaponData.name == "wuqi1_1") {
                        this.m_weapons.getByIndex(index).loadTexture("xingjietantantang/big/ui/image/ddt_ui103.png");
                        var level_1 = ccui.helper.seekWidgetByName(this.m_weapons.getByIndex(index), "qianghua");
                        var num_1 = ccui.helper.seekWidgetByName(this.m_weapons.getByIndex(index), "shuliang");
                        level_1.setString("");
                        num_1.setString("");
                    }
                    else {
                        this.m_weapons.getByIndex(i).loadTexture(game.itemMgr.getMe().getWeaponConfig(weaponData.name).icon);
                        if (level) {
                            level.setString(weaponData.level > 0 ? ("+" + weaponData.level) : "");
                        }
                        if (num) {
                            if (weaponData.num <= 0) {
                                var config = game.dataMgr.getMe().getWeaponconfig(weaponData.name);
                                if (this.m_weapons.getByIndex(i))
                                    this.m_weapons.getByIndex(i).loadTexture(config.icon2);
                            }
                            num.setString("x" + weaponData.num);
                        }
                    }
                }
                index++;
            }
            while (index < 3) {
                if (this.m_weapons.getByIndex(index))
                    this.m_weapons.getByIndex(index).loadTexture("xingjietantantang/big/ui/image/ddt_ui103.png");
                var level = ccui.helper.seekWidgetByName(this.m_weapons.getByIndex(index), "qianghua");
                var num = ccui.helper.seekWidgetByName(this.m_weapons.getByIndex(index), "shuliang");
                level.setString("");
                num.setString("");
                index++;
            }
        };
        //设置药水的数量
        ui_zhandoujiemian.prototype.setYaojiUI = function () {
            for (var i = 1; i <= 3; i++) {
                var yaoji_Num = game.dataMgr.getMe().getItemByName(game.e_item["e_yaoji" + i]);
                var num = ccui.helper.seekWidgetByName(this.m_yaojis.getByIndex(i - 1), "shuliang");
                if (num) {
                    num.setString("x" + yaoji_Num);
                }
            }
        };
        ui_zhandoujiemian.prototype.setHP = function (curHP, maxHp) {
            var shengming = ccui.helper.seekWidgetByName(this.m_root, "shengming");
            this.xuetiao = ccui.helper.seekWidgetByName(shengming, "xuetiao");
            var shuzhi = ccui.helper.seekWidgetByName(shengming, "shuzhi");
            // let maxHP = dataMgr.getMe().getAllHp(roleMgr.getMe().getControlPlayer().m_name);
            var per = Math.round(curHP / maxHp * 100);
            this.xuetiao_per = per;
            // if (this.roleindex < per) {
            //     this.roleindex = 100;
            // }
            if (shuzhi) {
                shuzhi.setString(Math.floor(curHP) + "/" + Math.floor(maxHp));
            }
        };
        ui_zhandoujiemian.prototype.setPower = function (curPower, maxPower) {
            var naili = ccui.helper.seekWidgetByName(this.m_root, "naili");
            var nailitiao = ccui.helper.seekWidgetByName(naili, "nailitiao");
            var shuzhi = ccui.helper.seekWidgetByName(naili, "shuzhi");
            // let maxPower = dataMgr.getMe().getAllPower(roleMgr.getMe().getControlPlayer().m_name);
            var per = Math.round(curPower / maxPower * 100);
            if (nailitiao) {
                nailitiao.setPercent(per);
            }
            if (shuzhi) {
                shuzhi.setString(Math.floor(curPower) + "/" + Math.floor(maxPower));
            }
        };
        ui_zhandoujiemian.prototype.initXuli = function () {
            this.xulitiao = ccui.helper.seekWidgetByName(this.m_root, "xulitiao");
            this.tishitiao = ccui.helper.seekWidgetByName(this.m_root, "tishitiao");
            this.xulitiao.setPercent(0);
            this.tishitiao.setPercent(0);
        };
        ui_zhandoujiemian.prototype.setXuliTiao = function (per) {
            this.xulitiao.setPercent(per);
        };
        ui_zhandoujiemian.prototype.setTishiTiao = function (per) {
            this.tishitiao.setPercent(per);
        };
        ui_zhandoujiemian.prototype.initPVPDataUI = function () {
            if (game.proto_pvpLogin.getMe().m_data.roleName1) {
                this.setPvpHeroIcon(game.proto_pvpLogin.getMe().m_data.roleName1, game.proto_pvpLogin.getMe().m_data.roleSkin1);
            }
            else {
                cc.log("没有对方玩家");
            }
            if (game.proto_pvpLogin.getMe().m_data.roleName2) {
                this.setPvpFollowIcon(game.proto_pvpLogin.getMe().m_data.roleName2, game.proto_pvpLogin.getMe().m_data.roleSkin2);
            }
            else {
                this.renwu2_pvp.setVisible(false);
            }
        };
        ui_zhandoujiemian.prototype.initAiDataUI = function () {
            if (game.proto_pvpLogin.getMe().m_data.roleName1) {
                this.setPvpHeroIcon(game.proto_pvpLogin.getMe().m_data.roleName1, game.proto_pvpLogin.getMe().m_data.roleSkin1);
            }
            else {
                cc.log("没有对方玩家");
            }
            if (game.proto_pvpLogin.getMe().m_data.roleName2 && game.dataMgr.getMe().getCurfollow()) {
                this.setPvpFollowIcon(game.proto_pvpLogin.getMe().m_data.roleName2, game.proto_pvpLogin.getMe().m_data.roleSkin2);
            }
            else {
                this.renwu2_pvp.setVisible(false);
            }
        };
        ui_zhandoujiemian.prototype.setPvpHeroIcon = function (heroName, skinname) {
            this.renwu1_pvp.setVisible(true);
            var heronamepvp = heroName;
            var skinName = skinname;
            var path = game.dataMgr.getMe().getSkinConfig(skinName, heronamepvp).icon;
            this.renwu1_pvp.loadTexture(path);
        };
        ui_zhandoujiemian.prototype.setPvpFollowIcon = function (followName, skinname) {
            this.renwu2_pvp.setVisible(true);
            var follownamepvp = followName;
            var skinName = skinname;
            var path = game.dataMgr.getMe().getSkinConfig(skinName, follownamepvp).icon;
            this.renwu2_pvp.loadTexture(path);
        };
        ui_zhandoujiemian.prototype.initPlayerDataUI = function () {
            this.setWeaponUI();
            this.setYaojiUI();
            // let curHp  = roleMgr.getMe().getControlPlayer().getHp();
            // let power = roleMgr.getMe().getControlPlayer().getPower();
            // this.setHP(curHp > 0 ? curHp:0);
            // this.setPower(power > 0 ? power:0);
        };
        //回合倒计时
        ui_zhandoujiemian.prototype.roundCountdown = function (time) {
            if (isNaN(time)) {
                console.log("time is NaN");
            }
            if (time <= 0) {
                time = 0;
            }
            this.m_TimeUI.setVisible(true);
            this.m_TimeUI.setString(Math.floor(time));
        };
        ui_zhandoujiemian.prototype.onBack = function () {
            if (!(game.playControl.getMe().m_object_role && (game.playControl.getMe().m_object_role instanceof game.player))) {
                game.ui_usedItem.ShowOrHide(true, "敌方回合无法退出！");
                return;
            }
            else if (!game.playControl.getMe().m_object_role.canExit) {
                // ui_usedItem.ShowOrHide(true,"敌方回合无法退出！");
                return;
            }
            // if(!playControl.getMe().m_object_role || !(playControl.getMe().m_object_role instanceof player)){
            //     ui_usedItem.ShowOrHide(true,"敌方回合无法退出！");
            //     return ;
            // }
            if (game.sceneMgr.getMe().getCurSceneType() == game.e_SceneType.SceneType_pvp ||
                game.sceneMgr.getMe().getCurSceneType() == game.e_SceneType.SceneType_fightai) {
                cc.log("当前在pvp中！");
                game.ui_pvpzanting.ShowOrHide(true);
                return;
            }
            if (game.sceneMgr.getMe().getCurSceneName() == "sceneN_1") {
                if (game.dataMgr.getMe().isUnlockYindao("f1")) {
                    game.ui_messageBox2.ShowOrHide(true, "是否退出新手引导？", function () {
                        for (var i = 1; i <= 5; i++) {
                            game.dataMgr.getMe().yindaoUnlock("f" + i);
                        }
                        game.ui_yindao_guanka1.ShowOrHide(false);
                        game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_main);
                        game.shengliOrshibai.ShowOrHide(false);
                    }, null);
                }
                return;
            }
            game.ui_zanting.ShowOrHide(true);
        };
        ui_zhandoujiemian.prototype.loop = function (t) {
            if (this.xuetiao) {
                if (this.roleindex > this.xuetiao_per) {
                    this.xuetiao.setPercent(this.roleindex);
                    this.roleindex--;
                }
                else if (this.roleindex < this.xuetiao_per) {
                    this.xuetiao.setPercent(this.roleindex);
                    this.roleindex++;
                }
                if (this.boss_xuetiao) {
                    if (this.monsterindex > this.boss_hpPer) {
                        this.boss_xuetiao.setPercent(this.monsterindex);
                        this.monsterindex--;
                    }
                }
            }
        };
        ui_zhandoujiemian.g_instarn = null;
        ui_zhandoujiemian.getMe = function () {
            if (game.Version_mgr.g_instance.isPhone()) {
                return game.ui_zhandoujiemian2.g_instarn;
            }
            else {
                return game.ui_zhandoujiemian.g_instarn;
            }
        };
        ui_zhandoujiemian.ShowOrHide = function (flag) {
            if (game.Version_mgr.g_instance.isPhone()) {
                game.UiBase.ShowOrHide(flag, game.ui_zhandoujiemian2, null, 100);
            }
            else {
                game.UiBase.ShowOrHide(flag, game.ui_zhandoujiemian, null, 100);
            }
        };
        return ui_zhandoujiemian;
    }(game.UiBase));
    game.ui_zhandoujiemian = ui_zhandoujiemian;
})(game || (game = {}));
//# sourceMappingURL=ui_zhandoujiemian.js.map