var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by moming on 2017/9/04.
 */
//大地图
var game;
(function (game) {
    var CGeziKeyState_ui_zhujiemian = (function (_super) {
        __extends(CGeziKeyState_ui_zhujiemian, _super);
        function CGeziKeyState_ui_zhujiemian() {
            _super.apply(this, arguments);
            this.m_disVal = null;
            this.m_ScrollView = null;
            this.m_ui_map = null;
        }
        CGeziKeyState_ui_zhujiemian.prototype.init = function (father) {
            return _super.prototype.init.call(this, father);
        };
        CGeziKeyState_ui_zhujiemian.prototype.left = function () {
            this.m_move = true;
            game.musicMgr.getMe().playeffect(game.g_buttonChangeMp3);
            var name = this.m_key.getName();
            var nodekeyinfo = this.m_ui_configname[name];
            for (var i = 0; i < this.m_buttonlist.getSize(); i++) {
                var nodeinfo = this.m_buttonlist.getData(i);
                if (this.m_key == nodeinfo) {
                    continue;
                }
                if (nodeinfo.node.isVisible() == false ||
                    nodeinfo.node.getParent().isVisible() == false ||
                    nodeinfo.isTouchEnable() == false) {
                    continue;
                }
                if (nodekeyinfo["left"] == nodeinfo.getName()) {
                    this.m_key = nodeinfo;
                    return true;
                }
            }
        };
        CGeziKeyState_ui_zhujiemian.prototype.right = function () {
            //super.right();
            this.m_move = true;
            game.musicMgr.getMe().playeffect(game.g_buttonChangeMp3);
            var name = this.m_key.getName();
            var nodekeyinfo = this.m_ui_configname[name];
            for (var i = 0; i < this.m_buttonlist.getSize(); i++) {
                var nodeinfo = this.m_buttonlist.getData(i);
                if (this.m_key == nodeinfo) {
                    continue;
                }
                if (nodeinfo.node.isVisible() == false ||
                    nodeinfo.node.getParent().isVisible() == false ||
                    nodeinfo.isTouchEnable() == false) {
                    continue;
                }
                if (nodekeyinfo["right"] == nodeinfo.getName()) {
                    this.m_key = nodeinfo;
                    return true;
                }
            }
            return false;
        };
        CGeziKeyState_ui_zhujiemian.prototype.loop = function (t) {
            if (this.m_key == null) {
                return;
            }
            if (this.m_key.node.isVisible()) {
                for (var i = 0; i < this.m_buttonlist.getSize(); i++) {
                    var nodeinfo = this.m_buttonlist.getData(i);
                    if (nodeinfo.getChexButton() == this.m_key.getChexButton()) {
                        this.m_key.getChexButton().setSelected(true);
                        var pButtonImageView = ccui.helper.seekWidgetByName(nodeinfo.getChexButton(), "uitexiao");
                        if (pButtonImageView != null) {
                            pButtonImageView.setVisible(true);
                        }
                    }
                    else {
                        nodeinfo.getChexButton().setSelected(false);
                        var pButtonImageView = ccui.helper.seekWidgetByName(nodeinfo.getChexButton(), "uitexiao");
                        if (pButtonImageView != null) {
                            pButtonImageView.setVisible(false);
                        }
                    }
                }
            }
            else {
                // for (let i = 0; i < this.m_buttonlist.getSize(); i++) {
                //     let nodeinfo = this.m_buttonlist.getData(i);
                //
                //     if (nodeinfo.node.isVisible() == false ||
                //         nodeinfo.node.getParent().isVisible() == false ||
                //         nodeinfo.isTouchEnable() == false) {
                //         continue;
                //     }
                //
                //     if (nodeinfo.getChexButton() != null) {
                //         this.m_key = nodeinfo;
                //         break;
                //     }
                // }
                var retkey = this.m_buttonlist.getnext(this.m_key.id);
                if (retkey != null) {
                    this.m_key = retkey;
                }
            }
            if (game.Version_mgr.getInstance().m_option.isPhone) {
                return;
            }
            if (this.m_key.id <= 25) {
                this.m_disVal = this.m_key.node.getContentSize().width * this.m_ui_map.getScale() / 2 * game.rootScene.getMe().m_win_scale - 48;
                var shouzhipos = this.getCurBttonPos();
                var visibleSize = cc.director.getVisibleSize();
                {
                    var dis = Math.abs(shouzhipos.x - visibleSize.width / 2.3);
                    // if (shouzhipos.x > visibleSize.width / 2)
                    {
                        dis = dis + this.m_disVal;
                    }
                    if (dis > (visibleSize.width / 2.3)) {
                        if (shouzhipos.x > visibleSize.width / 2.3) {
                            var w = this.m_ScrollView.getInnerContainerSize().width - this.m_ScrollView.getContentSize().width;
                            // let speed = w / 80;
                            // speed = Math.max(speed, 100);
                            var speed = 50;
                            var percent = this.getPercentHorizontal();
                            this.m_ScrollView.jumpToPercentHorizontal(percent + t * speed);
                            console.log("cur percent ---" + (percent + t * speed));
                        }
                        else {
                            var w = this.m_ScrollView.getInnerContainerSize().width - this.m_ScrollView.getContentSize().width;
                            // let speed = w / 80;
                            // speed = Math.max(speed, 100);
                            var speed = 50;
                            var percent = this.getPercentHorizontal();
                            this.m_ScrollView.jumpToPercentHorizontal(percent - t * speed);
                            console.log("cur percent ---" + (percent - t * speed));
                        }
                    }
                }
            }
            return;
        };
        CGeziKeyState_ui_zhujiemian.prototype.getPercentHorizontal = function () {
            var offsetX = this.m_ScrollView.getInnerContainer().getPositionX();
            var w = this.m_ScrollView.getInnerContainerSize().width - this.m_ScrollView.getContentSize().width;
            return -(offsetX / w * 100);
        };
        return CGeziKeyState_ui_zhujiemian;
    }(game.BaseKeyState_ui_config));
    var ui_daditu = (function (_super) {
        __extends(ui_daditu, _super);
        function ui_daditu() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_ScrollView = null;
            this.m_selectName = "";
            this.m_maxtili = 0;
            this.m_des = "ui_daditu类";
            this.m_CBaseKeyState = new CGeziKeyState_ui_zhujiemian();
        }
        ui_daditu.getMe = function () {
            return ui_daditu.g_instarn;
        };
        ;
        //初始化背景透明度
        ui_daditu.prototype.initColor = function () {
            this.setColor(cc.color(0, 0, 0));
            this.setOpacity(255 * 0.0);
            return true;
        };
        ui_daditu.prototype.oninit = function (data) {
            var root = this._parseUIFile("daditu.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            if (!game.dataMgr.getMe().isUnlockYindao("z3")) {
                game.ui_yindao_zhujiemian3.ShowOrHide(true);
            }
            this.m_ScrollView = ccui.helper.seekWidgetByName(this.m_root, "ScrollView_6");
            this.initUI();
            this.m_CBaseKeyState.setUIName("daditu");
            this.m_CBaseKeyState.init(this);
            this.m_CBaseKeyState.m_ScrollView = this.m_ScrollView;
            this.m_CBaseKeyState.m_ui_map = this;
            var maxguanka = game.dataMgr.getMe().getCurGuankaid();
            this.m_CBaseKeyState.setCurKey_byName("guanqia_" + maxguanka);
            this.updateItem();
            this.updateUI();
        };
        ui_daditu.prototype.tuichu_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        };
        ui_daditu.prototype.left = function () {
            // let s:cc.Size = this.m_ScrollView.getInnerContainerSize()
            // s.width -= 5
            // this.m_ScrollView.setInnerContainerSize(s)
            return _super.prototype.left.call(this);
        };
        ui_daditu.prototype.right = function () {
            // let s:cc.Size = this.m_ScrollView.getInnerContainerSize()
            // s.width += 5
            // this.m_ScrollView.setInnerContainerSize(s)
            return _super.prototype.right.call(this);
        };
        ui_daditu.prototype.initUI = function () {
            var _this = this;
            var tuichu = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (!game.Version_mgr.getInstance().isPhone()) {
                if (tuichu) {
                    game.dataMgr.getMe().loadCheckBoximg(tuichu, "xingjietantantang/big/ui/image/ddt_ui138b.png");
                }
            }
            tuichu.addTouchEventListener(this.tuichu_func, this);
            var maxguanka = game.dataMgr.getMe().getCurGuankaid();
            for (var p = 1; p <= 25; p++) {
                var guanka = ccui.helper.seekWidgetByName(this.m_root, "guanqia_" + p);
                if (guanka == null) {
                    console.log("Guan ka is null." + p);
                    break;
                }
                var yes = ccui.helper.seekWidgetByName(guanka, "yes");
                var no = ccui.helper.seekWidgetByName(guanka, "no");
                if (maxguanka >= p) {
                    this.m_CBaseKeyState.regNodeEx(guanka, p);
                    if (maxguanka == p) {
                        // this.m_CBaseKeyState.setCurKey(guanka)
                        if (game.fileMgr.getMe().m_play_doc.coreData.curguankaId > maxguanka) {
                        }
                        else {
                            yes.setVisible(false);
                        }
                    }
                    no.setVisible(false);
                    guanka.addTouchEventListener(function (sender, type) {
                        if (type = ccui.Widget.TOUCH_ENDED) {
                            _this.m_CBaseKeyState.setCurKey(sender);
                            if (game.dataMgr.getMe().getenergy() > 0) {
                                game.g_select_guanka = Number(sender.getName().replace(/guanqia_/, ""));
                                if (game.g_select_guanka == game.fileMgr.getMe().m_play_doc.coreData.curguankaId) {
                                    ui_daditu.ShowOrHide(false);
                                    game.ui_choosehero.ShowOrHide(true, game.e_SceneType.SceneType_fight);
                                }
                                else {
                                    game.ui_saodang.ShowOrHide(true, game.g_select_guanka);
                                }
                            }
                            else {
                                _this.m_maxtili = game.g_max_energy;
                                if (game.dataMgr.getMe().getViplevel() >= game.g_tilishangxianunlock) {
                                    _this.m_maxtili = game.g_max_energy * 2;
                                }
                                var needdiamond_1 = game.Version_mgr.getInstance().m_zuansiInfo.tili;
                                if (game.dataMgr.getMe().getDiamond() >= needdiamond_1) {
                                    game.uiMgr.getMe().show_ui_MessageBox2(true, "体力不足，是否花费" + needdiamond_1 + "钻石恢复全部体力?", function () {
                                        if (game.dataMgr.getMe().removeDiamond(needdiamond_1)) {
                                            game.httpMgr.getMe().sendMsg(game.g_httpType.type_httpShoppinglog, needdiamond_1 + "钻石购买" + (this.m_maxtili - game.dataMgr.getMe().getenergy()) + "体力");
                                            game.dataMgr.getMe().addItemByType(game.e_item.e_tili, this.m_maxtili - game.dataMgr.getMe().getenergy());
                                            // buy_mgr.shoppinglog("恢复体力消耗"+needdiamond+"钻石")
                                            this.updateItem();
                                        }
                                    }.bind(_this));
                                }
                                else {
                                    var rmbdata = game.Version_mgr.getInstance().getDiamondPriceBystr("tili");
                                    game.buy_mgr.getInstance().buyStrength_buy(ui_daditu.getMe().buysucceedCallback, ui_daditu.getMe(), rmbdata);
                                }
                            }
                        }
                    }, this);
                }
                else {
                    yes.setVisible(false);
                    guanka.setTouchEnabled(false);
                    guanka.setEnabled(false);
                    var uiTexiao = ccui.helper.seekWidgetByName(guanka, "uitexiao");
                    uiTexiao.setVisible(false);
                }
            }
        };
        ui_daditu.prototype.buysucceedCallback = function () {
            game.dataMgr.getMe().addItemByType(game.e_item.e_tili, this.m_maxtili - game.dataMgr.getMe().getenergy());
        };
        ui_daditu.prototype.updateItem = function () {
            var diamond = ccui.helper.seekWidgetByTag(this.m_root, 641);
            var gold = ccui.helper.seekWidgetByTag(this.m_root, 639);
            var tili = ccui.helper.seekWidgetByName(this.m_root, "tili");
            var energy = ccui.helper.seekWidgetByTag(this.m_root, 643);
            var zongshu = ccui.helper.seekWidgetByName(tili, "zongshu");
            var tiliNum = game.g_max_energy;
            if (game.dataMgr.getMe().getViplevel() >= game.g_tilishangxianunlock) {
                tiliNum = game.g_max_energy * 2;
            }
            zongshu.setString("/" + tiliNum);
            diamond.setString(Math.floor(game.dataMgr.getMe().getDiamond()));
            gold.setString(Math.floor(game.dataMgr.getMe().getjinbi()));
            energy.setString(game.dataMgr.getMe().getenergy().toString());
        };
        ui_daditu.prototype.updateUI = function () {
            var zhangjieName = ccui.helper.seekWidgetByName(this.m_root, "zhangjie");
            var guankaName = ccui.helper.seekWidgetByName(this.m_root, "guanqia");
            var firstNode = ccui.helper.seekWidgetByName(this.m_root, "shoutong");
            var winNode = ccui.helper.seekWidgetByName(this.m_root, "jiangli");
            var winExp = ccui.helper.seekWidgetByTag(this.m_root, 948);
            var guankaid = Number(this.m_CBaseKeyState.m_key.node.getName().replace(/guanqia_/g, ""));
            var sceneconfig = cc.copy(game.g_scene_config["sceneA_" + guankaid]);
            var zuansi = ccui.helper.seekWidgetByTag(firstNode, 947);
            var jinbi = ccui.helper.seekWidgetByTag(winNode, 985);
            var xiaohao = ccui.helper.seekWidgetByName(this.m_root, "xiaohao");
            zuansi.setString(sceneconfig.zuanshi_fwin.toString());
            jinbi.setString(sceneconfig.gold_win.toString());
            xiaohao.setString(game.g_scene_config["sceneA_" + guankaid].tili);
            if (guankaid >= game.fileMgr.getMe().m_play_doc.coreData.curguankaId) {
                winNode.setVisible(false);
                firstNode.setVisible(true);
            }
            else {
                firstNode.setVisible(false);
                winNode.setVisible(true);
            }
            zhangjieName.setString(sceneconfig.name);
            guankaName.setString("第" + guankaid + "关");
            winExp.setString(sceneconfig.exp_win);
            this.updateExtraJiangli(sceneconfig);
        };
        ui_daditu.prototype.updateExtraJiangli = function (sceneconfig) {
            var jiangli = ccui.helper.seekWidgetByName(this.m_root, "Image_352");
            var pic = ccui.helper.seekWidgetByName(jiangli, "pic");
            var Image_2 = ccui.helper.seekWidgetByName(jiangli, "Image_2");
            var shuoming = ccui.helper.seekWidgetByName(jiangli, "shuoming");
            var Text = ccui.helper.seekWidgetByName(jiangli, "Text_23");
            if (sceneconfig.win_jiangli) {
                var name_1 = game.g_daoju_nan[sceneconfig.win_jiangli].desName;
                var icon = game.g_daoju_nan[sceneconfig.win_jiangli].icon;
                pic.setVisible(true);
                Image_2.setVisible(true);
                shuoming.setVisible(true);
                Text.setVisible(true);
                if (icon) {
                    pic.loadTexture(icon);
                }
                if (name_1) {
                    shuoming.setString(name_1);
                }
            }
            else {
                pic.setVisible(false);
                Image_2.setVisible(false);
                shuoming.setVisible(false);
                Text.setVisible(false);
            }
        };
        ui_daditu.prototype.onBack = function () {
            this.endLayout(function () {
                game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_main);
                // ui_mainScene.ShowOrHide( true );
                // ui_daditu.ShowOrHide(false);
            });
        };
        ui_daditu.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
                this.updateItem();
                if (this.m_CBaseKeyState.m_key.node.getName() != this.m_selectName) {
                    this.m_selectName = this.m_CBaseKeyState.m_key.node.getName();
                    this.updateUI();
                }
            }
        };
        ui_daditu.g_instarn = null;
        ui_daditu.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_daditu, null, 1100);
        };
        return ui_daditu;
    }(game.UiBase));
    game.ui_daditu = ui_daditu;
})(game || (game = {}));
//# sourceMappingURL=ui_daditu.js.map 
//# sourceMappingURL=ui_daditu.js.map