var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_paiweimoshi = (function (_super) {
        __extends(ui_paiweimoshi, _super);
        function ui_paiweimoshi() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_curSelectTag = -1;
            this.m_regnum = 1;
            this.m_allCheckBox = [];
            this.m_des = "ui_paiweimoshi";
            this.m_CBaseKeyState = new game.BaseKeyState_ui_config();
        }
        ui_paiweimoshi.getMe = function () {
            return ui_paiweimoshi.g_instarn;
        };
        ;
        ui_paiweimoshi.prototype.shutdown = function () {
            _super.prototype.shutdown.call(this);
            if (this.m_CopyCheckBox) {
                this.m_CopyCheckBox.release();
                this.m_CopyCheckBox = null;
            }
        };
        ui_paiweimoshi.prototype.left = function () {
            return this.m_CBaseKeyState.left();
        };
        ui_paiweimoshi.prototype.right = function () {
            return this.m_CBaseKeyState.right();
        };
        ui_paiweimoshi.prototype.up = function () {
            --this.m_curSelectTag;
            this.updateSelectRankCheckBox();
            var per = Math.round(this.m_curSelectTag / (this.m_allCheckBox.length - 1) * 100);
            this.m_ListView.jumpToPercentVertical(per);
            return _super.prototype.up.call(this);
        };
        ui_paiweimoshi.prototype.down = function () {
            ++this.m_curSelectTag;
            this.updateSelectRankCheckBox();
            var per = Math.round(this.m_curSelectTag / (this.m_allCheckBox.length - 1) * 100);
            this.m_ListView.jumpToPercentVertical(per);
            return _super.prototype.down.call(this);
        };
        ui_paiweimoshi.prototype.oninit = function (data) {
            var root = this._parseUIFile("pvp.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            // httpMgr.getMe().sendMsg(g_httpType.type_httpGetTopList);
            this.m_ListView = ccui.helper.seekWidgetByName(this.m_root, "ListView_1");
            this.m_CopyCheckBox = ccui.helper.seekWidgetByName(this.m_ListView, "paiming_4");
            //this.m_CopyCheckBox.addTouchEventListener(this.upAndDown_func,this)
            this.m_CopyCheckBox.retain();
            this.m_ListView.removeAllChildren(true);
            if (!game.dataMgr.getMe().isUnlockYindao("d2") && game.dataMgr.getMe().isUnlockYindao("d1")) {
                game.ui_yindao_juedou2.ShowOrHide(true);
            }
            var Start = ccui.helper.seekWidgetByTag(this.m_root, 983);
            Start.addTouchEventListener(this.start_func, this);
            var guize = ccui.helper.seekWidgetByTag(this.m_root, 979);
            guize.addTouchEventListener(this.guize_func, this);
            var rongyu = ccui.helper.seekWidgetByTag(this.m_root, 986);
            rongyu.addTouchEventListener(this.rongyu_func, this);
            var tuichu = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (!game.Version_mgr.getInstance().isPhone()) {
                if (tuichu) {
                    game.dataMgr.getMe().loadCheckBoximg(tuichu, "xingjietantantang/big/ui/image/ddt_ui138b.png");
                }
            }
            tuichu.addTouchEventListener(this.tuichu_func, this);
            var awardgoldnum = ccui.helper.seekWidgetByTag(this.m_root, 451);
            var awardrongyu = ccui.helper.seekWidgetByTag(this.m_root, 978);
            var myrank = game.dataMgr.getMe().getRank();
            var rankdata = null;
            // for(let p in g_rank_config)
            // {
            //     if(myrank >= Number(p))
            //     {
            //         rankdata = cc.clone(g_rank_config[p])
            //     }
            // }
            rankdata = game.dataMgr.getAward(myrank);
            awardgoldnum.setString(rankdata.jinbi.toString());
            awardrongyu.setString(rankdata.rongyu.toString());
            if (cc.sys.isNative) {
                this.initTop3();
                this.initTop4_10();
                this.initmyRank();
            }
            if (game.Version_mgr.getInstance().isPhone()) {
            }
            else {
                this.m_CBaseKeyState.setUIName("juedouchang");
                this.m_CBaseKeyState.regNodeEx(Start, this.m_regnum++);
                this.m_CBaseKeyState.regNodeEx(guize, this.m_regnum++);
                this.m_CBaseKeyState.regNodeEx(rongyu, this.m_regnum++);
                this.m_CBaseKeyState.init(this);
            }
        };
        ui_paiweimoshi.prototype.upAndDown_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    var curSelectTag = sender.getUserData();
                    this.m_curSelectTag = curSelectTag;
                    this.updateSelectRankCheckBox();
                    break;
            }
        };
        ui_paiweimoshi.prototype.tuichu_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        };
        //前三名
        ui_paiweimoshi.prototype.initTop3 = function () {
            for (var p = 1; p <= 3; p++) {
                var node = ccui.helper.seekWidgetByName(this.m_root, p);
                var name_1 = ccui.helper.seekWidgetByName(node, "name");
                var score = ccui.helper.seekWidgetByName(node, "jifen");
                var rank = game.g_rank_list[p - 1];
                if (rank) {
                    name_1.setString(rank.NickName);
                    score.setString(game.dataMgr.getscoreByRank(rank.Scores));
                }
                else {
                    name_1.setString("暂无");
                    score.setString("");
                }
            }
        };
        //4~10名
        ui_paiweimoshi.prototype.initTop4_10 = function () {
            var top = 4 - 1;
            while (top < 50) 
            // for(let top = 3; top <g_rank_list.length; ++top)
            {
                var rankUI = this.m_CopyCheckBox.clone();
                this.m_allCheckBox.push(rankUI);
                rankUI.setUserData((this.m_allCheckBox.length - 1).toString());
                rankUI.addTouchEventListener(this.upAndDown_func, this);
                // this.m_CBaseKeyState.regNodeEx(rankUI,this.m_regnum++)
                var paimingUI = ccui.helper.seekWidgetByName(rankUI, "paiming");
                var levelUi = ccui.helper.seekWidgetByName(rankUI, "dengjishu");
                var name_2 = ccui.helper.seekWidgetByName(rankUI, "name");
                var score = ccui.helper.seekWidgetByName(rankUI, "jifen");
                var wintime = ccui.helper.seekWidgetByName(rankUI, "changci");
                if (game.g_rank_list[top]) {
                    var rank = game.g_rank_list[top++];
                    paimingUI.setString(rank.Rank);
                    levelUi.setString(game.dataMgr.getlevelByRank(rank.Scores));
                    name_2.setString(rank.NickName);
                    score.setString(game.dataMgr.getscoreByRank(rank.Scores));
                    wintime.setString(game.dataMgr.getwinByRank(rank.Scores));
                }
                else {
                    top++;
                    paimingUI.setString(top);
                    levelUi.setString("1");
                    name_2.setString("暂无");
                    score.setString(0);
                    wintime.setString(0);
                }
                this.m_ListView.addChild(rankUI);
                this.m_ListView.sortAllChildren();
            }
            if (this.m_allCheckBox.length != 0) {
                this.m_curSelectTag = 0;
                this.m_ListView.jumpToPercentVertical(0);
                this.updateSelectRankCheckBox();
            }
        };
        ui_paiweimoshi.prototype.getIcon = function (score) {
            if (score > 10000000) {
                return game.g_rank_config["10000000"].icon;
            }
            for (var p in game.g_rank_config) {
                var index = parseInt(p);
                if (score == 1) {
                    return game.g_rank_config[1].icon;
                }
                if (score <= index) {
                    return game.g_rank_config[p].icon;
                }
            }
            return null;
        };
        //历史名次图标
        ui_paiweimoshi.prototype.updateMaxIcon = function (score) {
            var path = this.getIcon(score);
            var iconMax = ccui.helper.seekWidgetByName(this.m_root, "tubiao_lishi");
            if (path) {
                iconMax.loadTexture(path);
            }
        };
        //当前名次图标
        ui_paiweimoshi.prototype.updateIcon = function (score) {
            var path = this.getIcon(score);
            var me = ccui.helper.seekWidgetByName(this.m_root, "me");
            var icon = ccui.helper.seekWidgetByName(me, "tubiao");
            if (path) {
                icon.loadTexture(path);
            }
        };
        ui_paiweimoshi.prototype.initmyRank = function () {
            var rank = game.dataMgr.getMe().getRank(); //我的战绩
            console.log("我的战绩" + rank);
            var score = game.dataMgr.getMe().getRankScore(); //积分
            var bestscore = game.dataMgr.getMe().getMaxRankScore(); //历史最佳
            var bestrank = game.dataMgr.getMe().getMaxRank(); //历史排名
            var wintime = game.dataMgr.getMe().getRankWinTime(); //获胜场次
            var myrankNode = ccui.helper.seekWidgetByName(this.m_root, "me");
            var paiming = ccui.helper.seekWidgetByName(myrankNode, "paiming");
            var weipaiming = ccui.helper.seekWidgetByName(myrankNode, "weipaiming");
            var weipaiming1 = ccui.helper.seekWidgetByName(this.m_root, "paiming_lishi_0");
            if (rank > 0 && rank < 99999) {
                weipaiming.setVisible(false);
                paiming.setString(rank);
            }
            else {
                weipaiming.setVisible(true);
                paiming.setVisible(false);
            }
            this.updateMaxIcon(bestrank);
            this.updateIcon(rank);
            var _score = ccui.helper.seekWidgetByName(myrankNode, "jifen");
            if (_score == null) {
                console.log("score is null");
                return;
            }
            _score.setString(score);
            var _maxscore = ccui.helper.seekWidgetByName(myrankNode, "jifen_lishi");
            _maxscore.setString(bestscore);
            var _maxrank = ccui.helper.seekWidgetByName(myrankNode, "paiming_lishi");
            if (99999 <= bestrank) {
                weipaiming1.setVisible(true);
                _maxrank.setVisible(false);
            }
            else {
                weipaiming1.setVisible(false);
                _maxrank.setVisible(true);
                _maxrank.setString(bestrank);
            }
            var _wintime = ccui.helper.seekWidgetByName(myrankNode, "changci");
            _wintime.setString(wintime);
        };
        ui_paiweimoshi.prototype.rongyu_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    if (sender.isSelected()) {
                        sender.setSelected(false);
                    }
                    else {
                        sender.setSelected(true);
                    }
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    if (!sender.isSelected()) {
                        sender.setSelected(false);
                    }
                    else {
                        sender.setSelected(true);
                    }
                    game.rongyushangdian.ShowOrHide(true);
                    break;
                case ccui.Widget.TOUCH_CANCELED:
                    if (!sender.isSelected()) {
                        sender.setSelected(false);
                    }
                    else {
                        sender.setSelected(true);
                    }
                    break;
            }
        };
        ui_paiweimoshi.prototype.guize_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    if (sender.isSelected()) {
                        sender.setSelected(false);
                    }
                    else {
                        sender.setSelected(true);
                    }
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    if (!sender.isSelected()) {
                        sender.setSelected(false);
                    }
                    else {
                        sender.setSelected(true);
                    }
                    game.ui_paiweiguize.ShowOrHide(true);
                    break;
                case ccui.Widget.TOUCH_CANCELED:
                    if (!sender.isSelected()) {
                        sender.setSelected(false);
                    }
                    else {
                        sender.setSelected(true);
                    }
                    break;
            }
        };
        ui_paiweimoshi.prototype.start_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        if (sender.isSelected()) {
                            sender.setSelected(false);
                        }
                        else {
                            sender.setSelected(true);
                        }
                    }
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        if (!sender.isSelected()) {
                            sender.setSelected(false);
                        }
                        else {
                            sender.setSelected(true);
                        }
                    }
                    // dataMgr.getMe().setCurHero("nan")
                    // dataMgr.getMe().setCurfollow("nv")
                    ui_paiweimoshi.ShowOrHide(false);
                    game.ui_choosehero.ShowOrHide(true, game.e_SceneType.SceneType_pvp);
                    break;
                case ccui.Widget.TOUCH_CANCELED:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        if (!sender.isSelected()) {
                            sender.setSelected(false);
                        }
                        else {
                            sender.setSelected(true);
                        }
                    }
                    break;
            }
        };
        ui_paiweimoshi.prototype.onBack = function () {
            // ui_paiweimoshi.ShowOrHide( false )
            // ui_mainScene.ShowOrHide( true )
            game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_main);
        };
        ui_paiweimoshi.prototype.updateSelectRankCheckBox = function () {
            if (this.m_curSelectTag <= 0)
                this.m_curSelectTag = 0;
            if (this.m_curSelectTag >= this.m_allCheckBox.length - 1)
                this.m_curSelectTag = this.m_allCheckBox.length - 1;
            for (var p = 0; p < this.m_allCheckBox.length; p++) {
                this.m_allCheckBox[p].setSelected(p == this.m_curSelectTag);
            }
        };
        ui_paiweimoshi.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
            }
        };
        ui_paiweimoshi.g_instarn = null;
        ui_paiweimoshi.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_paiweimoshi, game.uiMgr.getMe(), 600);
        };
        return ui_paiweimoshi;
    }(game.UiBase));
    game.ui_paiweimoshi = ui_paiweimoshi;
})(game || (game = {}));
//# sourceMappingURL=ui_paiweimoshi.js.map