module game
{
    export class ui_paiweimoshi extends UiBase
    {
        static g_instarn:ui_paiweimoshi = null;
        static getMe  () {
            return ui_paiweimoshi.g_instarn;
        };
        m_CBaseKeyState:BaseKeyState_ui_config = null;
        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_paiweimoshi, uiMgr.getMe(), 600);
        };
        constructor() {
            super();
            this.m_des = "ui_paiweimoshi";
            this.m_CBaseKeyState = new BaseKeyState_ui_config();
        }
        m_ListView:ccui.ListView;
        m_CopyCheckBox:ccui.CheckBox;
        shutdown()
        {
            super.shutdown()
            if( this.m_CopyCheckBox)
            {
                this.m_CopyCheckBox.release()
                this.m_CopyCheckBox = null
            }
        }

        left()
        {
            return this.m_CBaseKeyState.left()
        }
        right()
        {
            return this.m_CBaseKeyState.right()
        }
        up()
        {
            --this.m_curSelectTag
            this.updateSelectRankCheckBox()
            let per:number = Math.round(this.m_curSelectTag / (this.m_allCheckBox.length-1) *100);
            this.m_ListView.jumpToPercentVertical(per);

            return super.up();

        }
        down()
        {
            ++this.m_curSelectTag
            this.updateSelectRankCheckBox()
            let per:number = Math.round(this.m_curSelectTag / (this.m_allCheckBox.length -1)*100);

            this.m_ListView.jumpToPercentVertical(per);
            return super.down();
        }
        m_curSelectTag:number = -1
        m_regnum = 1
        m_allCheckBox:Array<ccui.CheckBox> = []
        oninit(data) {

            let root = this._parseUIFile("pvp.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            // httpMgr.getMe().sendMsg(g_httpType.type_httpGetTopList);
            this.m_ListView = ccui.helper.seekWidgetByName(this.m_root,"ListView_1");

            this.m_CopyCheckBox = ccui.helper.seekWidgetByName( this.m_ListView,"paiming_4");
            //this.m_CopyCheckBox.addTouchEventListener(this.upAndDown_func,this)

            this.m_CopyCheckBox.retain();

            this.m_ListView.removeAllChildren(true);
            if(!dataMgr.getMe().isUnlockYindao("d2") && dataMgr.getMe().isUnlockYindao("d1")){
                ui_yindao_juedou2.ShowOrHide(true);
            }

            let Start:ccui.CheckBox = ccui.helper.seekWidgetByTag(this.m_root,983);
            Start.addTouchEventListener(this.start_func,this);

            let guize:ccui.CheckBox = ccui.helper.seekWidgetByTag(this.m_root,979);
            guize.addTouchEventListener(this.guize_func,this);

            let rongyu:ccui.CheckBox = ccui.helper.seekWidgetByTag(this.m_root,986 );
            rongyu.addTouchEventListener(this.rongyu_func,this);

            let tuichu:ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root,"tuichu");
            if(!Version_mgr.getInstance().isPhone()){
                if(tuichu){
                    dataMgr.getMe().loadCheckBoximg(tuichu,"xingjietantantang/big/ui/image/ddt_ui138b.png");
                }
            }
            tuichu.addTouchEventListener(this.tuichu_func,this)

            let awardgoldnum:ccui.Text = ccui.helper.seekWidgetByTag(this.m_root,451)
            let awardrongyu:ccui.Text = ccui.helper.seekWidgetByTag(this.m_root,978)
            let myrank = dataMgr.getMe().getRank()
            let rankdata = null
            // for(let p in g_rank_config)
            // {
            //     if(myrank >= Number(p))
            //     {
            //         rankdata = cc.clone(g_rank_config[p])
            //     }
            // }
            rankdata = dataMgr.getAward(myrank);

            awardgoldnum.setString(rankdata.jinbi.toString())
            awardrongyu.setString(rankdata.rongyu.toString())
            if(cc.sys.isNative)
            {
                this.initTop3()
                this.initTop4_10()
                this.initmyRank()
            }
            if(Version_mgr.getInstance().isPhone()){

            }else {
                this.m_CBaseKeyState.setUIName("juedouchang")
                this.m_CBaseKeyState.regNodeEx(Start,this.m_regnum++)
                this.m_CBaseKeyState.regNodeEx(guize,this.m_regnum++)
                this.m_CBaseKeyState.regNodeEx(rongyu,this.m_regnum++)

                this.m_CBaseKeyState.init(this)
            }
        }
        upAndDown_func(sender,type){

            switch ( type ) {
                case ccui.Widget.TOUCH_ENDED:
                    let curSelectTag = sender.getUserData()
                    this.m_curSelectTag = curSelectTag
                    this.updateSelectRankCheckBox()
                    break;
            }
        }
        tuichu_func(sender,type){
            switch (type){
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        }

        //前三名
        initTop3()
        {

            for(let p = 1; p <= 3; p++)
            {
                let node:cc.Node = ccui.helper.seekWidgetByName(this.m_root,p);
                let name:ccui.Text = ccui.helper.seekWidgetByName(node,"name");
                let score:ccui.Text = ccui.helper.seekWidgetByName(node,"jifen");

                let rank:any = g_rank_list[p-1];
                if(rank)
                {
                    name.setString(rank.NickName);
                    score.setString(dataMgr.getscoreByRank(rank.Scores));
                }
                else
                {
                    name.setString("暂无");
                    score.setString("");
                }
            }
        }
        //4~10名
        initTop4_10()
        {
            let top = 4 - 1
            while( top < 50)
            // for(let top = 3; top <g_rank_list.length; ++top)
            {

                let rankUI:ccui.CheckBox = this.m_CopyCheckBox.clone();
                this.m_allCheckBox.push(rankUI)
                rankUI.setUserData((this.m_allCheckBox.length - 1).toString())
                rankUI.addTouchEventListener(this.upAndDown_func,this)

                // this.m_CBaseKeyState.regNodeEx(rankUI,this.m_regnum++)

                let paimingUI:ccui.Text = ccui.helper.seekWidgetByName(rankUI,"paiming");
                let levelUi:ccui.Text = ccui.helper.seekWidgetByName(rankUI,"dengjishu");
                let name:ccui.Text = ccui.helper.seekWidgetByName(rankUI,"name");
                let score:ccui.Text = ccui.helper.seekWidgetByName(rankUI,"jifen");
                let wintime:ccui.Text = ccui.helper.seekWidgetByName(rankUI,"changci");
                if(g_rank_list[top] ){
                    let rank:any = g_rank_list[top++];
                    paimingUI.setString(rank.Rank);
                    levelUi.setString(dataMgr.getlevelByRank(rank.Scores));
                    name.setString(rank.NickName);
                    score.setString(dataMgr.getscoreByRank(rank.Scores));
                    wintime.setString(dataMgr.getwinByRank(rank.Scores));
                }else {
                    top++;
                    paimingUI.setString(top);
                    levelUi.setString("1");
                    name.setString("暂无");
                    score.setString(0);
                    wintime.setString(0);
                }

                this.m_ListView.addChild(rankUI);
                this.m_ListView.sortAllChildren();
            }
            if(this.m_allCheckBox.length != 0)
            {
                this.m_curSelectTag = 0
                this.m_ListView.jumpToPercentVertical(0)
                this.updateSelectRankCheckBox()
            }
        }

         getIcon(score:number){
             if(score > 10000000){
                 return g_rank_config["10000000"].icon;
             }
             for(let p in g_rank_config){
                 let index:number = parseInt(p);
                 if(score == 1){
                     return g_rank_config[1].icon;
                 }
                 if(score <= index){
                     return g_rank_config[p].icon;
                 }
             }
             return null;
        }

        //历史名次图标
        updateMaxIcon(score:number){
            let path = this.getIcon(score);
            let iconMax:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"tubiao_lishi");
            if(path){
                iconMax.loadTexture(path);
            }
        }
        //当前名次图标
        updateIcon(score:number){
            let path = this.getIcon(score);
            let me:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"me");
            let icon:ccui.ImageView = ccui.helper.seekWidgetByName(me,"tubiao");
            if(path){
                icon.loadTexture(path);
            }
        }

        initmyRank()
        {

            let rank = dataMgr.getMe().getRank();     //我的战绩
            console.log("我的战绩"+rank);

            let score =  dataMgr.getMe().getRankScore();      //积分
            let bestscore = dataMgr.getMe().getMaxRankScore()       //历史最佳
            let bestrank = dataMgr.getMe().getMaxRank()    //历史排名
            let wintime = dataMgr.getMe().getRankWinTime()         //获胜场次
            let myrankNode:cc.Node = ccui.helper.seekWidgetByName(this.m_root,"me");


            let paiming:ccui.Text = ccui.helper.seekWidgetByName(myrankNode,"paiming");
            let weipaiming:ccui.Text = ccui.helper.seekWidgetByName(myrankNode,"weipaiming");
            let weipaiming1:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"paiming_lishi_0");

            if(rank > 0 && rank < 99999 ){
                weipaiming.setVisible(false);
                paiming.setString(rank)
            }else {
                weipaiming.setVisible(true);
                paiming.setVisible(false)
            }


            this.updateMaxIcon(bestrank);
            this.updateIcon(rank);
            let _score:ccui.Text = ccui.helper.seekWidgetByName(myrankNode,"jifen")
            if(_score == null){
                console.log("score is null")
                return;
            }
            _score.setString(score)

            let _maxscore:ccui.Text = ccui.helper.seekWidgetByName(myrankNode,"jifen_lishi")
            _maxscore.setString(bestscore);
            let _maxrank:ccui.Text = ccui.helper.seekWidgetByName(myrankNode,"paiming_lishi")
            if(99999 <= bestrank){
                weipaiming1.setVisible(true);
                _maxrank.setVisible(false);
            }else {
                weipaiming1.setVisible(false);
                _maxrank.setVisible(true);
                _maxrank.setString(bestrank)
            }
            let _wintime:ccui.Text = ccui.helper.seekWidgetByName(myrankNode,"changci")
            _wintime.setString(wintime)

        }
        rongyu_func(sender, type )
        {
            switch ( type )
            {
                case ccui.Widget.TOUCH_BEGAN:
                    if(sender.isSelected()){
                        sender.setSelected(false);
                    }else {
                        sender.setSelected(true);
                    }
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    if(!sender.isSelected()){
                        sender.setSelected(false);
                    }else {
                        sender.setSelected(true);
                    }
                    rongyushangdian.ShowOrHide(true);
                    break;
                case ccui.Widget.TOUCH_CANCELED:
                    if(!sender.isSelected()){
                        sender.setSelected(false);
                    }else {
                        sender.setSelected(true);
                    }
                    break;
            }
        }
        guize_func( sender, type )
        {
            switch ( type )
            {
                case ccui.Widget.TOUCH_BEGAN:
                    if(sender.isSelected()){
                        sender.setSelected(false);
                    }else {
                        sender.setSelected(true);
                    }
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    if(!sender.isSelected()){
                        sender.setSelected(false);
                    }else {
                        sender.setSelected(true);
                    }
                    ui_paiweiguize.ShowOrHide( true )
                    break
                case ccui.Widget.TOUCH_CANCELED:
                    if(!sender.isSelected()){
                        sender.setSelected(false);
                    }else {
                        sender.setSelected(true);
                    }
                    break;
            }
        }
        start_func( sender, type )
        {
            switch ( type )
            {
                case ccui.Widget.TOUCH_BEGAN:
                    if(Version_mgr.getInstance().isPhone()){
                        if(sender.isSelected()){
                            sender.setSelected(false);
                        }else {
                            sender.setSelected(true);
                        }
                    }
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    if(Version_mgr.getInstance().isPhone()){
                        if(!sender.isSelected()){
                            sender.setSelected(false);
                        }else {
                            sender.setSelected(true);
                        }
                    }
                    // dataMgr.getMe().setCurHero("nan")
                    // dataMgr.getMe().setCurfollow("nv")
                    ui_paiweimoshi.ShowOrHide(false);
                    ui_choosehero.ShowOrHide(true,e_SceneType.SceneType_pvp)

                    break;
                case ccui.Widget.TOUCH_CANCELED:
                    if(Version_mgr.getInstance().isPhone()){
                        if(!sender.isSelected()){
                            sender.setSelected(false);
                        }else {
                            sender.setSelected(true);
                        }
                    }
                    break;
            }
        }
        onBack()
        {
            // ui_paiweimoshi.ShowOrHide( false )
            // ui_mainScene.ShowOrHide( true )
            sceneMgr.getMe().selectScene(e_SceneType.SceneType_main);
        }
        updateSelectRankCheckBox()
        {
            if(this.m_curSelectTag <= 0)
                this.m_curSelectTag = 0
            if(this.m_curSelectTag >= this.m_allCheckBox.length -1)
                this.m_curSelectTag = this.m_allCheckBox.length -1
            for(let p = 0; p < this.m_allCheckBox.length; p++)
            {
                this.m_allCheckBox[p].setSelected( p == this.m_curSelectTag)
            }
        }

        loop( t )
        {
            if( this.m_CBaseKeyState )
            {
                this.m_CBaseKeyState.loop(t)
            }
        }
    }
}