/**
 * Created by xieli on 2017/2/24.
 */
var game;
(function (game) {
    var ProgressTimerEx = (function () {
        //精灵路径，冷却时间，坐标，父类Node对象，缩放比例
        function ProgressTimerEx(Sprite_path, pos, parent, scale) {
            if (scale === void 0) { scale = 1; }
            var sprite = new cc.Sprite(Sprite_path);
            this.m_ProgressTimer = new cc.ProgressTimer(sprite);
            this.m_ProgressTimer.setType(cc.ProgressTimer.TYPE_RADIAL);
            this.m_ProgressTimer.setScale(scale);
            this.m_ProgressTimer.setPosition(pos.x, pos.y);
            this.m_ProgressTimer.setPercentage(0);
            this.m_parent = parent;
            this.m_parent.addChild(this.m_ProgressTimer, 100);
        }
        ProgressTimerEx.prototype.setPosition = function (p) {
            this.m_ProgressTimer.setPosition(p);
        };
        ProgressTimerEx.prototype.setRotation = function (r) {
            this.m_ProgressTimer.setRotation(r);
        };
        ProgressTimerEx.prototype.setPercentage = function (per) {
            this.m_ProgressTimer.setPercentage(per);
        };
        ProgressTimerEx.prototype.shutdown = function () {
            this.m_parent.removeChild(this.m_ProgressTimer);
            this.m_ProgressTimer = null;
        };
        return ProgressTimerEx;
    }());
    game.ProgressTimerEx = ProgressTimerEx;
})(game || (game = {}));
//# sourceMappingURL=ProgressTimerEx.js.map