var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_juese = (function (_super) {
        __extends(ui_juese, _super);
        function ui_juese() {
            _super.call(this);
            // m_isMale:boolean = false
            this.m_curHero = null;
            this.m_SpineNode = null;
            this.m_nanUI = null;
            this.m_nvUI = null;
            this.m_allCheckBox = null;
            this.m_des = "ui_juese";
            this.m_CBaseKeyState = new game.BaseKeyState_ui_config(); //////
        }
        ui_juese.prototype.oninit = function () {
            var root = this._parseUIFile("juese.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.initUI();
        };
        ui_juese.prototype.initUI = function () {
            this.m_SpineNode = ccui.helper.seekWidgetByName(this.m_root, "Node_5");
            this.m_nanUI = ccui.helper.seekWidgetByName(this.m_root, "nan");
            this.m_nvUI = ccui.helper.seekWidgetByName(this.m_root, "nv");
            this.m_curHero = game.dataMgr.getMe().getCurHero();
            this.updateSpineNode();
            var regNum = 1;
            this.m_allCheckBox = ccui.helper.seekWidgetByType(this.m_root, "CheckBox");
            for (var p in this.m_allCheckBox) {
                if (!game.Version_mgr.getInstance().isPhone()) {
                    if (this.m_allCheckBox[p].getName() == "tuichu") {
                        game.dataMgr.getMe().loadCheckBoximg(this.m_allCheckBox[p], "xingjietantantang/big/ui/image/ddt_ui138b.png");
                    }
                    this.m_CBaseKeyState.regNodeEx(this.m_allCheckBox[p], regNum++);
                }
                else {
                    var texiao = ccui.helper.seekWidgetByName(this.m_allCheckBox[p], "uitexiao");
                    if (texiao) {
                        texiao.setVisible(false);
                    }
                }
                this.m_allCheckBox[p].addTouchEventListener(this.callFunc, this);
            }
            if (game.Version_mgr.getInstance().isPhone()) {
            }
            else {
                this.m_CBaseKeyState.setUIName("juese"); /////
                this.m_CBaseKeyState.init(this);
                this.m_CBaseKeyState.setCurKey_byName("wuqi");
            }
        };
        ui_juese.prototype.updateSkin = function () {
            this.updateSpineNode();
        };
        //获得排位图标
        ui_juese.getIcon = function (score) {
            if (score > 10000000) {
                return game.g_rank_config["10000000"].icon;
            }
            for (var p in game.g_rank_config) {
                var index = parseInt(p);
                if (score == 1) {
                    return game.g_rank_config[1].icon;
                }
                if (score <= index) {
                    return game.g_rank_config[p].icon;
                }
            }
            return null;
        };
        ui_juese.prototype.updateUI = function () {
            var fightweapons = game.fileMgr.getMe().m_play_doc[this.m_curHero + "_weapon"];
            for (var p = 1; p <= 3; p++) {
                var weaponui = ccui.helper.seekWidgetByName(this.m_root, "zhuangbei_" + p);
                if (fightweapons[p - 1]) {
                    weaponui.setVisible(true);
                    var weaponconfig = game.dataMgr.getMe().getWeaponconfig(fightweapons[p - 1].name);
                    var nameui = ccui.helper.seekWidgetByName(weaponui, "shuoming");
                    var qianghui = ccui.helper.seekWidgetByName(weaponui, "qianghua");
                    qianghui.setString("+" + fightweapons[p - 1].level);
                    if (fightweapons[p - 1].level <= 0) {
                        qianghui.setString("");
                    }
                    nameui.setString(weaponconfig.desName);
                    weaponui.loadTexture(weaponconfig.icon);
                }
                else {
                    weaponui.setVisible(false);
                }
                if (p == 3) {
                    var viplockui = ccui.helper.seekWidgetByName(this.m_root, "zhuangbeilan_3");
                    var weijiechu = ccui.helper.seekWidgetByName(viplockui, "suo");
                    var weixiedai = ccui.helper.seekWidgetByName(viplockui, "shuoming");
                    if (game.dataMgr.getMe().getViplevel() < game.g_vip_unlock) {
                        weijiechu.setVisible(true);
                        weixiedai.setVisible(false);
                    }
                    else {
                        weijiechu.setVisible(false);
                        if (fightweapons[p - 1] == null) {
                            weixiedai.setVisible(true);
                        }
                        else {
                            weixiedai.setVisible(false);
                        }
                    }
                }
                var itemui = ccui.helper.seekWidgetByName(this.m_root, "yaoshui_" + p);
                var itemText = ccui.helper.seekWidgetByName(itemui, "shuliang");
                var itemtype = game.itemMgr.getMe().stringToType("yaoji" + p);
                var itemnum = game.dataMgr.getMe().getItemByName(itemtype);
                itemText.setString("x" + itemnum);
            }
            var level = ccui.helper.seekWidgetByName(this.m_root, "lv");
            var name = ccui.helper.seekWidgetByTag(this.m_root, 1362);
            var paiming = ccui.helper.seekWidgetByName(this.m_root, "paiming");
            var nopaiming = ccui.helper.seekWidgetByName(this.m_root, "weipaiming");
            var score = ccui.helper.seekWidgetByName(this.m_root, "jifen");
            var vipui = ccui.helper.seekWidgetByName(this.m_root, "vip");
            nopaiming.setVisible(false);
            paiming.setString(game.dataMgr.getMe().getRank());
            if (game.dataMgr.getMe().getRank() >= 99999) {
                nopaiming.setVisible(true);
                paiming.setVisible(false);
            }
            level.setString(game.dataMgr.getMe().getlevel());
            name.setString(game.dataMgr.getMe().getNickName());
            score.setString(game.dataMgr.getMe().getRankScore());
            var curvip = game.dataMgr.getMe().getViplevel();
            vipui.loadTexture(game.g_vipImg.replace(/\*/g, curvip.toString()));
            var imag_tubiao = ccui.helper.seekWidgetByName(this.m_root, "tubiao");
            imag_tubiao.loadTexture(ui_juese.getIcon(game.dataMgr.getMe().getRank()));
            var tittleui = ccui.helper.seekWidgetByName(this.m_root, "chenghao");
            var hero = this.m_curHero;
            var tittle = game.dataMgr.getMe().getTittle(hero);
            var level_title = game.dataMgr.getMe().getTittlelevel(tittle);
            var tittleconfig = game.dataMgr.getMe().getTittleConfigBytag(tittle, level_title);
            if (tittleconfig) {
                tittleui.setVisible(true);
                // console.log(JSON.stringify(tittleconfig))
                tittleui.loadTexture(tittleconfig.icon);
            }
            else {
                tittleui.setVisible(false);
            }
        };
        ui_juese.prototype.updateSpineNode = function () {
            this.m_nanUI.setVisible(this.m_curHero == "nan");
            this.m_nvUI.setVisible(this.m_curHero == "nv");
            var hero = "hero_" + this.m_curHero;
            this.m_SpineNode.removeAllChildren(true);
            var skin = game.dataMgr.getMe().getHeroSkin(hero);
            var skinname = game.dataMgr.getMe().getSkinConfig(skin, hero).skin;
            this.m_PlayerSpine = game.spineMgr.getMe().createSpineSkinPlay(hero, "daiji", skinname, true, this.m_SpineNode);
            this.updateUI();
            this.updateprotoUI(hero);
        };
        ui_juese.prototype.callFunc = function (sender, type) {
            var texiao = ccui.helper.seekWidgetByName(sender, "uitexiao");
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        if (texiao) {
                            texiao.setVisible(true);
                        }
                        ui_MoveTouch_juese.getMe().m_curkey = sender;
                    }
                    break;
                case ccui.Widget.TOUCH_MOVED:
                    if (texiao) {
                        texiao.setVisible(true);
                    }
                case ccui.Widget.TOUCH_ENDED:
                    if (texiao) {
                        texiao.setVisible(false);
                    }
                    switch (sender.getName()) {
                        case "tuichu":
                            this.onBack();
                            break;
                        case "qiehuan":
                            if (game.dataMgr.getMe().getCurfollow() == null || game.dataMgr.getMe().getCurfollow() == "") {
                                var diomand = game.Version_mgr.getInstance().getDiamondPriceBystr("jiesuo");
                                game.ui_messageBox2.ShowOrHide(true, "是否花费" + diomand + "钻石解锁人物？", function () {
                                    game.buy_mgr.getInstance().buyPlayer_buy(ui_juese.getMe().buySucceedCallBack, ui_juese.getMe(), "jiesuo");
                                });
                                return;
                            }
                            if (this.m_curHero != game.dataMgr.getMe().getCurHero()) {
                                this.m_curHero = game.dataMgr.getMe().getCurHero();
                            }
                            else {
                                this.m_curHero = game.dataMgr.getMe().getCurfollow();
                            }
                            this.updateSpineNode();
                            break;
                        case "pifu":
                            game.ui_selectpifu.ShowOrHide(true, this.m_curHero);
                            break;
                        case "wuqi":
                            var hero = this.m_curHero;
                            game.ui_wuqi.ShowOrHide(true, hero);
                            break;
                        case "qianghua":
                            var hero2 = this.m_curHero;
                            if (game.Version_mgr.getInstance().m_option.isPhone) {
                                game.ui_qianghuaPhone.ShowOrHide(true, hero2);
                            }
                            else {
                                game.ui_qianghua.ShowOrHide(true, hero2);
                            }
                            break;
                        case "vip":
                            game.ui_vip.ShowOrHide(true);
                            break;
                    }
                case ccui.Widget.TOUCH_CANCELED:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        if (sender.isSelected()) {
                            sender.setSelected(false);
                        }
                        else {
                            sender.setSelected(true);
                        }
                    }
                    break;
            }
        };
        ui_juese.prototype.buySucceedCallBack = function () {
            var diomand = game.Version_mgr.getInstance().getDiamondPriceBystr("jiesuo");
            if (ui_juese.getMe().m_curHero == "nan") {
                ui_juese.getMe().setHeroName("nv");
            }
            else {
                ui_juese.getMe().setHeroName("nan");
            }
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     diomand + "钻石购买角色");
            ui_juese.getMe().m_curHero = game.dataMgr.getMe().getCurfollow();
            ui_juese.getMe().updateSpineNode();
        };
        ui_juese.prototype.setHeroName = function (heroName) {
            game.dataMgr.getMe().lockHero(heroName);
            game.dataMgr.getMe().setCurfollow(heroName);
            ui_juese_texiao.ShowOrHide(true, heroName);
        };
        ui_juese.prototype.updateprotoUI = function (heronameOrfollowerName) {
            var att = game.dataMgr.getMe().getAllAtt(heronameOrfollowerName);
            //减伤
            var def = Number(game.dataMgr.getMe().getAllDef(heronameOrfollowerName));
            var HP = game.dataMgr.getMe().getAllHp(heronameOrfollowerName);
            var power = game.dataMgr.getMe().getAllPower(heronameOrfollowerName);
            var gongji_per = game.dataMgr.getMe().getAllMax("damage");
            var jianshang_per = game.dataMgr.getMe().getAllMax("damageRes");
            var xueliang_per = game.dataMgr.getMe().getAllMax("hp");
            var naili_per = game.dataMgr.getMe().getAllMax("power");
            this.setProto(att / gongji_per * 100, att, "gongji");
            this.setProto(def / jianshang_per * 100, Math.floor(def * 100) + "%", "jianshang");
            this.setProto(HP / xueliang_per * 100, HP, "xueliang");
            this.setProto(power / naili_per * 100, power, "naili");
        };
        ui_juese.prototype.setProto = function (per, num, targetname) {
            var node = ccui.helper.seekWidgetByName(this.m_root, targetname);
            var LoadingBar_2 = ccui.helper.seekWidgetByName(node, "LoadingBar_2");
            var shuzhi = ccui.helper.seekWidgetByName(node, "shuzhi");
            if (per > 100) {
                per = 100;
            }
            //loadingbar.setPercent(usediamond / this.vipconfig_default.chongzhi*100)
            LoadingBar_2.setPercent(per);
            shuzhi.setString(num);
        };
        ui_juese.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
                var fightweapons = game.fileMgr.getMe().m_play_doc[this.m_curHero + "_weapon"];
                if (fightweapons[0]) {
                    var weaponconfig = game.dataMgr.getMe().getWeaponconfig(fightweapons[0].name);
                    this.m_PlayerSpine.replaceAttachmentImage("wuqi", weaponconfig.roleBujian);
                }
                else {
                    this.m_PlayerSpine.replaceAttachmentImage("wuqi", "shitou");
                }
            }
        };
        ui_juese.prototype.onBack = function () {
            // ui_mainScene.ShowOrHide(true);
            // ui_juese.ShowOrHide(false);
            game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_main);
        };
        ui_juese.g_instarn = null;
        ui_juese.getMe = function () {
            return ui_juese.g_instarn;
        };
        ui_juese.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_juese, game.uiMgr.getMe(), 1001);
            if (game.Version_mgr.getInstance().isPhone()) {
                ui_MoveTouch_juese.ShowOrHide(flag);
            }
        };
        return ui_juese;
    }(game.UiBase));
    game.ui_juese = ui_juese;
    var ui_MoveTouch_juese = (function (_super) {
        __extends(ui_MoveTouch_juese, _super);
        function ui_MoveTouch_juese() {
            _super.apply(this, arguments);
            this.m_curkey = null;
        }
        ui_MoveTouch_juese.prototype.initColor = function () {
            this.setColor(cc.color(0, 0, 0));
            this.setOpacity(255 * 0.0);
            return true;
        };
        ui_MoveTouch_juese.prototype.initTouch = function () {
            var touchListener = {
                event: cc.EventListener.TOUCH_ONE_BY_ONE,
                swallowTouches: false,
                onTouchBegan: this.onTouchBegan.bind(this),
                onTouchMoved: this.onTouchMoved.bind(this),
                onTouchEnded: this.onTouchEnded.bind(this),
                onTouchCancelled: this.onTouchCancelled.bind(this)
            };
            cc.eventManager.addListener(touchListener, this.getNode());
            this.m_touchListener = touchListener;
        };
        ui_MoveTouch_juese.prototype.oninit = function () {
        };
        ui_MoveTouch_juese.prototype.onTouchMoved = function (touch, event) {
            var localPos = touch.getLocation();
            if (this.m_curkey) {
                localPos = this.m_curkey.convertToNodeSpace(localPos);
                var width = this.m_curkey.getContentSize().width;
                var height = this.m_curkey.getContentSize().height;
                var rect = cc.rect(0, 0, width, height);
                if (cc.rectContainsPoint(rect, cc.p(localPos.x, localPos.y))) {
                    return true;
                }
                else {
                    var texiao = ccui.helper.seekWidgetByName(this.m_curkey, "uitexiao");
                    if (texiao) {
                        texiao.setVisible(false);
                    }
                }
            }
            return true;
        };
        ui_MoveTouch_juese.prototype.onBack = function () {
            // ui_mainScene.ShowOrHide(true);
            // ui_juese.ShowOrHide(false);
            game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_main);
        };
        ui_MoveTouch_juese.g_instarn = null;
        ui_MoveTouch_juese.getMe = function () {
            return ui_MoveTouch_juese.g_instarn;
        };
        ui_MoveTouch_juese.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_MoveTouch_juese, game.uiMgr.getMe(), 1008);
        };
        return ui_MoveTouch_juese;
    }(game.UiBase));
    game.ui_MoveTouch_juese = ui_MoveTouch_juese;
    var ui_juese_texiao = (function (_super) {
        __extends(ui_juese_texiao, _super);
        function ui_juese_texiao() {
            _super.call(this);
            this.m_des = "ui_juese_texiao";
            this.m_CBaseKeyState = new game.BaseKeyState_ui_config(); //////
        }
        ui_juese_texiao.prototype.oninit = function (data) {
            var root = this._parseUIFile("jiesuochenggong.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.updateUI(data);
            this.playAnimation("play", false, function () {
                ui_juese_texiao.ShowOrHide(false);
            }, this);
        };
        ui_juese_texiao.prototype.updateUI = function (name) {
            var shuoming = ccui.helper.seekWidgetByName(this.m_root, "shuoming");
            var nan = ccui.helper.seekWidgetByName(shuoming, "nan");
            var nv = ccui.helper.seekWidgetByName(shuoming, "nv");
            nan.setVisible(name == "nan");
            nv.setVisible(name == "nv");
        };
        ui_juese_texiao.prototype.onBack = function () {
            ui_juese_texiao.ShowOrHide(false);
        };
        ui_juese_texiao.g_instarn = null;
        ui_juese_texiao.getMe = function () {
            return ui_juese_texiao.g_instarn;
        };
        ui_juese_texiao.ShowOrHide = function (flag, data) {
            game.UiBase.ShowOrHide(flag, ui_juese_texiao, game.uiMgr.getMe(), 2000, data);
        };
        return ui_juese_texiao;
    }(game.UiBase));
    game.ui_juese_texiao = ui_juese_texiao;
})(game || (game = {}));
//# sourceMappingURL=ui_juese.js.map