
module game {
    import Rect = cc.Rect;
    export class ui_juese extends UiBase {
        static g_instarn: ui_juese = null;
        static getMe = function (): ui_juese {
            return ui_juese.g_instarn;
        };

        m_CBaseKeyState:BaseKeyState_ui_config;         /////

        static ShowOrHide = function (flag){
            UiBase.ShowOrHide(flag, ui_juese, uiMgr.getMe(), 1001);
            if(Version_mgr.getInstance().isPhone()){
                ui_MoveTouch_juese.ShowOrHide(flag);
            }
        };

        constructor() {
            super();
            this.m_des = "ui_juese";
            this.m_CBaseKeyState = new BaseKeyState_ui_config();        //////
        }
        // m_isMale:boolean = false
        m_curHero:string = null;
        m_SpineNode:cc.Node = null
        m_nanUI:ccui.ImageView = null
        m_nvUI:ccui.ImageView = null
        m_allCheckBox:Array<ccui.CheckBox> = null;
        m_PlayerSpine;
        oninit() {
            let root = this._parseUIFile("juese.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            this.initUI()

        }
        initUI()
        {
            this.m_SpineNode = ccui.helper.seekWidgetByName(this.m_root,"Node_5" )
            this.m_nanUI = ccui.helper.seekWidgetByName(this.m_root,"nan" )
            this.m_nvUI = ccui.helper.seekWidgetByName(this.m_root,"nv" )
            this.m_curHero = dataMgr.getMe().getCurHero();

            this.updateSpineNode()
            let regNum = 1
            this.m_allCheckBox = ccui.helper.seekWidgetByType(this.m_root,"CheckBox")
            for(let p in this.m_allCheckBox) {
                if (!Version_mgr.getInstance().isPhone()) {
                    if (this.m_allCheckBox[p].getName() == "tuichu") {
                        dataMgr.getMe().loadCheckBoximg(this.m_allCheckBox[p], "xingjietantantang/big/ui/image/ddt_ui138b.png");
                    }
                    this.m_CBaseKeyState.regNodeEx(this.m_allCheckBox[p], regNum++);
                } else {    //手机版
                    let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_allCheckBox[p], "uitexiao");
                    if(texiao){
                        texiao.setVisible(false);
                    }
                }
                this.m_allCheckBox[p].addTouchEventListener(this.callFunc, this)

                // switch (this.m_allCheckBox[p].getName())
                // {
                //     case "tuichu":
                //     case "qiehuan":
                //     case "pifu":
                //     case "wuqi":
                //     case "qianghua":
                //     case "vip":
                //         if(Version_mgr.getInstance().isPhone()){
                //             let texiao:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_allCheckBox[p],"uitexiao");
                //             if(texiao){
                //                 texiao.setVisible(false);
                //             }
                //         }else {
                //             if(this.m_allCheckBox[p].getName() == "tuichu"){
                //                  dataMgr.getMe().loadCheckBoximg(this.m_allCheckBox[p],"xingjietantantang/big/ui/image/ddt_ui138b.png");
                //             }
                //             this.m_CBaseKeyState.regNodeEx(this.m_allCheckBox[p], regNum++);
                //         }
                //         this.m_allCheckBox[p].addTouchEventListener(this.callFunc,this)
                //     default:
                //         break
                // }
            }
            if(Version_mgr.getInstance().isPhone()){
            }else {
                this.m_CBaseKeyState.setUIName("juese");            /////
                this.m_CBaseKeyState.init(this);
                this.m_CBaseKeyState.setCurKey_byName("wuqi")
            }
        }

        updateSkin()
        {
           this.updateSpineNode()
        }
        //获得排位图标
        static getIcon(score:number){
            if(score > 10000000){
                return g_rank_config["10000000"].icon;
            }
            for(let p in g_rank_config){
                let index:number = parseInt(p);
                if(score == 1){
                    return g_rank_config[1].icon;
                }
                if(score <= index){
                    return g_rank_config[p].icon;
                }
            }
            return null;
        }

        updateUI()
        {
            let fightweapons = fileMgr.getMe().m_play_doc[this.m_curHero + "_weapon"];
            for( let p = 1; p <= 3; p++)
            {
                let weaponui:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"zhuangbei_" + p)
                if(fightweapons[p-1])
                {
                    weaponui.setVisible(true)
                    let weaponconfig:weaponconfig_s = dataMgr.getMe().getWeaponconfig(fightweapons[p-1].name)
                    let nameui:ccui.Text = ccui.helper.seekWidgetByName(weaponui,"shuoming")
                    let qianghui:ccui.Text = ccui.helper.seekWidgetByName(weaponui,"qianghua")
                    qianghui.setString("+"+fightweapons[p-1].level)
                    if(fightweapons[p-1].level <= 0){
                        qianghui.setString("")
                    }
                    nameui.setString(weaponconfig.desName)
                    weaponui.loadTexture(weaponconfig.icon)
                    // nameui.setString(weaponlevelconfig.)
                }
                else
                {
                    weaponui.setVisible(false)
                }
                if( p == 3)
                {
                    let viplockui:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"zhuangbeilan_3")
                    let weijiechu:ccui.ImageView = ccui.helper.seekWidgetByName(viplockui,"suo")
                    let weixiedai:ccui.ImageView = ccui.helper.seekWidgetByName(viplockui,"shuoming")
                    if(dataMgr.getMe().getViplevel() < g_vip_unlock )
                    {
                        weijiechu.setVisible(true)
                        weixiedai.setVisible(false)
                    }
                    else
                    {
                        weijiechu.setVisible(false)
                        if(fightweapons[p-1] == null)
                        {
                            weixiedai.setVisible(true)
                        }
                        else
                        {
                            weixiedai.setVisible(false)
                        }
                    }
                }

                let itemui:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"yaoshui_" + p)
                let itemText:ccui.Text = ccui.helper.seekWidgetByName(itemui,"shuliang");
                let itemtype = itemMgr.getMe().stringToType("yaoji" + p);
                let itemnum = dataMgr.getMe().getItemByName(itemtype);
                itemText.setString("x" + itemnum)
            }
            let level:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"lv")
            let name:ccui.Text = ccui.helper.seekWidgetByTag(this.m_root,1362 )
            let paiming:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"paiming")
            let nopaiming:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"weipaiming")
            let score:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"jifen")
            let vipui:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"vip")
            nopaiming.setVisible(false)
            paiming.setString(dataMgr.getMe().getRank())
            if(dataMgr.getMe().getRank() >= 99999){
                nopaiming.setVisible(true);
                paiming.setVisible(false);
            }

            level.setString(dataMgr.getMe().getlevel())
            name.setString(dataMgr.getMe().getNickName())
            score.setString(dataMgr.getMe().getRankScore())
            let curvip = dataMgr.getMe().getViplevel()
            vipui.loadTexture(g_vipImg.replace(/\*/g,curvip.toString()))
            let imag_tubiao:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"tubiao");
            imag_tubiao.loadTexture(ui_juese.getIcon(dataMgr.getMe().getRank()));

            let tittleui:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"chenghao")
            let hero = this.m_curHero;
            let tittle = dataMgr.getMe().getTittle(hero);
            let level_title = dataMgr.getMe().getTittlelevel(tittle);
            let tittleconfig = dataMgr.getMe().getTittleConfigBytag(tittle,level_title);
            if(tittleconfig)
            {
                tittleui.setVisible(true)
                // console.log(JSON.stringify(tittleconfig))
                tittleui.loadTexture(tittleconfig.icon)
            }
            else
            {
                tittleui.setVisible(false)
            }

        }
        updateSpineNode()
        {
            this.m_nanUI.setVisible(this.m_curHero == "nan");
            this.m_nvUI.setVisible( this.m_curHero == "nv");
            let hero = "hero_" + this.m_curHero;

            this.m_SpineNode.removeAllChildren(true);
            let skin = dataMgr.getMe().getHeroSkin(hero);
            let skinname = dataMgr.getMe().getSkinConfig(skin,hero).skin;
            this.m_PlayerSpine = spineMgr.getMe().createSpineSkinPlay(hero,"daiji",skinname,true,this.m_SpineNode);

            this.updateUI();
            this.updateprotoUI(hero);
        }


        callFunc(sender, type )
        {
            let texiao:ccui.ImageView = ccui.helper.seekWidgetByName(sender,"uitexiao");
            switch ( type )
            {
                case ccui.Widget.TOUCH_BEGAN:
                    if(Version_mgr.getInstance().isPhone()){
                        if(texiao){
                            texiao.setVisible(true);
                        }
                        ui_MoveTouch_juese.getMe().m_curkey = sender;
                    }
                    break;
                case ccui.Widget.TOUCH_MOVED:
                    if(texiao){
                        texiao.setVisible(true);
                    }
                case ccui.Widget.TOUCH_ENDED:
                    if(texiao){
                        texiao.setVisible(false);
                    }
                    switch (sender.getName())
                    {
                        case "tuichu":
                            this.onBack()
                            break
                        case "qiehuan":
                            if(dataMgr.getMe().getCurfollow() == null || dataMgr.getMe().getCurfollow() == ""){
                                let diomand:number = Version_mgr.getInstance().getDiamondPriceBystr("jiesuo");
                                ui_messageBox2.ShowOrHide(true,"是否花费" + diomand + "钻石解锁人物？",()=>{
                                    buy_mgr.getInstance().buyPlayer_buy(ui_juese.getMe().buySucceedCallBack,ui_juese.getMe(),"jiesuo");
                                });
                                return ;
                            }
                            if(this.m_curHero != dataMgr.getMe().getCurHero()){
                                this.m_curHero = dataMgr.getMe().getCurHero();
                            }else {
                                this.m_curHero = dataMgr.getMe().getCurfollow();
                            }
                            this.updateSpineNode();
                            break
                        case "pifu":
                            ui_selectpifu.ShowOrHide(true,this.m_curHero);
                            break
                        case "wuqi":
                            let hero = this.m_curHero;
                            ui_wuqi.ShowOrHide(true,hero)
                            break
                        case "qianghua":
                            let hero2 = this.m_curHero;
                            if(Version_mgr.getInstance().m_option.isPhone){
                                ui_qianghuaPhone.ShowOrHide(true,hero2);
                            }else {
                                ui_qianghua.ShowOrHide(true,hero2);
                            }
                            break
                        case "vip":
                            ui_vip.ShowOrHide(true)
                            break
                    }
                case ccui.Widget.TOUCH_CANCELED:
                    if(Version_mgr.getInstance().isPhone()){
                        if(sender.isSelected()){
                            sender.setSelected(false)
                        }else {
                            sender.setSelected(true)
                        }
                    }
                    break
            }
        }

        buySucceedCallBack(){
            let diomand:number = Version_mgr.getInstance().getDiamondPriceBystr("jiesuo");
            if(ui_juese.getMe().m_curHero == "nan"){
               ui_juese.getMe().setHeroName("nv")
            }else {
                ui_juese.getMe().setHeroName("nan")
            }
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     diomand + "钻石购买角色");
            ui_juese.getMe().m_curHero = dataMgr.getMe().getCurfollow();
            ui_juese.getMe().updateSpineNode();
        }

        setHeroName(heroName){
            dataMgr.getMe().lockHero(heroName);
            dataMgr.getMe().setCurfollow(heroName);
            ui_juese_texiao.ShowOrHide(true,heroName);
        }


        updateprotoUI(heronameOrfollowerName){

            let att = dataMgr.getMe().getAllAtt(heronameOrfollowerName);
            //减伤
            let def = Number(dataMgr.getMe().getAllDef(heronameOrfollowerName));
            let HP = dataMgr.getMe().getAllHp(heronameOrfollowerName);
            let power = dataMgr.getMe().getAllPower(heronameOrfollowerName);

            let gongji_per = dataMgr.getMe().getAllMax("damage");
            let jianshang_per = dataMgr.getMe().getAllMax("damageRes");
            let xueliang_per = dataMgr.getMe().getAllMax("hp");
            let naili_per = dataMgr.getMe().getAllMax("power");

            this.setProto(att / gongji_per * 100 ,att,"gongji");
            this.setProto( def/jianshang_per * 100, Math.floor(def  * 100) + "%","jianshang");
            this.setProto(HP / xueliang_per * 100 ,HP,"xueliang");
            this.setProto(power / naili_per * 100,power,"naili");
        }

        setProto(per:number,num,targetname:string){
            let node = ccui.helper.seekWidgetByName(this.m_root,targetname);
            let LoadingBar_2:ccui.Loadingbar = ccui.helper.seekWidgetByName(node,"LoadingBar_2");
            let shuzhi:ccui.Text = ccui.helper.seekWidgetByName(node,"shuzhi");
            if(per > 100){
                per = 100;
            }
            //loadingbar.setPercent(usediamond / this.vipconfig_default.chongzhi*100)
            LoadingBar_2.setPercent(per);
            shuzhi.setString(num);
        }

        loop(t)
        {
            if(this.m_CBaseKeyState)
            {
                this.m_CBaseKeyState.loop( t );
                let fightweapons = fileMgr.getMe().m_play_doc[this.m_curHero + "_weapon"];
                if(fightweapons[0]){
                    let weaponconfig:weaponconfig_s = dataMgr.getMe().getWeaponconfig(fightweapons[0].name);
                    this.m_PlayerSpine.replaceAttachmentImage("wuqi",weaponconfig.roleBujian)
                }else {
                    this.m_PlayerSpine.replaceAttachmentImage("wuqi","shitou");
                }
            }
        }

        onBack()
        {
            // ui_mainScene.ShowOrHide(true);
            // ui_juese.ShowOrHide(false);
            sceneMgr.getMe().selectScene(e_SceneType.SceneType_main);
        }
    }


    export class ui_MoveTouch_juese extends UiBase{
        static g_instarn: any = null;

        static getMe = function () {
            return ui_MoveTouch_juese.g_instarn;
        };

        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_MoveTouch_juese, uiMgr.getMe(), 1008);
        };


        initColor() {
            this.setColor(cc.color(0, 0, 0));
            this.setOpacity(255 * 0.0);
            return true;
        }
        initTouch() {
            let touchListener = {
                event: cc.EventListener.TOUCH_ONE_BY_ONE,
                swallowTouches: false,
                onTouchBegan: this.onTouchBegan.bind(this),
                onTouchMoved: this.onTouchMoved.bind(this),
                onTouchEnded: this.onTouchEnded.bind(this),
                onTouchCancelled:this.onTouchCancelled.bind(this)
            };
            cc.eventManager.addListener(touchListener, this.getNode());
            this.m_touchListener = touchListener;
        }

        m_curkey = null;
        oninit(  ) {

        }
        onTouchMoved(touch,event){
            let localPos = touch.getLocation();
            if(this.m_curkey){
                localPos = this.m_curkey.convertToNodeSpace(localPos);
                let width = this.m_curkey.getContentSize().width;
                let height = this.m_curkey.getContentSize().height;
                let rect:Rect = cc.rect(0,0,width,height);

                if(cc.rectContainsPoint(rect,cc.p(localPos.x,localPos.y))){
                    return true;
                }else {
                    let texiao:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_curkey,"uitexiao");
                    if(texiao){
                        texiao.setVisible(false);
                    }
                }
            }
            return true;
        }
        onBack()
        {
            // ui_mainScene.ShowOrHide(true);
            // ui_juese.ShowOrHide(false);
            sceneMgr.getMe().selectScene(e_SceneType.SceneType_main);
        }

    }

    export class ui_juese_texiao extends UiBase {
        static g_instarn: ui_juese_texiao = null;
        static getMe = function (): ui_juese_texiao {
            return ui_juese_texiao.g_instarn;
        };

        m_CBaseKeyState:BaseKeyState_ui_config;         /////

        static ShowOrHide = function (flag,data?){
            UiBase.ShowOrHide(flag, ui_juese_texiao, uiMgr.getMe(), 2000,data);
        };

        constructor() {
            super();
            this.m_des = "ui_juese_texiao";
            this.m_CBaseKeyState = new BaseKeyState_ui_config();        //////
        }

        oninit(data) {
            let root = this._parseUIFile("jiesuochenggong.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.updateUI(data);
            this.playAnimation("play",false,()=>{
                ui_juese_texiao.ShowOrHide(false);
            },this);
        }

        updateUI(name:string){
            let shuoming:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"shuoming");
            let nan:ccui.Text = ccui.helper.seekWidgetByName(shuoming,"nan");
            let nv:ccui.Text = ccui.helper.seekWidgetByName(shuoming,"nv");
            nan.setVisible(name == "nan");
            nv.setVisible(name == "nv");
        }

        onBack()
        {
            ui_juese_texiao.ShowOrHide(false);
        }
    }

}




