/**
 * vip信息
 */
module game {
    import number = cc.number;
    export class ui_vip extends UiBase {
        static g_instarn: ui_vip = null;
        static getMe = function (): ui_vip {
            return ui_vip.g_instarn;
        };

        m_CBaseKeyState: BaseKeyState;
        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_vip, uiMgr.getMe(), 1122);
        };

        constructor() {
            super();
            this.m_des = "ui_vip";
            this.m_CBaseKeyState = new BaseKeyState();
            this.m_checksMap = new Map<string,ccui.CheckBox>();
        }

        m_listView: ccui.ScrollView = null;
        m_checksMap: Map<string,ccui.CheckBox> = null;

        up() {
            if (!Version_mgr.getInstance().isPhone()) {
                if (this.m_CBaseKeyState.up()) {
                    let level: number = parseInt(this.m_CBaseKeyState.m_key.getName().match(/\d/)[0]);
                    let conf = this.getVIPlevelconf(Number(level));
                    this.setshuoming(Number(level));
                    this.isshow(conf);
                    let PosY = this.m_CBaseKeyState.m_key.node.getPositionY();
                    let height = this.m_CBaseKeyState.m_key.node.getContentSize().height;
                    let per = Math.floor((PosY + height ) / this.m_listView.getInnerContainerSize().height * 100);
                    this.m_listView.jumpToPercentVertical(100 - per);

                }
            }
        }

        down() {
            if (!Version_mgr.getInstance().isPhone()) {
                if (this.m_CBaseKeyState.down()) {
                    let level: number = parseInt(this.m_CBaseKeyState.m_key.getName().match(/\d/)[0]);
                    let conf = this.getVIPlevelconf(Number(level));
                    this.setshuoming(Number(level));
                    this.isshow(conf);
                    let PosY = this.m_CBaseKeyState.m_key.node.getPositionY();
                    let height = this.m_CBaseKeyState.m_key.node.getContentSize().height;
                    let per = Math.floor((PosY - height ) / this.m_listView.getInnerContainerSize().height * 100);
                    this.m_listView.jumpToPercentVertical(100 - per);
                }
            }
        }

        oninit() {
            let root = this._parseUIFile("juese_vip.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            let exit: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            exit.addTouchEventListener(this.exit_func, this);
            this.m_listView = ccui.helper.seekWidgetByName(this.m_root, "ScrollView_1");
            this.registerChecks();
            this.initUI();
            let viplv = dataMgr.getMe().getViplevel() + 1;
            if(dataMgr.getMe().getViplevel() + 1 > 8){
                let t:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"t");
                t.setVisible(false);
                this.setzaichongzhi(false,0);
                viplv = dataMgr.getMe().getMaxVIPLevel();
            }
            if (!Version_mgr.getInstance().isPhone()) {
                dataMgr.getMe().loadCheckBoximg(exit, "xingjietantantang/big/ui/image/ddt_ui138b.png");
                this.m_CBaseKeyState.init(this);
                this.m_CBaseKeyState.setCurKey(this.m_checksMap.get("vip_" + (viplv)));
                let PosY = this.m_CBaseKeyState.m_key.node.getPositionY();
                let height = this.m_CBaseKeyState.m_key.node.getContentSize().height;
                let per = Math.floor((PosY - height ) / this.m_listView.getInnerContainerSize().height * 100);
                this.m_listView.jumpToPercentVertical(100 - per);
            } else {
                this.m_curCheckBox = this.m_checksMap.get("vip_" + (viplv));
                let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_curCheckBox, "uitexiao");
                texiao.setVisible(true);
                let height = this.m_curCheckBox.getContentSize().height;
                let per = Math.floor((this.m_curCheckBox.getPositionY() - height ) / this.m_listView.getInnerContainerSize().height * 100);
                this.m_listView.jumpToPercentVertical(100 - per);
            }
        }

        registerChecks() {
            for (let p = 0; p < 9; p++) {
                let check: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_listView, "vip_" + p);
                this.m_checksMap.set("vip_" + p, check);
                check.addTouchEventListener(this.vipfun, this);
                if (!Version_mgr.getInstance().isPhone()) {
                    this.m_CBaseKeyState.regNodeEx(check, p);
                }else {
                    let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(check, "uitexiao");
                    texiao.setVisible(false);
                }
            }
        }

        m_curCheckBox = null;//当前选择按钮
        vipfun(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if(Version_mgr.getInstance().isPhone()){
                        if (this.m_curCheckBox) {
                            let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_curCheckBox, "uitexiao");
                            texiao.setVisible(false);
                        }
                        let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        texiao.setVisible(true);
                        this.m_curCheckBox = sender;
                        let level: number = parseInt(sender.getName().match(/\d/)[0]);
                        let conf = this.getVIPlevelconf(Number(level));
                        this.setshuoming(Number(level));
                        this.isshow(conf);
                    }
                    break;
            }
        }

        initUI() {
            let level: number = dataMgr.getMe().getViplevel();
            let conf = this.getVIPlevelconf(level + 1);
            this.updateUI(level + 1);
            this.setIcon(level);
            this.setshuoming(level + 1);
            let num = this.getzaichongzhi(conf);
            this.setzaichongzhi(true, num);
            this.isshow(conf);

        }

        //获得在充值的数
        getzaichongzhi(conf) {
            let Versiondiamond:number = Version_mgr.getInstance().getRmbPriceByTag("1").diamond;
            let num = conf.chongzhi*Versiondiamond - dataMgr.getMe().getUseMoney();
            if (num <= 0) {
                num = 0;
            }
            return num;
        }

        //选择显示那些奖励
        isshow(conf) {
            if (conf.jiangliNum) {
                if (e_item.e_zuanshi == conf.jiangli) {
                    this.setdiamondNum(true, conf.jiangliNum);
                } else {
                    this.setdiamondNum(false, 0);
                }
                if (conf.jiangli == e_item.e_jinbi) {
                    this.setGoldNum(true, conf.jiangliNum);
                } else {
                    this.setGoldNum(false, 0);
                }
                if (e_item.e_yaoji1 == conf.jiangli || e_item.e_yaoji2 == conf.jiangli || e_item.e_yaoji3 == conf.jiangli) {
                    let str:string = itemMgr.getMe().typeToString(conf.jiangli);
                    this.setYaoshuNum(true, conf.jiangliNum,g_daoju_nan[str].icon);
                } else {
                    this.setYaoshuNum(false, 0)
                }
            } else {
                this.setYaoshuNum(false, 0);
                this.setdiamondNum(false, 0);
                this.setGoldNum(false, 0);
            }
        }

        getVIPlevelconf(level: number) {
            let conf = null;
            if (level >= dataMgr.getMe().getMaxVIPLevel()) {
                conf = g_vip_config[dataMgr.getMe().getMaxVIPLevel()];
            } else {
                conf = g_vip_config[Number(level)];
            }
            return conf;
        }

        updateUI(level: number) {
            let conf = this.getVIPlevelconf(level);
            let curnum: number = dataMgr.getMe().getUseMoney();
            let image7: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "Image_7");
            let jindutiao: ccui.Loadingbar = ccui.helper.seekWidgetByName(image7, "jindutiao");
            let shuzhi: ccui.Text = ccui.helper.seekWidgetByName(image7, "shuzhi");
            let dangqianlevel: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "dangqian");
            let Versiondiamond:number = Version_mgr.getInstance().getRmbPriceByTag("1").diamond;

            shuzhi.setString(curnum + "/" + (conf.chongzhi*Versiondiamond));
            let per = curnum / (conf.chongzhi*Versiondiamond) * 100;
            if (per >= 100) {
                per = 100;
            } else if (per <= 0) {
                per = 0;
            }
            jindutiao.setPercent(per);
            dangqianlevel.loadTexture("xingjietantantang/big/ui/image/ddt_vip" + (level - 1) + ".png")
        }

        setIcon(level: number) {
            for (let i = 0; i < this.m_checksMap.size; i++) {
                let node = this.m_checksMap.getByIndex(i);
                let key: number = parseInt(this.m_checksMap.getKeyByIndex(i).match(/\d/)[0]);
                let icon: ccui.ImageView = ccui.helper.seekWidgetByName(node, "dangqain");
                if (key == level) {
                    icon.setVisible(true);
                } else {
                    icon.setVisible(false);
                }
            }
        }


        setshuoming(level) {
            let imag: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "Image_102");
            let shuoming: ccui.Text = ccui.helper.seekWidgetByName(imag, "Text_34");
            let viplevel: ccui.Text = ccui.helper.seekWidgetByName(imag, "name");
            let vip_biaoshi: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "vip_biaoshi");
            if (level >= dataMgr.getMe().getMaxVIPLevel()) {
                level = dataMgr.getMe().getMaxVIPLevel();
            }
            viplevel.setString(level);
            let conf = this.getVIPlevelconf(level);
            shuoming.setString(conf.des);
            if (conf.icon) {
                vip_biaoshi.setVisible(true);
                vip_biaoshi.loadTexture(conf.icon)
            } else {
                vip_biaoshi.setVisible(false);
            }

        }

        //设置在充值
        setzaichongzhi(flag: boolean, index: number) {
            let zuanshi: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "zuanshi");
            let shuliang: ccui.Text = ccui.helper.seekWidgetByName(zuanshi, "shuliang");
            zuanshi.setVisible(flag);
            shuliang.setString(index)
        }

        //设置钻石的显示和数值设置
        setdiamondNum(flag: boolean, index: number) {
            let zuanshi: ccui.ImageView = ccui.helper.seekWidgetByTag(this.m_root, 1486);
            let shuliang: ccui.Text = ccui.helper.seekWidgetByName(zuanshi, "shuliang");
            zuanshi.setVisible(flag);
            shuliang.setString(index);
        }

        //设置金币的显示和数值设置
        setGoldNum(flag: boolean, index: number) {
            let jinbi: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "jinbi");
            let shuliang: ccui.Text = ccui.helper.seekWidgetByName(jinbi, "shuliang");
            jinbi.setVisible(flag);
            shuliang.setString(index);
        }

        //设置药水的显示和数值设置
        setYaoshuNum(flag: boolean, index: number,path:string = null) {
            let yaoshui: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "wupin");
            let shuliang: ccui.Text = ccui.helper.seekWidgetByName(yaoshui, "shuliang");
            yaoshui.setVisible(flag);
            if(path){
                yaoshui.loadTexture(path);
            }
            shuliang.setString("x" + index);
        }

        //退出
        exit_func() {
            let tuichu: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (!Version_mgr.getInstance().isPhone()) {
                // if (tuichu) {
                //     dataMgr.getMe().loadCheckBoximg(tuichu, "xingjietantantang/big/ui/image/ddt_ui138b.png");
                // }
            }
            tuichu.addTouchEventListener(this.comeback_func, this);
        }

        //退出
        comeback_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break
            }
        }

        onBack() {
            this.endLayout(function () {
                ui_vip.ShowOrHide(false);
                ui_juese.ShowOrHide(true);
            })
        }

        loop(t) {

            if (this.m_CBaseKeyState) {
                if (!Version_mgr.getInstance().isPhone()) {
                    this.m_CBaseKeyState.loop(t)
                }
            }
        }
    }
}
