module game {
    import Rect = cc.Rect;
    export class ui_wuqi extends UiBase {
        static g_instarn: ui_wuqi = null;
        static getMe = function (): ui_wuqi {
            return ui_wuqi.g_instarn;
        };
        static ShowOrHide = function (flag, heroname) {
            UiBase.ShowOrHide(flag, ui_wuqi, uiMgr.getMe(), 1122, heroname);
        };

        constructor() {
            super();
            this.m_des = "ui_wuqi";
            this.m_CBaseKeyState_Left = new BaseKeyState();
            this.m_CBaseKeyState_Right = new BaseKeyState();
            this.m_Weapons = new Map<string,ccui.CheckBox>();
        }

        m_listView: ccui.ScrollView;

        m_CBaseKeyState_Left: BaseKeyState = null
        m_CBaseKeyState_Right: BaseKeyState = null
        m_isSelectWeapon: boolean = true

        m_zhuangbei1: ccui.CheckBox = null;
        m_zhuangbei2: ccui.CheckBox = null;
        m_zhuangbei3: ccui.CheckBox = null;
        m_Weapons: Map<string,ccui.CheckBox> = null;
        m_heroName: string = "";
        m_curnode: ccui.CheckBox = null;

        m_viewPercent = 0;
        m_curPercent = 0;
        m_speed = 0;

        getPercentHorizontal() {
            let offsetY = this.m_listView.getInnerContainer().getPositionY();
            let w = this.m_listView.getInnerContainerSize().height - this.m_listView.getContentSize().height;
            return 100 + (offsetY / w * 100);
        }

        up() {
            if (this.m_isSelectWeapon) {
                this.m_CBaseKeyState_Right.up();
                this.updateNextInfo(this.m_CBaseKeyState_Right.m_key.node.getUserData());

                this.m_viewPercent = this.getPercentHorizontal();
                this.m_viewPercent = this.m_viewPercent - 12 / 84 * 100 <= 0 ? 0 : this.m_viewPercent - 12 / 84 * 100;
                this.m_speed = 80;
                this.m_listView.jumpToPercentVertical(this.m_viewPercent)
                // let per = Math.ceil(this.m_CBaseKeyState_Right.m_key.node.getPositionY() / this.m_listView.getInnerContainerSize().height * 100);
                //this.m_listView.jumpToPercentVertical(100 - per - 10);
            } else {
                this.m_CBaseKeyState_Left.up();
                this.updateUI(this.m_CBaseKeyState_Left.m_key.node.getUserData());
            }
        }

        down() {
            if (this.m_isSelectWeapon) {
                this.m_CBaseKeyState_Right.down();
                this.updateNextInfo(this.m_CBaseKeyState_Right.m_key.node.getUserData());

                this.m_viewPercent = this.getPercentHorizontal();
                this.m_viewPercent = this.m_viewPercent + 12 / 84 * 100 >= 100 ? 100 : this.m_viewPercent + 12 / 84 * 100;
                this.m_speed = 80;
                this.m_listView.jumpToPercentVertical(this.m_viewPercent)
                // let per = Math.ceil(this.m_CBaseKeyState_Right.m_key.node.getPositionY() / this.m_listView.getInnerContainerSize().height * 100);
                // this.m_listView.jumpToPercentVertical( 100 - per);

            } else {
                this.m_CBaseKeyState_Left.down();
                this.updateUI(this.m_CBaseKeyState_Left.m_key.node.getUserData());
            }
        }

        left() {
            if (this.m_isSelectWeapon) {
                this.m_CBaseKeyState_Right.left();
                this.updateNextInfo(this.m_CBaseKeyState_Right.m_key.node.getUserData())
            } else {
                this.m_CBaseKeyState_Left.left();
            }
        }

        right() {
            if (this.m_isSelectWeapon) {
                this.m_CBaseKeyState_Right.right();
                this.updateNextInfo(this.m_CBaseKeyState_Right.m_key.node.getUserData())
            } else {
                this.m_CBaseKeyState_Left.right();
            }
        }

        oninit(heroname) {
            let root = this._parseUIFile("juese_wuqi.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            this.m_heroName = heroname;
            this.updatezhuangbei(heroname);

            //退出
            let tuichu: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (!Version_mgr.getInstance().isPhone()) {
                if (tuichu) {
                    dataMgr.getMe().loadCheckBoximg(tuichu, "xingjietantantang/big/ui/image/ddt_ui138b.png");
                }
            }
            tuichu.addTouchEventListener(this.tuichu_func, this);
            this.m_isSelectWeapon = false;
            this.initregist();
            this.m_zhuangbei1 = ccui.helper.seekWidgetByName(this.m_root, "zhuangbei_1");
            this.m_zhuangbei2 = ccui.helper.seekWidgetByName(this.m_root, "zhuangbei_2");
            this.m_zhuangbei3 = ccui.helper.seekWidgetByName(this.m_root, "zhuangbei_3");
            this.m_zhuangbei1.addTouchEventListener(this.zhuangbeilan_func, this);
            this.m_zhuangbei2.addTouchEventListener(this.zhuangbeilan_func, this);
            this.m_zhuangbei3.addTouchEventListener(this.zhuangbeilan_func, this);

            if (Version_mgr.getInstance().isPhone()) {
                let texiao1: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_zhuangbei1, "uitexiao");
                let texiao2: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_zhuangbei2, "uitexiao");
                let texiao3: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_zhuangbei3, "uitexiao");
                texiao1.setVisible(true);
                texiao2.setVisible(false);
                texiao3.setVisible(false);
            } else {
                this.m_CBaseKeyState_Left.regNodeEx(this.m_zhuangbei1, 1);
                this.m_CBaseKeyState_Left.regNodeEx(this.m_zhuangbei2, 2);
                this.m_CBaseKeyState_Left.regNodeEx(this.m_zhuangbei3, 3);

                this.m_CBaseKeyState_Right.init(this);
                this.m_CBaseKeyState_Left.init(this);
                this.m_CBaseKeyState_Left.setCurKey(this.m_zhuangbei1);
            }
            this.updateUI(this.m_zhuangbei1.getUserData());
            this.initUI();
            //解锁VIP等级图标
            this.setLevelUnlock(dataMgr.getMe().getViplevel() < g_vip_unlock);
            this.m_curnode = this.m_zhuangbei1;
            this.showLeftOrRightshape(true);
        }


        //点击装备栏 刷新 武器栏并选择武器
        zhuangbeilan_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    let texiao1: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_zhuangbei1, "uitexiao");
                    let texiao2: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_zhuangbei2, "uitexiao");
                    let texiao3: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_zhuangbei3, "uitexiao");
                    texiao1.setVisible(false);
                    texiao2.setVisible(false);
                    texiao3.setVisible(false);
                    let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(sender, "uitexiao");
                    texiao.setVisible(true);
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    if (sender.getName() == "zhuangbei_3") {
                        if (dataMgr.getMe().getViplevel() < g_vip_unlock) {
                            ui_messageBox.ShowOrHide(true, "VIP等级不足2级！");
                            return;
                        }
                    }
                    this.m_curnode = sender;
                    if (Version_mgr.getInstance().isPhone()) {
                        this.updateUI(sender.getUserData());
                        this.updatezhuangbei(this.m_heroName);
                        sender.setUserData(null);
                    } else {
                        this.m_CBaseKeyState_Left.setCurKey_byName(sender.getName());
                        this.m_CBaseKeyState_Right.setCurKey_byName("wuqi_1");
                        this.updateNextInfo(this.m_Weapons.getByIndex(0).getUserData());
                        if (this.m_curnode) {
                            this.m_curnode.setUserData(null);
                        }
                        this.m_isSelectWeapon = true;
                        this.m_listView.jumpToPercentVertical(0);
                    }
                    this.showLeftOrRightshape(false);
                    break;
            }
        }

        updatezhuangbei(heroName) {
            let config = dataMgr.getMe().getPlayDoc()[heroName + "_weapon"];
            for (let i = 1; i <= 3; i++) {
                let zhuangbei: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "zhuangbei_" + i);
                let qianghua: ccui.Text = ccui.helper.seekWidgetByName(zhuangbei, "qianghua");
                let xiedai: ccui.Text = ccui.helper.seekWidgetByName(zhuangbei, "weixiedai");
                if (config[i - 1] == null) {
                    dataMgr.getMe().loadCheckBoximg(zhuangbei, "xingjietantantang/big/ui/image/ddt_ui101.png");
                    qianghua.setString("");
                    xiedai.setString("未携带");
                    xiedai.setTextColor(cc.color(211, 211, 211));
                    this.showOrHiddenNext(false);
                } else {
                    let weapons: weaponconfig_s = dataMgr.getMe().getWeaponconfig(config[i - 1].name);
                    zhuangbei.setUserData(config[i - 1].name);
                    dataMgr.getMe().loadCheckBoximg(zhuangbei, weapons.icon);
                    if (config[i - 1].level <= 0) {
                        qianghua.setString("");
                    } else {
                        qianghua.setString("+" + config[i - 1].level);
                    }
                    xiedai.setString("已携带");
                    xiedai.setTextColor(cc.color(248, 248, 255));
                    this.showOrHiddenNext(false);
                }
            }
        }

        initregist() {
            this.m_listView = ccui.helper.seekWidgetByName(this.m_root, "ScrollView_1");
            let index = 2;
            for (let p = 1; p <= 40; p++) {
                let weapon: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_listView, "wuqi_" + p);
                weapon.addTouchEventListener(this.wuqiselectFun, this);
                if (p % 2 != 0) {
                    this.m_Weapons.set("wuqi" + index, weapon);
                } else {
                    this.m_Weapons.set("wuqi" + index + "_1", weapon);
                    index++;
                }
                if (Version_mgr.getInstance().isPhone()) {
                    let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(weapon, "uitexiao");
                    texiao.setVisible(false);
                } else {
                    this.m_CBaseKeyState_Right.regNodeEx(weapon, p + 3);
                }
            }
        }


        initUI() {
            let weapons: Array<any> = this.reSort();
            for (let p = 0; p < this.m_Weapons.size; p++) {
                let _node = this.m_Weapons.getByIndex(p);
                let key = this.m_Weapons.getKey(p);
                if (weapons[p]) {
                    let weaponname = weapons[p].split("*")[0];
                    let config: weaponconfig_s = dataMgr.getMe().getWeaponconfig(weaponname);
                    let level = dataMgr.getMe().getweaponlevel(weaponname);
                    if (config.desName == "石头") {
                        continue;
                    }
                    if (config) {
                        this.loadTextureWeapons(config.icon, key);
                        _node.setUserData(weaponname);
                        if (this.isOtherHeroSelect(weaponname)) {
                            dataMgr.getMe().loadCheckBoximg(_node, config.icon2);
                        }
                        if (level <= 0) {
                            this.showOrHiddenqianghuaIcon("", key);
                        } else {
                            this.showOrHiddenqianghuaIcon("+" + level, key);
                        }
                        let flag = itemMgr.getMe().getWeaponislock(weapons[p].split("*")[0]);
                        if (flag) {
                            this.showOrHiddenUnlock(false, key);
                        }
                    }
                }
                else {
                    if (_node) {
                        _node.setVisible(false);
                    }
                }
            }
        }

        //刷新说明
        updateUI(curname) {
            if (curname == null) {
                this.setshuoming("无", "无", "无");
                this.setshuxingName(curname);
                this.setProto(0, 0, 0, 0);
                this.updateNameAndIntrdu(false);
            } else {
                let name = curname;
                let level = dataMgr.getMe().getweaponlevel(name);
                let weapons: weaponconfig_s = dataMgr.getMe().getWeaponconfig(name);
                let weaponslevel: weaponlevelconfig_s = dataMgr.getMe().getWeaponlevelconfig(name, level);
                this.setshuoming(weapons.damageType2, weaponslevel.range, weaponslevel.minAngle + "-" + weaponslevel.maxAngle);
                let maxattper: number = Math.floor(weaponslevel.damage / dataMgr.getMe().getWeaponMax("damage") * 100);
                let maxdanyaoper: number = Math.floor(weaponslevel.bulletNum / dataMgr.getMe().getWeaponMax("danyao") * 100);

                this.setshuxingName(name);
                this.setProto(weaponslevel.damage, maxattper, weaponslevel.bulletNum, maxdanyaoper);
                this.updateNameAndIntrdu(true, weapons);
            }
        }

        updateNextInfo(curname) {
            let name = curname;
            let level = dataMgr.getMe().getweaponlevel(name);
            let configLevel: weaponlevelconfig_s = dataMgr.getMe().getWeaponlevelconfig(name, level);
            let conf: weaponconfig_s = dataMgr.getMe().getWeaponconfig(name);
            this.showOrHiddenNext(true, configLevel, conf);
            this.updateNameAndIntrdu(true, conf);
        }


        //对武器图片的导入
        loadTextureWeapons(path, Checkname) {
            if (Checkname == "zhuangbei_1") {
                dataMgr.getMe().loadCheckBoximg(this.m_zhuangbei1, path);
            } else if (Checkname == "zhuangbei_2") {
                dataMgr.getMe().loadCheckBoximg(this.m_zhuangbei2, path);
            } else if (Checkname == "zhuangbei_3") {
                dataMgr.getMe().loadCheckBoximg(this.m_zhuangbei3, path);
            } else {
                let check: ccui.CheckBox = this.m_Weapons.get(Checkname);
                dataMgr.getMe().loadCheckBoximg(check, path);
            }
        }
        //设置等级解锁图标
        setLevelUnlock(flag:boolean){
            let suo_image:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_zhuangbei3,"suo");
            suo_image.setVisible(flag);
        }

        //显示遮罩
        setShape(flag:boolean,parent:ccui.CheckBox){
            let shap:ccui.ImageView = ccui.helper.seekWidgetByName(parent,"zhao");
            shap.setVisible(flag);
        }
        //显示左边或者右边
        showLeftOrRightshape(flag:boolean){
            this.setShape(!flag,this.m_zhuangbei1);
            this.setShape(!flag,this.m_zhuangbei2);
            this.setShape(!flag,this.m_zhuangbei3);
            for(let i = 0; i < this.m_Weapons.size; ++i){
                let Box:ccui.CheckBox = this.m_Weapons.getByIndex(i);
                this.setShape(flag,Box);
            }
        }


        //对锁的显示隐藏
        showOrHiddenUnlock(flag, Checkname) {
            if (Checkname == "zhuangbei_1") {
                return;
            } else if (Checkname == "zhuangbei_2") {
                return;
            } else if (Checkname == "zhuangbei_3") {
                return;
            }
            let check: ccui.CheckBox = this.m_Weapons.get(Checkname);
            let suo: ccui.ImageView = ccui.helper.seekWidgetByName(check, "suo");
            suo.setVisible(flag);
        }

        //强化图标
        showOrHiddenqianghuaIcon(text, CheckName) {
            if (CheckName == "zhuangbei_1") {
                let qianghua: ccui.Text = ccui.helper.seekWidgetByName(this.m_zhuangbei1, "qianghua");
                qianghua.setString(text);
                return;
            } else if (CheckName == "zhuangbei_2") {
                let qianghua: ccui.Text = ccui.helper.seekWidgetByName(this.m_zhuangbei2, "qianghua");
                qianghua.setString(text);
                return;
            } else if (CheckName == "zhuangbei_3") {
                let qianghua: ccui.Text = ccui.helper.seekWidgetByName(this.m_zhuangbei3, "qianghua");
                qianghua.setString(text);
                return;
            }
            let check: ccui.CheckBox = this.m_Weapons.get(CheckName);
            let qianghua: ccui.Text = ccui.helper.seekWidgetByName(check, "qianghua");
            qianghua.setString(text);
        }

        //设置说明
        setshuoming(type, range, pos) {
            let image: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "Image_5");
            let leixing: ccui.Text = ccui.helper.seekWidgetByName(image, "leixing");
            let jiaodu: ccui.Text = ccui.helper.seekWidgetByName(image, "jiaodu");
            let shecheng: ccui.Text = ccui.helper.seekWidgetByName(image, "shecheng");
            leixing.setString(type);
            jiaodu.setString(pos);
            shecheng.setString(range);
        }

        //设置攻击，弹药属性
        setProto(att_count, att_per, danyao_count, danyao_per) {
            let gongji: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "gongji");
            let danyao: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "danyao");
            let gongji_percent: ccui.Loadingbar = ccui.helper.seekWidgetByName(gongji, "LoadingBar_2");
            let danyao_percent: ccui.Loadingbar = ccui.helper.seekWidgetByName(danyao, "LoadingBar_2");
            let gongji_Text: ccui.Text = ccui.helper.seekWidgetByName(gongji, "shuzhi");
            let danyao_Text: ccui.Text = ccui.helper.seekWidgetByName(danyao, "shuzhi");

            gongji_percent.setPercent(att_per);
            danyao_percent.setPercent(danyao_per);
            gongji_Text.setString(att_count);
            danyao_Text.setString(danyao_count);
        }

        setshuxingName(name:string){
            let gongji: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "gongji");
            let Text:ccui.Text = ccui.helper.seekWidgetByName(gongji,"Text_47");
            if(name == "wuqi19" || name == "wuqi19_1"){
                Text.setString("回复值:");
            }else {
                Text.setString("伤害值:");
            }
        }


        //刷新名字和说明
        updateNameAndIntrdu(flag, conf: weaponconfig_s = null) {
            let miaoshu: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "miaoshu");
            let name: ccui.Text = ccui.helper.seekWidgetByTag(this.m_root, 212);
            let shuoming: ccui.Text = ccui.helper.seekWidgetByTag(this.m_root, 1460);
            shuoming.setVisible(flag);
            miaoshu.setVisible(flag);
            name.setVisible(flag);
            if (flag) {
                miaoshu.setString(conf.des);
                name.setString(conf.desName);
            }
        }

        //显示隐藏信息
        showOrHiddenNext(flag, information: weaponlevelconfig_s = null, conf: weaponconfig_s = null) {
            let image: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "Image_396");
            let danyao_2: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "danyao_2");
            let gongji_2: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "gongji_2");
            let shecheng_2: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "shecheng_2");
            let jiaodu_2: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "jiaodu_2");
            let leixing_2: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "leixing_2");

            image.setVisible(flag);
            danyao_2.setVisible(flag);
            gongji_2.setVisible(flag);
            shecheng_2.setVisible(flag);
            jiaodu_2.setVisible(flag);
            leixing_2.setVisible(flag);
            if (flag == false) {
                return;
            } else {
                if (information) {
                    danyao_2.setString(information.bulletNum);
                    gongji_2.setString(information.damage);
                    shecheng_2.setString(information.range);
                    jiaodu_2.setString(information.minAngle + "-" + information.maxAngle);
                    if (conf) {
                        leixing_2.setString(conf.damageType2);
                    }
                }
            }
        }

        m_weaponsfile: Array<fightWapon_s> = null;//保存已携带的武器
        wuqiselectFun(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    this.initUI();
                    this.updateUI(sender.getUserData());
                    this.updateNextInfo(sender.getUserData());
                    for (let i = 0; i < this.m_Weapons.size; i++) {
                        let node = this.m_Weapons.getByIndex(i);
                        let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(node, "uitexiao");
                        texiao.setVisible(false);
                    }
                    let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(sender, "uitexiao");
                    texiao.setVisible(true);
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    let name = sender.getUserData();
                    this.m_curData = sender.getUserData();
                    this.m_curSender = sender;
                    if (this.isOtherHeroSelect(name)) {
                        ui_messageBox.ShowOrHide(true, "已被别人选择！");
                        return;
                    }

                    // for (let p in fileMgr.getMe().m_play_doc.weapons) {
                    //     let type = fileMgr.getMe().m_play_doc.weapons[p].id;
                    //     let str = itemMgr.getMe().typeToString(type);
                    //     if (str == name) {
                    //         if (fileMgr.getMe().m_play_doc.weapons[p].lock != 1) {
                    //             this.buyWeapon(name);
                    //             return;
                    //         }
                    //     }
                    // }
                    let weapons = fileMgr.getMe().m_play_doc.weapons;
                    let str:Array<string>;
                    for(let i=0;i<weapons.length;++i){
                        if(!weapons[i]) continue;
                        str = weapons[i].split("*");
                        if(name == str[0]){
                            if (parseInt(str[1]) == -1) {
                                this.buyWeapon(name,sender);
                                return ;
                            }
                        }
                    }
                    this.setcarry(sender,name);
                    this.showLeftOrRightshape(true);
                    break;
            }
        }

        setcarry(sender,name){
            let level = dataMgr.getMe().getweaponlevel(name);
            let conf: weaponlevelconfig_s = dataMgr.getMe().getWeaponlevelconfig(name,level);
            ui_wuqi.getMe().m_weaponsfile = dataMgr.getMe().getPlayDoc()[ui_wuqi.getMe().m_heroName + "_weapon"];
            let path = dataMgr.getMe().getWeaponconfig(name).icon;
            ui_wuqi.getMe().isxiedaiWeapon(name);
            ui_wuqi.getMe().m_weaponsfile[Number(ui_wuqi.getMe().m_curnode.getName().replace("zhuangbei_", "")) - 1] = {
                level: level,
                name: name,
                num: conf.bulletNum,
            };
            dataMgr.getMe().getPlayDoc()[ui_wuqi.getMe().m_heroName + "_weapon"] =  ui_wuqi.getMe().m_weaponsfile;

            dataMgr.getMe().setCurWeaponByName(ui_wuqi.getMe().m_heroName,name);
            ui_wuqi.getMe().loadTextureWeapons(path, ui_wuqi.getMe().m_curnode.getName());
            ui_wuqi.getMe().updatezhuangbei(ui_wuqi.getMe().m_heroName);
            if (Version_mgr.getInstance().isPhone()) {
                ui_wuqi.getMe().updateNextInfo(sender.getUserData());
            } else {
                ui_wuqi.getMe().m_CBaseKeyState_Right.setCurKey_byName(sender.getName());
                ui_wuqi.getMe().m_CBaseKeyState_Left.setCurKey_byName(ui_wuqi.getMe().m_curnode.getName());
            }
            ui_wuqi.getMe().m_isSelectWeapon = false;
            ui_wuqi.getMe().m_curnode.setUserData(name);
            ui_wuqi.getMe().initUI();
            ui_wuqi.getMe().updateUI(name);
        }

        buyWeapon(name,sender) {
            let weaponconfigs: weaponconfig_s = dataMgr.getMe().getWeaponconfig(name);
            let zuanshi: number = Version_mgr.getInstance().getDiamondPriceBystr(name);
            if (weaponconfigs.jinbi == 0 || weaponconfigs.jinbi == 1) {
                ui_messageBox2.ShowOrHide(true, "是否花费" + zuanshi + "钻石解锁？", () => {
                    buy_mgr.getInstance().buyWeapon_buy(ui_wuqi.getMe().buyScceedCallBack,ui_wuqi.getMe(),name)
                }, null);
            } else if (weaponconfigs.jinbi == -1) {
                ui_messageBox.ShowOrHide(true, weaponconfigs.tishi);
            } else {
                // let type = itemMgr.getMe().stringToType(name);
                // ui_goumaitype.ShowOrHide(true, type);
                // this.initUI();
            }
        }

        m_curData = null;//当前武器
        m_curSender = null;//当前按钮
        buyScceedCallBack(){
            // let zuanshi: number = Version_mgr.getInstance().getDiamondPriceBystr(ui_wuqi.getMe().m_curData);
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     zuanshi + "钻石解锁"+ g_daoju_nan[ui_wuqi.getMe().m_curData].desName);
            let weaponconfigs: weaponconfig_s = dataMgr.getMe().getWeaponconfig(ui_wuqi.getMe().m_curData);
            itemMgr.getMe().setWeaponLock(ui_wuqi.getMe().m_curData);
            ui_wuqi.getMe().initUI();
            ui_wuqi.getMe().updateUI(ui_wuqi.getMe().m_curData);
            ui_goumaichenggong.ShowOrHide(true, {
                name: "wupin", num: 1, icon: weaponconfigs.icon,
                iconName: weaponconfigs.desName
            });
            dataMgr.getMe().addTittleNum(e_chenghao.e_1, 1);
            ui_wuqi.getMe().m_listView.jumpToPercentVertical(0);
            ui_wuqi.getMe().setcarry(ui_wuqi.getMe().m_curSender,ui_wuqi.getMe().m_curData);
            this.showLeftOrRightshape(true);
        }

        //判断是否已携带同样物品
        isxiedaiWeapon(Weaponname) {
            let wuqiName = Weaponname.replace("_1", "");
            if (this.m_weaponsfile.length == 0) {
                return false;
            }
            for (let k = 0; k < this.m_weaponsfile.length; k++) {
                if (this.m_weaponsfile[k]) {
                    if (this.m_weaponsfile[k].name == wuqiName ||
                        this.m_weaponsfile[k].name == wuqiName + "_1") {
                        this.m_weaponsfile.splice(k, 1, null);
                        return true;
                    }
                }
            }
            return false;
        }

        //判断是否已被其他人选择
        isOtherHeroSelect(weaponName) {
            if (this.m_heroName.indexOf("nan") > -1) {
                let nv_weapons: Array<fightWapon_s> = fileMgr.getMe().m_play_doc["nv" + "_weapon"];
                for (let i in nv_weapons) {
                    if (nv_weapons[i]) {
                        if (weaponName == nv_weapons[i].name) {
                            return true;
                        }
                    }
                }
            } else if (this.m_heroName.indexOf("nv") > -1) {
                let nan_weapons: Array<fightWapon_s> = fileMgr.getMe().m_play_doc["nan" + "_weapon"];
                for (let i in nan_weapons) {
                    if (nan_weapons[i]) {
                        if (weaponName == nan_weapons[i].name) {
                            return true;
                        }
                    }
                }
            }
            return false;
        }

        reSort() {
            let dataLock = [];
            let dataUnlock = [];
            let name:string;
            let str:Array<string>;
            let weapons = fileMgr.getMe().m_play_doc.weapons;
            for (let i=0;i<weapons.length;++i) {
                if(!weapons[i]) continue;
                str = weapons[i].split("*");
                name = str[0];
                if (name == "wuqi1" || name == "wuqi1_1") {
                    continue;
                }
                if (parseInt(str[1]) >= 0) {
                    dataLock.push(weapons[i])
                } else {
                    dataUnlock.push(weapons[i]);
                }
            }
            dataLock = this.maopaoSort(dataLock);
            dataUnlock = this.maopaoSort(dataUnlock);

            let resetdata = dataLock.concat(dataUnlock);
            return resetdata;
        }

        maopaoSort(data:Array<any>){
            let value = null;
            for(let i = 0; i < data.length;i++){
                for(let j = 0; j < data.length-1 -i; j++){
                    let num:number = parseInt(data[j].match(/\d+/));
                    let after:number = parseInt(data[j+1].match(/\d+/));
                    if( num >= after){
                        value = data[j];
                        data[j] = data[j+1];
                        data[j+1] = value;
                    }
                }
            }
            return data;
        }

        tuichu_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        }

        onBack() {
            if (ui_choosehero.getMe())
                ui_choosehero.getMe().updateui()
            if (ui_choosehero2.getMe())
                ui_choosehero2.getMe().updateui()
            if (ui_juese.getMe())
                ui_juese.getMe().updateUI()
            ui_wuqi.ShowOrHide(false, null);
            // ui_juese.ShowOrHide(true);
        }

        DoEnterCurButton() {
            if (this.m_isSelectWeapon) {
                this.m_CBaseKeyState_Right.DoEnterCurButton()
            }
            else {
                this.m_CBaseKeyState_Left.DoEnterCurButton()
            }
        }

        loop(t) {
            if (this.m_CBaseKeyState_Left) {
                this.m_CBaseKeyState_Left.loop(t);
            }
            if (this.m_CBaseKeyState_Right) {
                this.m_CBaseKeyState_Right.loop(t);
            }
            this.setLevelUnlock(dataMgr.getMe().getViplevel() < g_vip_unlock);

        }
    }

}
