var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_choujiang = (function (_super) {
        __extends(ui_choujiang, _super);
        function ui_choujiang() {
            _super.call(this);
            this.m_Begintag = 1; //默认从1开始滚动
            this.m_Endtag = 16;
            this.m_Curtag = 0;
            this.m_AllTime = 0;
            this.m_isStart = false;
            this.m_award = [];
            this.m_first = true;
            this.m_randomindex = -1; //获得一次的随机值；
            this.m_speed = 1; //控制滚动速度
            this.m_curspeed = 1;
            this.m_times = 0; //假滚动次数
            this.m_Once = true; //保证只执行一次
            this.m_des = "ui_choujiang";
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_choujiang.prototype.oninit = function (data) {
            this.setOpacity(255 * 0.0);
            var root = this._parseUIFile("shangcheng_choujiang.json", 0, false);
            this.EnterUI();
            this.addChild(root);
            this.shipeiCenter(root);
            var image = ccui.helper.seekWidgetByTag(this.m_root, 1056);
            if (game.Version_mgr.getInstance().isPhone()) {
                image.setVisible(false);
            }
            else {
                image.setVisible(true);
            }
            var checkBoxArray = ccui.helper.seekWidgetByType(this.m_root, "CheckBox");
            var regNum = 1;
            for (var p in checkBoxArray) {
                if (checkBoxArray[p].getName() == "zuanshi" || checkBoxArray[p].getName() == "jinbi") {
                    this.m_CBaseKeyState.regNodeEx(checkBoxArray[p], regNum++);
                    checkBoxArray[p].addTouchEventListener(this.start, this);
                    if (checkBoxArray[p].getName() == "zuanshi") {
                        var zuanshi = ccui.helper.seekWidgetByName(checkBoxArray[p], "shuliang");
                        zuanshi.setString(game.Version_mgr.getInstance().getDiamondPriceBystr("chouka"));
                    }
                    else {
                        var jinbi = ccui.helper.seekWidgetByName(checkBoxArray[p], "shuliang");
                        jinbi.setString(game.Version_mgr.getInstance().getGoldPriceBystr("chouka"));
                    }
                }
                if (checkBoxArray[p].getName() == "tuichu") {
                    if (!game.Version_mgr.getInstance().isPhone()) {
                        game.dataMgr.getMe().loadCheckBoximg(checkBoxArray[p], "xingjietantantang/big/ui/image/ddt_ui138b.png");
                    }
                    checkBoxArray[p].addTouchEventListener(function (sender, type) {
                        if (type == ccui.Widget.TOUCH_ENDED) {
                            this.onBack();
                        }
                    }.bind(this), this);
                }
                var uiTexiao = ccui.helper.seekWidgetByName(checkBoxArray[p], "uitexiao");
                if (uiTexiao == null) {
                    continue;
                }
                uiTexiao.setVisible(false);
            }
            var curday = new Date(game.energyMgr.getMe().m_curServerTime).getDay().toString();
            this.resetAward(parseInt(curday));
            this.m_CBaseKeyState.init(this);
            this.updateUi();
        };
        ui_choujiang.prototype.resetAward = function (day) {
            this.m_award.length = 0;
            var awarddata = [];
            for (var k in game.g_choujiang) {
                if (game.g_choujiang[k].gailv_jinbi == 0)
                    continue;
                else
                    awarddata.push(cc.clone(game.g_choujiang[k]));
            }
            for (var p = awarddata.length - 1; p >= 0; p--) {
                if (day * 5 + 15 < awarddata.length) {
                    if (day * 5 <= p && p <= day * 5 + 15) {
                        this.m_award.push(awarddata[p]);
                    }
                }
                else if (day * 5 < awarddata.length && day * 5 + 15 >= awarddata.length) {
                    if ((p <= (15 + day * 5 - awarddata.length) && p >= 0) || (p >= day * 5 && p < awarddata.length)) {
                        this.m_award.push(awarddata[p]);
                    }
                }
                else if (day * 5 >= awarddata.length && day * 5 + 15 >= awarddata.length) {
                    if (day * 5 % awarddata.length <= p && p <= (day * 5 + 15) % awarddata.length) {
                        this.m_award.push(awarddata[p]);
                    }
                }
            }
            // while (this.m_award.length < this.m_Endtag)
            // {
            //     let tag = Math.floor(Math.random() * awarddata.length - .1)
            //     let award:choujiang_s = awarddata.slice(tag,(tag+1))[0]
            //     this.m_award.push(award)
            // }
            for (var p = 1; p <= this.m_Endtag; p++) {
                var uinode = ccui.helper.seekWidgetByName(this.m_root, "jiangpin_" + p);
                var numui = ccui.helper.seekWidgetByName(uinode, "Text_121");
                var nameui = ccui.helper.seekWidgetByName(uinode, "biaoti");
                var pic = ccui.helper.seekWidgetByName(uinode, "pic");
                var jiangpindata = this.m_award[p - 1];
                if (jiangpindata.wupin == "zuanshi") {
                    var diamond = jiangpindata.num * game.Version_mgr.getInstance().getDiamondPriceBystr("chouka");
                    numui.setString("x" + diamond);
                }
                else {
                    numui.setString("x" + jiangpindata.num);
                }
                uinode.setUserData(jiangpindata.wupin);
                uinode.setTouchEnabled(false);
                var itemconfig = game.g_daoju_nan[jiangpindata.wupin];
                if (itemconfig) {
                    pic.loadTexture(itemconfig.icon);
                    nameui.setString(itemconfig.desName);
                }
                else {
                    console.log(jiangpindata.wupin + "  没有配置 .....");
                }
            }
        };
        ui_choujiang.prototype.start = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    //当前不在抽奖状态才进入
                    if (this.m_isStart == false) {
                        this.m_CBaseKeyState.setCurKey(sender);
                        if (!game.dataMgr.getMe().removeItemByType(game.e_item.e_jinbi, game.Version_mgr.getInstance().getGoldPriceBystr("chouka"))) {
                            game.ui_messageBox.ShowOrHide(true, "金币不足！");
                            return;
                        }
                        this.m_isStart = true;
                        this.m_Curtag = 0;
                        this.m_AllTime = 0;
                        this.m_speed = 1;
                        this.m_curspeed = 1;
                        this.m_first = true;
                        this.m_times = 0;
                    }
                    break;
            }
        };
        ui_choujiang.prototype.succeed = function (endtag) {
            var data = this.m_award[endtag - 1];
            var awardname = data.wupin;
            var awardnum = data.num;
            var dataconfig = game.g_daoju_nan[awardname];
            if (awardname == "zuanshi") {
                awardnum = awardnum * game.Version_mgr.getInstance().getDiamondPriceBystr("chouka");
            }
            // else if(awardname == "jinbi"){
            //     // awardnum = awardnum * Version_mgr.getInstance().getGoldPriceBystr("chouka");
            // }
            if (dataconfig == null) {
                console.log(awardname + "  没有配置 ");
            }
            else {
                var data_1 = {
                    name: dataconfig.desName,
                    icon: dataconfig.icon,
                    num: awardnum,
                    name2: awardname
                };
                var uinode = ccui.helper.seekWidgetByName(this.m_root, "jiangpin_" + endtag);
                if (awardname.indexOf("pifu") > -1) {
                    if (!game.itemMgr.getMe().getSkinislock(game.itemMgr.getMe().stringToType(awardname))) {
                        game.itemMgr.getMe().lockSkin(game.itemMgr.getMe().stringToType(awardname));
                        var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () { game.ui_choujianghuode.ShowOrHide(true, data_1); }, this, null));
                        uinode.runAction(seq);
                    }
                    else {
                        var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () {
                            if (game.itemMgr.getMe().getSkinislock(game.itemMgr.getMe().stringToType(awardname))) {
                                game.ui_messageBox.ShowOrHide(true, "已拥有该皮肤，自动回收为金币！", function () {
                                    var gold = game.Version_mgr.g_instance.getGoldPriceBystr(awardname);
                                    game.dataMgr.getMe().addItemByType(game.e_item.e_jinbi, Math.ceil(gold / 4));
                                    data_1.name = "金币";
                                    data_1.name2 = "jinbi";
                                    data_1.num = Math.ceil(gold / 4);
                                    data_1.icon = "xingjietantantang/big/ui/image/ddt_ui163.png";
                                    game.ui_choujianghuode.ShowOrHide(true, data_1);
                                });
                            }
                        }, this, null));
                        uinode.runAction(seq);
                    }
                }
                else if (awardname.indexOf("wuqi") > -1) {
                    var otherWeapon = awardname + "_1";
                    if (awardname.indexOf("_1") > -1) {
                        otherWeapon = "wuqi" + awardname.match(/\d+/)[0];
                    }
                    if (!game.itemMgr.getMe().getWeaponislock(awardname)) {
                        game.itemMgr.getMe().setWeaponLock(awardname);
                        game.dataMgr.getMe().addTittleNum(game.e_chenghao.e_1, 1);
                        var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () { game.ui_choujianghuode.ShowOrHide(true, data_1); }, this, null));
                        uinode.runAction(seq);
                    }
                    else if (game.itemMgr.getMe().getWeaponislock(awardname) && !game.itemMgr.getMe().getWeaponislock(otherWeapon)) {
                        data_1.name2 = otherWeapon;
                        game.itemMgr.getMe().setWeaponLock(otherWeapon);
                        game.dataMgr.getMe().addTittleNum(game.e_chenghao.e_1, 1);
                        var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () { game.ui_choujianghuode.ShowOrHide(true, data_1); }, this, null));
                        uinode.runAction(seq);
                    }
                    else {
                        var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () {
                            if (game.itemMgr.getMe().getWeaponislock(awardname)) {
                                game.ui_messageBox.ShowOrHide(true, "已拥有该武器，自动回收为金币！", function () {
                                    var gold = game.Version_mgr.g_instance.getGoldPriceBystr(awardname);
                                    game.dataMgr.getMe().addItemByType(game.e_item.e_jinbi, Math.ceil(gold / 4));
                                    data_1.name = "金币";
                                    data_1.name2 = "jinbi";
                                    data_1.num = Math.ceil(gold / 4);
                                    data_1.icon = "xingjietantantang/big/ui/image/ddt_ui163.png";
                                    game.ui_choujianghuode.ShowOrHide(true, data_1);
                                });
                            }
                        }, this, null));
                        uinode.runAction(seq);
                    }
                }
                else if (awardname.indexOf("yaoji") > -1) {
                    game.dataMgr.getMe().addItemByType(game.itemMgr.getMe().stringToType(awardname), awardnum);
                    var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () { game.ui_choujianghuode.ShowOrHide(true, data_1); }, this, null));
                    uinode.runAction(seq);
                }
                else if (awardname.indexOf("zuanshi") > -1) {
                    game.dataMgr.getMe().addDiamond(awardnum);
                    var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () { game.ui_choujianghuode.ShowOrHide(true, data_1); }, this, null));
                    uinode.runAction(seq);
                }
                else if (awardname == "tili") {
                    game.dataMgr.getMe().addEnergy(awardnum);
                    var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () { game.ui_choujianghuode.ShowOrHide(true, data_1); }, this, null));
                    uinode.runAction(seq);
                }
                else if (awardname == "jinbi") {
                    game.dataMgr.getMe().addItemByType(game.e_item.e_jinbi, awardnum);
                    var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () { game.ui_choujianghuode.ShowOrHide(true, data_1); }, this, null));
                    uinode.runAction(seq);
                }
                else if ("rongyu" == awardname) {
                    game.dataMgr.getMe().addRongyu(awardnum);
                    var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () { game.ui_choujianghuode.ShowOrHide(true, data_1); }, this, null));
                    uinode.runAction(seq);
                }
            }
        };
        ui_choujiang.prototype.updateUi = function () {
            var tili = ccui.helper.seekWidgetByTag(this.m_root, 469);
            var jinbi = ccui.helper.seekWidgetByTag(this.m_root, 465);
            var zuansi = ccui.helper.seekWidgetByTag(this.m_root, 467);
            var maxenery = ccui.helper.seekWidgetByName(this.m_root, "zongshu");
            maxenery.setString("/" + game.g_max_energy);
            if (game.dataMgr.getMe().getViplevel() >= game.g_tilishangxianunlock) {
                maxenery.setString("/" + Number(game.g_max_energy * 2));
            }
            tili.setString(game.itemMgr.getMe().getItemnumbyType(game.e_item.e_tili));
            jinbi.setString(game.itemMgr.getMe().getItemnumbyType(game.e_item.e_jinbi));
            zuansi.setString(game.itemMgr.getMe().getItemnumbyType(game.e_item.e_zuanshi));
        };
        //获得物品的概率
        ui_choujiang.prototype.getGailv = function () {
            var zonggailv = 0;
            var beforegailv = 0;
            var count = 0;
            for (var i in this.m_award) {
                count += this.m_award[i].gailv_zuanshi;
            }
            var index = Math.random() * count; //count是总的物品的概率
            for (var p = 0; p < this.m_award.length; p++) {
                zonggailv += this.m_award[p].gailv_zuanshi;
                if (this.m_award[p - 1]) {
                    beforegailv += this.m_award[p - 1].gailv_zuanshi;
                }
                if (index < zonggailv && index >= beforegailv) {
                    return p;
                }
            }
        };
        ui_choujiang.prototype.addgundong = function (curtag) {
            for (var p = 1; p <= this.m_Endtag; p++) {
                var uinode = ccui.helper.seekWidgetByName(this.m_root, "jiangpin_" + p);
                var uitexiao = ccui.helper.seekWidgetByName(uinode, "uitexiao");
                if (curtag <= 16) {
                    uitexiao.setVisible(p == curtag);
                }
                else {
                    uitexiao.setVisible(p == (curtag % 16 + 1));
                }
            }
        };
        ui_choujiang.prototype.loop = function (t) {
            this.updateUi();
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
            }
            if (this.m_isStart) {
                if (this.m_times++ < 3 * this.m_Endtag) {
                    this.addgundong(this.m_times);
                }
                else {
                    if (this.m_first) {
                        this.m_randomindex = this.getGailv() + 1;
                        this.m_first = false;
                    }
                    if (this.m_curspeed++ > this.m_speed) {
                        this.m_speed++;
                        this.m_curspeed = this.m_speed / 2;
                        if (this.m_Curtag++ < this.m_randomindex) {
                            this.addgundong(this.m_Curtag);
                        }
                        else {
                            if (this.m_randomindex != -1) {
                                if (this.m_Once) {
                                    this.succeed(this.m_randomindex);
                                    this.m_Once = false;
                                }
                            }
                        }
                    }
                }
            }
        };
        ui_choujiang.prototype.onBack = function () {
            if (this.m_isStart == false) {
                game.ui_shop.ShowOrHide(true);
                ui_choujiang.ShowOrHide(false);
            }
        };
        ui_choujiang.g_instarn = null;
        ui_choujiang.getMe = function () {
            return game.ui_choujiang.g_instarn;
        };
        ui_choujiang.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, game.ui_choujiang, null, 1005);
        };
        return ui_choujiang;
    }(game.UiBase));
    game.ui_choujiang = ui_choujiang;
    var ui_choujiang_zuanshi = (function (_super) {
        __extends(ui_choujiang_zuanshi, _super);
        function ui_choujiang_zuanshi() {
            _super.call(this);
            this.m_Begintag = 1; //默认从1开始滚动
            this.m_Endtag = 16;
            this.m_Curtag = 0;
            this.m_AllTime = 0;
            this.m_isStart = false;
            this.m_award = [];
            this.m_first = true;
            this.m_randomindex = -1; //获得一次的随机值；
            this.m_speed = 1; //控制滚动速度
            this.m_curspeed = 1;
            this.m_times = 0; //假滚动次数
            this.m_Once = true;
            this.m_des = "ui_choujiang_zuanshi";
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_choujiang_zuanshi.prototype.oninit = function (data) {
            this.setOpacity(255 * 0.0);
            var root = this._parseUIFile("shangcheng_choujiang2.json", 0, false);
            this.EnterUI();
            this.addChild(root);
            this.shipeiCenter(root);
            var image = ccui.helper.seekWidgetByTag(this.m_root, 1056);
            if (game.Version_mgr.getInstance().isPhone()) {
                image.setVisible(false);
            }
            else {
                image.setVisible(true);
            }
            var checkBoxArray = ccui.helper.seekWidgetByType(this.m_root, "CheckBox");
            var regNum = 1;
            for (var p in checkBoxArray) {
                if (checkBoxArray[p].getName() == "zuanshi" || checkBoxArray[p].getName() == "jinbi") {
                    this.m_CBaseKeyState.regNodeEx(checkBoxArray[p], regNum++);
                    checkBoxArray[p].addTouchEventListener(this.start, this);
                    if (checkBoxArray[p].getName() == "zuanshi") {
                        var zuanshi = ccui.helper.seekWidgetByName(checkBoxArray[p], "shuliang");
                        zuanshi.setString(game.Version_mgr.getInstance().getDiamondPriceBystr("chouka"));
                    }
                    else {
                        var jinbi = ccui.helper.seekWidgetByName(checkBoxArray[p], "shuliang");
                        jinbi.setString(game.Version_mgr.getInstance().getGoldPriceBystr("chouka"));
                    }
                }
                if (checkBoxArray[p].getName() == "tuichu") {
                    if (!game.Version_mgr.getInstance().isPhone()) {
                        game.dataMgr.getMe().loadCheckBoximg(checkBoxArray[p], "xingjietantantang/big/ui/image/ddt_ui138b.png");
                    }
                    checkBoxArray[p].addTouchEventListener(function (sender, type) {
                        if (type == ccui.Widget.TOUCH_ENDED) {
                            this.onBack();
                        }
                    }.bind(this), this);
                }
                var uiTexiao = ccui.helper.seekWidgetByName(checkBoxArray[p], "uitexiao");
                if (uiTexiao == null) {
                    continue;
                }
                uiTexiao.setVisible(false);
            }
            var curday = new Date(game.energyMgr.getMe().m_curServerTime).getDay().toString();
            this.resetAward(parseInt(curday));
            this.m_CBaseKeyState.init(this);
            this.updateUi();
        };
        ui_choujiang_zuanshi.prototype.resetAward = function (day) {
            this.m_award.length = 0;
            var awarddata = [];
            for (var k in game.g_choujiang) {
                if (game.g_choujiang[k].gailv_zuanshi == 0)
                    continue;
                else
                    awarddata.push(cc.clone(game.g_choujiang[k]));
            }
            for (var p = 0; p < awarddata.length; p++) {
                if (day * 5 + 15 < awarddata.length) {
                    if (day * 5 <= p && p <= day * 5 + 15) {
                        this.m_award.push(awarddata[p]);
                    }
                }
                else if (day * 5 < awarddata.length && day * 5 + 15 >= awarddata.length) {
                    if ((p <= (15 + day * 5 - awarddata.length) && p >= 0) || (p >= day * 5 && p < awarddata.length)) {
                        this.m_award.push(awarddata[p]);
                    }
                }
                else if (day * 5 >= awarddata.length && day * 5 + 15 >= awarddata.length) {
                    if (day * 5 % awarddata.length <= p && p <= (day * 5 + 15) % awarddata.length) {
                        this.m_award.push(awarddata[p]);
                    }
                }
            }
            // while (this.m_award.length < this.m_Endtag)
            // {
            //     let tag = Math.floor(Math.random() * awarddata.length - .1)
            //     let award:choujiang_s = awarddata.slice(tag,(tag+1))[0]
            //     this.m_award.push(award)
            // }
            for (var p = 1; p <= this.m_Endtag; p++) {
                var uinode = ccui.helper.seekWidgetByName(this.m_root, "jiangpin_" + p);
                var numui = ccui.helper.seekWidgetByName(uinode, "Text_121");
                var nameui = ccui.helper.seekWidgetByName(uinode, "biaoti");
                var pic = ccui.helper.seekWidgetByName(uinode, "pic");
                var jiangpindata = this.m_award[p - 1];
                if (jiangpindata.wupin == "zuanshi") {
                    var diamond = jiangpindata.num * game.Version_mgr.getInstance().getDiamondPriceBystr("chouka");
                    numui.setString("x" + diamond);
                }
                else {
                    numui.setString("x" + jiangpindata.num);
                }
                uinode.setUserData(jiangpindata.wupin);
                uinode.setTouchEnabled(false);
                var itemconfig = game.g_daoju_nan[jiangpindata.wupin];
                if (itemconfig) {
                    pic.loadTexture(itemconfig.icon);
                    nameui.setString(itemconfig.desName);
                }
                else {
                    console.log(jiangpindata.wupin + "  没有配置 .....");
                }
            }
        };
        ui_choujiang_zuanshi.prototype.start = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    //当前不在抽奖状态才进入
                    if (this.m_isStart == false) {
                        this.m_CBaseKeyState.setCurKey(sender);
                        // let price_chouka = Version_mgr.getInstance().getDiamondPriceBystr("chouka");
                        // buy_mgr.getInstance().shoppingByDiamond(price_chouka,"抽奖",ui_choujiang_zuanshi.getMe().buySuccedCallBack,null)
                        game.buy_mgr.getInstance().buySmokeNum_buy(ui_choujiang_zuanshi.getMe().buySuccedCallBack, ui_choujiang_zuanshi.getMe(), "chouka");
                    }
                    break;
            }
        };
        ui_choujiang_zuanshi.prototype.buySuccedCallBack = function () {
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     Version_mgr.getInstance().getDiamondPriceBystr("chouka") + "钻石抽奖");
            ui_choujiang_zuanshi.getMe().m_isStart = true;
            ui_choujiang_zuanshi.getMe().m_Curtag = 0;
            ui_choujiang_zuanshi.getMe().m_AllTime = 0;
            ui_choujiang_zuanshi.getMe().m_first = true;
            ui_choujiang_zuanshi.getMe().m_speed = 1; //控制滚动速度
            ui_choujiang_zuanshi.getMe().m_curspeed = 1;
            ui_choujiang_zuanshi.getMe().m_times = 0;
        };
        ui_choujiang_zuanshi.prototype.succeed = function (endtag) {
            var data = this.m_award[endtag - 1];
            var awardname = data.wupin;
            var awardnum = data.num;
            var dataconfig = game.g_daoju_nan[awardname];
            if (awardname == "zuanshi") {
                awardnum = awardnum * game.Version_mgr.getInstance().getDiamondPriceBystr("chouka");
            }
            // else if(awardname == "jinbi"){
            //     // awardnum = awardnum * Version_mgr.getInstance().getGoldPriceBystr("chouka");
            // }
            if (dataconfig == null) {
                console.log(awardname + "  没有配置 ");
            }
            else {
                var data_2 = {
                    name: dataconfig.desName,
                    icon: dataconfig.icon,
                    num: awardnum,
                    name2: awardname
                };
                var uinode = ccui.helper.seekWidgetByName(this.m_root, "jiangpin_" + endtag);
                if (awardname.indexOf("pifu") > -1) {
                    if (!game.itemMgr.getMe().getSkinislock(game.itemMgr.getMe().stringToType(awardname))) {
                        game.itemMgr.getMe().lockSkin(game.itemMgr.getMe().stringToType(awardname));
                        var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () { game.ui_choujianghuode.ShowOrHide(true, data_2); }, this, null));
                        uinode.runAction(seq);
                    }
                    else {
                        var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () {
                            if (game.itemMgr.getMe().getSkinislock(game.itemMgr.getMe().stringToType(awardname))) {
                                game.ui_messageBox.ShowOrHide(true, "已拥有该皮肤，自动回收为金币！", function () {
                                    var gold = game.Version_mgr.g_instance.getGoldPriceBystr(awardname);
                                    game.dataMgr.getMe().addItemByType(game.e_item.e_jinbi, Math.ceil(gold / 4));
                                    data_2.name = "金币";
                                    data_2.name2 = "jinbi";
                                    data_2.num = Math.ceil(gold / 4);
                                    data_2.icon = "xingjietantantang/big/ui/image/ddt_ui163.png";
                                    game.ui_choujianghuode.ShowOrHide(true, data_2);
                                });
                            }
                        }, this, null));
                        uinode.runAction(seq);
                    }
                }
                else if (awardname.indexOf("wuqi") > -1) {
                    var otherWeapon = awardname + "_1";
                    if (awardname.indexOf("_1") > -1) {
                        otherWeapon = "wuqi" + awardname.match(/\d+/)[0];
                    }
                    if (!game.itemMgr.getMe().getWeaponislock(awardname)) {
                        game.itemMgr.getMe().setWeaponLock(awardname);
                        game.dataMgr.getMe().addTittleNum(game.e_chenghao.e_1, 1);
                        var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () { game.ui_choujianghuode.ShowOrHide(true, data_2); }, this, null));
                        uinode.runAction(seq);
                    }
                    else if (game.itemMgr.getMe().getWeaponislock(awardname) && !game.itemMgr.getMe().getWeaponislock(otherWeapon)) {
                        data_2.name2 = otherWeapon;
                        game.itemMgr.getMe().setWeaponLock(otherWeapon);
                        game.dataMgr.getMe().addTittleNum(game.e_chenghao.e_1, 1);
                        var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () { game.ui_choujianghuode.ShowOrHide(true, data_2); }, this, null));
                        uinode.runAction(seq);
                    }
                    else {
                        var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () {
                            if (game.itemMgr.getMe().getWeaponislock(awardname)) {
                                game.ui_messageBox.ShowOrHide(true, "已拥有该武器，自动回收为金币！", function () {
                                    var gold = game.Version_mgr.g_instance.getGoldPriceBystr(awardname);
                                    game.dataMgr.getMe().addItemByType(game.e_item.e_jinbi, Math.ceil(gold / 4));
                                    data_2.name = "金币";
                                    data_2.name2 = "jinbi";
                                    data_2.num = Math.ceil(gold / 4);
                                    data_2.icon = "xingjietantantang/big/ui/image/ddt_ui163.png";
                                    game.ui_choujianghuode.ShowOrHide(true, data_2);
                                });
                            }
                        }, this, null));
                        uinode.runAction(seq);
                    }
                }
                else if (awardname.indexOf("yaoji") > -1) {
                    game.dataMgr.getMe().addItemByType(game.itemMgr.getMe().stringToType(awardname), awardnum);
                    var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () { game.ui_choujianghuode.ShowOrHide(true, data_2); }, this, null));
                    uinode.runAction(seq);
                }
                else if (awardname.indexOf("zuanshi") > -1) {
                    game.dataMgr.getMe().addDiamond(awardnum);
                    var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () { game.ui_choujianghuode.ShowOrHide(true, data_2); }, this, null));
                    uinode.runAction(seq);
                }
                else if (awardname == "tili") {
                    game.dataMgr.getMe().addEnergy(awardnum);
                    var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () { game.ui_choujianghuode.ShowOrHide(true, data_2); }, this, null));
                    uinode.runAction(seq);
                }
                else if (awardname == "jinbi") {
                    game.dataMgr.getMe().addItemByType(game.e_item.e_jinbi, awardnum);
                    var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () { game.ui_choujianghuode.ShowOrHide(true, data_2); }, this, null));
                    uinode.runAction(seq);
                }
                else if ("rongyu" == awardname) {
                    game.dataMgr.getMe().addRongyu(awardnum);
                    var seq = cc.sequence(cc.blink(2, 5), cc.callFunc(function () { game.ui_choujianghuode.ShowOrHide(true, data_2); }, this, null));
                    uinode.runAction(seq);
                }
            }
        };
        ui_choujiang_zuanshi.prototype.updateUi = function () {
            var tili = ccui.helper.seekWidgetByTag(this.m_root, 469);
            var jinbi = ccui.helper.seekWidgetByTag(this.m_root, 465);
            var zuansi = ccui.helper.seekWidgetByTag(this.m_root, 467);
            var maxenery = ccui.helper.seekWidgetByName(this.m_root, "zongshu");
            maxenery.setString("/" + game.g_max_energy);
            if (game.dataMgr.getMe().getViplevel() >= game.g_tilishangxianunlock) {
                maxenery.setString("/" + Number(game.g_max_energy * 2));
            }
            tili.setString(game.itemMgr.getMe().getItemnumbyType(game.e_item.e_tili));
            jinbi.setString(game.itemMgr.getMe().getItemnumbyType(game.e_item.e_jinbi));
            zuansi.setString(game.itemMgr.getMe().getItemnumbyType(game.e_item.e_zuanshi));
        };
        //获得物品的概率
        ui_choujiang_zuanshi.prototype.getGailv = function () {
            var zonggailv = 0;
            var beforegailv = 0;
            var count = 0;
            for (var i in this.m_award) {
                count += this.m_award[i].gailv_zuanshi;
            }
            var index = Math.random() * count; //count是总的物品的概率
            for (var p = 0; p < this.m_award.length; p++) {
                zonggailv += this.m_award[p].gailv_zuanshi;
                if (this.m_award[p - 1]) {
                    beforegailv += this.m_award[p - 1].gailv_zuanshi;
                }
                if (index < zonggailv && index >= beforegailv) {
                    return p;
                }
            }
        };
        ui_choujiang_zuanshi.prototype.addgundong = function (curtag) {
            for (var p = 1; p <= this.m_Endtag; p++) {
                var uinode = ccui.helper.seekWidgetByName(this.m_root, "jiangpin_" + p);
                var uitexiao = ccui.helper.seekWidgetByName(uinode, "uitexiao");
                if (curtag <= 16) {
                    uitexiao.setVisible(p == curtag);
                }
                else {
                    uitexiao.setVisible(p == (curtag % 16 + 1));
                }
            }
        };
        ui_choujiang_zuanshi.prototype.loop = function (t) {
            this.updateUi();
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
            }
            if (this.m_isStart) {
                if (this.m_times++ < 3 * this.m_Endtag) {
                    this.addgundong(this.m_times);
                }
                else {
                    if (this.m_first) {
                        this.m_randomindex = this.getGailv() + 1;
                        this.m_first = false;
                    }
                    if (this.m_curspeed++ > this.m_speed) {
                        this.m_speed++;
                        this.m_curspeed = this.m_speed / 2;
                        if (this.m_Curtag++ < this.m_randomindex) {
                            this.addgundong(this.m_Curtag);
                        }
                        else {
                            if (this.m_randomindex != -1) {
                                if (this.m_Once) {
                                    this.succeed(this.m_randomindex);
                                    this.m_Once = false;
                                }
                            }
                        }
                    }
                }
            }
        };
        ui_choujiang_zuanshi.prototype.onBack = function () {
            if (this.m_isStart == false) {
                game.ui_shop.ShowOrHide(true);
                ui_choujiang_zuanshi.ShowOrHide(false);
            }
        };
        ui_choujiang_zuanshi.g_instarn = null;
        ui_choujiang_zuanshi.getMe = function () {
            return game.ui_choujiang_zuanshi.g_instarn;
        };
        ui_choujiang_zuanshi.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, game.ui_choujiang_zuanshi, null, 1005);
        };
        return ui_choujiang_zuanshi;
    }(game.UiBase));
    game.ui_choujiang_zuanshi = ui_choujiang_zuanshi;
})(game || (game = {}));
//# sourceMappingURL=ui_choujiang.js.map