var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_daoju = (function (_super) {
        __extends(ui_daoju, _super);
        function ui_daoju() {
            _super.call(this);
            this.m_check = null;
            this.m_curName = null; //当前按钮名
            this.m_des = "ui_daoju";
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_daoju.prototype.oninit = function (data) {
            var root = this._parseUIFile("shangcheng_daoju.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.m_check = new game.Map();
            for (var p = 1; p <= 3; ++p) {
                var yaoshui = ccui.helper.seekWidgetByName(this.m_root, "yaoshui" + p);
                yaoshui.addTouchEventListener(this.daojuSelFunc, this);
                this.m_check.set(yaoshui.getName(), yaoshui);
                var numui = ccui.helper.seekWidgetByName(yaoshui, "shuliang");
                var priceui = ccui.helper.seekWidgetByName(yaoshui, "shumu");
                var itemtype = game.itemMgr.getMe().stringToType("yaoji" + p);
                var itemnum = game.dataMgr.getMe().getItemByName(itemtype);
                numui.setString(itemnum);
                var diamondprice = game.Version_mgr.getInstance().getDiamondPriceBystr("yaoji" + p);
                priceui.setString(diamondprice);
                if (game.Version_mgr.getInstance().isPhone()) {
                    var texiao = ccui.helper.seekWidgetByName(yaoshui, "uitexiao");
                    texiao.setVisible(false);
                }
                else {
                    this.m_CBaseKeyState.regNodeEx(yaoshui, p);
                }
            }
            var tuichu = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (game.Version_mgr.getInstance().isPhone()) {
            }
            else {
                game.dataMgr.getMe().loadCheckBoximg(tuichu, "xingjietantantang/big/ui/image/ddt_ui138b.png");
                this.m_CBaseKeyState.init(this);
            }
            tuichu.addTouchEventListener(this.ExitFun, this);
            this.updateUi();
        };
        ui_daoju.prototype.updateUi = function () {
            var tili = ccui.helper.seekWidgetByTag(this.m_root, 208);
            var zuansi = ccui.helper.seekWidgetByTag(this.m_root, 206);
            var jinbi = ccui.helper.seekWidgetByTag(this.m_root, 204);
            var maxenery = ccui.helper.seekWidgetByTag(this.m_root, 209);
            maxenery.setString("/" + game.g_max_energy);
            if (game.dataMgr.getMe().getViplevel() >= game.g_tilishangxianunlock) {
                maxenery.setString("/" + Number(game.g_max_energy * 2));
            }
            tili.setString(game.itemMgr.getMe().getItemnumbyType(game.e_item.e_tili));
            zuansi.setString(game.itemMgr.getMe().getItemnumbyType(game.e_item.e_zuanshi));
            jinbi.setString(game.itemMgr.getMe().getItemnumbyType(game.e_item.e_jinbi));
        };
        ui_daoju.prototype.daojuSelFunc = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        var texiao = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        texiao.setVisible(true);
                    }
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        var texiao = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        texiao.setVisible(false);
                    }
                    this.m_curName = sender.getName();
                    var node = this.m_check.get(sender.getName());
                    var p = node.getName().replace("yaoshui", "");
                    // buy_mgr.getInstance().shoppingByDiamond(priceDiamond,"获得药水",ui_daoju.getMe().buySucceedCallBack,null);
                    game.buy_mgr.getInstance().buyPotion_buy(ui_daoju.getMe().buySucceedCallBack, ui_daoju.getMe(), "yaoji" + p);
                    break;
                case ccui.Widget.TOUCH_CANCELED:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        var texiao = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        texiao.setVisible(false);
                    }
                    break;
            }
        };
        ui_daoju.prototype.buySucceedCallBack = function () {
            var node = ui_daoju.getMe().m_check.get(ui_daoju.getMe().m_curName);
            var p = node.getName().replace("yaoshui", "");
            // let priceDiamond = Version_mgr.getInstance().getDiamondPriceBystr("yaoji" + p);
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     priceDiamond + "钻石购买 "+3+g_daoju_nan["yaoji" + p].desName);
            var itemtype = game.itemMgr.getMe().stringToType("yaoji" + p);
            game.dataMgr.getMe().addItemByType(itemtype, 3);
            game.ui_goumaichenggong.ShowOrHide(true, {
                name: "wupin", num: 3, icon: game.g_daoju_nan["yaoji" + p].icon,
                iconName: game.g_daoju_nan["yaoji" + p].desName
            });
            var itemnum = game.dataMgr.getMe().getItemByName(itemtype);
            var item = ccui.helper.seekWidgetByName(node, "shuliang");
            item.setString(itemnum);
        };
        ui_daoju.prototype.updateItems = function () {
            for (var i = 1; i < 4; ++i) {
                var node = ui_daoju.getMe().m_check.getByIndex(i - 1);
                var itemtype = game.itemMgr.getMe().stringToType("yaoji" + i);
                var itemnum = game.dataMgr.getMe().getItemByName(itemtype);
                var item = ccui.helper.seekWidgetByName(node, "shuliang");
                item.setString(itemnum);
            }
        };
        ui_daoju.prototype.ExitFun = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        };
        ui_daoju.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
                this.updateUi();
                this.updateItems();
            }
        };
        ui_daoju.prototype.onBack = function () {
            game.ui_shop.ShowOrHide(true);
            ui_daoju.ShowOrHide(false);
        };
        ui_daoju.g_instarn = null;
        ui_daoju.getMe = function () {
            return game.ui_daoju.g_instarn;
        };
        ui_daoju.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, game.ui_daoju, null, 1005);
        };
        return ui_daoju;
    }(game.UiBase));
    game.ui_daoju = ui_daoju;
})(game || (game = {}));
//# sourceMappingURL=ui_daoju.js.map