var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_goumaitype = (function (_super) {
        __extends(ui_goumaitype, _super);
        function ui_goumaitype() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_jinbiprice = 0;
            this.m_zuansiprice = 0;
            this.m_wuqiName = "";
            this.m_curData = null; //当前武器名
            this.m_des = "ui_goumaitype";
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_goumaitype.prototype.oninit = function (type) {
            var root = this._parseUIFile("messagebox3.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            var typestr = game.itemMgr.getMe().TypeToString(type);
            this.m_jinbiprice = game.itemMgr.getMe().getitemPricejinbi(typestr);
            this.m_zuansiprice = game.itemMgr.getMe().getitemPriceZuansi(typestr);
            this.m_wuqiName = typestr;
            var jinbi = ccui.helper.seekWidgetByName(this.m_root, "jinbi");
            var jinbinum = ccui.helper.seekWidgetByName(jinbi, "shuliang");
            jinbi.setUserData(type);
            jinbi.addTouchEventListener(this.buybyjinbi, this);
            var zuansi = ccui.helper.seekWidgetByName(this.m_root, "zuansshi");
            var zuansinum = ccui.helper.seekWidgetByName(zuansi, "shuliang");
            zuansi.setUserData(type);
            zuansi.addTouchEventListener(this.buybyzuansi, this);
            var conf = game.dataMgr.getMe().getWeaponconfig(typestr);
            if (conf.jinbi == 0 || conf.jinbi == -1) {
                var jinbi_1 = ccui.helper.seekWidgetByName(this.m_root, "jinbi");
                jinbi_1.setVisible(false);
                zuansi.setPosition(zuansi.getPositionX() - zuansi.getPositionX() / 3, zuansi.getPositionY());
            }
            jinbinum.setString(this.m_jinbiprice);
            zuansinum.setString(this.m_zuansiprice);
            this.m_CBaseKeyState.regNodeEx(jinbi, 1);
            this.m_CBaseKeyState.regNodeEx(zuansi, 2);
            this.m_CBaseKeyState.init(this);
        };
        ui_goumaitype.prototype.buybyjinbi = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    //直接买
                    if (sender.getUserData() == game.e_item.e_zuanshi || sender.getUserData() == game.e_item.e_jinbi) {
                    }
                    else {
                        if (game.dataMgr.getMe().removeItemByType(game.e_item.e_jinbi, this.m_jinbiprice)) {
                            if (!game.itemMgr.getMe().getWeaponislock(sender.getUserData())) {
                                game.itemMgr.getMe().setWeaponLock(sender.getUserData());
                                ui_goumaitype.ShowOrHide(false, null);
                                game.ui_zhuangbei.getMe().updateUi();
                                var conf_1 = game.dataMgr.getMe().getWeaponconfig(game.itemMgr.getMe().typeToString(sender.getUserData()));
                                game.ui_goumaichenggong.ShowOrHide(true, { name: "wupin", num: 1, icon: conf_1.icon, iconName: conf_1.desName });
                                game.dataMgr.getMe().addTittleNum(game.e_chenghao.e_1, 1);
                                return;
                            }
                            if (game.itemMgr.getMe().getWeaponislock(sender.getUserData())) {
                                var str = game.itemMgr.getMe().typeToString(sender.getUserData());
                                if (!game.itemMgr.getMe().getWeaponislock(game.itemMgr.getMe().stringToType(str + "_1"))) {
                                    game.itemMgr.getMe().setWeaponLock(game.itemMgr.getMe().stringToType(str + "_1"));
                                    game.dataMgr.getMe().addTittleNum(game.e_chenghao.e_1, 1);
                                }
                            }
                            game.ui_zhuangbei.getMe().updateUi();
                            ui_goumaitype.ShowOrHide(false, null);
                            var conf = game.dataMgr.getMe().getWeaponconfig(game.itemMgr.getMe().typeToString(sender.getUserData()));
                            game.ui_goumaichenggong.ShowOrHide(true, { name: "wupin", num: 1, icon: conf.icon, iconName: conf.desName });
                        }
                        else {
                            game.ui_messageBox.ShowOrHide(true, "金币不足！");
                        }
                    }
                    break;
            }
        };
        ui_goumaitype.prototype.buybyzuansi = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.m_curData = sender.getUserData();
                    if (sender.getUserData() == game.e_item.e_zuanshi || sender.getUserData() == game.e_item.e_jinbi) {
                    }
                    else {
                        game.buy_mgr.getInstance().buyWeapon_buy(ui_goumaitype.getMe().buySucceedCallBack, ui_goumaitype.getMe(), this.m_wuqiName);
                    }
                    break;
            }
        };
        ui_goumaitype.prototype.buySucceedCallBack = function () {
            if (!game.itemMgr.getMe().getWeaponislock(ui_goumaitype.getMe().m_curData)) {
                ui_goumaitype.getMe().updateSucceedUI(ui_goumaitype.getMe().m_curData);
                return;
            }
            if (game.itemMgr.getMe().getWeaponislock(ui_goumaitype.getMe().m_curData)) {
                var str = game.itemMgr.getMe().typeToString(ui_goumaitype.getMe().m_curData);
                if (!game.itemMgr.getMe().getWeaponislock(game.itemMgr.getMe().stringToType(str + "_1"))) {
                    ui_goumaitype.getMe().updateSucceedUI(str + "_1");
                }
            }
        };
        ui_goumaitype.prototype.updateSucceedUI = function (weaponName) {
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     "解锁 "+g_weapon_play[ui_goumaitype.getMe().m_curData].desName+"武器");
            game.itemMgr.getMe().setWeaponLock(weaponName);
            game.ui_zhuangbei.getMe().updateUi();
            ui_goumaitype.ShowOrHide(false, null);
            var conf = game.dataMgr.getMe().getWeaponconfig(game.itemMgr.getMe().typeToString(weaponName));
            game.ui_goumaichenggong.ShowOrHide(true, { name: "wupin", num: 1, icon: conf.icon, iconName: conf.desName });
            game.dataMgr.getMe().addTittleNum(game.e_chenghao.e_1, 1);
        };
        ui_goumaitype.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
            }
        };
        ui_goumaitype.prototype.onTouchEnded = function (touch, event) {
            _super.prototype.onTouchEnded.call(this, touch, event);
            var location = touch.getLocation();
            var image = ccui.helper.seekWidgetByName(this.m_root, "Image_6");
            var height = image.getContentSize().height;
            var width = image.getContentSize().width;
            location = image.convertToNodeSpace(location);
            var rect = cc.rect(0, 0, width, height);
            if (cc.rectContainsPoint(rect, cc.p(location.x, location.y))) {
                return true;
            }
            else {
                ui_goumaitype.ShowOrHide(false, null);
            }
            return true;
        };
        ui_goumaitype.prototype.onBack = function () {
            ui_goumaitype.ShowOrHide(false, null);
            // ui_pifu.ShowOrHide(false);
            if (game.ui_zhuangbei.getMe()) {
                game.ui_zhuangbei.ShowOrHide(true);
            }
            if (game.ui_wuqi.getMe()) {
            }
        };
        ui_goumaitype.g_instarn = null;
        ui_goumaitype.getMe = function () {
            return game.ui_goumaitype.g_instarn;
        };
        ui_goumaitype.ShowOrHide = function (flag, shoptype) {
            game.UiBase.ShowOrHide(flag, game.ui_goumaitype, null, 2000, shoptype);
        };
        return ui_goumaitype;
    }(game.UiBase));
    game.ui_goumaitype = ui_goumaitype;
})(game || (game = {}));
//# sourceMappingURL=ui_goumaitype.js.map