module game {

    import Rect = cc.Rect;
    export class ui_goumaitype extends game.UiBase {
        static g_instarn: ui_goumaitype = null;
        static getMe = function (): ui_goumaitype {
            return game.ui_goumaitype.g_instarn;
        };
        m_CBaseKeyState: BaseKeyState = null
        static ShowOrHide = function (flag, shoptype: e_item) {
            game.UiBase.ShowOrHide(flag, game.ui_goumaitype, null, 2000, shoptype);
        };

        constructor() {
            super();
            this.m_des = "ui_goumaitype";
            this.m_CBaseKeyState = new BaseKeyState();
        }

        m_jinbiprice: number = 0;
        m_zuansiprice: number = 0;
        m_wuqiName:string = "";
        oninit(type: e_item) {
            let root = this._parseUIFile("messagebox3.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            let typestr: string = itemMgr.getMe().TypeToString(type)
            this.m_jinbiprice = itemMgr.getMe().getitemPricejinbi(typestr)
            this.m_zuansiprice = itemMgr.getMe().getitemPriceZuansi(typestr)
            this.m_wuqiName = typestr;


            let jinbi: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "jinbi")
            let jinbinum: ccui.Text = ccui.helper.seekWidgetByName(jinbi, "shuliang")
            jinbi.setUserData(type);
            jinbi.addTouchEventListener(this.buybyjinbi, this)



            let zuansi: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "zuansshi")
            let zuansinum: ccui.Text = ccui.helper.seekWidgetByName(zuansi, "shuliang")
            zuansi.setUserData(type);
            zuansi.addTouchEventListener(this.buybyzuansi, this);
            let conf = dataMgr.getMe().getWeaponconfig(typestr);
            if(conf.jinbi == 0 || conf.jinbi == -1){
                let jinbi: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "jinbi");
                jinbi.setVisible(false);
                zuansi.setPosition(zuansi.getPositionX() - zuansi.getPositionX()/3,zuansi.getPositionY());
            }

            jinbinum.setString(this.m_jinbiprice)
            zuansinum.setString(this.m_zuansiprice)
            this.m_CBaseKeyState.regNodeEx(jinbi, 1)
            this.m_CBaseKeyState.regNodeEx(zuansi, 2)
            this.m_CBaseKeyState.init(this)

        }

        buybyjinbi(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    //直接买
                    if (sender.getUserData() == e_item.e_zuanshi || sender.getUserData() == e_item.e_jinbi) {

                    } else {
                        if (dataMgr.getMe().removeItemByType(e_item.e_jinbi, this.m_jinbiprice)) {
                            if(!itemMgr.getMe().getWeaponislock(sender.getUserData())){
                                itemMgr.getMe().setWeaponLock(sender.getUserData());
                                ui_goumaitype.ShowOrHide(false,null);
                                ui_zhuangbei.getMe().updateUi();
                                let conf = dataMgr.getMe().getWeaponconfig(itemMgr.getMe().typeToString(sender.getUserData()));
                                ui_goumaichenggong.ShowOrHide(true,{name:"wupin",num:1,icon:conf.icon,iconName:conf.desName});
                                dataMgr.getMe().addTittleNum(e_chenghao.e_1, 1);
                                return ;
                            }
                            if(itemMgr.getMe().getWeaponislock(sender.getUserData())){
                                let str:string = itemMgr.getMe().typeToString(sender.getUserData());
                                if(!itemMgr.getMe().getWeaponislock(itemMgr.getMe().stringToType(str + "_1"))){
                                    itemMgr.getMe().setWeaponLock(itemMgr.getMe().stringToType(str + "_1"));
                                    dataMgr.getMe().addTittleNum(e_chenghao.e_1, 1);
                                }
                            }
                            ui_zhuangbei.getMe().updateUi();
                            ui_goumaitype.ShowOrHide(false,null);
                            let conf = dataMgr.getMe().getWeaponconfig(itemMgr.getMe().typeToString(sender.getUserData()));
                            ui_goumaichenggong.ShowOrHide(true,{name:"wupin",num:1,icon:conf.icon,iconName:conf.desName});
                        } else {
                            ui_messageBox.ShowOrHide(true, "金币不足！");
                        }
                    }
                    break
            }
        }

        buybyzuansi(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.m_curData = sender.getUserData();
                    if (sender.getUserData() == e_item.e_zuanshi || sender.getUserData() == e_item.e_jinbi) {

                    } else {
                        buy_mgr.getInstance().buyWeapon_buy(ui_goumaitype.getMe().buySucceedCallBack,ui_goumaitype.getMe(),this.m_wuqiName);

                       // buy_mgr.getInstance().shoppingByDiamond(ui_goumaitype.getMe().m_zuansiprice,
                       //      "解锁武器",ui_goumaitype.getMe().buySucceedCallBack,null)
                    }
                    break
            }
        }

        m_curData = null;//当前武器名
        buySucceedCallBack(){
            if(!itemMgr.getMe().getWeaponislock(ui_goumaitype.getMe().m_curData)){
                ui_goumaitype.getMe().updateSucceedUI(ui_goumaitype.getMe().m_curData);
                return ;
            }
            if(itemMgr.getMe().getWeaponislock(ui_goumaitype.getMe().m_curData)){
                let str:string = itemMgr.getMe().typeToString(ui_goumaitype.getMe().m_curData);
                if(!itemMgr.getMe().getWeaponislock(itemMgr.getMe().stringToType(str + "_1"))){
                    ui_goumaitype.getMe().updateSucceedUI(str + "_1");
                }
            }
        }

        updateSucceedUI(weaponName){
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     "解锁 "+g_weapon_play[ui_goumaitype.getMe().m_curData].desName+"武器");
            itemMgr.getMe().setWeaponLock(weaponName);
            ui_zhuangbei.getMe().updateUi();
            ui_goumaitype.ShowOrHide(false,null);
            let conf = dataMgr.getMe().getWeaponconfig(itemMgr.getMe().typeToString(weaponName));
            ui_goumaichenggong.ShowOrHide(true,{name:"wupin",num:1,icon:conf.icon,iconName:conf.desName});
            dataMgr.getMe().addTittleNum(e_chenghao.e_1, 1);
        }



        loop(t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t)
            }
        }

        onTouchEnded(touch,event){
            super.onTouchEnded(touch,event);
            let location = touch.getLocation();
            let image:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"Image_6");
            let height = image.getContentSize().height;
            let width = image.getContentSize().width;
            location = image.convertToNodeSpace(location);
            let rect:Rect = cc.rect(0,0,width,height);
            if(cc.rectContainsPoint(rect,cc.p(location.x,location.y))){
                return true;
            }else {
                ui_goumaitype.ShowOrHide(false,null);
            }

            return true;
        }


        onBack() {
            ui_goumaitype.ShowOrHide(false, null);
            // ui_pifu.ShowOrHide(false);
            if(ui_zhuangbei.getMe()){
                ui_zhuangbei.ShowOrHide(true)
            }
            if(ui_wuqi.getMe()){

            }
        }

    }
}

