var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_shop = (function (_super) {
        __extends(ui_shop, _super);
        function ui_shop() {
            _super.call(this);
            this.m_des = "ui_shop";
            this.m_CBaseKeyState = new game.BaseKeyState_ui_config();
        }
        ui_shop.prototype.oninit = function () {
            var root = this._parseUIFile("shangcheng.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            var allCheckBox = ccui.helper.seekWidgetByType(this.m_root, "CheckBox");
            var regTag = 1;
            for (var p in allCheckBox) {
                var teixao = ccui.helper.seekWidgetByName(allCheckBox[p], "uitexiao");
                if (allCheckBox[p].getName() == "tuichu") {
                    if (game.Version_mgr.getInstance().isPhone()) {
                    }
                    else {
                        game.dataMgr.getMe().loadCheckBoximg(allCheckBox[p], "xingjietantantang/big/ui/image/ddt_ui138b.png");
                    }
                    allCheckBox[p].addTouchEventListener(function (sender, type) {
                        if (type == ccui.Widget.TOUCH_ENDED) {
                            this.onBack();
                        }
                    }.bind(this), this);
                    continue;
                }
                else {
                    allCheckBox[p].addTouchEventListener(this.shopFunc, this);
                }
                if (game.Version_mgr.getInstance().isPhone()) {
                    teixao.setVisible(false); //手机版 时关闭当前ui特效
                }
                else {
                    game.dataMgr.getMe().loadCheckBoximg(allCheckBox[p], "xingjietantantang/big/ui/image/ddt_ui138b.png"); //其它版本时选用 此 返回图标
                    teixao.setVisible(true);
                    this.m_CBaseKeyState.regNodeEx(allCheckBox[p], regTag++);
                }
            }
            if (!game.Version_mgr.getInstance().isPhone()) {
                this.m_CBaseKeyState.setUIName("shop");
                this.m_CBaseKeyState.init(this);
                this.m_CBaseKeyState.setCurKey_byName(ui_shop.g_curKey);
            }
            this.visibleparticle();
        };
        ui_shop.prototype.visibleparticle = function () {
            if (game.Version_mgr.getInstance().isPhone()) {
            }
            else {
                var selectui = this.m_CBaseKeyState.m_key.node.getName();
                var particle = ccui.helper.seekWidgetByName(this.m_root, "uitexiao");
                if (particle) {
                    var particleName = particle.getName();
                    particle.setVisible(particleName.indexOf(selectui) > -1);
                }
            }
        };
        ui_shop.prototype.shopFunc = function (sender, type) {
            var uiName = sender.getName();
            var canset = true;
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        var teixao = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        teixao.setVisible(true);
                    }
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        var teixao = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        teixao.setVisible(false);
                    }
                    switch (uiName) {
                        case "zuanshi":
                            // ui_shop.ShowOrHide(false);
                            game.ui_zuanshi.ShowOrHide(true);
                            break;
                        case "zhuangbei":
                            // ui_shop.ShowOrHide(false);
                            game.ui_zhuangbei.ShowOrHide(true);
                            break;
                        case "pifu":
                            // ui_shop.ShowOrHide(false);
                            game.ui_pifu.ShowOrHide(true);
                            break;
                        case "daoju":
                            // ui_shop.ShowOrHide(false);
                            game.ui_daoju.ShowOrHide(true);
                            break;
                        case "choujiang":
                            // ui_shop.ShowOrHide(false);
                            game.ui_choujiang.ShowOrHide(true);
                            break;
                        case "choujiang2":
                            game.ui_choujiang_zuanshi.ShowOrHide(true);
                            break;
                        default:
                            canset = false;
                    }
                    break;
                case ccui.Widget.TOUCH_CANCELED:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        var teixao = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        teixao.setVisible(false);
                    }
                    break;
            }
            if (canset)
                ui_shop.g_curKey = uiName;
        };
        ui_shop.prototype.onBack = function () {
            // ui_mainScene.ShowOrHide(true);
            // ui_shop.ShowOrHide(false);
            game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_main);
        };
        ui_shop.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
            }
        };
        ui_shop.g_instarn = null;
        ui_shop.g_curKey = "zuanshi";
        ui_shop.getMe = function () {
            return ui_shop.g_instarn;
        };
        ui_shop.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_shop, game.uiMgr.getMe(), 1004);
        };
        return ui_shop;
    }(game.UiBase));
    game.ui_shop = ui_shop;
})(game || (game = {}));
//# sourceMappingURL=ui_shop.js.map