var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_zhuangbei = (function (_super) {
        __extends(ui_zhuangbei, _super);
        function ui_zhuangbei() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_listView = null;
            this.m_checkBoxs = null;
            this.m_curKey = null;
            this.m_weapontype = null;
            this.m_des = "ui_zhuangbei";
            this.m_CBaseKeyState = new game.BaseKeyState_ui_config();
            this.m_checkBoxs = new game.Map();
        }
        ui_zhuangbei.prototype.up = function () {
            if (this.m_CBaseKeyState.up()) {
                this.updateDes(this.m_CBaseKeyState.m_key.node.getUserData());
                this.m_curKey = this.m_CBaseKeyState.m_key.node;
                var PosY = this.m_CBaseKeyState.m_key.node.getPositionY();
                var height = this.m_CBaseKeyState.m_key.node.getContentSize().height;
                var per = Math.floor((PosY + height) / this.m_listView.getInnerContainerSize().height * 100);
                this.m_listView.jumpToPercentVertical(100 - per);
            }
        };
        ui_zhuangbei.prototype.down = function () {
            if (this.m_CBaseKeyState.down()) {
                this.updateDes(this.m_CBaseKeyState.m_key.node.getUserData());
                this.m_curKey = this.m_CBaseKeyState.m_key.node;
                var PosY = this.m_CBaseKeyState.m_key.node.getPositionY();
                var per = Math.floor(PosY / this.m_listView.getInnerContainerSize().height * 100);
                this.m_listView.jumpToPercentVertical(100 - per);
            }
        };
        ui_zhuangbei.prototype.left = function () {
            if (this.m_CBaseKeyState.left()) {
                this.updateDes(this.m_CBaseKeyState.m_key.node.getUserData());
                this.m_curKey = this.m_CBaseKeyState.m_key.node;
            }
        };
        ui_zhuangbei.prototype.right = function () {
            if (this.m_CBaseKeyState.right()) {
                this.updateDes(this.m_CBaseKeyState.m_key.node.getUserData());
                this.m_curKey = this.m_CBaseKeyState.m_key.node;
            }
        };
        ui_zhuangbei.prototype.oninit = function (data) {
            var root = this._parseUIFile("shangcheng_wuqi.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            var tuichu = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (!game.Version_mgr.getInstance().isPhone()) {
                game.dataMgr.getMe().loadCheckBoximg(tuichu, "xingjietantantang/big/ui/image/ddt_ui138b.png");
            }
            tuichu.addTouchEventListener(this.tuichu_func, this);
            this.m_listView = ccui.helper.seekWidgetByName(this.m_root, "ScrollView_1");
            this.initUI();
            this.importWeapon();
            this.updateUi();
            this.m_CBaseKeyState.init(this);
            this.m_CBaseKeyState.setUIName("zhuangbei");
            this.m_CBaseKeyState.setCurKey_byName("wuqi_1");
        };
        ui_zhuangbei.prototype.tuichu_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        };
        ui_zhuangbei.prototype.setInformation = function (CheckBox, weaponName) {
            var name = ccui.helper.seekWidgetByName(CheckBox, "biaoti");
            var img = ccui.helper.seekWidgetByName(CheckBox, "zhaungbei");
            var zuansi = ccui.helper.seekWidgetByName(CheckBox, "shumu_zuanshi");
            var jinbi_image = ccui.helper.seekWidgetByName(CheckBox, "jinbi");
            var jinbi = ccui.helper.seekWidgetByName(CheckBox, "shumu_jinbi");
            var zongshu = ccui.helper.seekWidgetByName(CheckBox, "zonshu");
            zongshu.setString("/2");
            var weaponconfig = game.itemMgr.getMe().getWeaponConfig(weaponName);
            name.setString(weaponconfig.desName);
            img.loadTexture(weaponconfig.icon);
            zuansi.setString(game.itemMgr.getMe().getitemPriceZuansi(weaponName));
            if (weaponconfig.jinbi == -1 || weaponconfig.jinbi == 0) {
                jinbi.setVisible(false);
                jinbi_image.setVisible(false);
            }
            else {
                jinbi.setVisible(true);
                jinbi_image.setVisible(true);
            }
            jinbi.setString(game.itemMgr.getMe().getitemPricejinbi(weaponName));
        };
        //导入装备的信息
        ui_zhuangbei.prototype.importWeapon = function () {
            var index = 0;
            for (var p in game.g_shangcheng_config["wuqi"]) {
                var node = this.m_checkBoxs.getByIndex(index);
                index++;
                node.setUserData(game.g_shangcheng_config["wuqi"][p]);
                this.setInformation(node, game.g_shangcheng_config["wuqi"][p]);
            }
            while (index < 19) {
                var node = this.m_checkBoxs.getByIndex(index);
                node.setVisible(false);
                index++;
            }
            this.m_curKey = this.m_checkBoxs.getByIndex(0);
            this.updateDes(this.m_checkBoxs.getByIndex(0).getUserData());
        };
        ui_zhuangbei.prototype.initUI = function () {
            for (var p = 1; p <= 19; p++) {
                var weaponnode = ccui.helper.seekWidgetByName(this.m_listView, "wuqi_" + p);
                weaponnode.addTouchEventListener(this.buyEx, this);
                this.m_checkBoxs.set("wuqi" + p, weaponnode);
                if (game.Version_mgr.getInstance().isPhone()) {
                    var uitexiao = ccui.helper.seekWidgetByName(weaponnode, "uitexiao");
                    uitexiao.setVisible(false);
                }
                else {
                    this.m_CBaseKeyState.regNodeEx(weaponnode, p);
                }
            }
            if (game.Version_mgr.getInstance().isPhone()) {
                var image = ccui.helper.seekWidgetByTag(this.m_root, 1055);
                image.setVisible(false);
            }
            else {
                this.m_CBaseKeyState.setUIName("zhuangbei");
                this.m_CBaseKeyState.init(this);
                this.m_CBaseKeyState.setCurKey_byName("wuqi_1");
            }
        };
        ui_zhuangbei.prototype.DoEnterCurButton = function () {
            if (this.m_curKey) {
                this.buyEx(this.m_curKey, ccui.Widget.TOUCH_ENDED);
            }
        };
        ui_zhuangbei.prototype.buyEx = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        var texiao = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        texiao.setVisible(true);
                        this.updateDes(sender.getUserData());
                    }
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        var texiao = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        texiao.setVisible(false);
                    }
                    this.m_weapontype = sender.getUserData();
                    var weapons = game.dataMgr.getMe().getWeaponconfig(this.m_weapontype);
                    if (game.itemMgr.getMe().getWeaponNum(this.m_weapontype) >= 2) {
                        // ui_messageBox.ShowOrHide(true, "武器已满！");
                        return;
                    }
                    if (weapons.jinbi == 1) {
                        game.ui_goumaitype.ShowOrHide(true, game.itemMgr.getMe().stringToType(this.m_weapontype));
                    }
                    else {
                        // let price:number = itemMgr.getMe().getitemPriceZuansi(this.m_weapontype);
                        // buy_mgr.getInstance().shoppingByDiamond(price,"解锁武器",ui_zhuangbei.getMe().buySucceedCallBack,null)
                        game.buy_mgr.getInstance().buyWeapon_buy(ui_zhuangbei.getMe().buySucceedCallBack, this, this.m_weapontype);
                    }
                    break;
                case ccui.Widget.TOUCH_CANCELED:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        var texiao = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        texiao.setVisible(false);
                    }
                    break;
            }
        };
        ui_zhuangbei.prototype.buySucceedCallBack = function () {
            if (!game.itemMgr.getMe().getWeaponislock(game.itemMgr.getMe().stringToType(ui_zhuangbei.getMe().m_weapontype))) {
                ui_zhuangbei.getMe().updateSucceedUI(ui_zhuangbei.getMe().m_weapontype);
                return;
            }
            if (game.itemMgr.getMe().getWeaponislock(game.itemMgr.getMe().stringToType(ui_zhuangbei.getMe().m_weapontype))) {
                var str = ui_zhuangbei.getMe().m_weapontype;
                if (!game.itemMgr.getMe().getWeaponislock(game.itemMgr.getMe().stringToType(str + "_1"))) {
                    ui_zhuangbei.getMe().updateSucceedUI(str + "_1");
                }
            }
        };
        ui_zhuangbei.prototype.updateSucceedUI = function (Weaponname) {
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     itemMgr.getMe().getitemPriceZuansi(ui_zhuangbei.getMe().m_weapontype) +  "钻石解锁 "+
            //     g_weapon_play[ui_zhuangbei.getMe().m_weapontype].desName+"武器");
            game.itemMgr.getMe().setWeaponLock(game.itemMgr.getMe().stringToType(Weaponname));
            ui_zhuangbei.getMe().updateUi();
            var conf = game.dataMgr.getMe().getWeaponconfig(Weaponname);
            game.ui_goumaichenggong.ShowOrHide(true, {
                name: "wupin",
                num: 1,
                icon: conf.icon,
                iconName: conf.desName
            });
            game.dataMgr.getMe().addTittleNum(game.e_chenghao.e_1, 1);
        };
        ui_zhuangbei.prototype.updateUi = function () {
            var tiliNode = ccui.helper.seekWidgetByName(this.m_root, "tili");
            var curtili = ccui.helper.seekWidgetByName(tiliNode, "danqian");
            curtili.setString(game.itemMgr.getMe().getItemnumbyType(game.e_item.e_tili).toString());
            var maxenery = ccui.helper.seekWidgetByName(tiliNode, "zongshu");
            maxenery.setString("/" + game.g_max_energy);
            if (game.dataMgr.getMe().getViplevel() >= game.g_tilishangxianunlock) {
                maxenery.setString("/" + Number(game.g_max_energy * 2));
            }
            var zuanshi = ccui.helper.seekWidgetByTag(this.m_root, 361);
            zuanshi.setString(game.itemMgr.getMe().getItemnumbyType(game.e_item.e_zuanshi).toString());
            var jinbi = ccui.helper.seekWidgetByTag(this.m_root, 359);
            jinbi.setString(game.itemMgr.getMe().getItemnumbyType(game.e_item.e_jinbi).toString());
            this.updateHasWeapon();
        };
        //更新武器拥有数
        ui_zhuangbei.prototype.updateHasWeapon = function () {
            var index = 0;
            for (var p in game.g_shangcheng_config["wuqi"]) {
                var weaponNode = this.m_checkBoxs.getByIndex(index);
                var hasnum = ccui.helper.seekWidgetByName(weaponNode, "shuliang");
                index++;
                hasnum.setString(game.itemMgr.getMe().getWeaponNum(game.g_shangcheng_config["wuqi"][p]).toString());
            }
        };
        ui_zhuangbei.prototype.updateDes = function (keyname) {
            var weaponconfig = game.itemMgr.getMe().getWeaponConfig(keyname.replace("_", ""));
            var zhuangbeixinxi = ccui.helper.seekWidgetByName(this.m_root, "zhuangbeixinxi");
            var name = ccui.helper.seekWidgetByName(zhuangbeixinxi, "name");
            var des = ccui.helper.seekWidgetByName(zhuangbeixinxi, "miaoshu");
            var shecheng = ccui.helper.seekWidgetByName(zhuangbeixinxi, "shecheng");
            var jiaodu = ccui.helper.seekWidgetByName(zhuangbeixinxi, "jiaodu");
            var leixing = ccui.helper.seekWidgetByName(zhuangbeixinxi, "leixing");
            var shanghai = ccui.helper.seekWidgetByName(zhuangbeixinxi, "gongji");
            var danyaoshu = ccui.helper.seekWidgetByName(zhuangbeixinxi, "danyao");
            var LoadingBar_shanghai = ccui.helper.seekWidgetByName(shanghai, "LoadingBar_2");
            var shuzhi_shanghai = ccui.helper.seekWidgetByName(shanghai, "shuzhi");
            var LoadingBar_danyaoshu = ccui.helper.seekWidgetByName(danyaoshu, "LoadingBar_2");
            var shuzhi_danyaoshu = ccui.helper.seekWidgetByName(danyaoshu, "shuzhi");
            var Text = ccui.helper.seekWidgetByName(shanghai, "Text_47");
            if (keyname == "wuqi19" || keyname == "wuqi19_1") {
                Text.setString("回复值:");
            }
            else {
                Text.setString("伤害值:");
            }
            if (weaponconfig) {
                name.setString(weaponconfig.desName);
                if (weaponconfig.des == null) {
                    return;
                }
                des.setString(weaponconfig.des);
                shecheng.setString(game.getWeaponConfig()[keyname.replace("_", "")][0].range);
                leixing.setString(weaponconfig.damageType2);
                shuzhi_shanghai.setString(game.getWeaponConfig()[keyname.replace("_", "")][0].damage);
                shuzhi_danyaoshu.setString(game.getWeaponConfig()[keyname.replace("_", "")][0].bulletNum);
                LoadingBar_shanghai.setPercent(game.getWeaponConfig()[keyname.replace("_", "")][0].damage / (game.dataMgr.getMe().getWeaponMax("damage")) * 100);
                LoadingBar_danyaoshu.setPercent(game.getWeaponConfig()[keyname.replace("_", "")][0].bulletNum / (game.dataMgr.getMe().getWeaponMax("danyao")) * 100);
            }
        };
        ui_zhuangbei.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
                this.updateUi();
                if (game.Version_mgr.getInstance().isPhone()) {
                }
                else {
                }
            }
        };
        ui_zhuangbei.prototype.onBack = function () {
            game.ui_shop.ShowOrHide(true);
            ui_zhuangbei.ShowOrHide(false);
        };
        ui_zhuangbei.g_instarn = null;
        ui_zhuangbei.getMe = function () {
            return game.ui_zhuangbei.g_instarn;
        };
        ui_zhuangbei.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, game.ui_zhuangbei, null, 1005);
        };
        return ui_zhuangbei;
    }(game.UiBase));
    game.ui_zhuangbei = ui_zhuangbei;
})(game || (game = {}));
//# sourceMappingURL=ui_zhuangbei.js.map