module game{
    export class ui_zuanshi extends game.UiBase {
        static g_instarn: ui_zuanshi = null;
        static getMe = function (): ui_zuanshi {
            return game.ui_zuanshi.g_instarn;
        };
        m_CBaseKeyState:BaseKeyState_LR;
        static ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, game.ui_zuanshi, null, 1005);
        };
        constructor() {
            super();
            this.m_des = "ui_zuanshi";
            this.m_CBaseKeyState = new BaseKeyState_LR();
        }
        left(){
            this.m_CBaseKeyState.left()
        }
        right(){
            this.m_CBaseKeyState.right()
        }
        oninit(data) {

            let root = this._parseUIFile("shangcheng_zuanshi.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.m_CBaseKeyState.m_ScrollView = ccui.helper.seekWidgetByName(this.m_root,"ScrollView_1")
            // 关闭滚动条方法
            if (cc.sys.isNative){
                this.m_CBaseKeyState.m_ScrollView.setScrollBarEnabled(false);
            }

            let erweima:ccui.CheckBox = ccui.helper.seekWidgetByName(root,"erweima");
            erweima.setVisible(false);
            if(Version_mgr.getInstance().isPhone() || Version_mgr.getInstance().getCurVersion() == e_game_Version.e_version_web){
                erweima.setVisible(true);
            }

            let checkboxArray:Array<ccui.CheckBox> = ccui.helper.seekWidgetByType(this.m_root,"CheckBox")
            let regNum = 1
            for(let p in checkboxArray) {
                let _node = checkboxArray[p]
                if(checkboxArray[p].getName() == "tuichu")
                {
                    if(!Version_mgr.getInstance().isPhone()){
                        dataMgr.getMe().loadCheckBoximg(checkboxArray[p],"xingjietantantang/big/ui/image/ddt_ui138b.png")
                    }
                    _node.addTouchEventListener(function (sender, type ) {
                        if(type == ccui.Widget.TOUCH_ENDED)
                        {
                            this.onBack()
                        }
                    }.bind(this), this)
                }
                else
                {
                    if(checkboxArray[p].getName().indexOf("zuanshi") > -1)
                    {
                        let goodsconfig = Version_mgr.getInstance().getRmbPriceByTag(checkboxArray[p].getName())
                        let rmbnum:ccui.Text = ccui.helper.seekWidgetByName(_node,"shumu")
                        let diamondnum:ccui.Text = ccui.helper.seekWidgetByName(_node,"shuliang")
                        let pricetype:ccui.Text = ccui.helper.seekWidgetByName(_node,"Text_11")
                        rmbnum.setString(goodsconfig.money)
                        diamondnum.setString(goodsconfig.diamond)
                        pricetype.setString(Version_mgr.getInstance().m_option.huobi)
                    }
                    else if(checkboxArray[p].getName().indexOf("tili") > -1)
                    {
                        let diamondnumui:ccui.Text = ccui.helper.seekWidgetByName(_node,"shumu")
                        let addnumui:ccui.Text = ccui.helper.seekWidgetByName(_node,"shuliang")
                        diamondnumui.setString(Version_mgr.getInstance().getDiamondPriceBystr("tili"))
                        addnumui.setString(g_max_energy);
                        if(dataMgr.getMe().getViplevel() >= g_tilishangxianunlock){
                            addnumui.setString(g_max_energy*2);
                        }
                    }
                    _node.addTouchEventListener(this.press, this)
                    if(Version_mgr.getInstance().isPhone()){
                        let texiao:ccui.ImageView = ccui.helper.seekWidgetByName(_node,"uitexiao");
                        texiao.setVisible(false);
                    }else {
                        this.m_CBaseKeyState.regNodeEx(_node, regNum++)
                    }
                }

            }

            if(Version_mgr.getInstance().isPhone()){
                let image:ccui.Text = ccui.helper.seekWidgetByTag(this.m_root,1057);
                image.setVisible(false);
            }else {
                this.m_CBaseKeyState.m_ui_map = this;
                this.m_CBaseKeyState.setUIName("baozhang");
                this.m_CBaseKeyState.init(this);
            }
            this.updateUi()
        }

        updateUi()
        {
            let tiliNode:cc.Node = ccui.helper.seekWidgetByName(this.m_root,"tili")
            let curtili:ccui.Text = ccui.helper.seekWidgetByName(tiliNode,"danqian")
            curtili.setString(itemMgr.getMe().getItemnumbyType(e_item.e_tili).toString())

            let zuansiNode:cc.Node = ccui.helper.seekWidgetByName(this.m_root,"zuanshi")
            let zuanshi:ccui.Text = ccui.helper.seekWidgetByName(zuansiNode,"shuliang")
            zuanshi.setString(itemMgr.getMe().getItemnumbyType(e_item.e_zuanshi).toString())

            let maxenery:ccui.Text = ccui.helper.seekWidgetByName(tiliNode,"zongshu");
            maxenery.setString( "/" + g_max_energy);
            if(dataMgr.getMe().getViplevel() >= g_tilishangxianunlock){
                maxenery.setString("/" + Number(g_max_energy * 2))
            }

            let jinbiNode:cc.Node = ccui.helper.seekWidgetByName(this.m_root,"jinbi")
            let jinbi:ccui.Text = ccui.helper.seekWidgetByName(jinbiNode,"shuliang")
            jinbi.setString(itemMgr.getMe().getItemnumbyType(e_item.e_jinbi).toString())
        }
        press( sender:ccui.CheckBox, type )
        {
            switch ( type )
            {
                case ccui.Widget.TOUCH_BEGAN:
                    if(Version_mgr.getInstance().isPhone()){
                        let texiao:ccui.ImageView = ccui.helper.seekWidgetByName(sender,"uitexiao");
                        texiao.setVisible(true);
                    }
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    if(Version_mgr.getInstance().isPhone()){
                        let texiao:ccui.ImageView = ccui.helper.seekWidgetByName(sender,"uitexiao");
                        texiao.setVisible(false);
                    }
                    this.m_CBaseKeyState.setCurKey(sender)
                    let goodsname = sender.getName()
                    if(goodsname.indexOf("zuanshi") > -1)
                    {
                        let goodstag = goodsname.replace(/zuanshi/,'')
                        this.m_tagDiamond = goodstag;
                        buy_mgr.getInstance().buyDiamonds_buy(goodstag,this.buySucceedCallback.bind(this));
                    }
                    else if(goodsname == "tili"){
                       this.m_curtilinum = dataMgr.getMe().getItemByName(e_item.e_tili);
                         this.m_maxtili = g_max_energy;
                        if(dataMgr.getMe().getViplevel() >= g_tilishangxianunlock ){
                            this.m_maxtili = g_max_energy*2;
                        }
                        if(this.m_curtilinum >= this.m_maxtili){
                            ui_messageBox.ShowOrHide(true,"体力已满！无法购买");
                            return ;
                        }
                        let price_tili:number = Version_mgr.getInstance().getDiamondPriceBystr("tili");
                        // buy_mgr.getInstance().shoppingByDiamond(price_tili,"补足体力",
                        //     ui_zuanshi.getMe().buyTiliSucceedCallBack,null)
                        buy_mgr.getInstance().buyStrength_buy(this.buyTiliSucceedCallBack,this,price_tili);
                    }
                    else if(goodsname == "duihuama")
                    {
                        // ui_zuanshi.ShowOrHide(false);
                        ui_duihuanma.ShowOrHide(true);
                    }
                    this.updateUi();
                    break;
                case ccui.Widget.TOUCH_CANCELED:
                    if(Version_mgr.getInstance().isPhone()){
                        let texiao:ccui.ImageView = ccui.helper.seekWidgetByName(sender,"uitexiao");
                        texiao.setVisible(false);
                    }
                    break;
            }
        }
        m_tagDiamond:string = null;
        buySucceedCallback()
        {
            // let goodsconfig = Version_mgr.getInstance().getRmbPriceByTag(this.m_tagDiamond);
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,"购买 "+goodsconfig +"钻石");
            this.updateUi();
            fileMgr.savePlayInfo_callback();
        }

        m_maxtili:number//体力上限
        m_curtilinum:number//当前体力
        buyTiliSucceedCallBack(){
            dataMgr.getMe().addItemByType(e_item.e_tili, ui_zuanshi.getMe().m_maxtili - ui_zuanshi.getMe().m_curtilinum);
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,"购买 "+
            //     (ui_zuanshi.getMe().m_maxtili - ui_zuanshi.getMe().m_curtilinum )+"体力");
            ui_messageBox.ShowOrHide(true,"购买体力成功！");
            ui_zuanshi.getMe().updateUi()
        }
        loop( t )
        {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t)
            }
            this.updateUi()
        }
        onBack(){
            ui_shop.ShowOrHide(true);
            ui_zuanshi.ShowOrHide(false);
        }

    }

    export class ui_Viptexiao extends game.UiBase {
        static g_instarn: ui_Viptexiao = null;
        static getMe = function (): ui_Viptexiao {
            return game.ui_Viptexiao.g_instarn;
        };
        static ShowOrHide = function (flag,level?) {
            game.UiBase.ShowOrHide(flag, game.ui_Viptexiao, null, 5000,level);
        };
        constructor() {
            super();
            this.m_des = "ui_Viptexiao";
            this.m_CBaseKeyState = new BaseKeyState();
        }
        oninit(level) {
            let root = this._parseUIFile("vipshengji.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            let queding:ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root,"quedin");
            queding.addTouchEventListener(this.press,this);
            this.m_CBaseKeyState.regNodeEx(queding,1);
            this.m_CBaseKeyState.init(this);
            let iamg:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"Image_52");
            iamg.loadTexture("xingjietantantang/big/ui/image/ddt_vip" + level.toString() + ".png");
        }


        press( sender:ccui.CheckBox, type )
        {
            switch ( type )
            {
                case ccui.Widget.TOUCH_ENDED:


                    break;
            }
        }


        onBack(){
            ui_Viptexiao.ShowOrHide(false);
        }

    }

    export class ui_VipEffectEx extends game.UiBase {
        static g_instarn: ui_VipEffectEx;
        static getMe = function (): ui_VipEffectEx {
            return ui_VipEffectEx.g_instarn;
        };
        static ShowOrHide = function (flag, data) {
            game.UiBase.ShowOrHide(flag, game.ui_VipEffectEx, null, 5000, data);
        };

        m_callback;
        constructor() {
            super();
            this.m_des = "ui_Viptexiao";
            this.m_CBaseKeyState = new BaseKeyState();
        }

        oninit(data) {
            this.m_callback = data.callback;
            let level = data.level;
            let root = this._parseUIFile("vipshengji.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            let queding: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "quedin");
            queding.addTouchEventListener(this.press, this);
            this.m_CBaseKeyState.regNodeEx(queding, 1);
            this.m_CBaseKeyState.init(this);
            let iamg: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "Image_52");
            iamg.loadTexture("xingjietantantang/big/ui/image/ddt_vip" + level.toString() + ".png");
        }

        // DoEnterCurButton(){
        //     ui_VipEffectEx.ShowOrHide(false,null);
        //     this.callback();
        // }

        callback(){
            if(this.m_callback){
                this.m_callback.call();
                this.m_callback = null;
            }
        }

        press(sender: ccui.CheckBox, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    ui_VipEffectEx.ShowOrHide(false,null);
                    this.callback();
                    break;
            }
        }

    }
}

