var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_chengjiu = (function (_super) {
        __extends(ui_chengjiu, _super);
        function ui_chengjiu() {
            _super.call(this);
            this.m_node_clone = null;
            this.m_listView = null;
            this.m_first = true;
            this.m_CurSender = null;
            this.m_iselect = true; //是否选择佩戴
            this.m_des = "ui_chengjiu";
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_chengjiu.prototype.onBack = function () {
            ui_chengjiu.ShowOrHide(false);
            game.ui_mainScene.ShowOrHide(true);
        };
        ui_chengjiu.prototype.oninit = function () {
            var root = this._parseUIFile("chengjiu.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            var tuichu = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (!game.Version_mgr.getInstance().isPhone()) {
                if (tuichu) {
                    game.dataMgr.getMe().loadCheckBoximg(tuichu, "xingjietantantang/big/ui/image/ddt_ui138b.png");
                }
            }
            tuichu.addTouchEventListener(this.tuichu_func, this);
            this.m_listView = ccui.helper.seekWidgetByName(this.m_root, "ListView_1");
            this.m_node_clone = ccui.helper.seekWidgetByName(this.m_listView, "chengjiu_1");
            this.m_node_clone.retain();
            this.m_listView.removeChild(this.m_node_clone, true);
            this.setMyRankinformathion();
            this.infordataUI();
            this.updateMyTittleui();
            if (!game.Version_mgr.getInstance().isPhone()) {
                this.m_CBaseKeyState.init(this);
                this.m_CBaseKeyState.setCurKey_byId(0);
            }
        };
        ui_chengjiu.prototype.tuichu_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        };
        ui_chengjiu.prototype.up = function () {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.up();
                var height = this.m_listView.getInnerContainerSize().height;
                var node = this.m_CBaseKeyState.m_key.node;
                this.updateshowui(node.getUserData().data);
                var per = Math.floor((node.getPositionY() + node.getContentSize().height / 2) / height * 100);
                this.m_listView.jumpToPercentVertical(100 - per);
            }
        };
        ui_chengjiu.prototype.down = function () {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.down();
                var height = this.m_listView.getInnerContainerSize().height;
                var node = this.m_CBaseKeyState.m_key.node;
                this.updateshowui(node.getUserData().data);
                var per = Math.floor((node.getPositionY() - node.getContentSize().height / 2) / height * 100);
                this.m_listView.jumpToPercentVertical(100 - per);
            }
        };
        ui_chengjiu.prototype.infordataUI = function () {
            var index = 1;
            for (var p in game.g_chenghao_config) {
                if (p == "default") {
                    continue;
                }
                var data = game.g_chenghao_config[p];
                for (var k in data) {
                    if (k == "1" || k == "2" || k == "3") {
                        var level = game.dataMgr.getMe().getTittlelevel(p);
                        if (k == "1" && level == -1) {
                            this.updateUI(data[k], k, p, index++);
                        }
                        else if (level == 1 && k == "2") {
                            this.updateUI(data[k], k, p, index++);
                        }
                        else if ((level == 2 || level == 3) && k == "3") {
                            this.updateUI(data[k], k, p, index++);
                        }
                    }
                }
            }
        };
        ui_chengjiu.prototype.updateUI = function (data, k, p, index) {
            var checkBox = this.m_node_clone.clone();
            checkBox.addTouchEventListener(this.select_tittle, this);
            var titledata = data;
            var chengjiu = { chenghao: p, data: titledata };
            checkBox.setUserData(chengjiu);
            var mytittledata = game.dataMgr.getMe().getTittlePlayDataByType(p);
            switch (k) {
                case "1":
                    this.setChengjiuInformation(checkBox, titledata, "xingjietantantang/big/ui/image/ddt_ui42.png", k);
                    this.setLoadingPer(checkBox, titledata, mytittledata);
                    break;
                case "2":
                    this.setChengjiuInformation(checkBox, titledata, "xingjietantantang/big/ui/image/ddt_ui43.png", k);
                    this.setLoadingPer(checkBox, titledata, mytittledata);
                    break;
                case "3":
                    this.setChengjiuInformation(checkBox, titledata, "xingjietantantang/big/ui/image/ddt_ui44.png", k);
                    this.setLoadingPer(checkBox, titledata, mytittledata);
                    break;
            }
            this.m_listView.addChild(checkBox);
            if (this.m_first) {
                this.m_first = false;
                this.updateshowui(checkBox.getUserData().data);
            }
            if (game.Version_mgr.getInstance().isPhone()) {
                checkBox.setSelected(false);
            }
            else {
                this.m_CBaseKeyState.regNodeEx(checkBox, index);
            }
        };
        //设置排名信息
        ui_chengjiu.prototype.setMyRankinformathion = function () {
            var bestrank = ccui.helper.seekWidgetByName(this.m_root, "paiming_lishi");
            var bestscore = ccui.helper.seekWidgetByName(this.m_root, "jifen_lishi");
            var dangqian = ccui.helper.seekWidgetByName(this.m_root, "jifen");
            var dangqianrank = ccui.helper.seekWidgetByName(this.m_root, "paiming");
            var weipaimng = ccui.helper.seekWidgetByName(this.m_root, "weipaiming");
            var tubiao = ccui.helper.seekWidgetByName(this.m_root, "tubiao");
            var name = ccui.helper.seekWidgetByName(this.m_root, "name");
            var level = ccui.helper.seekWidgetByName(this.m_root, "lv");
            var lishitubiao = ccui.helper.seekWidgetByName(this.m_root, "tubiao_lishi");
            var weipaiming = ccui.helper.seekWidgetByName(this.m_root, "paiming_lishi2");
            lishitubiao.loadTexture(game.ui_juese.getIcon(game.dataMgr.getMe().getBestRank()));
            weipaimng.setVisible(false);
            if (game.dataMgr.getMe().getRank() >= 99999) {
                weipaimng.setVisible(true);
                dangqianrank.setVisible(false);
            }
            dangqian.setString(game.dataMgr.getMe().getRankScore());
            bestscore.setString(game.dataMgr.getMe().getBestScore());
            if (game.dataMgr.getMe().getBestRank() >= 99999) {
                weipaiming.setVisible(true);
                bestrank.setVisible(false);
            }
            else {
                weipaiming.setVisible(false);
                bestrank.setVisible(true);
                bestrank.setString(game.dataMgr.getMe().getBestRank());
            }
            dangqianrank.setString(game.dataMgr.getMe().getRank());
            tubiao.loadTexture(game.ui_juese.getIcon(game.dataMgr.getMe().getRank()));
            name.setString(game.dataMgr.getMe().getNickName());
            level.setString(game.dataMgr.getMe().getlevel().toString());
        };
        //设置进度
        ui_chengjiu.prototype.setLoadingPer = function (checkBox, tittledata, num) {
            var wancheng = ccui.helper.seekWidgetByName(checkBox, "wancheng");
            var jindu = ccui.helper.seekWidgetByName(checkBox, "jindu");
            var loadingbar = ccui.helper.seekWidgetByName(jindu, "LoadingBar_1");
            var shuzhi = ccui.helper.seekWidgetByName(jindu, "shuzhi");
            loadingbar.setVisible(true);
            wancheng.setVisible(false);
            shuzhi.setString(num + "/" + tittledata.num);
            var per = num / tittledata.num * 100;
            if (per >= 100) {
                per = 100;
                loadingbar.setVisible(true);
                wancheng.setVisible(true);
                shuzhi.setVisible(false);
            }
            else if (per <= 0) {
                per = 0;
            }
            loadingbar.setPercent(per);
            if (checkBox.getUserData().chenghao == "chenghao_5") {
                if (num == 0) {
                    loadingbar.setPercent(0);
                    shuzhi.setString("0/1");
                    wancheng.setVisible(false);
                    shuzhi.setVisible(true);
                }
                else {
                    loadingbar.setPercent(num <= tittledata.num ? 100 : 0);
                    shuzhi.setString(num <= tittledata.num ? "1/1" : "0/1");
                    wancheng.setVisible(false);
                    shuzhi.setVisible(true);
                    if (num <= tittledata.num) {
                        wancheng.setVisible(true);
                        shuzhi.setVisible(false);
                    }
                }
            }
        };
        //设置成就信息
        ui_chengjiu.prototype.setChengjiuInformation = function (checkBox, tittledata, path, index) {
            var name = ccui.helper.seekWidgetByName(checkBox, "name");
            var backimg = ccui.helper.seekWidgetByName(checkBox, "Image_33");
            var jieshao = ccui.helper.seekWidgetByName(checkBox, "jieshao");
            var leveltxt = ccui.helper.seekWidgetByName(checkBox, "Text_55");
            name.setString(tittledata.desName);
            jieshao.setString(tittledata.need);
            leveltxt.setString(index);
            backimg.loadTexture(path);
            // name.setTextColor(color);
            // leveltxt.setTextColor(color)
        };
        ui_chengjiu.prototype.select_tittle = function (sender, type) {
            if (type == ccui.Widget.TOUCH_BEGAN) {
                if (game.Version_mgr.getInstance().isPhone()) {
                    if (this.m_CurSender) {
                        this.m_CurSender.setSelected(false);
                    }
                    sender.setSelected(true);
                    this.m_CurSender = sender;
                    this.updateshowui(sender.getUserData().data);
                }
            }
            if (type == ccui.Widget.TOUCH_ENDED) {
                var chenghao = sender.getUserData().chenghao;
                var level = game.dataMgr.getMe().getTittlelevel(chenghao);
                var curnum = game.dataMgr.getMe().getTittlePlayDataByType(chenghao);
                if (level == -1) {
                    return;
                }
                var zongnum = 0;
                if (game.dataMgr.getMe().getTittleConfigBytag(chenghao, level - 1) == null) {
                    zongnum = game.dataMgr.getMe().getTittleConfigBytag(chenghao, 1).num;
                }
                else {
                    zongnum = game.dataMgr.getMe().getTittleConfigBytag(chenghao, level - 1).num;
                }
                console.log("zongnum:" + zongnum);
                console.log("curnum:" + curnum);
                this.m_iselect = true;
                if (chenghao == "chenghao_5") {
                    if (curnum <= zongnum) {
                        game.ui_chengjiupeidai.ShowOrHide(true, chenghao);
                    }
                }
                else {
                    if (curnum < zongnum) {
                        return;
                    }
                    game.ui_chengjiupeidai.ShowOrHide(true, chenghao);
                }
            }
        };
        ui_chengjiu.prototype.updateMyTittleui = function () {
            var nantittleui = ccui.helper.seekWidgetByName(this.m_root, "chengjiu_chenghao_nan");
            var nvtittleui = ccui.helper.seekWidgetByName(this.m_root, "chengjiu_chenghao_nv");
            var nantittle = game.dataMgr.getMe().getTittle("nan");
            var level_nan = game.dataMgr.getMe().getTittlelevel(nantittle);
            var nantittleconfig = game.dataMgr.getMe().getTittleConfigBytag(nantittle, level_nan);
            var nvtittle = game.dataMgr.getMe().getTittle("nv");
            var level_nv = game.dataMgr.getMe().getTittlelevel(nvtittle);
            var nvtittleconfig = game.dataMgr.getMe().getTittleConfigBytag(nvtittle, level_nv);
            if (nantittleconfig && this.m_iselect) {
                nantittleui.setVisible(true);
                // if(dataMgr.getMe().getCurHero() != "nan"){
                //     nantittleui.setVisible(false);
                // }
                nantittleui.loadTexture(nantittleconfig.icon);
            }
            else {
                nantittleui.setVisible(false);
            }
            if (nvtittleconfig && this.m_iselect) {
                nvtittleui.setVisible(true);
                // if(dataMgr.getMe().getCurHero() != "nv"){
                //     nantittleui.setVisible(false);
                // }
                nvtittleui.loadTexture(nvtittleconfig.icon);
            }
            else {
                nvtittleui.setVisible(false);
            }
        };
        ui_chengjiu.prototype.updateshowui = function (tittledata) {
            var tittleui = ccui.helper.seekWidgetByName(this.m_root, "peidai_chenghao");
            tittleui.loadTexture(tittledata.icon);
            //当前选择称号属性设置
            var teshu = ccui.helper.seekWidgetByName(this.m_root, "miaoshu");
            teshu.setString(tittledata.des);
            // let shanghai
            var atkui = ccui.helper.seekWidgetByTag(this.m_root, 413);
            var hpui = ccui.helper.seekWidgetByTag(this.m_root, 414);
            var defui = ccui.helper.seekWidgetByTag(this.m_root, 415);
            var powerui = ccui.helper.seekWidgetByTag(this.m_root, 416);
            var gongji = ccui.helper.seekWidgetByName(this.m_root, "gongji");
            var LoadingBar_2_gongji = ccui.helper.seekWidgetByName(gongji, "LoadingBar_2");
            var xueliang = ccui.helper.seekWidgetByName(this.m_root, "xueliang");
            var LoadingBar_2_xueliang = ccui.helper.seekWidgetByName(xueliang, "LoadingBar_2");
            var jianshang = ccui.helper.seekWidgetByTag(this.m_root, 393);
            var LoadingBar_2_jianshang = ccui.helper.seekWidgetByName(jianshang, "LoadingBar_2");
            var naili_img = ccui.helper.seekWidgetByTag(this.m_root, 399);
            var LoadingBar_2_naili_img = ccui.helper.seekWidgetByName(naili_img, "LoadingBar_2");
            atkui.setString(tittledata.damage);
            hpui.setString(tittledata.hp);
            defui.setString(Math.floor(tittledata.def * 100) + '%');
            powerui.setString(tittledata.power);
            LoadingBar_2_gongji.setPercent(tittledata.damage / game.dataMgr.getMe().getChenghaoMax("damage") * 100);
            LoadingBar_2_xueliang.setPercent(tittledata.hp / (game.dataMgr.getMe().getChenghaoMax("hp")) * 100);
            LoadingBar_2_jianshang.setPercent(tittledata.def / game.dataMgr.getMe().getChenghaoMax("damageRes") * 100);
            LoadingBar_2_naili_img.setPercent(tittledata.power / game.dataMgr.getMe().getChenghaoMax("power") * 100);
        };
        ui_chengjiu.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
                if (!game.Version_mgr.getInstance().isPhone()) {
                }
            }
            // this.update_tili()
        };
        ui_chengjiu.g_instarn = null;
        ui_chengjiu.getMe = function () {
            return ui_chengjiu.g_instarn;
        };
        ui_chengjiu.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_chengjiu, game.uiMgr.getMe(), 1003);
        };
        return ui_chengjiu;
    }(game.UiBase));
    game.ui_chengjiu = ui_chengjiu;
})(game || (game = {}));
//# sourceMappingURL=ui_chengjiu.js.map