var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_saodang = (function (_super) {
        __extends(ui_saodang, _super);
        function ui_saodang() {
            _super.call(this);
            this.m_awardlist = []; //一次扫荡奖励
            this.m_awardlistTen = [];
            this.m_state = false;
            this.m_des = "ui_saodang";
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_saodang.prototype.up = function () {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.up();
                var nodekey = this.m_CBaseKeyState.m_key.getName();
                if (nodekey == "x1") {
                    this.setTexiao(3);
                }
                else if (nodekey == "x10") {
                    this.setTexiao(2);
                }
                else if (nodekey == "x10_0") {
                    this.setTexiao(1);
                }
            }
        };
        ui_saodang.prototype.down = function () {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.down();
                var nodekey = this.m_CBaseKeyState.m_key.getName();
                if (nodekey == "x1") {
                    this.setTexiao(3);
                }
                else if (nodekey == "x10") {
                    this.setTexiao(2);
                }
                else if (nodekey == "x10_0") {
                    this.setTexiao(1);
                }
            }
        };
        ui_saodang.prototype.oninit = function (guankaid) {
            this.setOpacity(255 * 0.0);
            var root = this._parseUIFile("saodang.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            if (game.ui_daditu.getMe()) {
                game.ui_daditu.getMe().m_ScrollView.setTouchEnabled(false);
            }
            var guankaconfig = cc.clone(game.g_scene_config["sceneA_" + game.g_select_guanka]);
            var saodang = ccui.helper.seekWidgetByName(this.m_root, "x1");
            var saodang_10 = ccui.helper.seekWidgetByName(this.m_root, "x10");
            var zhijiejinru = ccui.helper.seekWidgetByName(this.m_root, "x10_0");
            zhijiejinru.addTouchEventListener(this.start_game, this);
            saodang.addTouchEventListener(this.get_one, this);
            saodang_10.addTouchEventListener(this.get_ten, this);
            this.m_CBaseKeyState.regNodeEx(saodang, 1);
            this.m_CBaseKeyState.regNodeEx(saodang_10, 2);
            this.m_CBaseKeyState.regNodeEx(zhijiejinru, 3);
            // if(guankaconfig.win_jiangli) //"yaoji3
            // {
            //     let dataconfig = cc.clone(g_daoju_nan[guankaconfig.win_jiangli])
            //     this.m_awardlist.push(
            //         {
            //             name:dataconfig.desName,
            //             icon:dataconfig.icon,
            //             num:1,
            //             name2:guankaconfig.win_jiangli
            //         }
            //     )
            // }
            this.m_CBaseKeyState.init(this);
            this.setTexiao(3);
        };
        ui_saodang.prototype.setTexiao = function (key) {
            for (var i = 1; i <= 3; i++) {
                var texiao = ccui.helper.seekWidgetByName(this.m_root, "uitexiao_" + i);
                texiao.setVisible(false);
                if (key == i) {
                    texiao.setVisible(true);
                }
            }
        };
        ui_saodang.prototype.getExtra = function (Awards, num) {
            if (num === void 0) { num = 1; }
            var guankaconfig = cc.clone(game.g_scene_config["sceneA_" + game.g_select_guanka]);
            var dataconfig_exp = cc.clone(game.g_daoju_nan.jingyan);
            var dataconfig_jinbi = cc.clone(game.g_daoju_nan.jinbi);
            var dataconfig = cc.clone(game.g_daoju_nan[guankaconfig.win_jiangli]);
            var zongexp = 0;
            var zongjinbi = 0;
            var zongjiangli = 0;
            for (var p = 0; p < num; p++) {
                var random = Math.random() * 100;
                if (guankaconfig.exp_win != 0) {
                    zongexp += guankaconfig.exp_win;
                }
                if (guankaconfig.gold_win != 0) {
                    zongjinbi += guankaconfig.gold_win;
                }
                if (guankaconfig.get_per > 0) {
                    if (random <= guankaconfig.get_per * 100) {
                        zongjiangli += 1;
                    }
                }
            }
            var data_exp = {
                name: dataconfig_exp.desName,
                icon: dataconfig_exp.icon,
                num: zongexp,
                name2: "jingyan"
            };
            var data_jinbi = {
                name: dataconfig_jinbi.desName,
                icon: dataconfig_jinbi.icon,
                num: zongjinbi,
                name2: "jinbi"
            };
            var data_jiangli = null;
            if (dataconfig) {
                data_jiangli = {
                    name: dataconfig.desName,
                    icon: dataconfig.icon,
                    num: zongjiangli,
                    name2: guankaconfig.win_jiangli
                };
            }
            Awards.push(data_exp);
            Awards.push(data_jinbi);
            if (data_jiangli) {
                if (data_jiangli.num > 0) {
                    Awards.push(data_jiangli);
                }
            }
        };
        ui_saodang.prototype.start_game = function (sender, type) {
            if (type == ccui.Widget.TOUCH_ENDED) {
                this.endLayout(function () {
                    if (game.ui_saodanghuode.getMe())
                        game.ui_saodanghuode.ShowOrHide(false, null);
                    ui_saodang.ShowOrHide(false, 0);
                    game.ui_daditu.ShowOrHide(false);
                    game.ui_choosehero.ShowOrHide(true, game.e_SceneType.SceneType_fight);
                });
            }
        };
        ui_saodang.prototype.get_one = function (sender, type) {
            if (type == ccui.Widget.TOUCH_ENDED) {
                //上一次扫荡未结束
                if (game.dataMgr.getMe().getViplevel() < game.g_saodang_unlock) {
                    game.ui_messageBox.ShowOrHide(true, "VIP等级不足！");
                    return;
                }
                if (game.ui_saodanghuode.getMe() && !game.ui_saodanghuode.getMe().m_awardGet) {
                    return;
                }
                game.ui_saodanghuode.ShowOrHide(false, true);
                var tilicost = game.Version_mgr.getInstance().getDiamondPriceBystr("tili");
                this.m_maxtili = game.g_max_energy;
                if (game.dataMgr.getMe().getViplevel() >= game.g_tilishangxianunlock) {
                    this.m_maxtili = game.g_max_energy * 2;
                }
                if (game.dataMgr.getMe().removeEnergy(game.g_scene_config["sceneA_" + game.g_select_guanka].tili)) {
                    this.m_state = true;
                    //可能 存在上一次扫荡 的结果界面未清除 再判断一下
                    this.m_awardlist.length = 0;
                    this.getExtra(this.m_awardlist);
                    game.ui_saodanghuode.ShowOrHide(true, this.m_awardlist);
                }
                else {
                    if (game.dataMgr.getMe().getenergy() >= this.m_maxtili) {
                        game.ui_messageBox.ShowOrHide(true, "体力已满！");
                        return;
                    }
                    // ui_messageBox2.ShowOrHide(true, "体力不足，是否花费" + tilicost + "钻石恢复全部体力?", () => {
                    //     buy_mgr.getInstance().shoppingByDiamond(tilicost,"补足体力",ui_saodang.getMe().buytiliSucceedCallback,null)
                    // })
                    game.buy_mgr.getInstance().buyStrength_buy(ui_saodang.getMe().buytiliSucceedCallback, this, tilicost);
                }
            }
        };
        ui_saodang.prototype.buytiliSucceedCallback = function () {
            // let tilicost = Version_mgr.getInstance().getDiamondPriceBystr("tili");
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     tilicost + "钻石购买" +(ui_saodang.getMe().m_maxtili - dataMgr.getMe().getenergy()) + "体力");
            game.dataMgr.getMe().addItemByType(game.e_item.e_tili, Number(ui_saodang.getMe().m_maxtili - game.dataMgr.getMe().getenergy()));
            game.ui_messageBox.ShowOrHide(true, "购买成功！");
            if (game.ui_daditu.getMe()) {
                game.ui_daditu.getMe().updateItem();
            }
        };
        ui_saodang.prototype.get_ten = function (sender, type) {
            if (type == ccui.Widget.TOUCH_ENDED) {
                if (game.dataMgr.getMe().getViplevel() < 1) {
                    game.ui_messageBox.ShowOrHide(true, "VIP等级不足！");
                    return;
                }
                //上一次扫荡未结束
                if (game.ui_saodanghuode.getMe() && !game.ui_saodanghuode.getMe().m_awardGet) {
                    return;
                }
                if (game.ui_saodanghuode.getMe()) {
                    game.ui_saodanghuode.ShowOrHide(false, null);
                }
                var tilicost = game.Version_mgr.getInstance().getDiamondPriceBystr("tili");
                this.m_maxtili = game.g_max_energy;
                if (game.dataMgr.getMe().getViplevel() >= game.g_tilishangxianunlock) {
                    this.m_maxtili = game.g_max_energy * 2;
                }
                var needtili = game.g_scene_config["sceneA_" + game.g_select_guanka].tili * 10;
                if (game.dataMgr.getMe().getenergy() >= needtili) {
                    game.dataMgr.getMe().removeItemByType(game.e_item.e_tili, needtili);
                    this.m_state = true;
                    this.m_awardlistTen.length = 0;
                    this.getExtra(this.m_awardlistTen, 10);
                    //可能 存在上一次扫荡 的结果界面未清除  再判断一下
                    game.ui_saodanghuode.ShowOrHide(true, this.m_awardlistTen);
                }
                else {
                    if (game.dataMgr.getMe().getenergy() >= this.m_maxtili && game.dataMgr.getMe().getenergy() < needtili) {
                        game.ui_messageBox.ShowOrHide(true, "体力上限不足！");
                        return;
                    }
                    // ui_messageBox2.ShowOrHide(true, "体力不足，是否花费" + tilicost + "钻石恢复全部体力?", () => {
                    //     buy_mgr.getInstance().shoppingByDiamond(tilicost,"补足体力",ui_saodang.getMe().buytiliSucceedCallback,null)
                    // })
                    game.buy_mgr.getInstance().buyStrength_buy(ui_saodang.getMe().buytiliSucceedCallback, this, tilicost);
                }
            }
        };
        ui_saodang.prototype.onTouchEnded = function (touch, event) {
            if (game.ui_saodanghuode.getMe()) {
                return;
            }
            var Image_48 = ccui.helper.seekWidgetByName(this.m_root, "Image_48");
            var location = touch.getLocation();
            var height = Image_48.getContentSize().height;
            var width = Image_48.getContentSize().width;
            location = Image_48.convertToNodeSpace(location);
            var rect = cc.rect(0, 0, width, height);
            if (cc.rectContainsPoint(rect, cc.p(location.x, location.y))) {
                return true;
            }
            else {
                this.onBack();
            }
            return true;
        };
        // end() {
        // this.m_state = false
        // this.endLayout(function () {
        //     ui_saodang.ShowOrHide(false, null)
        //     if (ui_daditu.getMe()) {
        //         ui_daditu.getMe().updateItem()
        //     }
        //     if (ui_saodanghuode.getMe()) {
        //         ui_saodanghuode.ShowOrHide(false, null)
        //     }
        // })
        // }
        ui_saodang.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
            }
            // if(this.m_state)
            // {
            //     if(this.m_awardlist.length != 0)
            //     {
            //         if(ui_saodanghuode.getMe() == null)
            //         {
            //
            //         }
            //     }
            //     else
            //     {
            //         if(ui_saodanghuode.getMe() == null)
            //         {
            //             this.end()
            //         }
            //     }
            // }
        };
        ui_saodang.prototype.onBack = function () {
            ui_saodang.ShowOrHide(false, null);
            if (game.ui_daditu.getMe()) {
                game.ui_daditu.getMe().m_ScrollView.setTouchEnabled(true);
            }
        };
        ui_saodang.g_instarn = null;
        ui_saodang.getMe = function () {
            return ui_saodang.g_instarn;
        };
        ui_saodang.ShowOrHide = function (flag, guankaid) {
            game.UiBase.ShowOrHide(flag, ui_saodang, game.uiMgr.getMe(), 1101, guankaid);
        };
        return ui_saodang;
    }(game.UiBase));
    game.ui_saodang = ui_saodang;
})(game || (game = {}));
//# sourceMappingURL=ui_saodang.js.map