module game {
    import Rect = cc.Rect;

    export class ui_zhanghaoxinxi extends UiBase {
        static g_instarn: ui_zhanghaoxinxi = null;
        static getMe = function () {
            return ui_zhanghaoxinxi.g_instarn;
        };
        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_zhanghaoxinxi, uiMgr.getMe(), 101);
        };

        constructor() {
            super();
            this.m_des = "ui_zhanghaoxinxi";
            this.m_CBaseKeyState = new BaseKeyState();

        }

        setpassword: ccui.CheckBox;
        // setaccount:ccui.CheckBox;
        mText: ccui.Text;
        isAccount: boolean = false;

        oninit(data) {

            let root = this._parseUIFile("zhanghuxinxi.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            this.setpassword = ccui.helper.seekWidgetByName(this.m_root, "xiugaimima");
            this.mText = ccui.helper.seekWidgetByName(this.setpassword, "Text_2");
            this.setpassword.addTouchEventListener(this.ok_func, this);
            this.updateUi();

            if (!Version_mgr.getInstance().isPhone()) {
                this.m_CBaseKeyState.regNodeEx(this.setpassword, 1);
                this.m_CBaseKeyState.init(this);
            }
        }

        updateUi() {
            let nicknameui: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "nicheng")
            nicknameui.setString(dataMgr.getMe().getNickName())

            let accountui: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "zhanghao")
            let acc = fileMgr.getMe().m_play_doc.coreData.acc
            if (!acc) {
                accountui.setString("");
                this.isAccount = true;
                this.mText.setString("绑定账号");
            }
            else {
                accountui.setString(acc);
                this.mText.setString("修改密码");
            }
            console.log("acc:" + acc)
            let uuid = "";
            if (cc.sys.isNative) {
                // uuid =  js_GameLogicMgr.getMe().getData("iapMgr_getaccount");
                uuid = iapMgr.getMe().getaccount();
            }
            this.setAccount(uuid);
            console.log("uuid:" + uuid)
        }

        setAccount(uuid: string) {
            if (uuid == null) {
                return null;
            }
            let uuidui: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "bianhao")
            if (uuid.length < 16) {
                uuidui.setString(uuid)
            } else {
                let firstthree: string = uuid.substr(0, 3);
                let lastfour: string = uuid.substr(uuid.length - 4, 4);
                uuidui.setString(firstthree + "*********" + lastfour)
            }

        }

        ok_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    if (Version_mgr.getInstance().isPhone()) {
                        if (sender.isSelected()) {
                            sender.setSelected(false);
                        } else {
                            sender.setSelected(true);
                        }
                    }
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    if (Version_mgr.getInstance().isPhone()) {
                        if (!sender.isSelected()) {
                            sender.setSelected(false);
                        } else {
                            sender.setSelected(true);
                        }
                    }
                    if (this.isAccount) {
                        this.account();
                    } else {
                        this.password();
                    }
                    break;
                case ccui.Widget.TOUCH_CANCELED:
                    if (Version_mgr.getInstance().isPhone()) {
                        if (!sender.isSelected()) {
                            sender.setSelected(false);
                        } else {
                            sender.setSelected(true);
                        }
                    }
                    break;
            }
        }

        account() {
            ui_zhanghaoxinxi.ShowOrHide(false);
            ui_regAccount.ShowOrHide(true);
        }

        password() {
            ui_zhanghaoxinxi.ShowOrHide(false);
            ui_forgetpassword.ShowOrHide(true);
        }

        onTouchEnded(touch, event) {
            let location = touch.getLocation();
            let image: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "Image_1");
            let height = image.getContentSize().height;
            let width = image.getContentSize().width;
            location = image.convertToNodeSpace(location);
            let rect: Rect = cc.rect(0, 0, width, height);
            if (cc.rectContainsPoint(rect, cc.p(location.x, location.y))) {
                return true;
            } else {
                ui_zhanghaoxinxi.ShowOrHide(false)
            }
            return true;
        }


        loop(t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
            }
        }

        onBack() {
            ui_zhanghaoxinxi.ShowOrHide(false);
            ui_mainScene.getMe().updateArrawUI();
        }
    }
}