"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by cy1234 on 2015/12/28.
 */
//   ui
var game;
(function (game) {
    var uiMgr = (function (_super) {
        __extends(uiMgr, _super);
        function uiMgr() {
            _super.call(this);
            this.m_UiMap = null;
            this._topUiBase = null;
            this.m_UiMap = new game.Map();
        }
        uiMgr.getMe = function () {
            if (game.uiMgr.g_uiMgr == null) {
                uiMgr.g_uiMgr = new uiMgr();
                return uiMgr.g_uiMgr;
            }
            else {
                return uiMgr.g_uiMgr;
            }
        };
        ;
        uiMgr.prototype.getUiScale_720 = function () {
            var winSize = cc.director.getWinSize();
            var widthper = winSize.width / 1280.0;
            var heightper = winSize.height / 720.0;
            if (widthper > heightper) {
                return heightper;
            }
            else {
                return widthper;
            }
        };
        uiMgr.prototype.getUiScale = function () {
            var winSize = cc.director.getWinSize();
            var widthper = winSize.width / 1280.0;
            var heightper = winSize.height / 768.0;
            if (widthper > heightper) {
                return heightper;
            }
            else {
                return widthper;
            }
        };
        uiMgr.prototype.shutdownAllUi = function () {
            // this.m_UiMap.forEach(function (v,k,map) {
            //     v.shutdown()
            //     v.getParent().removeChild(v.getNode())
            //     this.m_UiMap.delete(k);
            // }.bind(this),this)
            game.ui_choosehero.ShowOrHide(false, null);
            game.ui_juese.ShowOrHide(false);
            game.ui_chushijiemian.ShowOrHide(false);
            game.ui_mainScene.ShowOrHide(false);
            game.ui_login.ShowOrHide(false);
            game.ui_paiweimoshi.ShowOrHide(false);
            game.ui_paiweiloading.ShowOrHide(false);
            game.ui_zhandoujiemian.ShowOrHide(false);
            // ui_PvpFight.ShowOrHide( false )
            game.ui_shop.ShowOrHide(false);
            game.ui_daditu.ShowOrHide(false);
            game.ui_choosehero.ShowOrHide(false, null);
            game.ui_choosehero2.ShowOrHide(false, null);
            // ui_zhandoujm.ShowOrHide(false);
            // ui_shibai_shengli.ShowOrHide(false, false);
            // ui_zanting.ShowOrHide(false);
            // ui_login.ShowOrHide(false);
            // ui_zhujiemian.ShowOrHide(false);
            // ui_juesexuanze.ShowOrHide(false);
            //this.show_ui_MessageBox(false);
        };
        uiMgr.prototype.adduibase = function (data) {
            this.m_UiMap.set(data.__instanceId, data);
        };
        uiMgr.prototype.deleteuibase = function (data) {
            this.m_UiMap.delete(data.__instanceId);
        };
        uiMgr.prototype.removeChild = function (child, cleanup) {
            if (cleanup === void 0) { cleanup = true; }
            if (cleanup == null) {
                cleanup = true;
            }
            _super.prototype.removeChild.call(this, child, cleanup);
            this.updateBaseUi_OTT_key();
        };
        uiMgr.prototype.addChild = function (child, localZOrder, tag) {
            if (tag === void 0) { tag = null; }
            //  console.log(" uimgr addChild: localZOrder:" + localZOrder + "tag:" + tag  );
            if (localZOrder == null) {
                localZOrder = 0;
            }
            if (tag == null) {
                tag = "";
            }
            _super.prototype.addChild.call(this, child, localZOrder, tag);
            this.updateBaseUi_OTT_key();
        };
        uiMgr.prototype.updateBaseUi_OTT_key = function () {
            var toplay = -1000;
            this._topUiBase = null;
            if (this.m_UiMap.size == 0) {
                return;
            }
            if (this.m_UiMap.size == 1) {
                var it = this.m_UiMap.getByIndex(0);
                if (it != null) {
                    this._topUiBase = it;
                }
                return;
            }
            for (var i = 0; i < this.m_UiMap.size; ++i) {
                var l_uibase = this.m_UiMap.getByIndex(i);
                if (!l_uibase.m_key_not_close) {
                    continue;
                }
                if (l_uibase.getLocalZOrder() > toplay) {
                    toplay = l_uibase.getLocalZOrder();
                    this._topUiBase = l_uibase;
                }
            }
        };
        uiMgr.prototype.onKeyPressed = function (keycode) {
            if (this._topUiBase == null) {
                this.updateBaseUi_OTT_key();
            }
            if (this._topUiBase == null) {
            }
            else {
                this._topUiBase.onKeyPressed(keycode);
            }
        };
        uiMgr.prototype.onKeyReleased = function (keycode) {
            try {
                if (this._topUiBase == null) {
                }
                else {
                    this._topUiBase.onKeyReleased(keycode);
                }
            }
            catch (err) {
            }
        };
        //.............................玩家ui.......................................................................
        //刷新体力
        uiMgr.prototype.updateEnergy = function () {
            if (game.ui_mainScene.getMe()) {
                game.ui_mainScene.getMe().updateItem();
            }
            if (game.ui_zuanshi.getMe()) {
                game.ui_zuanshi.getMe().updateUi();
            }
        };
        //刷新ui
        uiMgr.prototype.updateDiamond = function () {
            if (game.ui_mainScene.getMe()) {
                game.ui_mainScene.getMe().updateItem();
            }
            if (game.ui_zuanshi.getMe()) {
                game.ui_zuanshi.getMe().updateUi();
            }
        };
        //..........................................................................................................
        uiMgr.prototype.show_OnceAnimation = function (jsonFile, callback) {
            if (callback === void 0) { callback = null; }
            game.ui_PlayAinamationOnce.create(jsonFile, "play", callback, uiMgr.getMe().getNode(), cc.p(0, 0));
        };
        uiMgr.prototype.show_ui_MessageBox = function (flag, str, callback) {
            if (str === void 0) { str = null; }
            if (callback === void 0) { callback = null; }
            game.ui_messageBox.ShowOrHide(flag, str, callback);
        };
        uiMgr.prototype.show_ui_MessageBox2 = function (flag, str, okFunc, noFunc) {
            if (str === void 0) { str = null; }
            if (okFunc === void 0) { okFunc = null; }
            if (noFunc === void 0) { noFunc = null; }
            game.ui_messageBox2.ShowOrHide(flag, str, okFunc, noFunc);
        };
        //游戏启动的时候播放启动视频
        uiMgr.prototype.show_ui_MoviePlayer_startGame = function (flag, mp4, func, point) {
            // return ui_MoviePlayer_startGame.ShowOrHide(flag, mp4, func, point);
        };
        uiMgr.prototype.loop = function (t) {
            for (var i = 0; i < this.m_UiMap.size; ++i) {
                var data = this.m_UiMap.getByIndex(i);
                data.loop(t);
            }
        };
        uiMgr.g_uiMgr = null;
        return uiMgr;
    }(game.xjLayer));
    game.uiMgr = uiMgr;
})(game || (game = {}));
//# sourceMappingURL=uiMgr.js.map 
//# sourceMappingURL=uiMgr.js.map