var game;
(function (game) {
    var AwardsData = (function () {
        function AwardsData() {
            this.award = new AwardData();
        }
        return AwardsData;
    }());
    game.AwardsData = AwardsData;
    var AwardData = (function () {
        function AwardData() {
        }
        return AwardData;
    }());
    game.AwardData = AwardData;
    var viplevelupMgr = (function () {
        function viplevelupMgr() {
            this.m_awardMap = new game.Map();
            this.m_index = 0;
        }
        viplevelupMgr.getMe = function () {
            if (game.viplevelupMgr.g_stance == null) {
                viplevelupMgr.g_stance = new viplevelupMgr();
            }
            return viplevelupMgr.g_stance;
        };
        ;
        viplevelupMgr.prototype.putAwards = function (level) {
            var data = game.g_vip_config[level];
            var award = new AwardsData();
            award.name = data.name;
            award.des = data.des;
            award.icon = data.icon;
            award.award.type = data.jiangli;
            award.award.num = data.jiangliNum;
            award.awardEx = data.awardEx;
            award.award.icon = data.jiangliicon;
            award.award.name = data.jiangliname;
            this.m_awardMap.set(level, award);
        };
        viplevelupMgr.prototype.addAward = function () {
            var data;
            var awardEx;
            for (var i = 0; i < this.m_awardMap.size; ++i) {
                data = this.m_awardMap.getByIndex(i);
                awardEx = data.awardEx;
                game.dataMgr.getMe().addItemByType(data.award.type, data.award.num);
                if (awardEx) {
                    if (awardEx == "rongyu") {
                        game.dataMgr.getMe().addRongyu(500);
                    }
                    else if (awardEx == "skin_nan") {
                        game.itemMgr.getMe().lockSkin(game.itemMgr.getMe().stringToType("pifu_nan_2"));
                    }
                    else if (awardEx == "skin_nv") {
                        game.itemMgr.getMe().lockSkin(game.itemMgr.getMe().stringToType("pifu_nv_2"));
                    }
                    else if (awardEx == "weapon") {
                        game.itemMgr.getMe().setWeaponLock("wuqi21");
                        game.itemMgr.getMe().setWeaponLock("wuqi21_1");
                        game.dataMgr.getMe().addTittleNum(game.e_chenghao.e_1, 2);
                    }
                }
            }
            game.fileMgr.savePlayInfo_callback();
        };
        viplevelupMgr.prototype.updateUI = function () {
            var data = this.m_awardMap.getByIndex(this.m_index);
            var level = this.m_awardMap.getKey(this.m_index);
            if (data) {
                game.ui_VipEffectEx.ShowOrHide(true, {
                    level: level, callback: function () {
                        game.ui_messageBox.ShowOrHide(true, data.des, function () {
                            game.ui_vipjianglihuodeEx.ShowOrHide(true, { name: data.award.name, num: data.award.num, icon: data.award.icon, callback: function () {
                                    viplevelupMgr.getMe().m_index++;
                                    viplevelupMgr.getMe().updateUI();
                                } });
                        });
                    }
                });
            }
        };
        viplevelupMgr.prototype.addVipExp = function (exp) {
            this.m_index = 0;
            this.m_awardMap.clear();
            var vipLevel = game.dataMgr.getMe().getViplevel();
            var maxVipLevel = game.dataMgr.getMe().getMaxVIPLevel();
            var Versiondiamond = game.Version_mgr.getInstance().getRmbPriceByTag("1").diamond;
            var s_Exp = game.fileMgr.getMe().m_play_doc.coreData.vipscore + exp;
            var max = this.getMaxchongzhiNum();
            if (isNaN(exp)) {
                cc.log("is NaN");
                return;
            }
            if (exp < 0) {
                return;
            }
            if (vipLevel >= maxVipLevel) {
                console.log("viplevel is full");
                return;
            }
            if (s_Exp > max) {
                s_Exp = max;
            }
            var levelArr = this.getlevelupNum(s_Exp, Versiondiamond, vipLevel, maxVipLevel);
            for (var p = 0; p < levelArr.length; ++p) {
                this.putAwards(levelArr[p]);
            }
            var l = levelArr[levelArr.length - 1];
            if (l != null) {
                game.fileMgr.getMe().m_play_doc.coreData.viplevel = levelArr[levelArr.length - 1];
            }
            game.fileMgr.getMe().m_play_doc.coreData.vipscore = s_Exp;
            // let index: number = 0;
            // for (let k = 0; k < levelArr.length; ++k) {
            //     this.m_AwardMapUI.set(index++, levels[k]);
            //     this.m_AwardMapUI.set(index++, g_vip_config[levels[k]].des);
            //     this.m_AwardMapUI.set(index++, this.m_awardMap.get(levels[k]));
            // }
            // ui_Viptexiao.ShowOrHide(true,)
            // ui_vipjianglihuode.ShowOrHide(true,)
            // ui_messageBox.ShowOrHide(true, g_vip_config[dataMgr.getMe().getViplevel()].des);
            // fileMgr.savePlayInfo_callback();
            this.addAward();
            this.updateUI();
        };
        //获得升级vip等级的数组
        viplevelupMgr.prototype.getlevelupNum = function (exp, Versiondiamond, vipLevel, maxVipLevel) {
            var levelnum = []; //存放vip等级
            for (var i = vipLevel; i < maxVipLevel; ++i) {
                var nextexp = game.g_vip_config[i + 1].chongzhi * Versiondiamond;
                if (exp >= nextexp) {
                    levelnum.push(i + 1);
                }
                else {
                    break;
                }
            }
            levelnum.sort(function (a, b) {
                return a - b;
            });
            return levelnum;
        };
        //总计vip升级经验
        viplevelupMgr.prototype.getMaxchongzhiNum = function () {
            var maxdiamond = 0;
            for (var i = 1; i <= game.dataMgr.getMe().getMaxVIPLevel(); ++i) {
                var Versiondiamond = game.Version_mgr.getInstance().getRmbPriceByTag("1").diamond;
                var chongzhi = game.g_vip_config[i].chongzhi * Versiondiamond;
                maxdiamond += chongzhi;
            }
            return maxdiamond;
        };
        viplevelupMgr.g_stance = null;
        return viplevelupMgr;
    }());
    game.viplevelupMgr = viplevelupMgr;
})(game || (game = {}));
//# sourceMappingURL=vipleveluupMgr.js.map