//主要用于玩家存档
module game {
    export class dataMgr {

        static g_ing: any = null;

        static getMe(): dataMgr {
            if (game.dataMgr.g_ing == null) {
                dataMgr.g_ing = new dataMgr();
                return dataMgr.g_ing;
            }
            else {
                return dataMgr.g_ing;
            }
        };

        constructor() {
        }

        getLoginPrice(){
            if(!this.getPlayDoc().coreData.name) return;
            if(!this.getPlayDoc().logindata){
                this.getPlayDoc().logindata = new logindata();
                this.getPlayDoc().logindata.date = "";
                this.getPlayDoc().logindata.count = 0;
            }
            let servertime = energyMgr.getMe().m_curServerTime;
            let time = new Date(servertime);
            let year = time.getFullYear();
            let month = time.getMonth() + 1;
            let day = time.getDate();
            let date = year + "-" + month + "-" + day;
            if(this.getPlayDoc().logindata.date != date){
                this.getPlayDoc().logindata.date = date;
                this.getPlayDoc().logindata.count ++;
                if(this.getPlayDoc().logindata.count > 7){
                    return;
                }
                dataMgr.getMe().addDiamond(100);
                ui_denglujiangli.ShowOrHide(true);
            }
        }

        isTestAccount(): boolean {
            return this.getNickName() == "测试账号"
        }

        setNickName(name) {
            fileMgr.getMe().m_play_doc.coreData.name = name
        }

        init() {
        }

        getTittle(heroname) {
            heroname = heroname.replace(/hero_/g, "")
            let heros = fileMgr.getMe().m_play_doc.heroes
            for (let p in heros) {
                if (heros[p].name == heroname) {
                    return heros[p].tittle
                }
            }
            return -1
        }

        getTittlelevel(tittletype) {
            // let chenghaos = fileMgr.getMe().m_play_doc.titles[tittletype].level;
            // for (let p in chenghaos) {
            //     if (chenghaos[p].t == tittletype) {
            //         return chenghaos[p].level
            //     }
            // }
            return fileMgr.getMe().m_play_doc.titles[tittletype];
        }

        setTittlelevel(tittle, level) {
            fileMgr.getMe().m_play_doc.titles[tittle] = level;
            // let chenghaos = fileMgr.getMe().m_play_doc.titles
            // for (let p in chenghaos) {
            //     if (chenghaos[p].t == tittle) {
            //         chenghaos[p].level = level
            //         return true
            //     }
            // }
            // return false
        }

        setRank(rank: number) {
            fileMgr.getMe().m_play_doc.coreData.Rank = rank;
            cc.log("setRank :", rank);
        }
        setMaxRank(rank:number){
           let maxoldRank = fileMgr.getMe().m_play_doc.coreData.maxRank;
             fileMgr.getMe().m_play_doc.coreData.maxRank = Math.min(rank,maxoldRank);
            let maxRank = fileMgr.getMe().m_play_doc.coreData.maxRank;
             if (maxRank <= 3 && maxRank > 0) {
                if(this.getTittlelevel(e_chenghao.e_5) < 3) {
                    this.setTittlelevel(e_chenghao.e_5,3);
                    fileMgr.getMe().m_play_doc.curTitlesNum[e_chenghao.e_5] = 3;//设置称号5名次情况
                    let levelconfig: tittlelevelconfig_s = this.gettittleConfigbyType(e_chenghao.e_5)["3"];
                    ui_chengjiudacheng.ShowOrHide(true, levelconfig);
                }
            }
            else if (maxRank <= 10 && maxRank > 3) {
                 if(this.getTittlelevel(e_chenghao.e_5) < 2){
                    this.setTittlelevel(e_chenghao.e_5,2);
                    fileMgr.getMe().m_play_doc.curTitlesNum[e_chenghao.e_5] = 10;//设置称号5名次情况
                    let levelconfig: tittlelevelconfig_s = this.gettittleConfigbyType(e_chenghao.e_5)["2"];
                    ui_chengjiudacheng.ShowOrHide(true, levelconfig);
                }
            }
            else if (maxRank <= 100 && maxRank > 10) {
                 if(this.getTittlelevel(e_chenghao.e_5) < 1){
                    this.setTittlelevel(e_chenghao.e_5,1);
                    fileMgr.getMe().m_play_doc.curTitlesNum[e_chenghao.e_5] = 100;//设置称号5名次情况
                    let levelconfig: tittlelevelconfig_s = this.gettittleConfigbyType(e_chenghao.e_5)["1"];
                    ui_chengjiudacheng.ShowOrHide(true, levelconfig);
                }
            }
            // else {
            //     this.setTittlelevel(e_chenghao.e_5,-1);
            //     fileMgr.getMe().m_play_doc.curTitlesNum[e_chenghao.e_5] = 0;//设置称号5名次情况
            // }
        }

        lockHero(name): boolean {
            let heros = fileMgr.getMe().m_play_doc.heroes
            for (let p in heros) {
                if (heros[p].name == name) {
                    heros[p].lock = 1
                    // fileMgr.getMe().savePlayInfo()
                    fileMgr.savePlayInfo_callback();
                    return true
                }
            }
            return false
        }

        getRongyu(): number {
            return fileMgr.getMe().m_play_doc.coreData.rongyu || 0
        }

        removeRongyu(num: number): boolean {

            if (fileMgr.getMe().m_play_doc.coreData.rongyu >= num) {
                fileMgr.getMe().m_play_doc.coreData.rongyu -= num
                // fileMgr.getMe().savePlayInfo()
                fileMgr.savePlayInfo_callback();
                return true
            }
            return false
        }

        addRongyu(num: number) {
            this.getPlayDoc().coreData.rongyu += num
            // fileMgr.getMe().savePlayInfo()
            fileMgr.savePlayInfo_callback();
        }

        getLevelupConfig(): levelup_s {
            let level = this.getlevel()
            return cc.clone(g_player_levelUp_config[level])
        }

        getBaseAtt() {
            // name = name.replace(/hero_/g,'')
            let levelconfig: levelup_s = this.getLevelupConfig()
            let result = levelconfig.atk
            return result
        }

        getPufuByData(name: string) {
            let heros = fileMgr.getMe().m_play_doc.heroes;
            for (let p in heros) {
                if (heros[p].name == name) {
                    return heros[p].skin;
                }
            }
            cc.error("getPufuByData :", name);
            return "pifu1";
        }

        getBaseHp() {
            let levelconfig: levelup_s = this.getLevelupConfig()
            let result = levelconfig.hp
            return result
        }

        getSkinConfig(skinname, heroname): skin_s {
            if (skinname == null || heroname == null) {
                return null
            }
            heroname = heroname.replace(/hero_/g, '')
            skinname = skinname.replace(/_/g, '')
            skinname = skinname.replace(/pifu/g, '')
            //pifu_nan_1
            skinname = "pifu_" + heroname + "_" + skinname
            return cc.clone(g_pifu_config[skinname])
        }

        // getTittleHp( tittle , level )
        // {
        //     let tittlelevelconfig = this.gettittleConfigbyType
        // }
        getSkinHp(skinname, heroname) {
            let skinconfig: skin_s = this.getSkinConfig(skinname, heroname)
            return skinconfig.hp
        }

        getSkinDef(skinname, heroname) {
            let skinconfig: skin_s = this.getSkinConfig(skinname, heroname)
            return skinconfig.damageRes
        }

        getSkinAtt(skinname, heroname) {
            let skinconfig: skin_s = this.getSkinConfig(skinname, heroname)
            return skinconfig.damage
        }

        getSkinpower(skinname, heroname) {
            let skinconfig: skin_s = this.getSkinConfig(skinname, heroname)
            return skinconfig.power
        }

        getBasePower() {
            let levelconfig: levelup_s = this.getLevelupConfig();
            let result = levelconfig.power;
            return result
        }

        getBaseDef() {
            let levelconfig: levelup_s = this.getLevelupConfig()
            let result = levelconfig.def
            return result
        }

        getBaseSpeed(name) {
            for (let p in g_playhero_config) {
                if (p == name)
                    return g_playhero_config[p].runSpeed
            }
            return 0
        }

        getViplevel(): number {
            return fileMgr.getMe().m_play_doc.coreData.viplevel || 0
        }

        setVipLevel(num: number) {

            fileMgr.getMe().m_play_doc.coreData.viplevel = num;
            // fileMgr.getMe().savePlayInfo();
            fileMgr.savePlayInfo_callback();
        }

        getMaxVIPLevel(): number {
            let index: number = 0;
            for (let k in g_vip_config) {
                if (parseInt(k) == 0) {
                    continue;
                }
                index++;
            }
            return index;
        }



        getHeroconfig(heroname): HeroConfig_s {
            for (let p in g_playhero_config) {
                if (p == heroname) {
                    return g_playhero_config[p]
                }
            }
            return null
        }

        getPlayDoc(): play_doc_s {
            return fileMgr.getMe().m_play_doc;
        }

        setSkin(name, skin) {
            name = name.replace("hero_", "")
            let heros = fileMgr.getMe().m_play_doc.heroes
            for (let p in heros) {
                if (heros[p].name == name) {
                    heros[p].skin = skin
                    break
                }
            }

            // fileMgr.getMe().savePlayInfo()
            fileMgr.savePlayInfo_callback();
        }

        getHeroSkin(name) {
            name = name.replace("hero_", "")
            let heros = fileMgr.getMe().m_play_doc.heroes
            for (let p in heros) {
                if (heros[p].name == name) {
                    return heros[p].skin
                }
            }
            return ""
        }

        getHeroSkinConfigByname(name): skin_s {
            name = name.replace(/hero_/g, "")
            let skin = this.getHeroSkin(name)
            skin = skin.replace(/pifu/g, "")
            for (let p in g_pifu_config) {
                if (p.indexOf(name) > -1 && p.indexOf(skin) > -1) {
                    return cc.clone(g_pifu_config[p])
                }
            }
            return null
        }

        isDoubleTime() {
            let servertime = energyMgr.getMe().m_curServerTime
            let time = new Date(servertime)
            let week = time.getDay()
            let hour = time.getHours()
            let min = time.getMinutes()

            console.log("week:" + week + " hour:" + hour + " min:" + min)
            if (g_double_week != week)
                return false

            if (hour < g_double_time[0] || hour > g_double_time[1]) {
                return false
            }

            return true

        }

        getUseMoney(): number {
            return fileMgr.getMe().m_play_doc.coreData.vipscore
        }

        addUseMoney(num: number) {
            fileMgr.getMe().m_play_doc.coreData.vipscore += num
            // fileMgr.getMe().savePlayInfo()
            fileMgr.savePlayInfo_callback();
        }

        getTittlePlayDataByType(type) {
            // let tittles = fileMgr.getMe().m_play_doc.titles
            // for (let p in tittles) {
            //     if (tittles[p].t == type) {
            //         return tittles[p]
            //     }
            // }
            return fileMgr.getMe().m_play_doc.curTitlesNum[type];
        }

        getlevel(): number {
            return fileMgr.getMe().m_play_doc.coreData.level
        }

        getExp(): number {
            return fileMgr.getMe().m_play_doc.coreData.Exp || 0
        }

        getleveuplExp(): number {
            let level = fileMgr.getMe().m_play_doc.coreData.level
            return g_player_levelUp_config[level].exp
        }

        removeEnergy(num): boolean {
            let curEnergy = itemMgr.getMe().getItemnumbyType(e_item.e_tili)
            let flag = false;
            if (curEnergy < 1) {
                return flag
            }
            flag = itemMgr.getMe().removeItemnumBytype(e_item.e_tili, num)
            fileMgr.getMe().m_play_doc.coreData.recoverTime =
                energyMgr.getMe().m_curServerTime
            // fileMgr.getMe().savePlayInfo()
            fileMgr.savePlayInfo_callback();
            return flag
        }

        getTittleLevelConfig(type, level): tittlelevelconfig_s {
            let tittleconfig = this.gettittleConfigbyType(type)
            if (tittleconfig) {
                for (let p in tittleconfig) {
                    let data = tittleconfig[p]
                    if (data.level == level) {
                        return cc.clone(data)
                    }
                }
            }
            uiMgr.getMe().show_ui_MessageBox(true, "严重错误: getTittleLevelConfig")
            return null
        }

        gettittleConfigbyType(type) {
            // for (let p in g_chenghao_config) {
            //     if (g_chenghao_config[p].type == type) {
            //         return cc.clone(g_chenghao_config[p])
            //     }
            // }
            // return null
            return g_chenghao_config[type];
        }

        recoverEnergy() {
            let Maxenerngy = g_max_energy;
            if(this.getViplevel() >= g_tilishangxianunlock){
                Maxenerngy = g_max_energy * 2;
            }
            if (this.getenergy() < Maxenerngy) {
                this.addItemByType(e_item.e_tili, 1)
                fileMgr.getMe().m_play_doc.coreData.recoverTime =
                    energyMgr.getMe().m_curServerTime

                console.log("体力恢复成功...当前体力值:" + this.getItemByName(e_item.e_tili))
            }
            uiMgr.getMe().updateEnergy()
        }

        addEnergy(num: number) {
            if (this.addItemByType(e_item.e_tili, num)) {
                uiMgr.getMe().updateEnergy()
            }
        }

        removeDiamond(num) {
            console.log("当前钻石数 :" + this.getItemByName(e_item.e_zuanshi))
            if (this.removeItemByType(e_item.e_zuanshi, num) == false) {
                console.log("扣除钻石失败：" + num);
                return false;
            }
            console.log("扣除钻石成功，剩余：" + this.getItemByName(e_item.e_zuanshi));
            return true;
        }

        updateUserName(name: string) {
            console.log("updateUserName")
            fileMgr.getMe().m_play_doc.coreData.name = name
            console.log("更新昵称:" + name)
            // fileMgr.getMe().savePlayInfo()
            fileMgr.savePlayInfo_callback();
        }

        getNickName(): string {
            return fileMgr.getMe().m_play_doc.coreData.name
        }

        getDiamond() {
            return itemMgr.getMe().getItemnumbyType(e_item.e_zuanshi)
        }

        // updateFightWeapon(heroname, weapons:Array<any>)
        // {
        //     heroname = heroname.replace(/hero_/g,"")
        //
        // }
        getTittleConfigBytag(chenghao,level): tittlelevelconfig_s {
            for (let p in g_chenghao_config) {
                let data = g_chenghao_config[p]
                if(chenghao != p){
                    continue;
                }
                for (let q in data) {
                    if (q == level.toString()) {
                        return cc.clone(data[q])
                    }
                }
            }
            return null //cc.clone(g_chenghao_config["default"]["I"]);
        }

        getenergy(): number {
            return itemMgr.getMe().getItemnumbyType(e_item.e_tili)
        }

        getjinbi(): number {
            return itemMgr.getMe().getItemnumbyType(e_item.e_jinbi)
        }

        addDiamond(num): boolean {
            return this.addItemByType(e_item.e_zuanshi, num)
        }

        getCurweapon(heroname): string {
            heroname = heroname.replace("hero_", "")
            let heros = fileMgr.getMe().m_play_doc.heroes
            for (let p in heros) {
                if (heros[p].name == heroname) {
                    return heros[p].weapon
                }
            }
            uiMgr.getMe().show_ui_MessageBox(true, "getCurweapon error!  " + heroname)
            return null
        }

        getCurWeaponByName(heroname:string): string {
            let heros = fileMgr.getMe().m_play_doc.heroes;
            for (let p in heros) {
                if (heros[p].name == heroname) {
                    return heros[p].weapon;
                }
            }
            uiMgr.getMe().show_ui_MessageBox(true, "getCurweapon error!  " + heroname);
            return null;
        }

        setCurWeaponByName(name:string,weaponName:string){
            let heros = fileMgr.getMe().m_play_doc.heroes;
            for (let p in heros) {
                if (heros[p].name == name) {
                    heros[p].weapon = weaponName;
                }
            }
        }

        getBestScore() {
            return fileMgr.getMe().m_play_doc.coreData.maxScore
        }

        getBestRank() {
            return fileMgr.getMe().m_play_doc.coreData.maxRank
        }

        addRankscore(score) {
            if (!isNumber(score)) {
                uiMgr.getMe().show_ui_MessageBox(true, "不是有效的分值对象:" + score)
                return
            }
            if (this.isDoubleTime() && score > 0) {
                // uiMgr.getMe().show_ui_MessageBox(true, g_msg_double_time)
                score *= 2
            }
            // console.log("增加分数:" + score)
            let curscore = fileMgr.getMe().m_play_doc.coreData.rank_score + score;
            // console.log("当前分数:" + curscore)
            if (curscore <= 0) {
                curscore = 1
            }
            // console.log("保存分数:" + curscore)
            fileMgr.getMe().m_play_doc.coreData.rank_score = curscore;

            httpMgr.getMe().sendMsg(g_httpType.type_httpSaveScore);
            // fileMgr.getMe().savePlayInfo()
            fileMgr.savePlayInfo_callback();
            // let items = fileMgr.getMe().m_play_doc.items
            // for(let p in items)
            // {
            //     if(items[p].id == e_item.e_jifen)
            //     {
            //         items[p].num += score
            //         if(items[p].num > this.getBestScore())
            //         {
            //             fileMgr.getMe().m_play_doc.coreData.maxScore = items[p].num
            //             console.log("刷新最高积分")
            //         }
            //         fileMgr.getMe().savePlayInfo()
            fileMgr.savePlayInfo_callback();
            //         return true
            //     }
            // }
            // return false
        }


        //炸弹成就是否解锁
        isSucceedTittle(){
            let titleLevel = fileMgr.getMe().m_play_doc.titles.chenghao_2;
            if (titleLevel <= 0) {
                titleLevel = 0;
            }
            if(titleLevel >= 3){
                return false;
            }
            let levelconfig: tittlelevelconfig_s = this.gettittleConfigbyType(e_chenghao.e_2)[titleLevel+1];
            if (titleLevel < 3) {
                // fileMgr.getMe().m_play_doc.curTitlesNum[e_chenghao.e_2] += this.m_TittleNum;
                if (fileMgr.getMe().m_play_doc.curTitlesNum.chenghao_2 >= levelconfig.num) {
                    if (fileMgr.getMe().m_play_doc.titles.chenghao_2 <= 0) {
                        fileMgr.getMe().m_play_doc.titles.chenghao_2 = 1;
                        ui_chengjiudacheng.ShowOrHide(true, levelconfig);
                    } else {
                        fileMgr.getMe().m_play_doc.titles.chenghao_2 ++;
                        ui_chengjiudacheng.ShowOrHide(true, levelconfig);
                    }
                }
            }
            return false;
        }



        addTittleNum(type, num: number) {
            let titleLevel = fileMgr.getMe().m_play_doc.titles[type];
            if (titleLevel <= 0) {
                titleLevel = 0;
            }
            if(titleLevel >= 3){
                return;
            }

            let levelconfig: tittlelevelconfig_s = this.gettittleConfigbyType(type)[titleLevel+1];
            if (titleLevel < 3) {
                fileMgr.getMe().m_play_doc.curTitlesNum[type] += num;
                if (fileMgr.getMe().m_play_doc.curTitlesNum[type] >= levelconfig.num) {
                    if (fileMgr.getMe().m_play_doc.titles[type] <= 0) {
                        if(sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_pvp ||
                            sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_fightai){
                            return ;
                        }
                        fileMgr.getMe().m_play_doc.titles[type] = 1;
                        ui_chengjiudacheng.ShowOrHide(true, levelconfig);
                    } else {
                        if(sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_pvp ||
                            sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_fightai){
                            return ;
                        }
                        fileMgr.getMe().m_play_doc.titles[type] += 1;
                        ui_chengjiudacheng.ShowOrHide(true, levelconfig);
                    }
                }
            }
            // console.log("addTittleNum")
            // fileMgr.getMe().savePlayInfo();
            fileMgr.savePlayInfo_callback();
            // for (let p in chenghaos) {
            //     if (chenghaos[p].t == type) {
            //         chenghaos[p].c += num
            //         let chenghaolevel = "I"
            //         switch (chenghaos[p].level) {
            //             case 0:
            //                 chenghaolevel = "I"
            //                 break
            //             case 1:
            //                 chenghaolevel = "II"
            //                 break
            //             case 2:
            //                 chenghaolevel = "III"
            //                 break
            //             case 3:
            //                 chenghaolevel = "III"
            //                 break
            //         }
            //         let levelconfig: tittlelevelconfig_s = tittleconfig[chenghaolevel]
            //         if (chenghaos[p].level < 3) {
            //             if (chenghaos[p].c >= levelconfig.num) {
            //                 ++chenghaos[p].level
            //                 ui_chengjiudacheng.ShowOrHide(true, levelconfig)
            //             }
            //         }
            //         fileMgr.getMe().savePlayInfo()
            fileMgr.savePlayInfo_callback();
            //         return
            //     }
            // }
        }

        getShopDataBuTvid(tvid) {
            let shopid = this.getShopIDByTvid(tvid)
            if (shopid == -1) {
                uiMgr.getMe().show_ui_MessageBox(true, "没有配置这个商品:" + tvid)
                return null
            }
            else {
                return Version_mgr.getInstance().m_rmbinfo[shopid]
            }
        }

        getShopIDByTvid(tvid) {
            for (let p in g_shop_Rmb_info) {
                if (g_shop_Rmb_info[p] == tvid) {
                    return Number(p)
                }
            }
            return -1
        }

        setAccount(acc: any) {
            if (acc == "" || acc == null)
                return
            fileMgr.getMe().m_play_doc.coreData.acc = acc
            console.log("setAccount")
            // fileMgr.getMe().savePlayInfo()
            fileMgr.savePlayInfo_callback();
        }

        getRankScore(): number {
            return fileMgr.getMe().m_play_doc.coreData.rank_score || 0
            // return itemMgr.getMe().getItemnumbyType(e_item.e_jifen)
        }

        setMaxRankScore(MaxScore:number){
            let score:number = fileMgr.getMe().m_play_doc.coreData.maxScore;
            fileMgr.getMe().m_play_doc.coreData.maxScore = Math.max(score,MaxScore)
        }

        getMaxRankScore(): number {
            return fileMgr.getMe().m_play_doc.coreData.maxScore || 0
        }

        getMaxRank(): number {
            return fileMgr.getMe().m_play_doc.coreData.maxRank || 0
        }

        getRankWinTime(): number {
            return fileMgr.getMe().m_play_doc.coreData.rank_win || 0
        }

        getRank(): number {
            return fileMgr.getMe().m_play_doc.coreData.Rank || 99999
            // return itemMgr.getMe().getItemnumbyType(e_item.e_jifen)
        }

        static getlevelByRank(scores){
            for(let i=0; i<scores.length; ++i){
                if(scores[i].Type == "level"){
                    return scores[i].Score;
                }
            }
            return 1;
        }

        static getscoreByRank(scores){
            for(let i=0; i<scores.length; ++i){
                if(scores[i].Type == "rank"){
                    return scores[i].Score;
                }
            }
            return 0;
        }

        static getwinByRank(scores){
            for(let i=0; i<scores.length; ++i){
                if(scores[i].Type == "win"){
                    return scores[i].Score;
                }
            }
            return 0;
        }

        setMyRank(){
            let name;
            for(let i=0; i<g_rank_list.length; ++i){
                name = g_rank_list[i].Account;
                if(name == iapMgr.getMe().getaccount()){
                    this.setRank(g_rank_list[i].Rank);
                    // this.setRankScore(dataMgr.getscoreByRank(g_rank_list[i].Scores));
                    return;
                }
            }
            this.setRank(99999);
        }

        setWeaponlevel(weaponname, level) {
            // let weapontype :e_item= itemMgr.getMe().stringToType(weaponname)
            // let weapons = fileMgr.getMe().m_play_doc.weapons
            // for(let p in weapons)
            // {
            //     let weapondata:weapon_s = weapons[p]
            //     if(weapondata.id == weapontype)
            //     {
            //         weapondata.level = level
            //         fileMgr.getMe().savePlayInfo()
            fileMgr.savePlayInfo_callback();
            //         return true
            //     }
            // }
            let weapons = fileMgr.getMe().m_play_doc.weapons;
            let str: Array<string>;
            for (let i = 0; i < weapons.length; ++i) {
                if (!weapons[i]) return false;
                str = weapons[i].split("*");
                if (weaponname == str[0]) {
                    weapons[i] = str[0] + "*" + level;
                    // fileMgr.getMe().savePlayInfo();
                    fileMgr.savePlayInfo_callback();
                    return true;
                }
            }
            return false
        }

        setchenghao(name, chenghaotag) {
            console.log("setchenghao")
            for (let p in fileMgr.getMe().m_play_doc.heroes) {
                if (fileMgr.getMe().m_play_doc.heroes[p].name == name) {
                    fileMgr.getMe().m_play_doc.heroes[p].tittle = chenghaotag
                    console.log('玩家称号设置成功:' + fileMgr.getMe().m_play_doc.heroes[p].name + chenghaotag)
                    // fileMgr.getMe().savePlayInfo()
                    return true
                }
            }
            return false
        }

        // getchenghao(name): e_chenghao {
        //     name = name.replace(/hero_/, "")
        //     let heros = fileMgr.getMe().m_play_doc.heroes
        //     for (let p in heros) {
        //         if (heros[p].name == name) {
        //             return heros[p].tittle
        //         }
        //     }
        //     return -1
        // }

        getCurTitle(name: string) {
            let heros = fileMgr.getMe().m_play_doc.heroes;
            for (let p in heros) {
                if (heros[p].name == name) {
                    return heros[p].tittle;
                }
            }
            cc.error("getCurTitle :", name);
            return "";
        }

        // getchenghaolevel(type: e_chenghao): number {
        //     let tittles = fileMgr.getMe().m_play_doc.titles
        //     for (let p in tittles) {
        //         if (tittles[p].t == type) {
        //             return tittles[p].level
        //         }
        //     }
        // }

        getchenghaolevelconfig(type, level = 0) {
            let chenghaoconfig = this.gettittleConfigbyType(type)
            if (chenghaoconfig) {
                let levelstr = "I"
                switch (level) {
                    // case 0:
                    case 1:
                        levelstr = "I"
                        break
                    case 2:
                        levelstr = "II"
                        break
                    case 3:
                        levelstr = "III"
                        break
                }
                return chenghaoconfig[levelstr]
            }
            return null
        }

        setweapon(heroname, weapon) {
            heroname = heroname.replace(/hero_/g, "")
            weapon = weapon.replace(/_/g, '')
            if (weapon.indexOf('wuqi') <= -1) {
                uiMgr.getMe().show_ui_MessageBox(true, "setCurweapon Error...")
                return
            }
            let heros = fileMgr.getMe().m_play_doc.heroes
            for (let p in heros) {
                if (heroname == heros[p].name) {
                    heros[p].weapon = weapon
                }
            }
            // fileMgr.getMe().savePlayInfo()
            fileMgr.savePlayInfo_callback();
        }

        getWeaponMaxLevel(weaponname: string): number {
            let weapons = getWeaponConfig();
            // if (Version_mgr.getInstance().isPhone()) {
            //     weapons = cc.clone(g_weapon_play2);
            // }
            let level: number = -1;
            for (let p in weapons) {
                if (p == weaponname) {
                    for (let k in weapons[p]) {
                        let str = k.substr(0, 1);
                        if (str.match(/\d+/g)) {
                            level++;
                        }
                    }
                }
            }
            return level;
        }


        getweaponlevel(weaponname: string): number {
            // let weaponid = itemMgr.getMe().stringToType(weaponname)
            // let weapons = fileMgr.getMe().m_play_doc.weapons
            // for(let p in weapons)
            // {
            //     if(weapons[p].id == weaponid )
            //     {
            //         return weapons[p].level
            //     }
            // }
            // //uiMgr.getMe().show_ui_MessageBox(true,"getweaponlevel error!")
            // return 0

            let weapons = fileMgr.getMe().m_play_doc.weapons;
            let str: Array<string>;
            for (let i = 0; i < weapons.length; ++i) {
                if (!weapons[i]) return 0;
                str = weapons[i].split("*");
                if (weaponname == str[0]) {
                    if (parseInt(str[1]) >= 0) {
                        return parseInt(str[1]);
                    } else {
                        return 0;
                    }
                }
            }
            return 0;
        }

        getWeaponconfig(weaponname) {
            // if (Version_mgr.getInstance().isPhone()) {
            //     for (let p in g_weapon_play2) {
            //         if (p == weaponname) {
            //             return cc.clone(g_weapon_play2[p])
            //         }
            //     }
            // } else {
            //     for (let p in g_weapon_play) {
            //         if (p == weaponname) {
            //             return cc.clone(g_weapon_play[p])
            //         }
            //     }
            // }
            return getWeaponConfig()[weaponname];
        }

        getWeaponlevelconfig(weaponname: string, level: number = 0): weaponlevelconfig_s {
            if (level == null) {
                level = this.getweaponlevel(weaponname)
            }
            // if (Version_mgr.getInstance().isPhone()) {
            //     for (let p in g_weapon_play2) {
            //         if (p == weaponname) {
            //             return cc.clone(g_weapon_play2[p][level])
            //         }
            //     }
            // } else {
            //     for (let p in g_weapon_play) {
            //         if (p == weaponname) {
            //             return cc.clone(g_weapon_play[p][level])
            //         }
            //     }
            // }
            return getWeaponConfig()[weaponname][level];
            // uiMgr.getMe().show_ui_MessageBox(true, "getWeaponlevelconfig error!")
            // return null
        }

        addItemByType(type: e_item, num): boolean {
            if (num == 0)
                return true
            let item_doc = fileMgr.getMe().m_play_doc.items
            for (let p in item_doc) {
                if (item_doc[p].id == type) {
                    item_doc[p].num += num
                    return true
                }
            }
            return false
        }

        getItemByName(type: e_item): number {
            for (let k = 0; k < fileMgr.getMe().m_play_doc.items.length; k++) {
                if (fileMgr.getMe().m_play_doc.items[k].id == type) {
                    return parseInt(fileMgr.getMe().m_play_doc.items[k].num)
                }
            }
            console.log("getItemByName 没有这个参数：" + type)
            return 0
        }

        removeItemByType(type, num): boolean {
            let item_doc = fileMgr.getMe().m_play_doc.items
            for (let p in item_doc) {
                if (item_doc[p].id == type) {
                    if (item_doc[p].num - num >= 0) {
                        item_doc[p].num -= num
                        return true
                    }
                    else {
                        console.log(type + "数量 不足，扣除失败")
                        return false
                    }

                }
            }
            return false
        }

        loadCheckBoximg(box: ccui.CheckBox, imgpath) {
            box.loadTextureBackGround(imgpath, null);
            box.loadTextureBackGroundDisabled(imgpath, null);
            box.loadTextureBackGroundSelected(imgpath, null);
            box.loadTextureFrontCrossDisabled(imgpath, null);
            box.loadTextureFrontCross(imgpath, null);
        }

        // isPlayer(role: baseRole) {
        //     return role.m_Type == g_ObjType.play
        // }
        //
        // isFollower(role: baseRole) {
        //     return role.m_Type == g_ObjType.follower
        // }

        getRandHero(): string {
            let defaultList = cc.clone(g_player_default.heroes)
            let heroName = null
            while (!heroName) {
                heroName = defaultList[Math.abs(Math.floor(Math.random() * defaultList.length - 0.1))].name
            }
            return heroName
        }

        inArrayList(data, arr: Array<any>): boolean {
            for (let p in arr) {
                if (arr[p] == data) {
                    return true
                }
            }
            return false
        }

        addExp(exp: number) {
            let level = fileMgr.getMe().m_play_doc.coreData.level
            let e = (fileMgr.getMe().m_play_doc.coreData.Exp += exp) || 0
            //限制最大等级
            if (e >= g_player_levelUp_config[level].exp && level < g_max_hero_level) {
                fileMgr.getMe().m_play_doc.coreData.level++
                fileMgr.getMe().m_play_doc.coreData.Exp -= g_player_levelUp_config[level].exp
            }
            // fileMgr.getMe().savePlayInfo()
            fileMgr.savePlayInfo_callback();
        }

        setCurHero(heroname) {
            fileMgr.getMe().m_play_doc.coreData.curHero = heroname;
            // fileMgr.getMe().savePlayInfo()
            fileMgr.savePlayInfo_callback();
        }

        setCurfollow(heroname) {
            fileMgr.getMe().m_play_doc.coreData.curFollower = heroname
            // fileMgr.getMe().savePlayInfo()
            fileMgr.savePlayInfo_callback();
        }

        getCurHero(): string {
            return fileMgr.getMe().m_play_doc.coreData.curHero
        }

        getheroislock(name): boolean {
            name = name.replace(/hero_/g, "")
            let heros = fileMgr.getMe().m_play_doc.heroes
            for (let p in heros) {
                if (heros[p].name == name) {
                    return heros[p].lock == 1
                }
            }
            return false
        }

        getCurfollow(): string {
            return fileMgr.getMe().m_play_doc.coreData.curFollower
        }

        setCurGuankaid(id) {
            fileMgr.getMe().m_play_doc.coreData.curguankaId = id
            // fileMgr.getMe().savePlayInfo()
            fileMgr.savePlayInfo_callback();
            console.log("重置关卡：" + id)
        }

        //当前关卡
        getCurGuankaid(): number {
            if(fileMgr.getMe().m_play_doc.coreData.curguankaId > 25){
                return 25;
            }
            return fileMgr.getMe().m_play_doc.coreData.curguankaId;
        }


        //获取技能信息
        getSkillInfo(heroname, skillname) {
            if (g_player_skill[heroname] == null) {
                console.log("error getSkillInfo 没有这个角色 " + heroname);
            }
            let ret = g_player_skill[heroname][skillname];
            if (ret == null) {
                console.log("getSkillInfo:" + heroname + "_" + skillname + " is null");
            }
            return ret;
        }

        // 解锁药水
        YaoshuiLock(type: e_item) {
            for (let p in fileMgr.getMe().m_play_doc.yaoshui) {
                if (fileMgr.getMe().m_play_doc.yaoshui[p].id == type) {
                    if (fileMgr.getMe().m_play_doc.yaoshui[p].lock == 0) {
                        fileMgr.getMe().m_play_doc.yaoshui[p].lock = 1;
                        // fileMgr.getMe().savePlayInfo();
                        fileMgr.savePlayInfo_callback();
                    }
                }
            }
        }

        isLockYaoshui(type: e_item) {
            for (let p in fileMgr.getMe().m_play_doc.yaoshui) {
                if (fileMgr.getMe().m_play_doc.yaoshui[p].id == type) {
                    if (fileMgr.getMe().m_play_doc.yaoshui[p].lock == 1) {
                        return true;
                    }
                }
            }
            return false;
        }


        setextraAtt(yaoshuiName: string, num: number = 1): void {
            if (num > 1) {
                ui_messageBox.ShowOrHide(true, "当前已超过购买次数！");
                return;
            }
            let totalpower = 0;
            let att = 0;
            for (let p in g_yaoshui_play) {
                if (p == yaoshuiName) {
                    att = g_yaoshui_play[p].damage;
                }
            }
            if (num == 0 || num == null) {
                this.getPlayDoc().coreData.extraAtt = 0;
            }
            totalpower += (att * Number(num));
            this.getPlayDoc().coreData.extraAtt = totalpower;
        }

        setextraDef(yaoshuiName: string, num: number = 1): void {
            if (num > 1) {
                ui_messageBox.ShowOrHide(true, "当前已超过购买次数！");
                return;
            }
            let totalpower = 0;
            let att = 0;
            for (let p in g_yaoshui_play) {
                if (p == yaoshuiName) {
                    att = g_yaoshui_play[p].damageRes;
                }
            }
            if (num == 0 || num == null) {
                this.getPlayDoc().coreData.extraDef = 0;
            }
            totalpower += (att * Number(num));
            this.getPlayDoc().coreData.extraDef = totalpower;
        }


        setextraPower(yaoshuiName: string, num: number = 1): void {
            if (num > 1) {
                ui_messageBox.ShowOrHide(true, "当前已超过购买次数！");
                return;
            }
            let totalpower = 0;
            let att = 0;
            for (let p in g_yaoshui_play) {
                if (p == yaoshuiName) {
                    att = g_yaoshui_play[p].power;
                }
            }
            if (num == 0 || num == null) {
                this.getPlayDoc().coreData.extraPower = 0;
            }
            totalpower += (att * Number(num));
            this.getPlayDoc().coreData.extraPower = totalpower;
        }

        setextraHP(yaoshuiName: string, num: number = 1): void {
            if (num > 1) {
                ui_messageBox.ShowOrHide(true, "当前已超过购买次数！");
                return;
            }
            let totalpower = 0;
            let att = 0;
            for (let p in g_yaoshui_play) {
                if (p == yaoshuiName) {
                    att = g_yaoshui_play[p].hp;
                }
            }
            if (num == 0 || num == null) {
                this.getPlayDoc().coreData.extraHP = 0;
            }
            totalpower += (att * Number(num));
            this.getPlayDoc().coreData.extraHP = totalpower;
        }


        //传当前的英雄或者随从的名字
        getAllAtt(heroOrFowollerName: string): number {
            let level_att = dataMgr.getMe().getBaseAtt();
            if (this.getHeroSkin(heroOrFowollerName) == "" || this.getHeroSkin(heroOrFowollerName) == null) {
                console.log("getHeroSkin  Att is null");
                return -1;
            }
            let skin_att = dataMgr.getMe().getSkinAtt(this.getHeroSkin(heroOrFowollerName), heroOrFowollerName);
            let level = dataMgr.getMe().getTittlelevel(this.getTittle(heroOrFowollerName));
            let tittleconfig = dataMgr.getMe().getTittleConfigBytag(this.getTittle(heroOrFowollerName),level);
            let chenghao_att = 0
            if (tittleconfig) {
                chenghao_att = tittleconfig.damage
            }
            let yaoshui_att = dataMgr.getMe().getPlayDoc().coreData.extraAtt || 0;
            let total_att = Number(level_att) + Number(skin_att) + Number(chenghao_att) + Number(yaoshui_att);
            return total_att;
        }


        getAllDef(heroOrFowollerName: string): number {
            let level_Def = dataMgr.getMe().getBaseDef();
            if (this.getHeroSkin(heroOrFowollerName) == "" || this.getHeroSkin(heroOrFowollerName) == null) {
                console.log("getHeroSkin Def is null");
                return -1;
            }
            let skin_Def = dataMgr.getMe().getSkinDef(this.getHeroSkin(heroOrFowollerName), heroOrFowollerName);
            let level = dataMgr.getMe().getTittlelevel(this.getTittle(heroOrFowollerName));
            let tittleconfig = dataMgr.getMe().getTittleConfigBytag(this.getTittle(heroOrFowollerName),level);
            let chenghao_Def = 0
            if (tittleconfig) {
                chenghao_Def = tittleconfig.def
            }
            let yaoshui_Def = dataMgr.getMe().getPlayDoc().coreData.extraDef || 0;
            let total_Def = Number(level_Def) + Number(skin_Def) + Number(chenghao_Def) + Number(yaoshui_Def);
            return total_Def;
        }


        getAllHp(heroOrFowollerName: string): number {
            let level_hp = dataMgr.getMe().getBaseHp();
            if (this.getHeroSkin(heroOrFowollerName) == "" || this.getHeroSkin(heroOrFowollerName) == null) {
                console.log("getHeroSkin hp is null");
                return -1;
            }
            let skin_hp = dataMgr.getMe().getSkinHp(this.getHeroSkin(heroOrFowollerName), heroOrFowollerName);
            let level = dataMgr.getMe().getTittlelevel(this.getTittle(heroOrFowollerName));
            let tittleconfig = dataMgr.getMe().getTittleConfigBytag(this.getTittle(heroOrFowollerName),level);
            let chenghao_hp = 0;
            if (tittleconfig) {
                chenghao_hp = tittleconfig.hp;
            }
            let yaoshui_hp = dataMgr.getMe().getPlayDoc().coreData.extraHP || 0;
            let total_hp = Number(skin_hp) + Number(chenghao_hp) + Number(yaoshui_hp) + Number(level_hp);
            return total_hp;
        }

        getAllPower(heroOrFowollerName: string): number {
            let level_Power = dataMgr.getMe().getBasePower();
            if (this.getHeroSkin(heroOrFowollerName) == "" || this.getHeroSkin(heroOrFowollerName) == null) {
                console.log("getHeroSkin power is null");
                return -1;
            }
            let skin_Power = dataMgr.getMe().getSkinpower(this.getHeroSkin(heroOrFowollerName), heroOrFowollerName);
            let level = dataMgr.getMe().getTittlelevel(this.getTittle(heroOrFowollerName));
            let tittleconfig = dataMgr.getMe().getTittleConfigBytag(this.getTittle(heroOrFowollerName),level);
            let chenghao_Power = 0
            if (tittleconfig) {
                chenghao_Power = tittleconfig.power
            }
            let yaoshui_Power = dataMgr.getMe().getPlayDoc().coreData.extraPower || 0;
            let total_Power = Number(level_Power) + Number(skin_Power) + Number(chenghao_Power) + Number(yaoshui_Power);
            return total_Power;
        }

        //传一个属性名比如damage
        getWeaponMax(proto: string): number {
            for (let p in g_max_config) {
                if (p.indexOf("wuqi_" + proto) > -1) {
                    return g_max_config[p].max;
                }
            }
            return -1;
        }

        getRoleMax(proto: string): number {
            for (let p in g_max_config) {
                if (p.indexOf("juese_" + proto) > -1) {
                    return g_max_config[p].max;
                }
            }
            return -1;
        }

        getChenghaoMax(proto: string): number {
            for (let p in g_max_config) {
                if (p.indexOf("chenghao_" + proto) > -1) {
                    return g_max_config[p].max;
                }
            }
            return -1;
        }

        getSkinMax(proto: string): number {
            for (let p in g_max_config) {
                if (p.indexOf("pifu_" + proto) > -1) {
                    return g_max_config[p].max;
                }
            }
            return -1;
        }

        getYaoshuiMax(proto: string): number {
            for (let p in g_max_config) {
                if (p.indexOf("yaoshui_" + proto) > -1) {
                    return g_max_config[p].max;
                }
            }
            return -1;
        }

        getAllMax(proto: string): number {
            for (let p in g_max_config) {
                if (p.indexOf("all_" + proto) > -1) {
                    return g_max_config[p].max;
                }
            }
            return -1;
        }

        //解锁引导
        yindaoUnlock(name: string) {
            let data = fileMgr.getMe().m_play_doc.yindao[name];
            if (data == null) {
                console.log("error YindaoUnLockByName");
            }
            fileMgr.getMe().m_play_doc.yindao[name] = 1;

            // fileMgr.getMe().savePlayInfo();
            fileMgr.savePlayInfo_callback();
        }

        //引导是否解锁
        isUnlockYindao(name: string) {
            let data = fileMgr.getMe().m_play_doc.yindao[name];
            if (data == null) {
                console.log("error isYindaoLockByName");
                return false;
            }
            if (data == 1) {
                return true;
            } else {
                return false;
            }
        }

        //是否获得赛季奖励
        isgetAward(){
            let award:number = this.getPlayDoc().coreData.isaward;
            if(award == 1){
                return true
            }
            return false
        }
        //设置获得奖励
        setAward(date2:string){
            this.getPlayDoc().coreData.beforetime = date2;
            let curscore = fileMgr.getMe().m_play_doc.coreData.rank_score / 2;
            curscore = Math.floor(curscore);
            if (curscore <= 0) {
                curscore = 1;
            }
            fileMgr.getMe().m_play_doc.coreData.rank_score = curscore;
            httpMgr.getMe().sendMsg(g_httpType.type_httpSaveScore);
        }

        //设置获奖时间
        setAwardTime(time:string){
            this.getPlayDoc().coreData.beforetime = time;
        }

        static getRankAward(){
            if(!(dataMgr.getMe().isUnlockYindao("f1") && dataMgr.getMe().isUnlockYindao("f2")
                && dataMgr.getMe().isUnlockYindao("f3") && dataMgr.getMe().isUnlockYindao("f4")
                && dataMgr.getMe().isUnlockYindao("f5") )){
                return;
            }

            let date = dataMgr.getMe().getPlayDoc().coreData.beforetime;
            let t = energyMgr.getMe().m_curDate;
            let week = new Date(t).getDay();
            let time = new Date(t).getTime();
            let beforeyear = date.split("-")[0];
            let beforemonth = date.split("-")[1];
            let beforeday = date.split("-")[2];


            //
            // if(week == 0){
            //     time -= 6 * 24 * 60 * 60 * 1000;
            // }
            // else if(week != 6){
            //     time += (6-week) * 24 * 60 * 60 * 1000;
            // }

            let newDay = new Date(t);
            let year2 = newDay.getFullYear();
            let month2 = newDay.getMonth() + 1;
            let day2 = newDay.getDate();
            let date2 = year2 + "-" + month2 + "-" + day2;
            if(parseInt(beforeyear) >= year2){
                if(parseInt(beforemonth) >= month2){
                    if(parseInt(beforeday) - day2 < 6){
                        return ;
                    }
                }
            }



            if(date != date2){
                // if (!dataMgr.getMe().isgetAward()) {
                //     dataMgr.getMe().setAward(1);//设置获得赛季奖励
                // }
                dataMgr.getMe().setMaxRankScore(dataMgr.getMe().getRankScore());
                dataMgr.getMe().setAward(date2);
                ui_saijijiangli.ShowOrHide(true);

                let rank = dataMgr.getMe().getRank();
                let award = dataMgr.getAward(rank);
                dataMgr.getMe().setMaxRank(rank);
                dataMgr.getMe().setRank(99999);
                dataMgr.getMe().getPlayDoc().coreData.rank_win = 0;
                if (award) {
                    ui_saijijiangli.getMe().callBackUI(award);
                }
            }
        }

        //获取赛季奖励
        static getAward(ranklevel: number) {
            if(ranklevel == 1){
                return g_rank_config["1"];
            }
            if(ranklevel > 10000000){
                return g_rank_config["10000000"];
            }
            for (let rank in g_rank_config) {
                let num: number = parseInt(rank);
                if (ranklevel <= num) {
                    return g_rank_config[num];
                }
            }
            return null;
        }
    }
}
//# sourceMappingURL=dataMgr.js.map