//json
var game;
(function (game) {
    //管理配置信息 玩家存档 json
    var fileMgr = (function () {
        function fileMgr() {
            this.m_play_doc = null; //玩家存档
            this.m_lastloginTime = 0;
            this.m_resouce = null;
            this.m_xiangsu_info = null;
            this.m_net_info = null;
            this.m_curMyStruct_xiangsu_base = null;
            this.m_monsterAi_config = null;
            this.m_playHero_data_Map = null;
            this.m_logindata = null;
            // this.m_sceneinfo_MapGame = new MapGame();
        }
        fileMgr.getMe = function () {
            return fileMgr.create();
        };
        ;
        fileMgr.prototype.init = function () {
            this.initPlayHeroData();
            // protoBuffMgr.getMe().init();
            // this.readPlayerdefault();
            this.readPlayerDoc();
            this.read_xiangsu();
            this.read_net_info();
            // this.read_shop_info();
            //this.read_play();
            // this.read_buff();
            this.read_monster_Ai_config();
            this.initSceneConfig();
            this.readresouce();
            this.read_config_json();
            console.log("fileMgr init ok!");
        };
        fileMgr.prototype.read_config_json = function () {
            // let data = this.ReadFileData("monster/monster_birth_config.json");
            // this.m_monster_birth_config = JSON.parse(data);
        };
        fileMgr.prototype.readresouce = function () {
            this.m_resouce = game.g_resouce;
            return true;
        };
        fileMgr.prototype.initPlayHeroData = function () {
            this.m_playHero_data_Map = new game.Map();
            for (var p in game.g_playhero_config) {
                var data = game.g_playhero_config[p];
                this.m_playHero_data_Map.set(p, data);
            }
        };
        fileMgr.prototype.initSceneConfig = function () {
            //场景配置表
            fileMgr.g_scene_config_data_Map = new game.Map();
            for (var p in game.g_scene_config) {
                var data = game.g_scene_config[p];
                fileMgr.g_scene_config_data_Map.set(p, data);
            }
        };
        fileMgr.prototype.isMobile = function () {
            return this.m_xiangsu_info.root.isMobile;
        };
        fileMgr.prototype.read_monster_Ai_config = function () {
            this.m_monsterAi_config = game.g_monsterAi_config; //outjson;
            //this.m_followerAi_config = g_hero_AutoFight_config;//outjson;
            return true;
        };
        fileMgr.prototype.read_xiangsu = function () {
            console.log("read_xiangsu!");
            var data = this.ReadFileData("xiangsu.json");
            var outjson = JSON.parse(data);
            this.m_xiangsu_info = outjson;
            return true;
        };
        fileMgr.prototype.read_net_info = function () {
            var data = this.ReadFileData("net.json");
            var outjson = JSON.parse(data);
            this.m_net_info = outjson;
            return true;
        };
        fileMgr.prototype.getResouce = function () {
            return game.g_resouce;
        };
        //是否有这个场景的数据
        fileMgr.prototype.hasSceneInfo = function (filename) {
            if (fileMgr.g_scene_config_data_Map.has(filename)) {
                return true;
            }
            return false;
        };
        fileMgr.prototype.getSceneInfo = function (filename) {
            //let ret = g_scene_config[filename];
            var ret = fileMgr.g_scene_config_data_Map.get(filename);
            return ret;
        };
        fileMgr.prototype.readJsonFile = function (filename) {
            var obj = this.ReadFileData(filename);
            return JSON.parse(obj);
        };
        fileMgr.prototype.ReadFileData = function (filename) {
            //console.log("ReadFileData： " + filename);
            if (cc.sys.isNative) {
                // console.log("ReadFileData： " + filename);
                var fullPath = jsb.fileUtils.getWritablePath();
                fullPath += filename;
                // console.log("ReadFileData： " + fullPath);
                if (jsb.fileUtils.isFileExist(fullPath)) {
                    console.log("ReadFileData： " + fullPath);
                    return jsb.fileUtils.getStringFromFile(fullPath);
                }
                if (jsb.fileUtils.isFileExist(filename)) {
                    console.log("ReadFileData： " + filename);
                    return jsb.fileUtils.getStringFromFile(filename);
                }
                if (jsb.fileUtils.isFileExist("config/" + filename)) {
                    console.log("ReadFileData： " + "config/" + filename);
                    return jsb.fileUtils.getStringFromFile("config/" + filename);
                }
                if (jsb.fileUtils.isFileExist("xingjietantantang/config/" + filename)) {
                    console.log("ReadFileData： " + "xingjietantantang/config/" + filename);
                    return jsb.fileUtils.getStringFromFile("xingjietantantang/config/" + filename);
                }
                console.log("ReadFileData： " + "not find file" + filename);
                return false;
            }
            else {
                var txt = cc.loader._loadTxtSync("xingjietantantang/config/" + filename);
                return txt;
            }
            // return false;
        };
        fileMgr.prototype.initxiangsu_andriod_ios = function (sizein) {
            var len = 10000;
            var lenBuff = 0;
            var phonelist = this.m_xiangsu_info.root.iphone;
            for (var i = 0; i < phonelist.length; ++i) {
                var data = phonelist[i];
                game.iphone_struct.num(data);
                var disx = game.funcMgr.getMe().float_dis(data.xiangsu_w, sizein.width);
                var disy = game.funcMgr.getMe().float_dis(data.xiangsu_h, sizein.height);
                lenBuff = disx + disy; // it->second.xiangsu_w + it->second.xiangsu_h;
                if (lenBuff < len) {
                    len = lenBuff;
                    this.m_curMyStruct_xiangsu_base = data;
                }
            }
            console.log("jjj:" + "len:" + len + " lenBuff:" + lenBuff + this.m_curMyStruct_xiangsu_base.xiangsu_w + ":" + this.m_curMyStruct_xiangsu_base.xiangsu_h + ":" + this.m_curMyStruct_xiangsu_base.scale);
            return this.m_curMyStruct_xiangsu_base;
        };
        fileMgr.prototype.readPlayerDoc = function () {
            this.m_play_doc = cc.clone(game.g_player_default);
            // if (this.m_play_doc != null) {
            //     return;
            // }
            // if (cc.sys.isNative && cc.sys.os == cc.sys.OS_WINDOWS) {
            //     //判断存档是否存在
            //     if (jsb.fileUtils.isFileExist("save/player_doc.json")) {
            //         var play_doc = this.ReadFileData("save/player_doc.json");
            //         this.m_play_doc = JSON.parse(play_doc);
            //         console.log("读取到本地存档，使用 save/player_doc 档存")
            //     }
            //     else {
            //         console.log("未读取到本地存档，使用默认存档")
            //         this.m_play_doc = <play_doc_s>g_player_default; //
            //     }
            // }
            // else if (cc.sys.isNative && cc.sys.os == cc.sys.OS_ANDROID) {
            //     let _writablePath = jsb.fileUtils.getWritablePath();
            //     console.log("安卓存档目录：" + _writablePath + "save/player_doc_tantantang.json");
            //     if (jsb.fileUtils.isFileExist(_writablePath + "save/player_doc_tantantang.json")) {
            //         var play_doc = this.ReadFileData("save/player_doc.json");
            //         this.m_play_doc = JSON.parse(play_doc);
            //     }
            //     else {
            //         this.m_play_doc = <play_doc_s>g_player_default; //
            //     }
            // }
            // else {
            //     this.m_play_doc = <play_doc_s>g_player_default; //
            // }
        };
        fileMgr.savePlayInfo_callback = function () {
            cc.log("开始存档...");
            var Playe_Doc = cc.clone(fileMgr.getMe().m_play_doc);
            if (Playe_Doc.coreData.name == "") {
                cc.error("没有存档", "httpSaveGameData");
                return;
            }
            Playe_Doc.coreData.name = game.base64Mgr.encode(Playe_Doc.coreData.name);
            var acc = game.iapMgr.getMe().getplatformId() + game.iapMgr.getMe().getaccount() + game.iapMgr.getMe().getGameId();
            game.httpSetxingjieGameData.getMe().onSendMsg(acc, JSON.stringify(Playe_Doc));
        };
        fileMgr.prototype.savePlayInfo = function () {
            // this.m_play_doc.coreData.lastlogindate = getNowTime_year_monsth_day_string()
            // httpMgr.getMe().sendMsg(g_httpType.type_httpSaveGameData)
            // if (cc.sys.isNative) {
            //     this.m_play_doc.coreData.curdate = getNowTime_year_monsth_day_string()
            //     var _writablePath = jsb.fileUtils.getWritablePath();
            //     console.log("存档目录：" + _writablePath + "save/player_doc.json");
            //     var json = JSON.stringify(this.m_play_doc, null, '\t');
            //     //需要存档到服务器
            //     if (cc.sys.os == cc.sys.OS_WINDOWS) {
            //         var srcpath = _writablePath + "save/player_doc_backup.json";
            //         jsb.fileUtils.writeStringToFile(json, srcpath);
            //         jsb.fileUtils.removeFile(_writablePath + "save/player_doc.json");
            //         jsb.fileUtils.renameFile(_writablePath + "save/", "player_doc_backup.json", "player_doc.json");
            //     }
            //     else {
            //         var srcpath = _writablePath + "player_doc_backup.json";
            //         jsb.fileUtils.writeStringToFile( + json, srcpath);
            //         jsb.fileUtils.removeFile(_writablePath + "player_doc_tantantang.json");
            //         jsb.fileUtils.renameFile(_writablePath, "player_doc_backup.json", "player_doc_tantantang.json");
            //     }
            // }
        };
        fileMgr.prototype.savePlayAccount = function (account, password) {
            if (cc.sys.isNative) {
                var _writablePath = jsb.fileUtils.getWritablePath();
                console.log("存档目录：" + _writablePath + "save/player_account.json");
                var json = JSON.stringify({ account: account, password: password }, null, '\t');
                if (cc.sys.os == cc.sys.OS_WINDOWS) {
                    var srcpath = _writablePath + "save/player_account.json";
                    jsb.fileUtils.writeStringToFile(json, srcpath);
                }
                else {
                    var srcpath = _writablePath + "player_account.json";
                    jsb.fileUtils.writeStringToFile(json, srcpath);
                }
            }
            // this.readlogindata()
        };
        fileMgr.prototype.readlogindata = function () {
            if (cc.sys.isNative && cc.sys.os == cc.sys.OS_WINDOWS) {
                //判断存档是否存在
                if (jsb.fileUtils.isFileExist("save/player_account.json")) {
                    var login_doc = this.ReadFileData("save/player_account.json");
                    this.m_logindata = JSON.parse(login_doc);
                }
            }
            else if (cc.sys.isNative && cc.sys.os == cc.sys.OS_ANDROID) {
                var _writablePath = jsb.fileUtils.getWritablePath();
                console.log("安卓存档目录：" + _writablePath + "save/player_account.json");
                if (jsb.fileUtils.isFileExist(_writablePath + "save/player_account.json")) {
                    var login_doc = this.ReadFileData("save/player_account.json");
                    this.m_logindata = JSON.parse(login_doc);
                }
            }
        };
        fileMgr.prototype.getPlayInfo_String = function () {
            var json = JSON.stringify(this.m_play_doc, null, '\t');
            var data = "g_paly_doc = " + json;
            return data;
        };
        fileMgr.prototype.saveProjectJson = function (filelist) {
            if (cc.sys.isNative) {
                var data = fileMgr.getMe().ReadFileData("project.json");
                var outjson = JSON.parse(data);
                outjson["jsList"] = filelist;
                var json = JSON.stringify(outjson, null, '\t');
                jsb.fileUtils.writeStringToFile(json, "project.json");
            }
        };
        fileMgr.g_fileMgr = null;
        fileMgr.create = function () {
            if (!fileMgr.g_fileMgr) {
                fileMgr.g_fileMgr = new fileMgr();
            }
            return fileMgr.g_fileMgr;
        };
        return fileMgr;
    }());
    game.fileMgr = fileMgr;
})(game || (game = {}));
//# sourceMappingURL=FileMgr.js.map 
//# sourceMappingURL=FileMgr.js.map