//json

module game {

//管理配置信息 玩家存档 json
    export class fileMgr {
        m_play_doc: play_doc_s = null;//玩家存档
        m_lastloginTime:any = 0;
        m_resouce: any = null
        m_xiangsu_info: xiangsu_struct = null
        m_net_info: net_struct = null
        m_curMyStruct_xiangsu_base: iphone_struct = null
        m_monsterAi_config: any = null

        m_playHero_data_Map: game.Map< string , HeroConfig_s > = null;


        m_logindata:login_struct = null

        m_account:string;
        m_platform:string;

        static g_scene_config_data_Map: game.Map<string,scene_config_data_s>;

        static g_fileMgr: any = null;
        static getMe(): fileMgr {
            return fileMgr.create();
        };

        static create = function () {
            if ( !fileMgr.g_fileMgr) {
                fileMgr.g_fileMgr = new fileMgr();
            }
            return fileMgr.g_fileMgr;
        };

        constructor() {
            // this.m_sceneinfo_MapGame = new MapGame();
        }
        init() {
            this.initPlayHeroData();
            // protoBuffMgr.getMe().init();
            // this.readPlayerdefault();
            this.readPlayerDoc();
            this.read_xiangsu();
            this.read_net_info();
            // this.read_shop_info();
            //this.read_play();
            // this.read_buff();
            this.read_monster_Ai_config();
            this.initSceneConfig();

            this.readresouce();
            this.read_config_json();
            console.log("fileMgr init ok!");
        }

        read_config_json() {
            // let data = this.ReadFileData("monster/monster_birth_config.json");
            // this.m_monster_birth_config = JSON.parse(data);
        }

        readresouce() {
            this.m_resouce = g_resouce;
            return true;
        }


        initPlayHeroData() {
            this.m_playHero_data_Map = new game.Map<string,HeroConfig_s>();

            for (let p in g_playhero_config) {
                let data = g_playhero_config[p];
                this.m_playHero_data_Map.set(p, data);
            }
        }

        initSceneConfig() {

            //场景配置表
            fileMgr.g_scene_config_data_Map = new game.Map<string,scene_config_data_s>();
            for (let p in g_scene_config) {
                let data = g_scene_config[p];
                fileMgr.g_scene_config_data_Map.set(p, data);
            }

        }

        isMobile() {
            return this.m_xiangsu_info.root.isMobile;
        }


        read_monster_Ai_config() {
            this.m_monsterAi_config = g_monsterAi_config; //outjson;
            //this.m_followerAi_config = g_hero_AutoFight_config;//outjson;
            return true;
        }


        read_xiangsu() {
            console.log("read_xiangsu!");
            let data = this.ReadFileData("xiangsu.json");
            let outjson = JSON.parse(data);
            this.m_xiangsu_info = outjson;

            return true;
        }

        read_net_info() {
            let data = this.ReadFileData("net.json");
            let outjson = JSON.parse(data);
            this.m_net_info = outjson;
            return true;
        }


        getResouce() {
            return g_resouce;
        }


        //是否有这个场景的数据
        hasSceneInfo(filename) {
            if (fileMgr.g_scene_config_data_Map.has(filename)) {
                return true;
            }
            return false;
        }

        getSceneInfo(filename: string): scene_config_data_s {
            //let ret = g_scene_config[filename];
            let ret = fileMgr.g_scene_config_data_Map.get(filename);
            return ret;
        }


        readJsonFile(filename): Object {
            let obj = this.ReadFileData(filename);
            return JSON.parse(obj);
        }

        ReadFileData(filename) {
            //console.log("ReadFileData： " + filename);
            if (cc.sys.isNative) {
                // console.log("ReadFileData： " + filename);
                let fullPath = jsb.fileUtils.getWritablePath();
                fullPath += filename;
                // console.log("ReadFileData： " + fullPath);
                if (jsb.fileUtils.isFileExist(fullPath)) {
                    console.log("ReadFileData： " + fullPath);
                    return jsb.fileUtils.getStringFromFile(fullPath);
                }
                if (jsb.fileUtils.isFileExist(filename)) {
                    console.log("ReadFileData： " + filename);
                    return jsb.fileUtils.getStringFromFile(filename);
                }
                if (jsb.fileUtils.isFileExist("config/" + filename)) {
                    console.log("ReadFileData： " + "config/" + filename);
                    return jsb.fileUtils.getStringFromFile("config/" + filename);
                }
                if (jsb.fileUtils.isFileExist("xingjietantantang/config/" + filename)) {
                    console.log("ReadFileData： " + "xingjietantantang/config/" + filename);
                    return jsb.fileUtils.getStringFromFile("xingjietantantang/config/" + filename);
                }
                console.log("ReadFileData： " + "not find file" + filename);
                return false;
            }
            else {
                var txt = cc.loader._loadTxtSync("xingjietantantang/config/" + filename);
                return txt;
            }
            // return false;
        }
        initxiangsu_andriod_ios(sizein) {
            let len = 10000;
            let lenBuff = 0;

            let phonelist = this.m_xiangsu_info.root.iphone;
            for (let i = 0; i < phonelist.length; ++i) {
                let data: iphone_struct = phonelist[i];
                iphone_struct.num(data);
                let disx = funcMgr.getMe().float_dis(data.xiangsu_w, sizein.width);
                let disy = funcMgr.getMe().float_dis(data.xiangsu_h, sizein.height);
                lenBuff = disx + disy; // it->second.xiangsu_w + it->second.xiangsu_h;
                if (lenBuff < len) {
                    len = lenBuff;
                    this.m_curMyStruct_xiangsu_base = data;
                }
            }
            console.log("jjj:" + "len:" + len + " lenBuff:" + lenBuff + this.m_curMyStruct_xiangsu_base.xiangsu_w + ":" + this.m_curMyStruct_xiangsu_base.xiangsu_h + ":" + this.m_curMyStruct_xiangsu_base.scale);
            return this.m_curMyStruct_xiangsu_base;
        }


        readPlayerDoc() {
            this.m_play_doc = cc.clone(g_player_default)
            // if (this.m_play_doc != null) {
            //     return;
            // }
            // if (cc.sys.isNative && cc.sys.os == cc.sys.OS_WINDOWS) {
            //     //判断存档是否存在
            //     if (jsb.fileUtils.isFileExist("save/player_doc.json")) {
            //         var play_doc = this.ReadFileData("save/player_doc.json");
            //         this.m_play_doc = JSON.parse(play_doc);
            //         console.log("读取到本地存档，使用 save/player_doc 档存")
            //     }
            //     else {
            //         console.log("未读取到本地存档，使用默认存档")
            //         this.m_play_doc = <play_doc_s>g_player_default; //
            //     }
            // }
            // else if (cc.sys.isNative && cc.sys.os == cc.sys.OS_ANDROID) {
            //     let _writablePath = jsb.fileUtils.getWritablePath();
            //     console.log("安卓存档目录：" + _writablePath + "save/player_doc_tantantang.json");
            //     if (jsb.fileUtils.isFileExist(_writablePath + "save/player_doc_tantantang.json")) {
            //         var play_doc = this.ReadFileData("save/player_doc.json");
            //         this.m_play_doc = JSON.parse(play_doc);
            //     }
            //     else {
            //         this.m_play_doc = <play_doc_s>g_player_default; //
            //     }
            // }
            // else {
            //     this.m_play_doc = <play_doc_s>g_player_default; //
            // }
        }

        static savePlayInfo_callback(){
            cc.log("开始存档...");
            let Playe_Doc: play_doc_s = cc.clone(fileMgr.getMe().m_play_doc);
            if (Playe_Doc.coreData.name == "") {
                cc.error("没有存档", "httpSaveGameData");
                return;
            }
            Playe_Doc.coreData.name = base64Mgr.encode(Playe_Doc.coreData.name);
            let acc = iapMgr.getMe().getplatformId() + iapMgr.getMe().getaccount() + iapMgr.getMe().getGameId();
            httpSetxingjieGameData.getMe().onSendMsg(acc, JSON.stringify(Playe_Doc));
        }

        savePlayInfo() {
            // this.m_play_doc.coreData.lastlogindate = getNowTime_year_monsth_day_string()
            // httpMgr.getMe().sendMsg(g_httpType.type_httpSaveGameData)
            // if (cc.sys.isNative) {
            //     this.m_play_doc.coreData.curdate = getNowTime_year_monsth_day_string()
            //     var _writablePath = jsb.fileUtils.getWritablePath();
            //     console.log("存档目录：" + _writablePath + "save/player_doc.json");
            //     var json = JSON.stringify(this.m_play_doc, null, '\t');
            //     //需要存档到服务器
            //     if (cc.sys.os == cc.sys.OS_WINDOWS) {
            //         var srcpath = _writablePath + "save/player_doc_backup.json";
            //         jsb.fileUtils.writeStringToFile(json, srcpath);
            //         jsb.fileUtils.removeFile(_writablePath + "save/player_doc.json");
            //         jsb.fileUtils.renameFile(_writablePath + "save/", "player_doc_backup.json", "player_doc.json");
            //     }
            //     else {
            //         var srcpath = _writablePath + "player_doc_backup.json";
            //         jsb.fileUtils.writeStringToFile( + json, srcpath);
            //         jsb.fileUtils.removeFile(_writablePath + "player_doc_tantantang.json");
            //         jsb.fileUtils.renameFile(_writablePath, "player_doc_backup.json", "player_doc_tantantang.json");
            //     }
            // }
        }

        savePlayAccount( account, password )
        {
            if (cc.sys.isNative) {
                let _writablePath = jsb.fileUtils.getWritablePath();
                console.log("存档目录：" + _writablePath + "save/player_account.json");
                let json = JSON.stringify({account:account,password:password}, null, '\t');
                if (cc.sys.os == cc.sys.OS_WINDOWS) {
                    let srcpath = _writablePath + "save/player_account.json";
                    jsb.fileUtils.writeStringToFile(json, srcpath);
                }
                else {
                    let srcpath = _writablePath + "player_account.json";
                    jsb.fileUtils.writeStringToFile( json, srcpath);
                }
            }
            // this.readlogindata()
        }
        readlogindata()
        {
            if (cc.sys.isNative && cc.sys.os == cc.sys.OS_WINDOWS) {
                //判断存档是否存在
                if (jsb.fileUtils.isFileExist("save/player_account.json")) {
                    let login_doc = this.ReadFileData("save/player_account.json");
                    this.m_logindata = JSON.parse(login_doc);
                }
            }
            else if (cc.sys.isNative && cc.sys.os == cc.sys.OS_ANDROID) {
                let _writablePath = jsb.fileUtils.getWritablePath();
                console.log("安卓存档目录：" + _writablePath + "save/player_account.json");
                if (jsb.fileUtils.isFileExist(_writablePath + "save/player_account.json")) {
                    let login_doc = this.ReadFileData("save/player_account.json");
                    this.m_logindata = JSON.parse(login_doc);
                }
            }
        }

        getPlayInfo_String() {
            let json = JSON.stringify(this.m_play_doc, null, '\t');
            let data = "g_paly_doc = " + json;
            return data;
        }

        saveProjectJson(filelist) {
            if (cc.sys.isNative) {
                let data = fileMgr.getMe().ReadFileData("project.json");
                let outjson = JSON.parse(data);
                outjson["jsList"] = filelist;
                let json = JSON.stringify(outjson, null, '\t');
                jsb.fileUtils.writeStringToFile(json, "project.json");
            }
        }
    }

}
//# sourceMappingURL=FileMgr.js.map