/**
 * 皮肤属性配置
 */
//玩家皮肤
module game{
    export var g_pifu_config =
        {
            "皮肤": {
                "name": "皮肤",
                "jinbi": "金币",
                "tishi": "提示",
                "desName": "名称",
                "spine": "人物spine",
                "skin": "skin",
                "icon": "图片",
                "des": "说明",
                "isMale": "性别需求",
                "damage": "伤害",
                "hp": "血量",
                "damageRes": "减伤",
                "power": "耐力",
                "miaoshu": "技能描述",
                "skill": "特殊",
                "shuzhi1": "数值1",
                "shuzhi2": "数值2",
                "critRate": "暴击率"
            },
            "pifu_nan_1": {
                "name": "pifu_nan_1",
                "jinbi": -1,
                "tishi": "无法购买，该皮肤为初始皮肤。",
                "desName": "活力少年",
                "spine": "hero_nan",
                "skin": "pifu1",
                "icon": "xingjietantantang/big/ui/image/ddt_tx_nan.png",
                "des": "活力四射的少年，不畏任何挑战！",
                "isMale": 1,
                "damage": 10,
                "hp": 200,
                "damageRes": 0.05,
                "power": 50,
                "miaoshu": "无",
                "skill": " ",
                "shuzhi1": " ",
                "shuzhi2": " ",
                "critRate": 0
            },
            "pifu_nan_2": {
                "name": "pifu_nan_2",
                "jinbi": -1,
                "tishi": "无法购买，该皮肤仅可由VIP赠送获得。",
                "desName": "海盗船长",
                "spine": "hero_nan",
                "skin": "pifu3",
                "icon": "xingjietantantang/big/ui/image/ddt_tx_hd.png",
                "des": "纵横加勒比的海盗王者，奇袭可是最拿手的手段。",
                "isMale": 1,
                "damage": 50,
                "hp": 600,
                "damageRes": 0.2,
                "power": 100,
                "miaoshu": "潜行：移动、待机状态隐身",
                "skill": "yinshen",
                "shuzhi1": 5,
                "shuzhi2": 5,
                "critRate": 0
            },
            "pifu_nan_3": {
                "name": "pifu_nan_3",
                "jinbi": 0,
                "tishi": " ",
                "desName": "西部警长",
                "spine": "hero_nan",
                "skin": "pifu2",
                "icon": "xingjietantantang/big/ui/image/ddt_tx_jingzhang.png",
                "des": "西部最伟大的警长，以驱逐盗匪为终身事业。",
                "isMale": 1,
                "damage": 60,
                "hp": 450,
                "damageRes": 0.15,
                "power": 100,
                "miaoshu": "爆头：暴击概率增加20%，造成200%暴击伤害",
                "skill": "baoji",
                "critRate": 0.2
            },
            "pifu_nan_4": {
                "name": "pifu_nan_4",
                "jinbi": 0,
                "tishi": " ",
                "desName": "迷你暴龙",
                "spine": "hero_nan",
                "skin": "pifu4",
                "icon": "xingjietantantang/big/ui/image/ddt_tx_longA.png",
                "des": "穿着可爱恐龙玩偶的少年，深受所有人的喜爱。",
                "isMale": 1,
                "damage": 30,
                "hp": 700,
                "damageRes": 0.2,
                "power": 100,
                "miaoshu": "碾压：对血量低于50%的角色额外造成30%的伤害",
                "skill": "nianya",
                "shuzhi1": 0.5,
                "shuzhi2": 0.3,
                "critRate": 0
            },
            "pifu_nan_5": {
                "name": "pifu_nan_5",
                "jinbi": 0,
                "tishi": " ",
                "desName": "呆萌小熊",
                "spine": "hero_nan",
                "skin": "pifu5",
                "icon": "xingjietantantang/big/ui/image/ddt_tx_xiongA.png",
                "des": "穿着可爱小熊玩偶的少年，生气的样子反而更受人喜欢。",
                "isMale": 1,
                "damage": 40,
                "hp": 600,
                "damageRes": 0.1,
                "power": 100,
                "miaoshu": "暴怒：每回合增加10%伤害但额外受到5%的伤害",
                "skill": "kuangbao",
                "shuzhi1": 0.1,
                "shuzhi2": 0.05,
                "critRate": 0
            },
            "pifu_nan_6": {
                "name": "pifu_nan_6",
                "jinbi": -1,
                "tishi": "无法购买，该皮肤仅可由钻石抽奖获得。",
                "desName": "熊猫小子",
                "spine": "hero_nan",
                "skin": "pifu6",
                "icon": "xingjietantantang/big/ui/image/ddt_tx_xiongmaoA.png",
                "des": "穿着熊猫玩偶的少年，似乎为命运所眷顾。",
                "isMale": 1,
                "damage": 20,
                "hp": 600,
                "damageRes": 0.25,
                "power": 100,
                "miaoshu": "国宝：死亡后复活一次，回复50%的血量",
                "skill": "guobao",
                "shuzhi1": 0.5,
                "shuzhi2": " ",
                "critRate": 0
            },
            "pifu_nan_7": {
                "name": "pifu_nan_7",
                "jinbi": 0,
                "tishi": null,
                "desName": "南瓜怪人",
                "spine": "hero_nan",
                "skin": "pifu7",
                "icon": "xingjietantantang/big/ui/image/ddt_tx_wanshengjie.png",
                "des": "万圣节出没的奇怪南瓜头怪人，据说南瓜头里充满了糖果。",
                "isMale": 1,
                "damage": 50,
                "hp": 450,
                "damageRes": 0.15,
                "power": 100,
                "miaoshu": "汲取：攻击后恢复造成伤害10%的生命值",
                "skill": "xixue",
                "shuzhi1": 0.1,
                "shuzhi2": " ",
                "critRate": 0
            },
            "pifu_nan_8": {
                "name": "pifu_nan_8",
                "jinbi": -1,
                "tishi": "无法购买，该皮肤仅可由荣誉兑换获得。",
                "desName": "运动少年",
                "spine": "hero_nan",
                "skin": "pifu8",
                "icon": "xingjietantantang/big/ui/image/ddt_tx_yundon.png",
                "des": "热爱运动的元气少年，经常锻炼的身体身手敏捷。",
                "isMale": 1,
                "damage": 45,
                "hp": 550,
                "damageRes": 0.2,
                "power": 100,
                "miaoshu": "敏捷：受到任意攻击有25%概率闪避不受伤害",
                "skill": "minjie",
                "shuzhi1": 0.25,
                "shuzhi2": " ",
                "critRate": 0
            },
            "pifu_nv_1": {
                "name": "pifu_nv_1",
                "jinbi": -1,
                "tishi": "无法购买，该皮肤为初始皮肤。",
                "desName": "活力少女",
                "spine": "hero_nv",
                "skin": "pifu1",
                "icon": "xingjietantantang/big/ui/image/ddt_tx_nv.png",
                "des": "活力四射的少女，不畏任何挑战！",
                "isMale": 0,
                "damage": 10,
                "hp": 200,
                "damageRes": 0.05,
                "power": 50,
                "miaoshu": "无",
                "skill": " ",
                "shuzhi1": " ",
                "shuzhi2": "  ",
                "critRate": 0
            },
            "pifu_nv_2": {
                "name": "pifu_nv_2",
                "jinbi": -1,
                "tishi": "无法购买，该皮肤仅可由VIP赠送获得。",
                "desName": "海贼女王",
                "spine": "hero_nv",
                "skin": "pifu2",
                "icon": "xingjietantantang/big/ui/image/ddt_tx_ss.png",
                "des": "立志成为海贼女王的少女，正在为成为最高赏金而努力。",
                "isMale": 0,
                "damage": 50,
                "hp": 600,
                "damageRes": 0.2,
                "power": 100,
                "miaoshu": "潜行：移动、待机状态隐身",
                "skill": "yinshen",
                "shuzhi1": " ",
                "shuzhi2": " ",
                "critRate": 0
            },
            "pifu_nv_3": {
                "name": "pifu_nv_3",
                "jinbi": 0,
                "tishi": " ",
                "desName": "西部丽影",
                "spine": "hero_nv",
                "skin": "pifu3",
                "icon": "xingjietantantang/big/ui/image/ddt_tx_xibu.png",
                "des": "传说中的牛仔女郎，百发百中的枪法让所有人胆寒。",
                "isMale": 0,
                "damage": 60,
                "hp": 450,
                "damageRes": 0.15,
                "power": 100,
                "miaoshu": "爆头：暴击概率增加20%，造成200%暴击伤害",
                "skill": "baoji",
                "shuzhi1": 0.2,
                "shuzhi2": 2,
                "critRate": 0.2
            },
            "pifu_nv_4": {
                "name": "pifu_nv_4",
                "jinbi": 0,
                "tishi": " ",
                "desName": "迷你暴龙",
                "spine": "hero_nv",
                "skin": "pifu4",
                "icon": "xingjietantantang/big/ui/image/ddt_tx_longB.png",
                "des": "穿着可爱恐龙玩偶的少女，深受所有人的喜爱。",
                "isMale": 0,
                "damage": 30,
                "hp": 700,
                "damageRes": 0.2,
                "power": 100,
                "miaoshu": "碾压：对血量低于50%的角色额外造成30%的伤害",
                "skill": "nianya",
                "shuzhi1": 0.5,
                "shuzhi2": 0.3,
                "critRate": 0
            },
            "pifu_nv_5": {
                "name": "pifu_nv_5",
                "jinbi": 0,
                "tishi": " ",
                "desName": "呆萌小熊",
                "spine": "hero_nv",
                "skin": "pifu5",
                "icon": "xingjietantantang/big/ui/image/ddt_tx_xiongB.png",
                "des": "穿着可爱小熊玩偶的少女，生气的样子反而更受人喜欢。",
                "isMale": 0,
                "damage": 40,
                "hp": 600,
                "damageRes": 0.1,
                "power": 100,
                "miaoshu": "暴怒：每回合增加10%伤害但额外受到5%的伤害",
                "skill": "kuangbao",
                "shuzhi1": 0.1,
                "shuzhi2": 0.05,
                "critRate": 0
            },
            "pifu_nv_6": {
                "name": "pifu_nv_6",
                "jinbi": -1,
                "tishi": "无法购买，该皮肤仅可由钻石抽奖获得。",
                "desName": "熊猫少女",
                "spine": "hero_nv",
                "skin": "pifu6",
                "icon": "xingjietantantang/big/ui/image/ddt_tx_xiongmaoB.png",
                "des": "穿着熊猫玩偶的少女，似乎为命运所眷顾。",
                "isMale": 0,
                "damage": 20,
                "hp": 600,
                "damageRes": 0.25,
                "power": 100,
                "miaoshu": "国宝：死亡后复活一次，回复50%的血量",
                "skill": "guobao",
                "shuzhi1": 0.5,
                "shuzhi2": " ",
                "critRate": 0
            },
            "pifu_nv_7": {
                "name": "pifu_nv_7",
                "jinbi": 0,
                "tishi": null,
                "desName": "南瓜女巫",
                "spine": "hero_nv",
                "skin": "pifu8",
                "icon": "xingjietantantang/big/ui/image/ddt_tx_nvwu.png",
                "des": "万圣节出没的南瓜女巫，据说南瓜头里充满了糖果。",
                "isMale": 0,
                "damage": 50,
                "hp": 450,
                "damageRes": 0.15,
                "power": 100,
                "miaoshu": "汲取：攻击后恢复造成伤害10%的生命值",
                "skill": "xixue",
                "shuzhi1": 0.1,
                "shuzhi2": " ",
                "critRate": 0
            },
            "pifu_nv_8": {
                "name": "pifu_nv_8",
                "jinbi": -1,
                "tishi": "无法购买，该皮肤仅可由荣誉兑换获得。",
                "desName": "元气女仆",
                "spine": "hero_nv",
                "skin": "pifu7",
                "icon": "xingjietantantang/big/ui/image/ddt_tx_nvpu.png",
                "des": "元气满满的女仆，柔弱的身体意外的灵敏。",
                "isMale": 0,
                "damage": 45,
                "hp": 550,
                "damageRes": 0.2,
                "power": 100,
                "miaoshu": "敏捷：受到任意攻击有25%概率闪避不受伤害",
                "skill": "minjie",
                "shuzhi1": 0.25,
                "shuzhi2": " ",
                "critRate": 0
            }
        }
}
//# sourceMappingURL=pifu_config.js.map