/**
 * Created by cy1234 on 2016/7/30.
 * 状态机控制管理
 */
module game {
    export class baseStateControl {
        m_cur_RoleAiState: aiBase = null;
        m_Ai_map_1: MapGame = null;
        m_roleObj: baseRole = null;

        constructor(playObj) {
            this.m_roleObj = playObj;
            this.m_Ai_map_1 = new game.MapGame();
        }

        init() {
        }

        getCurStateInfo() {
            return this.m_cur_RoleAiState;
        }

        initState() {
        }

        addState(data, type?) {
            if (data == null) {
                return;
            }
            if (type == null) {
                if (this.m_Ai_map_1 == null) {
                    this.m_Ai_map_1.put(data.m_stateType, data);
                }
                if (data.m_stateType) {
                    this.m_Ai_map_1.put(data.m_stateType, data);
                }
                else {
                    this.m_Ai_map_1.put(data.m_stateType, data);
                }

            }
            else {
                this.m_Ai_map_1.put(type, data);
            }
        }

        getState(type) {
            return this.m_Ai_map_1.getDataByKey(type);
        }

        //强制切换状态
        changeState_Ex(key, data?) {
            // if(key != g_AiType.g_AiType_Dead){
            //     if(this.m_roleObj.m_buff_noControl) return false;
            // }
            this.m_cur_RoleAiState.ExternalEvent(key, data);
            let buffai = this.m_Ai_map_1.getDataByKey(key);
            if (buffai == null) {
                return true;
            }
            if (buffai.InternalEvent(key, data)) {
                this.m_cur_RoleAiState = buffai;
                return true;
            }
        }

        changeState(key, in_data?) {
            let buffAi = this.m_Ai_map_1.getDataByKey(key);
            if (buffAi == null) {
                console.log("  changeState!  没有這个状态:" + key);
                return false;
            }
            if (!this.m_cur_RoleAiState.ExternalEvent(key, in_data)) {
                //console.log("  changeState!  当前状态不退出:" + this.getCurStateType() );
                return false;
            }
            if (buffAi.InternalEvent == null) {
                console.log("changeState!");
                return false;
            }
            if (buffAi.InternalEvent(key, in_data)) {
                this.m_cur_RoleAiState = buffAi;
            }
            else {
                this.m_cur_RoleAiState.InternalEvent(key, in_data);
            }
            return true;
        }

        loop(dt) {
            this.m_cur_RoleAiState.update(dt);
        }

        shutdown() {
            this.m_cur_RoleAiState = null;
            this.m_Ai_map_1.clear();
            this.m_Ai_map_1 = null;
            this.m_roleObj = null;
        }

        getCurStateType() {
            if (this.m_cur_RoleAiState == null) {
                return null;
            }
            return this.m_cur_RoleAiState.m_stateType;
        }

        onFrameEvent(type, event) {
            this.m_cur_RoleAiState.onFrameEvent(type, event);
        }
    }
}