/**
 * Created by xieli on 2017/2/4.
 */
//物品管理类
var game;
(function (game) {
    var itemMgr = (function () {
        function itemMgr() {
        }
        itemMgr.prototype.getItemnumbyType = function (type) {
            var items = game.fileMgr.getMe().m_play_doc.items;
            for (var p in items) {
                if (items[p].id == type) {
                    return items[p].num;
                }
            }
            return 0;
        };
        itemMgr.prototype.typeToString = function (type) {
            for (var p in game.g_item_config) {
                if (game.g_item_config[p].type == type) {
                    return p;
                }
            }
            return "";
        };
        itemMgr.prototype.stringToType = function (typestr) {
            for (var p in game.g_item_config) {
                if (p == typestr) {
                    return game.g_item_config[p].type;
                }
            }
            return -1;
        };
        itemMgr.prototype.getskinowner = function (name, skintype) {
            // nan 1 male 0
            var skintypestr = this.typeToString(skintype);
            name = name.replace("hero_", "");
            return skintypestr.indexOf(name) > -1;
        };
        itemMgr.prototype.gethasSkin = function (name) {
            if (name === void 0) { name = null; }
            var skins = game.fileMgr.getMe().m_play_doc.skins;
            var arr = [];
            // return skins //test
            for (var p in skins) {
                // skins[p].lock = 1
                if (skins[p].lock == 1) {
                    if (name == null) {
                        arr.push(skins[p]);
                    }
                    else {
                        if (this.getskinowner(name, skins[p].id)) {
                            arr.push(skins[p]);
                        }
                    }
                }
            }
            return arr;
        };
        itemMgr.prototype.TypeToString = function (type) {
            for (var p in game.g_item_config) {
                if (type == game.g_item_config[p].type) {
                    return p;
                }
            }
            return "";
        };
        itemMgr.prototype.removeItemnumBytype = function (type, num) {
            var items = game.fileMgr.getMe().m_play_doc.items;
            for (var p in items) {
                if (items[p].id == type) {
                    if (items[p].num >= num) {
                        items[p].num -= num;
                        return true;
                    }
                    else {
                        return false;
                    }
                }
            }
            return false;
        };
        itemMgr.prototype.addItemnumBytype = function (type, num) {
            var items = game.fileMgr.getMe().m_play_doc.items;
            for (var p in items) {
                if (items[p].id == type) {
                    if (items[p].num >= num) {
                        items[p].num += num;
                        return true;
                    }
                    else {
                        return false;
                    }
                }
            }
            return false;
        };
        itemMgr.prototype.getSkinislock = function (type) {
            var skins = game.fileMgr.getMe().m_play_doc.skins;
            for (var p in skins) {
                if (skins[p].id == type) {
                    return skins[p].lock == 1;
                }
            }
            return false;
        };
        itemMgr.prototype.getWeaponislock = function (type) {
            // let weapons = fileMgr.getMe().m_play_doc.weapons
            // for (let p in weapons) {
            //     if (weapons[p].id == type) {
            //         return weapons[p].lock == 1
            //     }
            // }
            // return false
            var weapons = game.fileMgr.getMe().m_play_doc.weapons;
            var str;
            for (var i = 0; i < weapons.length; ++i) {
                if (!weapons[i])
                    return false;
                str = weapons[i].split("*");
                if (type == str[0]) {
                    // weapons[i] = str[0] + "*" +0;
                    return parseInt(str[1]) != -1;
                }
            }
            return false;
        };
        itemMgr.prototype.setWeaponLock = function (type) {
            // let weapons = fileMgr.getMe().m_play_doc.weapons;
            // for (let p in weapons) {
            //     if (weapons[p].id == type) {
            //         return weapons[p].lock = 1
            //     }
            // }
            var weapons = game.fileMgr.getMe().m_play_doc.weapons;
            var str;
            for (var i = 0; i < weapons.length; ++i) {
                if (!weapons[i])
                    return false;
                str = weapons[i].split("*");
                if (type == str[0]) {
                    weapons[i] = str[0] + "*" + 0;
                    return true;
                }
            }
            return false;
        };
        //获得同名武器拥有数
        itemMgr.prototype.getWeaponNum = function (type) {
            // let weapons = fileMgr.getMe().m_play_doc.weapons;
            // let str:string = this.typeToString(type) .replace("_1","");
            // let Num:number = 0;
            // for(let p in weapons){
            //     if(weapons[p].lock == 1){
            //         let WeaName = this.typeToString(weapons[p].id).replace("_1","");
            //         if(str == WeaName){
            //             Num++;
            //         }
            //     }
            // }
            // return Num;
            var weapons = game.fileMgr.getMe().m_play_doc.weapons;
            var str;
            var s = type.replace("_1", "");
            var Num = 0;
            for (var i = 0; i < weapons.length; ++i) {
                if (!weapons[i])
                    continue;
                str = weapons[i].split("*");
                if (parseInt(str[1]) != -1) {
                    var WeaName = str[0].replace("_1", "");
                    if (s == WeaName) {
                        Num++;
                    }
                }
            }
            return Num;
        };
        itemMgr.prototype.getWeaponConfig = function (type) {
            // for (let p in g_weapon_play) {
            //     if (p == type) {
            //         return cc.clone(g_weapon_play[p]) //[level]
            //     }
            // }
            return game.getWeaponConfig()[type];
        };
        itemMgr.prototype.lockSkin = function (type) {
            var skins = game.fileMgr.getMe().m_play_doc.skins;
            for (var p in skins) {
                if (skins[p].id == type) {
                    skins[p].lock = 1;
                    return true;
                }
            }
            return false;
        };
        itemMgr.prototype.getitemPriceZuansi = function (type) {
            var data = game.Version_mgr.getInstance().m_zuansiInfo;
            for (var p in data) {
                if (p == type) {
                    return data[p];
                }
            }
            return null;
        };
        itemMgr.prototype.getitemPricejinbi = function (type) {
            var data = game.Version_mgr.getInstance().m_jinbiInfo;
            for (var p in data) {
                if (p == type) {
                    return data[p];
                }
            }
            return null;
        };
        itemMgr.g_itemMgr = null;
        itemMgr.getMe = function () {
            if (game.itemMgr.g_itemMgr == null) {
                game.itemMgr.g_itemMgr = new game.itemMgr();
            }
            return game.itemMgr.g_itemMgr;
        };
        return itemMgr;
    }());
    game.itemMgr = itemMgr;
})(game || (game = {}));
//# sourceMappingURL=itemMgr.js.map 
//# sourceMappingURL=itemMgr.js.map