/**
 * Created by w on 2017/5/27.
 */
var game;
(function (game) {
    //.........................当前游戏版本.................................................
    game.g_curVersion = game.e_game_Version.e_version_web;
    //....................................................................................
    var Version_mgr = (function () {
        function Version_mgr() {
            this.m_option = null; //弹窗信息等 配置表
            this.m_jinbiInfo = null; //金币配置表
            this.m_zuansiInfo = null; //钻石配置表
            this.m_rmbinfo = null; //rmb商品配置表
            this.init();
        }
        Version_mgr.getInstance = function () {
            if (Version_mgr.g_instance == null) {
                Version_mgr.g_instance = new Version_mgr();
            }
            return Version_mgr.g_instance;
        };
        //初始化版本
        Version_mgr.prototype.init = function () {
            var versionconfig = null;
            var curversionstr = this.TypetoStr(game.g_curVersion);
            for (var p in game.g_shop_config) {
                if (p == curversionstr) {
                    versionconfig = cc.clone(game.g_shop_config[p]);
                }
            }
            if (versionconfig == null) {
                game.uiMgr.getMe().show_ui_MessageBox(true, "严重错误1，没有配置当前版本的shop_config  " + curversionstr, function () {
                    cc.director.end();
                });
            }
            this.m_option = versionconfig.option;
            this.m_jinbiInfo = versionconfig.jinbi;
            this.m_zuansiInfo = versionconfig.zuanshi;
            this.m_rmbinfo = versionconfig.price;
            if (this.m_option == null || this.m_jinbiInfo == null || this.m_zuansiInfo == null || this.m_rmbinfo == null) {
                game.uiMgr.getMe().show_ui_MessageBox(true, "严重错误2，没有配置当前版本的shop_config  " + curversionstr, function () {
                    cc.director.end();
                });
            }
        };
        Version_mgr.prototype.getRmbPriceByTag = function (tag) {
            tag = tag.replace(/zuanshi/g, '');
            for (var p in this.m_rmbinfo) {
                if (p == tag)
                    return this.m_rmbinfo[p];
            }
            return null;
        };
        Version_mgr.prototype.isWeb = function () {
            return this.getCurVersion() == game.e_game_Version.e_version_web;
        };
        Version_mgr.prototype.isPhone = function () {
            return this.m_option.isPhone;
        };
        Version_mgr.prototype.getDiamondPriceBystr = function (str) {
            for (var p in this.m_zuansiInfo) {
                if (p == str) {
                    return this.m_zuansiInfo[p];
                }
            }
            console.log("没有这个物品配置 " + str);
            return 0;
        };
        Version_mgr.prototype.getGoldPriceBystr = function (str) {
            for (var p in this.m_jinbiInfo) {
                if (p == str) {
                    return this.m_jinbiInfo[p];
                }
            }
            console.log("没有这个物品配置 " + str);
            return 0;
        };
        Version_mgr.prototype.getCurVersion = function () {
            return game.g_curVersion;
        };
        Version_mgr.prototype.strToType = function (str) {
            switch (str) {
                case "anhui":
                    return game.e_game_Version.e_version_anhui;
                case "hunan":
                    return game.e_game_Version.e_version_hunan;
                case "hubei":
                    return game.e_game_Version.e_version_hubei;
                case "tianjin":
                    return game.e_game_Version.e_version_tianjing;
                case "yun":
                    return game.e_game_Version.e_version_yunbi;
                case "phone":
                    return game.e_game_Version.e_version_Phone;
                case "web":
                    return game.e_game_Version.e_version_web;
                case "hebei":
                    return game.e_game_Version.e_version_hebei;
                default:
                    return null;
            }
        };
        Version_mgr.prototype.TypetoStr = function (type) {
            switch (type) {
                case game.e_game_Version.e_version_anhui:
                    return "anhui";
                case game.e_game_Version.e_version_hunan:
                    return "hunan";
                case game.e_game_Version.e_version_hubei:
                    return "hubei";
                case game.e_game_Version.e_version_tianjing:
                    return "tianjin";
                case game.e_game_Version.e_version_yunbi:
                    return "yun";
                case game.e_game_Version.e_version_Phone:
                    return "phone";
                case game.e_game_Version.e_version_web:
                    return "web";
                case game.e_game_Version.e_version_hebei:
                    return "hebei";
                default:
                    return "";
            }
        };
        Version_mgr.g_instance = null;
        return Version_mgr;
    }());
    game.Version_mgr = Version_mgr;
})(game || (game = {}));
//# sourceMappingURL=versionMgr.js.map