var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var bulletMgr = (function (_super) {
        __extends(bulletMgr, _super);
        // m_time:number;
        function bulletMgr() {
            _super.call(this);
            this.m_des = "bulletMgr";
            this.init();
        }
        bulletMgr.prototype.init = function () {
            _super.prototype.init.call(this);
            this.m_bullet_map = new game.Map();
            // if(sceneMgr.getMe().getCurScene() instanceof PVP_fight){
            //     this.m_time = 2000;
            // }else{
            //     this.m_time = 1000;
            // }
        };
        // initDeleteBulletNum(num: number) {
        //     this.m_curNum = 0;
        //     this.m_deleteBulletNum = num;
        // }
        bulletMgr.prototype.createBullet = function (data) {
            var bullet = game.baseBullet.create(data);
            this.m_bullet_map.set(bullet.__instanceId, bullet);
            this.addChild(bullet.getNode(), 2000);
        };
        bulletMgr.prototype.creatBlinkBullet = function (data) {
            var bullet = game.blinkBullet.create(data);
            this.m_bullet_map.set(bullet.__instanceId, bullet);
            this.addChild(bullet.getNode(), 2000);
        };
        bulletMgr.prototype.creatHealBullet = function (data) {
            var bullet = game.healBullet.create(data);
            this.m_bullet_map.set(bullet.__instanceId, bullet);
            this.addChild(bullet.getNode(), 2000);
        };
        bulletMgr.prototype.creatPosionBullet = function (data) {
            var bullet = game.posionBullet.create(data);
            this.m_bullet_map.set(bullet.__instanceId, bullet);
            this.addChild(bullet.getNode(), 2000);
        };
        bulletMgr.prototype.creatCrossBullet = function (data) {
            var bullet = game.crossBullet.create(data);
            this.m_bullet_map.set(bullet.__instanceId, bullet);
            this.addChild(bullet.getNode(), 2000);
        };
        bulletMgr.prototype.creatLaunchBullet = function (data) {
            var bullet = game.launchBullet.create(data);
            this.m_bullet_map.set(bullet.__instanceId, bullet);
            this.addChild(bullet.getNode(), 2000);
        };
        bulletMgr.prototype.creatLaunchBullet2 = function (data) {
            var bullet = game.launchBullet2.create(data);
            this.m_bullet_map.set(bullet.__instanceId, bullet);
            this.addChild(bullet.getNode(), 2000);
        };
        bulletMgr.prototype.update = function (dt) {
            this.m_bullet_map.forEach(function (v, k) {
                if (v)
                    v.update(dt);
            }, this);
        };
        bulletMgr.prototype.removeBullet = function (key) {
            if (this.m_bullet_map.get(key)) {
                this.m_bullet_map.get(key).shutdown();
                this.m_bullet_map.delete(key);
            }
        };
        bulletMgr.prototype.shutdown = function () {
            this.m_bullet_map.forEach(function (v, k) {
                v.shutdown();
            }, this);
            this.m_bullet_map.clear();
            this.m_bullet_map = null;
        };
        bulletMgr.prototype.zanting = function (flag) {
            this.m_bullet_map.forEach(function (v, k) {
                v.zanting(flag);
            }, this);
        };
        bulletMgr.getMe = function () {
            if (game.sceneMgr.getMe().m_curScene == null) {
                return null;
            }
            return game.sceneMgr.getMe().m_curScene.getBulletMgr();
        };
        bulletMgr.create = function () {
            return new bulletMgr();
        };
        return bulletMgr;
    }(game.xjNode));
    game.bulletMgr = bulletMgr;
})(game || (game = {}));
//# sourceMappingURL=bulletMgr.js.map 
//# sourceMappingURL=bulletMgr.js.map