module game {
    export class ui_fuhuo extends UiBase {
        static g_instarn: ui_fuhuo = null;

        static getMe() {
            return ui_fuhuo.g_instarn;
        };

        static ShowOrHide = function (flag, msg?, okCallback = null, noCallback = null) {
            UiBase.ShowOrHide(flag, ui_fuhuo, uiMgr.getMe(), 99999999, {
                msg: msg,
                okcallback: okCallback,
                nocallback: noCallback
            });
        };
        m_okCallback: Function = null;
        m_noCallback: Function = null;

        constructor() {
            super();
            this.m_des = "ui_fuhuo";
            this.m_CBaseKeyState = new BaseKeyState()
        }

        oninit(data) {
            let root = this._parseUIFile("messagebox1.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            if (data.okcallback) {
                this.m_okCallback = data.okcallback;
            }
            if (data.nocallback) {
                this.m_noCallback = data.nocallback;
            }
            let strText: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "neirong");
            strText.setString(data.msg);

            let okButton: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "queren");
            okButton.addTouchEventListener(this.ok_func, this);

            let noButton: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "fanhui");
            noButton.addTouchEventListener(this.no_func, this);

            this.m_CBaseKeyState.regNodeEx(okButton, 1);
            this.m_CBaseKeyState.regNodeEx(noButton, 2);
            this.m_CBaseKeyState.init(this);
            if (Version_mgr.getInstance().m_option.deathFocus) {
                this.m_CBaseKeyState.setCurKey(okButton);
            } else {
                this.m_CBaseKeyState.setCurKey(noButton);
            }
            rootScene.getMe().zanting(true);
        }

        shutdown(){
            super.shutdown();
            //rootScene.getMe().zanting(false);
            RoundManager.getMe().m_isOver = false;
        }

        ok_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.endLayout(function () {
                        ui_fuhuo.ShowOrHide(false, null);
                        if (this.m_okCallback) {
                            this.m_okCallback();
                        }
                    }.bind(this));
                    break;
            }
        }

        no_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.endLayout(function () {
                        ui_fuhuo.ShowOrHide(false, null);
                        if (this.m_noCallback) {
                            this.m_noCallback();
                        }
                    }.bind(this));
                    break;
            }
        }

    }
}