// module game {
//     export class ChipmunkMgr {
//         static g_instance: ChipmunkMgr = null;
//         static getMe = function (): ChipmunkMgr {
//             if (ChipmunkMgr.g_instance == null) {
//                 ChipmunkMgr.g_instance = new ChipmunkMgr();
//             }
//             return ChipmunkMgr.g_instance;
//         };
//         space;
//         bodyA;
//         bodyB;
//
//         loadPhysicsSpace() {
//             this.space = new cp.Space();            // 创建[物理空间]
//             this.space.gravity = cp.v(0, -150);     // 设置[物理空间重力]
//             this.space.sleepTimeThreshold = 0.5;    // 设置[睡眠检测临界值]
//
//             let thickness = 100;    // 物理空间围墙厚度
//             let staticBody = this.space.staticBody; // 创建[静态刚体]
//             let width = 2000 * rootScene.getMe().m_win_scale;
//             let height = 1000 * rootScene.getMe().m_win_scale;
//             let walls = [
//                 new cp.SegmentShape(staticBody, cp.v(-thickness, -thickness), cp.v(width, -thickness), thickness),  // 底部
//                 new cp.SegmentShape(staticBody, cp.v(-thickness, -thickness), cp.v(-thickness, height), thickness), // 左边
//                 new cp.SegmentShape(staticBody, cp.v(width + thickness, -thickness), cp.v(width + thickness, height), thickness),     // 右边
//                 new cp.SegmentShape(staticBody, cp.v(-thickness, height + thickness), cp.v(width, height + thickness), thickness)      // 顶部
//             ];
//
//             // 创建围墙
//             for (let i = 0; i < walls.length; i++) {
//                 let shape = walls[i];
//                 shape.setElasticity(0.5);   // 设置[围墙的弹性系数]
//                 shape.setFriction(0);       // 设置[围墙的摩擦力]
//                 shape.setCollisionType("212");
//                 this.space.addStaticShape(shape);   // 添加[围墙到物理空间中]
//             }
//
//             this.space.addCollisionHandler("121", "212",
//                 this.collisionBegin.bind(this),
//                 this.collisionPre.bind(this),
//                 this.collisionPost.bind(this),
//                 this.collisionSeparate.bind(this)
//             );
//         }
//
//         // 加载[物理空间Debug]
//         loadDebugPhysicsSpace(layer: cc.Node) {
//             let node = new cc.PhysicsDebugNode(this.space);
//             layer.addChild(node, 999999999);
//         }
//
//         createBody(role: baseRole, m) {
//             let mess = m || 10;      // 质量
//             let pos = cp.v(0, 0);
//
//             let node = new cc.PhysicsSprite("xingjietantantang/big/ui/image/ddt_ui107.png");
//             role.addChild(node);
//             // node.setVisible(false);
//
//             let body = new cp.Body(mess, cp.momentForBox(mess, node.width, node.height));
//             this.space.addBody(body);
//             body.setPos(pos);
//             body.sprite = node;
//
//             let shape = new cp.BoxShape(body, node.width, node.height);
//             this.space.addShape(shape); // 物理空间添加形状
//             node.setBody(body);        // 精灵设置刚体
//             shape.setCollisionType("121");
//
//             return body;
//         }
//
//         // 碰撞
//         collisionBegin(arbiter, space) {
//             cc.log("碰到了。");
//             return true;
//         }
//
//         // 碰撞[计算前]
//         collisionPre(arbiter, space) {
//             // cc.log("碰到了。");
//             return true;
//         }
//
//         // 碰撞[xx]
//         collisionPost(arbiter, space) {
//             // cc.log("碰到了。");
//         }
//
//         // 碰撞[分开]
//         collisionSeparate(arbiter, space) {
//             // cc.log("碰到了。");
//         }
//
//         loop(dt){
//             this.space.step(dt);
//         }
//     }
// } 
//# sourceMappingURL=ChipmunkMgr.js.map