module game {
    export class Queue <V> {
        _data:Array<V> = null;
        constructor () {
            this._data = new Array();
        }

        begin ():V {
            let len = this._data.length;
            for (let i = len - 1; i >= 0; i--) {
                return this._data[i];
            }
            return null;
        }

        push ( data : V )
        {
            this._data.unshift( data );
        }

        pop ():V {
            return this._data.pop( );
        }
        /**
         * 获取键值对数量
         */
        size () {
            return this._data.length;
        }
        getSize () {
            return this._data.length;
        }
    }
}
//# sourceMappingURL=queue.js.map