module game {
    export class proto_data extends protoBuffBase<tongyong_s> {
        static g_insta: proto_data = null;
        m_sceneName:string;

        static getMe(): proto_data {
            return protoBuffBase.getMe(proto_data);
        };

        constructor(path: string = "tongyong.proto") {
            super(path, protoMessType.data);
        }

        send(data) {
            this.sendMessage(data);
        }

        callback(message: any) {
            cc.log("匹配成功...");
            cc.log(message.strvar5, message.strvar6);

            let data:tongyong_s = new tongyong_s();
            let playData:PVPData = getPVPData();
            if (message.strvar5 == playData.acc) { // 主机
                playData.sceneName = RandomFightMap();
                this.m_sceneName = playData.sceneName;
            }
            else if (message.strvar6 == playData.acc) { // 加入者
                playData.sceneName = null;
            }
            else {
                cc.log("主机 :" + message.strvar5, "加入者 :" + message.strvar6);
                cc.error("pvp", "匹配出现错误！");
                return;
            }
            data.strvar5 = message.strvar5;
            data.strvar6 = message.strvar6;
            data.strvar7 = JSON.stringify(playData);

            this.send(data);
        }
    }
}