var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var proto_fightAI = (function (_super) {
        __extends(proto_fightAI, _super);
        function proto_fightAI(path) {
            if (path === void 0) { path = "tongyong.proto"; }
            _super.call(this, path, game.protoMessType.fightAI);
        }
        proto_fightAI.getMe = function () {
            return game.protoBuffBase.getMe(proto_fightAI);
        };
        ;
        proto_fightAI.prototype.callback = function (message) {
            cc.log("打电脑...");
            if (game.ui_paiweiloading.getMe()) {
                game.ui_paiweiloading.getMe().m_isPvp = false;
            }
            proto_fightAI.initRandomRole();
        };
        proto_fightAI.initRandomRole = function () {
            // 先展示数据一下再退出  初始化匹配数据
            var data = new game.pipeiData();
            data.sceneName = game.RandomFightMap();
            data.roleName1 = Math.floor(Math.random() * 2) == 1 ? "nan" : "nv"; // 主角 随从若有反主角
            data.roleSkin1 = proto_fightAI.getRandomSkin();
            data.title1 = proto_fightAI.getRandomTitle();
            data.titleLevel1 = game.dataMgr.getMe().getTittlelevel(data.title1);
            data.roleName2 = data.roleName1 == "nan" ? "nv" : "nan";
            data.roleSkin2 = proto_fightAI.getRandomSkin();
            data.title2 = proto_fightAI.getRandomTitle();
            data.titleLevel2 = game.dataMgr.getMe().getTittlelevel(data.title2);
            data.weapon1 = proto_fightAI.getRandomWeapon();
            data.weapon2 = proto_fightAI.getRandomWeapon();
            data.nickName = proto_fightAI.getRandomNickName();
            if (data.nickName == null) {
                data.nickName = proto_fightAI.getmorenName();
            }
            data.level = game.dataMgr.getMe().getlevel();
            game.ui_paiweiloading.getMe().failedCallBack(data);
            game.proto_pvpLogin.getMe().m_data = data;
            // ui_paiweiloading.ShowOrHide(false);
            // sceneMgr.getMe().selectScene(e_SceneType.SceneType_fightai, data.sceneName);
        };
        proto_fightAI.getRandomWeapon = function () {
            var weapons = ["wuqi2", "wuqi3", "wuqi4", "wuqi5", "wuqi6", "wuqi8", "wuqi9",
                "wuqi10", "wuqi12", "wuqi13", "wuqi14", "wuqi15", "wuqi16", "wuqi17", "wuqi18"];
            var r = Math.floor(Math.random() * weapons.length);
            var weaponsData = new Array();
            weaponsData.push(weapons[r]);
            weapons.splice(r, 1);
            r = Math.floor(Math.random() * weapons.length);
            weaponsData.push(weapons[r]);
            weapons.splice(r, 1);
            r = Math.floor(Math.random() * weapons.length);
            weaponsData.push(weapons[r]);
            weapons.splice(r, 1);
            return weaponsData;
        };
        proto_fightAI.getRandomTitle = function () {
            var r = Math.floor(Math.random() * 6) + 1;
            return "chenghao_" + r;
        };
        proto_fightAI.getRandomSkin = function () {
            var arr = [3, 4, 5, 7];
            var r = Math.floor(Math.random() * arr.length);
            return "pifu" + arr[r];
        };
        proto_fightAI.getRandomNickName = function () {
            // while(g_rank_list){
            //     let num = Math.floor(Math.random() * g_rank_list.length);
            //     if(g_rank_list[num]){
            //         if(base64Mgr.decode(dataMgr.getMe().getNickName()) != g_rank_list[num].name){
            //             return g_rank_list[num].name;
            //         }
            //     }
            // }
            // return null
            var name;
            for (var i = 0; i < game.g_rank_list.length; ++i) {
                name = game.g_rank_list[i].NickName;
                if (name != game.dataMgr.getMe().getPlayDoc().coreData.name) {
                    return name;
                }
            }
            return proto_fightAI.getmorenName();
        };
        proto_fightAI.getmorenName = function () {
            var randomName = ["孤帆杰伦尔", "梅茜波瑞斯", "飞鸟劳恒", "快乐夏尔", "烈日康伦卡",
                "相遇伊麦尔", "笑叹家克斯", "刺眼弗托万", "仗剑唐洛克", "南涫 爱雷得",
                "自毁开瑟尔", "残月列雷恩", "影子纳龙", "年华艾林顿", "少年所奈尔",
                "夜色约尔肯", "孤独迪维奇", "流星威瑟尔", "黄昏开龙", "练习金雷"];
            var num = Math.floor(Math.random() * randomName.length);
            if (randomName[num]) {
                if (game.base64Mgr.decode(game.dataMgr.getMe().getNickName()) != randomName[num]) {
                    return randomName[num];
                }
            }
        };
        proto_fightAI.g_insta = null;
        return proto_fightAI;
    }(game.protoBuffBase));
    game.proto_fightAI = proto_fightAI;
})(game || (game = {}));
//# sourceMappingURL=proto_fightAI.js.map