module game {
    export class proto_fightAI extends protoBuffBase<tongyong_s> {
        static g_insta: proto_fightAI = null;

        static getMe(): proto_fightAI {
            return protoBuffBase.getMe(proto_fightAI);
        };

        constructor(path: string = "tongyong.proto") {
            super(path, protoMessType.fightAI);
        }

        callback(message: any) {
            cc.log("打电脑...");
            if(ui_paiweiloading.getMe()){
                ui_paiweiloading.getMe().m_isPvp = false;
            }
            proto_fightAI.initRandomRole();
        }

        static initRandomRole() {
            // 先展示数据一下再退出  初始化匹配数据
            let data:pipeiData = new pipeiData();
            data.sceneName = RandomFightMap();
            data.roleName1 = Math.floor(Math.random() * 2) == 1 ? "nan" : "nv"; // 主角 随从若有反主角
            data.roleSkin1 = proto_fightAI.getRandomSkin();
            data.title1 = proto_fightAI.getRandomTitle();
            data.titleLevel1 = dataMgr.getMe().getTittlelevel(data.title1);

            data.roleName2 = data.roleName1 == "nan" ? "nv" : "nan";
            data.roleSkin2 = proto_fightAI.getRandomSkin();
            data.title2 = proto_fightAI.getRandomTitle();
            data.titleLevel2 = dataMgr.getMe().getTittlelevel(data.title2);

            data.weapon1 =  proto_fightAI.getRandomWeapon();
            data.weapon2 =  proto_fightAI.getRandomWeapon();

            data.nickName = proto_fightAI.getRandomNickName();
            if( data.nickName == null){
                data.nickName = proto_fightAI.getmorenName();
            }
            data.level = dataMgr.getMe().getlevel();

            ui_paiweiloading.getMe().failedCallBack(data);

            proto_pvpLogin.getMe().m_data = data;
            // ui_paiweiloading.ShowOrHide(false);
            // sceneMgr.getMe().selectScene(e_SceneType.SceneType_fightai, data.sceneName);
        }

        static getRandomWeapon() {
            let weapons = ["wuqi2","wuqi3","wuqi4","wuqi5","wuqi6","wuqi8","wuqi9",
                "wuqi10","wuqi12","wuqi13","wuqi14","wuqi15","wuqi16","wuqi17","wuqi18"];
            let r = Math.floor(Math.random() * weapons.length);
            let weaponsData = new Array();
            weaponsData.push(weapons[r]);
            weapons.splice(r,1);
            r = Math.floor(Math.random() * weapons.length);
            weaponsData.push(weapons[r]);
            weapons.splice(r,1);
            r = Math.floor(Math.random() * weapons.length);
            weaponsData.push(weapons[r]);
            weapons.splice(r,1);

            return weaponsData;
        }

        static getRandomTitle() {
            let r = Math.floor(Math.random() * 6) + 1;
            return "chenghao_" + r;
        }

        static getRandomSkin() {
            let arr = [3, 4, 5, 7];
            let r = Math.floor(Math.random() * arr.length);
            return "pifu" + arr[r];
        }

        static getRandomNickName(){
            // while(g_rank_list){
            //     let num = Math.floor(Math.random() * g_rank_list.length);
            //     if(g_rank_list[num]){
            //         if(base64Mgr.decode(dataMgr.getMe().getNickName()) != g_rank_list[num].name){
            //             return g_rank_list[num].name;
            //         }
            //     }
            // }
            // return null
            let name;
            for(let i=0; i<g_rank_list.length; ++i){
                name = g_rank_list[i].NickName;
                if(name != dataMgr.getMe().getPlayDoc().coreData.name){
                    return name;
                }
            }
            return proto_fightAI.getmorenName();
        }

        static getmorenName(){
            let randomName = ["孤帆杰伦尔","梅茜波瑞斯","飞鸟劳恒","快乐夏尔","烈日康伦卡",
                "相遇伊麦尔","笑叹家克斯","刺眼弗托万","仗剑唐洛克","南涫 爱雷得",
                "自毁开瑟尔", "残月列雷恩","影子纳龙","年华艾林顿", "少年所奈尔",
                "夜色约尔肯","孤独迪维奇","流星威瑟尔","黄昏开龙","练习金雷"];
            let num = Math.floor(Math.random() * randomName.length);
            if(randomName[num]){
                if(base64Mgr.decode(dataMgr.getMe().getNickName()) != randomName[num]){
                    return randomName[num];
                }
            }
        }

    }
}