var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var HeroData = (function () {
        function HeroData() {
            this.weapon = new Array();
        }
        return HeroData;
    }());
    game.HeroData = HeroData;
    var PVPData = (function () {
        function PVPData() {
            this.curHero = new HeroData();
            this.curFollower = new HeroData();
        }
        return PVPData;
    }());
    game.PVPData = PVPData;
    function getPVPData() {
        var data = new PVPData();
        var playData = game.dataMgr.getMe().getPlayDoc();
        data.acc = game.iapMgr.getMe().getaccount();
        data.name = playData.coreData.name;
        data.level = playData.coreData.level;
        data.curHero.name = playData.coreData.curHero;
        data.curHero.skin = game.dataMgr.getMe().getHeroSkin(data.curHero.name);
        data.curHero.title = game.dataMgr.getMe().getTittle(data.curHero.name);
        data.curHero.titleLevel = game.dataMgr.getMe().getTittlelevel(data.curHero.title);
        data.curHero.weapon = playData[data.curHero.name + "_weapon"];
        if (playData.coreData.curFollower) {
            data.curFollower.name = playData.coreData.curFollower;
            data.curFollower.skin = game.dataMgr.getMe().getHeroSkin(data.curFollower.name);
            data.curFollower.title = game.dataMgr.getMe().getTittle(data.curFollower.name);
            data.curFollower.titleLevel = game.dataMgr.getMe().getTittlelevel(data.curFollower.title);
            data.curFollower.weapon = playData[data.curFollower.name + "_weapon"];
        }
        data.viplevel = playData.coreData.viplevel;
        data.rank_score = playData.coreData.rank_score;
        data.extraAtt = playData.coreData.extraAtt;
        data.extraDef = playData.coreData.extraDef;
        data.extraHP = playData.coreData.extraHP;
        data.extraPower = playData.coreData.extraPower;
        return data;
    }
    game.getPVPData = getPVPData;
    var proto_fightPVP = (function (_super) {
        __extends(proto_fightPVP, _super);
        function proto_fightPVP(path) {
            if (path === void 0) { path = "tongyong.proto"; }
            _super.call(this, path, game.protoMessType.fightPVP);
        }
        proto_fightPVP.getMe = function () {
            return game.protoBuffBase.getMe(proto_fightPVP);
        };
        ;
        proto_fightPVP.prototype.callback = function (data) {
            cc.log("打玩家...");
            if (game.ui_paiweiloading.getMe()) {
                game.ui_paiweiloading.getMe().m_isPvp = true;
            }
            game.sync_start.getMe().m_state = 0;
            this.m_isP1 = (data.int32var1 == 1);
            this.m_data = JSON.parse(data.strvar7);
            this.initRole();
        };
        proto_fightPVP.prototype.initRole = function () {
            // 先展示数据一下再退出  初始化匹配数据
            var data = new game.pipeiData();
            if (this.m_isP1) {
                data.sceneName = game.proto_data.getMe().m_sceneName;
            }
            else {
                data.sceneName = this.m_data.sceneName;
            }
            data.roleName1 = this.m_data.curHero.name;
            data.roleSkin1 = this.m_data.curHero.skin;
            data.title1 = this.m_data.curHero.title;
            data.titleLevel1 = this.m_data.curHero.titleLevel;
            data.roleName2 = this.m_data.curFollower.name;
            data.roleSkin2 = this.m_data.curFollower.skin;
            data.title2 = this.m_data.curFollower.title;
            data.titleLevel2 = this.m_data.curFollower.titleLevel;
            data.nickName = this.m_data.name;
            data.level = this.m_data.level;
            // console.log("zz:" + JSON.stringify(data))
            if (data) {
                if (game.ui_paiweiloading.getMe()) {
                    game.ui_paiweiloading.getMe().succeedCallBack(data);
                }
                else {
                    game.proto_out.getMe().send();
                }
                game.proto_pvpLogin.getMe().m_data = data;
            }
            // ui_paiweiloading.ShowOrHide(false);
            // sceneMgr.getMe().selectScene(e_SceneType.SceneType_pvp, data.sceneName);
        };
        proto_fightPVP.g_insta = null;
        return proto_fightPVP;
    }(game.protoBuffBase));
    game.proto_fightPVP = proto_fightPVP;
})(game || (game = {}));
//# sourceMappingURL=proto_fightPVP.js.map