module game {

    export class proto_login extends protoBuffBase<tongyong_s> {
        static g_insta: proto_login = null;

        static getMe(): proto_login {
            return protoBuffBase.getMe(proto_login);
        };

        constructor(path: string = "tongyong.proto") {
            super(path, protoMessType.login);
        }

        send() {
            cc.log("正在登陆...");
            let data: tongyong_s = new tongyong_s();
            data.strvar5 = iapMgr.getMe().getaccount();
            this.sendMessage(data);
        }

        callback(message: any) {
            cc.log("登陆成功...");

            // 判断是否发放赛季奖励
            dataMgr.getRankAward();
        }
    }
}