module game {
    // 昵称 等级 称号 角色 皮肤
    export class pipeiData {
        nickName: string;
        level: number;
        title1: string | number;
        titleLevel1: number;
        roleName1: string;
        roleSkin1: string;
        title2: string | number;
        titleLevel2: number;
        roleName2: string;
        roleSkin2: string;
        sceneName: string;
        weapon1: Array<any> = new Array<any>();
        weapon2: Array<any> = new Array<any>();
    }

    export class proto_pvpLogin extends protoBuffBase<tongyong_s> {
        static g_insta: proto_pvpLogin = null;
        m_data: pipeiData;

        static getMe(): proto_pvpLogin {
            return protoBuffBase.getMe(proto_pvpLogin);
        };

        constructor(path: string = "tongyong.proto") {
            super(path, protoMessType.pvpLogin);
        }

        send() {
            if (rootScene.getMe().m_isconnected) {
                cc.log("正在登陆...");
                let data: tongyong_s = new tongyong_s();
                data.strvar5 = iapMgr.getMe().getaccount();
                data.int32var1 = dataMgr.getMe().getRank();
                this.sendMessage(data);
            } else {
                cc.log("没有网络连接...");
                ui_paiweiloading.ShowOrHide(true);
                proto_fightAI.initRandomRole();
            }
        }

        callback(message: any) {
            cc.log("登陆成功...");
            ui_paiweiloading.ShowOrHide(true);
        }
    }
}