module game {

    export class sync_addHp extends protoBuffBase<tongyong_s> {
        static g_insta: sync_addHp = null;

        static getMe(): sync_addHp {
            return protoBuffBase.getMe(sync_addHp);
        };

        constructor(path: string = "tongyong.proto") {
            super(path, protoMessType.addHp);
        }

        send(index: number, addHp: number, curHp: number) {
            let data = new tongyong_s();
            data.int32var1 = index;
            data.int32var2 = addHp;
            data.int32var3 = curHp;
            this.sendMessage(data);
        }

        callback(message: any) {
            if (roleMgr.getMe().m_AllRole_map) {
                let role = roleMgr.getMe().m_AllRole_map.get(message.int32var1);
                if (role) {
                    role.addHpEx(message.int32var2, message.int32var3);
                }
            }
        }
    }
}