module game {

    export class sync_hit extends protoBuffBase<tongyong_s> {
        static g_insta: sync_hit = null;

        static getMe(): sync_hit {
            return protoBuffBase.getMe(sync_hit);
        };

        constructor(path: string = "tongyong.proto") {
            super(path, protoMessType.hit);
        }

        send(index: number, shoujires, shoujianima, shoujiscale, roleId, isBoom, att, iscrit) {
            let s: any = {};
            s.shoujires = shoujires;
            s.shoujianima = shoujianima;
            s.shoujiscale = shoujiscale;
            s.roleId = roleId;
            s.isBoom = isBoom;
            s.att = att;
            s.iscrit = iscrit;
            let data = new tongyong_s();
            data.int32var1 = index;
            data.strvar5 = JSON.stringify(s);
            this.sendMessage(data);
        }

        callback(message: any) {
            if (roleMgr.getMe().m_AllRole_map) {
                let role = roleMgr.getMe().m_AllRole_map.get(message.int32var1);
                if (role && role instanceof player_pvp) {
                    role.onDamageEx(JSON.parse(message.strvar5));
                }
            }
        }
    }
}