module game {

    export class sync_item extends protoBuffBase<tongyong_s> {
        static g_insta: sync_item = null;

        static getMe(): sync_item {
            return protoBuffBase.getMe(sync_item);
        };

        constructor(path: string = "tongyong.proto") {
            super(path, protoMessType.item);
        }

        send(index: number, item: string) {
            let data = new tongyong_s();
            data.int32var1 = index;
            data.strvar5 = item;
            this.sendMessage(data);
        }

        callback(message: any) {
            if (roleMgr.getMe().m_AllRole_map) {
                let role = roleMgr.getMe().m_AllRole_map.get(message.int32var1);
                if (role) {
                    role.m_item.setCurItem(message.strvar5);
                }
            }
        }
    }
}