module game {

    export class sync_round extends protoBuffBase<tongyong_s> {
        static g_insta: sync_round = null;

        static getMe(): sync_round {
            return protoBuffBase.getMe(sync_round);
        };

        constructor(path: string = "tongyong.proto") {
            super(path, protoMessType.round);
        }

        send(round) {
            let data = new tongyong_s();
            data.int32var1 = round;
            this.sendMessage(data);

        }

        callback(message: any) {
            let round = <RoundManager_pvp>RoundManager.getMe();
            round.m_curRoleIndex = message.int32var1;
            //防止蓄力条来回滚动
            roleMgr_pvp.getMe().getControlPlayer().m_controlerState.m_isStayForce = false;
            round.nextStepEx();
        }
    }
}