module game {

    export class sync_state extends protoBuffBase<tongyong_s> {
        static g_insta: sync_state = null;

        static getMe(): sync_state {
            return protoBuffBase.getMe(sync_state);
        };

        constructor(path: string = "tongyong.proto") {
            super(path, protoMessType.state);
        }

        send(index: number, key, dir, pos) {
            let data = new tongyong_s();
            data.int32var1 = index;
            data.strvar5 = key;
            if (key == g_AiType.g_AiType_run) {
                data.strvar6 = JSON.stringify(dir);
            }
            // else if (key == g_AiType.g_AiType_att) {
            //     sync_att.getMe().send(index, key);
            //     return;
            // }
            data.strvar7 = JSON.stringify(pos);
            this.sendMessage(data);
        }

        callback(message: any) {
            if (roleMgr.getMe().m_AllRole_map) {
                let role = roleMgr.getMe().m_AllRole_map.get(message.int32var1);
                if (role) {
                    if (message.strvar5 == g_AiType.g_AiType_run) {
                        role.changeState_Ex(message.strvar5, JSON.parse(message.strvar6));
                    } else {
                        role.changeState_Ex(message.strvar5);
                    }
                    role.setPosition(JSON.parse(message.strvar7));
                }
            }

        }
    }
}