/**
 * Created by cy1234 on 2015/12/28.
 */
//   与c++ 交互的类
module game {
    export class js_GameLogicMgr {
        _js_GameLogic: any = null;
        m_shenjian_userid: any = 0;
        static g_ins: any = null;
        static getMe(): js_GameLogicMgr {
            return js_GameLogicMgr.create();
        };

        static create = function () {
            if (js_GameLogicMgr.g_ins == null) {
                js_GameLogicMgr.g_ins = new js_GameLogicMgr();
                return js_GameLogicMgr.g_ins;
            }
            else {
                return js_GameLogicMgr.g_ins;
            }
        };

        init() {
            if (!cc.sys.isNative) {
                return;
            }

            this._js_GameLogic = new cc.GameLogic();
            rootScene.getMe().addChild(this._js_GameLogic);
            //this._js_GameLogic.buycallback = iapMgr.getMe().buycallback;
            this._js_GameLogic.buycallback = buy_mgr.getInstance().callback.bind(buy_mgr.getInstance())
            //this._js_GameLogic.buycallback = buybuybuy_mgr.getInstance().buycallback.bind(buybuybuy_mgr.getInstance()) //iapMgr.getMe().buycallback;
            this._js_GameLogic.shenjian_sdk_login_callback = js_GameLogicMgr.getMe().shenjian_sdk_login_callback.bind(this);
            this._js_GameLogic.everyBack = js_GameLogicMgr.getMe().everyBack.bind(this);
            this._js_GameLogic.cdkeyBack = js_GameLogicMgr.getMe().cdkeyBack.bind(this);
            this._js_GameLogic.servertimeBack = js_GameLogicMgr.getMe().servertimeBack.bind(this);
            this._js_GameLogic.dataUser = js_GameLogicMgr.getMe().dataUser_callback.bind(this);
            this._js_GameLogic.projectjson_callback = js_GameLogicMgr.getMe().projectjson_callback.bind(this);
            this._js_GameLogic.exit = js_GameLogicMgr.getMe().exit.bind(this);
            this._js_GameLogic.onSocketGetMsg = js_GameLogicMgr.getMe().onSocketGetMsg.bind(this);
            // this._js_GameLogic.savePlayInfo = fileMgr.getMe().savePlayInfo.bind(this);
            this._js_GameLogic.init();
        }

        loadSpineRes(res) {
            if (cc.sys.isNative) {
                let jsonname = "xingjietantantang/big/spine/" + res + "/" + res + ".json";
                let atlasame = "xingjietantantang/big/spine/" + res + "/" + res + ".atlas";
                this._js_GameLogic.loadSpineRes(jsonname, atlasame);
            }
        }
        removeAllSpineMem(){
            if (cc.sys.isNative) {
                return this._js_GameLogic.removeAllSpineMem();
            }
        }
        tvsdk_login_shouui()
        {
            if (cc.sys.isNative) {
                this._js_GameLogic.tvsdk_login_shouui();
            }
        }

        encode_gb2312(str: string) {
            if (cc.sys.isNative) {
                return this._js_GameLogic.u2g_encode(str);
            }
            return str;
        }

        u2g_encode( str:string ):string{
            if ( cc.sys.isNative) {
                return this._js_GameLogic.u2g_encode(str);
            }
            return base64Mgr.encode( str );
            //return str
        }
        //灰度化  flag 1：灰色 0 正常化
        grayScale(s: cc.Scale9Sprite, flag: number) {
            if (cc.sys.isNative) {
                this._js_GameLogic.grayScale(s, flag);
            }
            else {
                Filter.grayScale(s);
            }
        }
        grayScaleEx( node:cc.Node )
        {
            if (cc.sys.isNative) {
                this._js_GameLogic.grayScaleEx(node);
            }
        }
        every() {
            if (cc.sys.isNative) {
                this._js_GameLogic.every();
            }
        }

        //压缩
        gzcompress_base64(data) {
            if (cc.sys.isNative) {
                var buff = this._js_GameLogic.gzcompress_base64(data);
                //buff = this.encode(buff);
                return buff;
            }
            else {
                return data;
            }
        }

        //解压
        gzdecompress_base64(data)
        {
            if (cc.sys.isNative)
            {
                var buff = this._js_GameLogic.gzdecompress_base64(data);
                //buff = decode(buff);
                return buff;
            }
            else {
                // return this.decode(data);
            }
        }

        //重启游戏
        resetExe() {
            if (cc.sys.isNative) {
                this._js_GameLogic.resetExe();
            }
        }

        dataUser_callback(data) {
            if (cc.sys.isNative) {
                musicMgr.getMe().playData(data);
            }
        }

        projectjson_callback(filelist) {
            if (cc.sys.isNative) {
                fileMgr.getMe().saveProjectJson(filelist);
            }
        }

        shenjian_sdk_login_callback(userid, userid_two) {
            this.m_shenjian_userid = userid;
            console.log("js : shenjian_sdk_login_callback:  " + userid);
        }

        exit(val, val1) {
        }

        everyBack(everyjson, data1) {
            if (cc.sys.isNative) {
            }
        }

        servertime() {
            if (cc.sys.isNative) {
                this._js_GameLogic.servertime();
            }
        }

        servertimeBack(servertimejson) {
            if (cc.sys.isNative) {
            }
        }

        cdkey(cd_key_text) {
            if (cc.sys.isNative) {
                this._js_GameLogic.cdkey(cd_key_text);
            }
        }

        cdkeyBack(json) {
            if (cc.sys.isNative) {
                cdkeyMgr.getMe().cdkeyBack(json);
            }
        }

        getShenjian_login_id() {
            if (cc.sys.isNative) {
                this.m_shenjian_userid = this._js_GameLogic.GameLogic_getUserid();
            }
            console.log("js : getShenjian_login_id:  " + this.m_shenjian_userid);
            return this.m_shenjian_userid;

        }


        onSocketGetMsg(data) {
            if (cc.sys.isNative) {

            }
        }
        //ott appid
        getGameId() {
            if (cc.sys.isNative) {
                return this.getData("iapMgr_getGameId");
            }
            else {
                return fileMgr.getMe().m_net_info["g_gamaid"];
            }
        }

        //ott 渠道id
        // getplatformId() {
        //     if (cc.sys.isNative) {
        //         return this.getData("iapMgr_getplatformId");
        //     }
        //     else {
        //         return "1006";
        //     }
        // }

        //Ott 用户id
        // getaccount() {
        //     if (cc.sys.isNative) {
        //         return this.getData("iapMgr_getaccount");
        //     }
        //     else {
        //         return "user101";
        //     }
        // }
        buy(id) {
            if (cc.sys.isNative) {
                this._js_GameLogic.buy(id);
            }
            else {
                buy_mgr.getInstance().callback(true,id)
            }
        }

        pay(price) {
            if (cc.sys.isNative) {
                this._js_GameLogic.pay(price);
            }
        }

        sign(data)
        {
            if (!cc.sys.isNative)
            {

                return hex_md5(data);


            }

            return this._js_GameLogic.sign(data);
        }

        getData(key) {
            if (!cc.sys.isNative) {
                return null;
            }
            return this._js_GameLogic.getData(key);
        }

        loop(t) {
            if (!cc.sys.isNative) {
                return null;
            }
            this._js_GameLogic.loop(t);
        }
    }

}
//# sourceMappingURL=js_GameLogicMgr.js.map