/**
 * 角色状态
 * Created by cy1234 on 2016/7/30.
 */
module  game {
    export class ControlerState {
        m_object_role: baseRole;
        m_isswitch = false;//是否切换加减蓄力条
        constructor(role) {
            this.m_object_role = role;
        }

        move(dir:cc.Vec2) {
            this.m_object_role.changeState(g_AiType.g_AiType_run, dir);
        }

        attack() {
            this.m_object_role.changeState(g_AiType.g_AiType_att);
        }

        idle() {
            if (this.m_object_role.getCurStateType() != g_AiType.g_AiType_idle)
                this.m_object_role.changeState(g_AiType.g_AiType_idle);
        }

        loop(t){

        }

        shutdown(){
            this.m_object_role = null;
        }
    }

}