var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * 角色状态
 * Created by cy1234 on 2016/7/30.
 */
var game;
(function (game) {
    var MonsterControlerState = (function (_super) {
        __extends(MonsterControlerState, _super);
        function MonsterControlerState() {
            _super.apply(this, arguments);
        }
        MonsterControlerState.prototype.begin = function () {
            var _this = this;
            var a = setInterval(function () {
                if (!_this.lockTarget()) {
                    _this.m_object_role.changeState_Ex(game.g_AiType.g_AiType_run);
                }
                clearInterval(a);
            }, 500);
        };
        MonsterControlerState.prototype.lockTarget = function () {
            if (!game.roleMgr.getMe())
                return true;
            var temp = 10000;
            for (var i = 0; i < game.roleMgr.getMe().m_player_map.size; ++i) {
                var role = game.roleMgr.getMe().m_player_map.getByIndex(i);
                if (role.isDead())
                    continue;
                var dis = cc.pDistance(role.getPosition(), this.m_object_role.getPosition());
                if (dis < temp) {
                    temp = dis;
                    this.m_target = role;
                }
            }
            return this.m_target == null;
        };
        MonsterControlerState.prototype.loop = function (dt) {
            // 锁定目标 移动到指定位置 开火
        };
        return MonsterControlerState;
    }(game.ControlerState));
    game.MonsterControlerState = MonsterControlerState;
})(game || (game = {}));
//# sourceMappingURL=MonsterControlerState.js.map