"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
//怪物ai
var game;
(function (game) {
    var monsterAi_idle = (function (_super) {
        __extends(monsterAi_idle, _super);
        function monsterAi_idle(role) {
            _super.call(this, role);
            this.m_stateType = game.g_AiType.g_AiType_idle;
        }
        monsterAi_idle.prototype.InternalEvent = function (key, data) {
            this.m_object_role.playAnimation("daiji", true);
            return true;
        };
        return monsterAi_idle;
    }(game.aiBase));
    game.monsterAi_idle = monsterAi_idle;
    var monsterAi_run = (function (_super) {
        __extends(monsterAi_run, _super);
        function monsterAi_run() {
            _super.apply(this, arguments);
        }
        monsterAi_run.prototype.randomRange = function () {
            var range = Math.floor(Math.random() * (this.m_object_role.m_attRange.x2 - this.m_object_role.m_attRange.x1)) + this.m_object_role.m_attRange.x1;
            this.m_range = {};
            this.m_range.x1 = range - 10;
            this.m_range.x2 = range + 10;
            // cc.log("this.m_range.x1",this.m_range.x1);
            // cc.log("this.m_range.x2",this.m_range.x2);
        };
        monsterAi_run.prototype.InternalEvent = function (key, data) {
            this.m_object_role.stopMoveRootBone(0);
            this.m_object_role.m_SpineNode.setToSetupPose();
            this.m_object_role.playAnimation("yidong", true);
            // this.m_object_role.playAnimation("shouji", false);
            // this.m_object_role.playAnimation("shouji", false);
            // this.m_object_role.playAnimation("shouji", false);
            // this.m_object_role.playAnimation("shouji", false);
            // this.m_object_role.playAnimation("siwang", true);
            var p1 = this.m_object_role.getPosition();
            var dis = p1.x - this.m_object_role.m_controlerState.m_target.getPosition().x;
            var x;
            if (dis < 0) {
                dis = -dis;
                x = -1;
            }
            else {
                x = 1;
            }
            if (dis > this.m_object_role.m_attRange.x2) {
                this.m_dir.x = -x;
            }
            else if (dis < this.m_object_role.m_attRange.x1) {
                this.m_dir.x = x;
            }
            this.m_object_role.setDir(this.m_dir.x);
            this.m_timer = 0;
            this.m_once = true;
            this.randomRange();
            return true;
        };
        monsterAi_run.prototype.move = function (newpos) {
            _super.prototype.move.call(this, newpos);
            var dis = Math.abs(this.m_object_role.getPosition().x - this.m_object_role.m_controlerState.m_target.getPosition().x);
            if (dis > this.m_range.x1 && dis < this.m_range.x2) {
                if (this.m_once) {
                    this.m_once = false;
                    this.m_object_role.changeState(game.g_AiType.g_AiType_att);
                }
            }
        };
        monsterAi_run.prototype.update = function (dt) {
            var x = this.m_object_role.getPosition().x;
            _super.prototype.update.call(this, dt);
            if (this.m_timer > 10) {
                if (this.m_once) {
                    this.m_once = false;
                    this.m_object_role.changeState(game.g_AiType.g_AiType_att);
                }
                return true;
            }
            if (x == this.m_object_role.getPosition().x) {
                this.m_timer++;
            }
            // if(ui_arraw.getMe()){
            //     ui_arraw.getMe().setArrawPos(cc.pAdd(this.m_object_role.getPosition(),this.m_object_role.m_arrawPos));
            // }
            return true;
        };
        return monsterAi_run;
    }(game.aiBase_run));
    game.monsterAi_run = monsterAi_run;
    var monsterAi_dead = (function (_super) {
        __extends(monsterAi_dead, _super);
        function monsterAi_dead(role) {
            _super.call(this, role);
            this.m_stateType = game.g_AiType.g_AiType_dead;
        }
        monsterAi_dead.prototype.InternalEvent = function (key, data) {
            if (this.m_object_role.getCurStateType() == game.g_AiType.g_AiType_dead) {
                return;
            }
            //if(this.m_object_role.m_animaEnd) {
            this.m_object_role.playAnimation("siwang", false);
            //}
            // roleMgr.getMe().deleteTarget(this.m_object_role.getId());
            this.m_object_role.m_bloodBar.setVisible(false);
            this.m_once = true;
            game.roleMgr.getMe().m_hasDead = true;
            game.roleMgr.getMe().m_deadNum_monster++;
            return true;
        };
        monsterAi_dead.prototype.ExternalEvent = function (key, data) {
            return false;
        };
        monsterAi_dead.prototype.Complete = function () {
            this.m_object_role.m_canDelete = true;
            if (this.m_once) {
                this.m_once = false;
                // this.m_object_role.m_debuffCount = 0;
                // this.m_object_role.m_buffName = "";
                this.m_object_role.playAnimation("mudi", true);
            }
            return true;
        };
        return monsterAi_dead;
    }(game.aiBase));
    game.monsterAi_dead = monsterAi_dead;
    var monsterAi_ptgongji1 = (function (_super) {
        __extends(monsterAi_ptgongji1, _super);
        // m_targetRect: cc.Rect;
        function monsterAi_ptgongji1(role) {
            _super.call(this, role);
            this.m_stateType = game.g_AiType.g_AiType_att;
        }
        monsterAi_ptgongji1.prototype.InternalEvent = function (key, data) {
            // this.m_object_role.stopMoveRootBone(0);
            // this.m_object_role.m_SpineNode.setToSetupPose();
            this.m_once = true;
            this.initFireAngle();
            // this.updateFireAngle();
            this.m_object_role.m_animaEnd = false;
            this.m_object_role.playAnimation("ptgongji", false);
            this.m_object_role.nextRound(true);
            return true;
        };
        monsterAi_ptgongji1.prototype.initFireAngle = function () {
            // this.m_targetRect = baseRole.getTargetRect(this.m_object_role.m_controlerState.m_target);
            var pos = this.m_object_role.m_controlerState.m_target.getPosition();
            // if (!pos) return;
            // this.m_object_role.m_controlerState.m_targetPos = null;
            var rolePos = this.m_object_role.getPosition();
            if (pos.x > rolePos.x) {
                this.m_object_role.setDir(1);
            }
            else {
                this.m_object_role.setDir(-1);
            }
            // let angle1 = this.updateFireAngle(g_weapon_play[this.m_object_role.getName()]["0"].minAngle, 1);
            // let angle2 = this.updateFireAngle(g_weapon_play[this.m_object_role.getName()]["0"].maxAngle, -1);
            // this.m_angle = (angle1 + angle2) / 2;
            // let disControl = new DistanceControl();
            var disControl = this.updateFireAngle(game.getWeaponConfig()[this.m_object_role.getName()]["0"].maxAngle, -1, new DistanceControl());
            this.m_angle = disControl.getMinAngel();
            disControl.clearDis();
            cc.log("目标：", this.m_object_role.m_controlerState.m_target.getName());
            // cc.log("angle1", angle1);
            // cc.log("angle2", angle2);
            cc.log("angle", this.m_angle);
            var num = game.sceneMgr.getMe().getCurSceneInfo().shift;
            var shift = Math.floor(Math.random() * num) + 1;
            this.m_angle += Math.random() < 0.5 ? shift : -shift;
            cc.log("angle", this.m_angle);
            if (this.m_object_role.m_controlerState.m_target.m_skin.getSkillName() == "yinshen") {
                var shuzhi = this.m_object_role.m_controlerState.m_target.m_skin.getShuzhi1();
                this.m_angle += Math.random() < 0.5 ? shuzhi : -shuzhi;
                cc.log("yinshen shuzhi:", shuzhi);
                cc.log("yinshen angle:", this.m_angle);
            }
            // this.m_object_role.m_controlerState.m_targetPos = null;
            this.m_object_role.m_controlerState.m_target = null;
        };
        monsterAi_ptgongji1.getPos = function (pos, t, g, dir, speed) {
            var dt = 0.02;
            // cc.log(dt);
            var count = Math.round(t / dt);
            var time = 0;
            for (var i = 0; i < count; ++i) {
                pos.y -= time * g;
                pos = cc.pAdd(pos, cc.pMult(dir, speed * dt));
                time += dt;
            }
            return pos;
        };
        // this.m_pos.y -= this.m_timer * this.m_bulletData.g;
        // this.m_pos = cc.pAdd(this.m_pos, cc.pMult(this.m_bulletData.m_dir, this.m_bulletData.m_speed * dt));
        monsterAi_ptgongji1.prototype.updateFireAngle = function (angle, count, disCtr) {
            var rolePos = this.m_object_role.getBoneWroldPosition("paokou1");
            var weaponData = game.getWeaponConfig()[this.m_object_role.getName()]["0"];
            var pos = this.m_object_role.m_controlerState.m_target.getBoneWroldPosition("shoujizudang");
            var dir = cc.pForAngle(cc.degreesToRadians(angle));
            var dis = rolePos.x - pos.x;
            var Vx = dir.x * this.m_object_role.m_bulletSpeed;
            var t = Math.abs(dis / Vx);
            var g = weaponData.g;
            // let y = (2 * Vy - g * t) * t / 2;
            // pos.y += (2 * Vy - g * t) * t / 2;
            // pos = this.getPos(rolePos, t, g, dir, this.m_object_role.m_bulletSpeed);
            var newDis = Math.abs(pos.y - monsterAi_ptgongji1.getPos(rolePos, t, g, dir, this.m_object_role.m_bulletSpeed).y);
            disCtr.setDis(angle, newDis);
            // if(newDis > minDis){
            //     return angle;
            // }
            // if (this.m_object_role.m_controlerState.m_target.dealPhy(pos)) {
            //     return angle;
            // }
            angle += count;
            // if (angle < weaponData.minAngle) {
            //     let maxPos = this.getPos(rolePos, t, g, cc.pForAngle(cc.degreesToRadians(weaponData.maxAngle)), this.m_object_role.m_bulletSpeed);
            //     let minPos = this.getPos(rolePos, t, g, cc.pForAngle(cc.degreesToRadians(weaponData.minAngle)), this.m_object_role.m_bulletSpeed);
            //     return monsterAi_ptgongji1.compareDistance(this.m_object_role.m_controlerState.m_target.getBoneWroldPosition("shoujizudang"),maxPos,minPos,weaponData.maxAngle,weaponData.minAngle);
            // }
            if (angle < weaponData.minAngle) {
                return disCtr;
            }
            return this.updateFireAngle(angle, count, disCtr);
        };
        // static compareDistance(po,p1,p2,a1,a2){
        //     return cc.pDistance(po,p1) < cc.pDistance(po,p2) ? a1:a2;
        // }
        // ExternalEvent(key, data): boolean {
        //     return false;
        // }
        monsterAi_ptgongji1.prototype.Complete = function () {
            // this.m_object_role.startResetPosition();
            // this.m_object_role.changeState_Ex(g_AiType.g_AiType_idle_ex);
            if (this.m_once) {
                this.m_once = false;
                this.m_object_role.m_animaEnd = true;
                this.m_object_role.playAnimation("daiji");
            }
            return true;
        };
        monsterAi_ptgongji1.prototype.OnFireBullet = function () {
            // cc.log("OnFireBullet", this.m_object_role.getName());
            var pos = this.m_object_role.getBoneWroldPosition("paokou1");
            var weaponData = game.getWeaponConfig()[this.m_object_role.getName()]["0"];
            var weaponData2 = game.getWeaponConfig()[this.m_object_role.getName()];
            var data = new game.BulletData();
            data.scale = weaponData.scale;
            data.speedMin = weaponData.speedMin;
            data.speedMax = weaponData.speedMax;
            data.earthDamage = weaponData.earthDamage;
            data.g = weaponData.g;
            data.hard = weaponData.hard;
            data.boomRange = weaponData.boomRange;
            data.res = weaponData2.res;
            data.resAnimation = weaponData2.resAnimation;
            data.boomSpine = weaponData2.boomSpine;
            data.boomAnimation = weaponData2.boomAnimation;
            data.boomScale = weaponData2.boomScale;
            data.shoujiSpine = weaponData2.shoujiSpine;
            data.shoujiAnimation = weaponData2.shoujiAnimation;
            data.shoujiScale = weaponData2.shoujiScale;
            data.damageType = weaponData2.damageType;
            data.filpX = weaponData2.filpX;
            data.m_pos = pos;
            data.m_speed = this.m_object_role.m_bulletSpeed;
            data.m_angle = this.m_angle;
            data.m_roledir = this.m_object_role.getDir();
            data.m_dir = cc.pForAngle(cc.degreesToRadians(data.m_angle));
            // cc.log(" 弧度 :", data.m_dir.x);
            if (data.m_dir.x == -1) {
                data.m_dir.x = 1;
                data.m_dir.y = 0;
            }
            if (this.m_object_role.getDir() < 0) {
                if (data.m_dir.x > 0)
                    data.m_dir.x = -data.m_dir.x;
            }
            else {
                if (data.m_dir.x < 0)
                    data.m_dir.x = -data.m_dir.x;
            }
            data.m_roleId = this.m_object_role.m_index;
            data.m_isplayer = this.m_object_role instanceof game.player;
            if (this.m_object_role.getName().indexOf("zhadanren") > -1) {
                game.bulletMgr.getMe().creatBlinkBullet(data);
            }
            else {
                game.bulletMgr.getMe().createBullet(data);
            }
        };
        return monsterAi_ptgongji1;
    }(game.aiBase));
    game.monsterAi_ptgongji1 = monsterAi_ptgongji1;
    var monsterAi_beiji = (function (_super) {
        __extends(monsterAi_beiji, _super);
        function monsterAi_beiji(role) {
            _super.call(this, role);
            this.m_stateType = game.g_AiType.g_AiType_hit;
        }
        monsterAi_beiji.prototype.InternalEvent = function (key, data) {
            this.m_object_role.stopMoveRootBone(0);
            this.m_object_role.m_SpineNode.setToSetupPose();
            if (this.m_object_role.m_animaEnd) {
                this.m_object_role.playAnimation("shouji", false);
            }
            this.m_once = true;
            return true;
        };
        monsterAi_beiji.prototype.Complete = function () {
            this.m_object_role.startResetPosition();
            if (this.m_once) {
                this.m_once = false;
                this.m_object_role.changeState(game.g_AiType.g_AiType_idle);
            }
            return true;
        };
        return monsterAi_beiji;
    }(game.aiBase));
    game.monsterAi_beiji = monsterAi_beiji;
    var DistanceControl = (function () {
        function DistanceControl() {
            this.m_disMap = new game.Map();
        }
        DistanceControl.prototype.setDis = function (angle, dis) {
            this.m_disMap.set(angle, dis);
        };
        DistanceControl.prototype.getMinAngel = function () {
            var dis = this.m_disMap.getByIndex(0);
            var angle = 0;
            this.m_disMap.forEach(function (v, k) {
                if (dis > v) {
                    dis = v;
                    angle = k;
                }
            }, this);
            return angle;
        };
        DistanceControl.prototype.clearDis = function () {
            this.m_disMap.clear();
        };
        return DistanceControl;
    }());
    game.DistanceControl = DistanceControl;
})(game || (game = {}));
//# sourceMappingURL=monsterAi.js.map