"use strict";
//怪物ai
module game {

    export class monsterAi_idle extends aiBase {
        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_idle;
        }

        InternalEvent(key, data) {
            this.m_object_role.playAnimation("daiji", true);
            return true;
        }

    }

    export class monsterAi_run extends aiBase_run {
        m_object_role: monster;
        m_timer: number;
        m_once: boolean;
        m_range;

        randomRange() {
            let range = Math.floor(Math.random() * (this.m_object_role.m_attRange.x2 - this.m_object_role.m_attRange.x1)) + this.m_object_role.m_attRange.x1;
            this.m_range = {};
            this.m_range.x1 = range - 10;
            this.m_range.x2 = range + 10;
            // cc.log("this.m_range.x1",this.m_range.x1);
            // cc.log("this.m_range.x2",this.m_range.x2);
        }

        InternalEvent(key, data) {
            this.m_object_role.stopMoveRootBone(0);
            this.m_object_role.m_SpineNode.setToSetupPose();

            this.m_object_role.playAnimation("yidong", true);
            // this.m_object_role.playAnimation("shouji", false);
            // this.m_object_role.playAnimation("shouji", false);
            // this.m_object_role.playAnimation("shouji", false);
            // this.m_object_role.playAnimation("shouji", false);
            // this.m_object_role.playAnimation("siwang", true);

            let p1 = this.m_object_role.getPosition();
            let dis = p1.x - this.m_object_role.m_controlerState.m_target.getPosition().x;
            let x;
            if (dis < 0) {
                dis = -dis;
                x = -1;
            } else {
                x = 1;
            }
            if (dis > this.m_object_role.m_attRange.x2) {
                this.m_dir.x = -x;
            } else if (dis < this.m_object_role.m_attRange.x1) {
                this.m_dir.x = x;
            }
            this.m_object_role.setDir(this.m_dir.x);
            this.m_timer = 0;
            this.m_once = true;
            this.randomRange();
            return true;
        }

        move(newpos: cc.Vec2) {
            super.move(newpos);
            let dis = Math.abs(this.m_object_role.getPosition().x - this.m_object_role.m_controlerState.m_target.getPosition().x);
            if (dis > this.m_range.x1 && dis < this.m_range.x2) {
                if (this.m_once) {
                    this.m_once = false;
                    this.m_object_role.changeState(g_AiType.g_AiType_att);
                }
            }
        }

        update(dt) {
            let x = this.m_object_role.getPosition().x;
            super.update(dt);
            if (this.m_timer > 10) {
                if (this.m_once) {
                    this.m_once = false;
                    this.m_object_role.changeState(g_AiType.g_AiType_att);
                }
                return true;
            }
            if (x == this.m_object_role.getPosition().x) {
                this.m_timer++;
            }

            // if(ui_arraw.getMe()){
            //     ui_arraw.getMe().setArrawPos(cc.pAdd(this.m_object_role.getPosition(),this.m_object_role.m_arrawPos));
            // }
            return true;
        }
    }

    export class monsterAi_dead extends aiBase {
        m_once: boolean;

        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_dead;
        }

        InternalEvent(key, data) {

            if( this.m_object_role.getCurStateType() == g_AiType.g_AiType_dead )
            {
                return;
            }

            //if(this.m_object_role.m_animaEnd) {
                this.m_object_role.playAnimation("siwang", false);
            //}
            // roleMgr.getMe().deleteTarget(this.m_object_role.getId());
            this.m_object_role.m_bloodBar.setVisible(false);
            this.m_once = true;
            roleMgr.getMe().m_hasDead = true;
            roleMgr.getMe().m_deadNum_monster++;
            return true;
        }

        ExternalEvent(key, data): boolean {
            return false;
        }

        Complete() {
            this.m_object_role.m_canDelete = true;
            if (this.m_once) {
                this.m_once = false;
                // this.m_object_role.m_debuffCount = 0;
                // this.m_object_role.m_buffName = "";
                this.m_object_role.playAnimation("mudi", true);
                // RoundManager.gameEnd();
            }
            return true;
        }
    }

    export class monsterAi_ptgongji1 extends aiBase {
        m_object_role: monster;
        m_once: boolean;
        m_angle: number;
        // m_targetRect: cc.Rect;

        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_att;
        }

        InternalEvent(key, data) {
            // this.m_object_role.stopMoveRootBone(0);
            // this.m_object_role.m_SpineNode.setToSetupPose();
            this.m_once = true;
            this.initFireAngle();
            // this.updateFireAngle();
            this.m_object_role.m_animaEnd = false;
            this.m_object_role.playAnimation("ptgongji", false);

            this.m_object_role.nextRound(true);
            return true;
        }

        initFireAngle() {
            // this.m_targetRect = baseRole.getTargetRect(this.m_object_role.m_controlerState.m_target);
            let pos = this.m_object_role.m_controlerState.m_target.getPosition();
            // if (!pos) return;
            // this.m_object_role.m_controlerState.m_targetPos = null;
            let rolePos: cc.Vec2 = this.m_object_role.getPosition();
            if (pos.x > rolePos.x) {
                this.m_object_role.setDir(1);
            } else {
                this.m_object_role.setDir(-1);
            }

            // let angle1 = this.updateFireAngle(g_weapon_play[this.m_object_role.getName()]["0"].minAngle, 1);
            // let angle2 = this.updateFireAngle(g_weapon_play[this.m_object_role.getName()]["0"].maxAngle, -1);
            // this.m_angle = (angle1 + angle2) / 2;
            // let disControl = new DistanceControl();
            let disControl = this.updateFireAngle(getWeaponConfig()[this.m_object_role.getName()]["0"].maxAngle, -1,new DistanceControl());
            this.m_angle = disControl.getMinAngel();
            disControl.clearDis();
            cc.log("目标：", this.m_object_role.m_controlerState.m_target.getName());
            // cc.log("angle1", angle1);
            // cc.log("angle2", angle2);
            cc.log("angle", this.m_angle);
            let num = sceneMgr.getMe().getCurSceneInfo().shift;
            let shift = Math.floor(Math.random() * num) + 1;
            this.m_angle += Math.random() < 0.5 ? shift : -shift;
            cc.log("angle", this.m_angle);

            if(this.m_object_role.m_controlerState.m_target.m_skin.getSkillName() == "yinshen"){
                let shuzhi = this.m_object_role.m_controlerState.m_target.m_skin.getShuzhi1();
                this.m_angle += Math.random() < 0.5 ? shuzhi : -shuzhi;
                cc.log("yinshen shuzhi:", shuzhi);
                cc.log("yinshen angle:", this.m_angle);
            }
            // this.m_object_role.m_controlerState.m_targetPos = null;
            this.m_object_role.m_controlerState.m_target = null;
        }

        static getPos(pos, t, g, dir, speed) {
            let dt = 0.02;
            // cc.log(dt);
            let count = Math.round(t / dt);
            let time = 0;
            for (let i = 0; i < count; ++i) {
                pos.y -= time * g;
                pos = cc.pAdd(pos, cc.pMult(dir, speed * dt));
                time += dt;
                // if (this.m_object_role.m_controlerState.m_target.dealPhy(pos)) {
                //     return pos;
                // }
            }
            return pos;
        }

        // this.m_pos.y -= this.m_timer * this.m_bulletData.g;
        // this.m_pos = cc.pAdd(this.m_pos, cc.pMult(this.m_bulletData.m_dir, this.m_bulletData.m_speed * dt));

        updateFireAngle(angle, count, disCtr) {
            let rolePos: cc.Vec2 = this.m_object_role.getBoneWroldPosition("paokou1");
            let weaponData = getWeaponConfig()[this.m_object_role.getName()]["0"];
            let pos = this.m_object_role.m_controlerState.m_target.getBoneWroldPosition("shoujizudang");
            let dir = cc.pForAngle(cc.degreesToRadians(angle));
            let dis = rolePos.x - pos.x;
            let Vx = dir.x * this.m_object_role.m_bulletSpeed;
            let t = Math.abs(dis / Vx);
            let g = weaponData.g;
            // let y = (2 * Vy - g * t) * t / 2;
            // pos.y += (2 * Vy - g * t) * t / 2;
            // pos = this.getPos(rolePos, t, g, dir, this.m_object_role.m_bulletSpeed);
            let newDis = Math.abs(pos.y - monsterAi_ptgongji1.getPos(rolePos, t, g, dir, this.m_object_role.m_bulletSpeed).y);
            disCtr.setDis(angle,newDis);
            // if(newDis > minDis){
            //     return angle;
            // }
            // if (this.m_object_role.m_controlerState.m_target.dealPhy(pos)) {
            //     return angle;
            // }
            angle += count;
            // if (angle < weaponData.minAngle) {
            //     let maxPos = this.getPos(rolePos, t, g, cc.pForAngle(cc.degreesToRadians(weaponData.maxAngle)), this.m_object_role.m_bulletSpeed);
            //     let minPos = this.getPos(rolePos, t, g, cc.pForAngle(cc.degreesToRadians(weaponData.minAngle)), this.m_object_role.m_bulletSpeed);
            //     return monsterAi_ptgongji1.compareDistance(this.m_object_role.m_controlerState.m_target.getBoneWroldPosition("shoujizudang"),maxPos,minPos,weaponData.maxAngle,weaponData.minAngle);
            // }
            if (angle < weaponData.minAngle) {
                return disCtr;
            }
            return this.updateFireAngle(angle, count, disCtr);
        }

        // static compareDistance(po,p1,p2,a1,a2){
        //     return cc.pDistance(po,p1) < cc.pDistance(po,p2) ? a1:a2;
        // }

        // ExternalEvent(key, data): boolean {
        //     return false;
        // }

        Complete() {
            // this.m_object_role.startResetPosition();
            // this.m_object_role.changeState_Ex(g_AiType.g_AiType_idle_ex);
            if (this.m_once) {
                this.m_once = false;
                this.m_object_role.m_animaEnd = true;
                this.m_object_role.playAnimation("daiji");
            }
            return true;
        }

        OnFireBullet() {
            // cc.log("OnFireBullet", this.m_object_role.getName());
            let pos: cc.Vec2 = this.m_object_role.getBoneWroldPosition("paokou1");
            let weaponData = getWeaponConfig()[this.m_object_role.getName()]["0"];
            let weaponData2 = getWeaponConfig()[this.m_object_role.getName()];
            let data: BulletData = new BulletData();
            data.scale = weaponData.scale;
            data.speedMin = weaponData.speedMin;
            data.speedMax = weaponData.speedMax;
            data.earthDamage = weaponData.earthDamage;
            data.g = weaponData.g;
            data.hard = weaponData.hard;
            data.boomRange = weaponData.boomRange;

            data.res = weaponData2.res;
            data.resAnimation = weaponData2.resAnimation;
            data.boomSpine = weaponData2.boomSpine;
            data.boomAnimation = weaponData2.boomAnimation;
            data.boomScale = weaponData2.boomScale;
            data.shoujiSpine = weaponData2.shoujiSpine;
            data.shoujiAnimation = weaponData2.shoujiAnimation;
            data.shoujiScale = weaponData2.shoujiScale;
            data.damageType = weaponData2.damageType;
            data.filpX = weaponData2.filpX;
            data.m_pos = pos;
            data.m_speed = this.m_object_role.m_bulletSpeed;

            data.m_angle = this.m_angle;
            data.m_roledir = this.m_object_role.getDir();
            data.m_dir = cc.pForAngle(cc.degreesToRadians(data.m_angle));
            // cc.log(" 弧度 :", data.m_dir.x);
            if (data.m_dir.x == -1) {
                data.m_dir.x = 1;
                data.m_dir.y = 0;
            }
            if (this.m_object_role.getDir() < 0) {
                if (data.m_dir.x > 0)
                    data.m_dir.x = -data.m_dir.x;
            } else {
                if (data.m_dir.x < 0)
                    data.m_dir.x = -data.m_dir.x;
            }
            data.m_roleId = this.m_object_role.m_index;
            data.m_isplayer = this.m_object_role instanceof player;

            if(this.m_object_role.getName().indexOf("zhadanren") > -1){
                bulletMgr.getMe().creatBlinkBullet(data);
            }else{
                bulletMgr.getMe().createBullet(data);
            }
        }
    }

    export class monsterAi_beiji extends aiBase {
        m_once: boolean;

        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_hit;
        }

        InternalEvent(key, data) {
            this.m_object_role.stopMoveRootBone(0);
            this.m_object_role.m_SpineNode.setToSetupPose();
            if(this.m_object_role.m_animaEnd) {
                this.m_object_role.playAnimation("shouji", false);
            }
            this.m_once = true;
            return true;
        }

        Complete() {
            this.m_object_role.startResetPosition();
            if (this.m_once) {
                this.m_once = false;
                this.m_object_role.changeState(g_AiType.g_AiType_idle);
            }
            return true;
        }

    }

    export class DistanceControl {
        m_disMap: Map<number,number>;

        constructor() {
            this.m_disMap = new Map<number,number>();
        }

        setDis(angle:number,dis:number){
            this.m_disMap.set(angle,dis);
        }

        getMinAngel(){
            let dis = this.m_disMap.getByIndex(0);
            let angle = 0;
            this.m_disMap.forEach((v,k)=>{
                if(dis > v){
                    dis = v;
                    angle = k;
                }
            },this);
            return angle;
        }

        clearDis(){
            this.m_disMap.clear();
        }
    }
}