/**
 * Created by cy1234 on 2016/7/30.
 */
//
//ott 控制角色模块
module  game {
    export class playControl {
        m_object_role: player;
        m_canFire: boolean;
        static g_playControl: playControl;

        static getMe(): playControl {
            if (playControl.g_playControl == null) {
                playControl.g_playControl = new playControl();
            }
            return playControl.g_playControl;
        };

        shutdown(){
            this.m_object_role = null;
        }

        init() {
            this.m_object_role = roleMgr.getMe().getControlPlayer();
            this.m_object_role.showAngleImage();
            this.m_canFire = false;
        }

        setDefault() {
            if (this.m_object_role)
                this.m_object_role.hideAngleImage();
            this.m_object_role = null;
        }

        // resetKey() {
        //     this.m_up_State = false;
        //     this.m_DoEnterCurButtonState = false;
        //     this.m_down_State = false;
        //     this.m_runButtonPressed = 0;
        // }

        onkey_1() {
            if (this.m_object_role == null) {
                return;
            }
            // this.m_object_role.m_controlerState.skillOne();
        }

        onkey_2() {
            if (this.m_object_role == null) {
                return;
            }
            // this.m_object_role.m_controlerState.skillTwo();
            // sceneMgr.getMe().getCurScene().gameOver(false);
        }

        onkey_3() {
            // roleMgr.getMe().changeRole();
        }

        left() {
            if (this.m_object_role == null) return;
            if (this.m_runButtonPressed == -1) return;
            this.m_runButtonPressed = -1;

            cc.log("left");
            this.m_object_role.m_controlerState.move(cc.p(-1, 0));
            this.m_object_role.hideDots();
            if(this.m_object_role.getCurPower() <= 0){
                ui_usedItem.ShowOrHide(true,"耐力不足，无法移动！");
            }
        }

        right() {
            if (this.m_object_role == null) return;
            if (this.m_runButtonPressed == 1) return;
            this.m_runButtonPressed = 1;

            // if(!CameraMgr_3d.getMe().m_isLockPlayer){
            //     this.m_moveState = 2;
            //     return;
            // }
            // this.m_object_role.m_controlerState.move(new cc.math.Vec3(1, 0, 0));
            cc.log("right");
            this.m_object_role.m_controlerState.move(cc.p(1, 0));
            this.m_object_role.hideDots();
            if(this.m_object_role.getCurPower() <= 0){
                ui_usedItem.ShowOrHide(true,"耐力不足，无法移动！");
            }
        }

        up() {
            if (this.m_object_role == null)return;
            if (this.m_runButtonPressed == -2)return;
            this.m_runButtonPressed = -2;

            // if(!CameraMgr_3d.getMe().m_isLockPlayer){
            //     this.m_moveState = 3;
            //     return;
            // }
            // this.m_object_role.m_controlerState.move(new cc.math.Vec3(0, 0, -1));
            cc.log("up");
            this.m_object_role.m_controlerState.up();
        }

        down() {
            if (this.m_object_role == null)return;
            if (this.m_runButtonPressed == 2)return;
            this.m_runButtonPressed = 2;

            // if(!CameraMgr_3d.getMe().m_isLockPlayer){
            //     this.m_moveState = 4;
            //     return;
            // }
            // this.m_object_role.m_controlerState.move(new cc.math.Vec3(0, 0, 1));
            cc.log("down");
            this.m_object_role.m_controlerState.down();
        }

        left_Released() {
            if (this.m_object_role == null) return;
            if (this.m_runButtonPressed == -1) {
                this.m_runButtonPressed = 0;
                // if(!CameraMgr_3d.getMe().m_isLockPlayer){
                //     this.m_moveState = 0;
                //     return;
                // }
                this.m_object_role.m_controlerState.idle();
                this.m_object_role.m_controlerState.drawLine();
                if(this.m_object_role.getCurPower() <= 0){
                    ui_usedItem.ShowOrHide(true,"耐力不足，无法移动！");
                }
            }
        }

        right_Released() {
            if (this.m_object_role == null) return;
            if (this.m_runButtonPressed == 1) {
                this.m_runButtonPressed = 0;
                // if(!CameraMgr_3d.getMe().m_isLockPlayer){
                //     this.m_moveState = 0;
                //     return;
                // }
                this.m_object_role.m_controlerState.idle();
                this.m_object_role.m_controlerState.drawLine();
                if(this.m_object_role.getCurPower() <= 0){
                    ui_usedItem.ShowOrHide(true,"耐力不足，无法移动！");
                }
            }
        }

        up_Released() {
            if (this.m_object_role == null) return;
            if (this.m_runButtonPressed == -2) {
                this.m_runButtonPressed = 0;
                // if(!CameraMgr_3d.getMe().m_isLockPlayer){
                //     this.m_moveState = 0;
                //     return;
                // }
                this.m_object_role.m_controlerState.idle();
                this.m_object_role.m_controlerState.drawLine();
            }
        }

        down_Released() {
            if (this.m_object_role == null) return;
            if (this.m_runButtonPressed == 2) {
                this.m_runButtonPressed = 0;
                // if(!CameraMgr_3d.getMe().m_isLockPlayer){
                //     this.m_moveState = 0;
                //     return;
                // }
                this.m_object_role.m_controlerState.idle();
                this.m_object_role.m_controlerState.drawLine();
            }
        }

        DoEnterCurButton() {
            if (this.m_object_role == null)return;
            if (this.m_DoEnterCurButtonState)return;
            this.m_DoEnterCurButtonState = true;
            // this.m_object_role.m_controlerState.attack_normal();
            cc.log("DoEnterCurButton");
            // 蓄力
            if(this.m_canFire){
                this.m_object_role.m_controlerState.attack();
                this.m_canFire = false;
            }else{
                this.m_object_role.m_controlerState.stayForce();
                this.m_canFire = true;
            }
        }

        DoEnterCurButton_Released() {
            if (this.m_object_role == null)return;
            if (!this.m_DoEnterCurButtonState)return;
            this.m_DoEnterCurButtonState = false;
            cc.log("DoEnterCurButton_Released");
            // 发射
        }

        m_DoEnterCurButtonState: boolean = false;
        // m_down_State: boolean = false;
        // m_up_State: boolean = false;
        m_runButtonPressed: number = 0;

        onKeyPressed(keyCode) {
            if (rootScene.getMe().iszanting())
                return;
            switch (keyCode) {
                case cc.KEY.num1:
                case 49: {
                    this.onkey_1();
                }
                    break;
                case cc.KEY.num2: //自动战斗
                case 50: {
                    this.onkey_2();
                }
                    break;
                case cc.KEY.num3: //自动战斗
                case 51: {
                    this.onkey_3();
                }
                    break;
                case cc.KEY.a: {
                }
                    break;
                case cc.KEY.up:
                case cc.KEY.dpadUp: {
                    this.up();
                }
                    break;
                case cc.KEY.down:
                case cc.KEY.dpadDown: {
                    this.down();
                }
                    break;
                case cc.KEY.left:
                case cc.KEY.dpadLeft: {
                    this.left();
                }
                    break;
                case cc.KEY.right:
                case cc.KEY.dpadRight: {
                    this.right();
                }
                    break;

                case cc.KEY.dpadCenter:
                case cc.KEY.enter: {
                    this.DoEnterCurButton();
                }
                    break;
            }
        }

        onKeyReleased(keyCode) {
            if (rootScene.getMe().iszanting())
                return;
            switch (keyCode) {
                case cc.KEY.num1: {

                }
                    break;

                case cc.KEY.num2: {

                }
                    break;
                case cc.KEY.up:
                case cc.KEY.dpadUp: {
                    this.up_Released();
                }
                    break;
                case cc.KEY.down:
                case cc.KEY.dpadDown: {
                    this.down_Released();
                }
                    break;
                case cc.KEY.left:
                case cc.KEY.dpadLeft: {
                    this.left_Released();
                }
                    break;
                case cc.KEY.right:
                case cc.KEY.dpadRight: {
                    this.right_Released();
                }
                    break;

                case cc.KEY.enter:
                case cc.KEY.dpadCenter: {
                    this.DoEnterCurButton_Released();
                }
                    break;
            }

        }
    }

}