var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var playerAi_idle = (function (_super) {
        __extends(playerAi_idle, _super);
        function playerAi_idle(role) {
            _super.call(this, role);
            this.m_stateType = game.g_AiType.g_AiType_idle;
        }
        playerAi_idle.prototype.InternalEvent = function (key, data) {
            this.m_object_role.playAnimation("daiji", true);
            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 100;
                this.m_object_role.hideBody();
            }
            return true;
        };
        return playerAi_idle;
    }(game.aiBase));
    game.playerAi_idle = playerAi_idle;
    var playerAi_run = (function (_super) {
        __extends(playerAi_run, _super);
        function playerAi_run() {
            _super.apply(this, arguments);
        }
        playerAi_run.prototype.InternalEvent = function (key, data) {
            _super.prototype.InternalEvent.call(this, key, data);
            this.m_object_role.updateAngleImage();
            // this.m_object_role.updateAngle(0);
            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 100;
                this.m_object_role.hideBody();
            }
            return true;
        };
        return playerAi_run;
    }(game.aiBase_run));
    game.playerAi_run = playerAi_run;
    var playerAi_dead = (function (_super) {
        __extends(playerAi_dead, _super);
        function playerAi_dead(role) {
            _super.call(this, role);
            this.m_stateType = game.g_AiType.g_AiType_dead;
        }
        playerAi_dead.prototype.InternalEvent = function (key, data) {
            this.m_object_role.stopMoveRootBone(0);
            this.m_object_role.m_SpineNode.setToSetupPose();
            if (this.m_object_role.m_animaEnd) {
                this.m_object_role.playAnimation("siwang", false);
            }
            // roleMgr.getMe().deleteTarget(this.m_object_role.getId());
            this.m_once = true;
            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 255;
                this.m_object_role.showBody();
            }
            // this.m_object_role.m_SpineNode.setTimeScale(2);
            game.roleMgr.getMe().m_hasDead = true;
            game.roleMgr.getMe().m_deadNum_player++;
            return true;
        };
        playerAi_dead.prototype.ExternalEvent = function (key, data) {
            return false;
        };
        playerAi_dead.prototype.Complete = function () {
            this.m_object_role.startResetPosition();
            this.m_object_role.m_canDelete = true;
            if (this.m_once) {
                this.m_once = false;
                // this.m_object_role.m_debuffCount = 0;
                // this.m_object_role.m_buffName = "";
                // this.m_object_role.m_SpineNode.setTimeScale(1);
                if (this.m_object_role.m_skin.getPanda()) {
                    this.m_object_role.setHp(this.m_object_role.getMaxHp() * this.m_object_role.m_skin.getShuzhi1());
                    this.m_object_role.changeState_Ex(game.g_AiType.g_AiType_idle);
                    var ret = game.spineMgr.getMe().createSpineOncePlay("fuhuotxiao", "animation", this.m_object_role.getNode(), this.m_object_role.getPosition(), 9999999);
                    ret.setPosition(game.g_other_config.fuhuo.pos);
                    ret.setScale(game.g_other_config.fuhuo.scale);
                    game.roleMgr.getMe().m_deadNum_player--;
                    return true;
                }
                this.m_object_role.playAnimation("mudi", true);
                game.RoundManager.gameEndEx();
            }
            return true;
        };
        return playerAi_dead;
    }(game.aiBase));
    game.playerAi_dead = playerAi_dead;
    var playerAi_ptgongji1 = (function (_super) {
        __extends(playerAi_ptgongji1, _super);
        function playerAi_ptgongji1(role) {
            _super.call(this, role);
            this.m_stateType = game.g_AiType.g_AiType_att;
        }
        playerAi_ptgongji1.prototype.InternalEvent = function (key, data) {
            // this.m_object_role.stopMoveRootBone(0);
            // this.m_object_role.m_SpineNode.setToSetupPose();
            this.m_once = true;
            this.m_object_role.playAnimation(this.m_object_role.m_weaon.getCurWeaponAnima(), false);
            this.m_object_role.m_animaEnd = false;
            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                this.m_object_role.showBody();
            }
            if (this.m_object_role.m_item.isYaoji2() && this.m_object_role.m_item.m_used) {
                // bulletMgr.getMe().m_deleteBulletNum *= 2;
                return true;
            }
            this.m_object_role.nextRound(false);
            return true;
        };
        playerAi_ptgongji1.prototype.ExternalEvent = function (key, data) {
            return false;
        };
        playerAi_ptgongji1.prototype.Complete = function () {
            // this.m_object_role.startResetPosition();
            // this.m_object_role.changeState_Ex(g_AiType.g_AiType_idle_ex);
            if (this.m_once) {
                this.m_once = false;
                this.m_object_role.m_animaEnd = true;
                this.m_object_role.playAnimation("daiji");
                if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                    this.m_object_role.hideBody();
                }
                if (this.m_object_role.m_item.isYaoji2() && !this.m_object_role.m_item.m_used) {
                    this.m_object_role.m_item.m_used = true;
                    // let a = setInterval(() => {
                    this.m_object_role.changeState_Ex(game.g_AiType.g_AiType_att);
                }
            }
            return true;
        };
        playerAi_ptgongji1.prototype.getBulletData = function () {
            var pos = this.m_object_role.getBoneWroldPosition("paokou1");
            // if (this.m_object_role.m_weaon.hasCurWeaponPaokou()) {
            //     // pos = this.m_object_role.getPosition();
            //     pos = this.m_object_role.getBoneWroldPosition("paokou1");
            //     // pos = this.m_object_role.m_SpineNode.findBone("paokou1");
            // } else {
            //     let paokou = this.m_object_role.m_weaon.getCurWeaponPaokou();
            //     pos = g_other_config[paokou];
            //     if(paokou == "paokou1"){
            //         if(this.m_object_role.getDir() > 0){
            //             pos.x += 2 * g_other_config.paokou2.x;
            //         }
            //     }
            // }
            var weaponData = this.m_object_role.m_weaon.getCurWeaponConfig();
            var weaponData2 = this.m_object_role.m_weaon.getCurWeaponConfig2();
            var data = new game.BulletData();
            data.scale = weaponData.scale;
            data.speedMin = weaponData.speedMin;
            data.speedMax = weaponData.speedMax;
            data.earthDamage = weaponData.earthDamage;
            data.g = weaponData.g;
            data.hard = weaponData.hard;
            data.boomRange = weaponData.boomRange;
            data.res = weaponData2.res;
            data.resAnimation = weaponData2.resAnimation;
            data.boomSpine = weaponData2.boomSpine;
            data.boomAnimation = weaponData2.boomAnimation;
            data.boomScale = weaponData2.boomScale;
            data.shoujiSpine = weaponData2.shoujiSpine;
            data.shoujiAnimation = weaponData2.shoujiAnimation;
            data.shoujiScale = weaponData2.shoujiScale;
            data.damageType = weaponData2.damageType;
            data.filpX = weaponData2.filpX;
            //shootNum 减少子弹数
            data.m_pos = pos;
            data.m_speed = weaponData.speedMin + (weaponData.speedMax - weaponData.speedMin) / 100 * this.m_object_role.m_controlerState.m_forcePer;
            data.m_angle = this.m_object_role.m_angle;
            data.m_roledir = this.m_object_role.getDir();
            data.m_dir = this.fixDir(cc.pForAngle(cc.degreesToRadians(this.m_object_role.m_angle)));
            data.m_roleId = this.m_object_role.m_index;
            data.m_isplayer = this.m_object_role instanceof game.player;
            return data;
        };
        playerAi_ptgongji1.prototype.OnFireBullet = function () {
            game.RoundManager.getMe().m_canHideTimer = true;
            game.RoundManager.getMe().m_timer = 30;
            var data = this.getBulletData();
            if (this.m_object_role.m_weaon.getWeaponSkill() == "launch") {
                data.m_pos = cc.p(game.g_other_config.paokou1);
                if (this.m_object_role.getDir() < 0) {
                    data.m_pos.x += 2 * game.g_other_config.paokou2.x;
                }
                data.m_angle = this.getCloseRoleAngle(data.m_pos);
                data.m_dir = this.fixDir(cc.pForAngle(cc.degreesToRadians(data.m_angle)));
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "launch2") {
                data.m_pos = cc.p(game.g_other_config.paokou2);
                data.m_angle = -90;
                data.m_dir = this.fixDir(cc.pForAngle(cc.degreesToRadians(data.m_angle)));
            }
            this.createBullet(data);
            if (this.m_object_role.isPvp) {
                if (this.m_object_role.m_index != null) {
                    game.sync_att.getMe().send(this.m_object_role.m_index, data);
                }
            }
            if (this.m_object_role.m_item.isYaoji3()) {
                var data2 = cc.copy(data);
                data2.m_angle = data.m_angle + 5;
                data2.m_dir = this.fixDir(cc.pForAngle(cc.degreesToRadians(data2.m_angle)));
                this.createBullet(data2);
                var data3 = cc.copy(data);
                data3.m_angle = data.m_angle - 5;
                data3.m_dir = this.fixDir(cc.pForAngle(cc.degreesToRadians(data3.m_angle)));
                this.createBullet(data3);
            }
            if (this.m_object_role.m_item.isYaoji2() && this.m_object_role.m_item.m_used)
                return;
            this.m_object_role.m_weaon.reduceCurWeaponBulletNum();
        };
        playerAi_ptgongji1.prototype.createBullet = function (data) {
            if (this.m_object_role.m_weaon.getWeaponSkill() == "blink") {
                game.bulletMgr.getMe().creatBlinkBullet(data);
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "heal") {
                game.bulletMgr.getMe().creatHealBullet(data);
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "posion") {
                game.bulletMgr.getMe().creatPosionBullet(data);
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "cross") {
                game.bulletMgr.getMe().creatCrossBullet(data);
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "launch") {
                game.bulletMgr.getMe().creatLaunchBullet(data);
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "launch2") {
                game.bulletMgr.getMe().creatLaunchBullet2(data);
            }
            else {
                game.bulletMgr.getMe().createBullet(data);
            }
        };
        playerAi_ptgongji1.prototype.getCloseRoleAngle = function (bulletPos) {
            var temp = 10000;
            var pos;
            var rolePos;
            var role;
            var roleMap;
            if (game.sceneMgr.getMe().getCurScene() instanceof game.fightAiscene) {
                var rolemgr = game.roleMgr.getMe();
                roleMap = rolemgr.m_matcher_map;
            }
            else if (game.sceneMgr.getMe().getCurScene() instanceof game.PVP_fight) {
                var rolemgr = game.roleMgr.getMe();
                roleMap = rolemgr.m_matcher_map;
            }
            else {
                roleMap = game.roleMgr.getMe().m_monster_map;
            }
            // roleMap = roleMgr.getMe().m_monster_map;
            for (var i = 0; i < roleMap.size; ++i) {
                role = roleMap.getByIndex(i);
                if (role.isDead())
                    continue;
                rolePos = role.getPosition();
                var dis = cc.pDistance(rolePos, this.m_object_role.getPosition());
                if (dis < temp) {
                    temp = dis;
                    pos = rolePos;
                }
            }
            if (rolePos) {
                return cc.radiansToDegrees(cc.pToAngle(cc.pSub(rolePos, bulletPos)));
            }
            return -90;
        };
        playerAi_ptgongji1.prototype.fixDir = function (dir) {
            if (dir.x == -1) {
                dir.x = 1;
                dir.y = 0;
            }
            if (this.m_object_role.getDir() < 0) {
                if (dir.x > 0)
                    dir.x = -dir.x;
            }
            else {
                if (dir.x < 0)
                    dir.x = -dir.x;
            }
            return dir;
        };
        return playerAi_ptgongji1;
    }(game.aiBase));
    game.playerAi_ptgongji1 = playerAi_ptgongji1;
    var playerAi_beiji = (function (_super) {
        __extends(playerAi_beiji, _super);
        function playerAi_beiji(role) {
            _super.call(this, role);
            this.m_stateType = game.g_AiType.g_AiType_hit;
        }
        playerAi_beiji.prototype.InternalEvent = function (key, data) {
            this.m_object_role.stopMoveRootBone(0);
            this.m_object_role.m_SpineNode.setToSetupPose();
            if (this.m_object_role.m_animaEnd) {
                this.m_object_role.playAnimation("shouji", false);
            }
            this.m_once = true;
            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 255;
                this.m_object_role.showBody();
            }
            return true;
        };
        playerAi_beiji.prototype.ExternalEvent = function (key, data) {
            return false;
        };
        playerAi_beiji.prototype.Complete = function () {
            this.m_object_role.startResetPosition();
            if (this.m_once) {
                this.m_once = false;
                this.m_object_role.changeState_Ex(game.g_AiType.g_AiType_idle);
            }
            return true;
        };
        return playerAi_beiji;
    }(game.aiBase));
    game.playerAi_beiji = playerAi_beiji;
    var playerAi_aim = (function (_super) {
        __extends(playerAi_aim, _super);
        function playerAi_aim(role) {
            _super.call(this, role);
            this.m_stateType = game.g_AiType.g_AiType_aim;
        }
        playerAi_aim.prototype.InternalEvent = function (key, data) {
            this.m_move = data;
            return true;
        };
        playerAi_aim.prototype.update = function (dt) {
            this.m_object_role.updateAngle(this.m_move);
            return true;
        };
        return playerAi_aim;
    }(game.aiBase));
    game.playerAi_aim = playerAi_aim;
})(game || (game = {}));
//# sourceMappingURL=playAi.js.map