module  game {

    export class playerAi_idle extends aiBase {
        m_object_role: player;

        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_idle;
        }

        InternalEvent(key, data) {
            this.m_object_role.playAnimation("daiji", true);
            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 100;
                this.m_object_role.hideBody();
            }
            return true;
        }
    }

    export class playerAi_run extends aiBase_run {

        m_object_role: player;

        InternalEvent(key, data) {
            super.InternalEvent(key, data);
            this.m_object_role.updateAngleImage();
            // this.m_object_role.updateAngle(0);
            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 100;
                this.m_object_role.hideBody();
            }
            return true;
        }

        // update(t) {
        //     super.update(t);
        //     if (ui_arraw.getMe()) {
        //         ui_arraw.getMe().setArrawPos(cc.pAdd(this.m_object_role.getPosition(), this.m_object_role.m_arrawPos));
        //     }
        //     return true;
        // }
    }

    export class playerAi_dead extends aiBase {
        m_once: boolean;
        m_object_role: player;

        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_dead;
        }

        InternalEvent(key, data) {
            this.m_object_role.stopMoveRootBone(0);
            this.m_object_role.m_SpineNode.setToSetupPose();
            if (this.m_object_role.m_animaEnd) {
                this.m_object_role.playAnimation("siwang", false);
            }
            // roleMgr.getMe().deleteTarget(this.m_object_role.getId());
            this.m_once = true;

            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 255;
                this.m_object_role.showBody();
            }
            // this.m_object_role.m_SpineNode.setTimeScale(2);
            roleMgr.getMe().m_hasDead = true;
            roleMgr.getMe().m_deadNum_player++;
            return true;
        }

        ExternalEvent(key, data): boolean {
            return false;
        }

        Complete() {
            this.m_object_role.startResetPosition();
            this.m_object_role.m_canDelete = true;
            if (this.m_once) {
                this.m_once = false;
                // this.m_object_role.m_debuffCount = 0;
                // this.m_object_role.m_buffName = "";
                // this.m_object_role.m_SpineNode.setTimeScale(1);
                if (this.m_object_role.m_skin.getPanda()) {
                    this.m_object_role.setHp(this.m_object_role.getMaxHp() * this.m_object_role.m_skin.getShuzhi1());
                    this.m_object_role.changeState_Ex(g_AiType.g_AiType_idle);
                    let ret = spineMgr.getMe().createSpineOncePlay("fuhuotxiao","animation",this.m_object_role.getNode(),this.m_object_role.getPosition(),9999999);
                    ret.setPosition(g_other_config.fuhuo.pos);
                    ret.setScale(g_other_config.fuhuo.scale);
                    roleMgr.getMe().m_deadNum_player--;
                    return true;
                }
                this.m_object_role.playAnimation("mudi", true);
                RoundManager.gameEndEx();
            }
            return true;
        }
    }

    export class playerAi_ptgongji1 extends aiBase {
        m_object_role: player;
        m_once: boolean;

        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_att;
        }

        InternalEvent(key, data) {
            // this.m_object_role.stopMoveRootBone(0);
            // this.m_object_role.m_SpineNode.setToSetupPose();
            this.m_once = true;
            this.m_object_role.playAnimation(this.m_object_role.m_weaon.getCurWeaponAnima(), false);
            this.m_object_role.m_animaEnd = false;

            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                this.m_object_role.showBody();
                // this.m_object_role.m_SpineNode.getNode().opacity = 255;
            }
            if (this.m_object_role.m_item.isYaoji2() && this.m_object_role.m_item.m_used) {
                // bulletMgr.getMe().m_deleteBulletNum *= 2;
                return true;
            }
            this.m_object_role.nextRound(false);
            return true;
        }

        ExternalEvent(key, data): boolean {
            return false;
        }

        Complete() {
            // this.m_object_role.startResetPosition();
            // this.m_object_role.changeState_Ex(g_AiType.g_AiType_idle_ex);
            if (this.m_once) {
                this.m_once = false;
                this.m_object_role.m_animaEnd = true;
                this.m_object_role.playAnimation("daiji");
                if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                    this.m_object_role.hideBody();
                    // this.m_object_role.m_SpineNode.getNode().opacity = 100;
                }

                if (this.m_object_role.m_item.isYaoji2() && !this.m_object_role.m_item.m_used) {
                    this.m_object_role.m_item.m_used = true;
                    // let a = setInterval(() => {
                    this.m_object_role.changeState_Ex(g_AiType.g_AiType_att);
                        // clearInterval(a);
                    // }, 1000);
                }
            }
            return true;
        }

        getBulletData() {
            let pos: cc.Vec2 = this.m_object_role.getBoneWroldPosition("paokou1");
            // if (this.m_object_role.m_weaon.hasCurWeaponPaokou()) {
            //     // pos = this.m_object_role.getPosition();
            //     pos = this.m_object_role.getBoneWroldPosition("paokou1");
            //     // pos = this.m_object_role.m_SpineNode.findBone("paokou1");
            // } else {
            //     let paokou = this.m_object_role.m_weaon.getCurWeaponPaokou();
            //     pos = g_other_config[paokou];
            //     if(paokou == "paokou1"){
            //         if(this.m_object_role.getDir() > 0){
            //             pos.x += 2 * g_other_config.paokou2.x;
            //         }
            //     }
            // }
            let weaponData = this.m_object_role.m_weaon.getCurWeaponConfig();
            let weaponData2 = this.m_object_role.m_weaon.getCurWeaponConfig2();
            let data: BulletData = new BulletData();
            data.scale = weaponData.scale;
            data.speedMin = weaponData.speedMin;
            data.speedMax = weaponData.speedMax;
            data.earthDamage = weaponData.earthDamage;
            data.g = weaponData.g;
            data.hard = weaponData.hard;
            data.boomRange = weaponData.boomRange;

            data.res = weaponData2.res;
            data.resAnimation = weaponData2.resAnimation;
            data.boomSpine = weaponData2.boomSpine;
            data.boomAnimation = weaponData2.boomAnimation;
            data.boomScale = weaponData2.boomScale;
            data.shoujiSpine = weaponData2.shoujiSpine;
            data.shoujiAnimation = weaponData2.shoujiAnimation;
            data.shoujiScale = weaponData2.shoujiScale;
            data.damageType = weaponData2.damageType;
            data.filpX = weaponData2.filpX;
            //shootNum 减少子弹数

            data.m_pos = pos;
            data.m_speed = weaponData.speedMin + (weaponData.speedMax - weaponData.speedMin) / 100 * this.m_object_role.m_controlerState.m_forcePer;
            data.m_angle = this.m_object_role.m_angle;
            data.m_roledir = this.m_object_role.getDir();
            data.m_dir = this.fixDir(cc.pForAngle(cc.degreesToRadians(this.m_object_role.m_angle)));
            data.m_roleId = this.m_object_role.m_index;
            data.m_isplayer = this.m_object_role instanceof player;

            return data;
        }

        OnFireBullet() {
            RoundManager.getMe().m_canHideTimer = true;
            RoundManager.getMe().m_timer = 30;

            let data = this.getBulletData();

            if (this.m_object_role.m_weaon.getWeaponSkill() == "launch") {
                data.m_pos = cc.p(g_other_config.paokou1);
                if (this.m_object_role.getDir() < 0) {
                    data.m_pos.x += 2 * g_other_config.paokou2.x;
                }
                data.m_angle = this.getCloseRoleAngle(data.m_pos);
                data.m_dir = this.fixDir(cc.pForAngle(cc.degreesToRadians(data.m_angle)));
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "launch2") {
                data.m_pos = cc.p(g_other_config.paokou2);
                data.m_angle = -90;
                data.m_dir = this.fixDir(cc.pForAngle(cc.degreesToRadians(data.m_angle)));
            }
            this.createBullet(data);

            if (this.m_object_role.isPvp) {
                if (this.m_object_role.m_index != null) {
                    sync_att.getMe().send(this.m_object_role.m_index, data);
                }
            }

            if (this.m_object_role.m_item.isYaoji3()) {
                let data2 = cc.copy(data);
                data2.m_angle = data.m_angle + 5;
                data2.m_dir = this.fixDir(cc.pForAngle(cc.degreesToRadians(data2.m_angle)));
                this.createBullet(data2);

                let data3 = cc.copy(data);
                data3.m_angle = data.m_angle - 5;
                data3.m_dir = this.fixDir(cc.pForAngle(cc.degreesToRadians(data3.m_angle)));
                this.createBullet(data3);
            }
            if (this.m_object_role.m_item.isYaoji2() && this.m_object_role.m_item.m_used) return;
            this.m_object_role.m_weaon.reduceCurWeaponBulletNum();
        }

        createBullet(data){
            if (this.m_object_role.m_weaon.getWeaponSkill() == "blink") {
                bulletMgr.getMe().creatBlinkBullet(data);
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "heal") {
                bulletMgr.getMe().creatHealBullet(data);
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "posion") {
                bulletMgr.getMe().creatPosionBullet(data);
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "cross") {
                bulletMgr.getMe().creatCrossBullet(data);
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "launch") {
                bulletMgr.getMe().creatLaunchBullet(data);
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "launch2") {
                bulletMgr.getMe().creatLaunchBullet2(data);
            }
            else {
                bulletMgr.getMe().createBullet(data);
            }
        }

        getCloseRoleAngle(bulletPos:cc.Vec2){
            let temp: number = 10000;
            let pos:cc.Vec2;
            let rolePos:cc.Vec2;
            let role:monster;
            let roleMap;
            if(sceneMgr.getMe().getCurScene() instanceof fightAiscene){
                let rolemgr = <roleMgr_ai>roleMgr.getMe();
                roleMap = rolemgr.m_matcher_map;
            }
            else if(sceneMgr.getMe().getCurScene() instanceof PVP_fight){
                let rolemgr = <roleMgr_pvp>roleMgr.getMe();
                roleMap = rolemgr.m_matcher_map;
            }
            else{
                roleMap = roleMgr.getMe().m_monster_map;
            }
            // roleMap = roleMgr.getMe().m_monster_map;
            for (let i = 0; i < roleMap.size; ++i) {
                role = roleMap.getByIndex(i);
                if (role.isDead()) continue;
                rolePos = role.getPosition();
                let dis = cc.pDistance(rolePos, this.m_object_role.getPosition());
                if (dis < temp) {
                    temp = dis;
                    pos = rolePos;
                }
            }
            if(rolePos){
                return cc.radiansToDegrees(cc.pToAngle(cc.pSub(rolePos,bulletPos)));
            }
            return -90;
        }

        fixDir(dir: cc.Vec2) {
            if (dir.x == -1) {
                dir.x = 1;
                dir.y = 0;
            }
            if (this.m_object_role.getDir() < 0) {
                if (dir.x > 0)
                    dir.x = -dir.x;
            } else {
                if (dir.x < 0)
                    dir.x = -dir.x;
            }
            return dir;
        }
    }

    export class playerAi_beiji extends aiBase {
        m_object_role: player;
        m_once: boolean;

        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_hit;
        }

        InternalEvent(key, data) {
            this.m_object_role.stopMoveRootBone(0);
            this.m_object_role.m_SpineNode.setToSetupPose();
            if (this.m_object_role.m_animaEnd) {
                this.m_object_role.playAnimation("shouji", false);
            }
            this.m_once = true;

            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 255;
                this.m_object_role.showBody();
            }
            return true;
        }

        ExternalEvent(key, data): boolean {
            return false;
        }

        Complete() {
            this.m_object_role.startResetPosition();
            if (this.m_once) {
                this.m_once = false;
                this.m_object_role.changeState_Ex(g_AiType.g_AiType_idle);
            }
            return true;
        }
    }

    export class playerAi_aim extends aiBase {
        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_aim;
        }

        m_move: number;
        m_object_role: player;

        InternalEvent(key, data) {
            this.m_move = data;
            return true;
        }

        update(dt) {
            this.m_object_role.updateAngle(this.m_move);
            return true;
        }
    }
}