/**
 * 装逼时装
 */
var game;
(function (game) {
    var playSkin = (function () {
        function playSkin(player, type) {
            this.m_des = "playSkin";
            this.m_object_role = player;
            this.init(type);
        }
        playSkin.prototype.shutdown = function () {
            this.m_object_role = null;
            this.m_skinData = null;
        };
        playSkin.prototype.init = function (type) {
            var heroName = this.m_object_role.getName();
            var pifu = game.dataMgr.getMe().getPufuByData(heroName);
            this.m_skinData = game.dataMgr.getMe().getSkinConfig(pifu, heroName);
            var skinname = game.dataMgr.getMe().getSkinConfig(pifu, heroName).skin;
            this.setSkin(skinname);
            this.m_onceFuhuo = false;
        };
        playSkin.prototype.setSkin = function (name) {
            this.m_object_role.m_SpineNode.setSkin(name);
        };
        playSkin.prototype.getAtt = function () {
            return this.m_skinData.damage;
        };
        playSkin.prototype.getHp = function () {
            return this.m_skinData.hp;
        };
        playSkin.prototype.getDef = function () {
            return this.m_skinData.damageRes;
        };
        playSkin.prototype.getPower = function () {
            return this.m_skinData.power;
        };
        playSkin.prototype.getCritRate = function () {
            return this.m_skinData.critRate;
        };
        playSkin.prototype.getSkillName = function () {
            return this.m_skinData.skill;
        };
        playSkin.prototype.getShuzhi1 = function () {
            return this.m_skinData.shuzhi1;
        };
        playSkin.prototype.getShuzhi2 = function () {
            return this.m_skinData.shuzhi2;
        };
        playSkin.prototype.getShuzhi1_bear = function () {
            return this.m_skinData.shuzhi1 * (game.RoundManager.getMe().m_round + 1);
        };
        playSkin.prototype.getShuzhi2_bear = function () {
            return this.m_skinData.shuzhi2 * (game.RoundManager.getMe().m_round + 1);
        };
        playSkin.prototype.getPanda = function () {
            if (this.m_skinData.skill == "guobao") {
                if (!this.m_onceFuhuo) {
                    this.m_onceFuhuo = true;
                    return true;
                }
            }
            return false;
        };
        return playSkin;
    }());
    game.playSkin = playSkin;
})(game || (game = {}));
//# sourceMappingURL=playSkin.js.map