/**
 * 装逼头衔
 */
var game;
(function (game) {
    var playTitle = (function () {
        function playTitle(player, type) {
            this.m_des = "playTitle";
            this.m_object_role = player;
            this.init(type);
        }
        playTitle.prototype.shutdown = function () {
            this.m_object_role = null;
            this.m_titleData = null;
        };
        playTitle.prototype.init = function (type) {
            var heroName = this.m_object_role.getName();
            var title = game.dataMgr.getMe().getCurTitle(heroName);
            var level = game.dataMgr.getMe().getTittlelevel(title);
            if (title == -1 || level < 1) {
                this.defaultData();
                return;
            }
            this.m_titleData = game.g_chenghao_config[title][level];
        };
        playTitle.prototype.defaultData = function () {
            this.m_titleData = {};
            this.m_titleData.damage = 0;
            this.m_titleData.hp = 0;
            this.m_titleData.def = 0;
            this.m_titleData.power = 0;
            this.m_titleData.damageUp = 0;
            this.m_titleData.boomRes = 0;
            this.m_titleData.expUp = 0;
            this.m_titleData.damageRes = 0;
            this.m_titleData.powerUp = 0;
            this.m_titleData.goldUp = 0;
        };
        playTitle.prototype.getAtt = function () {
            return this.m_titleData.damage;
        };
        playTitle.prototype.getHp = function () {
            return this.m_titleData.hp;
        };
        playTitle.prototype.getDef = function () {
            return this.m_titleData.def;
        };
        playTitle.prototype.getPower = function () {
            return this.m_titleData.power;
        };
        playTitle.prototype.getAttPer = function () {
            return this.m_titleData.damageUp;
        };
        playTitle.prototype.getBoomDefPer = function () {
            return this.m_titleData.boomRes;
        };
        playTitle.prototype.getExpPer = function () {
            return this.m_titleData.expUp;
        };
        playTitle.prototype.getDefPer = function () {
            return this.m_titleData.damageRes;
        };
        playTitle.prototype.getPowerPer = function () {
            return this.m_titleData.powerUp;
        };
        playTitle.prototype.getGoldPer = function () {
            return this.m_titleData.goldUp;
        };
        return playTitle;
    }());
    game.playTitle = playTitle;
})(game || (game = {}));
//# sourceMappingURL=playTitle.js.map