var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var playerAi_idle_ai = (function (_super) {
        __extends(playerAi_idle_ai, _super);
        function playerAi_idle_ai() {
            _super.apply(this, arguments);
        }
        return playerAi_idle_ai;
    }(game.playerAi_idle));
    game.playerAi_idle_ai = playerAi_idle_ai;
    var playerAi_run_ai = (function (_super) {
        __extends(playerAi_run_ai, _super);
        function playerAi_run_ai() {
            _super.apply(this, arguments);
        }
        playerAi_run_ai.prototype.randomRange = function () {
            var range = Math.floor(Math.random() * (this.m_object_role.m_attRange.x2 - this.m_object_role.m_attRange.x1)) + this.m_object_role.m_attRange.x1;
            this.m_range = {};
            this.m_range.x1 = range - 10;
            this.m_range.x2 = range + 10;
            // cc.log("this.m_range.x1",this.m_range.x1);
            // cc.log("this.m_range.x2",this.m_range.x2);
        };
        playerAi_run_ai.prototype.InternalEvent = function (key, data) {
            this.m_object_role.playAnimation("yidong", true);
            var p1 = this.m_object_role.getPosition();
            var dis = p1.x - this.m_object_role.m_target.getPosition().x;
            var x;
            if (dis < 0) {
                dis = -dis;
                x = -1;
            }
            else {
                x = 1;
            }
            if (dis > this.m_object_role.m_attRange.x2) {
                this.m_dir.x = -x;
            }
            else if (dis < this.m_object_role.m_attRange.x1) {
                this.m_dir.x = x;
            }
            this.m_object_role.setDir(this.m_dir.x);
            this.m_timer = 0;
            this.m_once = true;
            this.randomRange();
            return true;
        };
        playerAi_run_ai.prototype.move = function (newpos) {
            _super.prototype.move.call(this, newpos);
            var dis = Math.abs(this.m_object_role.getPosition().x - this.m_object_role.m_target.getPosition().x);
            if (dis > this.m_range.x1 && dis < this.m_range.x2) {
                if (this.m_once) {
                    this.m_once = false;
                    this.m_object_role.changeState(game.g_AiType.g_AiType_att);
                }
            }
        };
        playerAi_run_ai.prototype.update = function (dt) {
            var x = this.m_object_role.getPosition().x;
            _super.prototype.update.call(this, dt);
            if (this.m_timer > 10) {
                if (this.m_once) {
                    this.m_once = false;
                    this.m_object_role.changeState(game.g_AiType.g_AiType_att);
                }
                return true;
            }
            if (x == this.m_object_role.getPosition().x) {
                this.m_timer++;
            }
            // if(ui_arraw.getMe()){
            //     ui_arraw.getMe().setArrawPos(cc.pAdd(this.m_object_role.getPosition(),this.m_object_role.m_arrawPos));
            // }
            return true;
        };
        return playerAi_run_ai;
    }(game.aiBase_run));
    game.playerAi_run_ai = playerAi_run_ai;
    var playerAi_dead_ai = (function (_super) {
        __extends(playerAi_dead_ai, _super);
        function playerAi_dead_ai() {
            _super.apply(this, arguments);
        }
        playerAi_dead_ai.prototype.InternalEvent = function (key, data) {
            this.m_object_role.stopMoveRootBone(0);
            this.m_object_role.m_SpineNode.setToSetupPose();
            if (this.m_object_role.m_animaEnd) {
                this.m_object_role.playAnimation("siwang", false);
            }
            // roleMgr.getMe().deleteTarget(this.m_object_role.getId());
            this.m_once = true;
            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 255;
                this.m_object_role.showBody();
            }
            // this.m_object_role.m_SpineNode.setTimeScale(2);
            game.roleMgr.getMe().m_hasDead = true;
            game.roleMgr.getMe().m_deadNum_monster++;
            return true;
        };
        playerAi_dead_ai.prototype.Complete = function () {
            this.m_object_role.startResetPosition();
            this.m_object_role.m_canDelete = true;
            if (this.m_once) {
                this.m_once = false;
                // this.m_object_role.m_debuffCount = 0;
                // this.m_object_role.m_buffName = "";
                // this.m_object_role.m_SpineNode.setTimeScale(1);
                if (this.m_object_role.m_skin.getPanda()) {
                    this.m_object_role.setHp(this.m_object_role.getMaxHp() * this.m_object_role.m_skin.getShuzhi1());
                    this.m_object_role.changeState_Ex(game.g_AiType.g_AiType_idle);
                    var ret = game.spineMgr.getMe().createSpineOncePlay("fuhuotxiao", "animation", this.m_object_role.getNode(), this.m_object_role.getPosition(), 9999999);
                    ret.setPosition(game.g_other_config.fuhuo.pos);
                    ret.setScale(game.g_other_config.fuhuo.scale);
                    return true;
                }
                this.m_object_role.playAnimation("mudi", true);
            }
            return true;
        };
        return playerAi_dead_ai;
    }(game.playerAi_dead));
    game.playerAi_dead_ai = playerAi_dead_ai;
    var playerAi_ptgongji1_ai = (function (_super) {
        __extends(playerAi_ptgongji1_ai, _super);
        function playerAi_ptgongji1_ai() {
            _super.apply(this, arguments);
        }
        playerAi_ptgongji1_ai.prototype.InternalEvent = function (key, data) {
            this.m_once = true;
            this.m_object_role.playAnimation(this.m_object_role.m_weaon.getCurWeaponAnima(), false);
            this.m_object_role.m_animaEnd = false;
            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 255;
                this.m_object_role.showBody();
            }
            this.initFireAngle();
            if (this.m_object_role.m_item.isYaoji2() && !this.m_object_role.m_item.m_used) {
                return true;
            }
            this.m_object_role.nextRound(false);
            return true;
        };
        playerAi_ptgongji1_ai.prototype.initFireAngle = function () {
            var pos = this.m_object_role.m_target.getPosition();
            var rolePos = this.m_object_role.getPosition();
            if (pos.x > rolePos.x) {
                this.m_object_role.setDir(1);
            }
            else {
                this.m_object_role.setDir(-1);
            }
            var disControl = this.updateFireAngle(this.m_object_role.m_weaon.getCurWeaponConfig().maxAngle, -1, new game.DistanceControl());
            this.m_angle = disControl.getMinAngel();
            disControl.clearDis();
            cc.log("目标：", this.m_object_role.m_target.getName());
            cc.log("angle", this.m_angle);
            var rank = game.dataMgr.getMe().getRank();
            if (rank > 1000) {
                this.m_angle += Math.random() < 0.5 ? 3 : -3;
            }
            else if (rank > 100) {
                this.m_angle += Math.random() < 0.5 ? 1 : -1;
            }
            cc.log("angle", this.m_angle);
            if (this.m_object_role.m_target.m_skin.getSkillName() == "yinshen") {
                var shuzhi = this.m_object_role.m_target.m_skin.getShuzhi1();
                this.m_angle += Math.random() < 0.5 ? shuzhi : -shuzhi;
                cc.log("yinshen shuzhi:", shuzhi);
                cc.log("yinshen angle:", this.m_angle);
            }
            // this.m_object_role.m_target = null;
        };
        playerAi_ptgongji1_ai.prototype.updateFireAngle = function (angle, count, disCtr) {
            var rolePos = this.m_object_role.getBoneWroldPosition("paokou1");
            var weaponData = this.m_object_role.m_weaon.getCurWeaponConfig();
            var pos = this.m_object_role.m_target.getBoneWroldPosition("shoujizudang");
            var dir = cc.pForAngle(cc.degreesToRadians(angle));
            var dis = rolePos.x - pos.x;
            var Vx = dir.x * (weaponData.speedMax + weaponData.speedMin) / 2;
            var t = Math.abs(dis / Vx);
            var g = weaponData.g;
            var newDis = Math.abs(pos.y - game.monsterAi_ptgongji1.getPos(rolePos, t, g, dir, (weaponData.speedMax + weaponData.speedMin) / 2).y);
            disCtr.setDis(angle, newDis);
            angle += count;
            if (angle < weaponData.minAngle) {
                return disCtr;
            }
            return this.updateFireAngle(angle, count, disCtr);
        };
        playerAi_ptgongji1_ai.prototype.getBulletData = function () {
            var pos = this.m_object_role.getBoneWroldPosition("paokou1");
            var weaponData = this.m_object_role.m_weaon.getCurWeaponConfig();
            var weaponData2 = this.m_object_role.m_weaon.getCurWeaponConfig2();
            var data = new game.BulletData();
            data.scale = weaponData.scale;
            data.speedMin = weaponData.speedMin;
            data.speedMax = weaponData.speedMax;
            data.earthDamage = weaponData.earthDamage;
            data.g = weaponData.g;
            data.hard = weaponData.hard;
            data.boomRange = weaponData.boomRange;
            data.res = weaponData2.res;
            data.resAnimation = weaponData2.resAnimation;
            data.boomSpine = weaponData2.boomSpine;
            data.boomAnimation = weaponData2.boomAnimation;
            data.boomScale = weaponData2.boomScale;
            data.shoujiSpine = weaponData2.shoujiSpine;
            data.shoujiAnimation = weaponData2.shoujiAnimation;
            data.shoujiScale = weaponData2.shoujiScale;
            data.damageType = weaponData2.damageType;
            data.filpX = weaponData2.filpX;
            //shootNum 减少子弹数
            data.m_pos = pos;
            data.m_speed = (weaponData.speedMax + weaponData.speedMin) / 2;
            data.m_angle = this.m_angle;
            data.m_roledir = this.m_object_role.getDir();
            data.m_dir = this.fixDir(cc.pForAngle(cc.degreesToRadians(data.m_angle)));
            data.m_roleId = this.m_object_role.m_index;
            data.m_isplayer = this.m_object_role instanceof game.player;
            return data;
        };
        playerAi_ptgongji1_ai.prototype.OnFireBullet = function () {
            var data = this.getBulletData();
            if (this.m_object_role.m_weaon.getWeaponSkill() == "launch") {
                data.m_pos = cc.p(game.g_other_config.paokou1);
                if (this.m_object_role.getDir() < 0) {
                    data.m_pos.x += 2 * game.g_other_config.paokou2.x;
                }
                data.m_angle = this.getCloseRoleAngle(data.m_pos);
                data.m_dir = this.fixDir(cc.pForAngle(cc.degreesToRadians(data.m_angle)));
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "launch2") {
                data.m_pos = cc.p(game.g_other_config.paokou2);
                data.m_angle = -90;
                data.m_dir = this.fixDir(cc.pForAngle(cc.degreesToRadians(data.m_angle)));
            }
            this.createBullet(data);
            if (this.m_object_role.m_item.isYaoji3()) {
                var data2 = cc.copy(data);
                data2.m_angle = data.m_angle + 5;
                data2.m_dir = this.fixDir(cc.pForAngle(cc.degreesToRadians(data2.m_angle)));
                this.createBullet(data2);
                var data3 = cc.copy(data);
                data3.m_angle = data.m_angle - 5;
                data3.m_dir = this.fixDir(cc.pForAngle(cc.degreesToRadians(data3.m_angle)));
                this.createBullet(data3);
            }
            if (this.m_object_role.m_item.isYaoji2() && this.m_object_role.m_item.m_used)
                return;
            this.m_object_role.m_weaon.reduceCurWeaponBulletNum();
        };
        playerAi_ptgongji1_ai.prototype.createBullet = function (data) {
            if (this.m_object_role.m_weaon.getWeaponSkill() == "blink") {
                game.bulletMgr.getMe().creatBlinkBullet(data);
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "heal") {
                game.bulletMgr.getMe().creatHealBullet(data);
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "posion") {
                game.bulletMgr.getMe().creatPosionBullet(data);
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "cross") {
                game.bulletMgr.getMe().creatCrossBullet(data);
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "launch") {
                game.bulletMgr.getMe().creatLaunchBullet(data);
            }
            else if (this.m_object_role.m_weaon.getWeaponSkill() == "launch2") {
                game.bulletMgr.getMe().creatLaunchBullet2(data);
            }
            else {
                game.bulletMgr.getMe().createBullet(data);
            }
        };
        playerAi_ptgongji1_ai.prototype.getCloseRoleAngle = function (bulletPos) {
            var temp = 10000;
            var pos;
            var rolePos;
            var role;
            var roleMap;
            roleMap = game.roleMgr.getMe().m_player_map;
            for (var i = 0; i < roleMap.size; ++i) {
                role = roleMap.getByIndex(i);
                if (role.isDead())
                    continue;
                rolePos = role.getPosition();
                var dis = cc.pDistance(rolePos, this.m_object_role.getPosition());
                if (dis < temp) {
                    temp = dis;
                    pos = rolePos;
                }
            }
            if (rolePos) {
                return cc.radiansToDegrees(cc.pToAngle(cc.pSub(rolePos, bulletPos)));
            }
            return -90;
        };
        return playerAi_ptgongji1_ai;
    }(game.playerAi_ptgongji1));
    game.playerAi_ptgongji1_ai = playerAi_ptgongji1_ai;
    var playerAi_beiji_ai = (function (_super) {
        __extends(playerAi_beiji_ai, _super);
        function playerAi_beiji_ai() {
            _super.apply(this, arguments);
        }
        return playerAi_beiji_ai;
    }(game.playerAi_beiji));
    game.playerAi_beiji_ai = playerAi_beiji_ai;
})(game || (game = {}));
//# sourceMappingURL=playAi_ai.js.map