var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var playerAi_idle_pvp = (function (_super) {
        __extends(playerAi_idle_pvp, _super);
        function playerAi_idle_pvp() {
            _super.apply(this, arguments);
        }
        playerAi_idle_pvp.prototype.InternalEvent = function (key, data) {
            this.m_object_role.playAnimation("daiji", true);
            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 0;
                this.m_object_role.hideBody();
            }
            return true;
        };
        return playerAi_idle_pvp;
    }(game.playerAi_idle));
    game.playerAi_idle_pvp = playerAi_idle_pvp;
    var playerAi_run_pvp = (function (_super) {
        __extends(playerAi_run_pvp, _super);
        function playerAi_run_pvp() {
            _super.apply(this, arguments);
        }
        playerAi_run_pvp.prototype.InternalEvent = function (key, data) {
            _super.prototype.InternalEvent.call(this, key, data);
            this.m_object_role.updateAngleImage();
            // this.m_object_role.updateAngle(0);
            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 0;
                this.m_object_role.hideBody();
            }
            return true;
        };
        return playerAi_run_pvp;
    }(game.aiBase_run));
    game.playerAi_run_pvp = playerAi_run_pvp;
    var playerAi_dead_pvp = (function (_super) {
        __extends(playerAi_dead_pvp, _super);
        function playerAi_dead_pvp() {
            _super.apply(this, arguments);
        }
        playerAi_dead_pvp.prototype.InternalEvent = function (key, data) {
            this.m_object_role.stopMoveRootBone(0);
            this.m_object_role.m_SpineNode.setToSetupPose();
            if (this.m_object_role.m_animaEnd) {
                this.m_object_role.playAnimation("siwang", false);
            }
            // roleMgr.getMe().deleteTarget(this.m_object_role.getId());
            this.m_once = true;
            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 255;
                this.m_object_role.showBody();
            }
            // this.m_object_role.m_SpineNode.setTimeScale(2);
            game.roleMgr.getMe().m_hasDead = true;
            game.roleMgr.getMe().m_deadNum_monster++;
            return true;
        };
        playerAi_dead_pvp.prototype.Complete = function () {
            this.m_object_role.startResetPosition();
            this.m_object_role.m_canDelete = true;
            if (this.m_once) {
                this.m_once = false;
                // this.m_object_role.m_debuffCount = 0;
                // this.m_object_role.m_buffName = "";
                // this.m_object_role.m_SpineNode.setTimeScale(1);
                if (this.m_object_role.m_skin.getPanda()) {
                    this.m_object_role.setHp(this.m_object_role.getMaxHp() * this.m_object_role.m_skin.getShuzhi1());
                    this.m_object_role.changeState_Ex(game.g_AiType.g_AiType_idle);
                    var ret = game.spineMgr.getMe().createSpineOncePlay("fuhuotxiao", "animation", this.m_object_role.getNode(), this.m_object_role.getPosition(), 9999999);
                    ret.setPosition(game.g_other_config.fuhuo.pos);
                    ret.setScale(game.g_other_config.fuhuo.scale);
                    return true;
                }
                this.m_object_role.playAnimation("mudi", true);
            }
            return true;
        };
        return playerAi_dead_pvp;
    }(game.playerAi_dead));
    game.playerAi_dead_pvp = playerAi_dead_pvp;
    var playerAi_ptgongji1_pvp = (function (_super) {
        __extends(playerAi_ptgongji1_pvp, _super);
        function playerAi_ptgongji1_pvp(role) {
            _super.call(this, role);
            this.m_stateType = game.g_AiType.g_AiType_att;
        }
        playerAi_ptgongji1_pvp.prototype.InternalEvent = function (key, data) {
            this.m_once = true;
            this.m_object_role.playAnimation(this.m_object_role.m_weaon.getCurWeaponAnima(), false);
            this.m_object_role.m_animaEnd = false;
            if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                // this.m_object_role.m_SpineNode.getNode().opacity = 255;
                this.m_object_role.showBody();
            }
            if (this.m_object_role.m_weaon.getWeaponSkill() == "blink") {
                return true;
            }
            if (this.m_object_role.m_item.isYaoji2() && this.m_object_role.m_item.m_used) {
                // bulletMgr.getMe().m_deleteBulletNum *= 2;
                return true;
            }
            this.m_object_role.nextRound(false);
            return true;
        };
        playerAi_ptgongji1_pvp.prototype.ExternalEvent = function (key, data) {
            return false;
        };
        playerAi_ptgongji1_pvp.prototype.Complete = function () {
            // this.m_object_role.startResetPosition();
            // this.m_object_role.changeState_Ex(g_AiType.g_AiType_idle_ex);
            if (this.m_once) {
                this.m_once = false;
                this.m_object_role.m_animaEnd = true;
                this.m_object_role.playAnimation("daiji");
                if (this.m_object_role.m_skin.getSkillName() == "yinshen") {
                    // this.m_object_role.m_SpineNode.getNode().opacity = 0;
                    this.m_object_role.hideBody();
                }
                if (this.m_object_role.m_item.isYaoji2() && !this.m_object_role.m_item.m_used) {
                    this.m_object_role.m_item.m_used = true;
                    // let a = setInterval(() => {
                    this.m_object_role.changeState_Ex(game.g_AiType.g_AiType_att);
                }
            }
            return true;
        };
        playerAi_ptgongji1_pvp.prototype.OnFireBullet = function () {
            game.RoundManager.getMe().m_canHideTimer = true;
            game.RoundManager.getMe().m_timer = 30;
        };
        return playerAi_ptgongji1_pvp;
    }(game.aiBase));
    game.playerAi_ptgongji1_pvp = playerAi_ptgongji1_pvp;
    var playerAi_beiji_pvp = (function (_super) {
        __extends(playerAi_beiji_pvp, _super);
        function playerAi_beiji_pvp() {
            _super.apply(this, arguments);
        }
        return playerAi_beiji_pvp;
    }(game.playerAi_beiji));
    game.playerAi_beiji_pvp = playerAi_beiji_pvp;
})(game || (game = {}));
//# sourceMappingURL=playAi_pvp.js.map