/**
 * 装逼头衔
 */
var game;
(function (game) {
    var playTitle_pvp = (function () {
        function playTitle_pvp(player, type) {
            this.m_des = "playTitle_pvp";
            this.m_object_role = player;
            this.init(type);
        }
        playTitle_pvp.prototype.shutdown = function () {
            this.m_object_role = null;
            this.m_titleData = null;
        };
        playTitle_pvp.prototype.init = function (type) {
            var title;
            var level;
            var data = game.proto_fightPVP.getMe().m_data;
            if (this.m_object_role.getName() == data.curHero.name) {
                title = data.curHero.title;
                level = data.curHero.titleLevel;
            }
            else {
                title = data.curFollower.title;
                level = data.curFollower.titleLevel;
            }
            if (title == -1 || level < 1) {
                this.defaultData();
                return;
            }
            this.m_titleData = game.g_chenghao_config[title][level];
        };
        playTitle_pvp.prototype.defaultData = function () {
            this.m_titleData = {};
            this.m_titleData.damage = 0;
            this.m_titleData.hp = 0;
            this.m_titleData.def = 0;
            this.m_titleData.power = 0;
            this.m_titleData.damageUp = 0;
            this.m_titleData.boomRes = 0;
            this.m_titleData.expUp = 0;
            this.m_titleData.damageRes = 0;
            this.m_titleData.powerUp = 0;
            this.m_titleData.goldUp = 0;
        };
        playTitle_pvp.prototype.getAtt = function () {
            return this.m_titleData.damage;
        };
        playTitle_pvp.prototype.getHp = function () {
            return this.m_titleData.hp;
        };
        playTitle_pvp.prototype.getDef = function () {
            return this.m_titleData.def;
        };
        playTitle_pvp.prototype.getPower = function () {
            return this.m_titleData.power;
        };
        playTitle_pvp.prototype.getAttPer = function () {
            return this.m_titleData.damageUp;
        };
        playTitle_pvp.prototype.getBoomDefPer = function () {
            return this.m_titleData.boomRes;
        };
        playTitle_pvp.prototype.getExpPer = function () {
            return this.m_titleData.expUp;
        };
        playTitle_pvp.prototype.getDefPer = function () {
            return this.m_titleData.damageRes;
        };
        playTitle_pvp.prototype.getPowerPer = function () {
            return this.m_titleData.powerUp;
        };
        playTitle_pvp.prototype.getGoldPer = function () {
            return this.m_titleData.goldUp;
        };
        return playTitle_pvp;
    }());
    game.playTitle_pvp = playTitle_pvp;
})(game || (game = {}));
//# sourceMappingURL=playTitle_pvp.js.map