var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
// 角色管理类
var game;
(function (game) {
    var roleMgr = (function (_super) {
        __extends(roleMgr, _super);
        function roleMgr() {
            _super.apply(this, arguments);
        }
        roleMgr.prototype.initMap = function () {
            this.m_player_map = new game.Map();
            this.m_monster_map = new game.Map();
            this.m_AllRole_map = new game.Map();
        };
        roleMgr.prototype.isMonsterAllDead = function () {
            return this.m_deadNum_monster == this.m_monster_map.size;
        };
        roleMgr.prototype.isPlayerAllDead = function () {
            return this.m_deadNum_player == this.m_player_map.size;
        };
        // // 设置当前控制角色
        // setControlPlayer(_role:player = null) {
        //     g_Vo = g_Vo_default
        //     if(_role)
        //     {
        //         this.m_curControlRole = _role
        //     }
        //     else
        //     {
        //         this.m_curControlRole.m_fireState = e_fire_state.Stand
        //         for (let i = 0; i < this.m_player_map.size; ++i) {
        //             let obj = this.m_player_map.getByIndex(i);
        //             if (obj.__instanceId != this.m_curControlRole.__instanceId) {
        //                 if(obj.isdead())
        //                     continue
        //                 this.m_curControlRole = obj;
        //                 break;
        //             }
        //         }
        //     }
        //     this.m_curControlRole.setControlRole(true);
        //     cameraMgr.getMe().resetEx(this.m_curControlRole)
        //     playControl.getMe().resetKey();
        //     this.m_curControlRole.resetEndurance()
        //     this.m_curControlRole.m_fireState = e_fire_state.Move
        //
        //     let data = this.m_curControlRole.m_weaponLevelconfig;
        //     this.m_curControlRole.showAngleImage(data.minAngle,data.maxAngle,playControl.getMe().m_angle);
        // }
        //当前被控制的角色
        roleMgr.prototype.getControlPlayer = function () {
            return this.m_curRole;
        };
        // m_maxMonsterNum = 0;
        // m_onsterData = null;
        roleMgr.prototype.initroleMgr = function (sceneinfo) {
            this.initMap();
            var player_birth = cc.copy(game.g_birth_config[sceneinfo.hero_birth]);
            this.m_curRole = this.createPlayer(game.dataMgr.getMe().getPlayDoc().coreData.curHero, player_birth.hero_2);
            if (game.dataMgr.getMe().getPlayDoc().coreData.curFollower) {
                this.createPlayer(game.dataMgr.getMe().getPlayDoc().coreData.curFollower, player_birth.hero_1);
            }
            game.cameraMgr.getMe().reset(player_birth.hero_1, this.m_curRole);
            // this.m_curRole = this.createMonster(null);
            // this.m_curRole.setPosition(cc.p(500,1000));
            // playControl.getMe().init();
            var monsterData = game.g_monster_birth_config[sceneinfo.monsterBirth[0].wave];
            // this.m_onsterData = monsterData;
            // let count = 0;
            // for (let p in monsterData) {
            //     count++;
            // }
            // this.m_maxMonsterNum = count;
            // let a = setInterval(() => {
            //     count--;
            //     this.createMonster(monsterData[this.m_maxMonsterNum - count].monstername, cc.p(monsterData[this.m_maxMonsterNum - count].pos_x, monsterData[this.m_maxMonsterNum - count].pos_y));
            //     cc.log("count:", count);
            //     if (count <= 0) {
            //         clearInterval(a);
            //         RoundManager.getMe().start();
            //     }
            // }, 200);
            //
            // sceneMgr.getMe().getCurScene().m_createMonsterInterval = a;
            for (var i in monsterData) {
                this.createMonster(monsterData[i].monstername, cc.p(monsterData[i].pos_x, monsterData[i].pos_y));
            }
            if (game.ui_zhandoujiemian.getMe())
                game.ui_zhandoujiemian.getMe().initPlayerDataUI();
            this.m_deadNum_monster = 0;
            this.m_deadNum_player = 0;
            this.m_hasDead = false;
            game.ui_arraw.ShowOrHide(true);
            game.RoundManager.getMe().start();
        };
        // 当前玩家
        roleMgr.prototype.createPlayer = function (heroname, pos) {
            var l_player = new game.player();
            l_player.init(heroname, 1);
            l_player.setPosition(pos);
            this.addChild(l_player.getNode(), 2000);
            this.m_player_map.set(l_player.__instanceId, l_player);
            this.m_AllRole_map.set(game.RoundManager.getMe().m_maxRoleIndex, l_player);
            l_player.m_index = game.RoundManager.getMe().m_maxRoleIndex++;
            return l_player;
        };
        roleMgr.prototype.createMonster = function (name, pos) {
            var l_monster = new game.monster();
            l_monster.init(name);
            l_monster.setPosition(pos);
            this.addChild(l_monster.getNode(), 0);
            this.m_monster_map.set(l_monster.__instanceId, l_monster);
            this.m_AllRole_map.set(game.RoundManager.getMe().m_maxRoleIndex, l_monster);
            l_monster.m_index = game.RoundManager.getMe().m_maxRoleIndex++;
            return l_monster;
        };
        // removeMonster(l_monster: monster) {
        //     this.m_monster_map.delete(l_monster.__instanceId);
        //     this.m_AllRole_map.delete(l_monster.__instanceId);
        //     l_monster.shutdown();
        //     this.removeChild(l_monster.getNode());
        // }
        roleMgr.prototype.shutdown = function () {
            if (game.ui_arraw.getMe()) {
                game.ui_arraw.ShowOrHide(false);
            }
            if (game.playControl.getMe()) {
                game.playControl.getMe().shutdown();
            }
            this.m_AllRole_map.forEach(function (v, k) {
                v.shutdown();
            }, this);
            this.m_AllRole_map.clear();
            this.m_monster_map.clear();
            this.m_player_map.clear();
            // this.getNode().removeAllChildren(true);
        };
        //暂停动画
        roleMgr.prototype.zanting = function (falg) {
            this.m_AllRole_map.forEach(function (v, k) {
                v.zanting(falg);
            }, this);
        };
        // m_first = true;
        roleMgr.prototype.update = function (t) {
            this.m_AllRole_map.forEach(function (v, k) {
                v.update(t);
            }, this);
            // if(this.m_first){
            //     for(let i in this.m_onsterData){
            //         this.createMonster(this.m_onsterData[i].monstername,
            //             cc.p(this.m_onsterData[i].pos_x, this.m_onsterData[i].pos_y));
            //
            //     }
            //     RoundManager.getMe().start();
            //     this.m_first = false
            // }
        };
        roleMgr.getMe = function () {
            if (game.sceneMgr.getMe().m_curScene == null) {
                return null;
            }
            if (game.sceneMgr.getMe().m_curScene instanceof game.fightAiscene) {
                var scene = game.sceneMgr.getMe().m_curScene;
                return scene.m_roleMgr;
            }
            if (game.sceneMgr.getMe().m_curScene instanceof game.PVP_fight) {
                var scene = game.sceneMgr.getMe().m_curScene;
                return scene.m_roleMgr;
            }
            return game.sceneMgr.getMe().m_curScene.m_roleMgr;
        };
        roleMgr.create = function () {
            if (game.sceneMgr.getMe().m_curScene instanceof game.fightAiscene) {
                return new game.roleMgr_ai();
            }
            if (game.sceneMgr.getMe().m_curScene instanceof game.PVP_fight) {
                return new game.roleMgr_pvp();
            }
            return new roleMgr();
        };
        return roleMgr;
    }(game.xjNode));
    game.roleMgr = roleMgr;
})(game || (game = {}));
//# sourceMappingURL=roleMgr.js.map 
//# sourceMappingURL=roleMgr.js.map