var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var baseScene = (function (_super) {
        __extends(baseScene, _super);
        function baseScene() {
            _super.apply(this, arguments);
            this.m_scenenode = null;
            this.m_qianjingnode = null;
            this.m_beijingnode = null;
            this.m_node_roleBase = null;
            this.m_node_baseui = null;
            this.m_SceneInfo = null; // 场景信息
            this.m_roleMgr = null;
            this.m_BulletMgr = null;
            this.m_scenename = "";
            this.m_bIsloadind = false;
        }
        baseScene.prototype.init = function () {
            // return true;
        };
        //设置杀怪exp
        baseScene.prototype.setKillMonsterExp = function (exp) {
        };
        // gameOver(winval,  data: any = null) {
        //
        // }
        //场景切换卸载内存
        // removeMem () {
        //     SpinememMgr.getMe().clean()
        //     //cc.textureCache.removeUnusedTextures();
        //     if (cc.sys.isNative) {
        //         cc.textureCache.removeUnusedTextures();
        //         cc.sys.garbageCollect();
        //         console.log("删除无用内存！end");
        //     }
        // }
        baseScene.prototype.removeMem = function () {
            //SpinememMgr.getMe().clean()
            if (cc.sys.isNative) {
                cc.textureCache.removeUnusedTextures();
                cc.sys.garbageCollect();
                console.log("删除无用内存！end");
            }
        };
        baseScene.prototype.shutdown = function () {
            game.spineMgr.getMe().shutdown();
            game.uieffectMgr.getMe().shutdown();
            if (this.m_BulletMgr != null) {
                this.m_BulletMgr.shutdown();
                this.m_BulletMgr = null;
            }
            if (this.m_roleMgr != null) {
                this.m_roleMgr.shutdown();
                this.m_node_roleBase.removeChild(this.m_roleMgr.getNode(), true);
                this.m_roleMgr = null;
            }
            this.removeMem();
            game.fileMgr.savePlayInfo_callback();
            return true;
        };
        baseScene.prototype.getRoleMgr = function () {
            return this.m_roleMgr;
        };
        baseScene.prototype.getBulletMgr = function () {
            return this.m_BulletMgr;
        };
        baseScene.prototype.playBackMusic = function () {
            game.musicMgr.getMe().playbackmusic(this.m_SceneInfo["back_music"]);
        };
        baseScene.prototype.getsceneScale = function () {
            return game.rootScene.getMe().m_win_scale;
        };
        baseScene.prototype.getsceneReScale = function () {
            if (game.rootScene.getMe().m_win_scale < 1) {
                return 1.0 / game.rootScene.getMe().m_win_scale;
            }
            else {
                return 1.0 / game.rootScene.getMe().m_win_scale;
            }
            //   return rootScene.getMe().m_win_scale;
        };
        baseScene.prototype.shipeiCenter = function (playout) {
            var winSize = cc.director.getWinSize();
            console.log("shipeiCenter：" + this.getsceneScale());
            playout.setScale(this.getsceneScale());
            playout.setPosition(cc.p(0, 0));
            playout.setAnchorPoint(cc.p(0.0, 0.0));
        };
        baseScene.prototype.loadsceneEx = function () {
        };
        baseScene.prototype.loadscene = function (scenename) {
            //把其他 界面spine和其他 内存清理掉，防止加载的时候内存崩
            game.uiMgr.getMe().shutdownAllUi();
            //rootScene.getMe().removeSpine()
            this.m_scenename = scenename;
            game.rootScene.getMe().zanting(false);
            this.m_SceneInfo = cc.clone(game.fileMgr.getMe().getSceneInfo(scenename));
            if (this.m_SceneInfo == null) {
                console.log("严重错误 没有这个场景名 ：" + scenename);
                console.error("严重错误 没有这个场景名 ：" + scenename);
                return;
            }
            //
            var json = null;
            json = ccs.load("xingjietantantang/big/scene/" + this.m_SceneInfo.res_path);
            if (json.node == null) {
                console.log("没有这个文件" + "xingjietantantang/big/scene/" + this.m_SceneInfo.res_path);
            }
            this.m_scenenode = json.node;
            this.m_scenenode.setScale(game.rootScene.getMe().m_win_scale);
            this.m_qianjingnode = json.node.getChildByName("qianjing");
            this.m_beijingnode = json.node.getChildByName("beijing"); //
            if (this.m_qianjingnode == null) {
                this.m_qianjingnode = new cc.Node();
                this.m_scenenode.addChild(this.m_qianjingnode);
            }
            if (this.m_beijingnode == null) {
                this.m_beijingnode = new cc.Node();
                this.m_scenenode.addChild(this.m_beijingnode);
            }
            this.m_node_roleBase = json.node.getChildByName("role"); //new cc.Node();
            this.m_node_baseui = new cc.Node();
            this.m_scenenode.addChild(this.m_node_baseui);
            this.m_node_baseui.setLocalZOrder(100);
            this.addChild(this.m_scenenode, 10000);
            this.m_roleMgr = game.roleMgr.create();
            this.m_node_roleBase.addChild(this.m_roleMgr.getNode());
            //这里暂时把角色层放在最前面
            this.m_node_roleBase.setLocalZOrder(99999999);
            this.m_BulletMgr = game.bulletMgr.create();
            this.m_roleMgr.addChild(this.m_BulletMgr.getNode(), 200);
            this.shipeiCenter(this.m_scenenode); //这个地方的坐标系千万不能改
            this.init();
            this.playBackMusic();
            this.m_bIsloadind = true;
        };
        return baseScene;
    }(game.xjLayer));
    game.baseScene = baseScene;
})(game || (game = {}));
//# sourceMappingURL=baseScene.js.map 
//# sourceMappingURL=baseScene.js.map