module game {
    import director = cc.director;
    export class rootScene extends xjLayer {
        _zanting: boolean = false;
        m_autoDownload: boolean = false;
        m_isUpdate: boolean = false;
        m_win_scale: number = 1;
        m_ccNodeLoop: cc.updateNode;

        m_isconnected:boolean = false;
        static g_lowCPU: boolean = false;
        static g_lowCPU_10: boolean = false;
        static g_point: any = null;
        static getMe = function (): rootScene {
            return rootScene.g_point;
        };
        static scene = function () {
            let scene = new cc.Scene();
            let layer = new rootScene();
            rootScene.g_point = layer;
            layer.init();
            console.log("create rootscene.");
            scene.addChild(layer.getNode());
            return scene;
        };

        onExit() {
            console.log("exit js");
            if (cc.sys.isNative) {
                fileMgr.savePlayInfo_callback();
            }
            super.onExit();
        }

        isLowCpu() {
            return rootScene.g_lowCPU
        }

        isLowCpu_10fps() {
            return rootScene.g_lowCPU_10
        }

        testcpu() {
            if (cc.sys.isNative) {
                let fps = cc.director.getFrameRate();
                if (fps < 10) {
                    rootScene.g_lowCPU_10 = true
                }
                else {
                    rootScene.g_lowCPU_10 = false
                }

                if (fps < 25) {
                    rootScene.g_lowCPU = true
                    //ccs._parser.g_isLowCpu = true;
                }
                else {
                    rootScene.g_lowCPU = false
                }
            }
        }

        //只初始化一次
        init() {

            // let dd=  base64Mgr.encode( "第三方" );
            //    dd=  base64Mgr.decode( dd );

            console.log("当前操作系统:" + getOS())

            protoBuffMgr.getMe().init();


            this.m_ccNodeLoop = new cc.updateNode();
            this.m_ccNodeLoop.initEx();
            this.addChild(this.m_ccNodeLoop);
            this.m_ccNodeLoop.regUnpdate(this.loop_0016s.bind(this));

            this.testcpu();

            this.m_win_scale = fileMgr.getMe().m_curMyStruct_xiangsu_base.scale;

            // iapMgr.getMe().init();
            js_GameLogicMgr.getMe().init();
            js_GameLogicMgr.getMe().tvsdk_login_shouui();
            httpMgr.getMe().init();

            this.addChild(KeyboardMgr.getMe().getNode(), 10000);
            this.addChild(uiMgr.getMe().getNode(), 1000);
            if (this.m_autoDownload == true) {
                if (this.m_isUpdate == false) {
                    this.m_isUpdate = true;
                    this.scheduleUpdate();
                }
            }
            else {
                this.init_1();
            }
            return true;
        }

        init_1() {
            musicMgr.getMe();
            resMgr.getMe().loadTexutre();

            // sceneMgr.getMe().selectSceneEx(e_SceneType.SceneType_guide,"sceneN_1");
            // sceneMgr.getMe().selectScene(e_SceneType.SceneType_fight, "sceneA_1");
            if(cc.sys.isNative)
            {
                sceneMgr.getMe().selectScene(e_SceneType.SceneType_login);
            }
            else{
                sceneMgr.getMe().selectScene(e_SceneType.SceneType_main);
            }
           // sceneMgr.getMe().selectScene(e_SceneType.SceneType_login);
            // sceneMgr.getMe().selectScene(e_SceneType.SceneType_main);
            // sceneMgr.getMe().selectScene(e_SceneType.SceneType_fightai, "sceneR_7");
            return true;
        }

        initex() {

            this.addChild(sceneMgr.getMe().getNode(), 0);
            this.addChild(parMgr.getMe().getNode(), 100);


            if (this.m_isUpdate == false) {
                this.m_isUpdate = true;
                this.scheduleUpdate();
            }
        }

        loop_0016s(dt) {
            this.update(dt);
        }

        update(dt) {
            //定时向服务器发送心跳包
            if (mainServer_webSocketManager.getMe()) {
                mainServer_webSocketManager.getMe().update(dt)
            }
            // if (FightServer_webSocketManager.getMe()) {
            //     FightServer_webSocketManager.getMe().update(dt)
            // }
            //体力恢复系统
            energyMgr.getMe().loop(dt);

            uiMgr.getMe().loop(dt);
            spineMgr.getMe().update(dt);
            js_GameLogicMgr.getMe().loop(dt);

            this.testcpu();

            if (this.iszanting()) {
                return;
            }
            sceneMgr.getMe().update(dt);
        }


        iszanting() {
            return this._zanting;
        }

        //暂停动画 与 cd
        zanting(flag) {
            this._zanting = flag;
            if (roleMgr.getMe()) {
                roleMgr.getMe().zanting(flag);
            }
            if (spineMgr.getMe()) {
                spineMgr.getMe().zanting(flag);
            }
            if (bulletMgr.getMe()) {
                bulletMgr.getMe().zanting(flag);
            }
        }

        shutdown() {
            console.log("exit");
            uieffectMgr.getMe().shutdown();
        }

    }

}


//# sourceMappingURL=rootScene.js.map