//
var game;
(function (game) {
    var spineMgr = (function () {
        function spineMgr() {
            this.m_playOnceSpineMap = null;
            this.m_playOnceSpineMap_juezhao = null;
            this.init();
            this.m_playOnceSpineMap = new game.ArrayEx();
            this.m_playOnceSpineMap_juezhao = new game.ArrayEx();
        }
        spineMgr.getMe = function () {
            if (spineMgr.g_instance == null) {
                spineMgr.g_instance = new spineMgr();
                return spineMgr.g_instance;
            }
            else {
                return spineMgr.g_instance;
            }
        };
        ;
        spineMgr.prototype.init = function () {
        };
        spineMgr.prototype.shutdown = function () {
            for (var i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                var data = this.m_playOnceSpineMap.keys[i];
                data.shutdown();
                data = null;
            }
            this.m_playOnceSpineMap.clear();
            for (var i = 0; i < this.m_playOnceSpineMap_juezhao.getSize(); ++i) {
                var data = this.m_playOnceSpineMap_juezhao.keys[i];
                data.shutdown();
                data = null;
            }
            this.m_playOnceSpineMap_juezhao.clear();
        };
        spineMgr.prototype.zanting = function (flag) {
            for (var i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                var data = this.m_playOnceSpineMap.keys[i];
                data.zanting(flag);
            }
        };
        spineMgr.prototype.setTimeScale = function (scale) {
            for (var i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                var data = this.m_playOnceSpineMap.keys[i];
                data.setTimeScale(scale);
            }
        };
        spineMgr.prototype.update = function (t) {
            for (var i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                var data = this.m_playOnceSpineMap.keys[i];
                var ret = data.update(t);
                if (ret == true) {
                    this.m_playOnceSpineMap.remove(data);
                    data.shutdown();
                    return;
                }
            }
            for (var i = 0; i < this.m_playOnceSpineMap_juezhao.getSize(); ++i) {
                var data = this.m_playOnceSpineMap_juezhao.keys[i];
                var ret = data.update(t);
                if (ret == true) {
                    this.m_playOnceSpineMap_juezhao.remove(data);
                    data.shutdown();
                    return;
                }
            }
        };
        //
        spineMgr.prototype.createSpineControl_chuansong = function (res, animationname, father, pos, z) {
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }
            var ret = game.spineControl_chuansong.create(res, animationname, father, pos, z);
            return ret;
        };
        spineMgr.prototype.createSpineControl = function (res, animationname, father, pos, z) {
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }
            var ret = game.spineControl.create(res, animationname, father, pos, z);
            return ret;
        };
        spineMgr.prototype.createSpineOncePlay = function (res, animationname, father, pos, z) {
            if (z === void 0) { z = null; }
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }
            var ret = game.playOnceSpine.create(res, animationname, father, pos, z);
            this.m_playOnceSpineMap.put(ret);
            return ret;
        };
        spineMgr.prototype.createSpineOncePlay_juezhao = function (res, animationname, father, pos, z) {
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }
            var ret = game.playOnceSpine_juzhao.create(res, animationname, father, pos, z);
            this.m_playOnceSpineMap_juezhao.put(ret);
            return ret;
        };
        spineMgr.prototype.loadSpine = function (res, father, zOder) {
            if (zOder === void 0) { zOder = 0; }
            if (res == null) {
                console.error("loadSpine name :" + res);
                return null;
            }
            var spineBoy = new game.SkeletonAnimation_Ex(res, father, zOder);
            spineBoy.m_name = res;
            spineBoy.setDebugSlotsEnabled(false);
            return spineBoy;
        };
        spineMgr.prototype.createSpineSkinPlay = function (res, animationname, skinname, isloop, father, pos, scale, tag) {
            if (pos === void 0) { pos = cc.p(0, 0); }
            if (scale === void 0) { scale = 1; }
            if (tag === void 0) { tag = 999; }
            var _ret = spineMgr.getMe().loadSpine(res, father, tag);
            _ret.setAnimation(0, animationname, isloop);
            _ret.setSkin(skinname);
            _ret.m_name = res;
            _ret.setAnchorPoint(cc.p(0.5, 1));
            _ret.setPosition(pos);
            _ret.setScale(scale);
            return _ret;
        };
        spineMgr.prototype.createSpinePlay = function (res, animationname, isloop, father, pos, scale, tag) {
            if (pos === void 0) { pos = cc.p(0, 0); }
            if (scale === void 0) { scale = 1; }
            if (tag === void 0) { tag = 999; }
            var _ret = spineMgr.getMe().loadSpine(res, father, tag);
            _ret.setAnimation(0, animationname, isloop);
            //father.addChild(_ret.getNode(), 23);
            _ret.m_name = res;
            _ret.setAnchorPoint(cc.p(0.5, 1));
            _ret.setPosition(pos);
            _ret.setScale(scale);
            //_ret.setTag(tag)
            return _ret;
        };
        spineMgr.g_instance = null;
        return spineMgr;
    }());
    game.spineMgr = spineMgr;
})(game || (game = {}));
//# sourceMappingURL=spineMgr.js.map 
//# sourceMappingURL=spineMgr.js.map