//
module game {

    export class spineMgr {
        m_playOnceSpineMap: any = null;
        m_playOnceSpineMap_juezhao: any = null;

        static g_instance = null;

        static  getMe(): spineMgr {
            if (spineMgr.g_instance == null) {
                spineMgr.g_instance = new spineMgr();
                return spineMgr.g_instance;
            }
            else {
                return spineMgr.g_instance;
            }
        };


        constructor() {
            this.init();
            this.m_playOnceSpineMap = new game.ArrayEx();
            this.m_playOnceSpineMap_juezhao = new game.ArrayEx();
        }

        init() {
        }

        shutdown() {
            for (let i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                let data = this.m_playOnceSpineMap.keys[i];
                data.shutdown();
                data = null
            }
            this.m_playOnceSpineMap.clear();
            for (let i = 0; i < this.m_playOnceSpineMap_juezhao.getSize(); ++i) {
                let data = this.m_playOnceSpineMap_juezhao.keys[i];
                data.shutdown();
                data = null
            }
            this.m_playOnceSpineMap_juezhao.clear();
        }

        zanting(flag) {
            for (let i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                let data = this.m_playOnceSpineMap.keys[i];
                data.zanting(flag);
            }
        }
        setTimeScale( scale ){
            for (let i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                let data = this.m_playOnceSpineMap.keys[i];
                data.setTimeScale( scale );
            }
        }

        update(t) {
            for (let i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                let data = this.m_playOnceSpineMap.keys[i];
                let ret = data.update(t);
                if (ret == true) {
                    this.m_playOnceSpineMap.remove(data);
                    data.shutdown();
                    return;
                }
            }
            for (let i = 0; i < this.m_playOnceSpineMap_juezhao.getSize(); ++i) {
                let data = this.m_playOnceSpineMap_juezhao.keys[i];
                let ret = data.update(t);
                if (ret == true) {
                    this.m_playOnceSpineMap_juezhao.remove(data);
                    data.shutdown();
                    return;
                }
            }
        }

        //
        createSpineControl_chuansong(res, animationname, father, pos, z):spineControl_chuansong {
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }

            let ret = spineControl_chuansong.create(res, animationname, father, pos, z);
            return ret;
        }

        createSpineControl(res, animationname, father, pos, z) {
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }
            let ret = game.spineControl.create(res, animationname, father, pos, z);
            return ret;
        }

        createSpineOncePlay(res, animationname, father:cc.Node, pos, z = null) {
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }
            let ret = game.playOnceSpine.create(res, animationname, father, pos, z);
            this.m_playOnceSpineMap.put(ret);
            return ret;
        }

        createSpineOncePlay_juezhao(res, animationname, father, pos, z) {
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }
            let ret = game.playOnceSpine_juzhao.create(res, animationname, father, pos, z);
            this.m_playOnceSpineMap_juezhao.put(ret);
            return ret;
        }

        loadSpine(res , father:cc.Node,zOder:number = 0): SkeletonAnimation_Ex {
            if (res == null) {
                console.error("loadSpine name :" + res);
                return null;
            }
            let spineBoy = new SkeletonAnimation_Ex( res,father,zOder);
            spineBoy.m_name = res
            spineBoy.setDebugSlotsEnabled(false);
            return spineBoy;
        }
        createSpineSkinPlay( res , animationname, skinname , isloop , father ,pos = cc.p(0,0) ,scale = 1 , tag = 999 ):SkeletonAnimation_Ex
        {
            let _ret:SkeletonAnimation_Ex = spineMgr.getMe().loadSpine( res, father,tag);
            _ret.setAnimation(0, animationname, isloop);
            _ret.setSkin(skinname)
            _ret.m_name = res
            _ret.setAnchorPoint(cc.p( 0.5 ,1 ))
            _ret.setPosition(pos);
            _ret.setScale(scale);
            return _ret;
        }
        createSpinePlay(res, animationname, isloop, father:cc.Node, pos = cc.p(0,0), scale = 1,tag = 999):SkeletonAnimation_Ex {
            let _ret:SkeletonAnimation_Ex = spineMgr.getMe().loadSpine( res, father,tag);
            _ret.setAnimation(0, animationname, isloop);
            //father.addChild(_ret.getNode(), 23);
            _ret.m_name = res
            _ret.setAnchorPoint(cc.p( 0.5 ,1 ))
            _ret.setPosition(pos);
            _ret.setScale(scale);
            //_ret.setTag(tag)
            return _ret;
        }
    }

}
//# sourceMappingURL=spineMgr.js.map