var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/5/27.
 */
var game;
(function (game) {
    var ui_PlayAinamationOnce = (function (_super) {
        __extends(ui_PlayAinamationOnce, _super);
        function ui_PlayAinamationOnce() {
            _super.call(this);
            this.m_funcCallback = null;
            this.m_key_not_close = true; //触摸穿透
            this.m_key_not_close = false;
            this.m_des = "ui_PlayAinamationOnce类";
        }
        ui_PlayAinamationOnce.create = function (layoutname, animation, callFunc, fatherNode, pos, anchorpoint) {
            if (callFunc === void 0) { callFunc = null; }
            if (fatherNode === void 0) { fatherNode = null; }
            if (pos === void 0) { pos = null; }
            if (anchorpoint === void 0) { anchorpoint = null; }
            if (layoutname == "") {
                return null;
            }
            var l_instarn = new ui_PlayAinamationOnce();
            l_instarn.oninit(layoutname, animation, callFunc);
            if (pos) {
                l_instarn.setPosition(pos);
            }
            if (anchorpoint) {
                l_instarn.setAnchorPoint(anchorpoint);
            }
            if (fatherNode) {
                fatherNode.addChild(l_instarn.getNode(), 5000000);
            }
            else {
                game.uiMgr.getMe().addChild(l_instarn.getNode(), 5000000);
            }
            return l_instarn;
        };
        ;
        ui_PlayAinamationOnce.prototype.shutdown = function () {
            this.getNode().removeAllChildren();
            this.getParent().removeChild(this.getNode());
            _super.prototype.shutdown.call(this);
        };
        ui_PlayAinamationOnce.prototype.initColor = function () {
            this.setColor(cc.color(0, 0, 0));
            this.setOpacity(255 * 0.0);
            return true;
        };
        ui_PlayAinamationOnce.prototype.oninit = function (layoutname, animation, callFunc) {
            if (callFunc === void 0) { callFunc = null; }
            //console.log( "打开一次性动画文件" + layoutname );
            this.m_funcCallback = null;
            if (callFunc) {
                this.m_funcCallback = callFunc;
            }
            var root = this._parseUIFile(layoutname, 0, false);
            this.addChild(root);
            if (this.isPlay()) {
                this.playCallback();
            }
            else {
                this.playAnimation(animation, false, this.playCallback, this);
            }
            this.shipeiCenter(root);
        };
        ui_PlayAinamationOnce.prototype.playCallback = function () {
            if (this.m_funcCallback) {
                this.m_funcCallback();
            }
            this.m_funcCallback = null;
            this.shutdown();
        };
        return ui_PlayAinamationOnce;
    }(game.UiBase));
    game.ui_PlayAinamationOnce = ui_PlayAinamationOnce;
})(game || (game = {}));
//# sourceMappingURL=ui_PlayAinamationOnce.js.map