module game
{
    export class ui_pvpwin extends UiBase
    {
        static g_instarn:ui_pvpwin = null;
        static getMe  () {
            return ui_pvpwin.g_instarn;
        };
        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_pvpwin, uiMgr.getMe(), 999);
        };
        constructor() {
            super();
            this.m_des = "ui_pvpwin";
            this.m_CBaseKeyState = new BaseKeyState()
        }
        oninit(award) {

            let root = this._parseUIFile("shengli_pvp.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root)

            dataMgr.getMe().yindaoUnlock("d1");
            dataMgr.getMe().yindaoUnlock("d2");
            this.initUI()

            let okbutton:ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root,"fanhui")
            okbutton.addTouchEventListener(this.ok_func,this)
            this.m_CBaseKeyState.regNodeEx(okbutton,1);
            this.m_CBaseKeyState.init(this);
        }
        ok_func(sender,type)
        {
            if( type == ccui.Widget.TOUCH_ENDED)
            {
                ui_pvpwin.ShowOrHide(false)
                sceneMgr.getMe().selectScene(e_SceneType.SceneType_main)
                console.log("成就增加  pvp 模式胜利次数+1.")
                dataMgr.getMe().addTittleNum(e_chenghao.e_4, 1)
            }
        }
        initUI()
        {
            let sceneConfig = sceneMgr.getMe().getCurSceneInfo()

            let expNode:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"exp")
            let expnum:ccui.Text = ccui.helper.seekWidgetByName(expNode,"shuliang")
            let goldNode:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"jinbi")
            let gold:ccui.Text = ccui.helper.seekWidgetByName(goldNode,"shuliang")
            expnum.setString(sceneConfig.exp_win)
            gold.setString(sceneConfig.gold_win)


            // let tittle = dataMgr.getMe().getTittle(dataMgr.getMe().getCurHero())
            let rankscore:number = dataMgr.getMe().getRankScore();
            let otherrankscore:number =  dataMgr.getMe().getRankScore();//当没有对方玩家分数时默认为自己的分数
            if(proto_fightPVP.getMe().m_data){
                otherrankscore = proto_fightPVP.getMe().m_data.rank_score;
            }
            if(rankscore <= 0){
                rankscore = 1;
            }
            if(otherrankscore <= 0){
                otherrankscore = 1;
            }

            let addnum = Math.ceil(otherrankscore * 10 / (rankscore + otherrankscore) + 1);
            // let rankscoreui:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"paiming_up")
            let changeui:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"jifen")

            // rankscoreui.setString("+" + rankscore.toString())
            changeui.setString("+"+addnum.toString())

            dataMgr.getMe().addExp(sceneConfig.exp_win)
            dataMgr.getMe().addItemByType(e_item.e_jinbi,sceneConfig.gold_win)
            dataMgr.getMe().getPlayDoc().coreData.rank_win ++;
            dataMgr.getMe().addRankscore(addnum)
            this.winCallBack();
        }

        winCallBack(){
            let imag:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"tubiao");
            // let rankscoreui:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"paiming_up");
            // let rank:number = this.getMycurRank();
            let myRank:number = dataMgr.getMe().getRank();
            let path = this.getIcon(myRank);
            imag.loadTexture(path);
            // if(rank <= myRank){
            //     let dropnum:number = myRank - rank;
            //     rankscoreui.setString("+" + dropnum.toString())
            // }else {
            //     rankscoreui.setString("+" +0)
            // }

            // let rankscore:number = dataMgr.getMe().getRankScore();
            // httpMgr.getMe().sendMsg(g_httpType.type_httpSaveScore,httpSaveScore.getMe(),rankscore);
        }

        // getMycurRank():number{
        //     // let rankscore:number = dataMgr.getMe().getRankScore();
        //     // for(let rank in g_rank_list){
        //     //     if(rankscore < g_rank_list[rank].score){
        //     //         return g_rank_list[rank].rank + 1
        //     //     }
        //     // }
        //     // return g_rank_list.length;
        //     return 0;
        // }
        getIcon(score:number){
            if(10000000 < score){
                return g_rank_config["10000000"].icon;
            }

            for(let p in g_rank_config){
                let index:number = parseInt(p);
                if(score == 1){
                    return g_rank_config[1].icon;
                }
                if(score <= index){
                    return g_rank_config[p].icon;
                }
            }
            return "xingjietantantang/big/ui/image/ddt_ui27.png";
        }


        onBack()
        {
            // ui_lose.ShowOrHide( false ,null)
        }
        loop( t )
        {
            if( this.m_CBaseKeyState )
            {
                this.m_CBaseKeyState.loop(t)
            }
            //这个界面需要每一桢判断，服务器返回时间控制不好
            if(ui_selectWeapon.getMe())
            {
                ui_selectWeapon.ShowOrHide(false)
            }
        }

    }
}