var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_selectWeapon = (function (_super) {
        __extends(ui_selectWeapon, _super);
        function ui_selectWeapon() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_itemstr = null; //当前物品
            this.m_des = "ui_selectWeapon";
            this.m_CBaseKeyState = new game.BaseKeyState_ui_config();
        }
        ui_selectWeapon.getMe = function () {
            return ui_selectWeapon.g_instarn;
        };
        ;
        ui_selectWeapon.prototype.oninit = function () {
            var root = this._parseUIFile("zhandoutishi.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            var jixu = ccui.helper.seekWidgetByName(this.m_root, "jixu");
            jixu.addTouchEventListener(this.continue_func, this);
            this.initUI();
            if (game.Version_mgr.getInstance().isPhone()) {
                this.hiddenTexiao();
            }
            else {
                this.m_CBaseKeyState.regNodeEx(jixu, 0);
            }
            if (game.sceneMgr.getMe().getCurScene() instanceof game.fightscene) {
                game.rootScene.getMe().zanting(true);
            }
        };
        ui_selectWeapon.prototype.shutdown = function () {
            _super.prototype.shutdown.call(this);
            game.rootScene.getMe().zanting(false);
        };
        ui_selectWeapon.prototype.initUI = function () {
            this.initWeapon();
            this.initItem();
            if (!game.Version_mgr.getInstance().isPhone()) {
                this.m_CBaseKeyState.setUIName("selectWeapon");
                this.m_CBaseKeyState.init(this);
                this.m_CBaseKeyState.setCurKey_byName("wuqi_1");
            }
            this.m_curWeaponName = game.roleMgr.getMe().getControlPlayer().m_weaon.m_curWeaponName;
            var weaponName = game.roleMgr.getMe().getControlPlayer().m_weaon.m_weaponsNameArr[0];
            if (this.m_curWeaponName != weaponName) {
                this.m_curWeaponName = weaponName;
            }
            this.resetWeapon();
            // if(this.m_curWeaponName.indexOf("wuqi1") > -1 &&
            //     roleMgr.getMe().getControlPlayer().m_weaon.m_weaponsNameArr.length > 1){
            //     this.m_curWeaponName = roleMgr.getMe().getControlPlayer().m_weaon.m_weaponsNameArr[0];
            // }
            this.updateSelectWeapon();
            game.roleMgr.getMe().getControlPlayer().m_item.useCurItem();
        };
        ui_selectWeapon.prototype.resetWeapon = function () {
            for (var index = 0; index < game.roleMgr.getMe().getControlPlayer().m_weaon.m_weaponsNameArr.length; index++) {
                if (game.roleMgr.getMe().getControlPlayer().m_weaon.m_weaponsPlayData.get(this.m_curWeaponName).num <= 0) {
                    this.m_curWeaponName = game.roleMgr.getMe().getControlPlayer().m_weaon.m_weaponsNameArr[index];
                }
                else {
                    break;
                }
            }
        };
        // left() {
        //     super.left();
        //     this.updateCurWeapon();
        // }
        //
        // right() {
        //     super.right();
        //     this.updateCurWeapon();
        // }
        //
        // up() {
        //     super.up();
        //     this.updateCurWeapon();
        // }
        //
        // down() {
        //     super.down();
        //     console.log("mkey:" + this.m_CBaseKeyState.m_key.getName())
        // }
        ui_selectWeapon.prototype.initWeapon = function () {
            var weaponConfig;
            var weaponData;
            var weaponImage;
            var nameText;
            var levelText;
            var numText;
            var name;
            var playWeapon = game.roleMgr.getMe().getControlPlayer().m_weaon;
            for (var i = 0; i < 3; ++i) {
                weaponImage = ccui.helper.seekWidgetByName(this.m_root, "wuqi_" + (i + 1));
                nameText = ccui.helper.seekWidgetByName(weaponImage, "name");
                levelText = ccui.helper.seekWidgetByName(weaponImage, "qianghua");
                numText = ccui.helper.seekWidgetByName(weaponImage, "shuliang");
                if (!game.Version_mgr.getInstance().isPhone()) {
                    this.m_CBaseKeyState.regNodeEx(weaponImage, i + 1);
                }
                weaponImage.addTouchEventListener(this.select_weapon_func, this);
                name = playWeapon.m_weaponsNameArr[i];
                // let flag = ui_selectWeapon.getMe().isonlyWeapon1(playWeapon.m_weaponsNameArr);
                if (name) {
                    if ((name == "wuqi1" || name == "wuqi1_1")) {
                        weaponImage.setVisible(false);
                    }
                    else {
                        weaponImage.setVisible(true);
                        weaponData = playWeapon.getWeaponDataByName(name);
                        weaponConfig = game.getWeaponConfig()[name];
                        nameText.setString(weaponConfig.desName);
                        if (weaponData.level == 0) {
                            levelText.setVisible(false);
                        }
                        else {
                            levelText.setVisible(true);
                            levelText.setString("+" + weaponData.level);
                        }
                        numText.setString("x" + weaponData.num);
                        game.dataMgr.getMe().loadCheckBoximg(weaponImage, weaponConfig.icon);
                        if (weaponData.num <= 0) {
                            var config = game.dataMgr.getMe().getWeaponconfig(name);
                            game.dataMgr.getMe().loadCheckBoximg(weaponImage, config.icon2);
                        }
                    }
                }
                else {
                    weaponImage.setVisible(false);
                }
                if (i == 2) {
                    //第三个武器槽没有解锁
                    if (game.dataMgr.getMe().getViplevel() < game.g_vip_unlock) {
                        weaponImage.setVisible(false);
                        ccui.helper.seekWidgetByName(ccui.helper.seekWidgetByName(this.m_root, "zhuangbeilan_3"), "shuoming").setVisible(false);
                    }
                    else {
                        ccui.helper.seekWidgetByName(ccui.helper.seekWidgetByName(this.m_root, "zhuangbeilan_3"), "suo").setVisible(false);
                    }
                }
            }
        };
        ui_selectWeapon.prototype.updateSelectWeapon = function () {
            // let playWeapon: playWeapon = roleMgr.getMe().getControlPlayer().m_weaon;
            // this.m_curWeaponName = playWeapon.m_weaponsNameArr[Number(this.m_CBaseKeyState.m_key.getName().split("_")[1] - 1)];
            // dataMgr.getMe().setCurWeaponByName(roleMgr.getMe().getControlPlayer().getName(), this.m_curWeaponName);
            var weaponData = game.roleMgr.getMe().getControlPlayer().m_weaon.getWeaponDataByName(this.m_curWeaponName);
            var weaponConfig = game.getWeaponConfig()[this.m_curWeaponName];
            var weaponnode = ccui.helper.seekWidgetByName(this.m_root, "wuqi_4");
            var name = ccui.helper.seekWidgetByName(weaponnode, "name");
            var level = ccui.helper.seekWidgetByName(weaponnode, "qianghua");
            var num = ccui.helper.seekWidgetByName(weaponnode, "shuliang");
            game.dataMgr.getMe().loadCheckBoximg(weaponnode, weaponConfig.icon);
            name.setString(weaponConfig.desName);
            if (weaponData.level == 0) {
                level.setVisible(false);
            }
            else {
                level.setVisible(true);
                level.setString("+" + weaponData.level);
            }
            num.setString("x" + weaponData.num);
            if (weaponData.num <= 0) {
                this.m_curWeaponName = "wuqi1";
                game.roleMgr.getMe().getControlPlayer().m_weaon.m_curWeaponName = "wuqi1";
            }
        };
        ui_selectWeapon.prototype.initItem = function () {
            for (var i = 0; i < 3; ++i) {
                var daojuNode = ccui.helper.seekWidgetByName(ui_selectWeapon.getMe().m_root, "daoju_" + (1 + i));
                var numui = ccui.helper.seekWidgetByName(daojuNode, "shuliang");
                var itemtype = game.itemMgr.getMe().stringToType("yaoji" + (1 + i));
                var itemnum = game.dataMgr.getMe().getItemByName(itemtype);
                numui.setString("x" + itemnum);
                daojuNode.setUserData(itemtype);
                daojuNode.addTouchEventListener(ui_selectWeapon.getMe().select_item_func, ui_selectWeapon.getMe());
                if (!game.Version_mgr.getInstance().isPhone()) {
                    this.m_CBaseKeyState.regNodeEx(daojuNode, 5 + i);
                }
                game.dataMgr.getMe().loadCheckBoximg(daojuNode, game.g_daoju_nan["yaoji" + (1 + i)].icon);
                if (itemnum <= 0) {
                    // daojuNode.opacity = 0.5 * 255;
                    var path = "";
                    if (daojuNode.getName().match(/1/)) {
                        path = "xingjietantantang/big/ui/image/ddt_ui55_gray.png";
                    }
                    else if (daojuNode.getName().match(/2/)) {
                        path = "xingjietantantang/big/ui/image/ddt_ui53_gray.png";
                    }
                    else if (daojuNode.getName().match(/3/)) {
                        path = "xingjietantantang/big/ui/image/ddt_ui54_gray.png";
                    }
                    game.dataMgr.getMe().loadCheckBoximg(daojuNode, path);
                }
            }
        };
        ui_selectWeapon.prototype.select_item_func = function (sender, type) {
            var _this = this;
            if (type != ccui.Widget.TOUCH_ENDED)
                return;
            if (game.Version_mgr.getInstance().isPhone()) {
                this.hiddenTexiao();
                this.setCurTexiao(true, sender);
            }
            var playItem = game.roleMgr.getMe().getControlPlayer().m_item;
            if (playItem.m_curItem) {
                // uiMgr.getMe().show_ui_MessageBox(true, "已使用道具");
                game.ui_usedItem.ShowOrHide(true, "已使用道具");
                return;
            }
            var itemtype = sender.getUserData();
            var itemnum = game.dataMgr.getMe().getItemByName(itemtype);
            this.m_itemstr = game.itemMgr.getMe().typeToString(itemtype);
            var itemconfig = game.g_daoju_nan[this.m_itemstr];
            if (itemnum <= 0) {
                if (game.sceneMgr.getMe().getCurSceneName() == "sceneN_1") {
                    game.ui_usedItem.ShowOrHide(true, "道具已用完！");
                    return;
                }
                if (game.sceneMgr.getMe().getCurSceneType() == game.e_SceneType.SceneType_pvp ||
                    game.sceneMgr.getMe().getCurSceneType() == game.e_SceneType.SceneType_fightai) {
                    game.ui_usedItem.ShowOrHide(true, "道具已用完！");
                    return;
                }
                var priceDiamond = game.Version_mgr.getInstance().getDiamondPriceBystr(this.m_itemstr);
                // rootScene.getMe().zanting(true);
                game.ui_messageBox2.ShowOrHide(true, "道具" + itemconfig.desName + "不足!是否花费" + priceDiamond + "钻石购买", function () {
                    game.buy_mgr.getInstance().buyPosion_buy(ui_selectWeapon.getMe().buySucceedCallback, _this, _this.m_itemstr);
                });
            }
            else {
                if (game.dataMgr.getMe().removeItemByType(itemtype, 1)) {
                    playItem.setCurItem(this.m_itemstr);
                    this.initItem();
                    game.ui_usedItem.ShowOrHide(true, "道具使用成功！");
                }
            }
        };
        ui_selectWeapon.prototype.buySucceedCallback = function () {
            // let priceDiamond = Version_mgr.getInstance().getDiamondPriceBystr(ui_selectWeapon.getMe().m_itemstr);
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     priceDiamond + "钻石购买" + "3个" + g_daoju_nan[ui_selectWeapon.getMe().m_itemstr].desName);
            var itemtype = game.itemMgr.getMe().stringToType(ui_selectWeapon.getMe().m_itemstr);
            game.dataMgr.getMe().addItemByType(itemtype, 3);
            game.ui_goumaichenggong.ShowOrHide(true, {
                name: "wupin", num: 3, icon: game.g_daoju_nan[ui_selectWeapon.getMe().m_itemstr].icon,
                iconName: game.g_daoju_nan[ui_selectWeapon.getMe().m_itemstr].desName
            });
            ui_selectWeapon.getMe().initItem();
        };
        ui_selectWeapon.prototype.buyBulletSucceedCallback = function () {
            var playWeapon = game.roleMgr.getMe().getControlPlayer().m_weaon;
            playWeapon.resetWeaponBulletNumByName(ui_selectWeapon.getMe().m_curWeaponName);
            game.ui_goumaichenggong.ShowOrHide(true, {
                name: "wupin", num: playWeapon.getWeaponDataByName(ui_selectWeapon.getMe().m_curWeaponName).num,
                icon: game.g_daoju_nan[ui_selectWeapon.getMe().m_curWeaponName].icon,
                iconName: game.g_daoju_nan[ui_selectWeapon.getMe().m_curWeaponName].desName
            });
            ui_selectWeapon.getMe().updateSelectWeapon();
            ui_selectWeapon.getMe().initWeapon();
        };
        ui_selectWeapon.prototype.hiddenTexiao = function () {
            for (var i = 0; i < 3; ++i) {
                var weaponImage = ccui.helper.seekWidgetByName(this.m_root, "wuqi_" + (i + 1));
                var daojuNode = ccui.helper.seekWidgetByName(ui_selectWeapon.getMe().m_root, "daoju_" + (1 + i));
                var texiao = ccui.helper.seekWidgetByName(weaponImage, "uitexiao");
                texiao.setVisible(false);
                var texiao1 = ccui.helper.seekWidgetByName(daojuNode, "uitexiao");
                texiao1.setVisible(false);
            }
        };
        ui_selectWeapon.prototype.setCurTexiao = function (flag, sender) {
            var texiao = ccui.helper.seekWidgetByName(sender, "uitexiao");
            texiao.setVisible(flag);
        };
        ui_selectWeapon.prototype.select_weapon_func = function (sender, type) {
            var _this = this;
            if (type != ccui.Widget.TOUCH_ENDED)
                return;
            cc.log("select_weapon_func", sender.getName());
            if (game.Version_mgr.getInstance().isPhone()) {
                this.hiddenTexiao();
                this.setCurTexiao(true, sender);
            }
            var playWeapon = game.roleMgr.getMe().getControlPlayer().m_weaon;
            this.m_curWeaponName = playWeapon.m_weaponsNameArr[Number(sender.getName().split("_")[1] - 1)];
            if (playWeapon.getWeaponBulletNumByName(this.m_curWeaponName) == 0) {
                // ui_usedItem.ShowOrHide(true, "弹药不足，无法装备。");
                // this.resetWeapon();
                // 根据武器名称获得价格
                if (game.sceneMgr.getMe().getCurSceneName() == "sceneN_1") {
                    game.ui_usedItem.ShowOrHide(true, "弹药已用完！");
                    return;
                }
                if (game.sceneMgr.getMe().getCurSceneType() == game.e_SceneType.SceneType_pvp ||
                    game.sceneMgr.getMe().getCurSceneType() == game.e_SceneType.SceneType_fightai) {
                    game.ui_usedItem.ShowOrHide(true, "弹药已用完！");
                    return;
                }
                var priceDiamond = game.Version_mgr.getInstance().getDiamondPriceBystr("danyao");
                game.ui_messageBox2.ShowOrHide(true, "弹药不足!是否花费" + priceDiamond + "钻石购买", function () {
                    game.buy_mgr.getInstance().buyBullet_buy(ui_selectWeapon.getMe().buyBulletSucceedCallback, _this);
                });
                return;
            }
            this.updateSelectWeapon();
        };
        ui_selectWeapon.prototype.continue_func = function (sender, type) {
            if (type == ccui.Widget.TOUCH_ENDED) {
                cc.log("continue_func", sender.getName());
                var playWeapon_1 = game.roleMgr.getMe().getControlPlayer().m_weaon;
                if (playWeapon_1.getWeaponBulletNumByName(this.m_curWeaponName) == 0) {
                    // ui_messageBox.ShowOrHide(true,"弹药不足，无法装备。");
                    game.ui_usedItem.ShowOrHide(true, "弹药不足，无法装备。");
                    this.resetWeapon();
                    return;
                }
                playWeapon_1.setCurWeapon(this.m_curWeaponName);
                if (game.ui_zhandoujiemian.getMe())
                    game.ui_zhandoujiemian.getMe().initPlayerDataUI();
                // bulletMgr.getMe().initDeleteBulletNum(playWeapon.getCurWeaponConfig().shootNum);
                ui_selectWeapon.end();
            }
        };
        ui_selectWeapon.end = function () {
            ui_selectWeapon.ShowOrHide(false);
        };
        ui_selectWeapon.prototype.loop = function (t) {
            ui_selectWeapon.getMe().initItem();
            if (this.m_CBaseKeyState.loop(t)) {
            }
        };
        ui_selectWeapon.g_instarn = null;
        ui_selectWeapon.ShowOrHide = function (flag) {
            // if(sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_guide){
            //
            // }else {
            //     if (flag && (<baseSceneFight>sceneMgr.getMe().getCurScene()).m_gameOver) {
            //         return;
            //     }
            // }
            if (game.sceneMgr.getMe().getCurSceneType() != game.e_SceneType.SceneType_login &&
                game.sceneMgr.getMe().getCurSceneType() != game.e_SceneType.SceneType_main)
                game.UiBase.ShowOrHide(flag, ui_selectWeapon, game.uiMgr.getMe(), 999);
        };
        return ui_selectWeapon;
    }(game.UiBase));
    game.ui_selectWeapon = ui_selectWeapon;
})(game || (game = {}));
//# sourceMappingURL=ui_selectWeapon.js.map