module game {
    export class ui_selectWeapon extends UiBase {
        static g_instarn: ui_selectWeapon = null;

        static getMe() {
            return ui_selectWeapon.g_instarn;
        };

        static ShowOrHide = function (flag) {
            // if(sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_guide){
            //
            // }else {
            //     if (flag && (<baseSceneFight>sceneMgr.getMe().getCurScene()).m_gameOver) {
            //         return;
            //     }
            // }
            if (sceneMgr.getMe().getCurSceneType() != e_SceneType.SceneType_login &&
                sceneMgr.getMe().getCurSceneType() != e_SceneType.SceneType_main)
                UiBase.ShowOrHide(flag, ui_selectWeapon, uiMgr.getMe(), 999);
        };

        m_curWeaponName: string;
        m_CBaseKeyState: BaseKeyState_ui_config = null;

        constructor() {
            super();
            this.m_des = "ui_selectWeapon";
            this.m_CBaseKeyState = new BaseKeyState_ui_config();
        }

        oninit() {
            let root = this._parseUIFile("zhandoutishi.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            let jixu: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "jixu");
            jixu.addTouchEventListener(this.continue_func, this);
            this.initUI();
            if (Version_mgr.getInstance().isPhone()) {
                this.hiddenTexiao()
            } else {
                this.m_CBaseKeyState.regNodeEx(jixu, 0);
            }

            if(sceneMgr.getMe().getCurScene() instanceof fightscene){
                rootScene.getMe().zanting(true);
            }
        }

        shutdown(){
            super.shutdown();
            rootScene.getMe().zanting(false);
        }

        initUI() {
            this.initWeapon();
            this.initItem();
            if (!Version_mgr.getInstance().isPhone()) {
                this.m_CBaseKeyState.setUIName("selectWeapon");
                this.m_CBaseKeyState.init(this);
                this.m_CBaseKeyState.setCurKey_byName("wuqi_1");
            }
            this.m_curWeaponName = roleMgr.getMe().getControlPlayer().m_weaon.m_curWeaponName;
            let weaponName: string = roleMgr.getMe().getControlPlayer().m_weaon.m_weaponsNameArr[0];
            if (this.m_curWeaponName != weaponName) {
                this.m_curWeaponName = weaponName;
            }
            this.resetWeapon();

            // if(this.m_curWeaponName.indexOf("wuqi1") > -1 &&
            //     roleMgr.getMe().getControlPlayer().m_weaon.m_weaponsNameArr.length > 1){
            //     this.m_curWeaponName = roleMgr.getMe().getControlPlayer().m_weaon.m_weaponsNameArr[0];
            // }
            this.updateSelectWeapon();

            roleMgr.getMe().getControlPlayer().m_item.useCurItem();
        }

        resetWeapon() {
            for (let index = 0; index < roleMgr.getMe().getControlPlayer().m_weaon.m_weaponsNameArr.length; index++) {
                if (roleMgr.getMe().getControlPlayer().m_weaon.m_weaponsPlayData.get(this.m_curWeaponName).num <= 0) {
                    this.m_curWeaponName = roleMgr.getMe().getControlPlayer().m_weaon.m_weaponsNameArr[index];
                } else {
                    break;
                }
            }
        }

        // left() {
        //     super.left();
        //     this.updateCurWeapon();
        // }
        //
        // right() {
        //     super.right();
        //     this.updateCurWeapon();
        // }
        //
        // up() {
        //     super.up();
        //     this.updateCurWeapon();
        // }
        //
        // down() {
        //     super.down();
        //     console.log("mkey:" + this.m_CBaseKeyState.m_key.getName())
        // }

        initWeapon() {
            let weaponConfig;
            let weaponData;
            let weaponImage;
            let nameText;
            let levelText;
            let numText;
            let name;

            let playWeapon: playWeapon = roleMgr.getMe().getControlPlayer().m_weaon;
            for (let i = 0; i < 3; ++i) {
                weaponImage = ccui.helper.seekWidgetByName(this.m_root, "wuqi_" + (i + 1));
                nameText = ccui.helper.seekWidgetByName(weaponImage, "name");
                levelText = ccui.helper.seekWidgetByName(weaponImage, "qianghua");
                numText = ccui.helper.seekWidgetByName(weaponImage, "shuliang");
                if (!Version_mgr.getInstance().isPhone()) {
                    this.m_CBaseKeyState.regNodeEx(weaponImage, i + 1);
                }
                weaponImage.addTouchEventListener(this.select_weapon_func, this);

                name = playWeapon.m_weaponsNameArr[i];
                // let flag = ui_selectWeapon.getMe().isonlyWeapon1(playWeapon.m_weaponsNameArr);
                if (name) {
                    if ((name == "wuqi1" || name == "wuqi1_1")) {
                        weaponImage.setVisible(false);
                    } else {
                        weaponImage.setVisible(true);
                        weaponData = playWeapon.getWeaponDataByName(name);
                        weaponConfig = getWeaponConfig()[name];
                        nameText.setString(weaponConfig.desName);
                        if (weaponData.level == 0) {
                            levelText.setVisible(false);
                        } else {
                            levelText.setVisible(true);
                            levelText.setString("+" + weaponData.level);
                        }
                        numText.setString("x" + weaponData.num);
                        dataMgr.getMe().loadCheckBoximg(weaponImage, weaponConfig.icon);

                        if (weaponData.num <= 0) {
                            let config: weaponconfig_s = dataMgr.getMe().getWeaponconfig(name);
                            dataMgr.getMe().loadCheckBoximg(weaponImage, config.icon2);
                        }
                    }
                } else {
                    weaponImage.setVisible(false);
                }
                if (i == 2) {
                    //第三个武器槽没有解锁
                    if (dataMgr.getMe().getViplevel() < g_vip_unlock) {
                        weaponImage.setVisible(false);
                        ccui.helper.seekWidgetByName(ccui.helper.seekWidgetByName(this.m_root, "zhuangbeilan_3"), "shuoming").setVisible(false);
                    }
                    else {
                        ccui.helper.seekWidgetByName(ccui.helper.seekWidgetByName(this.m_root, "zhuangbeilan_3"), "suo").setVisible(false);
                    }
                }
            }
        }

        updateSelectWeapon() {
            // let playWeapon: playWeapon = roleMgr.getMe().getControlPlayer().m_weaon;
            // this.m_curWeaponName = playWeapon.m_weaponsNameArr[Number(this.m_CBaseKeyState.m_key.getName().split("_")[1] - 1)];
            // dataMgr.getMe().setCurWeaponByName(roleMgr.getMe().getControlPlayer().getName(), this.m_curWeaponName);

            let weaponData = roleMgr.getMe().getControlPlayer().m_weaon.getWeaponDataByName(this.m_curWeaponName);
            let weaponConfig = getWeaponConfig()[this.m_curWeaponName];

            let weaponnode: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "wuqi_4");
            let name: ccui.Text = ccui.helper.seekWidgetByName(weaponnode, "name");
            let level: ccui.Text = ccui.helper.seekWidgetByName(weaponnode, "qianghua");
            let num: ccui.Text = ccui.helper.seekWidgetByName(weaponnode, "shuliang");
            dataMgr.getMe().loadCheckBoximg(weaponnode, weaponConfig.icon);
            name.setString(weaponConfig.desName);

            if (weaponData.level == 0) {
                level.setVisible(false);
            } else {
                level.setVisible(true);
                level.setString("+" + weaponData.level);
            }
            num.setString("x" + weaponData.num);
            if (weaponData.num <= 0) {
                this.m_curWeaponName = "wuqi1";
                roleMgr.getMe().getControlPlayer().m_weaon.m_curWeaponName = "wuqi1";
                //  this.updateSelectWeapon();
            }
        }

        initItem() {
            for (let i = 0; i < 3; ++i) {
                let daojuNode: ccui.CheckBox = ccui.helper.seekWidgetByName(ui_selectWeapon.getMe().m_root, "daoju_" + (1 + i));
                let numui: ccui.Text = ccui.helper.seekWidgetByName(daojuNode, "shuliang");
                let itemtype = itemMgr.getMe().stringToType("yaoji" + (1 + i));
                let itemnum = dataMgr.getMe().getItemByName(itemtype);
                numui.setString("x" + itemnum);
                daojuNode.setUserData(itemtype);
                daojuNode.addTouchEventListener(ui_selectWeapon.getMe().select_item_func, ui_selectWeapon.getMe());
                if (!Version_mgr.getInstance().isPhone()) {
                    this.m_CBaseKeyState.regNodeEx(daojuNode, 5 + i);
                }
                dataMgr.getMe().loadCheckBoximg(daojuNode, g_daoju_nan["yaoji" + (1 + i)].icon);
                if (itemnum <= 0) {
                    // daojuNode.opacity = 0.5 * 255;
                    let path = "";
                    if (daojuNode.getName().match(/1/)) {
                        path = "xingjietantantang/big/ui/image/ddt_ui55_gray.png";
                    } else if (daojuNode.getName().match(/2/)) {
                        path = "xingjietantantang/big/ui/image/ddt_ui53_gray.png";
                    } else if (daojuNode.getName().match(/3/)) {
                        path = "xingjietantantang/big/ui/image/ddt_ui54_gray.png";
                    }
                    dataMgr.getMe().loadCheckBoximg(daojuNode, path);
                }
            }
        }

        select_item_func(sender, type) {
            if (type != ccui.Widget.TOUCH_ENDED) return;
            if (Version_mgr.getInstance().isPhone()) {
                this.hiddenTexiao();
                this.setCurTexiao(true, sender);
            }
            let playItem: playItem = roleMgr.getMe().getControlPlayer().m_item;
            if (playItem.m_curItem) {
                // uiMgr.getMe().show_ui_MessageBox(true, "已使用道具");
                ui_usedItem.ShowOrHide(true, "已使用道具");
                return;
            }
            let itemtype = sender.getUserData();
            let itemnum = dataMgr.getMe().getItemByName(itemtype);
            this.m_itemstr = itemMgr.getMe().typeToString(itemtype);
            let itemconfig = g_daoju_nan[this.m_itemstr];
            if (itemnum <= 0) {
                if (sceneMgr.getMe().getCurSceneName() == "sceneN_1") {
                    ui_usedItem.ShowOrHide(true, "道具已用完！");
                    return;
                }
                if (sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_pvp ||
                    sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_fightai) {
                    ui_usedItem.ShowOrHide(true, "道具已用完！");
                    return;
                }
                let priceDiamond = Version_mgr.getInstance().getDiamondPriceBystr(this.m_itemstr);
                // rootScene.getMe().zanting(true);
                ui_messageBox2.ShowOrHide(true, "道具" + itemconfig.desName + "不足!是否花费" + priceDiamond + "钻石购买",
                    () => {
                        buy_mgr.getInstance().buyPosion_buy(ui_selectWeapon.getMe().buySucceedCallback,this,this.m_itemstr);
                    });
            }
            else {
                if (dataMgr.getMe().removeItemByType(itemtype, 1)) {
                    playItem.setCurItem(this.m_itemstr);
                    this.initItem();
                    ui_usedItem.ShowOrHide(true, "道具使用成功！");


                    // let path = "";
                    // if (playItem.m_curItem == "yaoji1") {
                    //     path = "xingjietantantang/big/ui/image/ddt_ui55_gray.png";
                    // } else if (playItem.m_curItem == "yaoji2") {
                    //     path = "xingjietantantang/big/ui/image/ddt_ui53_gray.png";
                    // } else if (playItem.m_curItem == "yaoji3") {
                    //     path = "xingjietantantang/big/ui/image/ddt_ui54_gray.png";
                    // }
                    // dataMgr.getMe().loadCheckBoximg(sender, path);
                }
            }
        }

        m_itemstr = null;//当前物品
        buySucceedCallback() {
            // let priceDiamond = Version_mgr.getInstance().getDiamondPriceBystr(ui_selectWeapon.getMe().m_itemstr);
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     priceDiamond + "钻石购买" + "3个" + g_daoju_nan[ui_selectWeapon.getMe().m_itemstr].desName);
            let itemtype = itemMgr.getMe().stringToType(ui_selectWeapon.getMe().m_itemstr);
            dataMgr.getMe().addItemByType(itemtype, 3);
            ui_goumaichenggong.ShowOrHide(true, {
                name: "wupin", num: 3, icon: g_daoju_nan[ui_selectWeapon.getMe().m_itemstr].icon,
                iconName: g_daoju_nan[ui_selectWeapon.getMe().m_itemstr].desName
            });
            ui_selectWeapon.getMe().initItem();
        }

        buyBulletSucceedCallback() {
            let playWeapon: playWeapon = roleMgr.getMe().getControlPlayer().m_weaon;
            playWeapon.resetWeaponBulletNumByName(ui_selectWeapon.getMe().m_curWeaponName);
            ui_goumaichenggong.ShowOrHide(true, {
                name: "wupin", num: playWeapon.getWeaponDataByName(ui_selectWeapon.getMe().m_curWeaponName).num,
                icon: g_daoju_nan[ui_selectWeapon.getMe().m_curWeaponName].icon,
                iconName: g_daoju_nan[ui_selectWeapon.getMe().m_curWeaponName].desName
            });
            ui_selectWeapon.getMe().updateSelectWeapon();
            ui_selectWeapon.getMe().initWeapon();
        }

        hiddenTexiao() {
            for (let i = 0; i < 3; ++i) {
                let weaponImage = ccui.helper.seekWidgetByName(this.m_root, "wuqi_" + (i + 1));
                let daojuNode: ccui.CheckBox = ccui.helper.seekWidgetByName(ui_selectWeapon.getMe().m_root, "daoju_" + (1 + i));
                let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(weaponImage, "uitexiao");
                texiao.setVisible(false);
                let texiao1: ccui.ImageView = ccui.helper.seekWidgetByName(daojuNode, "uitexiao");
                texiao1.setVisible(false)
            }
        }

        setCurTexiao(flag: boolean, sender: ccui.CheckBox) {
            let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(sender, "uitexiao");
            texiao.setVisible(flag);
        }


        select_weapon_func(sender, type) {
            if (type != ccui.Widget.TOUCH_ENDED) return;
            cc.log("select_weapon_func", sender.getName());
            if (Version_mgr.getInstance().isPhone()) {
                this.hiddenTexiao();
                this.setCurTexiao(true, sender);
            }
            let playWeapon: playWeapon = roleMgr.getMe().getControlPlayer().m_weaon;
            this.m_curWeaponName = playWeapon.m_weaponsNameArr[Number(sender.getName().split("_")[1] - 1)];
            if (playWeapon.getWeaponBulletNumByName(this.m_curWeaponName) == 0) {
                // ui_usedItem.ShowOrHide(true, "弹药不足，无法装备。");
                // this.resetWeapon();
                // 根据武器名称获得价格
                if (sceneMgr.getMe().getCurSceneName() == "sceneN_1") {
                    ui_usedItem.ShowOrHide(true, "弹药已用完！");
                    return;
                }
                if (sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_pvp ||
                    sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_fightai) {
                    ui_usedItem.ShowOrHide(true, "弹药已用完！");
                    return;
                }

                let priceDiamond = Version_mgr.getInstance().getDiamondPriceBystr("danyao");
                ui_messageBox2.ShowOrHide(true, "弹药不足!是否花费" + priceDiamond + "钻石购买",
                    () => {
                        buy_mgr.getInstance().buyBullet_buy(ui_selectWeapon.getMe().buyBulletSucceedCallback, this);
                    });
                return ;
            }
            this.updateSelectWeapon();
        }

        continue_func(sender, type) {
            if (type == ccui.Widget.TOUCH_ENDED) {
                cc.log("continue_func", sender.getName());
                let playWeapon: playWeapon = roleMgr.getMe().getControlPlayer().m_weaon;
                if (playWeapon.getWeaponBulletNumByName(this.m_curWeaponName) == 0) {
                    // ui_messageBox.ShowOrHide(true,"弹药不足，无法装备。");
                    ui_usedItem.ShowOrHide(true, "弹药不足，无法装备。");
                    this.resetWeapon();
                    return;
                }
                playWeapon.setCurWeapon(this.m_curWeaponName);

                if (ui_zhandoujiemian.getMe())
                    ui_zhandoujiemian.getMe().initPlayerDataUI();
                // bulletMgr.getMe().initDeleteBulletNum(playWeapon.getCurWeaponConfig().shootNum);
                ui_selectWeapon.end();
            }
        }

        static end() {
            ui_selectWeapon.ShowOrHide(false);
        }

        loop(t) {
            ui_selectWeapon.getMe().initItem();
            if (this.m_CBaseKeyState.loop(t)) {
            }
        }

    }
}