var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_win = (function (_super) {
        __extends(ui_win, _super);
        function ui_win() {
            _super.call(this);
            this.m_scenedata = null;
            this.m_curGuanka = 0;
            this.m_des = "ui_win";
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_win.getMe = function () {
            return ui_win.g_instarn;
        };
        ;
        ui_win.prototype.oninit = function (scenedata) {
            game.sceneMgr.getMe().getCurScene().m_gameOver = true;
            var root = this._parseUIFile("shengli.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.m_scenedata = scenedata;
            this.initUI();
            this.m_CBaseKeyState.init(this);
        };
        ui_win.prototype.initUI = function () {
            var back = ccui.helper.seekWidgetByName(this.m_root, "fanhui");
            var tryagain = ccui.helper.seekWidgetByName(this.m_root, "chonglai");
            var next = ccui.helper.seekWidgetByName(this.m_root, "xiayiguan");
            back.addTouchEventListener(this.back, this);
            tryagain.addTouchEventListener(this.again, this);
            next.addTouchEventListener(this.next_func, this);
            this.m_CBaseKeyState.regNodeEx(back, 1);
            this.m_CBaseKeyState.regNodeEx(tryagain, 2);
            this.m_CBaseKeyState.regNodeEx(next, 3);
            this.m_CBaseKeyState.setCurKey(next);
            this.m_curGuanka = Number(game.sceneMgr.getMe().getCurSceneName().replace(/sceneA_/g, ""));
            var expUI = ccui.helper.seekWidgetByTag(this.m_root, 1568);
            var goldUI = ccui.helper.seekWidgetByTag(this.m_root, 1571);
            var diamond = ccui.helper.seekWidgetByTag(this.m_root, 1573);
            var otheraward = ccui.helper.seekWidgetByName(this.m_root, "ewaijiangli");
            var zuansi = this.m_scenedata.zuanshi_fwin;
            var gold = this.m_scenedata.gold_win;
            var exp = this.m_scenedata.exp_win;
            //额外奖励
            if (this.m_scenedata.win_jiangli && Math.random() * 100 <= this.m_scenedata.get_per * 100) {
                var dataconfig = cc.clone(game.g_daoju_nan[this.m_scenedata.win_jiangli]);
                var pic = ccui.helper.seekWidgetByName(otheraward, "pic");
                var mingcheng = ccui.helper.seekWidgetByName(otheraward, "shuoming");
                var shuliang = ccui.helper.seekWidgetByName(otheraward, "shuliang");
                pic.loadTexture(dataconfig.icon);
                mingcheng.setString(dataconfig.desName);
                shuliang.setString("x1");
                if (this.m_scenedata.win_jiangli.indexOf("pifu") > -1) {
                    if (!game.itemMgr.getMe().getSkinislock(game.itemMgr.getMe().stringToType(this.m_scenedata.win_jiangli))) {
                        game.itemMgr.getMe().lockSkin(game.itemMgr.getMe().stringToType(this.m_scenedata.win_jiangli));
                    }
                    else {
                        var price = Math.floor(game.Version_mgr.getInstance().getGoldPriceBystr(this.m_scenedata.win_jiangli) / 4);
                        game.dataMgr.getMe().addItemByType(game.e_item.e_jinbi, price);
                    }
                }
                else if (this.m_scenedata.win_jiangli.indexOf("wuqi") > -1) {
                    if (!game.itemMgr.getMe().getWeaponislock(this.m_scenedata.win_jiangli)) {
                        game.itemMgr.getMe().setWeaponLock(this.m_scenedata.win_jiangli);
                        game.dataMgr.getMe().addTittleNum(game.e_chenghao.e_1, 1);
                    }
                    else if (game.itemMgr.getMe().getWeaponislock(this.m_scenedata.win_jiangli) && !game.itemMgr.getMe().getWeaponislock(this.m_scenedata.win_jiangli + "_1")) {
                        game.itemMgr.getMe().setWeaponLock(this.m_scenedata.win_jiangli);
                        game.dataMgr.getMe().addTittleNum(game.e_chenghao.e_1, 1);
                    }
                    else {
                        var price = Math.floor(game.Version_mgr.getInstance().getGoldPriceBystr(this.m_scenedata.win_jiangli) / 4);
                        game.dataMgr.getMe().addItemByType(game.e_item.e_jinbi, price);
                    }
                }
                else if (this.m_scenedata.win_jiangli.indexOf("yaoji") > -1) {
                    game.dataMgr.getMe().addItemByType(game.itemMgr.getMe().stringToType(this.m_scenedata.win_jiangli), 1);
                }
            }
            else {
                otheraward.setVisible(false);
            }
            if (game.isNumber(this.m_curGuanka)) {
                //最后一个关卡和首次通关的关卡在这里要特殊处理一下
                if (this.m_curGuanka >= game.g_maxguanka) {
                    next.setVisible(false);
                    next.setTouchEnabled(false);
                }
                //首次通关的关卡
                if (this.m_curGuanka >= game.fileMgr.getMe().m_play_doc.coreData.curguankaId) {
                    if (this.m_curGuanka == 2 && !otheraward.isVisible()) {
                        otheraward.setVisible(true);
                        var dataconfig = cc.clone(game.g_daoju_nan[this.m_scenedata.win_jiangli]);
                        var pic = ccui.helper.seekWidgetByName(otheraward, "pic");
                        var mingcheng = ccui.helper.seekWidgetByName(otheraward, "shuoming");
                        var shuliang = ccui.helper.seekWidgetByName(otheraward, "shuliang");
                        pic.loadTexture(dataconfig.icon);
                        mingcheng.setString(dataconfig.desName);
                        shuliang.setString("1");
                        game.dataMgr.getMe().addItemByType(game.itemMgr.getMe().stringToType(this.m_scenedata.win_jiangli), 1);
                    }
                    if (this.m_curGuanka != game.g_maxguanka + 1) {
                        game.dataMgr.getMe().setCurGuankaid(Math.min(this.m_curGuanka + 1, game.g_maxguanka + 1));
                        game.dataMgr.getMe().addDiamond(zuansi);
                        diamond.setString(zuansi);
                    }
                }
                else {
                    var diamond_img = ccui.helper.seekWidgetByName(this.m_root, "zuanshi");
                    diamond_img.setVisible(false);
                }
            }
            else {
                game.uiMgr.getMe().show_ui_MessageBox(true, "关卡配置格式错误" + this.m_curGuanka);
            }
            cc.log("exp before:" + exp);
            cc.log("gold before:" + gold);
            // 金币 经验加成
            game.roleMgr.getMe().m_player_map.forEach(function (v, k) {
                exp *= (1 + v.getExpPer());
                gold *= (1 + v.getGoldPer());
            }, game.roleMgr.getMe());
            cc.log("exp after:" + exp);
            cc.log("gold after:" + gold);
            //经验值奖励
            expUI.setString(Math.floor(exp));
            game.dataMgr.getMe().addExp(exp);
            //金币奖励
            game.dataMgr.getMe().addItemByType(game.e_item.e_jinbi, Math.floor(gold));
            goldUI.setString(Math.floor(gold));
        };
        ui_win.prototype.next_func = function (sender, type) {
            if (type == ccui.Widget.TOUCH_ENDED) {
                this.endLayout(function () {
                    game.g_select_guanka = (this.m_curGuanka + 1);
                    ui_win.ShowOrHide(false, null);
                    // sceneMgr.getMe().selectSceneEx(sceneMgr.getMe().getCurSceneType(),scenename)
                    game.ui_choosehero.ShowOrHide(true, game.e_SceneType.SceneType_fight);
                });
            }
        };
        ui_win.prototype.back = function (sender, type) {
            if (type == ccui.Widget.TOUCH_ENDED) {
                this.endLayout(function () {
                    ui_win.ShowOrHide(false, null);
                    game.sceneMgr.getMe().selectScene(game.e_SceneType.SceneType_main);
                    // if(ui_mainScene.getMe()){
                    //     ui_mainScene.ShowOrHide(false);
                    // }
                    // ui_daditu.ShowOrHide(true)
                });
            }
        };
        ui_win.prototype.again = function (sender, type) {
            if (type == ccui.Widget.TOUCH_ENDED) {
                this.endLayout(function () {
                    ui_win.ShowOrHide(false, null);
                    game.ui_choosehero.ShowOrHide(true, game.e_SceneType.SceneType_fight);
                    // sceneMgr.getMe().restart()
                });
            }
        };
        ui_win.prototype.onBack = function () {
            // ui_lose.ShowOrHide( false ,null)
        };
        ui_win.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
            }
            if (game.ui_selectWeapon.getMe()) {
                game.ui_selectWeapon.ShowOrHide(false);
            }
        };
        ui_win.g_instarn = null;
        ui_win.ShowOrHide = function (flag, scenedata) {
            game.UiBase.ShowOrHide(flag, ui_win, game.uiMgr.getMe(), 999, scenedata);
        };
        return ui_win;
    }(game.UiBase));
    game.ui_win = ui_win;
})(game || (game = {}));
//# sourceMappingURL=ui_win.js.map