module game {
    import Vec2 = cc.Vec2;
    import instantiate = cc.instantiate;

    export class ui_zhandoujiemian extends game.UiBase {
        static g_instarn: ui_zhandoujiemian = null;
        static getMe = function (): ui_zhandoujiemian {
            if (Version_mgr.g_instance.isPhone()) {
                return game.ui_zhandoujiemian2.g_instarn;
            } else {
                return game.ui_zhandoujiemian.g_instarn;
            }
        };
        static ShowOrHide = function (flag) {
            if (Version_mgr.g_instance.isPhone()) {
                game.UiBase.ShowOrHide(flag, game.ui_zhandoujiemian2, null, 100);
            } else {
                game.UiBase.ShowOrHide(flag, game.ui_zhandoujiemian, null, 100);
            }
        };

        constructor() {
            super();
            this.m_des = "ui_zhandoujm类";
            this.m_weapons = new Map<string,ccui.ImageView>();
            this.m_yaojis = new Map<string,ccui.ImageView>();
        }


        oninit() {
            let root = this._parseUIFile("zhandoujiemian.json", 0);
            if (Version_mgr.getInstance().isPhone()) {
                root = this._parseUIFile("zhandoujiemian2.json", 0);
            }
            this.EnterUI();
            this.addChild(root);
            this.shipeiCenter(root);
            this.setOpacity(0);
            let playName = "texiao16";
            let ret = spineMgr.getMe().createSpineOncePlay("baizhatexiao", playName, this.getNode(), cc.p(10000, 5000));
            ret.setScale(2);
            this.initUI();
            this.registerItem();
        }

        shutdown() {
            super.shutdown();
            if (ui_selectWeapon.getMe()) {
                ui_selectWeapon.ShowOrHide(false);
            }
        }

        m_TimeUI;
        m_PingText;
        m_zuoImg;
        m_youImg;
        m_RoundText;
        m_curhero_touxiang: ccui.ImageView;
        m_curFollow_touxiang: ccui.ImageView;
        renwu1_pvp: ccui.ImageView;
        renwu2_pvp: ccui.ImageView;

        onKeyPressed(keyCode) {
            if (roleMgr.getMe().getControlPlayer())
                game.playControl.getMe().onKeyPressed(keyCode);
            super.onKeyPressed(keyCode);
        }

        onKeyReleased(keyCode) {
            if (roleMgr.getMe().getControlPlayer())
                game.playControl.getMe().onKeyReleased(keyCode);
            super.onKeyReleased(keyCode);
        }

        DoEnterCurButton() {
            // if(!CameraMgr_3d.getMe().m_isLockPlayer){
            //     BuyMgr.getMe().buyResurrection_buy(roleMgr.getMe().getPlayer());
            //     return;
            // }
        }


        initUI() {
            this.m_TimeUI = ccui.helper.seekWidgetByName(this.m_root, "daojishi");
            this.m_PingText = ccui.helper.seekWidgetByName(this.m_root, "Text_3");
            this.m_zuoImg = ccui.helper.seekWidgetByName(this.m_root, "jiantou_zuo");
            this.m_youImg = ccui.helper.seekWidgetByName(this.m_root, "jiantou_you");
            this.m_RoundText = ccui.helper.seekWidgetByName(this.m_root, "shuoming");
            this.m_curhero_touxiang = ccui.helper.seekWidgetByName(this.m_root, "renwu_2");
            this.m_curFollow_touxiang = ccui.helper.seekWidgetByName(this.m_root, "renwu_1");
            this.renwu1_pvp = ccui.helper.seekWidgetByName(this.m_root, "renwu_pvp_1");
            this.renwu2_pvp = ccui.helper.seekWidgetByName(this.m_root, "renwu_pvp_2");
            let boss: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "boss");
            boss.setVisible(false);
            let uitexiao: ccui.ImageView = ccui.helper.seekWidgetByName(this.renwu1_pvp, "uitexiao");
            let uitexiao1: ccui.ImageView = ccui.helper.seekWidgetByName(this.renwu2_pvp, "uitexiao");
            uitexiao.setVisible(false);
            uitexiao1.setVisible(false);

            if (sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_pvp) {
                this.m_TimeUI.setVisible(true);
                this.renwu1_pvp.setVisible(true);
                this.renwu2_pvp.setVisible(true);
            } else {
                this.m_TimeUI.setVisible(false);
                this.renwu1_pvp.setVisible(false);
                this.renwu2_pvp.setVisible(false);
            }


            // this.initNetworkUI()
            // this.initButton()
            // this.initHead()
            // this.initFight()
            // this.updateWeaponItem()
            // this.initXuli()
            this.initXuli();
            this.initTouxiang();
            this.setuitexiao(dataMgr.getMe().getCurHero(), roleMgr.getMe().getControlPlayer());
        }

        initTouxiang() {
            if (dataMgr.getMe().getCurHero()) {
                let skinName = dataMgr.getMe().getHeroSkin(dataMgr.getMe().getCurHero());
                let path = dataMgr.getMe().getSkinConfig(skinName, dataMgr.getMe().getCurHero()).icon;
                this.m_curhero_touxiang.loadTexture(path);
                this.m_curhero_touxiang.setVisible(true);
            }
            if (dataMgr.getMe().getCurfollow()) {
                let skinName = dataMgr.getMe().getHeroSkin(dataMgr.getMe().getCurfollow());
                let path = dataMgr.getMe().getSkinConfig(skinName, dataMgr.getMe().getCurfollow()).icon;
                this.m_curFollow_touxiang.loadTexture(path);
                this.m_curFollow_touxiang.setVisible(true);
            }
            if (dataMgr.getMe().getCurfollow() == "" || dataMgr.getMe().getCurfollow() == null) {
                this.m_curFollow_touxiang.setVisible(false);
            }
            if (dataMgr.getMe().getCurHero() == "" || dataMgr.getMe().getCurHero() == null) {
                this.m_curhero_touxiang.setVisible(false);
            }
        }

        m_roundName:string = null;
        setuitexiao(heroName, Player) {
            this.m_roundName = heroName;
            if (heroName == dataMgr.getMe().getCurHero() && Player instanceof player) {
                this.setEnermytexiao(false, false);
                this.setMytexiao(true, false);
            } else if (heroName == dataMgr.getMe().getCurfollow() && Player instanceof player) {
                this.setEnermytexiao(false, false);
                this.setMytexiao(false, true);
            } else if (Player instanceof player_ai) {
                if (heroName == proto_pvpLogin.getMe().m_data.roleName1) {
                    this.setMytexiao(false, false);
                    this.setEnermytexiao(true, false);
                } else {
                    this.setMytexiao(false, false);
                    this.setEnermytexiao(false, true);
                }
            } else if (Player instanceof player_pvp) {
                if (heroName == proto_fightPVP.getMe().m_data.curHero.name) {
                    this.setMytexiao(false, false);
                    this.setEnermytexiao(true, false);
                } else {
                    this.setMytexiao(false, false);
                    this.setEnermytexiao(false, true);
                }
            }
            else {
                this.setMytexiao(false, false);
                this.setEnermyRound(true);
            }
        }

        setMytexiao(heroflag, followflag) {
            let uitexiao: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_curhero_touxiang, "uitexiao");
            let uitexiao1: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_curFollow_touxiang, "uitexiao");
            uitexiao.setVisible(heroflag);
            uitexiao1.setVisible(followflag);
            this.setEnermyRound(false);
        }


        setEnermytexiao(heroflag, followflag) {
            let uitexiao: ccui.ImageView = ccui.helper.seekWidgetByName(this.renwu1_pvp, "uitexiao");
            let uitexiao1: ccui.ImageView = ccui.helper.seekWidgetByName(this.renwu2_pvp, "uitexiao");
            uitexiao.setVisible(heroflag);
            uitexiao1.setVisible(followflag);
            this.setEnermyRound(true);
        }


        boss_xuetiao: ccui.Loadingbar;
        boss_hpPer = 0;

        updateBoss(Maonstername, curhp, maxhp) {
            let boss: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "boss");
            let pic: ccui.ImageView = ccui.helper.seekWidgetByName(boss, "tx");
            let name: ccui.Text = ccui.helper.seekWidgetByName(boss, "name");
            this.boss_xuetiao = ccui.helper.seekWidgetByName(boss, "xuetiao");
            let boss_xuetiao_Text = ccui.helper.seekWidgetByName(boss, "shuzhi");
            let config = g_monster_config[Maonstername];
            if (Maonstername.indexOf("boss") > -1) {
                boss.loadTexture("xingjietantantang/big/ui/image/ddt_ui131.png")
            } else {
                boss.loadTexture("xingjietantantang/big/ui/image/ddt_ui131b.png")
            }
            boss.setVisible(true);
            pic.loadTexture(config.headicon);
            name.setString(config.desName);
            if (curhp < 0) {
                curhp = 0;
            }
            let per = Math.round(curhp / maxhp * 100);
            if (per <= 0) {
                per = 0;
                boss.setVisible(false);
            }
            this.boss_hpPer = per;
            if (this.monsterindex < per) {
                this.monsterindex = 100;
            }
            boss_xuetiao_Text.setString(Math.floor(curhp) + "/" + Math.floor(maxhp));
        }


        m_weapons: Map<string,ccui.ImageView> = null;//携带的武器
        m_yaojis: Map<string,ccui.ImageView> = null;//携带的药水
        registerItem() {
            for (let i = 1; i <= 3; i++) {
                let weaponNode: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "wuqi_" + i);
                let yaojiNode: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "yaoshui_" + i);
                this.m_yaojis.set("yaoshui_" + i, yaojiNode);
                this.m_weapons.set("wuqi_" + i, weaponNode);
            }
        }

        setEnermyRound(flag: boolean) {
            let shuoming_1: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "shuoming_1");
            shuoming_1.setVisible(flag);
            if (flag) {
                this.m_RoundText.setString("敌方回合");
            } else {
                this.m_RoundText.setString("我方回合");
            }
        }

        //设置武器的信息和数量
        setWeaponUI() {
            let weapons = roleMgr.getMe().getControlPlayer().m_weaon;
            let index = 0;
            for (let i = 0; i < weapons.m_weaponsPlayData.size; i++) {
                let weaponData: WeaponData = weapons.m_weaponsPlayData.getByIndex(i);
                let level: ccui.Text = ccui.helper.seekWidgetByName(this.m_weapons.getByIndex(i), "qianghua");
                let num: ccui.Text = ccui.helper.seekWidgetByName(this.m_weapons.getByIndex(i), "shuliang");
                if (this.m_weapons.getByIndex(i)) {
                    if (weaponData.name == "wuqi1" || weaponData.name == "wuqi1_1") {
                        this.m_weapons.getByIndex(index).loadTexture("xingjietantantang/big/ui/image/ddt_ui103.png");
                        let level: ccui.Text = ccui.helper.seekWidgetByName(this.m_weapons.getByIndex(index), "qianghua");
                        let num: ccui.Text = ccui.helper.seekWidgetByName(this.m_weapons.getByIndex(index), "shuliang");
                        level.setString("");
                        num.setString("");
                    } else {
                        this.m_weapons.getByIndex(i).loadTexture(itemMgr.getMe().getWeaponConfig(weaponData.name).icon);
                        if (level) {
                            level.setString(weaponData.level > 0 ? ("+" + weaponData.level ) : "");
                        }
                        if (num) {
                            if (weaponData.num <= 0) {
                                let config: weaponconfig_s = dataMgr.getMe().getWeaponconfig(weaponData.name);
                                if (this.m_weapons.getByIndex(i))
                                    this.m_weapons.getByIndex(i).loadTexture(config.icon2);
                            }
                            num.setString("x" + weaponData.num);
                        }
                    }
                }
                index++;
            }
            while (index < 3) {
                if (this.m_weapons.getByIndex(index))
                    this.m_weapons.getByIndex(index).loadTexture("xingjietantantang/big/ui/image/ddt_ui103.png");
                let level: ccui.Text = ccui.helper.seekWidgetByName(this.m_weapons.getByIndex(index), "qianghua");
                let num: ccui.Text = ccui.helper.seekWidgetByName(this.m_weapons.getByIndex(index), "shuliang");
                level.setString("");
                num.setString("");
                index++;
            }
        }


        //设置药水的数量
        setYaojiUI() {
            for (let i = 1; i <= 3; i++) {
                let yaoji_Num = dataMgr.getMe().getItemByName(e_item["e_yaoji" + i]);
                let num: ccui.Text = ccui.helper.seekWidgetByName(this.m_yaojis.getByIndex(i - 1), "shuliang");
                if (num) {
                    num.setString("x" + yaoji_Num);
                }
            }
        }

        xuetiao: ccui.Loadingbar;//血条进度条
        xuetiao_per = 0;

        setHP(curHP: number, maxHp: number) {
            let shengming: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "shengming");
            this.xuetiao = ccui.helper.seekWidgetByName(shengming, "xuetiao");
            let shuzhi: ccui.Text = ccui.helper.seekWidgetByName(shengming, "shuzhi");
            // let maxHP = dataMgr.getMe().getAllHp(roleMgr.getMe().getControlPlayer().m_name);
            let per = Math.round(curHP / maxHp * 100);
            this.xuetiao_per = per;

            // if (this.roleindex < per) {
            //     this.roleindex = 100;
            // }
            if (shuzhi) {
                shuzhi.setString(Math.floor(curHP) + "/" + Math.floor(maxHp))
            }
        }

        setPower(curPower: number, maxPower: number) {
            let naili: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "naili");
            let nailitiao: ccui.Loadingbar = ccui.helper.seekWidgetByName(naili, "nailitiao");
            let shuzhi: ccui.Text = ccui.helper.seekWidgetByName(naili, "shuzhi");
            // let maxPower = dataMgr.getMe().getAllPower(roleMgr.getMe().getControlPlayer().m_name);
            let per = Math.round(curPower / maxPower * 100);
            if (nailitiao) {
                nailitiao.setPercent(per)
            }
            if (shuzhi) {
                shuzhi.setString(Math.floor(curPower) + "/" + Math.floor(maxPower));
            }
        }

        xulitiao;
        tishitiao;

        initXuli() {
            this.xulitiao = ccui.helper.seekWidgetByName(this.m_root, "xulitiao");
            this.tishitiao = ccui.helper.seekWidgetByName(this.m_root, "tishitiao");
            this.xulitiao.setPercent(0);
            this.tishitiao.setPercent(0);
        }

        setXuliTiao(per: number) {
            this.xulitiao.setPercent(per);
        }

        setTishiTiao(per: number) {
            this.tishitiao.setPercent(per);
        }

        initPVPDataUI() {
            if (proto_pvpLogin.getMe().m_data.roleName1) {
                this.setPvpHeroIcon(proto_pvpLogin.getMe().m_data.roleName1, proto_pvpLogin.getMe().m_data.roleSkin1);
            } else {
                cc.log("没有对方玩家")
            }
            if (proto_pvpLogin.getMe().m_data.roleName2) {
                this.setPvpFollowIcon(proto_pvpLogin.getMe().m_data.roleName2, proto_pvpLogin.getMe().m_data.roleSkin2)
            } else {
                this.renwu2_pvp.setVisible(false);
            }
        }

        initAiDataUI() {
            if (proto_pvpLogin.getMe().m_data.roleName1) {
                this.setPvpHeroIcon(proto_pvpLogin.getMe().m_data.roleName1, proto_pvpLogin.getMe().m_data.roleSkin1);
            } else {
                cc.log("没有对方玩家")
            }
            if (proto_pvpLogin.getMe().m_data.roleName2 && dataMgr.getMe().getCurfollow()) {
                this.setPvpFollowIcon(proto_pvpLogin.getMe().m_data.roleName2, proto_pvpLogin.getMe().m_data.roleSkin2)
            } else {
                this.renwu2_pvp.setVisible(false);
            }
        }

        setPvpHeroIcon(heroName, skinname) {
            this.renwu1_pvp.setVisible(true);
            let heronamepvp = heroName;
            let skinName = skinname;
            let path = dataMgr.getMe().getSkinConfig(skinName, heronamepvp).icon;
            this.renwu1_pvp.loadTexture(path)
        }

        setPvpFollowIcon(followName, skinname) {
            this.renwu2_pvp.setVisible(true);
            let follownamepvp = followName;
            let skinName = skinname;
            let path = dataMgr.getMe().getSkinConfig(skinName, follownamepvp).icon;
            this.renwu2_pvp.loadTexture(path)
        }


        initPlayerDataUI() {
            this.setWeaponUI();
            this.setYaojiUI();
            // let curHp  = roleMgr.getMe().getControlPlayer().getHp();
            // let power = roleMgr.getMe().getControlPlayer().getPower();
            // this.setHP(curHp > 0 ? curHp:0);
            // this.setPower(power > 0 ? power:0);
        }

        //回合倒计时
        roundCountdown(time: number) {
            if (isNaN(time)) {
                console.log("time is NaN");
            }
            if (time <= 0) {
                time = 0;
            }
            this.m_TimeUI.setVisible(true);
            this.m_TimeUI.setString(Math.floor(time));
        }


        onBack() {
            if(!(playControl.getMe().m_object_role && (playControl.getMe().m_object_role instanceof player))){
                ui_usedItem.ShowOrHide(true,"敌方回合无法退出！");
                return ;
            }else if(!playControl.getMe().m_object_role.canExit){
                // ui_usedItem.ShowOrHide(true,"敌方回合无法退出！");
                return ;
            }

            // if(!playControl.getMe().m_object_role || !(playControl.getMe().m_object_role instanceof player)){
            //     ui_usedItem.ShowOrHide(true,"敌方回合无法退出！");
            //     return ;
            // }

            if (sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_pvp ||
                sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_fightai) {
                cc.log("当前在pvp中！");
                ui_pvpzanting.ShowOrHide(true);
                return;
            }
            if (sceneMgr.getMe().getCurSceneName() == "sceneN_1") {
                if (dataMgr.getMe().isUnlockYindao("f1")) {
                    ui_messageBox2.ShowOrHide(true, "是否退出新手引导？", () => {
                        for (let i = 1; i <= 5; i++) {
                            dataMgr.getMe().yindaoUnlock("f" + i);
                        }
                        ui_yindao_guanka1.ShowOrHide(false);
                        sceneMgr.getMe().selectScene(e_SceneType.SceneType_main);
                        shengliOrshibai.ShowOrHide(false);
                    }, null);
                }
                return;
            }
            ui_zanting.ShowOrHide(true);
        }

        roleindex = 100;
        monsterindex = 100;

        loop(t) {
            if (this.xuetiao) {
                if (this.roleindex > this.xuetiao_per) {
                    this.xuetiao.setPercent(this.roleindex);
                    this.roleindex--;
                }else if(this.roleindex < this.xuetiao_per){
                    this.xuetiao.setPercent(this.roleindex);
                    this.roleindex++;
                }
                if (this.boss_xuetiao) {
                    if (this.monsterindex > this.boss_hpPer) {
                        this.boss_xuetiao.setPercent(this.monsterindex);
                        this.monsterindex--;
                    }
                }
            }
        }


        // loop(t){
        //     if (roleMgr.getMe().getControlPlayer() == null) {
        //         return;
        //     }
        //     this.setWeaponUI();
        //     this.setYaojiUI();
        //     let curHp  = roleMgr.getMe().getControlPlayer().getHp();
        //     let power = roleMgr.getMe().getControlPlayer().getPower();
        //     this.setHP(curHp > 0 ? curHp:0);
        //     this.setPower(power > 0 ? power:0);
        // }


        // initNetworkUI()
        // {
        //     let PingText = ccui.helper.seekWidgetByName(this.m_root,"yanchi")
        //     let network_a = ccui.helper.seekWidgetByTag(this.m_root,632)
        //     let network_b = ccui.helper.seekWidgetByTag(this.m_root,633)
        //     let network_c = ccui.helper.seekWidgetByTag(this.m_root,634)
        //     PingText.setVisible(false)
        //     network_a.setVisible(false)
        //     network_b.setVisible(false)
        //     network_c.setVisible(false)
        // }
        // m_left_buffon:ccui.CheckBox = null
        // m_right_button:ccui.CheckBox = null
        // m_up_button:ccui.CheckBox = null
        // m_down_button:ccui.CheckBox = null
        // initButton()
        // {
        //     this.m_left_buffon = ccui.helper.seekWidgetByName(this.m_root,"left")
        //     this.m_right_button = ccui.helper.seekWidgetByName(this.m_root,"right")
        //     this.m_up_button = ccui.helper.seekWidgetByName(this.m_root,"up")
        //     this.m_down_button = ccui.helper.seekWidgetByName(this.m_root,"down")
        //
        //     // this.m_left_buffon.addTouchEventListener(this.left_func,this)
        //     // this.m_right_button.addTouchEventListener(this.right_func,this)
        //     // this.m_up_button.addTouchEventListener(this.up_func,this)
        //     // this.m_down_button.addTouchEventListener(this.down_func,this)
        //
        // }
        // updatenaili(cur, all)
        // {
        //     if(cur<=0)
        //         cur = 0
        //     let numui:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"shuzhi")
        //     let numper:ccui.Loadingbar = ccui.helper.seekWidgetByName(this.m_root,"nailitiao")
        //     numui.setString(Math.ceil(cur) + "/" + Math.ceil(all))
        //     numper.setPercent(cur/all*100)
        // }
        // m_isLeft = false
        // left_func(sender:ccui.CheckBox,type )
        // {
        //     switch (type)
        //     {
        //         case ccui.Widget.TOUCH_BEGAN:
        //             playControl.getMe().left()
        //             sender.setSelected(true)
        //             if(sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_guide){
        //                 if(!dataMgr.getMe().isUnlockYindao("f3")){
        //                     ui_yindao_guanka3.ShowOrHide(true);
        //                 }
        //             }
        //             break
        //         case ccui.Widget.TOUCH_ENDED:
        //         case ccui.Widget.TOUCH_CANCELED:
        //             playControl.getMe().left_Released()
        //             sender.setSelected(false)
        //
        //             break
        //
        //     }
        // }
        // right_func(sender:ccui.CheckBox,type )
        // {
        //     switch (type)
        //     {
        //         case ccui.Widget.TOUCH_BEGAN:
        //             playControl.getMe().right()
        //             sender.setSelected(true)
        //             if(sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_guide){
        //                 if(!dataMgr.getMe().isUnlockYindao("f3")){
        //                     ui_yindao_guanka3.ShowOrHide(true);
        //                 }
        //             }
        //             break
        //         case ccui.Widget.TOUCH_ENDED:
        //         case ccui.Widget.TOUCH_CANCELED:
        //             playControl.getMe().right_Released()
        //             sender.setSelected(false)
        //             break
        //     }
        // }
        // up_func(sender:ccui.CheckBox,type )
        // {
        //     switch (type)
        //     {
        //         case ccui.Widget.TOUCH_BEGAN:
        //             playControl.getMe().up()
        //             sender.setSelected(true)
        //             break
        //         case ccui.Widget.TOUCH_ENDED:
        //         case ccui.Widget.TOUCH_CANCELED:
        //             playControl.getMe().up_Released()
        //             sender.setSelected(false);
        //             break
        //     }
        // }
        // down_func(sender:ccui.CheckBox,type )
        // {
        //     switch (type)
        //     {
        //         case ccui.Widget.TOUCH_BEGAN:
        //             playControl.getMe().down()
        //             sender.setSelected(true)
        //             break
        //         case ccui.Widget.TOUCH_ENDED:
        //         case ccui.Widget.TOUCH_CANCELED:
        //             playControl.getMe().down_Released()
        //             sender.setSelected(false);
        //             break
        //     }
        // }
        // m_xuli_press:boolean = false
        // m_pressText:ccui.Text = null
        // xuli_func(sender,type)
        // {
        //     let role:player =   (<player>roleMgr.getMe().getControlPlayer())
        //     if(roundMgr.getInstance().m_Round != e_FightRound.e_mine || role.m_fireState == e_fire_state.FireEnd)
        //     {
        //         ui_notMyround.ShowOrHide(true)
        //         return
        //     }
        //     switch (type)
        //     {
        //         case ccui.Widget.TOUCH_BEGAN:
        //             g_Vo = roleMgr.getMe().getMinSpeed()
        //             role.m_fireState = e_fire_state.Fireready
        //             this.m_xuli_press = true
        //             playControl.getMe().updateAngle(0)
        //             break
        //         case ccui.Widget.TOUCH_ENDED:
        //             this.m_xuli_press = false
        //             this.updateXuli2()
        //             playControl.getMe().fire();
        //             break
        //     }
        // }
        // onTouchBegan(touch, event)
        // {
        //     return super.onTouchBegan(touch, event)
        // }
        // onTouchMoved(touch, event)
        // {
        //     // console.log("TouchMove")
        //     return super.onTouchMoved(touch, event)
        // }
        // onTouchEnded(touch, event)
        // {
        //     if(Version_mgr.getInstance().m_option.isPhone)
        //     {
        //         this.left_func(this.m_left_buffon,ccui.Widget.TOUCH_ENDED)
        //         this.right_func(this.m_right_button,ccui.Widget.TOUCH_ENDED)
        //     }
        //     // console.log("onTouchEnd.....")
        //     return super.onTouchEnded(touch, event)
        // }
        // onTouchCancelled(touch , event)
        // {
        //     if(Version_mgr.getInstance().m_option.isPhone)
        //     {
        //         this.left_func(this.m_left_buffon,ccui.Widget.TOUCH_ENDED)
        //         this.right_func(this.m_right_button,ccui.Widget.TOUCH_ENDED)
        //     }
        //     // console.log("onTouchcancelled....")
        //     return super.onTouchCancelled(touch, event)
        // }
        // updateWeaponItem()
        // {
        //     let role = roleMgr.getMe().getControlPlayer()
        //     if(role == null)
        //         return
        //     let canset:boolean = true
        //     if(roundMgr.getInstance().m_Isinit == false)
        //         canset = false
        //
        //     let weapons = null
        //     if( role.getName().indexOf("nan") > -1)
        //     {
        //         weapons = roundMgr.getInstance().m_nan_weapons
        //     }
        //     else
        //     {
        //         weapons = roundMgr.getInstance().m_nv_weapons
        //     }
        //     if(weapons == null)
        //     {
        //         weapons =  [
        //             {
        //                 level:1,
        //                 name:"wuqi5",
        //                 num:99
        //             }
        //         ]
        //     }
        //     for(let p = 1; p <= 3; p++)
        //     {
        //         let weaponNode:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"wuqi_"+p)
        //         if(canset == false || weapons[p-1] == null  )
        //         {
        //             weaponNode.setVisible(false)
        //         }
        //         else
        //         {
        //             if( p == 3 && dataMgr.getMe().getViplevel() < g_vip_unlock )
        //             {
        //                 weaponNode.setVisible(false)
        //             }
        //             else
        //             {
        //                 weaponNode.setVisible(true)
        //                 let qianghua:ccui.Text = ccui.helper.seekWidgetByName(weaponNode,"qianghua")
        //                 let num:ccui.Text = ccui.helper.seekWidgetByName(weaponNode,"shuliang")
        //                 qianghua.setString("+"+weapons[p-1].level)
        //                 num.setString("X" +weapons[p-1].num)
        //                 let weaponconfig = dataMgr.getMe().getWeaponconfig(weapons[p-1].name)
        //                 weaponNode.loadTexture(weaponconfig.icon)
        //             }
        //         }
        //         let itemnode:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"yaoshui_" + p)
        //         let itemtype = itemMgr.getMe().stringToType("yaoji" + p)
        //         let itemnum = dataMgr.getMe().getItemByName(itemtype)
        //         let numui:ccui.Text = ccui.helper.seekWidgetByName(itemnode,"shuliang")
        //         numui.setString("X"+itemnum.toString())
        //     }
        // }
        // //将战斗模式中一些用不到的节点隐藏掉
        // initHead()
        // {
        //
        //     let pvp_1:cc.Node = ccui.helper.seekWidgetByName(this.m_root,"renwu_pvp_1")
        //     let pvp_2:cc.Node = ccui.helper.seekWidgetByName(this.m_root,"renwu_pvp_2")
        //     pvp_1.setVisible(false)
        //     pvp_2.setVisible(false)
        //
        //     let bossHead:cc.Node = ccui.helper.seekWidgetByName(this.m_root,"boss")
        //     bossHead.setVisible(false)
        //
        //
        //     let heroHead:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"renwu_1")
        //     let followerHead:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"renwu_2")
        //     let herouitexiao:ccui.ImageView = ccui.helper.seekWidgetByName(heroHead,"uitexiao")
        //     let followertexiao:ccui.ImageView = ccui.helper.seekWidgetByName(followerHead,"uitexiao")
        //     herouitexiao.setVisible(false)
        //     followertexiao.setVisible(false)
        //     let heroconfig:skin_s = dataMgr.getMe().getHeroSkinConfigByname(dataMgr.getMe().getCurHero())
        //     heroHead.loadTexture(heroconfig.icon)
        //
        //     let follower = dataMgr.getMe().getCurfollow()
        //     if(follower != "")
        //     {
        //         console.log("follower not is null/:" + follower)
        //         let followerConfig:skin_s = dataMgr.getMe().getHeroSkinConfigByname(follower)
        //         followerHead.loadTexture(followerConfig.icon)
        //     }
        //     else
        //     {
        //         followerHead.setVisible(false)
        //     }
        //
        // }
        // updateHP( curHp, MaxHp )
        // {
        //     curHp = Math.ceil(curHp)
        //     MaxHp = Math.ceil(MaxHp)
        //     let MyhpNode:cc.Node = ccui.helper.seekWidgetByName(this.m_root,"shengming")
        //     let Text:ccui.Text = ccui.helper.seekWidgetByName(MyhpNode,"shuzhi")
        //     Text.setString("" + curHp + " / " + MaxHp)
        //
        //     let Hpbar:ccui.Loadingbar = ccui.helper.seekWidgetByName(MyhpNode,"xuetiao")
        //     Hpbar.setPercent(curHp / MaxHp * 100)
        // }
        // updateMonsterHP( curHp, maxHp ,monsterconfig:monster_config_data_s)
        // {
        //     curHp = Math.ceil(curHp)
        //     maxHp = Math.ceil(maxHp)
        //     let bossHead:cc.Node = ccui.helper.seekWidgetByName(this.m_root,"boss")
        //     bossHead.setVisible(true)
        //     if(curHp <= 0)
        //     {
        //         bossHead.setVisible(false)
        //         return
        //     }
        //
        //     let head:ccui.ImageView = ccui.helper.seekWidgetByName(bossHead,"tx")
        //     let Text:ccui.Text = ccui.helper.seekWidgetByName(bossHead,"shuzhi")
        //     let hpBar:ccui.Loadingbar = ccui.helper.seekWidgetByName(bossHead,"xuetiao")
        //     let monsterName:ccui.Text = ccui.helper.seekWidgetByName(bossHead,"name")
        //     monsterName.setString(monsterconfig.desName)
        //     head.loadTexture(monsterconfig.headicon)
        //     Text.setString("" + curHp + " / " + maxHp )
        //     hpBar.setPercent( curHp / maxHp * 100 )
        //
        // }
        // initFight()
        // {
        //
        // }
        // updateHead()
        // {
        //     let heroHead:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"renwu_1")
        //     let followerHead:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"renwu_2")
        //
        //     let skincofnig:skin_s = dataMgr.getMe().getHeroSkinConfigByname(dataMgr.getMe().getCurHero())
        //     heroHead.loadTexture(skincofnig.icon)
        //
        //     let follower = dataMgr.getMe().getCurfollow()
        //     if(follower != "")
        //     {
        //         let followerskinConfig:skin_s = dataMgr.getMe().getHeroSkinConfigByname(follower)
        //         heroHead.loadTexture(followerskinConfig.icon)
        //
        //     }
        //     else
        //     {
        //         followerHead.setVisible(false)
        //     }
        // }
        //
        // m_update_1S:number = 0
        // updateRoundTime( t )
        // {
        //     if(roundMgr.getInstance().m_Isinit == false)
        //         return
        //     this.m_update_1S -= t
        //     if( this.m_update_1S < 0 )
        //     {
        //         let round = roundMgr.getInstance().m_Round
        //         this.m_update_1S = 1
        //         this.m_zuoImg.setVisible(round == e_FightRound.e_mine)
        //         this.m_youImg.setVisible(round == e_FightRound.e_enemy)
        //     }
        //     // else
        //     // {
        //     //     return
        //     // }
        //     // let _time:number = roundMgr.getInstance().m_Round_Time
        //     // if(_time < 0 || _time > g_round_time)
        //     // {
        //     //     this.m_TimeUI.setString("")
        //     // }
        //     // else
        //     // {
        //     //     this.m_TimeUI.setString(Math.floor(_time))
        //     // }
        // }
        // loop( t )
        // {
        //     //测试地图碰撞碎块
        //     // if(sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_test)
        //     // {
        //     //     this.m_Round == e_round.e_mine
        //     // }
        //     if(rootScene.getMe().iszanting() || (<baseSceneFight>sceneMgr.getMe().getCurScene()).m_gameOver)
        //         return
        //
        //
        //     this.updateRoundTime( t )
        //     playControl.getMe().loop( t )
        //     if(roleMgr.getMe().getControlPlayer())
        //     {
        //         this.drawBulletLine(roleMgr.getMe().getControlPlayer())
        //     }
        //     if(sceneMgr.getMe().getCurSceneType() != e_SceneType.SceneType_test)
        //     {
        //         // this.updateRoundTime( t )
        //     }
        //     // this.updateRoundTime( t )
        //
        //     if(this.m_xuli_press)
        //     {
        //         this.updateXuli()
        //     }
        //
        //
        //     if(!roundMgr.getInstance().m_Isinit)
        //     {
        //         roundMgr.getInstance().init(sceneMgr.getMe().getCurSceneType())
        //     }
        //     else
        //     {
        //         roundMgr.getInstance().loop( t )
        //     }
        // }
        // m_lastXuli:number = 0
        // m_xuliTiao_1:ccui.Loadingbar = null
        // m_xuliTiao_2:ccui.Loadingbar = null
        // initXuli()
        // {
        //     this.m_xuliTiao_1 = ccui.helper.seekWidgetByName(this.m_root,"xulitiao")
        //     this.m_xuliTiao_2 = ccui.helper.seekWidgetByName(this.m_root,"tishitiao")
        //     this.m_xuliTiao_1.setPercent(0)
        //     this.m_xuliTiao_2.setPercent(0)
        // }
        // resetXuli()
        // {
        //     this.m_xuliTiao_1.setPercent(0)
        // }
        // updateXuli2()
        // {
        //     this.m_lastXuli = g_Vo / roleMgr.getMe().getMaxSpeed() * 100
        //     this.m_xuliTiao_2.setPercent(this.m_lastXuli)
        // }
        // updateXuli()
        // {
        //     g_Vo += 0.5
        //     g_Vo = Math.min(g_Vo,roleMgr.getMe().getMaxSpeed())
        //     let curPercent = g_Vo / roleMgr.getMe().getMaxSpeed() * 100
        //     this.m_xuliTiao_1.setPercent( curPercent )
        //
        //     //let buffPercent = this.m_xuliTiao_2.getPercent()+1
        //     // if(buffPercent >= 100)
        //     // {
        //     //     buffPercent = g_Vo
        //     // }
        //     if(curPercent >this.m_lastXuli)
        //         this.m_lastXuli = curPercent
        //     this.m_xuliTiao_2.setPercent(this.m_lastXuli)
        // }
        // // m_fireData = null
        // getBulletLine( role:player , enemy:baseRole)
        // {
        //     // if(enemy == null)
        //     //     return
        //     // let rolePos = role.getBoneWroldPosition("paokou1")
        //     // let enemyPos = enemy.getPosition()
        //     // let g = 50
        //     // // let g = role.m_weaponLevelconfig.g
        //     //
        //     // console.log("开始计算")
        //     // for(let angle = 20; angle <= 180; angle ++)
        //     // {
        //     //     for( let t = 0; t <= 5 ; t += 0.2)
        //     //     {
        //     //         for(let v0 = 30; v0 <= 70; v0 += 2)
        //     //         {
        //     //             let newPos = cc.p(rolePos.x + Math.cos(angle) *  v0  * t,
        //     //                 rolePos.y + Math.sin(angle) * v0 * t - 0.5 * g * t * t );
        //     //             if(newPos.x <= 20 || newPos.x >= 1800 || newPos.y <= 20 || newPos.y >= 1000)
        //     //                 break
        //     //             if(cc.pDistance(newPos,enemyPos) < 20)
        //     //             {
        //     //                 console.log("已经找出最佳发射点...g" + g + "  angle:"+angle + "  vo:"+ v0)
        //     //                 return {g:g,angle:angle,v:v0}
        //     //             }
        //     //         }
        //     //
        //     //     }
        //     // }
        //     // console.log("计算结束")
        // }
        // drawBulletLine( role:player  )//angle
        // {
        //     // return
        //     try
        //     {
        //         this.getBulletLine(role,roleMgr.getMe().getEnemyOne())
        //         this.m_DrawNode.clear()
        //         if(dataMgr.getMe().getViplevel() < 3 && sceneMgr.getMe().getCurSceneType() != e_SceneType.SceneType_guide)
        //             return
        //         if(roundMgr.getInstance().isMyRound() && role.m_fireState != e_fire_state.FireEnd )
        //         // if( role.m_fireState == e_fire_state.Fireready )
        //         {
        //             let rolePos = role.getBoneWroldPosition("paokou1")
        //             let angle = playControl.getMe().m_angle / 180 * Math.PI
        //             let g = role.m_weaponLevelconfig.g
        //             let time = 0
        //             for( let p = 0; p <= 10 ; p++)
        //             {
        //                 let t = time * 10
        //                 let newPos = cc.p(rolePos.x + Math.cos(angle) *  g_Vo  * t,
        //                     rolePos.y + Math.sin(angle) * g_Vo * t - 0.5 * g * t * t );
        //
        //                 this.m_DrawNode.drawDot(newPos, 2, cc.color(255, 255, 255))
        //                 time += 0.08;
        //             }
        //         }
        //     }
        //     catch ( e )
        //     {
        //         throw e.stack
        //     }
        //
        // }
        //
        // onKeyPressed(keyCode) {
        //     switch ( keyCode){
        //         case cc.KEY.up:
        //         case cc.KEY.down:
        //         case cc.KEY.left:
        //         case cc.KEY.right:
        //         case 1000:
        //         case 1001:
        //         case 1003:
        //         case 1004:
        //             break
        //         default:
        //             break
        //     }
        //     game.playControl.getMe().onKeyPressed(keyCode);
        //     super.onKeyPressed(keyCode);
        // }
        // onKeyReleased(keyCode) {
        //     switch ( keyCode){
        //         case cc.KEY.up:
        //         case cc.KEY.down:
        //         case cc.KEY.left:
        //         case cc.KEY.right:
        //         case 1000:
        //         case 1001:
        //         case 1003:
        //         case 1004:
        //             break
        //         default:
        //             break
        //     }
        //     game.playControl.getMe().onKeyReleased(keyCode);
        // }
        // onBack(){
        //     if(sceneMgr.getMe().getCurSceneType() == e_SceneType.SceneType_guide)
        //     {
        //         ui_messageBox2.ShowOrHide(true,"是否退出新手引导？",()=>{
        //             for(let i = 1; i <= 5; i++){
        //                 dataMgr.getMe().yindaoUnlock("f" + i);
        //             }
        //             sceneMgr.getMe().shutdownCurScene()
        //             ui_mainScene.ShowOrHide( true )
        //         },null)
        //     }
        //     else
        //     {
        //         ui_zanting.ShowOrHide(true)
        //     }
        //
        //     // ui_messageBox2.ShowOrHide(true,"是否退出当前关卡？",function () {
        //     //     sceneMgr.getMe().shutdownCurScene()
        //     //     ui_daditu.ShowOrHide(true)
        //     // },null);
        // }

    }

}