var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_forgetpassword = (function (_super) {
        __extends(ui_forgetpassword, _super);
        function ui_forgetpassword() {
            _super.call(this);
            this.m_des = "ui_forgetpassword";
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_forgetpassword.prototype.oninit = function () {
            var root = this._parseUIFile("protect.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.initui();
        };
        ui_forgetpassword.prototype.initui = function () {
            var pass_root = ccui.helper.seekWidgetByName(this.m_root, "mima");
            this.m_CBaseKeyState.regNodeEx(pass_root, 1);
            this.pass_text_ui = ccui.helper.seekWidgetByTag(pass_root, 1631);
            this.pass_valid_yes = ccui.helper.seekWidgetByName(pass_root, "yes");
            this.pass_valid_no = ccui.helper.seekWidgetByName(pass_root, "no");
            this.pass_valid_yes.setVisible(false);
            this.pass_valid_no.setVisible(false);
            var pass2_root = ccui.helper.seekWidgetByName(this.m_root, "mima_2");
            this.pass2_text_ui = ccui.helper.seekWidgetByName(pass2_root, "mima2");
            this.pass2_valid_yes = ccui.helper.seekWidgetByName(pass2_root, "yes");
            this.pass2_valid_no = ccui.helper.seekWidgetByName(pass2_root, "no");
            this.pass2_valid_yes.setVisible(false);
            this.pass2_valid_no.setVisible(false);
            this.m_CBaseKeyState.regNodeEx(pass2_root, 2);
            var regButton = ccui.helper.seekWidgetByName(this.m_root, "denglu");
            this.m_CBaseKeyState.regNodeEx(regButton, 3);
            var exitButton = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (!game.Version_mgr.getInstance().isPhone()) {
                game.dataMgr.getMe().loadCheckBoximg(exitButton, "xingjietantantang/big/ui/image/ddt_ui138b.png");
            }
            regButton.addTouchEventListener(this.reg, this);
            exitButton.addTouchEventListener(this.exit, this);
            this.m_CBaseKeyState.init(this);
            this.setJiantouVisable(false, "mima");
            this.setJiantouVisable(false, "mima_2");
            if (game.Version_mgr.getInstance().getCurVersion() != game.e_game_Version.e_version_web) {
                return;
            }
            this.setJiantouVisable(true, "mima");
        };
        ui_forgetpassword.prototype.DoEnterCurButton = function () {
            // super.DoEnterCurButton();
            // if(Version_mgr.getInstance().getCurVersion() == e_game_Version.e_version_web){
            //     return ;
            // }
            var name = this.m_CBaseKeyState.m_key.getName();
            cc.log("获取焦点", name);
            switch (name) {
                case "mima":
                    this.pass_text_ui.getVirtualRenderer().attachWithIME();
                    break;
                case "mima_2":
                    this.pass2_text_ui.getVirtualRenderer().attachWithIME();
                    break;
                default:
                    _super.prototype.DoEnterCurButton.call(this);
                    break;
            }
        };
        ui_forgetpassword.prototype.up = function () {
            if (game.Version_mgr.getInstance().getCurVersion() != game.e_game_Version.e_version_web) {
                return;
            }
            var keyname_before = this.m_CBaseKeyState.m_key.getName();
            if ("denglu" != keyname_before) {
                this.setJiantouVisable(false, keyname_before);
            }
            this.m_CBaseKeyState.up();
            var keyname_after = this.m_CBaseKeyState.m_key.getName();
            if ("denglu" != keyname_after) {
                this.setJiantouVisable(true, keyname_after);
            }
        };
        ui_forgetpassword.prototype.down = function () {
            if (game.Version_mgr.getInstance().getCurVersion() != game.e_game_Version.e_version_web) {
                return;
            }
            var keyname_before = this.m_CBaseKeyState.m_key.getName();
            if ("denglu" != keyname_before) {
                this.setJiantouVisable(false, keyname_before);
            }
            this.m_CBaseKeyState.down();
            var keyname_after = this.m_CBaseKeyState.m_key.getName();
            if ("denglu" != keyname_after) {
                this.setJiantouVisable(true, keyname_after);
            }
        };
        //设置箭头显示隐藏
        ui_forgetpassword.prototype.setJiantouVisable = function (flag, parentname) {
            var parent = ccui.helper.seekWidgetByName(this.m_root, parentname);
            var jiantou = ccui.helper.seekWidgetByName(parent, "jiantou");
            jiantou.setVisible(flag);
        };
        ui_forgetpassword.prototype.isValid = function () {
            var flag = true;
            this.pass_valid_yes.setVisible(true);
            this.pass2_valid_yes.setVisible(true);
            this.pass_valid_no.setVisible(false);
            this.pass2_valid_no.setVisible(false);
            var password = this.pass_text_ui.getString();
            var password2 = this.pass2_text_ui.getString();
            var pPattern = /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{6,16}$/;
            if (!password.match(pPattern)) {
                this.pass_valid_yes.setVisible(false);
                this.pass_valid_no.setVisible(true);
                flag = false;
            }
            if (password != password2) {
                this.pass2_valid_yes.setVisible(false);
                this.pass2_valid_no.setVisible(true);
                flag = false;
            }
            return flag;
        };
        ui_forgetpassword.prototype.reg = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if (!this.isValid()) {
                        return;
                    }
                    var password = this.pass_text_ui.getString();
                    game.httpUpdateAcc.getMe().onSendMsg({ password: password, account: game.iapMgr.getMe().getaccount() });
                    break;
            }
        };
        ui_forgetpassword.prototype.exit = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        };
        ui_forgetpassword.prototype.onBack = function () {
            ui_forgetpassword.ShowOrHide(false);
            game.ui_mainScene.getMe().updateArrawUI();
        };
        ui_forgetpassword.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
            }
        };
        ui_forgetpassword.g_instarn = null;
        ui_forgetpassword.getMe = function () {
            return ui_forgetpassword.g_instarn;
        };
        ui_forgetpassword.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_forgetpassword, game.uiMgr.getMe(), 1003);
        };
        return ui_forgetpassword;
    }(game.UiBase));
    game.ui_forgetpassword = ui_forgetpassword;
})(game || (game = {}));
//# sourceMappingURL=ui_forgetPassword.js.map