module game {
    export class ui_forgetpassword extends UiBase {
        static g_instarn: ui_forgetpassword = null;
        static getMe = function (): ui_forgetpassword {
            return ui_forgetpassword.g_instarn;
        };
        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_forgetpassword, uiMgr.getMe(), 1003);
        };

        constructor() {
            super();
            this.m_des = "ui_forgetpassword";
            this.m_CBaseKeyState = new BaseKeyState();
        }

        pass_text_ui;
        pass_valid_yes;
        pass_valid_no;
        pass2_text_ui;
        pass2_valid_yes;
        pass2_valid_no;

        oninit() {
            let root = this._parseUIFile("protect.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            this.initui()
        }

        initui() {
            let pass_root = ccui.helper.seekWidgetByName(this.m_root, "mima");
            this.m_CBaseKeyState.regNodeEx(pass_root,1);
            this.pass_text_ui = ccui.helper.seekWidgetByTag(pass_root, 1631);
            this.pass_valid_yes = ccui.helper.seekWidgetByName(pass_root, "yes");
            this.pass_valid_no = ccui.helper.seekWidgetByName(pass_root, "no");
            this.pass_valid_yes.setVisible(false);
            this.pass_valid_no.setVisible(false);

            let pass2_root = ccui.helper.seekWidgetByName(this.m_root, "mima_2");
            this.pass2_text_ui = ccui.helper.seekWidgetByName(pass2_root, "mima2");
            this.pass2_valid_yes = ccui.helper.seekWidgetByName(pass2_root, "yes");
            this.pass2_valid_no = ccui.helper.seekWidgetByName(pass2_root, "no");
            this.pass2_valid_yes.setVisible(false);
            this.pass2_valid_no.setVisible(false);
            this.m_CBaseKeyState.regNodeEx(pass2_root,2);
            let regButton: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "denglu");
            this.m_CBaseKeyState.regNodeEx(regButton,3);
            let exitButton: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if(!Version_mgr.getInstance().isPhone()){
                dataMgr.getMe().loadCheckBoximg(exitButton,"xingjietantantang/big/ui/image/ddt_ui138b.png")
            }
            regButton.addTouchEventListener(this.reg, this);
            exitButton.addTouchEventListener(this.exit, this);
            this.m_CBaseKeyState.init(this);
            this.setJiantouVisable(false,"mima");
            this.setJiantouVisable(false,"mima_2");
            if(Version_mgr.getInstance().getCurVersion() != e_game_Version.e_version_web){
                return ;
            }
            this.setJiantouVisable(true,"mima");
        }

        DoEnterCurButton() {
            // super.DoEnterCurButton();
            // if(Version_mgr.getInstance().getCurVersion() == e_game_Version.e_version_web){
            //     return ;
            // }
            let name = this.m_CBaseKeyState.m_key.getName();
            cc.log("获取焦点", name);
            switch (name) {
                case "mima":
                    this.pass_text_ui.getVirtualRenderer().attachWithIME();
                    break;
                case "mima_2":
                    this.pass2_text_ui.getVirtualRenderer().attachWithIME();
                    break;
                default:
                    super.DoEnterCurButton();
                    break;
            }
        }

        up(){
            if(Version_mgr.getInstance().getCurVersion() != e_game_Version.e_version_web){
                return ;
            }
            let keyname_before:string = this.m_CBaseKeyState.m_key.getName();
            if("denglu" != keyname_before){
                this.setJiantouVisable(false,keyname_before);
            }
            this.m_CBaseKeyState.up();
            let keyname_after:string = this.m_CBaseKeyState.m_key.getName();
            if("denglu" != keyname_after){
                this.setJiantouVisable(true,keyname_after);
            }
        }

        down(){
            if(Version_mgr.getInstance().getCurVersion() != e_game_Version.e_version_web){
                return ;
            }
            let keyname_before:string = this.m_CBaseKeyState.m_key.getName();
            if( "denglu" != keyname_before){
                this.setJiantouVisable(false,keyname_before);
            }
            this.m_CBaseKeyState.down();
            let keyname_after:string = this.m_CBaseKeyState.m_key.getName();
            if("denglu" != keyname_after){
                this.setJiantouVisable(true,keyname_after);
            }
        }



        //设置箭头显示隐藏
        setJiantouVisable(flag:boolean,parentname:string){
            let parent = ccui.helper.seekWidgetByName(this.m_root,parentname);
            let jiantou:ccui.ImageView = ccui.helper.seekWidgetByName(parent,"jiantou");
            jiantou.setVisible(flag);
        }

        isValid() {
            let flag = true;
            this.pass_valid_yes.setVisible(true);
            this.pass2_valid_yes.setVisible(true);
            this.pass_valid_no.setVisible(false);
            this.pass2_valid_no.setVisible(false);

            let password = this.pass_text_ui.getString();
            let password2 = this.pass2_text_ui.getString();
            let pPattern = /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{6,16}$/;

            if (!password.match(pPattern)) {
                this.pass_valid_yes.setVisible(false);
                this.pass_valid_no.setVisible(true);
                flag = false;
            }
            if (password != password2) {
                this.pass2_valid_yes.setVisible(false);
                this.pass2_valid_no.setVisible(true);
                flag = false;
            }
            return flag;
        }

        reg(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if (!this.isValid()) {
                        return;
                    }
                    let password = this.pass_text_ui.getString();
                    httpUpdateAcc.getMe().onSendMsg({password:password,account:iapMgr.getMe().getaccount()});
                    break;
            }
        }

        exit(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        }
        onBack(){
            ui_forgetpassword.ShowOrHide(false);
            ui_mainScene.getMe().updateArrawUI();
        }
        loop(t){
            if(this.m_CBaseKeyState){
                this.m_CBaseKeyState.loop(t);
            }
        }

    }
}
