var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_regAccount = (function (_super) {
        __extends(ui_regAccount, _super);
        function ui_regAccount() {
            _super.call(this);
            this.m_des = "ui_regAccount";
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_regAccount.prototype.oninit = function () {
            var root = this._parseUIFile("register.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.initui();
        };
        ui_regAccount.prototype.initui = function () {
            var acc_root = ccui.helper.seekWidgetByName(this.m_root, "zhanghao");
            this.m_CBaseKeyState.regNodeEx(acc_root, 1);
            this.acc_text_ui = ccui.helper.seekWidgetByTag(acc_root, 1534);
            this.acc_valid_yes = ccui.helper.seekWidgetByName(acc_root, "yes");
            this.acc_valid_no = ccui.helper.seekWidgetByName(acc_root, "no");
            this.acc_text_yes = ccui.helper.seekWidgetByName(this.acc_valid_yes, "Text_5");
            this.acc_text_no = ccui.helper.seekWidgetByName(this.acc_valid_no, "Text_6");
            this.acc_text_yes.setVisible(false);
            // this.acc_text_no.setString("账号格式不对");
            this.acc_valid_yes.setVisible(false);
            this.acc_valid_no.setVisible(false);
            var pass_root = ccui.helper.seekWidgetByName(this.m_root, "mima");
            this.m_CBaseKeyState.regNodeEx(pass_root, 2);
            this.pass_text_ui = ccui.helper.seekWidgetByTag(pass_root, 1557);
            this.pass_valid_yes = ccui.helper.seekWidgetByName(pass_root, "yes");
            this.pass_valid_no = ccui.helper.seekWidgetByName(pass_root, "no");
            this.pass_valid_yes.setVisible(false);
            this.pass_valid_no.setVisible(false);
            var pass2_root = ccui.helper.seekWidgetByName(this.m_root, "mima_2");
            this.m_CBaseKeyState.regNodeEx(pass2_root, 3);
            this.pass2_text_ui = ccui.helper.seekWidgetByName(pass2_root, "mima2");
            this.pass2_valid_yes = ccui.helper.seekWidgetByName(pass2_root, "yes");
            this.pass2_valid_no = ccui.helper.seekWidgetByName(pass2_root, "no");
            this.pass2_valid_yes.setVisible(false);
            this.pass2_valid_no.setVisible(false);
            var regButton = ccui.helper.seekWidgetByName(this.m_root, "denglu");
            var exitButton = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            this.m_CBaseKeyState.regNodeEx(regButton, 4);
            regButton.addTouchEventListener(this.reg, this);
            exitButton.addTouchEventListener(this.exit, this);
            if (!game.Version_mgr.getInstance().isPhone()) {
                game.dataMgr.getMe().loadCheckBoximg(exitButton, "xingjietantantang/big/ui/image/ddt_ui138b.png");
            }
            this.m_CBaseKeyState.init(this);
            this.m_CBaseKeyState.setCurKey(acc_root);
            this.setJiantouVisable(false, "zhanghao");
            this.setJiantouVisable(false, "mima");
            this.setJiantouVisable(false, "mima_2");
            if (game.Version_mgr.getInstance().getCurVersion() != game.e_game_Version.e_version_web) {
                return;
            }
            this.setJiantouVisable(true, "zhanghao");
            // this.acc_text_ui.addEventListener(this.textFieldEvent, this);
            // cc.eventManager.addListener(cc.EventListener.create({
            //     event: cc.EventListener.TOUCH_ONE_BY_ONE,
            //     onTouchBegan: this.onTouchBegan.bind(this)
            // }), this.backGround);
        };
        ui_regAccount.prototype.DoEnterCurButton = function () {
            // super.DoEnterCurButton();
            // if(Version_mgr.getInstance().getCurVersion() == e_game_Version.e_version_web){
            //     return ;
            // }
            var name = this.m_CBaseKeyState.m_key.getName();
            cc.log("获取焦点", name);
            switch (name) {
                case "zhanghao":
                    this.acc_text_ui.getVirtualRenderer().attachWithIME();
                    break;
                case "mima":
                    this.pass_text_ui.getVirtualRenderer().attachWithIME();
                    break;
                case "mima_2":
                    this.pass2_text_ui.getVirtualRenderer().attachWithIME();
                    break;
                default:
                    _super.prototype.DoEnterCurButton.call(this);
                    break;
            }
        };
        ui_regAccount.prototype.up = function () {
            if (game.Version_mgr.getInstance().getCurVersion() != game.e_game_Version.e_version_web) {
                return;
            }
            var keyname_before = this.m_CBaseKeyState.m_key.getName();
            if ("denglu" != keyname_before) {
                this.setJiantouVisable(false, keyname_before);
            }
            this.m_CBaseKeyState.up();
            var keyname_after = this.m_CBaseKeyState.m_key.getName();
            if ("denglu" != keyname_after) {
                this.setJiantouVisable(true, keyname_after);
            }
        };
        ui_regAccount.prototype.down = function () {
            if (game.Version_mgr.getInstance().getCurVersion() != game.e_game_Version.e_version_web) {
                return;
            }
            var keyname_before = this.m_CBaseKeyState.m_key.getName();
            if ("denglu" != keyname_before) {
                this.setJiantouVisable(false, keyname_before);
            }
            this.m_CBaseKeyState.down();
            var keyname_after = this.m_CBaseKeyState.m_key.getName();
            if ("denglu" != keyname_after) {
                this.setJiantouVisable(true, keyname_after);
            }
        };
        //设置箭头显示隐藏
        ui_regAccount.prototype.setJiantouVisable = function (flag, parentname) {
            var parent = ccui.helper.seekWidgetByName(this.m_root, parentname);
            var jiantou = ccui.helper.seekWidgetByName(parent, "jiantou");
            jiantou.setVisible(flag);
        };
        ui_regAccount.prototype.isValid = function () {
            var flag = true;
            this.acc_valid_yes.setVisible(true);
            this.pass_valid_yes.setVisible(true);
            this.pass2_valid_yes.setVisible(true);
            this.acc_valid_no.setVisible(false);
            this.pass_valid_no.setVisible(false);
            this.pass2_valid_no.setVisible(false);
            var username = this.acc_text_ui.getString();
            var password = this.pass_text_ui.getString();
            var password2 = this.pass2_text_ui.getString();
            var uPattern = /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{4,16}$/;
            var pPattern = /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{6,16}$/;
            if (!username.match(uPattern)) {
                this.acc_valid_yes.setVisible(false);
                this.acc_valid_no.setVisible(true);
                this.acc_text_no.setString("账号格式不对");
                flag = false;
            }
            if (!password.match(pPattern)) {
                this.pass_valid_yes.setVisible(false);
                this.pass_valid_no.setVisible(true);
                flag = false;
            }
            if (password != password2) {
                this.pass2_valid_yes.setVisible(false);
                this.pass2_valid_no.setVisible(true);
                flag = false;
            }
            return flag;
        };
        ui_regAccount.prototype.reg = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if (!this.isValid()) {
                        return;
                    }
                    var username = this.acc_text_ui.getString();
                    var password = this.pass_text_ui.getString();
                    game.httpSetAcc.getMe().onSendMsg({
                        username: username,
                        password: password,
                        account: game.iapMgr.getMe().getaccount(),
                        platform: game.iapMgr.getMe().getplatformId()
                    });
                    break;
            }
        };
        ui_regAccount.prototype.exit = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        };
        ui_regAccount.prototype.onBack = function () {
            ui_regAccount.ShowOrHide(false);
            game.ui_mainScene.getMe().updateArrawUI();
        };
        ui_regAccount.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
            }
        };
        ui_regAccount.g_instarn = null;
        ui_regAccount.getMe = function () {
            return ui_regAccount.g_instarn;
        };
        ui_regAccount.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_regAccount, game.uiMgr.getMe(), 1003);
        };
        return ui_regAccount;
    }(game.UiBase));
    game.ui_regAccount = ui_regAccount;
})(game || (game = {}));
//# sourceMappingURL=ui_regAccount.js.map