module game {
    export class ui_regAccount extends UiBase {
        static g_instarn: ui_regAccount = null;
        static getMe = function (): ui_regAccount {
            return ui_regAccount.g_instarn;
        };
        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_regAccount, uiMgr.getMe(), 1003);
        };

        constructor() {
            super();
            this.m_des = "ui_regAccount";
            this.m_CBaseKeyState = new BaseKeyState();
        }

        acc_text_ui;
        acc_valid_yes;
        acc_valid_no;
        acc_text_yes;
        acc_text_no;

        pass_text_ui;
        pass_valid_yes;
        pass_valid_no;
        pass2_text_ui;
        pass2_valid_yes;
        pass2_valid_no;

        oninit() {
            let root = this._parseUIFile("register.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.initui();
        }

        initui() {
            let acc_root = ccui.helper.seekWidgetByName(this.m_root, "zhanghao");
            this.m_CBaseKeyState.regNodeEx(acc_root, 1);
            this.acc_text_ui = ccui.helper.seekWidgetByTag(acc_root, 1534);
            this.acc_valid_yes = ccui.helper.seekWidgetByName(acc_root, "yes");
            this.acc_valid_no = ccui.helper.seekWidgetByName(acc_root, "no");
            this.acc_text_yes = ccui.helper.seekWidgetByName(this.acc_valid_yes, "Text_5");
            this.acc_text_no = ccui.helper.seekWidgetByName(this.acc_valid_no, "Text_6");

            this.acc_text_yes.setVisible(false);
            // this.acc_text_no.setString("账号格式不对");
            this.acc_valid_yes.setVisible(false);
            this.acc_valid_no.setVisible(false);

            let pass_root = ccui.helper.seekWidgetByName(this.m_root, "mima");
            this.m_CBaseKeyState.regNodeEx(pass_root, 2);
            this.pass_text_ui = ccui.helper.seekWidgetByTag(pass_root, 1557);
            this.pass_valid_yes = ccui.helper.seekWidgetByName(pass_root, "yes");
            this.pass_valid_no = ccui.helper.seekWidgetByName(pass_root, "no");
            this.pass_valid_yes.setVisible(false);
            this.pass_valid_no.setVisible(false);

            let pass2_root = ccui.helper.seekWidgetByName(this.m_root, "mima_2");
            this.m_CBaseKeyState.regNodeEx(pass2_root, 3);
            this.pass2_text_ui = ccui.helper.seekWidgetByName(pass2_root, "mima2");
            this.pass2_valid_yes = ccui.helper.seekWidgetByName(pass2_root, "yes");
            this.pass2_valid_no = ccui.helper.seekWidgetByName(pass2_root, "no");
            this.pass2_valid_yes.setVisible(false);
            this.pass2_valid_no.setVisible(false);

            let regButton: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "denglu");
            let exitButton: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            this.m_CBaseKeyState.regNodeEx(regButton, 4);
            regButton.addTouchEventListener(this.reg, this);
            exitButton.addTouchEventListener(this.exit, this);
            if (!Version_mgr.getInstance().isPhone()) {
                dataMgr.getMe().loadCheckBoximg(exitButton, "xingjietantantang/big/ui/image/ddt_ui138b.png")
            }

            this.m_CBaseKeyState.init(this);
            this.m_CBaseKeyState.setCurKey(acc_root);
            this.setJiantouVisable(false, "zhanghao");
            this.setJiantouVisable(false, "mima");
            this.setJiantouVisable(false, "mima_2");
            if (Version_mgr.getInstance().getCurVersion() != e_game_Version.e_version_web) {
                return;
            }
            this.setJiantouVisable(true, "zhanghao");

            // this.acc_text_ui.addEventListener(this.textFieldEvent, this);
            // cc.eventManager.addListener(cc.EventListener.create({
            //     event: cc.EventListener.TOUCH_ONE_BY_ONE,
            //     onTouchBegan: this.onTouchBegan.bind(this)
            // }), this.backGround);
        }

        DoEnterCurButton() {
            // super.DoEnterCurButton();
            // if(Version_mgr.getInstance().getCurVersion() == e_game_Version.e_version_web){
            //     return ;
            // }
            let name = this.m_CBaseKeyState.m_key.getName();
            cc.log("获取焦点", name);
            switch (name) {
                case "zhanghao":
                    this.acc_text_ui.getVirtualRenderer().attachWithIME();
                    break;
                case "mima":
                    this.pass_text_ui.getVirtualRenderer().attachWithIME();
                    break;
                case "mima_2":
                    this.pass2_text_ui.getVirtualRenderer().attachWithIME();
                    break;
                default:
                    super.DoEnterCurButton();
                    break;
            }
        }

        up() {
            if (Version_mgr.getInstance().getCurVersion() != e_game_Version.e_version_web) {
                return;
            }
            let keyname_before: string = this.m_CBaseKeyState.m_key.getName();
            if ("denglu" != keyname_before) {
                this.setJiantouVisable(false, keyname_before);
            }
            this.m_CBaseKeyState.up();
            let keyname_after: string = this.m_CBaseKeyState.m_key.getName();
            if ("denglu" != keyname_after) {
                this.setJiantouVisable(true, keyname_after);
            }
        }

        down() {
            if (Version_mgr.getInstance().getCurVersion() != e_game_Version.e_version_web) {
                return;
            }
            let keyname_before: string = this.m_CBaseKeyState.m_key.getName();
            if ("denglu" != keyname_before) {
                this.setJiantouVisable(false, keyname_before);
            }
            this.m_CBaseKeyState.down();
            let keyname_after: string = this.m_CBaseKeyState.m_key.getName();
            if ("denglu" != keyname_after) {
                this.setJiantouVisable(true, keyname_after);
            }
        }


        //设置箭头显示隐藏
        setJiantouVisable(flag: boolean, parentname: string) {
            let parent: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, parentname);
            let jiantou: ccui.ImageView = ccui.helper.seekWidgetByName(parent, "jiantou");
            jiantou.setVisible(flag);
        }


        isValid() {
            let flag = true;
            this.acc_valid_yes.setVisible(true);
            this.pass_valid_yes.setVisible(true);
            this.pass2_valid_yes.setVisible(true);
            this.acc_valid_no.setVisible(false);
            this.pass_valid_no.setVisible(false);
            this.pass2_valid_no.setVisible(false);

            let username = this.acc_text_ui.getString();
            let password = this.pass_text_ui.getString();
            let password2 = this.pass2_text_ui.getString();
            let uPattern = /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{4,16}$/;
            let pPattern = /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{6,16}$/;

            if (!username.match(uPattern)) {
                this.acc_valid_yes.setVisible(false);
                this.acc_valid_no.setVisible(true);
                this.acc_text_no.setString("账号格式不对");
                flag = false;
            }
            if (!password.match(pPattern)) {
                this.pass_valid_yes.setVisible(false);
                this.pass_valid_no.setVisible(true);
                flag = false;
            }
            if (password != password2) {
                this.pass2_valid_yes.setVisible(false);
                this.pass2_valid_no.setVisible(true);
                flag = false;
            }
            return flag;
        }

        reg(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if (!this.isValid()) {
                        return;
                    }
                    let username = this.acc_text_ui.getString();
                    let password = this.pass_text_ui.getString();
                    httpSetAcc.getMe().onSendMsg({
                        username: username,
                        password: password,
                        account: iapMgr.getMe().getaccount(),
                        platform: iapMgr.getMe().getplatformId()
                    });
                    break;
            }
        }

        exit(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        }

        onBack() {
            ui_regAccount.ShowOrHide(false);
            ui_mainScene.getMe().updateArrawUI();
        }

        loop(t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t)
            }
        }

        // callback(result) {
        //     console.log(JSON.stringify(result))
        //     ui_loading2.ShowOrHide(false, null)
        //     if (result == 0) {
        //         fileMgr.getMe().savePlayAccount(this.m_account.getString(), this.m_password.getString())
        //         uiMgr.getMe().show_ui_MessageBox(true, "注册成功", function () {
        //             // ui_regAccount.ShowOrHide(false)
        //             // ui_login.ShowOrHide(true)
        //         })
        //
        //         //注册成功
        //     }
        //     else if (result == 1) {
        //         uiMgr.getMe().show_ui_MessageBox(true, "注册失败")
        //         //注册失败
        //     }
        //     else {
        //         if (result.accountError == 99) {
        //             console.log("accountError ")
        //         }
        //         if (result.nickNameError == 99) {
        //             console.log("nickNameError ")
        //         }
        //     }
        // }
        //
        // canreg(): boolean {
        //     let canreg: boolean = true
        //
        //     let account: string = this.m_account.getString()
        //     let password: string = this.m_password.getString()
        //     let password_2: string = this.m_password_2.getString()
        //     let nickname: string = this.m_nickName.getString()
        //     let question: string = this.m_question.getString()
        //     let answer: string = this.m_answer.getString()
        //     if (account.length == 0 || account.length >= 36) {
        //         console.log("未输入帐号或者帐号长度过长")
        //         canreg = false
        //     }
        //     if (password.length < 6 || password_2.length < 6) {
        //         console.log("未输入密码")
        //         canreg = false
        //     }
        //     if (password != password_2) {
        //         console.log("两次密码输入不符")
        //         canreg = false
        //     }
        //     if (nickname.length == 0 || nickname.length > 8) {
        //         console.log("未输入昵称或者昵称过长")
        //         canreg = false
        //     }
        //     if (question.length == 0) {
        //         console.log("未输入问题")
        //         canreg = false
        //     }
        //     if (answer.length == 0) {
        //         console.log("未输入答案")
        //         canreg = false
        //     }
        //     return canreg
        // }

        // regTestCallback(result) {
        //     let accountOk: ccui.ImageView = ccui.helper.seekWidgetByTag(this.m_root, 1544)
        //     let accountNo: ccui.ImageView = ccui.helper.seekWidgetByTag(this.m_root, 1546)
        //     let nicknameOk: ccui.ImageView = ccui.helper.seekWidgetByTag(this.m_root, 1574)
        //     let nicknameNo: ccui.ImageView = ccui.helper.seekWidgetByTag(this.m_root, 1572)
        //     if (result == 1) {
        //         // uiMgr.getMe().show_ui_MessageBox(true,"注册失败")
        //         //注册失败
        //     }
        //     else {
        //         if (this.m_accountString != "") {
        //             accountOk.setVisible(result.accountError != 99)
        //             accountNo.setVisible(result.accountError == 99)
        //         }
        //         else {
        //             accountOk.setVisible(false)
        //             accountNo.setVisible(false)
        //         }
        //
        //         if (this.m_nickNameString != "") {
        //             nicknameOk.setVisible(result.nickNameError != 99)
        //             nicknameNo.setVisible(result.nickNameError == 99)
        //         }
        //         else {
        //             nicknameOk.setVisible(false)
        //             nicknameNo.setVisible(false)
        //         }
        //     }
        // }
        //
        // regTest() {
        //     let s: reg_s = new reg_s()
        //     s.account = this.m_accountString == "" ? "regTest" : this.m_accountString
        //     s.nickname = this.m_nickNameString == "" ? "regTest" : this.m_nickNameString
        //     s.answer = "regTest"
        //     s.question = "regTest"
        //     s.password = "regTest"
        //     // proto_reg.getMe().send(s , this.regTestCallback.bind(this))
        // }
        //
        // loop(t) {
        //     if (this.m_account.getString() != this.m_accountString || this.m_nickName.getString() != this.m_nickNameString) {
        //         this.m_nickNameString = this.m_nickName.getString()
        //         this.m_accountString = this.m_account.getString()
        //         this.regTest()
        //     }
        // }
    }
}
