module game {
    export class ui_paiweiloading extends UiBase {
        static g_instarn: ui_paiweiloading = null;

        static getMe() {
            return ui_paiweiloading.g_instarn;
        };

        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_paiweiloading, uiMgr.getMe(), 600);
        };

        constructor() {
            super();
            this.m_des = "ui_paiweiloading";
            this.m_CBaseKeyState = new BaseKeyState();
        }

        m_myHeroNode: cc.Node = null
        m_myFollowerNode: cc.Node = null
        m_enemyHeroNode: cc.Node = null
        m_enemyFollowerNode: cc.Node = null
        m_isPvp:boolean = false;

        oninit(data) {

            let root = this._parseUIFile("pipei.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root)

            g_pvp_local = false
            this.initUI()
            proto_fightPVP.getMe().m_data = null;
            this.m_CBaseKeyState.init(this)

        }

        m_blueLoading: ccui.Text = null
        m_redLoading: ccui.Text = null
        m_yujitime: number = 0;

        initUI() {
            this.m_myHeroNode = ccui.helper.seekWidgetByName(this.m_root, "Node_1");
            this.m_myFollowerNode = ccui.helper.seekWidgetByName(this.m_root, "Node_2");
            this.m_enemyHeroNode = ccui.helper.seekWidgetByName(this.m_root, "Node_4");
            this.m_enemyFollowerNode = ccui.helper.seekWidgetByName(this.m_root, "Node_3");
            let vsspine: cc.Node = ccui.helper.seekWidgetByName(this.m_root, "Node_5");
            let vs = spineMgr.getMe().createSpinePlay("vs", "vs1", true, vsspine);
            this.m_blueLoading = ccui.helper.seekWidgetByName(this.m_root, "bule_jindu");
            this.m_redLoading = ccui.helper.seekWidgetByName(this.m_root, "red_jindu");
            this.m_blueLoading.setString("");
            this.m_redLoading.setString("");
            this.m_yujitime = Math.floor(Math.random() * 30);
            this.updateTime(this.m_yujitime, false, null, true);
            this.initMyCamp();
            this.initEnemyCamp();

        }

        //初始化我方阵营
        initMyCamp() {
            let curhero = dataMgr.getMe().getCurHero();
            let curSkin = dataMgr.getMe().getHeroSkin(curhero);
            let skinname =dataMgr.getMe().getSkinConfig(curSkin,curhero).skin;
            let curFollower = dataMgr.getMe().getCurfollow();

            let h_1 = spineMgr.getMe().createSpineSkinPlay("hero_" + curhero, "daiji", skinname, true, this.m_myHeroNode);
            h_1.setScaleX(-1);
            if (curFollower != "" && curFollower != null) {
                let curFollowerSkin = dataMgr.getMe().getHeroSkin(curFollower);
                let skinname1 =dataMgr.getMe().getSkinConfig(curFollowerSkin,curFollower).skin;
                let f_1 = spineMgr.getMe().createSpineSkinPlay("hero_" + curFollower, "daiji", skinname1, true, this.m_myFollowerNode);
                f_1.setScaleX(-1)
                let weapons_follow = fileMgr.getMe().m_play_doc[(curhero == "nan" ? "nv" : "nan") + "_weapon"];
                if (weapons_follow[0]) {
                    let weapon: weaponconfig_s = dataMgr.getMe().getWeaponconfig(weapons_follow[0].name);
                    f_1.replaceAttachmentImage("wuqi", weapon.roleBujian);
                } else {
                    f_1.replaceAttachmentImage("wuqi", "shitou");
                }
            }

            let weapons_hero = fileMgr.getMe().m_play_doc[curhero + "_weapon"];
            if (weapons_hero[0]) {
                let weapon: weaponconfig_s = dataMgr.getMe().getWeaponconfig(weapons_hero[0].name);
                h_1.replaceAttachmentImage("wuqi", weapon.roleBujian);
            } else {
                h_1.replaceAttachmentImage("wuqi", "shitou");
            }

            let title_hero: number = dataMgr.getMe().getTittle(dataMgr.getMe().getCurHero());
            let title_follow: number = dataMgr.getMe().getTittle(dataMgr.getMe().getCurfollow());
            let nickName: string = dataMgr.getMe().getNickName();
            let level: number = dataMgr.getMe().getlevel();
            this.updateCampInformation(nickName, level, title_hero, "bule_1");
            if (dataMgr.getMe().getCurfollow() == null || dataMgr.getMe().getCurfollow() == "") {
                let node: cc.Node = ccui.helper.seekWidgetByName(this.m_root, "bule_2");
                node.setVisible(false);
                let imag: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "Image_51_0");
                imag.setVisible(false);
            } else {
                this.updateCampInformation(nickName, level, title_follow, "bule_2")
            }

        }

        //刷新信息
        updateCampInformation(name: string, level: number, title: string|number, uidataName: string) {
            let node: cc.Node = ccui.helper.seekWidgetByName(this.m_root, uidataName);
            let Name: ccui.Text = ccui.helper.seekWidgetByName(node, "name");
            let lv: ccui.Text = ccui.helper.seekWidgetByName(node, "dengji");
            let tittle: ccui.ImageView = ccui.helper.seekWidgetByName(node, "chenghao");
            let level_nvornan = dataMgr.getMe().getTittlelevel(title);

            if (lv) {
                lv.setString(level);
            }
            if (level_nvornan != -1 && level_nvornan) {
                let nvtittleconfig = dataMgr.getMe().getTittleConfigBytag(title, level_nvornan);
                tittle.setVisible(true);
                tittle.loadTexture(nvtittleconfig.icon);
            } else {
                tittle.setVisible(false);
            }
            Name.setString(name);
        }

        //初始化敌方
        initEnemyCamp() {
            this.setshowEneryHero(false);
            this.setshowEneryFollow(false);

        }

        //设置敌方阵营英雄是否显示
        setshowEneryHero(heroflag: boolean) {
            let pipeizhong_1: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "pipeizhong_1");
            let weizhi_2: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "weizhi_1");
            weizhi_2.setVisible(!heroflag);
            pipeizhong_1.setVisible(!heroflag);

            let node: cc.Node = ccui.helper.seekWidgetByName(this.m_root, "red_1");
            let imag: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "Image_51_0_1");
            imag.setVisible(heroflag);
            node.setVisible(heroflag);

        }

        //设置敌方阵营随从是否显示
        setshowEneryFollow(followflag: boolean) {
            let pipeizhong_2: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "pipeizhong_2");
            let weizhi_2: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "weizhi_2");
            weizhi_2.setVisible(!followflag);
            pipeizhong_2.setVisible(!followflag);

            let node1: cc.Node = ccui.helper.seekWidgetByName(this.m_root, "red_2");
            let imag: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "Image_51_0_0");
            imag.setVisible(followflag);
            node1.setVisible(followflag)

        }

        //刷新预计时间和图标
        updateTime(suiji: number, scceedflag: boolean, conf, flag: boolean) {
            let imag: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "Image_55_0");
            let iamg1: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "Image_55");
            let ditu: ccui.ImageView = ccui.helper.seekWidgetByName(iamg1, "ditu");
            let mingcheng: ccui.Text = ccui.helper.seekWidgetByName(iamg1, "mingcheng");
            let xiaotiesh: ccui.Text = ccui.helper.seekWidgetByName(iamg1, "xiaotiesh");
            let quxiao: ccui.CheckBox = ccui.helper.seekWidgetByName(imag, "quxiao")
            quxiao.addTouchEventListener(this.CanelFun, this);
            this.m_CBaseKeyState.regNodeEx(quxiao, 1);

            this.timeText = ccui.helper.seekWidgetByName(imag, "time");

            let yuji: ccui.Text = ccui.helper.seekWidgetByName(imag, "t");
            yuji.setString("00:" + suiji.toString());
            if (suiji < 10) {
                yuji.setString("00:" + "0" + suiji.toString());
            }
            iamg1.setVisible(scceedflag);
            if (scceedflag) {
                ditu.loadTexture(conf.icon);
                mingcheng.setString(conf.name);
                xiaotiesh.setString(conf.des);
            }
            imag.setVisible(flag);
        }

        CanelFun(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if(proto_fightPVP.getMe().m_data){
                        cc.log("对方进入无法退出");
                        return ;
                    }

                    ui_paiweiloading.ShowOrHide(false);
                    sceneMgr.getMe().selectScene(e_SceneType.SceneType_main);
                    proto_out.getMe().send();
                    break;
            }
        }


        //匹配成功的回调
        succeedCallBack(data: pipeiData) {
            this.isscceed = true;
            this.setshowEneryHero(true);
            let sceneconf: scene_config_data_s = g_scene_config[data.sceneName];
            this.updateTime(this.m_yujitime, true, sceneconf, false);
            let skinname = dataMgr.getMe().getSkinConfig(data.roleSkin1,data.roleName1).skin;
            let h_1 = spineMgr.getMe().createSpineSkinPlay("hero_" + data.roleName1, "daiji", skinname, true, this.m_enemyHeroNode);
            h_1.setScaleX(-1);
            let weapons_hero = data.weapon1;
            if (weapons_hero[0]) {
                let weapon: weaponconfig_s = dataMgr.getMe().getWeaponconfig(weapons_hero[0]);
                h_1.replaceAttachmentImage("wuqi", weapon.roleBujian);
            } else {
                h_1.replaceAttachmentImage("wuqi", "shitou");
            }

            this.updateCampInformation(data.nickName, data.level, data.title1, "red_1");
            if (data.roleName2 == "" || data.roleName2 == null) {
                this.m_enemyFollowerNode.setVisible(false);
                let pipeizhong_2: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "pipeizhong_2");
                let weizhi_2: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "weizhi_2");
                weizhi_2.setVisible(false);
                pipeizhong_2.setVisible(false);

                let node1: cc.Node = ccui.helper.seekWidgetByName(this.m_root, "red_2");
                let imag: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "Image_51_0_0");
                imag.setVisible(false);
                node1.setVisible(false)
            } else {
                this.setshowEneryFollow(true);
                let skinname = dataMgr.getMe().getSkinConfig(data.roleSkin2,data.roleName2).skin;
                let f_1 = spineMgr.getMe().createSpineSkinPlay("hero_" + data.roleName2, "daiji",skinname, true, this.m_enemyFollowerNode);
                f_1.setScaleX(-1);
                let weapons_follow = data.weapon2;
                if (weapons_follow[0]) {
                    let weapon: weaponconfig_s = dataMgr.getMe().getWeaponconfig(weapons_follow[0]);
                    f_1.replaceAttachmentImage("wuqi", weapon.roleBujian);
                } else {
                    f_1.replaceAttachmentImage("wuqi", "shitou");
                }
                this.updateCampInformation(data.nickName, data.level, data.title2, "red_2");
            }
        }


        //匹配失败打电脑
        failedCallBack(data: pipeiData) {
            this.isscceed = true;
            this.setshowEneryHero(true);
            let sceneconf: scene_config_data_s = g_scene_config[data.sceneName];
            this.updateTime(this.m_yujitime, true, sceneconf, false);
            let skinname = dataMgr.getMe().getSkinConfig(data.roleSkin1,data.roleName1).skin;
            let h_1 = spineMgr.getMe().createSpineSkinPlay("hero_" + data.roleName1, "daiji", skinname, true, this.m_enemyHeroNode);
            h_1.setScaleX(-1);
            let weapons_hero = data.weapon1;
            if (weapons_hero[0]) {
                let weapon: weaponconfig_s = dataMgr.getMe().getWeaponconfig(weapons_hero[0]);
                h_1.replaceAttachmentImage("wuqi", weapon.roleBujian);
            } else {
                h_1.replaceAttachmentImage("wuqi", "shitou");
            }

            this.updateCampInformation(data.nickName, dataMgr.getMe().getlevel(), data.title1, "red_1");
            if (data.roleName2 != "" && dataMgr.getMe().getCurfollow()) {
                this.setshowEneryFollow(true);
                let skinname = dataMgr.getMe().getSkinConfig(data.roleSkin2,data.roleName2).skin;
                let f_1 = spineMgr.getMe().createSpineSkinPlay("hero_" + data.roleName2, "daiji",skinname, true, this.m_enemyFollowerNode);
                f_1.setScaleX(-1);
                let weapons_follow = data.weapon2;
                if (weapons_follow[0]) {
                    let weapon: weaponconfig_s = dataMgr.getMe().getWeaponconfig(weapons_follow[0]);
                    f_1.replaceAttachmentImage("wuqi", weapon.roleBujian);
                } else {
                    f_1.replaceAttachmentImage("wuqi", "shitou");
                }
                this.updateCampInformation(data.nickName, dataMgr.getMe().getlevel(), data.title2, "red_2");
            } else {
                this.m_enemyFollowerNode.setVisible(false);
                let pipeizhong_2: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "pipeizhong_2");
                let weizhi_2: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "weizhi_2");
                weizhi_2.setVisible(false);
                pipeizhong_2.setVisible(false);

                let node1: cc.Node = ccui.helper.seekWidgetByName(this.m_root, "red_2");
                let imag: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "Image_51_0_0");
                imag.setVisible(false);
                node1.setVisible(false)
            }
        }

        toPvpFight() {
            if (this.m_enemryjindu >= 100) {
                ui_paiweiloading.ShowOrHide(false);
                if(this.m_isPvp){
                    sceneMgr.getMe().selectScene(e_SceneType.SceneType_pvp, proto_pvpLogin.getMe().m_data.sceneName);
                }else {
                    sceneMgr.getMe().selectScene(e_SceneType.SceneType_fightai, proto_pvpLogin.getMe().m_data.sceneName);
                }
            }
        }


        // m_mapname:string = ""
        // end()
        // {
        //     this.endLayout(function () {
        //         uiMgr.getMe().shutdownAllUi()
        //         sceneMgr.getMe().selectScene(e_SceneType.SceneType_pvp, this.m_mapname);
        //     })
        // }


        timer = 0;
        timeText: ccui.Text = null;
        m_index = 0;
        m_myjindu = 0;
        m_enemryjindu = 0;
        isscceed = false;

        loop(t) {
            this.m_index += t;
            if (this.m_index > 1) {
                let second = Math.floor(this.timer % 60);
                let minutes = Math.floor(this.timer / 60);
                this.timeText.setString((minutes < 10 ? "0" + minutes : minutes) + ":" + (second < 10 ? "0" + second : second));

                this.timer++;
                this.m_index = 0;
            }

            if (this.isscceed) {
                this.m_myjindu++;
                this.m_blueLoading.setString(Math.min(this.m_myjindu, 100) + "%");
                this.m_enemryjindu++;
                this.m_redLoading.setString(Math.min(this.m_enemryjindu, 100) + "%");
                this.toPvpFight();
            }
        }

    }
}