var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_qianghua = (function (_super) {
        __extends(ui_qianghua, _super);
        function ui_qianghua() {
            _super.call(this);
            this.m_CBaseKeyState = null;
            this.m_viewPercent = 0;
            this.m_speed = 0;
            this.m_curPercent = 0;
            this.m_listView = null;
            this.m_WeaponChecks = null;
            this.m_heroName = ""; //角色大厅的名字
            this.m_weaponName = null; //当前武器
            this.m_des = "ui_qianghua";
            this.m_CBaseKeyState = new game.BaseKeyState();
            this.m_WeaponChecks = new game.Map();
        }
        ui_qianghua.prototype.up = function () {
            _super.prototype.up.call(this);
            this.updateUI(this.m_CBaseKeyState.m_key.node.getUserData());
            this.isShowDiamondOrGold(this.m_CBaseKeyState.m_key.node.getUserData());
            this.m_viewPercent = this.getPercentHorizontal();
            this.m_viewPercent = this.m_viewPercent - (1 / (20 - 4) * 100) <= 0 ? 0 : this.m_viewPercent - (1 / (20 - 4) * 100);
            this.m_speed = 50;
        };
        ui_qianghua.prototype.down = function () {
            _super.prototype.down.call(this);
            this.updateUI(this.m_CBaseKeyState.m_key.node.getUserData());
            this.isShowDiamondOrGold(this.m_CBaseKeyState.m_key.node.getUserData());
            this.m_viewPercent = this.getPercentHorizontal();
            this.m_viewPercent = this.m_viewPercent + (1 / (20 - 4) * 100) >= 100 ? 100 : this.m_viewPercent + (1 / (20 - 4) * 100);
            this.m_speed = 50;
        };
        ui_qianghua.prototype.left = function () {
            _super.prototype.left.call(this);
            this.updateUI(this.m_CBaseKeyState.m_key.node.getUserData());
            this.isShowDiamondOrGold(this.m_CBaseKeyState.m_key.node.getUserData());
        };
        ui_qianghua.prototype.right = function () {
            _super.prototype.right.call(this);
            this.updateUI(this.m_CBaseKeyState.m_key.node.getUserData());
            this.isShowDiamondOrGold(this.m_CBaseKeyState.m_key.node.getUserData());
        };
        ui_qianghua.prototype.getPercentHorizontal = function () {
            var offsetY = this.m_listView.getInnerContainer().getPositionY();
            var w = this.m_listView.getInnerContainerSize().height - this.m_listView.getContentSize().height;
            return 100 + (offsetY / w * 100);
        };
        ui_qianghua.prototype.oninit = function (data) {
            var root = this._parseUIFile("juese_qianghua3.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.m_heroName = data;
            var tuichu = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (!game.Version_mgr.getInstance().isPhone()) {
                if (tuichu) {
                    game.dataMgr.getMe().loadCheckBoximg(tuichu, "xingjietantantang/big/ui/image/ddt_ui138b.png");
                }
            }
            tuichu.addTouchEventListener(this.tuichu_func, this);
            this.m_listView = ccui.helper.seekWidgetByName(root, "ScrollView_1");
            this.initRegister();
            this.initUI();
            this.m_CBaseKeyState.init(this);
            this.m_CBaseKeyState.setCurKey_byName("wuqi_1");
            this.updateUI(this.m_WeaponChecks.getByIndex(0).getUserData());
            this.isShowDiamondOrGold(this.m_WeaponChecks.getByIndex(0).getUserData());
        };
        ui_qianghua.prototype.initRegister = function () {
            var index = 2;
            for (var p = 1; p <= 40; p++) {
                var weapons = ccui.helper.seekWidgetByName(this.m_listView, "wuqi_" + p);
                weapons.addTouchEventListener(this.selectWeaponFun, this);
                if (p % 2 != 0) {
                    this.m_WeaponChecks.set("wuqi" + index, weapons);
                }
                else {
                    this.m_WeaponChecks.set("wuqi" + index + "_1", weapons);
                    index++;
                }
                this.m_CBaseKeyState.regNodeEx(weapons, p);
            }
        };
        ui_qianghua.prototype.setLoadTexture = function (path, checkName) {
            var _node = this.m_WeaponChecks.get(checkName);
            game.dataMgr.getMe().loadCheckBoximg(_node, path);
        };
        ui_qianghua.prototype.setLockShowOrHidden = function (flag, checkName) {
            var _node = this.m_WeaponChecks.get(checkName);
            var suo = ccui.helper.seekWidgetByName(_node, "suo");
            suo.setVisible(flag);
        };
        ui_qianghua.prototype.setStrengthen = function (text, checkName) {
            var _node = this.m_WeaponChecks.get(checkName);
            var qianghua = ccui.helper.seekWidgetByName(_node, "qianghua");
            qianghua.setString(text);
        };
        ui_qianghua.prototype.setqianghuaxiaohao = function (text) {
            var qianghuaxiaohao = ccui.helper.seekWidgetByTag(this.m_root, 515);
            qianghuaxiaohao.setString(text);
        };
        ui_qianghua.prototype.reSort = function () {
            var dataLock = [];
            var dataUnlock = [];
            var name;
            var str;
            var weapons = game.fileMgr.getMe().m_play_doc.weapons;
            for (var i = 0; i < weapons.length; ++i) {
                if (!weapons[i])
                    continue;
                str = weapons[i].split("*");
                name = str[0];
                if (name == "wuqi1" || name == "wuqi1_1") {
                    continue;
                }
                if (parseInt(str[1]) >= 0) {
                    dataLock.push(weapons[i]);
                }
                else {
                    dataUnlock.push(weapons[i]);
                }
            }
            dataLock = this.maopaoSort(dataLock);
            dataUnlock = this.maopaoSort(dataUnlock);
            var resetdata = dataLock.concat(dataUnlock);
            return resetdata;
        };
        ui_qianghua.prototype.maopaoSort = function (data) {
            var value = null;
            for (var i = 0; i < data.length; i++) {
                for (var j = 0; j < data.length - 1 - i; j++) {
                    var num = parseInt(data[j].match(/\d+/));
                    var after = parseInt(data[j + 1].match(/\d+/));
                    if (num >= after) {
                        value = data[j];
                        data[j] = data[j + 1];
                        data[j + 1] = value;
                    }
                }
            }
            return data;
        };
        ui_qianghua.prototype.initUI = function () {
            var Weapons = this.reSort();
            for (var p = 0; p < this.m_WeaponChecks.size; p++) {
                var key = this.m_WeaponChecks.getKeyByIndex(p);
                var node = this.m_WeaponChecks.getByIndex(p);
                if (Weapons[p]) {
                    // let weaponname = itemMgr.getMe().typeToString(Weapons[p].id);
                    var weaponname = Weapons[p].split("*")[0];
                    var config = game.dataMgr.getMe().getWeaponconfig(weaponname);
                    var level = game.dataMgr.getMe().getweaponlevel(weaponname);
                    node.setUserData(weaponname);
                    this.setLoadTexture(config.icon, key);
                    this.setStrengthen("+" + level, key);
                    if (level <= 0) {
                        this.setStrengthen("", key);
                    }
                    if (game.itemMgr.getMe().getWeaponislock(Weapons[p].split("*")[0])) {
                        this.setLockShowOrHidden(false, key);
                    }
                }
                else {
                    node.setVisible(false);
                }
            }
        };
        ui_qianghua.prototype.updateUI = function (weaponname) {
            var qianghua = ccui.helper.seekWidgetByName(this.m_root, "qianghua");
            var pic = ccui.helper.seekWidgetByName(qianghua, "pic");
            var qianghuaText = ccui.helper.seekWidgetByName(pic, "qianghua");
            var name = ccui.helper.seekWidgetByName(pic, "name");
            var dangqiandengji = ccui.helper.seekWidgetByName(qianghua, "dangqiandengji");
            var qianghuahoudengji = ccui.helper.seekWidgetByName(qianghua, "qianghuahoudengji");
            var gongji = ccui.helper.seekWidgetByName(qianghua, "gongji");
            var LoadingBar_gongji = ccui.helper.seekWidgetByName(gongji, "LoadingBar_2");
            var shuzhi_gongji = ccui.helper.seekWidgetByName(gongji, "shuzhi");
            var danyao = ccui.helper.seekWidgetByName(qianghua, "danyao");
            var LoadingBar_danyao = ccui.helper.seekWidgetByName(danyao, "LoadingBar_2");
            var shuzhi_danyao = ccui.helper.seekWidgetByName(danyao, "shuzhi");
            var shecheng = ccui.helper.seekWidgetByName(qianghua, "shecheng");
            var jiaodu = ccui.helper.seekWidgetByName(qianghua, "jiaodu");
            var leixing = ccui.helper.seekWidgetByName(qianghua, "leixing");
            var gongji_2 = ccui.helper.seekWidgetByName(qianghua, "gongji_2");
            var danyao_2 = ccui.helper.seekWidgetByName(qianghua, "danyao_2");
            var shecheng_2 = ccui.helper.seekWidgetByName(qianghua, "shecheng_2");
            var jiaodu_2 = ccui.helper.seekWidgetByName(qianghua, "jiaodu_2");
            var leixing_2 = ccui.helper.seekWidgetByName(qianghua, "leixing_2");
            var image = ccui.helper.seekWidgetByTag(qianghua, 1040);
            image.setVisible(true);
            var Text = ccui.helper.seekWidgetByTag(qianghua, 1253);
            Text.setVisible(true);
            var Text_230_0 = ccui.helper.seekWidgetByName(qianghua, "Text_230_0");
            Text_230_0.setVisible(true);
            var Textleixing = ccui.helper.seekWidgetByName(gongji, "Text_47");
            if (weaponname == "wuqi19" || weaponname == "wuqi19_1") {
                Textleixing.setString("回复值:");
            }
            else {
                Textleixing.setString("伤害值:");
            }
            if (!game.itemMgr.getMe().getWeaponislock(weaponname)) {
                this.setqianghuaxiaohao("确认键解锁，消耗");
            }
            else {
                this.setqianghuaxiaohao("确认键强化，消耗");
            }
            //粒子特效
            var node_teixao = ccui.helper.seekWidgetByName(this.m_root, "Node_1");
            node_teixao.setVisible(true);
            var level = game.dataMgr.getMe().getweaponlevel(weaponname);
            var conf = game.dataMgr.getMe().getWeaponconfig(weaponname);
            var curlevelConf = game.dataMgr.getMe().getWeaponlevelconfig(weaponname, level);
            var NextLevelConf = game.dataMgr.getMe().getWeaponlevelconfig(weaponname, level + 1);
            pic.loadTexture(conf.icon);
            name.setString(conf.desName);
            qianghuaText.setString("+" + level);
            dangqiandengji.setString("+" + level);
            qianghuahoudengji.setString("+" + Number(level + 1));
            shuzhi_gongji.setString(curlevelConf.damage);
            shuzhi_danyao.setString(curlevelConf.bulletNum);
            shecheng.setString(curlevelConf.range);
            jiaodu.setString(curlevelConf.minAngle + "-" + curlevelConf.maxAngle);
            leixing.setString(conf.damageType2);
            LoadingBar_gongji.setPercent(curlevelConf.damage / game.dataMgr.getMe().getWeaponMax("damage") * 100);
            LoadingBar_danyao.setPercent(curlevelConf.bulletNum / game.dataMgr.getMe().getWeaponMax("danyao") * 100);
            if (NextLevelConf) {
                gongji_2.setVisible(true);
                danyao_2.setVisible(true);
                shecheng_2.setVisible(true);
                jiaodu_2.setVisible(true);
                leixing_2.setVisible(true);
                qianghuahoudengji.setVisible(true);
                gongji_2.setString(NextLevelConf.damage);
                danyao_2.setString(NextLevelConf.bulletNum);
                shecheng_2.setString(NextLevelConf.range);
                jiaodu_2.setString(NextLevelConf.minAngle + "-" + NextLevelConf.maxAngle);
                leixing_2.setString(conf.damageType2);
            }
            else {
                gongji_2.setVisible(false);
                danyao_2.setVisible(false);
                shecheng_2.setVisible(false);
                jiaodu_2.setVisible(false);
                leixing_2.setVisible(false);
                qianghuahoudengji.setVisible(false);
                image.setVisible(false);
                Text.setVisible(false);
                Text_230_0.setVisible(false);
                this.setqianghuaxiaohao("");
                node_teixao.setVisible(false);
            }
            if (level <= 0) {
                qianghuaText.setString("");
                dangqiandengji.setString("");
            }
        };
        //返回上一个界面（role）
        ui_qianghua.prototype.tuichu_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        };
        ui_qianghua.prototype.selectWeaponFun = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.m_weaponName = sender.getUserData();
                    if (this.m_weaponName == "" || this.m_weaponName == null) {
                        console.log("ereror name null");
                        return;
                    }
                    var level = game.dataMgr.getMe().getweaponlevel(this.m_weaponName);
                    var MaxLevel = game.dataMgr.getMe().getWeaponMaxLevel(this.m_weaponName);
                    if (level >= MaxLevel) {
                        game.ui_messageBox.ShowOrHide(true, "已达强化最大等级！");
                        return;
                    }
                    var flag = game.itemMgr.getMe().getWeaponislock(this.m_weaponName);
                    if (!flag) {
                        var conf = game.dataMgr.getMe().getWeaponconfig(this.m_weaponName);
                        if (conf.jinbi == -1) {
                            game.ui_messageBox.ShowOrHide(true, conf.tishi);
                            return;
                        }
                        this.buyWeaponLock(this.m_weaponName);
                        return;
                    }
                    this.buyWeaponStrengthen(this.m_weaponName);
                    break;
            }
        };
        //购买解锁装备
        ui_qianghua.prototype.buyWeaponLock = function (weaponName) {
            var zuanshiNum = game.Version_mgr.getInstance().getDiamondPriceBystr(weaponName);
            // ui_messageBox2.ShowOrHide(true, "是否花费" + zuanshiNum + "钻石解锁武器？", () => {
            //    // buy_mgr.getInstance().shoppingByDiamond(zuanshiNum,"解锁武器",ui_qianghua.getMe().buyWeaponSucceedCallBack,null)
            // });
            game.buy_mgr.getInstance().buyWeapon_buy(ui_qianghua.getMe().buyWeaponSucceedCallBack, ui_qianghua.getMe(), weaponName);
        };
        ui_qianghua.prototype.buyWeaponSucceedCallBack = function () {
            game.ui_messageBox.ShowOrHide(true, "购买成功！");
            // let zuanshiNum: number = Version_mgr.getInstance().getDiamondPriceBystr(ui_qianghua.getMe().m_weaponName);
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     zuanshiNum + "钻石解锁"+ g_daoju_nan[ui_qianghua.getMe().m_weaponName].desName);
            game.itemMgr.getMe().setWeaponLock(ui_qianghua.getMe().m_weaponName);
            ui_qianghua.getMe().initUI();
            ui_qianghua.getMe().isShowDiamondOrGold(ui_qianghua.getMe().m_weaponName);
            game.dataMgr.getMe().addTittleNum(game.e_chenghao.e_1, 1);
        };
        ui_qianghua.prototype.buyWeaponStrengthen = function (weaponName) {
            var level = game.dataMgr.getMe().getweaponlevel(weaponName);
            var jinbiNum = game.Version_mgr.getInstance().getGoldPriceBystr("qianghua" + (level + 1));
            var zuanshiNum = game.Version_mgr.getInstance().getDiamondPriceBystr("qianghua" + (level + 1));
            if (jinbiNum > 0) {
                if (game.dataMgr.getMe().removeItemByType(game.e_item.e_jinbi, jinbiNum)) {
                    // ui_messageBox.ShowOrHide(true, "购买成功！");
                    this.strengWeaponCallBack();
                }
                else {
                    game.ui_messageBox2.ShowOrHide(true, "金币不足！是否花费" + zuanshiNum + "钻石强化武器？", function () {
                        console.log("sss" + weaponName);
                        game.buy_mgr.getInstance().buyUpWeapon_buy(ui_qianghua.getMe().strengWeaponCallBack, ui_qianghua.getMe(), "qianghua" + (level + 1), weaponName);
                    });
                }
            }
            else {
                // buy_mgr.getInstance().shoppingByDiamond(zuanshiNum,"强化武器",ui_qianghua.getMe().strengWeaponCallBack,null)
                console.log("sss" + weaponName);
                game.buy_mgr.getInstance().buyUpWeapon_buy(ui_qianghua.getMe().strengWeaponCallBack, ui_qianghua.getMe(), "qianghua" + (level + 1), weaponName);
            }
        };
        ui_qianghua.prototype.strengWeaponCallBack = function () {
            var level = game.dataMgr.getMe().getweaponlevel(ui_qianghua.getMe().m_weaponName);
            // let zuanshiNum: number = Version_mgr.getInstance().getDiamondPriceBystr("qianghua" + (level + 1));
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     zuanshiNum + "钻石强化"+ g_daoju_nan[ui_qianghua.getMe().m_weaponName].desName);
            game.dataMgr.getMe().addTittleNum(game.e_chenghao.e_3, 1);
            game.dataMgr.getMe().setWeaponlevel(ui_qianghua.getMe().m_weaponName, Number(level + 1));
            ui_qianghua.getMe().setxiedaiqianghua(ui_qianghua.getMe().m_weaponName, Number(level + 1));
            ui_qianghuaTexiao.ShowOrHide(true);
            ui_qianghuaTexiao.getMe().callBackUpdateUI(game.dataMgr.getMe().getWeaponconfig(ui_qianghua.getMe().m_weaponName).icon, game.dataMgr.getMe().getweaponlevel(ui_qianghua.getMe().m_weaponName), game.dataMgr.getMe().getWeaponconfig(ui_qianghua.getMe().m_weaponName).desName);
            ui_qianghua.getMe().initUI();
            ui_qianghua.getMe().updateUI(ui_qianghua.getMe().m_weaponName);
            ui_qianghua.getMe().isShowDiamondOrGold(ui_qianghua.getMe().m_weaponName);
        };
        ui_qianghua.prototype.isShowDiamondOrGold = function (weaponName) {
            var level = game.dataMgr.getMe().getweaponlevel(weaponName);
            var maxLevel = game.dataMgr.getMe().getWeaponMaxLevel(weaponName);
            var jibiNum = game.Version_mgr.getInstance().getGoldPriceBystr("qianghua" + Number(level + 1));
            var zuanshiNum = game.Version_mgr.getInstance().getDiamondPriceBystr("qianghua" + Number(level + 1));
            if (jibiNum > 0) {
                this.updateDiamondOrGold(false, jibiNum);
            }
            else {
                this.updateDiamondOrGold(true, 0, zuanshiNum);
            }
            if (maxLevel <= level) {
                var zuanshi = ccui.helper.seekWidgetByName(this.m_root, "zuanshi");
                var jinbi = ccui.helper.seekWidgetByName(this.m_root, "jinbi");
                jinbi.setVisible(false);
                zuanshi.setVisible(false);
            }
            if (!game.itemMgr.getMe().getWeaponislock(weaponName)) {
                zuanshiNum = game.Version_mgr.getInstance().getDiamondPriceBystr(weaponName);
                this.updateDiamondOrGold(true, 0, zuanshiNum);
            }
        };
        //刷新金币显示或者钻石
        ui_qianghua.prototype.updateDiamondOrGold = function (flag, Gold, Diamond) {
            if (Gold === void 0) { Gold = 0; }
            if (Diamond === void 0) { Diamond = 0; }
            var jinbi = ccui.helper.seekWidgetByName(this.m_root, "jinbi");
            var jinbiNum = ccui.helper.seekWidgetByName(jinbi, "shuliang");
            var zuanshi = ccui.helper.seekWidgetByName(this.m_root, "zuanshi");
            var zuanshiNum = ccui.helper.seekWidgetByName(zuanshi, "shuliang");
            zuanshi.setVisible(flag);
            zuanshiNum.setVisible(flag);
            jinbi.setVisible(!flag);
            jinbiNum.setVisible(!flag);
            jinbiNum.setString(Gold);
            zuanshiNum.setString(Diamond);
        };
        ui_qianghua.prototype.setxiedaiqianghua = function (name, level) {
            var otherplayer = ui_qianghua.getMe().m_heroName == "nv" ? "nan" : "nv";
            ui_qianghua.getMe().xiedaiWeapon(ui_qianghua.getMe().m_heroName, level, name);
            ui_qianghua.getMe().xiedaiWeapon(otherplayer, level, name);
        };
        ui_qianghua.prototype.xiedaiWeapon = function (PlayerName, level, name) {
            for (var i in game.dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"]) {
                if (game.dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i]) {
                    if (game.dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].name == null ||
                        game.dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].name == "") {
                        continue;
                    }
                    if (game.dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].name == name) {
                        game.dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].level = level;
                        var conf = game.dataMgr.getMe().getWeaponlevelconfig(name, level);
                        game.dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].num = conf.bulletNum;
                    }
                }
            }
        };
        ui_qianghua.prototype.updatePercent = function (t) {
            if (this.m_curPercent != this.m_viewPercent) {
                var dis = this.m_curPercent - this.m_viewPercent;
                if (dis > 0) {
                    this.m_speed -= 1;
                    this.m_speed = Math.max(0, this.m_speed);
                    this.m_curPercent -= t * this.m_speed;
                }
                if (dis < 0) {
                    this.m_speed -= 1;
                    this.m_speed = Math.max(0, this.m_speed);
                    this.m_curPercent += t * this.m_speed;
                }
                if (Math.abs(dis) < t * this.m_speed) {
                    this.m_curPercent = this.m_viewPercent;
                }
                this.m_listView.jumpToPercentVertical(this.m_curPercent);
            }
        };
        ui_qianghua.prototype.loop = function (t) {
            this.updatePercent(t);
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
                if (this.m_CBaseKeyState.m_key == null)
                    return;
            }
        };
        ui_qianghua.prototype.onBack = function () {
            this.m_WeaponChecks.clear();
            ui_qianghua.ShowOrHide(false);
            game.ui_juese.ShowOrHide(true);
            if (game.ui_choosehero.getMe())
                game.ui_choosehero.getMe().updateui();
            if (game.ui_choosehero2.getMe())
                game.ui_choosehero2.getMe().updateui();
            if (game.ui_juese.getMe())
                game.ui_juese.getMe().updateUI();
        };
        ui_qianghua.g_instarn = null;
        ui_qianghua.getMe = function () {
            return ui_qianghua.g_instarn;
        };
        ui_qianghua.ShowOrHide = function (flag, data) {
            game.UiBase.ShowOrHide(flag, ui_qianghua, game.uiMgr.getMe(), 1122, data);
        };
        return ui_qianghua;
    }(game.UiBase));
    game.ui_qianghua = ui_qianghua;
    var ui_qianghuaPhone = (function (_super) {
        __extends(ui_qianghuaPhone, _super);
        function ui_qianghuaPhone() {
            _super.call(this);
            this.m_listView = null;
            this.m_WeaponChecks = null;
            this.m_curCheckName = "";
            this.m_texiaoArray = null; //特效集合
            this.m_Textlock = null;
            this.m_heroName = ""; //角色大厅的名字
            this.m_lijiqianghua = null;
            this.m_des = "ui_qianghua";
            this.m_WeaponChecks = new game.Map();
            this.m_texiaoArray = new game.Map();
        }
        ui_qianghuaPhone.prototype.oninit = function (data) {
            var root = this._parseUIFile("juese_qianghua.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.m_heroName = data;
            var tuichu = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (!game.Version_mgr.getInstance().isPhone()) {
                if (tuichu) {
                    game.dataMgr.getMe().loadCheckBoximg(tuichu, "xingjietantantang/big/ui/image/ddt_ui138b.png");
                }
            }
            tuichu.addTouchEventListener(this.tuichu_func, this);
            this.m_lijiqianghua = ccui.helper.seekWidgetByName(this.m_root, "queren");
            this.m_lijiqianghua.addTouchEventListener(this.qianghuaFun, this);
            this.m_Textlock = ccui.helper.seekWidgetByName(this.m_lijiqianghua, "Text_187");
            this.m_listView = ccui.helper.seekWidgetByName(root, "ScrollView_1");
            this.initRegister();
            this.initUI();
            this.updateUI(this.m_WeaponChecks.getByIndex(0).getUserData());
            this.isShowDiamondOrGold(this.m_WeaponChecks.getByIndex(0).getUserData());
            this.m_curCheckName = this.m_WeaponChecks.getByIndex(0).getUserData();
            this.setGuangbiao(true, this.m_curCheckName);
        };
        //设置光标显示和隐藏
        ui_qianghuaPhone.prototype.setGuangbiao = function (flag, CheckName) {
            var texiao = this.m_texiaoArray.get(CheckName);
            texiao.setVisible(flag);
        };
        ui_qianghuaPhone.prototype.initRegister = function () {
            var index = 2;
            for (var p = 1; p <= 40; p++) {
                var weapons = ccui.helper.seekWidgetByName(this.m_listView, "wuqi_" + p);
                weapons.addTouchEventListener(this.selectWeaponFun, this);
                if (p % 2 != 0) {
                    this.m_WeaponChecks.set("wuqi" + index, weapons);
                }
                else {
                    this.m_WeaponChecks.set("wuqi" + index + "_1", weapons);
                    index++;
                }
            }
        };
        ui_qianghuaPhone.prototype.setLoadTexture = function (path, checkName) {
            var _node = this.m_WeaponChecks.get(checkName);
            game.dataMgr.getMe().loadCheckBoximg(_node, path);
        };
        ui_qianghuaPhone.prototype.setLockShowOrHidden = function (flag, checkName) {
            var _node = this.m_WeaponChecks.get(checkName);
            var suo = ccui.helper.seekWidgetByName(_node, "suo");
            suo.setVisible(flag);
        };
        ui_qianghuaPhone.prototype.setStrengthen = function (text, checkName) {
            var _node = this.m_WeaponChecks.get(checkName);
            var qianghua = ccui.helper.seekWidgetByName(_node, "qianghua");
            qianghua.setString(text);
        };
        ui_qianghuaPhone.prototype.reSort = function () {
            var dataLock = [];
            var dataUnlock = [];
            var name;
            var str;
            var weapons = game.fileMgr.getMe().m_play_doc.weapons;
            for (var i = 0; i < weapons.length; ++i) {
                if (!weapons[i])
                    continue;
                str = weapons[i].split("*");
                name = str[0];
                if (name == "wuqi1" || name == "wuqi1_1") {
                    continue;
                }
                if (parseInt(str[1]) >= 0) {
                    dataLock.push(weapons[i]);
                }
                else {
                    dataUnlock.push(weapons[i]);
                }
            }
            dataLock = this.maopaoSort(dataLock);
            dataUnlock = this.maopaoSort(dataUnlock);
            var resetdata = dataLock.concat(dataUnlock);
            return resetdata;
        };
        ui_qianghuaPhone.prototype.maopaoSort = function (data) {
            var value = null;
            for (var i = 0; i < data.length; i++) {
                for (var j = 0; j < data.length - 1 - i; j++) {
                    var num = parseInt(data[j].match(/\d+/));
                    var after = parseInt(data[j + 1].match(/\d+/));
                    if (num >= after) {
                        value = data[j];
                        data[j] = data[j + 1];
                        data[j + 1] = value;
                    }
                }
            }
            return data;
        };
        ui_qianghuaPhone.prototype.initUI = function () {
            var Weapons = this.reSort();
            for (var p = 0; p < this.m_WeaponChecks.size; p++) {
                var key = this.m_WeaponChecks.getKeyByIndex(p);
                var node = this.m_WeaponChecks.getByIndex(p);
                if (Weapons[p]) {
                    var weaponname = Weapons[p].split("*")[0];
                    var config = game.dataMgr.getMe().getWeaponconfig(weaponname);
                    var level = game.dataMgr.getMe().getweaponlevel(weaponname);
                    node.setUserData(weaponname);
                    var texiao = ccui.helper.seekWidgetByName(node, "uitexiao");
                    texiao.setVisible(false);
                    this.m_texiaoArray.set(weaponname, texiao);
                    this.setLoadTexture(config.icon, key);
                    this.setStrengthen("+" + level, key);
                    if (level <= 0) {
                        this.setStrengthen("", key);
                    }
                    if (game.itemMgr.getMe().getWeaponislock(Weapons[p].split("*")[0])) {
                        this.setLockShowOrHidden(false, key);
                    }
                }
                else {
                    node.setVisible(false);
                }
            }
            this.m_texiaoArray.getByIndex(0).setVisible(true);
        };
        ui_qianghuaPhone.prototype.updateUI = function (weaponname) {
            var qianghua = ccui.helper.seekWidgetByName(this.m_root, "qianghua");
            var pic = ccui.helper.seekWidgetByName(qianghua, "pic");
            var qianghuaText = ccui.helper.seekWidgetByName(pic, "qianghua");
            var name = ccui.helper.seekWidgetByName(pic, "name");
            var dangqiandengji = ccui.helper.seekWidgetByName(qianghua, "dangqiandengji");
            var qianghuahoudengji = ccui.helper.seekWidgetByName(qianghua, "qianghuahoudengji");
            var gongji = ccui.helper.seekWidgetByName(qianghua, "gongji");
            var LoadingBar_gongji = ccui.helper.seekWidgetByName(gongji, "LoadingBar_2");
            var shuzhi_gongji = ccui.helper.seekWidgetByName(gongji, "shuzhi");
            var danyao = ccui.helper.seekWidgetByName(qianghua, "danyao");
            var LoadingBar_danyao = ccui.helper.seekWidgetByName(danyao, "LoadingBar_2");
            var shuzhi_danyao = ccui.helper.seekWidgetByName(danyao, "shuzhi");
            var shecheng = ccui.helper.seekWidgetByName(qianghua, "shecheng");
            var jiaodu = ccui.helper.seekWidgetByName(qianghua, "jiaodu");
            var leixing = ccui.helper.seekWidgetByName(qianghua, "leixing");
            var gongji_2 = ccui.helper.seekWidgetByName(qianghua, "gongji_2");
            var danyao_2 = ccui.helper.seekWidgetByName(qianghua, "danyao_2");
            var shecheng_2 = ccui.helper.seekWidgetByName(qianghua, "shecheng_2");
            var jiaodu_2 = ccui.helper.seekWidgetByName(qianghua, "jiaodu_2");
            var leixing_2 = ccui.helper.seekWidgetByName(qianghua, "leixing_2");
            var image = ccui.helper.seekWidgetByTag(qianghua, 1040);
            image.setVisible(true);
            var Text = ccui.helper.seekWidgetByTag(qianghua, 1253);
            Text.setVisible(true);
            var Text_230_0 = ccui.helper.seekWidgetByName(qianghua, "Text_230_0");
            Text_230_0.setVisible(true);
            var nodetexiao = ccui.helper.seekWidgetByName(this.m_root, "Node_3");
            nodetexiao.setVisible(true);
            var Textleixing = ccui.helper.seekWidgetByName(gongji, "Text_47");
            if (weaponname == "wuqi19" || weaponname == "wuqi19_1") {
                Textleixing.setString("回复值:");
            }
            else {
                Textleixing.setString("伤害值:");
            }
            var level = game.dataMgr.getMe().getweaponlevel(weaponname);
            var conf = game.dataMgr.getMe().getWeaponconfig(weaponname);
            var curlevelConf = game.dataMgr.getMe().getWeaponlevelconfig(weaponname, level);
            var NextLevelConf = game.dataMgr.getMe().getWeaponlevelconfig(weaponname, level + 1);
            pic.loadTexture(conf.icon);
            name.setString(conf.desName);
            qianghuaText.setString("+" + level);
            dangqiandengji.setString("+" + level);
            qianghuahoudengji.setString("+" + Number(level + 1));
            shuzhi_gongji.setString(curlevelConf.damage);
            shuzhi_danyao.setString(curlevelConf.bulletNum);
            shecheng.setString(curlevelConf.range);
            jiaodu.setString(curlevelConf.minAngle + "-" + curlevelConf.maxAngle);
            leixing.setString(conf.damageType2);
            LoadingBar_gongji.setPercent(curlevelConf.damage / game.dataMgr.getMe().getWeaponMax("damage") * 100);
            LoadingBar_danyao.setPercent(curlevelConf.bulletNum / game.dataMgr.getMe().getWeaponMax("danyao") * 100);
            if (NextLevelConf) {
                gongji_2.setVisible(true);
                danyao_2.setVisible(true);
                shecheng_2.setVisible(true);
                jiaodu_2.setVisible(true);
                leixing_2.setVisible(true);
                qianghuahoudengji.setVisible(true);
                gongji_2.setString(NextLevelConf.damage);
                danyao_2.setString(NextLevelConf.bulletNum);
                shecheng_2.setString(NextLevelConf.range);
                jiaodu_2.setString(NextLevelConf.minAngle + "-" + NextLevelConf.maxAngle);
                leixing_2.setString(conf.damageType2);
            }
            else {
                gongji_2.setVisible(false);
                danyao_2.setVisible(false);
                shecheng_2.setVisible(false);
                jiaodu_2.setVisible(false);
                leixing_2.setVisible(false);
                qianghuahoudengji.setVisible(false);
                image.setVisible(false);
                Text.setVisible(false);
                Text_230_0.setVisible(false);
                nodetexiao.setVisible(false);
            }
            if (level <= 0) {
                qianghuaText.setString("");
                dangqiandengji.setString("");
            }
        };
        //返回上一个界面（role）
        ui_qianghuaPhone.prototype.tuichu_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        };
        ui_qianghuaPhone.prototype.onTouchBegan = function (touch, event) {
            this.selectWeaponFun;
            return true;
        };
        ui_qianghuaPhone.prototype.selectWeaponFun = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    for (var p = 0; p < this.m_texiaoArray.size; p++) {
                        var _node = this.m_texiaoArray.getByIndex(p);
                        _node.setVisible(false);
                    }
                    this.m_curCheckName = sender.getUserData();
                    this.updateUI(sender.getUserData());
                    this.setGuangbiao(true, sender.getUserData());
                    if (!game.itemMgr.getMe().getWeaponislock(this.m_curCheckName)) {
                        this.m_Textlock.setString("立即解锁");
                    }
                    else {
                        this.m_Textlock.setString("立即强化");
                    }
                    this.isShowDiamondOrGold(this.m_curCheckName);
                    break;
            }
        };
        ui_qianghuaPhone.prototype.qianghuaFun = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if (this.m_curCheckName == "" || this.m_curCheckName == null) {
                        console.log("ereror name null");
                        return;
                    }
                    var level = game.dataMgr.getMe().getweaponlevel(this.m_curCheckName);
                    var MaxLevel = game.dataMgr.getMe().getWeaponMaxLevel(this.m_curCheckName);
                    if (level >= MaxLevel) {
                        game.ui_messageBox.ShowOrHide(true, "已达强化最大等级！");
                        return;
                    }
                    var flag = game.itemMgr.getMe().getWeaponislock(this.m_curCheckName);
                    if (!flag) {
                        var conf = game.dataMgr.getMe().getWeaponconfig(this.m_curCheckName);
                        if (conf.jinbi == -1) {
                            game.ui_messageBox.ShowOrHide(true, conf.tishi);
                            return;
                        }
                        this.buyWeaponLock(this.m_curCheckName);
                        if (!game.itemMgr.getMe().getWeaponislock(this.m_curCheckName)) {
                            this.m_Textlock.setString("立即解锁");
                        }
                        else {
                            this.m_Textlock.setString("立即强化");
                        }
                        return;
                    }
                    this.buyWeaponStrengthen(this.m_curCheckName);
                    break;
            }
        };
        //购买解锁装备
        ui_qianghuaPhone.prototype.buyWeaponLock = function (weaponName) {
            var zuanshiNum = game.Version_mgr.getInstance().getDiamondPriceBystr(weaponName);
            // ui_messageBox2.ShowOrHide(true, "是否花费" + zuanshiNum + "钻石解锁武器？", () => {
            //     buy_mgr.getInstance().shoppingByDiamond(zuanshiNum,"解锁武器",ui_qianghuaPhone.getMe().buySucceedCallBack,null)
            // });
            game.buy_mgr.getInstance().buyWeapon_buy(ui_qianghuaPhone.getMe().buySucceedCallBack, ui_qianghuaPhone.getMe(), weaponName);
        };
        ui_qianghuaPhone.prototype.buySucceedCallBack = function () {
            var zuanshiNum = game.Version_mgr.getInstance().getDiamondPriceBystr(ui_qianghuaPhone.getMe().m_curCheckName);
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     zuanshiNum + "钻石购买"+ g_daoju_nan[ui_qianghuaPhone.getMe().m_curCheckName].desName);
            game.ui_messageBox.ShowOrHide(true, "购买成功！");
            game.itemMgr.getMe().setWeaponLock(ui_qianghuaPhone.getMe().m_curCheckName);
            ui_qianghuaPhone.getMe().initUI();
            ui_qianghuaPhone.getMe().isShowDiamondOrGold(ui_qianghuaPhone.getMe().m_curCheckName);
            game.dataMgr.getMe().addTittleNum(game.e_chenghao.e_1, 1);
        };
        ui_qianghuaPhone.prototype.buyWeaponStrengthen = function (weaponName) {
            var level = game.dataMgr.getMe().getweaponlevel(weaponName);
            var jinbiNum = game.Version_mgr.getInstance().getGoldPriceBystr("qianghua" + (level + 1));
            var zuanshiNum = game.Version_mgr.getInstance().getDiamondPriceBystr("qianghua" + (level + 1));
            if (jinbiNum > 0) {
                if (game.dataMgr.getMe().removeItemByType(game.e_item.e_jinbi, jinbiNum)) {
                    this.strengthWeaponCallback();
                }
                else {
                    game.ui_messageBox2.ShowOrHide(true, "金币不足！是否花费" + zuanshiNum + "钻石强化武器？", function () {
                        game.buy_mgr.getInstance().buyUpWeapon_buy(ui_qianghuaPhone.getMe().strengthWeaponCallback, ui_qianghuaPhone.getMe(), "qianghua" + (level + 1), weaponName);
                    });
                }
            }
            else {
                // buy_mgr.getInstance().shoppingByDiamond(zuanshiNum,"强化武器",ui_qianghuaPhone.getMe().strengthWeaponCallback,null)
                game.buy_mgr.getInstance().buyUpWeapon_buy(ui_qianghuaPhone.getMe().strengthWeaponCallback, ui_qianghuaPhone.getMe(), "qianghua" + (level + 1), weaponName);
            }
        };
        ui_qianghuaPhone.prototype.strengthWeaponCallback = function () {
            var level = game.dataMgr.getMe().getweaponlevel((ui_qianghuaPhone.getMe().m_curCheckName));
            // let zuanshiNum: number = Version_mgr.getInstance().getDiamondPriceBystr("qianghua" + (level + 1));
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     zuanshiNum + "钻石强化"+ g_daoju_nan[ui_qianghuaPhone.getMe().m_curCheckName].desName);
            game.dataMgr.getMe().addTittleNum(game.e_chenghao.e_3, 1);
            game.dataMgr.getMe().setWeaponlevel(ui_qianghuaPhone.getMe().m_curCheckName, Number(level + 1));
            ui_qianghuaPhone.getMe().setxiedaiqianghua(ui_qianghuaPhone.getMe().m_curCheckName, Number(level + 1));
            ui_qianghuaTexiao.ShowOrHide(true);
            ui_qianghuaTexiao.getMe().callBackUpdateUI(game.dataMgr.getMe().getWeaponconfig(ui_qianghuaPhone.getMe().m_curCheckName).icon, game.dataMgr.getMe().getweaponlevel(ui_qianghuaPhone.getMe().m_curCheckName), game.dataMgr.getMe().getWeaponconfig(ui_qianghuaPhone.getMe().m_curCheckName).desName);
            ui_qianghuaPhone.getMe().initUI();
            ui_qianghuaPhone.getMe().updateUI(ui_qianghuaPhone.getMe().m_curCheckName);
            ui_qianghuaPhone.getMe().isShowDiamondOrGold(ui_qianghuaPhone.getMe().m_curCheckName);
        };
        ui_qianghuaPhone.prototype.isShowDiamondOrGold = function (weaponName) {
            var level = game.dataMgr.getMe().getweaponlevel(weaponName);
            var maxlevel = game.dataMgr.getMe().getWeaponMaxLevel(weaponName);
            var jibiNum = game.Version_mgr.getInstance().getGoldPriceBystr("qianghua" + Number(level + 1));
            var zuanshiNum = game.Version_mgr.getInstance().getDiamondPriceBystr("qianghua" + Number(level + 1));
            var img = ccui.helper.seekWidgetByTag(this.m_root, 1246);
            var zuanshi = ccui.helper.seekWidgetByName(this.m_root, "zuanshi");
            img.setVisible(true);
            zuanshi.setVisible(true);
            this.m_lijiqianghua.setVisible(true);
            if (jibiNum > 0) {
                this.updateDiamondOrGold(false, jibiNum);
            }
            else {
                this.updateDiamondOrGold(true, 0, zuanshiNum);
                if (level >= maxlevel) {
                    img.setVisible(false);
                    zuanshi.setVisible(false);
                    this.m_lijiqianghua.setVisible(false);
                }
            }
            if (!game.itemMgr.getMe().getWeaponislock(weaponName)) {
                zuanshiNum = game.Version_mgr.getInstance().getDiamondPriceBystr(weaponName);
                this.updateDiamondOrGold(true, 0, zuanshiNum);
            }
        };
        //刷新金币显示或者钻石
        ui_qianghuaPhone.prototype.updateDiamondOrGold = function (flag, Gold, Diamond) {
            if (Gold === void 0) { Gold = 0; }
            if (Diamond === void 0) { Diamond = 0; }
            var jinbi = ccui.helper.seekWidgetByName(this.m_root, "jinbi");
            var jinbiNum = ccui.helper.seekWidgetByName(jinbi, "shuliang");
            var zuanshi = ccui.helper.seekWidgetByName(this.m_root, "zuanshi");
            var zuanshiNum = ccui.helper.seekWidgetByName(zuanshi, "shuliang");
            zuanshi.setVisible(flag);
            zuanshiNum.setVisible(flag);
            jinbi.setVisible(!flag);
            jinbiNum.setVisible(!flag);
            jinbiNum.setString(Gold);
            zuanshiNum.setString(Diamond);
        };
        ui_qianghuaPhone.prototype.setxiedaiqianghua = function (name, level) {
            var otherplayer = ui_qianghuaPhone.getMe().m_heroName == "nv" ? "nan" : "nv";
            ui_qianghuaPhone.getMe().xiedaiWeapon(ui_qianghuaPhone.getMe().m_heroName, level, name);
            ui_qianghuaPhone.getMe().xiedaiWeapon(otherplayer, level, name);
        };
        ui_qianghuaPhone.prototype.xiedaiWeapon = function (PlayerName, level, name) {
            for (var i in game.dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"]) {
                if (game.dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i]) {
                    if (game.dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].name == null ||
                        game.dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].name == "") {
                        continue;
                    }
                    if (game.dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].name == name) {
                        game.dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].level = level;
                        var conf = game.dataMgr.getMe().getWeaponlevelconfig(name, level);
                        game.dataMgr.getMe().getPlayDoc()[ui_qianghuaPhone.getMe().m_heroName + "_weapon"][i].num = conf.bulletNum;
                    }
                }
            }
        };
        ui_qianghuaPhone.prototype.loop = function (t) {
        };
        ui_qianghuaPhone.prototype.onBack = function () {
            this.m_texiaoArray.clear();
            this.m_WeaponChecks.clear();
            game.ui_juese.ShowOrHide(true);
            if (game.ui_choosehero.getMe())
                game.ui_choosehero.getMe().updateui();
            if (game.ui_choosehero2.getMe())
                game.ui_choosehero2.getMe().updateui();
            if (game.ui_juese.getMe())
                game.ui_juese.getMe().updateUI();
            ui_qianghuaPhone.ShowOrHide(false);
        };
        ui_qianghuaPhone.g_instarn = null;
        ui_qianghuaPhone.getMe = function () {
            return ui_qianghuaPhone.g_instarn;
        };
        ui_qianghuaPhone.ShowOrHide = function (flag, data) {
            game.UiBase.ShowOrHide(flag, ui_qianghuaPhone, game.uiMgr.getMe(), 1122, data);
        };
        return ui_qianghuaPhone;
    }(game.UiBase));
    game.ui_qianghuaPhone = ui_qianghuaPhone;
    var ui_qianghuaTexiao = (function (_super) {
        __extends(ui_qianghuaTexiao, _super);
        function ui_qianghuaTexiao() {
            _super.call(this);
            this.m_des = "ui_qianghuaTexiao";
        }
        ui_qianghuaTexiao.prototype.oninit = function () {
            var _this = this;
            var root = this._parseUIFile("juese_qianghua2.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.playAnimation("play", false, function () {
                var act = cc.jumpBy(2, cc.p(0, 0), 0, 1);
                var seq = cc.sequence(act, cc.callFunc(function () {
                    ui_qianghuaTexiao.ShowOrHide(false);
                }.bind(_this), _this, null));
                root.runAction(seq);
            }, this);
        };
        ui_qianghuaTexiao.prototype.callBackUpdateUI = function (path, qianghuaNum, weaponname) {
            var pic = ccui.helper.seekWidgetByName(this.m_root, "pic");
            var qianghua = ccui.helper.seekWidgetByName(pic, "qianghua");
            var name = ccui.helper.seekWidgetByName(pic, "name");
            pic.loadTexture(path);
            qianghua.setString("+" + qianghuaNum);
            if (qianghuaNum <= 0) {
                qianghua.setString("");
            }
            name.setString(weaponname);
        };
        ui_qianghuaTexiao.g_instarn = null;
        ui_qianghuaTexiao.getMe = function () {
            return ui_qianghuaTexiao.g_instarn;
        };
        ui_qianghuaTexiao.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_qianghuaTexiao, game.uiMgr.getMe(), 1122);
        };
        return ui_qianghuaTexiao;
    }(game.UiBase));
    game.ui_qianghuaTexiao = ui_qianghuaTexiao;
})(game || (game = {}));
//# sourceMappingURL=ui_qianghua.js.map