module game {

    import number = cc.number;
    import delayTime = cc.delayTime;
    export class ui_qianghua extends game.UiBase {
        static g_instarn: ui_qianghua = null;
        static getMe = function (): ui_qianghua {
            return ui_qianghua.g_instarn;
        };
        m_CBaseKeyState: BaseKeyState = null
        static ShowOrHide = function (flag, data?) {
            UiBase.ShowOrHide(flag, ui_qianghua, uiMgr.getMe(), 1122, data);
        };

        constructor() {
            super();
            this.m_des = "ui_qianghua";
            this.m_CBaseKeyState = new BaseKeyState();
            this.m_WeaponChecks = new Map<string,ccui.CheckBox>();
        }

        m_viewPercent = 0;
        m_speed = 0;
        m_curPercent = 0;
        m_listView: ccui.ScrollView = null;
        m_WeaponChecks: Map<string,ccui.CheckBox> = null;
        m_heroName: string = "";//角色大厅的名字
        up() {
            super.up();
            this.updateUI(this.m_CBaseKeyState.m_key.node.getUserData());
            this.isShowDiamondOrGold(this.m_CBaseKeyState.m_key.node.getUserData());
            this.m_viewPercent = this.getPercentHorizontal();
            this.m_viewPercent = this.m_viewPercent - (1 / (20 - 4) * 100) <= 0 ? 0 : this.m_viewPercent - (1 / (20 - 4) * 100);
            this.m_speed = 50;
        }

        down() {
            super.down();
            this.updateUI(this.m_CBaseKeyState.m_key.node.getUserData());
            this.isShowDiamondOrGold(this.m_CBaseKeyState.m_key.node.getUserData());
            this.m_viewPercent = this.getPercentHorizontal();
            this.m_viewPercent = this.m_viewPercent + (1 / (20 - 4) * 100) >= 100 ? 100 : this.m_viewPercent + (1 / (20 - 4) * 100);
            this.m_speed = 50;
        }

        left() {
            super.left();
            this.updateUI(this.m_CBaseKeyState.m_key.node.getUserData());
            this.isShowDiamondOrGold(this.m_CBaseKeyState.m_key.node.getUserData());
        }

        right() {
            super.right();
            this.updateUI(this.m_CBaseKeyState.m_key.node.getUserData());
            this.isShowDiamondOrGold(this.m_CBaseKeyState.m_key.node.getUserData());
        }

        getPercentHorizontal() {
            let offsetY = this.m_listView.getInnerContainer().getPositionY();
            let w = this.m_listView.getInnerContainerSize().height - this.m_listView.getContentSize().height;
            return 100 + (offsetY / w * 100);
        }

        oninit(data) {
            let root = this._parseUIFile("juese_qianghua3.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.m_heroName = data;

            let tuichu: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (!Version_mgr.getInstance().isPhone()) {
                if (tuichu) {
                    dataMgr.getMe().loadCheckBoximg(tuichu, "xingjietantantang/big/ui/image/ddt_ui138b.png");
                }
            }
            tuichu.addTouchEventListener(this.tuichu_func, this);

            this.m_listView = ccui.helper.seekWidgetByName(root, "ScrollView_1");
            this.initRegister();
            this.initUI();
            this.m_CBaseKeyState.init(this);
            this.m_CBaseKeyState.setCurKey_byName("wuqi_1");
            this.updateUI(this.m_WeaponChecks.getByIndex(0).getUserData());
            this.isShowDiamondOrGold(this.m_WeaponChecks.getByIndex(0).getUserData());

        }

        initRegister() {
            let index = 2;
            for (let p = 1; p <= 40; p++) {
                let weapons: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_listView, "wuqi_" + p);
                weapons.addTouchEventListener(this.selectWeaponFun, this);
                if (p % 2 != 0) {
                    this.m_WeaponChecks.set("wuqi" + index, weapons);
                } else {
                    this.m_WeaponChecks.set("wuqi" + index + "_1", weapons);
                    index++;
                }
                this.m_CBaseKeyState.regNodeEx(weapons, p);
            }
        }

        setLoadTexture(path: string, checkName: string) {
            let _node: ccui.CheckBox = this.m_WeaponChecks.get(checkName);
            dataMgr.getMe().loadCheckBoximg(_node, path);
        }

        setLockShowOrHidden(flag: boolean, checkName: string) {
            let _node: ccui.CheckBox = this.m_WeaponChecks.get(checkName);
            let suo: ccui.ImageView = ccui.helper.seekWidgetByName(_node, "suo");
            suo.setVisible(flag);
        }

        setStrengthen(text, checkName) {
            let _node: ccui.CheckBox = this.m_WeaponChecks.get(checkName);
            let qianghua: ccui.Text = ccui.helper.seekWidgetByName(_node, "qianghua");
            qianghua.setString(text);
        }

        setqianghuaxiaohao(text) {
            let qianghuaxiaohao: ccui.Text = ccui.helper.seekWidgetByTag(this.m_root, 515);
            qianghuaxiaohao.setString(text);
        }


        reSort() {
            let dataLock = [];
            let dataUnlock = [];
            let name: string;
            let str: Array<string>;
            let weapons = fileMgr.getMe().m_play_doc.weapons;
            for (let i = 0; i < weapons.length; ++i) {
                if (!weapons[i]) continue;
                str = weapons[i].split("*");
                name = str[0];
                if (name == "wuqi1" || name == "wuqi1_1") {
                    continue;
                }
                if (parseInt(str[1]) >= 0) {
                    dataLock.push(weapons[i])
                } else {
                    dataUnlock.push(weapons[i]);
                }
            }
            dataLock = this.maopaoSort(dataLock);
            dataUnlock = this.maopaoSort(dataUnlock);

            let resetdata = dataLock.concat(dataUnlock);
            return resetdata;
        }

        maopaoSort(data: Array<any>) {
            let value = null;
            for (let i = 0; i < data.length; i++) {
                for (let j = 0; j < data.length - 1 - i; j++) {
                    let num: number = parseInt(data[j].match(/\d+/));
                    let after: number = parseInt(data[j + 1].match(/\d+/));
                    if (num >= after) {
                        value = data[j];
                        data[j] = data[j + 1];
                        data[j + 1] = value;
                    }
                }
            }
            return data;
        }


        initUI() {
            let Weapons = this.reSort();
            for (let p = 0; p < this.m_WeaponChecks.size; p++) {
                let key: string = this.m_WeaponChecks.getKeyByIndex(p);
                let node: ccui.CheckBox = this.m_WeaponChecks.getByIndex(p);
                if (Weapons[p]) {
                    // let weaponname = itemMgr.getMe().typeToString(Weapons[p].id);
                    let weaponname = Weapons[p].split("*")[0];
                    let config: weaponconfig_s = dataMgr.getMe().getWeaponconfig(weaponname);
                    let level = dataMgr.getMe().getweaponlevel(weaponname);
                    node.setUserData(weaponname);
                    this.setLoadTexture(config.icon, key);
                    this.setStrengthen("+" + level, key);
                    if (level <= 0) {
                        this.setStrengthen("", key);
                    }
                    if (itemMgr.getMe().getWeaponislock(Weapons[p].split("*")[0])) {
                        this.setLockShowOrHidden(false, key);
                    }
                } else {
                    node.setVisible(false);
                }
            }
        }

        updateUI(weaponname: string) {
            let qianghua: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "qianghua");
            let pic: ccui.ImageView = ccui.helper.seekWidgetByName(qianghua, "pic");
            let qianghuaText: ccui.Text = ccui.helper.seekWidgetByName(pic, "qianghua");
            let name: ccui.Text = ccui.helper.seekWidgetByName(pic, "name");
            let dangqiandengji: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "dangqiandengji");
            let qianghuahoudengji: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "qianghuahoudengji");
            let gongji: ccui.ImageView = ccui.helper.seekWidgetByName(qianghua, "gongji");
            let LoadingBar_gongji: ccui.Loadingbar = ccui.helper.seekWidgetByName(gongji, "LoadingBar_2");
            let shuzhi_gongji: ccui.Text = ccui.helper.seekWidgetByName(gongji, "shuzhi");
            let danyao: ccui.ImageView = ccui.helper.seekWidgetByName(qianghua, "danyao");
            let LoadingBar_danyao: ccui.Loadingbar = ccui.helper.seekWidgetByName(danyao, "LoadingBar_2");
            let shuzhi_danyao: ccui.Text = ccui.helper.seekWidgetByName(danyao, "shuzhi");
            let shecheng: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "shecheng");
            let jiaodu: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "jiaodu");
            let leixing: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "leixing");
            let gongji_2: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "gongji_2");
            let danyao_2: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "danyao_2");
            let shecheng_2: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "shecheng_2");
            let jiaodu_2: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "jiaodu_2");
            let leixing_2: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "leixing_2");
            let image: ccui.ImageView = ccui.helper.seekWidgetByTag(qianghua, 1040);
            image.setVisible(true);
            let Text: ccui.Text = ccui.helper.seekWidgetByTag(qianghua, 1253);
            Text.setVisible(true);
            let Text_230_0: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "Text_230_0");
            Text_230_0.setVisible(true);
            let Textleixing:ccui.Text = ccui.helper.seekWidgetByName(gongji,"Text_47");
            if(weaponname == "wuqi19" || weaponname == "wuqi19_1"){
                Textleixing.setString("回复值:");
            }else {
                Textleixing.setString("伤害值:");
            }

            if (!itemMgr.getMe().getWeaponislock(weaponname)) {
                this.setqianghuaxiaohao("确认键解锁，消耗");
            } else {
                this.setqianghuaxiaohao("确认键强化，消耗");
            }
            //粒子特效
            let node_teixao: cc.Node = ccui.helper.seekWidgetByName(this.m_root, "Node_1");
            node_teixao.setVisible(true);


            let level: number = dataMgr.getMe().getweaponlevel(weaponname);
            let conf: weaponconfig_s = dataMgr.getMe().getWeaponconfig(weaponname);
            let curlevelConf: weaponlevelconfig_s = dataMgr.getMe().getWeaponlevelconfig(weaponname, level);
            let NextLevelConf: weaponlevelconfig_s = dataMgr.getMe().getWeaponlevelconfig(weaponname, level + 1);

            pic.loadTexture(conf.icon);
            name.setString(conf.desName);
            qianghuaText.setString("+" + level);
            dangqiandengji.setString("+" + level);
            qianghuahoudengji.setString("+" + Number(level + 1));
            shuzhi_gongji.setString(curlevelConf.damage);
            shuzhi_danyao.setString(curlevelConf.bulletNum);
            shecheng.setString(curlevelConf.range);
            jiaodu.setString(curlevelConf.minAngle + "-" + curlevelConf.maxAngle);
            leixing.setString(conf.damageType2);

            LoadingBar_gongji.setPercent(curlevelConf.damage / dataMgr.getMe().getWeaponMax("damage") * 100)
            LoadingBar_danyao.setPercent(curlevelConf.bulletNum / dataMgr.getMe().getWeaponMax("danyao") * 100)
            if (NextLevelConf) {
                gongji_2.setVisible(true);
                danyao_2.setVisible(true);
                shecheng_2.setVisible(true);
                jiaodu_2.setVisible(true);
                leixing_2.setVisible(true);
                qianghuahoudengji.setVisible(true);
                gongji_2.setString(NextLevelConf.damage);
                danyao_2.setString(NextLevelConf.bulletNum);
                shecheng_2.setString(NextLevelConf.range);
                jiaodu_2.setString(NextLevelConf.minAngle + "-" + NextLevelConf.maxAngle);
                leixing_2.setString(conf.damageType2);
            } else {
                gongji_2.setVisible(false);
                danyao_2.setVisible(false);
                shecheng_2.setVisible(false);
                jiaodu_2.setVisible(false);
                leixing_2.setVisible(false);
                qianghuahoudengji.setVisible(false);
                image.setVisible(false);
                Text.setVisible(false);
                Text_230_0.setVisible(false);
                this.setqianghuaxiaohao("");
                node_teixao.setVisible(false);
            }
            if (level <= 0) {
                qianghuaText.setString("");
                dangqiandengji.setString("");
            }
        }


        //返回上一个界面（role）
        tuichu_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        }
        m_weaponName = null;//当前武器
        selectWeaponFun(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.m_weaponName = sender.getUserData();
                    if (this.m_weaponName == "" || this.m_weaponName == null) {
                        console.log("ereror name null");
                        return
                    }
                    let level: number = dataMgr.getMe().getweaponlevel(this.m_weaponName);
                    let MaxLevel: number = dataMgr.getMe().getWeaponMaxLevel(this.m_weaponName);
                    if (level >= MaxLevel) {
                        ui_messageBox.ShowOrHide(true, "已达强化最大等级！");
                        return;
                    }
                    let flag = itemMgr.getMe().getWeaponislock(this.m_weaponName);
                    if (!flag) {
                        let conf: weaponconfig_s = dataMgr.getMe().getWeaponconfig(this.m_weaponName);
                        if (conf.jinbi == -1) {
                            ui_messageBox.ShowOrHide(true, conf.tishi);
                            return;
                        }
                        this.buyWeaponLock(this.m_weaponName);
                        return;
                    }
                    this.buyWeaponStrengthen(this.m_weaponName);
                    break;
            }
        }

        //购买解锁装备
        buyWeaponLock(weaponName) {
            let zuanshiNum: number = Version_mgr.getInstance().getDiamondPriceBystr(weaponName);
            // ui_messageBox2.ShowOrHide(true, "是否花费" + zuanshiNum + "钻石解锁武器？", () => {
            //    // buy_mgr.getInstance().shoppingByDiamond(zuanshiNum,"解锁武器",ui_qianghua.getMe().buyWeaponSucceedCallBack,null)
            // });
            buy_mgr.getInstance().buyWeapon_buy(ui_qianghua.getMe().buyWeaponSucceedCallBack,ui_qianghua.getMe(),weaponName)
        }

        buyWeaponSucceedCallBack(){
            ui_messageBox.ShowOrHide(true, "购买成功！");
            // let zuanshiNum: number = Version_mgr.getInstance().getDiamondPriceBystr(ui_qianghua.getMe().m_weaponName);
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     zuanshiNum + "钻石解锁"+ g_daoju_nan[ui_qianghua.getMe().m_weaponName].desName);
            itemMgr.getMe().setWeaponLock(ui_qianghua.getMe().m_weaponName);
            ui_qianghua.getMe().initUI();
            ui_qianghua.getMe().isShowDiamondOrGold(ui_qianghua.getMe().m_weaponName);
            dataMgr.getMe().addTittleNum(e_chenghao.e_1, 1);
        }


        buyWeaponStrengthen(weaponName) {
            let level: number = dataMgr.getMe().getweaponlevel(weaponName);
            let jinbiNum: number = Version_mgr.getInstance().getGoldPriceBystr("qianghua" + (level + 1));
            let zuanshiNum: number = Version_mgr.getInstance().getDiamondPriceBystr("qianghua" + (level + 1));
            if (jinbiNum > 0) {
                if (dataMgr.getMe().removeItemByType(e_item.e_jinbi, jinbiNum)) {
                    // ui_messageBox.ShowOrHide(true, "购买成功！");
                   this.strengWeaponCallBack();
                } else {
                    ui_messageBox2.ShowOrHide(true,"金币不足！是否花费" + zuanshiNum + "钻石强化武器？",()=>{
                        console.log("sss" + weaponName)
                        buy_mgr.getInstance().buyUpWeapon_buy(ui_qianghua.getMe().strengWeaponCallBack,ui_qianghua.getMe(),"qianghua" + (level + 1),weaponName)
                    });
                }
            } else {
                // buy_mgr.getInstance().shoppingByDiamond(zuanshiNum,"强化武器",ui_qianghua.getMe().strengWeaponCallBack,null)
                console.log("sss" + weaponName)
                buy_mgr.getInstance().buyUpWeapon_buy(ui_qianghua.getMe().strengWeaponCallBack,ui_qianghua.getMe(),"qianghua" + (level + 1),weaponName)
            }
        }

        strengWeaponCallBack(){
            let level: number = dataMgr.getMe().getweaponlevel(ui_qianghua.getMe().m_weaponName);
            // let zuanshiNum: number = Version_mgr.getInstance().getDiamondPriceBystr("qianghua" + (level + 1));
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     zuanshiNum + "钻石强化"+ g_daoju_nan[ui_qianghua.getMe().m_weaponName].desName);
            dataMgr.getMe().addTittleNum(e_chenghao.e_3,1);
            dataMgr.getMe().setWeaponlevel(ui_qianghua.getMe().m_weaponName, Number(level + 1));
            ui_qianghua.getMe().setxiedaiqianghua(ui_qianghua.getMe().m_weaponName, Number(level + 1));
            ui_qianghuaTexiao.ShowOrHide(true);
            ui_qianghuaTexiao.getMe().callBackUpdateUI(dataMgr.getMe().getWeaponconfig(ui_qianghua.getMe().m_weaponName).icon,
                dataMgr.getMe().getweaponlevel(ui_qianghua.getMe().m_weaponName),
                dataMgr.getMe().getWeaponconfig(ui_qianghua.getMe().m_weaponName).desName);
            ui_qianghua.getMe().initUI();
            ui_qianghua.getMe().updateUI(ui_qianghua.getMe().m_weaponName);
            ui_qianghua.getMe().isShowDiamondOrGold(ui_qianghua.getMe().m_weaponName);
        }



        isShowDiamondOrGold(weaponName) {
            let level = dataMgr.getMe().getweaponlevel(weaponName);
            let maxLevel: number = dataMgr.getMe().getWeaponMaxLevel(weaponName);
            let jibiNum: number = Version_mgr.getInstance().getGoldPriceBystr("qianghua" + Number(level + 1));
            let zuanshiNum: number = Version_mgr.getInstance().getDiamondPriceBystr("qianghua" + Number(level + 1));
            if (jibiNum > 0) {
                this.updateDiamondOrGold(false, jibiNum)
            } else {
                this.updateDiamondOrGold(true, 0, zuanshiNum);
            }
            if (maxLevel <= level) {
                let zuanshi: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "zuanshi");
                let jinbi: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "jinbi");
                jinbi.setVisible(false);
                zuanshi.setVisible(false);
            }
            if (!itemMgr.getMe().getWeaponislock(weaponName)) {
                zuanshiNum = Version_mgr.getInstance().getDiamondPriceBystr(weaponName);
                this.updateDiamondOrGold(true, 0, zuanshiNum);
            }
        }


        //刷新金币显示或者钻石
        updateDiamondOrGold(flag: boolean, Gold: number = 0, Diamond: number = 0) {
            let jinbi: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "jinbi");
            let jinbiNum: ccui.Text = ccui.helper.seekWidgetByName(jinbi, "shuliang");
            let zuanshi: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "zuanshi");
            let zuanshiNum: ccui.Text = ccui.helper.seekWidgetByName(zuanshi, "shuliang");

            zuanshi.setVisible(flag);
            zuanshiNum.setVisible(flag);
            jinbi.setVisible(!flag);
            jinbiNum.setVisible(!flag);
            jinbiNum.setString(Gold);
            zuanshiNum.setString(Diamond);
        }


        setxiedaiqianghua(name:string,level: number) {
            let otherplayer = ui_qianghua.getMe().m_heroName == "nv" ? "nan":"nv";
            ui_qianghua.getMe().xiedaiWeapon(ui_qianghua.getMe().m_heroName,level,name);
            ui_qianghua.getMe().xiedaiWeapon(otherplayer,level,name);
        }
        xiedaiWeapon(PlayerName:string,level:number,name){
            for (let i in dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"]) {
                if (dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i]) {
                    if(dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].name == null ||
                        dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].name == ""){
                        continue;
                    }
                    if (dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].name == name) {
                        dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].level = level;
                        let conf: weaponlevelconfig_s = dataMgr.getMe().getWeaponlevelconfig(name,level);
                        dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].num = conf.bulletNum;
                    }
                }
            }
        }


        updatePercent(t) {
            if (this.m_curPercent != this.m_viewPercent) {
                let dis = this.m_curPercent - this.m_viewPercent
                if (dis > 0) {
                    this.m_speed -= 1
                    this.m_speed = Math.max(0, this.m_speed)
                    this.m_curPercent -= t * this.m_speed
                }
                if (dis < 0) {
                    this.m_speed -= 1
                    this.m_speed = Math.max(0, this.m_speed)
                    this.m_curPercent += t * this.m_speed
                }
                if (Math.abs(dis) < t * this.m_speed) {
                    this.m_curPercent = this.m_viewPercent
                }
                this.m_listView.jumpToPercentVertical(this.m_curPercent)
            }
        }

        loop(t) {
            this.updatePercent(t);
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t)
                if (this.m_CBaseKeyState.m_key == null)
                    return
            }
        }

        onBack() {
            this.m_WeaponChecks.clear();
            ui_qianghua.ShowOrHide(false);
            ui_juese.ShowOrHide(true);
            if (ui_choosehero.getMe())
                ui_choosehero.getMe().updateui()
            if (ui_choosehero2.getMe())
                ui_choosehero2.getMe().updateui()
            if (ui_juese.getMe())
                ui_juese.getMe().updateUI()
        }
    }


    export class ui_qianghuaPhone extends game.UiBase {
        static g_instarn: ui_qianghuaPhone = null;
        static getMe = function (): ui_qianghuaPhone {
            return ui_qianghuaPhone.g_instarn;
        };
        static ShowOrHide = function (flag, data?) {
            UiBase.ShowOrHide(flag, ui_qianghuaPhone, uiMgr.getMe(), 1122, data);
        };

        constructor() {
            super();
            this.m_des = "ui_qianghua";
            this.m_WeaponChecks = new Map<string,ccui.CheckBox>();
            this.m_texiaoArray = new Map<string, ccui.ImageView>();
        }

        m_listView: ccui.ScrollView = null;
        m_WeaponChecks: Map<string,ccui.CheckBox> = null;
        m_curCheckName: string = "";
        m_texiaoArray: Map<string,ccui.ImageView> = null;//特效集合
        m_Textlock: ccui.Text = null;
        m_heroName: string = "";//角色大厅的名字
        m_lijiqianghua: ccui.CheckBox = null;

        oninit(data) {
            let root = this._parseUIFile("juese_qianghua.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.m_heroName = data;

            let tuichu: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (!Version_mgr.getInstance().isPhone()) {
                if (tuichu) {
                    dataMgr.getMe().loadCheckBoximg(tuichu, "xingjietantantang/big/ui/image/ddt_ui138b.png");
                }
            }
            tuichu.addTouchEventListener(this.tuichu_func, this);
            this.m_lijiqianghua = ccui.helper.seekWidgetByName(this.m_root, "queren");
            this.m_lijiqianghua.addTouchEventListener(this.qianghuaFun, this);
            this.m_Textlock = ccui.helper.seekWidgetByName(this.m_lijiqianghua, "Text_187");

            this.m_listView = ccui.helper.seekWidgetByName(root, "ScrollView_1");
            this.initRegister();
            this.initUI();
            this.updateUI(this.m_WeaponChecks.getByIndex(0).getUserData());
            this.isShowDiamondOrGold(this.m_WeaponChecks.getByIndex(0).getUserData());
            this.m_curCheckName = this.m_WeaponChecks.getByIndex(0).getUserData();
            this.setGuangbiao(true, this.m_curCheckName);
        }

        //设置光标显示和隐藏
        setGuangbiao(flag, CheckName: string) {
            let texiao: ccui.ImageView = this.m_texiaoArray.get(CheckName);
            texiao.setVisible(flag);
        }


        initRegister() {
            let index = 2;
            for (let p = 1; p <= 40; p++) {
                let weapons: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_listView, "wuqi_" + p);
                weapons.addTouchEventListener(this.selectWeaponFun, this);
                if (p % 2 != 0) {
                    this.m_WeaponChecks.set("wuqi" + index, weapons);
                } else {
                    this.m_WeaponChecks.set("wuqi" + index + "_1", weapons);
                    index++;
                }
            }
        }

        setLoadTexture(path: string, checkName: string) {
            let _node: ccui.CheckBox = this.m_WeaponChecks.get(checkName);
            dataMgr.getMe().loadCheckBoximg(_node, path);
        }

        setLockShowOrHidden(flag: boolean, checkName: string) {
            let _node: ccui.CheckBox = this.m_WeaponChecks.get(checkName);
            let suo: ccui.ImageView = ccui.helper.seekWidgetByName(_node, "suo");
            suo.setVisible(flag);
        }

        setStrengthen(text, checkName) {
            let _node: ccui.CheckBox = this.m_WeaponChecks.get(checkName);
            let qianghua: ccui.Text = ccui.helper.seekWidgetByName(_node, "qianghua");
            qianghua.setString(text);
        }


        reSort() {
            let dataLock = [];
            let dataUnlock = [];
            let name: string;
            let str: Array<string>;
            let weapons = fileMgr.getMe().m_play_doc.weapons;
            for (let i = 0; i < weapons.length; ++i) {
                if (!weapons[i]) continue;
                str = weapons[i].split("*");
                name = str[0];
                if (name == "wuqi1" || name == "wuqi1_1") {
                    continue;
                }
                if (parseInt(str[1]) >= 0) {
                    dataLock.push(weapons[i])
                } else {
                    dataUnlock.push(weapons[i]);
                }
            }
            dataLock = this.maopaoSort(dataLock);
            dataUnlock = this.maopaoSort(dataUnlock);

            let resetdata = dataLock.concat(dataUnlock);
            return resetdata;
        }

        maopaoSort(data: Array<any>) {
            let value = null;
            for (let i = 0; i < data.length; i++) {
                for (let j = 0; j < data.length - 1 - i; j++) {
                    let num: number = parseInt(data[j].match(/\d+/));
                    let after: number = parseInt(data[j + 1].match(/\d+/));
                    if (num >= after) {
                        value = data[j];
                        data[j] = data[j + 1];
                        data[j + 1] = value;
                    }
                }
            }
            return data;
        }

        initUI() {
            let Weapons = this.reSort();
            for (let p = 0; p < this.m_WeaponChecks.size; p++) {
                let key: string = this.m_WeaponChecks.getKeyByIndex(p);
                let node: ccui.CheckBox = this.m_WeaponChecks.getByIndex(p);
                if (Weapons[p]) {
                    let weaponname = Weapons[p].split("*")[0];
                    let config: weaponconfig_s = dataMgr.getMe().getWeaponconfig(weaponname);
                    let level = dataMgr.getMe().getweaponlevel(weaponname);
                    node.setUserData(weaponname);
                    let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(node, "uitexiao");
                    texiao.setVisible(false);
                    this.m_texiaoArray.set(weaponname, texiao);
                    this.setLoadTexture(config.icon, key);
                    this.setStrengthen("+" + level, key);
                    if (level <= 0) {
                        this.setStrengthen("", key);
                    }
                    if (itemMgr.getMe().getWeaponislock(Weapons[p].split("*")[0])) {
                        this.setLockShowOrHidden(false, key);
                    }
                } else {
                    node.setVisible(false);
                }
            }
            this.m_texiaoArray.getByIndex(0).setVisible(true);
        }

        updateUI(weaponname: string) {
            let qianghua: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "qianghua");
            let pic: ccui.ImageView = ccui.helper.seekWidgetByName(qianghua, "pic");
            let qianghuaText: ccui.Text = ccui.helper.seekWidgetByName(pic, "qianghua");
            let name: ccui.Text = ccui.helper.seekWidgetByName(pic, "name");
            let dangqiandengji: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "dangqiandengji");
            let qianghuahoudengji: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "qianghuahoudengji");
            let gongji: ccui.ImageView = ccui.helper.seekWidgetByName(qianghua, "gongji");
            let LoadingBar_gongji: ccui.Loadingbar = ccui.helper.seekWidgetByName(gongji, "LoadingBar_2");
            let shuzhi_gongji: ccui.Text = ccui.helper.seekWidgetByName(gongji, "shuzhi");
            let danyao: ccui.ImageView = ccui.helper.seekWidgetByName(qianghua, "danyao");
            let LoadingBar_danyao: ccui.Loadingbar = ccui.helper.seekWidgetByName(danyao, "LoadingBar_2");
            let shuzhi_danyao: ccui.Text = ccui.helper.seekWidgetByName(danyao, "shuzhi");
            let shecheng: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "shecheng");
            let jiaodu: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "jiaodu");
            let leixing: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "leixing");
            let gongji_2: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "gongji_2");
            let danyao_2: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "danyao_2");
            let shecheng_2: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "shecheng_2");
            let jiaodu_2: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "jiaodu_2");
            let leixing_2: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "leixing_2");
            let image: ccui.ImageView = ccui.helper.seekWidgetByTag(qianghua, 1040);
            image.setVisible(true);
            let Text: ccui.Text = ccui.helper.seekWidgetByTag(qianghua, 1253);
            Text.setVisible(true);
            let Text_230_0: ccui.Text = ccui.helper.seekWidgetByName(qianghua, "Text_230_0");
            Text_230_0.setVisible(true);
            let nodetexiao = ccui.helper.seekWidgetByName(this.m_root, "Node_3");
            nodetexiao.setVisible(true);
            let Textleixing:ccui.Text = ccui.helper.seekWidgetByName(gongji,"Text_47");
            if(weaponname == "wuqi19" || weaponname == "wuqi19_1"){
                Textleixing.setString("回复值:");
            }else {
                Textleixing.setString("伤害值:");
            }

            let level: number = dataMgr.getMe().getweaponlevel(weaponname);
            let conf: weaponconfig_s = dataMgr.getMe().getWeaponconfig(weaponname);
            let curlevelConf: weaponlevelconfig_s = dataMgr.getMe().getWeaponlevelconfig(weaponname, level);
            let NextLevelConf: weaponlevelconfig_s = dataMgr.getMe().getWeaponlevelconfig(weaponname, level + 1);

            pic.loadTexture(conf.icon);
            name.setString(conf.desName);
            qianghuaText.setString("+" + level);
            dangqiandengji.setString("+" + level);
            qianghuahoudengji.setString("+" + Number(level + 1));
            shuzhi_gongji.setString(curlevelConf.damage);
            shuzhi_danyao.setString(curlevelConf.bulletNum);
            shecheng.setString(curlevelConf.range);
            jiaodu.setString(curlevelConf.minAngle + "-" + curlevelConf.maxAngle);
            leixing.setString(conf.damageType2);

            LoadingBar_gongji.setPercent(curlevelConf.damage / dataMgr.getMe().getWeaponMax("damage") * 100)
            LoadingBar_danyao.setPercent(curlevelConf.bulletNum / dataMgr.getMe().getWeaponMax("danyao") * 100)
            if (NextLevelConf) {
                gongji_2.setVisible(true);
                danyao_2.setVisible(true);
                shecheng_2.setVisible(true);
                jiaodu_2.setVisible(true);
                leixing_2.setVisible(true);
                qianghuahoudengji.setVisible(true);
                gongji_2.setString(NextLevelConf.damage);
                danyao_2.setString(NextLevelConf.bulletNum);
                shecheng_2.setString(NextLevelConf.range);
                jiaodu_2.setString(NextLevelConf.minAngle + "-" + NextLevelConf.maxAngle);
                leixing_2.setString(conf.damageType2);
            } else {
                gongji_2.setVisible(false);
                danyao_2.setVisible(false);
                shecheng_2.setVisible(false);
                jiaodu_2.setVisible(false);
                leixing_2.setVisible(false);
                qianghuahoudengji.setVisible(false);
                image.setVisible(false);
                Text.setVisible(false);
                Text_230_0.setVisible(false);
                nodetexiao.setVisible(false);
            }
            if (level <= 0) {
                qianghuaText.setString("");
                dangqiandengji.setString("");
            }
        }


        //返回上一个界面（role）
        tuichu_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        }


        onTouchBegan(touch, event) {
            this.selectWeaponFun;
            return true;
        }


        selectWeaponFun(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    for (let p = 0; p < this.m_texiaoArray.size; p++) {
                        let _node: ccui.ImageView = this.m_texiaoArray.getByIndex(p);
                        _node.setVisible(false);
                    }
                    this.m_curCheckName = sender.getUserData();
                    this.updateUI(sender.getUserData());
                    this.setGuangbiao(true, sender.getUserData());
                    if (!itemMgr.getMe().getWeaponislock(this.m_curCheckName)) {
                        this.m_Textlock.setString("立即解锁");
                    } else {
                        this.m_Textlock.setString("立即强化");
                    }
                    this.isShowDiamondOrGold(this.m_curCheckName);
                    break;
            }
        }

        qianghuaFun(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if (this.m_curCheckName == "" || this.m_curCheckName == null) {
                        console.log("ereror name null");
                        return
                    }
                    let level: number = dataMgr.getMe().getweaponlevel(this.m_curCheckName);
                    let MaxLevel: number = dataMgr.getMe().getWeaponMaxLevel(this.m_curCheckName);
                    if (level >= MaxLevel) {
                        ui_messageBox.ShowOrHide(true, "已达强化最大等级！");
                        return;
                    }
                    let flag = itemMgr.getMe().getWeaponislock(this.m_curCheckName);
                    if (!flag) {
                        let conf: weaponconfig_s = dataMgr.getMe().getWeaponconfig(this.m_curCheckName);
                        if (conf.jinbi == -1) {
                            ui_messageBox.ShowOrHide(true, conf.tishi);
                            return;
                        }
                        this.buyWeaponLock(this.m_curCheckName);
                        if (!itemMgr.getMe().getWeaponislock(this.m_curCheckName)) {
                            this.m_Textlock.setString("立即解锁");
                        } else {
                            this.m_Textlock.setString("立即强化");
                            //this.m_CBaseKeyState.setCurKey_byName(sender.getName())
                        }
                        return;
                    }
                    this.buyWeaponStrengthen(this.m_curCheckName);
                    break;
            }
        }

        //购买解锁装备
        buyWeaponLock(weaponName) {
            let zuanshiNum: number = Version_mgr.getInstance().getDiamondPriceBystr(weaponName);
            // ui_messageBox2.ShowOrHide(true, "是否花费" + zuanshiNum + "钻石解锁武器？", () => {
            //     buy_mgr.getInstance().shoppingByDiamond(zuanshiNum,"解锁武器",ui_qianghuaPhone.getMe().buySucceedCallBack,null)
            // });
            buy_mgr.getInstance().buyWeapon_buy(ui_qianghuaPhone.getMe().buySucceedCallBack,ui_qianghuaPhone.getMe(),weaponName)
        }

        buySucceedCallBack(){
            let zuanshiNum: number = Version_mgr.getInstance().getDiamondPriceBystr(ui_qianghuaPhone.getMe().m_curCheckName);
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     zuanshiNum + "钻石购买"+ g_daoju_nan[ui_qianghuaPhone.getMe().m_curCheckName].desName);
            ui_messageBox.ShowOrHide(true, "购买成功！");
            itemMgr.getMe().setWeaponLock(ui_qianghuaPhone.getMe().m_curCheckName);
            ui_qianghuaPhone.getMe().initUI();
            ui_qianghuaPhone.getMe().isShowDiamondOrGold(ui_qianghuaPhone.getMe().m_curCheckName);
            dataMgr.getMe().addTittleNum(e_chenghao.e_1, 1);
        }



        buyWeaponStrengthen(weaponName) {
            let level: number = dataMgr.getMe().getweaponlevel(weaponName);
            let jinbiNum: number = Version_mgr.getInstance().getGoldPriceBystr("qianghua" + (level + 1));
            let zuanshiNum: number = Version_mgr.getInstance().getDiamondPriceBystr("qianghua" + (level + 1));
            if (jinbiNum > 0) {
                if (dataMgr.getMe().removeItemByType(e_item.e_jinbi, jinbiNum)) {
                   this.strengthWeaponCallback();
                } else {
                    ui_messageBox2.ShowOrHide(true,"金币不足！是否花费"+zuanshiNum+"钻石强化武器？",()=>{
                        buy_mgr.getInstance().buyUpWeapon_buy(ui_qianghuaPhone.getMe().strengthWeaponCallback,ui_qianghuaPhone.getMe(),"qianghua" + (level + 1),weaponName)
                    });
                }
            } else {
                // buy_mgr.getInstance().shoppingByDiamond(zuanshiNum,"强化武器",ui_qianghuaPhone.getMe().strengthWeaponCallback,null)
                buy_mgr.getInstance().buyUpWeapon_buy(ui_qianghuaPhone.getMe().strengthWeaponCallback,ui_qianghuaPhone.getMe(),"qianghua" + (level + 1),weaponName)
            }
        }

        strengthWeaponCallback(){
            let level: number = dataMgr.getMe().getweaponlevel((ui_qianghuaPhone.getMe().m_curCheckName));
            // let zuanshiNum: number = Version_mgr.getInstance().getDiamondPriceBystr("qianghua" + (level + 1));
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     zuanshiNum + "钻石强化"+ g_daoju_nan[ui_qianghuaPhone.getMe().m_curCheckName].desName);
            dataMgr.getMe().addTittleNum(e_chenghao.e_3,1);
            dataMgr.getMe().setWeaponlevel(ui_qianghuaPhone.getMe().m_curCheckName, Number(level + 1));
            ui_qianghuaPhone.getMe().setxiedaiqianghua(ui_qianghuaPhone.getMe().m_curCheckName, Number(level + 1));
            ui_qianghuaTexiao.ShowOrHide(true);
            ui_qianghuaTexiao.getMe().callBackUpdateUI(dataMgr.getMe().getWeaponconfig(ui_qianghuaPhone.getMe().m_curCheckName).icon,
                dataMgr.getMe().getweaponlevel(ui_qianghuaPhone.getMe().m_curCheckName),
                dataMgr.getMe().getWeaponconfig(ui_qianghuaPhone.getMe().m_curCheckName).desName);
            ui_qianghuaPhone.getMe().initUI();
            ui_qianghuaPhone.getMe().updateUI(ui_qianghuaPhone.getMe().m_curCheckName);
            ui_qianghuaPhone.getMe().isShowDiamondOrGold(ui_qianghuaPhone.getMe().m_curCheckName);
        }




        isShowDiamondOrGold(weaponName) {
            let level = dataMgr.getMe().getweaponlevel(weaponName);
            let maxlevel = dataMgr.getMe().getWeaponMaxLevel(weaponName);
            let jibiNum: number = Version_mgr.getInstance().getGoldPriceBystr("qianghua" + Number(level + 1));
            let zuanshiNum: number = Version_mgr.getInstance().getDiamondPriceBystr("qianghua" + Number(level + 1));
            let img: ccui.Text = ccui.helper.seekWidgetByTag(this.m_root, 1246);
            let zuanshi: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "zuanshi");
            img.setVisible(true);
            zuanshi.setVisible(true);
            this.m_lijiqianghua.setVisible(true);
            if (jibiNum > 0) {
                this.updateDiamondOrGold(false, jibiNum)
            } else {
                this.updateDiamondOrGold(true, 0, zuanshiNum);
                if (level >= maxlevel) {
                    img.setVisible(false);
                    zuanshi.setVisible(false);
                    this.m_lijiqianghua.setVisible(false);
                }
            }
            if (!itemMgr.getMe().getWeaponislock(weaponName)) {
                zuanshiNum = Version_mgr.getInstance().getDiamondPriceBystr(weaponName);
                this.updateDiamondOrGold(true, 0, zuanshiNum);
            }
        }


        //刷新金币显示或者钻石
        updateDiamondOrGold(flag: boolean, Gold: number = 0, Diamond: number = 0) {
            let jinbi: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "jinbi");
            let jinbiNum: ccui.Text = ccui.helper.seekWidgetByName(jinbi, "shuliang");
            let zuanshi: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "zuanshi");
            let zuanshiNum: ccui.Text = ccui.helper.seekWidgetByName(zuanshi, "shuliang");

            zuanshi.setVisible(flag);
            zuanshiNum.setVisible(flag);
            jinbi.setVisible(!flag);
            jinbiNum.setVisible(!flag);
            jinbiNum.setString(Gold);
            zuanshiNum.setString(Diamond);
        }

        setxiedaiqianghua(name:string,level: number) {
            let otherplayer = ui_qianghuaPhone.getMe().m_heroName == "nv" ? "nan":"nv";
            ui_qianghuaPhone.getMe().xiedaiWeapon(ui_qianghuaPhone.getMe().m_heroName,level,name);
            ui_qianghuaPhone.getMe().xiedaiWeapon(otherplayer,level,name);
        }

        xiedaiWeapon(PlayerName:string,level:number,name:string){
            for (let i in dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"]) {
                if (dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i]) {
                    if(dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].name == null ||
                        dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].name == ""){
                        continue;
                    }
                    if (dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].name == name) {
                        dataMgr.getMe().getPlayDoc()[PlayerName + "_weapon"][i].level = level;
                        let conf: weaponlevelconfig_s = dataMgr.getMe().getWeaponlevelconfig(name,level);
                        dataMgr.getMe().getPlayDoc()[ui_qianghuaPhone.getMe().m_heroName + "_weapon"][i].num = conf.bulletNum;
                    }
                }
            }
        }


        loop(t) {

        }

        onBack() {
            this.m_texiaoArray.clear();
            this.m_WeaponChecks.clear();
            ui_juese.ShowOrHide(true);
            if (ui_choosehero.getMe())
                ui_choosehero.getMe().updateui()
            if (ui_choosehero2.getMe())
                ui_choosehero2.getMe().updateui()
            if (ui_juese.getMe())
                ui_juese.getMe().updateUI()
            ui_qianghuaPhone.ShowOrHide(false);
        }
    }

    export class ui_qianghuaTexiao extends game.UiBase {
        static g_instarn: ui_qianghuaTexiao = null;
        static getMe = function (): ui_qianghuaTexiao {
            return ui_qianghuaTexiao.g_instarn;
        };
        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_qianghuaTexiao, uiMgr.getMe(), 1122);
        };

        constructor() {
            super();
            this.m_des = "ui_qianghuaTexiao";
        }

        oninit() {
            let root = this._parseUIFile("juese_qianghua2.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.playAnimation("play", false, () => {
                let act = cc.jumpBy(2, cc.p(0, 0), 0, 1);
                let seq = cc.sequence(act, cc.callFunc(function () {
                    ui_qianghuaTexiao.ShowOrHide(false);
                }.bind(this), this, null));
                root.runAction(seq)
            }, this)

        }


        callBackUpdateUI(path: string, qianghuaNum: number, weaponname: string) {
            let pic: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "pic");
            let qianghua: ccui.Text = ccui.helper.seekWidgetByName(pic, "qianghua");
            let name: ccui.Text = ccui.helper.seekWidgetByName(pic, "name");
            pic.loadTexture(path);
            qianghua.setString("+" + qianghuaNum);
            if (qianghuaNum <= 0) {
                qianghua.setString("");
            }
            name.setString(weaponname);
        }

    }

}



