var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_selectpifu = (function (_super) {
        __extends(ui_selectpifu, _super);
        function ui_selectpifu() {
            _super.call(this);
            this.m_HeroNode = null;
            this.m_heroName = "";
            this.m_priorConfig = null; //获得上一个界面的配置
            this.m_curSelectSkin = "";
            this.m_checkBoxsMap = null;
            this.m_spineNode = null;
            this.m_price_diamond = 0; //皮肤钻石价格
            this.price_jinbi = 0; //皮肤金币价格
            this.m_index = "";
            this.m_cursenderName = null;
            this.m_skinName = null;
            this.m_des = "ui_selectpifu";
            this.m_CBaseKeyState = new game.BaseKeyState();
            this.m_checkBoxsMap = new game.Map();
        }
        ui_selectpifu.prototype.left = function () {
            _super.prototype.left.call(this);
            var node = this.m_CBaseKeyState.m_key.node;
            if (node.getUserData() == null) {
                return;
            }
            this.updateSkin(node.getUserData().substr(node.getUserData().length - 1, 1));
        };
        ui_selectpifu.prototype.right = function () {
            _super.prototype.right.call(this);
            var node = this.m_CBaseKeyState.m_key.node;
            if (node.getUserData() == null) {
                return;
            }
            this.updateSkin(node.getUserData().substr(node.getUserData().length - 1, 1));
        };
        ui_selectpifu.prototype.up = function () {
            _super.prototype.up.call(this);
            var node = this.m_CBaseKeyState.m_key.node;
            if (node.getUserData() == null) {
                return;
            }
            this.updateSkin(node.getUserData().substr(node.getUserData().length - 1, 1));
        };
        ui_selectpifu.prototype.down = function () {
            _super.prototype.down.call(this);
            var node = this.m_CBaseKeyState.m_key.node;
            if (node.getUserData() == null) {
                return;
            }
            this.updateSkin(node.getUserData().substr(node.getUserData().length - 1, 1));
        };
        ui_selectpifu.prototype.oninit = function (heroname) {
            this.m_heroName = heroname;
            var root = this._parseUIFile("juese_pifu.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.registerCheckBox();
            this.updateCkeckBoxUI();
            this.initUI();
            var allCheckBox = ccui.helper.seekWidgetByType(this.m_root, "CheckBox");
            for (var p in allCheckBox) {
                if (allCheckBox[p].getName() == "tuichu" || allCheckBox[p].getName() == "fanhui") {
                    allCheckBox[p].addTouchEventListener(this.comeback_func, this);
                }
            }
            var tuichu = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (game.Version_mgr.getInstance().isPhone()) {
            }
            else {
                game.dataMgr.getMe().loadCheckBoximg(tuichu, "xingjietantantang/big/ui/image/ddt_ui138b.png");
                this.m_CBaseKeyState.init(this);
            }
            tuichu.addTouchEventListener(this.tuichu_func, this);
            var skinconfname = this.m_checkBoxsMap.getByIndex(0).getUserData();
            this.updateSkin(skinconfname.substr(skinconfname.length - 1, 1));
        };
        ui_selectpifu.prototype.tuichu_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        };
        ui_selectpifu.prototype.comeback_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        };
        ui_selectpifu.prototype.getSkinArray = function () {
            var data = [];
            var xingbie = this.m_heroName.replace("hero_", "");
            for (var p in game.g_item_config) {
                if (p.indexOf("pifu_" + xingbie) > -1) {
                    var skinName = game.itemMgr.getMe().typeToString(game.g_item_config[p].type);
                    data.push(skinName);
                }
            }
            return data;
        };
        ui_selectpifu.prototype.registerCheckBox = function () {
            for (var p = 1; p <= 15; p++) {
                var headnode = ccui.helper.seekWidgetByName(this.m_root, p.toString());
                this.m_checkBoxsMap.set("pifu" + p, headnode);
                if (game.Version_mgr.getInstance().isPhone()) {
                    var uitexiao = ccui.helper.seekWidgetByName(headnode, "uitexiao");
                    uitexiao.setVisible(false);
                }
                else {
                    this.m_CBaseKeyState.regNodeEx(headnode, p);
                }
                headnode.addTouchEventListener(this.selectSkin_func, this);
            }
        };
        ui_selectpifu.prototype.updateCkeckBoxUI = function () {
            for (var i = 0; i < this.m_checkBoxsMap.size; ++i) {
                var checkBox = this.m_checkBoxsMap.getByIndex(i);
                var keyName = this.m_checkBoxsMap.getKeyByIndex(i);
                var skins = this.getSkinArray();
                if (skins[i]) {
                    checkBox.setUserData(skins[i]);
                    this.loadCheckBoxImage(checkBox, skins[i]);
                    this.updateLockImag(skins[i], keyName);
                }
                else {
                    this.updateLockImag(null, keyName);
                }
            }
        };
        ui_selectpifu.prototype.loadCheckBoxImage = function (CheckBox, skinname) {
            var path = game.g_daoju_nan[skinname].icon;
            if (path) {
                game.dataMgr.getMe().loadCheckBoximg(CheckBox, path);
            }
        };
        //皮肤名，控件名
        ui_selectpifu.prototype.updateLockImag = function (name, checkName) {
            var type = game.itemMgr.getMe().stringToType(name);
            if (name) {
                this.showOrhidelock(!game.itemMgr.getMe().getSkinislock(type), checkName);
            }
            else {
                this.showOrhidelock(false, checkName);
            }
        };
        //显示隐藏锁图片
        ui_selectpifu.prototype.showOrhidelock = function (flag, parentname) {
            var CheckBox = this.m_checkBoxsMap.get(parentname);
            var suo = ccui.helper.seekWidgetByName(CheckBox, "suo");
            suo.setVisible(flag);
        };
        ui_selectpifu.prototype.initUI = function () {
            if (this.m_heroName.indexOf("hero_") <= -1) {
                this.m_heroName = 'hero_' + this.m_heroName;
            }
            // this.m_curSelectSkin = dataMgr.getMe().getHeroSkin(this.m_heroName)
            this.m_HeroNode = ccui.helper.seekWidgetByName(this.m_root, "Node_3");
            this.updateCurdata();
            this.updatePropertyUI();
        };
        ui_selectpifu.prototype.updateSkin = function (skinName) {
            this.m_HeroNode.removeAllChildren(true);
            this.m_spineNode = game.spineMgr.getMe().createSpinePlay(this.m_heroName, "daiji", true, this.m_HeroNode, cc.p(0, 0), 1);
            var skinconfig = game.dataMgr.getMe().getSkinConfig(skinName, this.m_heroName.replace("hero_", ""));
            var skinname = skinconfig.skin;
            this.m_spineNode.setSkin(skinname);
            var fightweapons = game.fileMgr.getMe().m_play_doc[this.m_heroName.replace("hero_", "") + "_weapon"];
            if (fightweapons[0]) {
                var weaponconfig = game.dataMgr.getMe().getWeaponconfig(fightweapons[0].name);
                this.m_spineNode.replaceAttachmentImage("wuqi", weaponconfig.roleBujian);
            }
            else {
                this.m_spineNode.replaceAttachmentImage("wuqi", "shitou");
            }
            this.updateShowSkin(skinconfig);
        };
        ui_selectpifu.prototype.updateShowSkin = function (skinconfig) {
            // let skin = dataMgr.getMe().getHeroSkin(this.m_heroName.replace("hero_", ""));
            if (skinconfig) {
                var teshu = ccui.helper.seekWidgetByName(this.m_root, "teshu_2");
                var nan = ccui.helper.seekWidgetByName(this.m_root, "nan");
                var nv = ccui.helper.seekWidgetByName(this.m_root, "nv");
                var name_1 = ccui.helper.seekWidgetByName(this.m_root, "name");
                var des = ccui.helper.seekWidgetByName(this.m_root, "miaoshu");
                des.setString(skinconfig.des);
                name_1.setString(skinconfig.desName);
                if (skinconfig.des != null)
                    teshu.setString(skinconfig.miaoshu);
                else
                    teshu.setString('');
                nan.setVisible(skinconfig.isMale != 0);
                nv.setVisible(skinconfig.isMale == 0);
            }
            this.updateshuxingzhi(skinconfig);
        };
        ui_selectpifu.prototype.updateCurdata = function () {
            var teshu_cur = ccui.helper.seekWidgetByName(this.m_root, "teshu");
            var skinconfig = game.dataMgr.getMe().getSkinConfig(game.dataMgr.getMe().getHeroSkin(this.m_heroName), this.m_heroName);
            if (skinconfig.miaoshu) {
                teshu_cur.setString(skinconfig.miaoshu);
            }
        };
        ui_selectpifu.prototype.selectSkin_func = function (sender, type) {
            var _this = this;
            var uitexiao = ccui.helper.seekWidgetByName(sender, "uitexiao");
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        uitexiao.setVisible(true);
                        this.m_curSelectSkin = sender.getUserData();
                        this.updateSkin(sender.getUserData().substr(sender.getUserData().length - 1, 1));
                    }
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    this.m_cursenderName = sender.getName();
                    if (game.Version_mgr.getInstance().isPhone()) {
                        uitexiao.setVisible(false);
                    }
                    var skinname = sender.getUserData();
                    if (skinname == "" || skinname == null)
                        return;
                    this.m_index = skinname.substring(skinname.length - 1);
                    var skinid = game.itemMgr.getMe().stringToType("pifu_" + this.m_heroName.replace("hero_", "") + "_" + this.m_index);
                    if (!game.itemMgr.getMe().getSkinislock(skinid)) {
                        this.m_price_diamond = game.itemMgr.getMe().getitemPriceZuansi("pifu_" + this.m_heroName.replace("hero_", "") + "_" + this.m_index);
                        this.price_jinbi = game.itemMgr.getMe().getitemPricejinbi("pifu_" + this.m_heroName.replace("hero_", "") + "_" + this.m_index);
                        if (game.g_pifu_config["pifu_" + this.m_heroName.replace("hero_", "") + "_" + this.m_index].jinbi == -1) {
                            game.ui_messageBox.ShowOrHide(true, game.g_pifu_config["pifu_" + this.m_heroName.replace("hero_", "") + "_" + this.m_index].tishi);
                            return;
                        }
                        this.m_skinName = "pifu_" + ui_selectpifu.getMe().m_heroName.replace("hero_", "") + "_" + this.m_index;
                        game.ui_messageBox2.ShowOrHide(true, "是否花费" + this.m_price_diamond + "钻石解锁皮肤？", function () {
                            game.buy_mgr.getInstance().buySkin_buy(ui_selectpifu.getMe().buyScceedCallBack, ui_selectpifu.getMe(), "pifu_" + _this.m_heroName.replace("hero_", "") + "_" + _this.m_index);
                        });
                    }
                    else {
                        this.carrySkin(skinid, skinname);
                    }
                    break;
                case ccui.Widget.TOUCH_CANCELED:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        uitexiao.setVisible(false);
                    }
                    break;
            }
        };
        ui_selectpifu.prototype.buyScceedCallBack = function () {
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     ui_selectpifu.getMe().m_price_diamond + "钻石购买"+
            //     g_daoju_nan[ui_selectpifu.getMe().m_skinName].desName);
            game.itemMgr.getMe().lockSkin(game.itemMgr.getMe().stringToType("pifu_" + ui_selectpifu.getMe().m_heroName.replace("hero_", "") + "_" + ui_selectpifu.getMe().m_index));
            ui_selectpifu.getMe().showOrhidelock(false, "pifu" + ui_selectpifu.getMe().m_cursenderName);
            game.ui_goumaichenggong.ShowOrHide(true, {
                name: "wupin", num: 1,
                icon: game.g_daoju_nan["pifu_" + ui_selectpifu.getMe().m_heroName.replace("hero_", "") + "_" + ui_selectpifu.getMe().m_index].icon,
                iconName: game.g_daoju_nan["pifu_" + ui_selectpifu.getMe().m_heroName.replace("hero_", "") + "_" + ui_selectpifu.getMe().m_index].desName
            });
            var skinid = game.itemMgr.getMe().stringToType("pifu_" + ui_selectpifu.getMe().m_heroName.replace("hero_", "") + "_" + ui_selectpifu.getMe().m_index);
            ui_selectpifu.getMe().carrySkin(skinid, ui_selectpifu.getMe().m_curSelectSkin);
        };
        //携带皮肤
        ui_selectpifu.prototype.carrySkin = function (skinid, skinname) {
            var hasskin = game.itemMgr.getMe().gethasSkin(ui_selectpifu.getMe().m_heroName);
            for (var p = 0; p < hasskin.length; p++) {
                if (hasskin[p].id == skinid) {
                    game.dataMgr.getMe().setSkin(ui_selectpifu.getMe().m_heroName, "pifu" + skinname.substr(skinname.length - 1, 1));
                    ui_selectpifu.getMe().updateOtherUI();
                    ui_selectpifu.ShowOrHide(false);
                    if (game.ui_choosehero.getMe()) {
                        game.ui_choosehero.getMe().updateui();
                    }
                    if (game.ui_choosehero2.getMe()) {
                        game.ui_choosehero2.getMe().updateui();
                    }
                }
            }
        };
        ui_selectpifu.prototype.updateOtherUI = function () {
            if (game.ui_choosehero.getMe()) {
                game.ui_choosehero.getMe().updateSkin();
            }
            if (game.ui_choosehero2.getMe()) {
                game.ui_choosehero2.getMe().updateSkin();
            }
            if (game.ui_juese.getMe()) {
                game.ui_juese.getMe().updateSkin();
            }
        };
        ui_selectpifu.prototype.updateshuxingzhi = function (skin_config) {
            var jianshang2 = ccui.helper.seekWidgetByName(this.m_root, "jianshang_2 ");
            var xueliang2 = ccui.helper.seekWidgetByName(this.m_root, "xueliang_2");
            var naili2 = ccui.helper.seekWidgetByName(this.m_root, "naili_2");
            var gongji2 = ccui.helper.seekWidgetByName(this.m_root, "gongji_2");
            var jianshangNum = Math.floor(skin_config.damageRes * 100 - this.m_priorConfig.damageRes * 100);
            var gongjiNum = skin_config.damage - this.m_priorConfig.damage;
            var num = skin_config.hp - this.m_priorConfig.hp;
            var nailiNum = skin_config.power - this.m_priorConfig.power;
            this.setDamegeDes(jianshangNum, jianshang2);
            this.setshuxingzhi2(gongjiNum, gongji2);
            this.setshuxingzhi2(num, xueliang2);
            this.setshuxingzhi2(nailiNum, naili2);
        };
        ui_selectpifu.prototype.setDamegeDes = function (num, text) {
            var regNum = Math.floor(num);
            if (num < 0) {
                text.setString(regNum + "%");
                text.setTextColor(cc.color(255, 76, 59));
            }
            else if (num == 0) {
                text.setString("+" + regNum + "%");
                text.setTextColor(cc.color(253, 245, 230));
            }
            else {
                text.setString("+" + regNum + "%");
                text.setTextColor(cc.color(104, 255, 0));
            }
        };
        ui_selectpifu.prototype.setshuxingzhi2 = function (num, text) {
            var regNum = Math.floor(num);
            if (num < 0) {
                text.setString(regNum);
                text.setTextColor(cc.color(255, 76, 59));
            }
            else if (num == 0) {
                text.setString("+" + regNum);
                text.setTextColor(cc.color(253, 245, 230));
            }
            else {
                text.setString("+" + regNum);
                text.setTextColor(cc.color(104, 255, 0));
            }
        };
        //进度条数据处理
        ui_selectpifu.prototype.updatePropertyUI = function () {
            var skin = game.dataMgr.getMe().getHeroSkin(this.m_heroName);
            var pifuconfig = skin.substr(0, skin.length - 1) +
                this.m_heroName.replace("hero", "") + "_" + skin.substr(skin.length - 1, 1);
            this.m_priorConfig = game.g_pifu_config[pifuconfig];
            var gongji = ccui.helper.seekWidgetByName(this.m_root, "gongji");
            var naili = ccui.helper.seekWidgetByName(this.m_root, "naili");
            var jianshang = ccui.helper.seekWidgetByName(this.m_root, "jianshang");
            var xueliang = ccui.helper.seekWidgetByName(this.m_root, "xueliang");
            var LoadingBar_jianshang = ccui.helper.seekWidgetByName(jianshang, "LoadingBar_2");
            var Text_jianshang = ccui.helper.seekWidgetByName(jianshang, "shuzhi");
            LoadingBar_jianshang.setPercent(this.m_priorConfig.damageRes * 100);
            Text_jianshang.setString(this.m_priorConfig.damageRes * 100 + "%");
            var LoadingBar_xueliang = ccui.helper.seekWidgetByName(xueliang, "LoadingBar_2");
            var Text_xueliang = ccui.helper.seekWidgetByName(xueliang, "shuzhi");
            LoadingBar_xueliang.setPercent(this.m_priorConfig.hp / (game.dataMgr.getMe().getSkinMax("hp")) * 100);
            Text_xueliang.setString(this.m_priorConfig.hp);
            var LoadingBar_naili = ccui.helper.seekWidgetByName(naili, "LoadingBar_2");
            var Text_naili = ccui.helper.seekWidgetByName(naili, "shuzhi");
            LoadingBar_naili.setPercent(this.m_priorConfig.power / (game.dataMgr.getMe().getSkinMax("power")) * 100);
            Text_naili.setString(this.m_priorConfig.power);
            var LoadingBar_gongji = ccui.helper.seekWidgetByName(gongji, "LoadingBar_2");
            var Text_gongji = ccui.helper.seekWidgetByName(gongji, "shuzhi");
            LoadingBar_gongji.setPercent(this.m_priorConfig.damage / (game.dataMgr.getMe().getSkinMax("damage")) * 100);
            Text_gongji.setString(this.m_priorConfig.damage);
        };
        ui_selectpifu.prototype.onBack = function () {
            ui_selectpifu.ShowOrHide(false);
        };
        ui_selectpifu.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
                for (var i = 0; i < this.m_checkBoxsMap.size; ++i) {
                    var keyName = this.m_checkBoxsMap.getKeyByIndex(i);
                    var skins = this.getSkinArray();
                    if (skins[i]) {
                        this.updateLockImag(skins[i], keyName);
                    }
                }
                if (game.Version_mgr.getInstance().isPhone()) {
                }
                else {
                    if (this.m_CBaseKeyState.m_key.node.getUserData() != this.m_curSelectSkin) {
                        var skinname = this.m_CBaseKeyState.m_key.node.getUserData();
                        if (skinname != "") {
                            this.m_curSelectSkin = skinname;
                        }
                    }
                }
            }
        };
        ui_selectpifu.g_instarn = null;
        ui_selectpifu.getMe = function () {
            return ui_selectpifu.g_instarn;
        };
        ui_selectpifu.ShowOrHide = function (flag, heroname) {
            if (heroname === void 0) { heroname = null; }
            game.UiBase.ShowOrHide(flag, ui_selectpifu, game.uiMgr.getMe(), 1122, heroname);
        };
        return ui_selectpifu;
    }(game.UiBase));
    game.ui_selectpifu = ui_selectpifu;
})(game || (game = {}));
//# sourceMappingURL=ui_selectpifu.js.map