module game {
    import CheckBox = ccui.CheckBox;
    export class ui_selectpifu extends UiBase {
        static g_instarn: ui_selectpifu = null;
        static getMe = function (): ui_selectpifu {
            return ui_selectpifu.g_instarn;
        };
        static ShowOrHide = function (flag, heroname = null) {
            UiBase.ShowOrHide(flag, ui_selectpifu, uiMgr.getMe(), 1122, heroname);
        };

        constructor() {
            super();
            this.m_des = "ui_selectpifu";
            this.m_CBaseKeyState = new BaseKeyState();
            this.m_checkBoxsMap = new Map<string,ccui.CheckBox>();

        }

        m_HeroNode: cc.Node = null
        m_heroName: string = ""
        m_priorConfig: any = null;//获得上一个界面的配置
        left(){
            super.left();
            let node = this.m_CBaseKeyState.m_key.node;
            if(node.getUserData() == null){
                return
            }
            this.updateSkin(node.getUserData().substr(node.getUserData().length -1, 1))
        }

        right(){
            super.right();
            let node = this.m_CBaseKeyState.m_key.node;
            if(node.getUserData() == null){
                return
            }
            this.updateSkin(node.getUserData().substr(node.getUserData().length -1, 1))
        }

        up(){
            super.up();
            let node = this.m_CBaseKeyState.m_key.node;
            if(node.getUserData() == null){
                return
            }
            this.updateSkin(node.getUserData().substr(node.getUserData().length -1, 1))
        }

        down(){
            super.down();
            let node = this.m_CBaseKeyState.m_key.node;
            if(node.getUserData() == null){
                return
            }
            this.updateSkin(node.getUserData().substr(node.getUserData().length -1, 1))
        }



        oninit(heroname) {
            this.m_heroName = heroname
            let root = this._parseUIFile("juese_pifu.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.registerCheckBox();
            this.updateCkeckBoxUI();
            this.initUI();
            let allCheckBox: Array<ccui.CheckBox> = ccui.helper.seekWidgetByType(this.m_root, "CheckBox");
            for (let p in allCheckBox) {
                if (allCheckBox[p].getName() == "tuichu" || allCheckBox[p].getName() == "fanhui") {
                    allCheckBox[p].addTouchEventListener(this.comeback_func, this);
                }
            }
            let tuichu: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (Version_mgr.getInstance().isPhone()) {
            } else {
                dataMgr.getMe().loadCheckBoximg(tuichu, "xingjietantantang/big/ui/image/ddt_ui138b.png")
                this.m_CBaseKeyState.init(this);
            }
            tuichu.addTouchEventListener(this.tuichu_func, this);
            let skinconfname = this.m_checkBoxsMap.getByIndex(0).getUserData();
            this.updateSkin(skinconfname.substr(skinconfname.length -1,1))

        }

        tuichu_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        }

        comeback_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        }

        m_curSelectSkin: string = "";
        getSkinArray(){
            let data = [];
            let xingbie = this.m_heroName.replace("hero_", "");
            for (let p in g_item_config) {
                if (p.indexOf("pifu_" + xingbie) > -1) {
                    let skinName = itemMgr.getMe().typeToString(g_item_config[p].type);
                    data.push(skinName);
                }
            }
            return data;
        }

        m_checkBoxsMap:Map<string,ccui.CheckBox> = null;
        registerCheckBox() {
            for (let p = 1; p <= 15; p++) {
                let headnode: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, p.toString())
                this.m_checkBoxsMap.set("pifu" + p, headnode);
                if (Version_mgr.getInstance().isPhone()) {
                    let uitexiao: ccui.ImageView = ccui.helper.seekWidgetByName(headnode, "uitexiao");
                    uitexiao.setVisible(false);
                } else {
                    this.m_CBaseKeyState.regNodeEx(headnode, p)
                }
                headnode.addTouchEventListener(this.selectSkin_func, this)
            }
        }

        updateCkeckBoxUI(){
            for(let i = 0; i < this.m_checkBoxsMap.size; ++i){
                let checkBox:ccui.CheckBox =  this.m_checkBoxsMap.getByIndex(i);
                let keyName:string = this.m_checkBoxsMap.getKeyByIndex(i);
                let skins = this.getSkinArray();
                if(skins[i]){
                    checkBox.setUserData(skins[i]);
                    this.loadCheckBoxImage(checkBox,skins[i]);
                    this.updateLockImag(skins[i],keyName)
                }else {
                    this.updateLockImag(null,keyName)
                }
            }
        }

        loadCheckBoxImage(CheckBox: ccui.CheckBox, skinname: string) {
            let path = g_daoju_nan[skinname].icon;
            if (path) {
                dataMgr.getMe().loadCheckBoximg(CheckBox, path);
            }
        }

        //皮肤名，控件名
        updateLockImag(name:string,checkName:string){
            let type:e_item = itemMgr.getMe().stringToType(name);
            if(name){
                this.showOrhidelock(!itemMgr.getMe().getSkinislock(type), checkName)
            }else {
                this.showOrhidelock(false, checkName)
            }
        }

        //显示隐藏锁图片
        showOrhidelock(flag:boolean,parentname:string){
            let CheckBox:ccui.CheckBox = this.m_checkBoxsMap.get(parentname);
            let suo:ccui.ImageView = ccui.helper.seekWidgetByName(CheckBox,"suo");
            suo.setVisible(flag);
        }

        initUI() {
            if (this.m_heroName.indexOf("hero_") <= -1) {
                this.m_heroName = 'hero_' + this.m_heroName
            }
            // this.m_curSelectSkin = dataMgr.getMe().getHeroSkin(this.m_heroName)
            this.m_HeroNode = ccui.helper.seekWidgetByName(this.m_root, "Node_3")
            this.updateCurdata();
            this.updatePropertyUI();
        }

        m_spineNode = null;
        updateSkin(skinName){
            this.m_HeroNode.removeAllChildren(true);
            this.m_spineNode = spineMgr.getMe().createSpinePlay(this.m_heroName, "daiji", true, this.m_HeroNode, cc.p(0, 0), 1)
            let skinconfig = dataMgr.getMe().getSkinConfig(skinName,this.m_heroName.replace("hero_", ""));

            let skinname = skinconfig.skin;
            this.m_spineNode.setSkin(skinname);
            let fightweapons = fileMgr.getMe().m_play_doc[this.m_heroName.replace("hero_", "") + "_weapon"];
            if(fightweapons[0]){
                let weaponconfig:weaponconfig_s = dataMgr.getMe().getWeaponconfig(fightweapons[0].name);
                this.m_spineNode.replaceAttachmentImage("wuqi",weaponconfig.roleBujian)
            }else {
                this.m_spineNode.replaceAttachmentImage("wuqi","shitou");
            }
            this.updateShowSkin(skinconfig);
        }

        updateShowSkin(skinconfig) {
            // let skin = dataMgr.getMe().getHeroSkin(this.m_heroName.replace("hero_", ""));
            if (skinconfig) {
                let teshu: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "teshu_2")
                let nan: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "nan")
                let nv: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "nv")
                let name: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "name")
                let des: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "miaoshu")

                des.setString(skinconfig.des)
                name.setString(skinconfig.desName)
                if (skinconfig.des != null)
                    teshu.setString(skinconfig.miaoshu)
                else
                    teshu.setString('')

                nan.setVisible(skinconfig.isMale != 0)
                nv.setVisible(skinconfig.isMale == 0);
            }

            this.updateshuxingzhi(skinconfig)

        }

        updateCurdata() {
            let teshu_cur: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "teshu")
            let skinconfig = dataMgr.getMe().getSkinConfig(dataMgr.getMe().getHeroSkin(this.m_heroName),this.m_heroName);
            if (skinconfig.miaoshu) {
                teshu_cur.setString(skinconfig.miaoshu);
            }
        }
        m_price_diamond = 0;//皮肤钻石价格
        price_jinbi = 0;//皮肤金币价格
        m_index:string  = "";
        m_cursenderName:string = null;
        selectSkin_func(sender, type) {
            let uitexiao: ccui.ImageView = ccui.helper.seekWidgetByName(sender, "uitexiao");
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    if (Version_mgr.getInstance().isPhone()) {
                        uitexiao.setVisible(true);
                        this.m_curSelectSkin = sender.getUserData();
                        this.updateSkin(sender.getUserData().substr(sender.getUserData().length -1,1))
                    }
                    break;

                case ccui.Widget.TOUCH_ENDED:
                    this.m_cursenderName = sender.getName();
                    if (Version_mgr.getInstance().isPhone()) {
                        uitexiao.setVisible(false);
                    }
                    let skinname: string = sender.getUserData()
                    if (skinname == "" || skinname == null)
                        return;
                    this.m_index = skinname.substring(skinname.length - 1);
                    let skinid = itemMgr.getMe().stringToType("pifu_" + this.m_heroName.replace("hero_", "") + "_" + this.m_index);
                    if(!itemMgr.getMe().getSkinislock(skinid)){
                        this.m_price_diamond = itemMgr.getMe().getitemPriceZuansi("pifu_" + this.m_heroName.replace("hero_", "") + "_" + this.m_index);
                        this.price_jinbi = itemMgr.getMe().getitemPricejinbi("pifu_" + this.m_heroName.replace("hero_", "") + "_" + this.m_index);
                        if (g_pifu_config["pifu_" + this.m_heroName.replace("hero_", "") + "_" + this.m_index].jinbi == -1) {
                            ui_messageBox.ShowOrHide(true, g_pifu_config["pifu_" + this.m_heroName.replace("hero_", "") + "_" + this.m_index].tishi);
                            return;
                        }
                        this.m_skinName =  "pifu_" + ui_selectpifu.getMe().m_heroName.replace("hero_", "") + "_" + this.m_index;

                        ui_messageBox2.ShowOrHide(true, "是否花费" + this.m_price_diamond + "钻石解锁皮肤？", () => {
                            buy_mgr.getInstance().buySkin_buy(ui_selectpifu.getMe().buyScceedCallBack,ui_selectpifu.getMe(),"pifu_" + this.m_heroName.replace("hero_", "") + "_" + this.m_index)
                        })
                    }else {
                        this.carrySkin(skinid,skinname)
                    }
                    break;
                case ccui.Widget.TOUCH_CANCELED:
                    if (Version_mgr.getInstance().isPhone()) {
                        uitexiao.setVisible(false);
                    }
                    break;
            }
        }

        m_skinName:string = null;
        buyScceedCallBack() {
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     ui_selectpifu.getMe().m_price_diamond + "钻石购买"+
            //     g_daoju_nan[ui_selectpifu.getMe().m_skinName].desName);
            itemMgr.getMe().lockSkin(itemMgr.getMe().stringToType("pifu_" + ui_selectpifu.getMe().m_heroName.replace("hero_", "") + "_" + ui_selectpifu.getMe().m_index));
            ui_selectpifu.getMe().showOrhidelock(false, "pifu" + ui_selectpifu.getMe().m_cursenderName);
            ui_goumaichenggong.ShowOrHide(true, {
                name: "wupin", num: 1,
                icon: g_daoju_nan["pifu_" + ui_selectpifu.getMe().m_heroName.replace("hero_", "") + "_" + ui_selectpifu.getMe().m_index].icon,
                iconName: g_daoju_nan["pifu_" + ui_selectpifu.getMe().m_heroName.replace("hero_", "") + "_" + ui_selectpifu.getMe().m_index].desName
            });
            let skinid = itemMgr.getMe().stringToType("pifu_" + ui_selectpifu.getMe().m_heroName.replace("hero_", "") + "_" + ui_selectpifu.getMe().m_index);
            ui_selectpifu.getMe().carrySkin(skinid,ui_selectpifu.getMe().m_curSelectSkin);
        }

        //携带皮肤
        carrySkin(skinid,skinname:string){
            let hasskin: Array<itemStruct> = itemMgr.getMe().gethasSkin(ui_selectpifu.getMe().m_heroName);
            for (let p = 0; p < hasskin.length; p++) {
                if (hasskin[p].id == skinid) {
                    dataMgr.getMe().setSkin(ui_selectpifu.getMe().m_heroName, "pifu" + skinname.substr(skinname.length - 1,1));
                    ui_selectpifu.getMe().updateOtherUI();
                    ui_selectpifu.ShowOrHide(false);
                    if (ui_choosehero.getMe()) {
                        ui_choosehero.getMe().updateui()
                    }
                    if (ui_choosehero2.getMe()) {
                        ui_choosehero2.getMe().updateui()
                    }
                }
            }
        }

        updateOtherUI() {
            if (ui_choosehero.getMe()) {
                ui_choosehero.getMe().updateSkin()
            }
            if (ui_choosehero2.getMe()) {
                ui_choosehero2.getMe().updateSkin()
            }
            if (ui_juese.getMe()) {
                ui_juese.getMe().updateSkin()
            }
        }

        updateshuxingzhi(skin_config: skin_s){
            let jianshang2: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "jianshang_2 ");
            let xueliang2: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "xueliang_2");
            let naili2: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "naili_2");
            let gongji2: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "gongji_2");

            let jianshangNum = Math.floor(skin_config.damageRes*100 - this.m_priorConfig.damageRes*100);
            let gongjiNum = skin_config.damage - this.m_priorConfig.damage;
            let num = skin_config.hp - this.m_priorConfig.hp;
            let nailiNum = skin_config.power - this.m_priorConfig.power;
            this.setDamegeDes(jianshangNum,jianshang2);
            this.setshuxingzhi2(gongjiNum,gongji2);
            this.setshuxingzhi2(num,xueliang2);
            this.setshuxingzhi2(nailiNum,naili2);

        }

        setDamegeDes(num:number,text:ccui.Text){
            let regNum = Math.floor(num);
            if (num < 0) {
                text.setString(regNum + "%");
                text.setTextColor(cc.color(255, 76, 59))
            } else if (num == 0) {
                text.setString("+" + regNum + "%");
                text.setTextColor(cc.color(253, 245, 230))
            } else {
                text.setString("+" + regNum + "%");
                text.setTextColor(cc.color(104, 255, 0))
            }
        }

        setshuxingzhi2(num:number,text:ccui.Text){
            let regNum = Math.floor(num);
            if (num < 0) {
                text.setString(regNum);
                text.setTextColor(cc.color(255, 76, 59))
            } else if (num == 0) {
                text.setString("+" + regNum);
                text.setTextColor(cc.color(253, 245, 230))
            } else {
                text.setString("+" + regNum);
                text.setTextColor(cc.color(104, 255, 0))
            }
        }

        //进度条数据处理
        updatePropertyUI() {
            let skin = dataMgr.getMe().getHeroSkin(this.m_heroName);
            let pifuconfig = skin.substr(0, skin.length - 1) +
                this.m_heroName.replace("hero", "") + "_" + skin.substr(skin.length - 1, 1);
            this.m_priorConfig = g_pifu_config[pifuconfig];
            let gongji: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "gongji");
            let naili: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "naili");
            let jianshang: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "jianshang");
            let xueliang: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "xueliang");

            let LoadingBar_jianshang: ccui.Loadingbar = ccui.helper.seekWidgetByName(jianshang, "LoadingBar_2");
            let Text_jianshang: ccui.Text = ccui.helper.seekWidgetByName(jianshang, "shuzhi");

            LoadingBar_jianshang.setPercent(this.m_priorConfig.damageRes * 100);
            Text_jianshang.setString(this.m_priorConfig.damageRes * 100 + "%");

            let LoadingBar_xueliang: ccui.Loadingbar = ccui.helper.seekWidgetByName(xueliang, "LoadingBar_2");
            let Text_xueliang: ccui.Text = ccui.helper.seekWidgetByName(xueliang, "shuzhi");
            LoadingBar_xueliang.setPercent(this.m_priorConfig.hp / (dataMgr.getMe().getSkinMax("hp")) * 100);
            Text_xueliang.setString(this.m_priorConfig.hp);

            let LoadingBar_naili: ccui.Loadingbar = ccui.helper.seekWidgetByName(naili, "LoadingBar_2");
            let Text_naili: ccui.Text = ccui.helper.seekWidgetByName(naili, "shuzhi");
            LoadingBar_naili.setPercent(this.m_priorConfig.power / (dataMgr.getMe().getSkinMax("power")) * 100);
            Text_naili.setString(this.m_priorConfig.power);

            let LoadingBar_gongji: ccui.Loadingbar = ccui.helper.seekWidgetByName(gongji, "LoadingBar_2");
            let Text_gongji: ccui.Text = ccui.helper.seekWidgetByName(gongji, "shuzhi");
            LoadingBar_gongji.setPercent(this.m_priorConfig.damage / (dataMgr.getMe().getSkinMax("damage")) * 100);
            Text_gongji.setString(this.m_priorConfig.damage);

        }

        onBack() {
            ui_selectpifu.ShowOrHide(false);
        }

        loop(t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
                for(let i = 0; i < this.m_checkBoxsMap.size; ++i){
                    let keyName:string = this.m_checkBoxsMap.getKeyByIndex(i);
                    let skins = this.getSkinArray();
                    if(skins[i]){
                        this.updateLockImag(skins[i],keyName)
                    }
                }
                if (Version_mgr.getInstance().isPhone()) {
                } else {
                    if (this.m_CBaseKeyState.m_key.node.getUserData() != this.m_curSelectSkin) {
                        let skinname = this.m_CBaseKeyState.m_key.node.getUserData()
                        if (skinname != "") {
                            this.m_curSelectSkin = skinname;
                        }


                    }
                }
            }
        }
    }
}
