var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * vip信息
 */
var game;
(function (game) {
    var ui_vip = (function (_super) {
        __extends(ui_vip, _super);
        function ui_vip() {
            _super.call(this);
            this.m_listView = null;
            this.m_checksMap = null;
            this.m_curCheckBox = null; //当前选择按钮
            this.m_des = "ui_vip";
            this.m_CBaseKeyState = new game.BaseKeyState();
            this.m_checksMap = new game.Map();
        }
        ui_vip.prototype.up = function () {
            if (!game.Version_mgr.getInstance().isPhone()) {
                if (this.m_CBaseKeyState.up()) {
                    var level = parseInt(this.m_CBaseKeyState.m_key.getName().match(/\d/)[0]);
                    var conf = this.getVIPlevelconf(Number(level));
                    this.setshuoming(Number(level));
                    this.isshow(conf);
                    var PosY = this.m_CBaseKeyState.m_key.node.getPositionY();
                    var height = this.m_CBaseKeyState.m_key.node.getContentSize().height;
                    var per = Math.floor((PosY + height) / this.m_listView.getInnerContainerSize().height * 100);
                    this.m_listView.jumpToPercentVertical(100 - per);
                }
            }
        };
        ui_vip.prototype.down = function () {
            if (!game.Version_mgr.getInstance().isPhone()) {
                if (this.m_CBaseKeyState.down()) {
                    var level = parseInt(this.m_CBaseKeyState.m_key.getName().match(/\d/)[0]);
                    var conf = this.getVIPlevelconf(Number(level));
                    this.setshuoming(Number(level));
                    this.isshow(conf);
                    var PosY = this.m_CBaseKeyState.m_key.node.getPositionY();
                    var height = this.m_CBaseKeyState.m_key.node.getContentSize().height;
                    var per = Math.floor((PosY - height) / this.m_listView.getInnerContainerSize().height * 100);
                    this.m_listView.jumpToPercentVertical(100 - per);
                }
            }
        };
        ui_vip.prototype.oninit = function () {
            var root = this._parseUIFile("juese_vip.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            var exit = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            exit.addTouchEventListener(this.exit_func, this);
            this.m_listView = ccui.helper.seekWidgetByName(this.m_root, "ScrollView_1");
            this.registerChecks();
            this.initUI();
            var viplv = game.dataMgr.getMe().getViplevel() + 1;
            if (game.dataMgr.getMe().getViplevel() + 1 > 8) {
                var t = ccui.helper.seekWidgetByName(this.m_root, "t");
                t.setVisible(false);
                this.setzaichongzhi(false, 0);
                viplv = game.dataMgr.getMe().getMaxVIPLevel();
            }
            if (!game.Version_mgr.getInstance().isPhone()) {
                game.dataMgr.getMe().loadCheckBoximg(exit, "xingjietantantang/big/ui/image/ddt_ui138b.png");
                this.m_CBaseKeyState.init(this);
                this.m_CBaseKeyState.setCurKey(this.m_checksMap.get("vip_" + (viplv)));
                var PosY = this.m_CBaseKeyState.m_key.node.getPositionY();
                var height = this.m_CBaseKeyState.m_key.node.getContentSize().height;
                var per = Math.floor((PosY - height) / this.m_listView.getInnerContainerSize().height * 100);
                this.m_listView.jumpToPercentVertical(100 - per);
            }
            else {
                this.m_curCheckBox = this.m_checksMap.get("vip_" + (viplv));
                var texiao = ccui.helper.seekWidgetByName(this.m_curCheckBox, "uitexiao");
                texiao.setVisible(true);
                var height = this.m_curCheckBox.getContentSize().height;
                var per = Math.floor((this.m_curCheckBox.getPositionY() - height) / this.m_listView.getInnerContainerSize().height * 100);
                this.m_listView.jumpToPercentVertical(100 - per);
            }
        };
        ui_vip.prototype.registerChecks = function () {
            for (var p = 0; p < 9; p++) {
                var check = ccui.helper.seekWidgetByName(this.m_listView, "vip_" + p);
                this.m_checksMap.set("vip_" + p, check);
                check.addTouchEventListener(this.vipfun, this);
                if (!game.Version_mgr.getInstance().isPhone()) {
                    this.m_CBaseKeyState.regNodeEx(check, p);
                }
                else {
                    var texiao = ccui.helper.seekWidgetByName(check, "uitexiao");
                    texiao.setVisible(false);
                }
            }
        };
        ui_vip.prototype.vipfun = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        if (this.m_curCheckBox) {
                            var texiao_1 = ccui.helper.seekWidgetByName(this.m_curCheckBox, "uitexiao");
                            texiao_1.setVisible(false);
                        }
                        var texiao = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        texiao.setVisible(true);
                        this.m_curCheckBox = sender;
                        var level = parseInt(sender.getName().match(/\d/)[0]);
                        var conf = this.getVIPlevelconf(Number(level));
                        this.setshuoming(Number(level));
                        this.isshow(conf);
                    }
                    break;
            }
        };
        ui_vip.prototype.initUI = function () {
            var level = game.dataMgr.getMe().getViplevel();
            var conf = this.getVIPlevelconf(level + 1);
            this.updateUI(level + 1);
            this.setIcon(level);
            this.setshuoming(level + 1);
            var num = this.getzaichongzhi(conf);
            this.setzaichongzhi(true, num);
            this.isshow(conf);
        };
        //获得在充值的数
        ui_vip.prototype.getzaichongzhi = function (conf) {
            var Versiondiamond = game.Version_mgr.getInstance().getRmbPriceByTag("1").diamond;
            var num = conf.chongzhi * Versiondiamond - game.dataMgr.getMe().getUseMoney();
            if (num <= 0) {
                num = 0;
            }
            return num;
        };
        //选择显示那些奖励
        ui_vip.prototype.isshow = function (conf) {
            if (conf.jiangliNum) {
                if (game.e_item.e_zuanshi == conf.jiangli) {
                    this.setdiamondNum(true, conf.jiangliNum);
                }
                else {
                    this.setdiamondNum(false, 0);
                }
                if (conf.jiangli == game.e_item.e_jinbi) {
                    this.setGoldNum(true, conf.jiangliNum);
                }
                else {
                    this.setGoldNum(false, 0);
                }
                if (game.e_item.e_yaoji1 == conf.jiangli || game.e_item.e_yaoji2 == conf.jiangli || game.e_item.e_yaoji3 == conf.jiangli) {
                    var str = game.itemMgr.getMe().typeToString(conf.jiangli);
                    this.setYaoshuNum(true, conf.jiangliNum, game.g_daoju_nan[str].icon);
                }
                else {
                    this.setYaoshuNum(false, 0);
                }
            }
            else {
                this.setYaoshuNum(false, 0);
                this.setdiamondNum(false, 0);
                this.setGoldNum(false, 0);
            }
        };
        ui_vip.prototype.getVIPlevelconf = function (level) {
            var conf = null;
            if (level >= game.dataMgr.getMe().getMaxVIPLevel()) {
                conf = game.g_vip_config[game.dataMgr.getMe().getMaxVIPLevel()];
            }
            else {
                conf = game.g_vip_config[Number(level)];
            }
            return conf;
        };
        ui_vip.prototype.updateUI = function (level) {
            var conf = this.getVIPlevelconf(level);
            var curnum = game.dataMgr.getMe().getUseMoney();
            var image7 = ccui.helper.seekWidgetByName(this.m_root, "Image_7");
            var jindutiao = ccui.helper.seekWidgetByName(image7, "jindutiao");
            var shuzhi = ccui.helper.seekWidgetByName(image7, "shuzhi");
            var dangqianlevel = ccui.helper.seekWidgetByName(this.m_root, "dangqian");
            var Versiondiamond = game.Version_mgr.getInstance().getRmbPriceByTag("1").diamond;
            shuzhi.setString(curnum + "/" + (conf.chongzhi * Versiondiamond));
            var per = curnum / (conf.chongzhi * Versiondiamond) * 100;
            if (per >= 100) {
                per = 100;
            }
            else if (per <= 0) {
                per = 0;
            }
            jindutiao.setPercent(per);
            dangqianlevel.loadTexture("xingjietantantang/big/ui/image/ddt_vip" + (level - 1) + ".png");
        };
        ui_vip.prototype.setIcon = function (level) {
            for (var i = 0; i < this.m_checksMap.size; i++) {
                var node = this.m_checksMap.getByIndex(i);
                var key = parseInt(this.m_checksMap.getKeyByIndex(i).match(/\d/)[0]);
                var icon = ccui.helper.seekWidgetByName(node, "dangqain");
                if (key == level) {
                    icon.setVisible(true);
                }
                else {
                    icon.setVisible(false);
                }
            }
        };
        ui_vip.prototype.setshuoming = function (level) {
            var imag = ccui.helper.seekWidgetByName(this.m_root, "Image_102");
            var shuoming = ccui.helper.seekWidgetByName(imag, "Text_34");
            var viplevel = ccui.helper.seekWidgetByName(imag, "name");
            var vip_biaoshi = ccui.helper.seekWidgetByName(this.m_root, "vip_biaoshi");
            if (level >= game.dataMgr.getMe().getMaxVIPLevel()) {
                level = game.dataMgr.getMe().getMaxVIPLevel();
            }
            viplevel.setString(level);
            var conf = this.getVIPlevelconf(level);
            shuoming.setString(conf.des);
            if (conf.icon) {
                vip_biaoshi.setVisible(true);
                vip_biaoshi.loadTexture(conf.icon);
            }
            else {
                vip_biaoshi.setVisible(false);
            }
        };
        //设置在充值
        ui_vip.prototype.setzaichongzhi = function (flag, index) {
            var zuanshi = ccui.helper.seekWidgetByName(this.m_root, "zuanshi");
            var shuliang = ccui.helper.seekWidgetByName(zuanshi, "shuliang");
            zuanshi.setVisible(flag);
            shuliang.setString(index);
        };
        //设置钻石的显示和数值设置
        ui_vip.prototype.setdiamondNum = function (flag, index) {
            var zuanshi = ccui.helper.seekWidgetByTag(this.m_root, 1486);
            var shuliang = ccui.helper.seekWidgetByName(zuanshi, "shuliang");
            zuanshi.setVisible(flag);
            shuliang.setString(index);
        };
        //设置金币的显示和数值设置
        ui_vip.prototype.setGoldNum = function (flag, index) {
            var jinbi = ccui.helper.seekWidgetByName(this.m_root, "jinbi");
            var shuliang = ccui.helper.seekWidgetByName(jinbi, "shuliang");
            jinbi.setVisible(flag);
            shuliang.setString(index);
        };
        //设置药水的显示和数值设置
        ui_vip.prototype.setYaoshuNum = function (flag, index, path) {
            if (path === void 0) { path = null; }
            var yaoshui = ccui.helper.seekWidgetByName(this.m_root, "wupin");
            var shuliang = ccui.helper.seekWidgetByName(yaoshui, "shuliang");
            yaoshui.setVisible(flag);
            if (path) {
                yaoshui.loadTexture(path);
            }
            shuliang.setString("x" + index);
        };
        //退出
        ui_vip.prototype.exit_func = function () {
            var tuichu = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (!game.Version_mgr.getInstance().isPhone()) {
            }
            tuichu.addTouchEventListener(this.comeback_func, this);
        };
        //退出
        ui_vip.prototype.comeback_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        };
        ui_vip.prototype.onBack = function () {
            this.endLayout(function () {
                ui_vip.ShowOrHide(false);
                game.ui_juese.ShowOrHide(true);
            });
        };
        ui_vip.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                if (!game.Version_mgr.getInstance().isPhone()) {
                    this.m_CBaseKeyState.loop(t);
                }
            }
        };
        ui_vip.g_instarn = null;
        ui_vip.getMe = function () {
            return ui_vip.g_instarn;
        };
        ui_vip.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_vip, game.uiMgr.getMe(), 1122);
        };
        return ui_vip;
    }(game.UiBase));
    game.ui_vip = ui_vip;
})(game || (game = {}));
//# sourceMappingURL=ui_vip.js.map