var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_wuqi = (function (_super) {
        __extends(ui_wuqi, _super);
        function ui_wuqi() {
            _super.call(this);
            this.m_CBaseKeyState_Left = null;
            this.m_CBaseKeyState_Right = null;
            this.m_isSelectWeapon = true;
            this.m_zhuangbei1 = null;
            this.m_zhuangbei2 = null;
            this.m_zhuangbei3 = null;
            this.m_Weapons = null;
            this.m_heroName = "";
            this.m_curnode = null;
            this.m_viewPercent = 0;
            this.m_curPercent = 0;
            this.m_speed = 0;
            this.m_weaponsfile = null; //保存已携带的武器
            this.m_curData = null; //当前武器
            this.m_curSender = null; //当前按钮
            this.m_des = "ui_wuqi";
            this.m_CBaseKeyState_Left = new game.BaseKeyState();
            this.m_CBaseKeyState_Right = new game.BaseKeyState();
            this.m_Weapons = new game.Map();
        }
        ui_wuqi.prototype.getPercentHorizontal = function () {
            var offsetY = this.m_listView.getInnerContainer().getPositionY();
            var w = this.m_listView.getInnerContainerSize().height - this.m_listView.getContentSize().height;
            return 100 + (offsetY / w * 100);
        };
        ui_wuqi.prototype.up = function () {
            if (this.m_isSelectWeapon) {
                this.m_CBaseKeyState_Right.up();
                this.updateNextInfo(this.m_CBaseKeyState_Right.m_key.node.getUserData());
                this.m_viewPercent = this.getPercentHorizontal();
                this.m_viewPercent = this.m_viewPercent - 12 / 84 * 100 <= 0 ? 0 : this.m_viewPercent - 12 / 84 * 100;
                this.m_speed = 80;
                this.m_listView.jumpToPercentVertical(this.m_viewPercent);
            }
            else {
                this.m_CBaseKeyState_Left.up();
                this.updateUI(this.m_CBaseKeyState_Left.m_key.node.getUserData());
            }
        };
        ui_wuqi.prototype.down = function () {
            if (this.m_isSelectWeapon) {
                this.m_CBaseKeyState_Right.down();
                this.updateNextInfo(this.m_CBaseKeyState_Right.m_key.node.getUserData());
                this.m_viewPercent = this.getPercentHorizontal();
                this.m_viewPercent = this.m_viewPercent + 12 / 84 * 100 >= 100 ? 100 : this.m_viewPercent + 12 / 84 * 100;
                this.m_speed = 80;
                this.m_listView.jumpToPercentVertical(this.m_viewPercent);
            }
            else {
                this.m_CBaseKeyState_Left.down();
                this.updateUI(this.m_CBaseKeyState_Left.m_key.node.getUserData());
            }
        };
        ui_wuqi.prototype.left = function () {
            if (this.m_isSelectWeapon) {
                this.m_CBaseKeyState_Right.left();
                this.updateNextInfo(this.m_CBaseKeyState_Right.m_key.node.getUserData());
            }
            else {
                this.m_CBaseKeyState_Left.left();
            }
        };
        ui_wuqi.prototype.right = function () {
            if (this.m_isSelectWeapon) {
                this.m_CBaseKeyState_Right.right();
                this.updateNextInfo(this.m_CBaseKeyState_Right.m_key.node.getUserData());
            }
            else {
                this.m_CBaseKeyState_Left.right();
            }
        };
        ui_wuqi.prototype.oninit = function (heroname) {
            var root = this._parseUIFile("juese_wuqi.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.m_heroName = heroname;
            this.updatezhuangbei(heroname);
            //退出
            var tuichu = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (!game.Version_mgr.getInstance().isPhone()) {
                if (tuichu) {
                    game.dataMgr.getMe().loadCheckBoximg(tuichu, "xingjietantantang/big/ui/image/ddt_ui138b.png");
                }
            }
            tuichu.addTouchEventListener(this.tuichu_func, this);
            this.m_isSelectWeapon = false;
            this.initregist();
            this.m_zhuangbei1 = ccui.helper.seekWidgetByName(this.m_root, "zhuangbei_1");
            this.m_zhuangbei2 = ccui.helper.seekWidgetByName(this.m_root, "zhuangbei_2");
            this.m_zhuangbei3 = ccui.helper.seekWidgetByName(this.m_root, "zhuangbei_3");
            this.m_zhuangbei1.addTouchEventListener(this.zhuangbeilan_func, this);
            this.m_zhuangbei2.addTouchEventListener(this.zhuangbeilan_func, this);
            this.m_zhuangbei3.addTouchEventListener(this.zhuangbeilan_func, this);
            if (game.Version_mgr.getInstance().isPhone()) {
                var texiao1 = ccui.helper.seekWidgetByName(this.m_zhuangbei1, "uitexiao");
                var texiao2 = ccui.helper.seekWidgetByName(this.m_zhuangbei2, "uitexiao");
                var texiao3 = ccui.helper.seekWidgetByName(this.m_zhuangbei3, "uitexiao");
                texiao1.setVisible(true);
                texiao2.setVisible(false);
                texiao3.setVisible(false);
            }
            else {
                this.m_CBaseKeyState_Left.regNodeEx(this.m_zhuangbei1, 1);
                this.m_CBaseKeyState_Left.regNodeEx(this.m_zhuangbei2, 2);
                this.m_CBaseKeyState_Left.regNodeEx(this.m_zhuangbei3, 3);
                this.m_CBaseKeyState_Right.init(this);
                this.m_CBaseKeyState_Left.init(this);
                this.m_CBaseKeyState_Left.setCurKey(this.m_zhuangbei1);
            }
            this.updateUI(this.m_zhuangbei1.getUserData());
            this.initUI();
            //解锁VIP等级图标
            this.setLevelUnlock(game.dataMgr.getMe().getViplevel() < game.g_vip_unlock);
            this.m_curnode = this.m_zhuangbei1;
            this.showLeftOrRightshape(true);
        };
        //点击装备栏 刷新 武器栏并选择武器
        ui_wuqi.prototype.zhuangbeilan_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    var texiao1 = ccui.helper.seekWidgetByName(this.m_zhuangbei1, "uitexiao");
                    var texiao2 = ccui.helper.seekWidgetByName(this.m_zhuangbei2, "uitexiao");
                    var texiao3 = ccui.helper.seekWidgetByName(this.m_zhuangbei3, "uitexiao");
                    texiao1.setVisible(false);
                    texiao2.setVisible(false);
                    texiao3.setVisible(false);
                    var texiao = ccui.helper.seekWidgetByName(sender, "uitexiao");
                    texiao.setVisible(true);
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    if (sender.getName() == "zhuangbei_3") {
                        if (game.dataMgr.getMe().getViplevel() < game.g_vip_unlock) {
                            game.ui_messageBox.ShowOrHide(true, "VIP等级不足2级！");
                            return;
                        }
                    }
                    this.m_curnode = sender;
                    if (game.Version_mgr.getInstance().isPhone()) {
                        this.updateUI(sender.getUserData());
                        this.updatezhuangbei(this.m_heroName);
                        sender.setUserData(null);
                    }
                    else {
                        this.m_CBaseKeyState_Left.setCurKey_byName(sender.getName());
                        this.m_CBaseKeyState_Right.setCurKey_byName("wuqi_1");
                        this.updateNextInfo(this.m_Weapons.getByIndex(0).getUserData());
                        if (this.m_curnode) {
                            this.m_curnode.setUserData(null);
                        }
                        this.m_isSelectWeapon = true;
                        this.m_listView.jumpToPercentVertical(0);
                    }
                    this.showLeftOrRightshape(false);
                    break;
            }
        };
        ui_wuqi.prototype.updatezhuangbei = function (heroName) {
            var config = game.dataMgr.getMe().getPlayDoc()[heroName + "_weapon"];
            for (var i = 1; i <= 3; i++) {
                var zhuangbei = ccui.helper.seekWidgetByName(this.m_root, "zhuangbei_" + i);
                var qianghua = ccui.helper.seekWidgetByName(zhuangbei, "qianghua");
                var xiedai = ccui.helper.seekWidgetByName(zhuangbei, "weixiedai");
                if (config[i - 1] == null) {
                    game.dataMgr.getMe().loadCheckBoximg(zhuangbei, "xingjietantantang/big/ui/image/ddt_ui101.png");
                    qianghua.setString("");
                    xiedai.setString("未携带");
                    xiedai.setTextColor(cc.color(211, 211, 211));
                    this.showOrHiddenNext(false);
                }
                else {
                    var weapons = game.dataMgr.getMe().getWeaponconfig(config[i - 1].name);
                    zhuangbei.setUserData(config[i - 1].name);
                    game.dataMgr.getMe().loadCheckBoximg(zhuangbei, weapons.icon);
                    if (config[i - 1].level <= 0) {
                        qianghua.setString("");
                    }
                    else {
                        qianghua.setString("+" + config[i - 1].level);
                    }
                    xiedai.setString("已携带");
                    xiedai.setTextColor(cc.color(248, 248, 255));
                    this.showOrHiddenNext(false);
                }
            }
        };
        ui_wuqi.prototype.initregist = function () {
            this.m_listView = ccui.helper.seekWidgetByName(this.m_root, "ScrollView_1");
            var index = 2;
            for (var p = 1; p <= 40; p++) {
                var weapon = ccui.helper.seekWidgetByName(this.m_listView, "wuqi_" + p);
                weapon.addTouchEventListener(this.wuqiselectFun, this);
                if (p % 2 != 0) {
                    this.m_Weapons.set("wuqi" + index, weapon);
                }
                else {
                    this.m_Weapons.set("wuqi" + index + "_1", weapon);
                    index++;
                }
                if (game.Version_mgr.getInstance().isPhone()) {
                    var texiao = ccui.helper.seekWidgetByName(weapon, "uitexiao");
                    texiao.setVisible(false);
                }
                else {
                    this.m_CBaseKeyState_Right.regNodeEx(weapon, p + 3);
                }
            }
        };
        ui_wuqi.prototype.initUI = function () {
            var weapons = this.reSort();
            for (var p = 0; p < this.m_Weapons.size; p++) {
                var _node = this.m_Weapons.getByIndex(p);
                var key = this.m_Weapons.getKey(p);
                if (weapons[p]) {
                    var weaponname = weapons[p].split("*")[0];
                    var config = game.dataMgr.getMe().getWeaponconfig(weaponname);
                    var level = game.dataMgr.getMe().getweaponlevel(weaponname);
                    if (config.desName == "石头") {
                        continue;
                    }
                    if (config) {
                        this.loadTextureWeapons(config.icon, key);
                        _node.setUserData(weaponname);
                        if (this.isOtherHeroSelect(weaponname)) {
                            game.dataMgr.getMe().loadCheckBoximg(_node, config.icon2);
                        }
                        if (level <= 0) {
                            this.showOrHiddenqianghuaIcon("", key);
                        }
                        else {
                            this.showOrHiddenqianghuaIcon("+" + level, key);
                        }
                        var flag = game.itemMgr.getMe().getWeaponislock(weapons[p].split("*")[0]);
                        if (flag) {
                            this.showOrHiddenUnlock(false, key);
                        }
                    }
                }
                else {
                    if (_node) {
                        _node.setVisible(false);
                    }
                }
            }
        };
        //刷新说明
        ui_wuqi.prototype.updateUI = function (curname) {
            if (curname == null) {
                this.setshuoming("无", "无", "无");
                this.setshuxingName(curname);
                this.setProto(0, 0, 0, 0);
                this.updateNameAndIntrdu(false);
            }
            else {
                var name_1 = curname;
                var level = game.dataMgr.getMe().getweaponlevel(name_1);
                var weapons = game.dataMgr.getMe().getWeaponconfig(name_1);
                var weaponslevel = game.dataMgr.getMe().getWeaponlevelconfig(name_1, level);
                this.setshuoming(weapons.damageType2, weaponslevel.range, weaponslevel.minAngle + "-" + weaponslevel.maxAngle);
                var maxattper = Math.floor(weaponslevel.damage / game.dataMgr.getMe().getWeaponMax("damage") * 100);
                var maxdanyaoper = Math.floor(weaponslevel.bulletNum / game.dataMgr.getMe().getWeaponMax("danyao") * 100);
                this.setshuxingName(name_1);
                this.setProto(weaponslevel.damage, maxattper, weaponslevel.bulletNum, maxdanyaoper);
                this.updateNameAndIntrdu(true, weapons);
            }
        };
        ui_wuqi.prototype.updateNextInfo = function (curname) {
            var name = curname;
            var level = game.dataMgr.getMe().getweaponlevel(name);
            var configLevel = game.dataMgr.getMe().getWeaponlevelconfig(name, level);
            var conf = game.dataMgr.getMe().getWeaponconfig(name);
            this.showOrHiddenNext(true, configLevel, conf);
            this.updateNameAndIntrdu(true, conf);
        };
        //对武器图片的导入
        ui_wuqi.prototype.loadTextureWeapons = function (path, Checkname) {
            if (Checkname == "zhuangbei_1") {
                game.dataMgr.getMe().loadCheckBoximg(this.m_zhuangbei1, path);
            }
            else if (Checkname == "zhuangbei_2") {
                game.dataMgr.getMe().loadCheckBoximg(this.m_zhuangbei2, path);
            }
            else if (Checkname == "zhuangbei_3") {
                game.dataMgr.getMe().loadCheckBoximg(this.m_zhuangbei3, path);
            }
            else {
                var check = this.m_Weapons.get(Checkname);
                game.dataMgr.getMe().loadCheckBoximg(check, path);
            }
        };
        //设置等级解锁图标
        ui_wuqi.prototype.setLevelUnlock = function (flag) {
            var suo_image = ccui.helper.seekWidgetByName(this.m_zhuangbei3, "suo");
            suo_image.setVisible(flag);
        };
        //显示遮罩
        ui_wuqi.prototype.setShape = function (flag, parent) {
            var shap = ccui.helper.seekWidgetByName(parent, "zhao");
            shap.setVisible(flag);
        };
        //显示左边或者右边
        ui_wuqi.prototype.showLeftOrRightshape = function (flag) {
            this.setShape(!flag, this.m_zhuangbei1);
            this.setShape(!flag, this.m_zhuangbei2);
            this.setShape(!flag, this.m_zhuangbei3);
            for (var i = 0; i < this.m_Weapons.size; ++i) {
                var Box = this.m_Weapons.getByIndex(i);
                this.setShape(flag, Box);
            }
        };
        //对锁的显示隐藏
        ui_wuqi.prototype.showOrHiddenUnlock = function (flag, Checkname) {
            if (Checkname == "zhuangbei_1") {
                return;
            }
            else if (Checkname == "zhuangbei_2") {
                return;
            }
            else if (Checkname == "zhuangbei_3") {
                return;
            }
            var check = this.m_Weapons.get(Checkname);
            var suo = ccui.helper.seekWidgetByName(check, "suo");
            suo.setVisible(flag);
        };
        //强化图标
        ui_wuqi.prototype.showOrHiddenqianghuaIcon = function (text, CheckName) {
            if (CheckName == "zhuangbei_1") {
                var qianghua_1 = ccui.helper.seekWidgetByName(this.m_zhuangbei1, "qianghua");
                qianghua_1.setString(text);
                return;
            }
            else if (CheckName == "zhuangbei_2") {
                var qianghua_2 = ccui.helper.seekWidgetByName(this.m_zhuangbei2, "qianghua");
                qianghua_2.setString(text);
                return;
            }
            else if (CheckName == "zhuangbei_3") {
                var qianghua_3 = ccui.helper.seekWidgetByName(this.m_zhuangbei3, "qianghua");
                qianghua_3.setString(text);
                return;
            }
            var check = this.m_Weapons.get(CheckName);
            var qianghua = ccui.helper.seekWidgetByName(check, "qianghua");
            qianghua.setString(text);
        };
        //设置说明
        ui_wuqi.prototype.setshuoming = function (type, range, pos) {
            var image = ccui.helper.seekWidgetByName(this.m_root, "Image_5");
            var leixing = ccui.helper.seekWidgetByName(image, "leixing");
            var jiaodu = ccui.helper.seekWidgetByName(image, "jiaodu");
            var shecheng = ccui.helper.seekWidgetByName(image, "shecheng");
            leixing.setString(type);
            jiaodu.setString(pos);
            shecheng.setString(range);
        };
        //设置攻击，弹药属性
        ui_wuqi.prototype.setProto = function (att_count, att_per, danyao_count, danyao_per) {
            var gongji = ccui.helper.seekWidgetByName(this.m_root, "gongji");
            var danyao = ccui.helper.seekWidgetByName(this.m_root, "danyao");
            var gongji_percent = ccui.helper.seekWidgetByName(gongji, "LoadingBar_2");
            var danyao_percent = ccui.helper.seekWidgetByName(danyao, "LoadingBar_2");
            var gongji_Text = ccui.helper.seekWidgetByName(gongji, "shuzhi");
            var danyao_Text = ccui.helper.seekWidgetByName(danyao, "shuzhi");
            gongji_percent.setPercent(att_per);
            danyao_percent.setPercent(danyao_per);
            gongji_Text.setString(att_count);
            danyao_Text.setString(danyao_count);
        };
        ui_wuqi.prototype.setshuxingName = function (name) {
            var gongji = ccui.helper.seekWidgetByName(this.m_root, "gongji");
            var Text = ccui.helper.seekWidgetByName(gongji, "Text_47");
            if (name == "wuqi19" || name == "wuqi19_1") {
                Text.setString("回复值:");
            }
            else {
                Text.setString("伤害值:");
            }
        };
        //刷新名字和说明
        ui_wuqi.prototype.updateNameAndIntrdu = function (flag, conf) {
            if (conf === void 0) { conf = null; }
            var miaoshu = ccui.helper.seekWidgetByName(this.m_root, "miaoshu");
            var name = ccui.helper.seekWidgetByTag(this.m_root, 212);
            var shuoming = ccui.helper.seekWidgetByTag(this.m_root, 1460);
            shuoming.setVisible(flag);
            miaoshu.setVisible(flag);
            name.setVisible(flag);
            if (flag) {
                miaoshu.setString(conf.des);
                name.setString(conf.desName);
            }
        };
        //显示隐藏信息
        ui_wuqi.prototype.showOrHiddenNext = function (flag, information, conf) {
            if (information === void 0) { information = null; }
            if (conf === void 0) { conf = null; }
            var image = ccui.helper.seekWidgetByName(this.m_root, "Image_396");
            var danyao_2 = ccui.helper.seekWidgetByName(this.m_root, "danyao_2");
            var gongji_2 = ccui.helper.seekWidgetByName(this.m_root, "gongji_2");
            var shecheng_2 = ccui.helper.seekWidgetByName(this.m_root, "shecheng_2");
            var jiaodu_2 = ccui.helper.seekWidgetByName(this.m_root, "jiaodu_2");
            var leixing_2 = ccui.helper.seekWidgetByName(this.m_root, "leixing_2");
            image.setVisible(flag);
            danyao_2.setVisible(flag);
            gongji_2.setVisible(flag);
            shecheng_2.setVisible(flag);
            jiaodu_2.setVisible(flag);
            leixing_2.setVisible(flag);
            if (flag == false) {
                return;
            }
            else {
                if (information) {
                    danyao_2.setString(information.bulletNum);
                    gongji_2.setString(information.damage);
                    shecheng_2.setString(information.range);
                    jiaodu_2.setString(information.minAngle + "-" + information.maxAngle);
                    if (conf) {
                        leixing_2.setString(conf.damageType2);
                    }
                }
            }
        };
        ui_wuqi.prototype.wuqiselectFun = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    this.initUI();
                    this.updateUI(sender.getUserData());
                    this.updateNextInfo(sender.getUserData());
                    for (var i = 0; i < this.m_Weapons.size; i++) {
                        var node = this.m_Weapons.getByIndex(i);
                        var texiao_1 = ccui.helper.seekWidgetByName(node, "uitexiao");
                        texiao_1.setVisible(false);
                    }
                    var texiao = ccui.helper.seekWidgetByName(sender, "uitexiao");
                    texiao.setVisible(true);
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    var name_2 = sender.getUserData();
                    this.m_curData = sender.getUserData();
                    this.m_curSender = sender;
                    if (this.isOtherHeroSelect(name_2)) {
                        game.ui_messageBox.ShowOrHide(true, "已被别人选择！");
                        return;
                    }
                    // for (let p in fileMgr.getMe().m_play_doc.weapons) {
                    //     let type = fileMgr.getMe().m_play_doc.weapons[p].id;
                    //     let str = itemMgr.getMe().typeToString(type);
                    //     if (str == name) {
                    //         if (fileMgr.getMe().m_play_doc.weapons[p].lock != 1) {
                    //             this.buyWeapon(name);
                    //             return;
                    //         }
                    //     }
                    // }
                    var weapons = game.fileMgr.getMe().m_play_doc.weapons;
                    var str = void 0;
                    for (var i = 0; i < weapons.length; ++i) {
                        if (!weapons[i])
                            continue;
                        str = weapons[i].split("*");
                        if (name_2 == str[0]) {
                            if (parseInt(str[1]) == -1) {
                                this.buyWeapon(name_2, sender);
                                return;
                            }
                        }
                    }
                    this.setcarry(sender, name_2);
                    this.showLeftOrRightshape(true);
                    break;
            }
        };
        ui_wuqi.prototype.setcarry = function (sender, name) {
            var level = game.dataMgr.getMe().getweaponlevel(name);
            var conf = game.dataMgr.getMe().getWeaponlevelconfig(name, level);
            ui_wuqi.getMe().m_weaponsfile = game.dataMgr.getMe().getPlayDoc()[ui_wuqi.getMe().m_heroName + "_weapon"];
            var path = game.dataMgr.getMe().getWeaponconfig(name).icon;
            ui_wuqi.getMe().isxiedaiWeapon(name);
            ui_wuqi.getMe().m_weaponsfile[Number(ui_wuqi.getMe().m_curnode.getName().replace("zhuangbei_", "")) - 1] = {
                level: level,
                name: name,
                num: conf.bulletNum,
            };
            game.dataMgr.getMe().getPlayDoc()[ui_wuqi.getMe().m_heroName + "_weapon"] = ui_wuqi.getMe().m_weaponsfile;
            game.dataMgr.getMe().setCurWeaponByName(ui_wuqi.getMe().m_heroName, name);
            ui_wuqi.getMe().loadTextureWeapons(path, ui_wuqi.getMe().m_curnode.getName());
            ui_wuqi.getMe().updatezhuangbei(ui_wuqi.getMe().m_heroName);
            if (game.Version_mgr.getInstance().isPhone()) {
                ui_wuqi.getMe().updateNextInfo(sender.getUserData());
            }
            else {
                ui_wuqi.getMe().m_CBaseKeyState_Right.setCurKey_byName(sender.getName());
                ui_wuqi.getMe().m_CBaseKeyState_Left.setCurKey_byName(ui_wuqi.getMe().m_curnode.getName());
            }
            ui_wuqi.getMe().m_isSelectWeapon = false;
            ui_wuqi.getMe().m_curnode.setUserData(name);
            ui_wuqi.getMe().initUI();
            ui_wuqi.getMe().updateUI(name);
        };
        ui_wuqi.prototype.buyWeapon = function (name, sender) {
            var weaponconfigs = game.dataMgr.getMe().getWeaponconfig(name);
            var zuanshi = game.Version_mgr.getInstance().getDiamondPriceBystr(name);
            if (weaponconfigs.jinbi == 0 || weaponconfigs.jinbi == 1) {
                game.ui_messageBox2.ShowOrHide(true, "是否花费" + zuanshi + "钻石解锁？", function () {
                    game.buy_mgr.getInstance().buyWeapon_buy(ui_wuqi.getMe().buyScceedCallBack, ui_wuqi.getMe(), name);
                }, null);
            }
            else if (weaponconfigs.jinbi == -1) {
                game.ui_messageBox.ShowOrHide(true, weaponconfigs.tishi);
            }
            else {
            }
        };
        ui_wuqi.prototype.buyScceedCallBack = function () {
            // let zuanshi: number = Version_mgr.getInstance().getDiamondPriceBystr(ui_wuqi.getMe().m_curData);
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     zuanshi + "钻石解锁"+ g_daoju_nan[ui_wuqi.getMe().m_curData].desName);
            var weaponconfigs = game.dataMgr.getMe().getWeaponconfig(ui_wuqi.getMe().m_curData);
            game.itemMgr.getMe().setWeaponLock(ui_wuqi.getMe().m_curData);
            ui_wuqi.getMe().initUI();
            ui_wuqi.getMe().updateUI(ui_wuqi.getMe().m_curData);
            game.ui_goumaichenggong.ShowOrHide(true, {
                name: "wupin", num: 1, icon: weaponconfigs.icon,
                iconName: weaponconfigs.desName
            });
            game.dataMgr.getMe().addTittleNum(game.e_chenghao.e_1, 1);
            ui_wuqi.getMe().m_listView.jumpToPercentVertical(0);
            ui_wuqi.getMe().setcarry(ui_wuqi.getMe().m_curSender, ui_wuqi.getMe().m_curData);
            this.showLeftOrRightshape(true);
        };
        //判断是否已携带同样物品
        ui_wuqi.prototype.isxiedaiWeapon = function (Weaponname) {
            var wuqiName = Weaponname.replace("_1", "");
            if (this.m_weaponsfile.length == 0) {
                return false;
            }
            for (var k = 0; k < this.m_weaponsfile.length; k++) {
                if (this.m_weaponsfile[k]) {
                    if (this.m_weaponsfile[k].name == wuqiName ||
                        this.m_weaponsfile[k].name == wuqiName + "_1") {
                        this.m_weaponsfile.splice(k, 1, null);
                        return true;
                    }
                }
            }
            return false;
        };
        //判断是否已被其他人选择
        ui_wuqi.prototype.isOtherHeroSelect = function (weaponName) {
            if (this.m_heroName.indexOf("nan") > -1) {
                var nv_weapons = game.fileMgr.getMe().m_play_doc["nv" + "_weapon"];
                for (var i in nv_weapons) {
                    if (nv_weapons[i]) {
                        if (weaponName == nv_weapons[i].name) {
                            return true;
                        }
                    }
                }
            }
            else if (this.m_heroName.indexOf("nv") > -1) {
                var nan_weapons = game.fileMgr.getMe().m_play_doc["nan" + "_weapon"];
                for (var i in nan_weapons) {
                    if (nan_weapons[i]) {
                        if (weaponName == nan_weapons[i].name) {
                            return true;
                        }
                    }
                }
            }
            return false;
        };
        ui_wuqi.prototype.reSort = function () {
            var dataLock = [];
            var dataUnlock = [];
            var name;
            var str;
            var weapons = game.fileMgr.getMe().m_play_doc.weapons;
            for (var i = 0; i < weapons.length; ++i) {
                if (!weapons[i])
                    continue;
                str = weapons[i].split("*");
                name = str[0];
                if (name == "wuqi1" || name == "wuqi1_1") {
                    continue;
                }
                if (parseInt(str[1]) >= 0) {
                    dataLock.push(weapons[i]);
                }
                else {
                    dataUnlock.push(weapons[i]);
                }
            }
            dataLock = this.maopaoSort(dataLock);
            dataUnlock = this.maopaoSort(dataUnlock);
            var resetdata = dataLock.concat(dataUnlock);
            return resetdata;
        };
        ui_wuqi.prototype.maopaoSort = function (data) {
            var value = null;
            for (var i = 0; i < data.length; i++) {
                for (var j = 0; j < data.length - 1 - i; j++) {
                    var num = parseInt(data[j].match(/\d+/));
                    var after = parseInt(data[j + 1].match(/\d+/));
                    if (num >= after) {
                        value = data[j];
                        data[j] = data[j + 1];
                        data[j + 1] = value;
                    }
                }
            }
            return data;
        };
        ui_wuqi.prototype.tuichu_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        };
        ui_wuqi.prototype.onBack = function () {
            if (game.ui_choosehero.getMe())
                game.ui_choosehero.getMe().updateui();
            if (game.ui_choosehero2.getMe())
                game.ui_choosehero2.getMe().updateui();
            if (game.ui_juese.getMe())
                game.ui_juese.getMe().updateUI();
            ui_wuqi.ShowOrHide(false, null);
            // ui_juese.ShowOrHide(true);
        };
        ui_wuqi.prototype.DoEnterCurButton = function () {
            if (this.m_isSelectWeapon) {
                this.m_CBaseKeyState_Right.DoEnterCurButton();
            }
            else {
                this.m_CBaseKeyState_Left.DoEnterCurButton();
            }
        };
        ui_wuqi.prototype.loop = function (t) {
            if (this.m_CBaseKeyState_Left) {
                this.m_CBaseKeyState_Left.loop(t);
            }
            if (this.m_CBaseKeyState_Right) {
                this.m_CBaseKeyState_Right.loop(t);
            }
            this.setLevelUnlock(game.dataMgr.getMe().getViplevel() < game.g_vip_unlock);
        };
        ui_wuqi.g_instarn = null;
        ui_wuqi.getMe = function () {
            return ui_wuqi.g_instarn;
        };
        ui_wuqi.ShowOrHide = function (flag, heroname) {
            game.UiBase.ShowOrHide(flag, ui_wuqi, game.uiMgr.getMe(), 1122, heroname);
        };
        return ui_wuqi;
    }(game.UiBase));
    game.ui_wuqi = ui_wuqi;
})(game || (game = {}));
//# sourceMappingURL=ui_wuqi.js.map