module game {

    export class ui_daoju extends game.UiBase {
        static g_instarn: ui_daoju = null;
        static getMe = function (): ui_daoju {
            return game.ui_daoju.g_instarn;
        };
        m_CBaseKeyState: BaseKeyState;
        static ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, game.ui_daoju, null, 1005);
        };

        constructor() {
            super();
            this.m_des = "ui_daoju";
            this.m_CBaseKeyState = new BaseKeyState();
        }

        m_check: Map<string,ccui.CheckBox> = null;

        oninit(data) {
            let root = this._parseUIFile("shangcheng_daoju.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.m_check = new Map<string,ccui.CheckBox>();

            for (let p = 1; p <= 3; ++p) {
                let yaoshui: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "yaoshui" + p)
                yaoshui.addTouchEventListener(this.daojuSelFunc, this);
                this.m_check.set(yaoshui.getName(), yaoshui);
                let numui: ccui.Text = ccui.helper.seekWidgetByName(yaoshui, "shuliang")
                let priceui: ccui.Text = ccui.helper.seekWidgetByName(yaoshui, "shumu")
                let itemtype = itemMgr.getMe().stringToType("yaoji" + p)

                let itemnum = dataMgr.getMe().getItemByName(itemtype)
                numui.setString(itemnum)
                let diamondprice = Version_mgr.getInstance().getDiamondPriceBystr("yaoji" + p)
                priceui.setString(diamondprice)
                if (Version_mgr.getInstance().isPhone()) {
                    let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(yaoshui, "uitexiao");
                    texiao.setVisible(false);
                } else {
                    this.m_CBaseKeyState.regNodeEx(yaoshui, p);
                }
            }

            let tuichu: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (Version_mgr.getInstance().isPhone()) {

            } else {
                dataMgr.getMe().loadCheckBoximg(tuichu,"xingjietantantang/big/ui/image/ddt_ui138b.png")
                this.m_CBaseKeyState.init(this);
            }
            tuichu.addTouchEventListener(this.ExitFun, this);
            this.updateUi()

        }

        updateUi() {
            let tili: ccui.Text = ccui.helper.seekWidgetByTag(this.m_root, 208)
            let zuansi: ccui.Text = ccui.helper.seekWidgetByTag(this.m_root, 206)
            let jinbi: ccui.Text = ccui.helper.seekWidgetByTag(this.m_root, 204)
            let maxenery:ccui.Text = ccui.helper.seekWidgetByTag(this.m_root,209);
            maxenery.setString( "/" + g_max_energy);
            if(dataMgr.getMe().getViplevel() >= g_tilishangxianunlock){
                maxenery.setString("/" + Number(g_max_energy * 2))
            }
            tili.setString(itemMgr.getMe().getItemnumbyType(e_item.e_tili))
            zuansi.setString(itemMgr.getMe().getItemnumbyType(e_item.e_zuanshi))
            jinbi.setString(itemMgr.getMe().getItemnumbyType(e_item.e_jinbi))
        }

        daojuSelFunc(sender: ccui.CheckBox, type) {
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    if (Version_mgr.getInstance().isPhone()) {
                        let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        texiao.setVisible(true);
                    }
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    if (Version_mgr.getInstance().isPhone()) {
                        let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        texiao.setVisible(false);
                    }
                    this.m_curName = sender.getName();
                    let node = this.m_check.get(sender.getName());
                    let p = node.getName().replace("yaoshui", "");
                    // buy_mgr.getInstance().shoppingByDiamond(priceDiamond,"获得药水",ui_daoju.getMe().buySucceedCallBack,null);
                    buy_mgr.getInstance().buyPotion_buy(ui_daoju.getMe().buySucceedCallBack,ui_daoju.getMe(),"yaoji" + p);
                    break;
                case ccui.Widget.TOUCH_CANCELED:
                    if (Version_mgr.getInstance().isPhone()) {
                        let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        texiao.setVisible(false);
                    }
                    break;
            }
        }

        m_curName = null;//当前按钮名
        buySucceedCallBack(){
            let node = ui_daoju.getMe().m_check.get(ui_daoju.getMe().m_curName);
            let p = node.getName().replace("yaoshui", "");
            // let priceDiamond = Version_mgr.getInstance().getDiamondPriceBystr("yaoji" + p);
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     priceDiamond + "钻石购买 "+3+g_daoju_nan["yaoji" + p].desName);
            let itemtype = itemMgr.getMe().stringToType("yaoji" + p);
            dataMgr.getMe().addItemByType(itemtype, 3);
            ui_goumaichenggong.ShowOrHide(true, {
                name: "wupin", num: 3, icon: g_daoju_nan["yaoji" + p].icon,
                iconName: g_daoju_nan["yaoji" + p].desName
            });
            let itemnum = dataMgr.getMe().getItemByName(itemtype);
            let item: ccui.Text = ccui.helper.seekWidgetByName(node, "shuliang");
            item.setString(itemnum)
        }

        updateItems(){
            for(let i = 1; i < 4; ++i){
                let node = ui_daoju.getMe().m_check.getByIndex(i - 1);
                let itemtype = itemMgr.getMe().stringToType("yaoji" + i);
                let itemnum = dataMgr.getMe().getItemByName(itemtype);
                let item: ccui.Text = ccui.helper.seekWidgetByName(node, "shuliang");
                item.setString(itemnum)
            }

        }

        ExitFun(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        }

        loop(t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
                this.updateUi();
                this.updateItems();
            }
        }

        onBack() {
            ui_shop.ShowOrHide(true);
            ui_daoju.ShowOrHide(false);
        }

    }
}

