module game {

    export class ui_zhuangbei extends game.UiBase {
        static g_instarn: ui_zhuangbei = null;
        static getMe = function (): ui_zhuangbei {
            return game.ui_zhuangbei.g_instarn;
        };
        m_CBaseKeyState: BaseKeyState_ui_config = null;
        static ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, game.ui_zhuangbei, null, 1005);
        };

        constructor() {
            super();
            this.m_des = "ui_zhuangbei";
            this.m_CBaseKeyState = new BaseKeyState_ui_config();
            this.m_checkBoxs = new Map<string,ccui.CheckBox>();
        }

        up() {
            if (this.m_CBaseKeyState.up()) {
                this.updateDes(this.m_CBaseKeyState.m_key.node.getUserData());
                this.m_curKey = this.m_CBaseKeyState.m_key.node;

                let PosY = this.m_CBaseKeyState.m_key.node.getPositionY();
                let height = this.m_CBaseKeyState.m_key.node.getContentSize().height;
                let per = Math.floor((PosY + height ) / this.m_listView.getInnerContainerSize().height * 100);
                this.m_listView.jumpToPercentVertical(100 - per);
            }
        }

        down() {
            if (this.m_CBaseKeyState.down()) {
                this.updateDes(this.m_CBaseKeyState.m_key.node.getUserData());
                this.m_curKey = this.m_CBaseKeyState.m_key.node;
                let PosY = this.m_CBaseKeyState.m_key.node.getPositionY();
                let per = Math.floor(PosY / this.m_listView.getInnerContainerSize().height * 100);
                this.m_listView.jumpToPercentVertical(100 - per);
            }
        }

        left() {
            if (this.m_CBaseKeyState.left()) {
                this.updateDes(this.m_CBaseKeyState.m_key.node.getUserData());
                this.m_curKey = this.m_CBaseKeyState.m_key.node;
            }
        }

        right() {
            if (this.m_CBaseKeyState.right()) {
                this.updateDes(this.m_CBaseKeyState.m_key.node.getUserData());
                this.m_curKey = this.m_CBaseKeyState.m_key.node;
            }
        }

        m_listView: ccui.ScrollView = null;
        m_checkBoxs: Map<string,ccui.CheckBox> = null;

        oninit(data) {
            let root = this._parseUIFile("shangcheng_wuqi.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            let tuichu: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (!Version_mgr.getInstance().isPhone()) {
                dataMgr.getMe().loadCheckBoximg(tuichu, "xingjietantantang/big/ui/image/ddt_ui138b.png")
            }
            tuichu.addTouchEventListener(this.tuichu_func, this)
            this.m_listView = ccui.helper.seekWidgetByName(this.m_root, "ScrollView_1");
            this.initUI();
            this.importWeapon();
            this.updateUi();
            this.m_CBaseKeyState.init(this);
            this.m_CBaseKeyState.setUIName("zhuangbei");
            this.m_CBaseKeyState.setCurKey_byName("wuqi_1")
        }

        tuichu_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        }

        setInformation(CheckBox: ccui.CheckBox, weaponName: string) {
            let name: ccui.Text = ccui.helper.seekWidgetByName(CheckBox, "biaoti");
            let img: ccui.ImageView = ccui.helper.seekWidgetByName(CheckBox, "zhaungbei");
            let zuansi: ccui.Text = ccui.helper.seekWidgetByName(CheckBox, "shumu_zuanshi");
            let jinbi_image: ccui.ImageView = ccui.helper.seekWidgetByName(CheckBox, "jinbi");
            let jinbi: ccui.Text = ccui.helper.seekWidgetByName(CheckBox, "shumu_jinbi");
            let zongshu: ccui.Text = ccui.helper.seekWidgetByName(CheckBox, "zonshu");
            zongshu.setString("/2");
            let weaponconfig = itemMgr.getMe().getWeaponConfig(weaponName);
            name.setString(weaponconfig.desName);
            img.loadTexture(weaponconfig.icon);
            zuansi.setString(itemMgr.getMe().getitemPriceZuansi(weaponName));
            if (weaponconfig.jinbi == -1 || weaponconfig.jinbi == 0) {
                jinbi.setVisible(false);
                jinbi_image.setVisible(false);
            } else {
                jinbi.setVisible(true);
                jinbi_image.setVisible(true);
            }
            jinbi.setString(itemMgr.getMe().getitemPricejinbi(weaponName))
        }

        //导入装备的信息
        importWeapon() {
            let index = 0;
            for (let p in g_shangcheng_config["wuqi"]) {
                let node = this.m_checkBoxs.getByIndex(index);
                index++;
                node.setUserData(g_shangcheng_config["wuqi"][p]);
                this.setInformation(node, g_shangcheng_config["wuqi"][p]);
            }
            while (index < 19) {
                let node = this.m_checkBoxs.getByIndex(index);
                node.setVisible(false);
                index++;
            }
            this.m_curKey = this.m_checkBoxs.getByIndex(0);
            this.updateDes(this.m_checkBoxs.getByIndex(0).getUserData());
        }

        initUI() {
            for (let p = 1; p <= 19; p++) {
                let weaponnode: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_listView, "wuqi_" + p);
                weaponnode.addTouchEventListener(this.buyEx, this);
                this.m_checkBoxs.set("wuqi" + p, weaponnode);
                if (Version_mgr.getInstance().isPhone()) {
                    let uitexiao: ccui.ImageView = ccui.helper.seekWidgetByName(weaponnode, "uitexiao");
                    uitexiao.setVisible(false);
                } else {
                    this.m_CBaseKeyState.regNodeEx(weaponnode, p)
                }
            }
            if (Version_mgr.getInstance().isPhone()) {
                let image: ccui.Text = ccui.helper.seekWidgetByTag(this.m_root, 1055);
                image.setVisible(false);
            } else {
                this.m_CBaseKeyState.setUIName("zhuangbei");
                this.m_CBaseKeyState.init(this);
                this.m_CBaseKeyState.setCurKey_byName("wuqi_1")
            }
        }

        m_curKey: ccui.CheckBox = null;

        DoEnterCurButton() {
            if (this.m_curKey) {
                this.buyEx(this.m_curKey, ccui.Widget.TOUCH_ENDED)
            }
        }
        m_weapontype:string = null;
        buyEx(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    if (Version_mgr.getInstance().isPhone()) {
                        let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        texiao.setVisible(true);
                        this.updateDes(sender.getUserData());
                    }
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    if (Version_mgr.getInstance().isPhone()) {
                        let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        texiao.setVisible(false);
                    }
                    this.m_weapontype = sender.getUserData();
                    let weapons: weaponconfig_s = dataMgr.getMe().getWeaponconfig(this.m_weapontype);
                    if (itemMgr.getMe().getWeaponNum(this.m_weapontype) >= 2) {
                        // ui_messageBox.ShowOrHide(true, "武器已满！");
                        return;
                    }

                    if (weapons.jinbi == 1) {
                        ui_goumaitype.ShowOrHide(true, itemMgr.getMe().stringToType(this.m_weapontype));
                    } else {
                        // let price:number = itemMgr.getMe().getitemPriceZuansi(this.m_weapontype);
                        // buy_mgr.getInstance().shoppingByDiamond(price,"解锁武器",ui_zhuangbei.getMe().buySucceedCallBack,null)
                        buy_mgr.getInstance().buyWeapon_buy(ui_zhuangbei.getMe().buySucceedCallBack,this,this.m_weapontype);
                    }
                    break;
                case ccui.Widget.TOUCH_CANCELED:
                    if (Version_mgr.getInstance().isPhone()) {
                        let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        texiao.setVisible(false);
                    }
                    break;
            }
        }

        buySucceedCallBack(){
            if (!itemMgr.getMe().getWeaponislock(itemMgr.getMe().stringToType(ui_zhuangbei.getMe().m_weapontype))) {
                ui_zhuangbei.getMe().updateSucceedUI(ui_zhuangbei.getMe().m_weapontype);
                return;
            }
            if (itemMgr.getMe().getWeaponislock(itemMgr.getMe().stringToType(ui_zhuangbei.getMe().m_weapontype))) {
                let str: string = ui_zhuangbei.getMe().m_weapontype;
                if (!itemMgr.getMe().getWeaponislock(itemMgr.getMe().stringToType(str + "_1"))) {
                    ui_zhuangbei.getMe().updateSucceedUI(str + "_1");
                }
            }
        }

        updateSucceedUI(Weaponname){
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     itemMgr.getMe().getitemPriceZuansi(ui_zhuangbei.getMe().m_weapontype) +  "钻石解锁 "+
            //     g_weapon_play[ui_zhuangbei.getMe().m_weapontype].desName+"武器");
            itemMgr.getMe().setWeaponLock(itemMgr.getMe().stringToType(Weaponname));
            ui_zhuangbei.getMe().updateUi();
            let conf = dataMgr.getMe().getWeaponconfig(Weaponname);
            ui_goumaichenggong.ShowOrHide(true, {
                name: "wupin",
                num: 1,
                icon: conf.icon,
                iconName: conf.desName
            });
            dataMgr.getMe().addTittleNum(e_chenghao.e_1, 1);
        }



        updateUi() {
            let tiliNode: cc.Node = ccui.helper.seekWidgetByName(this.m_root, "tili")
            let curtili: ccui.Text = ccui.helper.seekWidgetByName(tiliNode, "danqian")
            curtili.setString(itemMgr.getMe().getItemnumbyType(e_item.e_tili).toString())
            let maxenery:ccui.Text = ccui.helper.seekWidgetByName(tiliNode,"zongshu");
            maxenery.setString( "/" + g_max_energy);
            if(dataMgr.getMe().getViplevel() >= g_tilishangxianunlock){
                maxenery.setString("/" + Number(g_max_energy * 2))
            }
            let zuanshi: ccui.Text = ccui.helper.seekWidgetByTag(this.m_root, 361)
            zuanshi.setString(itemMgr.getMe().getItemnumbyType(e_item.e_zuanshi).toString())

            let jinbi: ccui.Text = ccui.helper.seekWidgetByTag(this.m_root, 359)
            jinbi.setString(itemMgr.getMe().getItemnumbyType(e_item.e_jinbi).toString())
            this.updateHasWeapon();
        }

        //更新武器拥有数
        updateHasWeapon() {
            let index = 0;
            for (let p in g_shangcheng_config["wuqi"]) {
                let weaponNode = this.m_checkBoxs.getByIndex(index);
                let hasnum: ccui.Text = ccui.helper.seekWidgetByName(weaponNode, "shuliang");
                index++;
                hasnum.setString(itemMgr.getMe().getWeaponNum(g_shangcheng_config["wuqi"][p]).toString());
            }
        }


        updateDes(keyname) {
            let weaponconfig: weaponconfig_s = itemMgr.getMe().getWeaponConfig(keyname.replace("_", ""));
            let zhuangbeixinxi: cc.Node = ccui.helper.seekWidgetByName(this.m_root, "zhuangbeixinxi");
            let name: ccui.Text = ccui.helper.seekWidgetByName(zhuangbeixinxi, "name");
            let des: ccui.Text = ccui.helper.seekWidgetByName(zhuangbeixinxi, "miaoshu");
            let shecheng: ccui.Text = ccui.helper.seekWidgetByName(zhuangbeixinxi, "shecheng");
            let jiaodu: ccui.Text = ccui.helper.seekWidgetByName(zhuangbeixinxi, "jiaodu");
            let leixing: ccui.Text = ccui.helper.seekWidgetByName(zhuangbeixinxi, "leixing");
            let shanghai: ccui.ImageView = ccui.helper.seekWidgetByName(zhuangbeixinxi, "gongji");
            let danyaoshu: ccui.ImageView = ccui.helper.seekWidgetByName(zhuangbeixinxi, "danyao");
            let LoadingBar_shanghai: ccui.Loadingbar = ccui.helper.seekWidgetByName(shanghai, "LoadingBar_2");
            let shuzhi_shanghai: ccui.Text = ccui.helper.seekWidgetByName(shanghai, "shuzhi");
            let LoadingBar_danyaoshu: ccui.Loadingbar = ccui.helper.seekWidgetByName(danyaoshu, "LoadingBar_2");
            let shuzhi_danyaoshu: ccui.Text = ccui.helper.seekWidgetByName(danyaoshu, "shuzhi");
            let Text:ccui.Text = ccui.helper.seekWidgetByName(shanghai,"Text_47");
            if(keyname == "wuqi19" || keyname == "wuqi19_1"){
                Text.setString("回复值:");
            }else {
                Text.setString("伤害值:");
            }

            if (weaponconfig) {
                name.setString(weaponconfig.desName);
                if (weaponconfig.des == null) {
                    return
                }
                des.setString(weaponconfig.des);
                shecheng.setString(getWeaponConfig()[keyname.replace("_", "")][0].range);
                leixing.setString(weaponconfig.damageType2);
                shuzhi_shanghai.setString(getWeaponConfig()[keyname.replace("_", "")][0].damage);
                shuzhi_danyaoshu.setString(getWeaponConfig()[keyname.replace("_", "")][0].bulletNum);
                LoadingBar_shanghai.setPercent(getWeaponConfig()[keyname.replace("_", "")][0].damage / (dataMgr.getMe().getWeaponMax("damage")) * 100)
                LoadingBar_danyaoshu.setPercent(getWeaponConfig()[keyname.replace("_", "")][0].bulletNum / (dataMgr.getMe().getWeaponMax("danyao")) * 100)
            }
        }


        loop(t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
                this.updateUi();
                if (Version_mgr.getInstance().isPhone()) {

                } else {

                }
            }
        }

        onBack() {
            ui_shop.ShowOrHide(true);
            ui_zhuangbei.ShowOrHide(false);
        }

    }
}

