var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_zuanshi = (function (_super) {
        __extends(ui_zuanshi, _super);
        function ui_zuanshi() {
            _super.call(this);
            this.m_tagDiamond = null;
            this.m_des = "ui_zuanshi";
            this.m_CBaseKeyState = new game.BaseKeyState_LR();
        }
        ui_zuanshi.prototype.left = function () {
            this.m_CBaseKeyState.left();
        };
        ui_zuanshi.prototype.right = function () {
            this.m_CBaseKeyState.right();
        };
        ui_zuanshi.prototype.oninit = function (data) {
            var root = this._parseUIFile("shangcheng_zuanshi.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.m_CBaseKeyState.m_ScrollView = ccui.helper.seekWidgetByName(this.m_root, "ScrollView_1");
            // 关闭滚动条方法
            if (cc.sys.isNative) {
                this.m_CBaseKeyState.m_ScrollView.setScrollBarEnabled(false);
            }
            var erweima = ccui.helper.seekWidgetByName(root, "erweima");
            erweima.setVisible(false);
            if (game.Version_mgr.getInstance().isPhone() || game.Version_mgr.getInstance().getCurVersion() == game.e_game_Version.e_version_web) {
                erweima.setVisible(true);
            }
            var checkboxArray = ccui.helper.seekWidgetByType(this.m_root, "CheckBox");
            var regNum = 1;
            for (var p in checkboxArray) {
                var _node = checkboxArray[p];
                if (checkboxArray[p].getName() == "tuichu") {
                    if (!game.Version_mgr.getInstance().isPhone()) {
                        game.dataMgr.getMe().loadCheckBoximg(checkboxArray[p], "xingjietantantang/big/ui/image/ddt_ui138b.png");
                    }
                    _node.addTouchEventListener(function (sender, type) {
                        if (type == ccui.Widget.TOUCH_ENDED) {
                            this.onBack();
                        }
                    }.bind(this), this);
                }
                else {
                    if (checkboxArray[p].getName().indexOf("zuanshi") > -1) {
                        var goodsconfig = game.Version_mgr.getInstance().getRmbPriceByTag(checkboxArray[p].getName());
                        var rmbnum = ccui.helper.seekWidgetByName(_node, "shumu");
                        var diamondnum = ccui.helper.seekWidgetByName(_node, "shuliang");
                        var pricetype = ccui.helper.seekWidgetByName(_node, "Text_11");
                        rmbnum.setString(goodsconfig.money);
                        diamondnum.setString(goodsconfig.diamond);
                        pricetype.setString(game.Version_mgr.getInstance().m_option.huobi);
                    }
                    else if (checkboxArray[p].getName().indexOf("tili") > -1) {
                        var diamondnumui = ccui.helper.seekWidgetByName(_node, "shumu");
                        var addnumui = ccui.helper.seekWidgetByName(_node, "shuliang");
                        diamondnumui.setString(game.Version_mgr.getInstance().getDiamondPriceBystr("tili"));
                        addnumui.setString(game.g_max_energy);
                        if (game.dataMgr.getMe().getViplevel() >= game.g_tilishangxianunlock) {
                            addnumui.setString(game.g_max_energy * 2);
                        }
                    }
                    _node.addTouchEventListener(this.press, this);
                    if (game.Version_mgr.getInstance().isPhone()) {
                        var texiao = ccui.helper.seekWidgetByName(_node, "uitexiao");
                        texiao.setVisible(false);
                    }
                    else {
                        this.m_CBaseKeyState.regNodeEx(_node, regNum++);
                    }
                }
            }
            if (game.Version_mgr.getInstance().isPhone()) {
                var image = ccui.helper.seekWidgetByTag(this.m_root, 1057);
                image.setVisible(false);
            }
            else {
                this.m_CBaseKeyState.m_ui_map = this;
                this.m_CBaseKeyState.setUIName("baozhang");
                this.m_CBaseKeyState.init(this);
            }
            this.updateUi();
        };
        ui_zuanshi.prototype.updateUi = function () {
            var tiliNode = ccui.helper.seekWidgetByName(this.m_root, "tili");
            var curtili = ccui.helper.seekWidgetByName(tiliNode, "danqian");
            curtili.setString(game.itemMgr.getMe().getItemnumbyType(game.e_item.e_tili).toString());
            var zuansiNode = ccui.helper.seekWidgetByName(this.m_root, "zuanshi");
            var zuanshi = ccui.helper.seekWidgetByName(zuansiNode, "shuliang");
            zuanshi.setString(game.itemMgr.getMe().getItemnumbyType(game.e_item.e_zuanshi).toString());
            var maxenery = ccui.helper.seekWidgetByName(tiliNode, "zongshu");
            maxenery.setString("/" + game.g_max_energy);
            if (game.dataMgr.getMe().getViplevel() >= game.g_tilishangxianunlock) {
                maxenery.setString("/" + Number(game.g_max_energy * 2));
            }
            var jinbiNode = ccui.helper.seekWidgetByName(this.m_root, "jinbi");
            var jinbi = ccui.helper.seekWidgetByName(jinbiNode, "shuliang");
            jinbi.setString(game.itemMgr.getMe().getItemnumbyType(game.e_item.e_jinbi).toString());
        };
        ui_zuanshi.prototype.press = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        var texiao = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        texiao.setVisible(true);
                    }
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        var texiao = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        texiao.setVisible(false);
                    }
                    this.m_CBaseKeyState.setCurKey(sender);
                    var goodsname = sender.getName();
                    if (goodsname.indexOf("zuanshi") > -1) {
                        var goodstag = goodsname.replace(/zuanshi/, '');
                        this.m_tagDiamond = goodstag;
                        game.buy_mgr.getInstance().buyDiamonds_buy(goodstag, this.buySucceedCallback.bind(this));
                    }
                    else if (goodsname == "tili") {
                        this.m_curtilinum = game.dataMgr.getMe().getItemByName(game.e_item.e_tili);
                        this.m_maxtili = game.g_max_energy;
                        if (game.dataMgr.getMe().getViplevel() >= game.g_tilishangxianunlock) {
                            this.m_maxtili = game.g_max_energy * 2;
                        }
                        if (this.m_curtilinum >= this.m_maxtili) {
                            game.ui_messageBox.ShowOrHide(true, "体力已满！无法购买");
                            return;
                        }
                        var price_tili = game.Version_mgr.getInstance().getDiamondPriceBystr("tili");
                        // buy_mgr.getInstance().shoppingByDiamond(price_tili,"补足体力",
                        //     ui_zuanshi.getMe().buyTiliSucceedCallBack,null)
                        game.buy_mgr.getInstance().buyStrength_buy(this.buyTiliSucceedCallBack, this, price_tili);
                    }
                    else if (goodsname == "duihuama") {
                        // ui_zuanshi.ShowOrHide(false);
                        game.ui_duihuanma.ShowOrHide(true);
                    }
                    this.updateUi();
                    break;
                case ccui.Widget.TOUCH_CANCELED:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        var texiao = ccui.helper.seekWidgetByName(sender, "uitexiao");
                        texiao.setVisible(false);
                    }
                    break;
            }
        };
        ui_zuanshi.prototype.buySucceedCallback = function () {
            // let goodsconfig = Version_mgr.getInstance().getRmbPriceByTag(this.m_tagDiamond);
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,"购买 "+goodsconfig +"钻石");
            this.updateUi();
            game.fileMgr.savePlayInfo_callback();
        };
        ui_zuanshi.prototype.buyTiliSucceedCallBack = function () {
            game.dataMgr.getMe().addItemByType(game.e_item.e_tili, ui_zuanshi.getMe().m_maxtili - ui_zuanshi.getMe().m_curtilinum);
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,"购买 "+
            //     (ui_zuanshi.getMe().m_maxtili - ui_zuanshi.getMe().m_curtilinum )+"体力");
            game.ui_messageBox.ShowOrHide(true, "购买体力成功！");
            ui_zuanshi.getMe().updateUi();
        };
        ui_zuanshi.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
            }
            this.updateUi();
        };
        ui_zuanshi.prototype.onBack = function () {
            game.ui_shop.ShowOrHide(true);
            ui_zuanshi.ShowOrHide(false);
        };
        ui_zuanshi.g_instarn = null;
        ui_zuanshi.getMe = function () {
            return game.ui_zuanshi.g_instarn;
        };
        ui_zuanshi.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, game.ui_zuanshi, null, 1005);
        };
        return ui_zuanshi;
    }(game.UiBase));
    game.ui_zuanshi = ui_zuanshi;
    var ui_Viptexiao = (function (_super) {
        __extends(ui_Viptexiao, _super);
        function ui_Viptexiao() {
            _super.call(this);
            this.m_des = "ui_Viptexiao";
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_Viptexiao.prototype.oninit = function (level) {
            var root = this._parseUIFile("vipshengji.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            var queding = ccui.helper.seekWidgetByName(this.m_root, "quedin");
            queding.addTouchEventListener(this.press, this);
            this.m_CBaseKeyState.regNodeEx(queding, 1);
            this.m_CBaseKeyState.init(this);
            var iamg = ccui.helper.seekWidgetByName(this.m_root, "Image_52");
            iamg.loadTexture("xingjietantantang/big/ui/image/ddt_vip" + level.toString() + ".png");
        };
        ui_Viptexiao.prototype.press = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    break;
            }
        };
        ui_Viptexiao.prototype.onBack = function () {
            ui_Viptexiao.ShowOrHide(false);
        };
        ui_Viptexiao.g_instarn = null;
        ui_Viptexiao.getMe = function () {
            return game.ui_Viptexiao.g_instarn;
        };
        ui_Viptexiao.ShowOrHide = function (flag, level) {
            game.UiBase.ShowOrHide(flag, game.ui_Viptexiao, null, 5000, level);
        };
        return ui_Viptexiao;
    }(game.UiBase));
    game.ui_Viptexiao = ui_Viptexiao;
    var ui_VipEffectEx = (function (_super) {
        __extends(ui_VipEffectEx, _super);
        function ui_VipEffectEx() {
            _super.call(this);
            this.m_des = "ui_Viptexiao";
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_VipEffectEx.prototype.oninit = function (data) {
            this.m_callback = data.callback;
            var level = data.level;
            var root = this._parseUIFile("vipshengji.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            var queding = ccui.helper.seekWidgetByName(this.m_root, "quedin");
            queding.addTouchEventListener(this.press, this);
            this.m_CBaseKeyState.regNodeEx(queding, 1);
            this.m_CBaseKeyState.init(this);
            var iamg = ccui.helper.seekWidgetByName(this.m_root, "Image_52");
            iamg.loadTexture("xingjietantantang/big/ui/image/ddt_vip" + level.toString() + ".png");
        };
        // DoEnterCurButton(){
        //     ui_VipEffectEx.ShowOrHide(false,null);
        //     this.callback();
        // }
        ui_VipEffectEx.prototype.callback = function () {
            if (this.m_callback) {
                this.m_callback.call();
                this.m_callback = null;
            }
        };
        ui_VipEffectEx.prototype.press = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    ui_VipEffectEx.ShowOrHide(false, null);
                    this.callback();
                    break;
            }
        };
        ui_VipEffectEx.getMe = function () {
            return ui_VipEffectEx.g_instarn;
        };
        ui_VipEffectEx.ShowOrHide = function (flag, data) {
            game.UiBase.ShowOrHide(flag, game.ui_VipEffectEx, null, 5000, data);
        };
        return ui_VipEffectEx;
    }(game.UiBase));
    game.ui_VipEffectEx = ui_VipEffectEx;
})(game || (game = {}));
//# sourceMappingURL=ui_zuanshi.js.map