module game {
    export class ui_chengjiu extends UiBase {
        static g_instarn: ui_chengjiu = null;
        static getMe = function (): ui_chengjiu {
            return ui_chengjiu.g_instarn;
        };
        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_chengjiu, uiMgr.getMe(), 1003);
        };

        constructor() {
            super();
            this.m_des = "ui_chengjiu";
            this.m_CBaseKeyState = new BaseKeyState()
        }

        onBack() {
            ui_chengjiu.ShowOrHide(false);
            ui_mainScene.ShowOrHide(true);
        }

        m_node_clone: ccui.CheckBox = null

        oninit() {
            let root = this._parseUIFile("chengjiu.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);


            let tuichu: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "tuichu");
            if (!Version_mgr.getInstance().isPhone()) {
                if (tuichu) {
                    dataMgr.getMe().loadCheckBoximg(tuichu, "xingjietantantang/big/ui/image/ddt_ui138b.png");
                }
            }
            tuichu.addTouchEventListener(this.tuichu_func, this);

            this.m_listView = ccui.helper.seekWidgetByName(this.m_root, "ListView_1");
            this.m_node_clone = ccui.helper.seekWidgetByName(this.m_listView, "chengjiu_1");
            this.m_node_clone.retain();
            this.m_listView.removeChild(this.m_node_clone, true);

            this.setMyRankinformathion();
            this.infordataUI();
            this.updateMyTittleui();
            if (!Version_mgr.getInstance().isPhone()) {
                this.m_CBaseKeyState.init(this);
                this.m_CBaseKeyState.setCurKey_byId(0);
            }

        }

        tuichu_func(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.onBack();
                    break;
            }
        }

        m_listView: ccui.ListView = null;

        up() {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.up();
                let height = this.m_listView.getInnerContainerSize().height;
                let node = this.m_CBaseKeyState.m_key.node;
                this.updateshowui(node.getUserData().data);
                let per = Math.floor((node.getPositionY() + node.getContentSize().height/2) / height * 100);
                this.m_listView.jumpToPercentVertical(100-per);
            }
        }

        down() {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.down();
                let height = this.m_listView.getInnerContainerSize().height;
                let node = this.m_CBaseKeyState.m_key.node;
                this.updateshowui(node.getUserData().data);
                let per = Math.floor((node.getPositionY() - node.getContentSize().height/2) / height * 100);
                this.m_listView.jumpToPercentVertical(100-per);
            }
        }

        m_first = true;

        infordataUI() {
            let index = 1;
            for (let p in g_chenghao_config) {
                if (p == "default") {
                    continue;
                }
                let data = g_chenghao_config[p];
                for (let k in data) {
                    if (k == "1" || k == "2" || k == "3") {
                        let level = dataMgr.getMe().getTittlelevel(p);
                        if (k == "1" && level == -1) {
                            this.updateUI(data[k],k,p,index++);
                        }
                        else if(level == 1 && k == "2"){
                            this.updateUI(data[k],k,p,index++);
                        }else if((level == 2 || level == 3) && k == "3"){
                            this.updateUI(data[k],k,p,index++);
                        }
                    }
                }
            }
        }

        updateUI(data,k,p,index){
            let checkBox: ccui.CheckBox = this.m_node_clone.clone();
            checkBox.addTouchEventListener(this.select_tittle, this);
            let titledata: tittlelevelconfig_s = data;
            let chengjiu = {chenghao:p,data:titledata};
            checkBox.setUserData(chengjiu);
            let mytittledata = dataMgr.getMe().getTittlePlayDataByType(p);

            switch (k) {
                case "1":
                    this.setChengjiuInformation(checkBox, titledata,
                        "xingjietantantang/big/ui/image/ddt_ui42.png", k);
                    this.setLoadingPer(checkBox, titledata, mytittledata);
                    break;
                case "2":
                    this.setChengjiuInformation(checkBox, titledata,
                        "xingjietantantang/big/ui/image/ddt_ui43.png", k);
                    this.setLoadingPer(checkBox, titledata, mytittledata);
                    break;
                case "3":
                    this.setChengjiuInformation(checkBox, titledata,
                        "xingjietantantang/big/ui/image/ddt_ui44.png",k);
                    this.setLoadingPer(checkBox, titledata, mytittledata);
                    break;
            }
            this.m_listView.addChild(checkBox);
            if (this.m_first) {
                this.m_first = false;
                this.updateshowui(checkBox.getUserData().data);
            }
            if (Version_mgr.getInstance().isPhone()) {
                checkBox.setSelected(false);
            } else {
                this.m_CBaseKeyState.regNodeEx(checkBox, index);
            }
        }

        //设置排名信息
        setMyRankinformathion() {
            let bestrank: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "paiming_lishi");
            let bestscore: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "jifen_lishi");
            let dangqian: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "jifen");
            let dangqianrank: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "paiming");
            let weipaimng: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "weipaiming");
            let tubiao: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "tubiao");
            let name: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "name");
            let level: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "lv");
            let lishitubiao:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"tubiao_lishi");
            let weipaiming:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"paiming_lishi2");

            lishitubiao.loadTexture(ui_juese.getIcon(dataMgr.getMe().getBestRank()));
            weipaimng.setVisible(false);
            if(dataMgr.getMe().getRank() >= 99999){
                weipaimng.setVisible(true);
                dangqianrank.setVisible(false);
            }

            dangqian.setString(dataMgr.getMe().getRankScore());
            bestscore.setString(dataMgr.getMe().getBestScore());
            if(dataMgr.getMe().getBestRank() >= 99999){
                weipaiming.setVisible(true);
                bestrank.setVisible(false);
            }else {
                weipaiming.setVisible(false);
                bestrank.setVisible(true);
                bestrank.setString(dataMgr.getMe().getBestRank());
            }
            dangqianrank.setString(dataMgr.getMe().getRank());
            tubiao.loadTexture(ui_juese.getIcon(dataMgr.getMe().getRank()));
            name.setString(dataMgr.getMe().getNickName());
            level.setString(dataMgr.getMe().getlevel().toString())
        }

        //设置进度

        setLoadingPer(checkBox: ccui.CheckBox, tittledata: tittlelevelconfig_s, num) {
            let wancheng: ccui.ImageView = ccui.helper.seekWidgetByName(checkBox, "wancheng");
            let jindu: ccui.ImageView = ccui.helper.seekWidgetByName(checkBox, "jindu");
            let loadingbar: ccui.Loadingbar = ccui.helper.seekWidgetByName(jindu, "LoadingBar_1");
            let shuzhi: ccui.Text = ccui.helper.seekWidgetByName(jindu, "shuzhi");
            loadingbar.setVisible(true);
            wancheng.setVisible(false);
            shuzhi.setString(num + "/" + tittledata.num);
            let per = num / tittledata.num * 100;
            if (per >= 100) {
                per = 100;
                loadingbar.setVisible(true);
                wancheng.setVisible(true);
                shuzhi.setVisible(false);
            } else if (per <= 0) {
                per = 0;
            }
            loadingbar.setPercent(per);
            if(checkBox.getUserData().chenghao == "chenghao_5") {
                if (num == 0) {
                    loadingbar.setPercent(0);
                    shuzhi.setString("0/1");
                    wancheng.setVisible(false);
                    shuzhi.setVisible(true);
                } else {
                    loadingbar.setPercent(num <= tittledata.num ? 100 : 0);
                    shuzhi.setString(num <= tittledata.num ? "1/1" : "0/1");
                    wancheng.setVisible(false);
                    shuzhi.setVisible(true);
                    if (num <= tittledata.num) {
                        wancheng.setVisible(true);
                        shuzhi.setVisible(false);
                    }
                }
            }
        }

        //设置成就信息
        setChengjiuInformation(checkBox: ccui.CheckBox, tittledata: tittlelevelconfig_s, path: string, index) {
            let name: ccui.Text = ccui.helper.seekWidgetByName(checkBox, "name");
            let backimg: ccui.ImageView = ccui.helper.seekWidgetByName(checkBox, "Image_33");
            let jieshao: ccui.Text = ccui.helper.seekWidgetByName(checkBox, "jieshao");
            let leveltxt: ccui.Text = ccui.helper.seekWidgetByName(checkBox, "Text_55");
            name.setString(tittledata.desName);
            jieshao.setString(tittledata.need);
            leveltxt.setString(index);
            backimg.loadTexture(path);
            // name.setTextColor(color);
            // leveltxt.setTextColor(color)
        }


        m_CurSender = null;
        m_iselect:boolean = true;//是否选择佩戴
        select_tittle(sender, type) {
            if (type == ccui.Widget.TOUCH_BEGAN) {
                if (Version_mgr.getInstance().isPhone()) {
                    if (this.m_CurSender) {
                        this.m_CurSender.setSelected(false);
                    }
                    sender.setSelected(true);
                    this.m_CurSender = sender;
                    this.updateshowui(sender.getUserData().data);
                }
            }
            if (type == ccui.Widget.TOUCH_ENDED) {
                let chenghao = sender.getUserData().chenghao;
                let level = dataMgr.getMe().getTittlelevel(chenghao);
                let curnum = dataMgr.getMe().getTittlePlayDataByType(chenghao);

                if(level == -1){
                    return ;
                }
                let zongnum = 0;
                if(dataMgr.getMe().getTittleConfigBytag(chenghao,level-1) == null){
                    zongnum = dataMgr.getMe().getTittleConfigBytag(chenghao,1).num;
                }else {
                    zongnum = dataMgr.getMe().getTittleConfigBytag(chenghao,level-1).num;
                }
                console.log("zongnum:" + zongnum)
                console.log("curnum:" + curnum)

                this.m_iselect = true;
                if(chenghao == "chenghao_5"){
                    if(curnum <= zongnum){
                        ui_chengjiupeidai.ShowOrHide(true, chenghao);
                    }
                }else {
                    if(  curnum < zongnum){
                        return ;
                    }
                    ui_chengjiupeidai.ShowOrHide(true, chenghao);
                }
                // dataMgr.getMe().setchenghao(dataMgr.getMe().getCurHero(),tittledata.)
            }
        }

        updateMyTittleui() {

            let nantittleui: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "chengjiu_chenghao_nan");
            let nvtittleui: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "chengjiu_chenghao_nv");
            let nantittle = dataMgr.getMe().getTittle("nan");
            let level_nan = dataMgr.getMe().getTittlelevel(nantittle);
            let nantittleconfig = dataMgr.getMe().getTittleConfigBytag(nantittle,level_nan);
            let nvtittle = dataMgr.getMe().getTittle("nv");
            let level_nv = dataMgr.getMe().getTittlelevel(nvtittle);
            let nvtittleconfig = dataMgr.getMe().getTittleConfigBytag(nvtittle,level_nv);




            if (nantittleconfig && this.m_iselect) {
                nantittleui.setVisible(true);
                // if(dataMgr.getMe().getCurHero() != "nan"){
                //     nantittleui.setVisible(false);
                // }
                nantittleui.loadTexture(nantittleconfig.icon)
            }
            else {
                nantittleui.setVisible(false)
            }
            if (nvtittleconfig && this.m_iselect) {
                nvtittleui.setVisible(true);
                // if(dataMgr.getMe().getCurHero() != "nv"){
                //     nantittleui.setVisible(false);
                // }
                nvtittleui.loadTexture(nvtittleconfig.icon)
            }
            else {
                nvtittleui.setVisible(false)
            }
        }

        updateshowui(tittledata: tittlelevelconfig_s) {

            let tittleui: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "peidai_chenghao");

            tittleui.loadTexture(tittledata.icon);

            //当前选择称号属性设置
            let teshu: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "miaoshu");
            teshu.setString(tittledata.des);
            // let shanghai

            let atkui: ccui.Text = ccui.helper.seekWidgetByTag(this.m_root, 413);
            let hpui: ccui.Text = ccui.helper.seekWidgetByTag(this.m_root, 414);
            let defui: ccui.Text = ccui.helper.seekWidgetByTag(this.m_root, 415);
            let powerui: ccui.Text = ccui.helper.seekWidgetByTag(this.m_root, 416);

            let gongji: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "gongji");
            let LoadingBar_2_gongji: ccui.Loadingbar = ccui.helper.seekWidgetByName(gongji, "LoadingBar_2");

            let xueliang: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "xueliang");
            let LoadingBar_2_xueliang: ccui.Loadingbar = ccui.helper.seekWidgetByName(xueliang, "LoadingBar_2");

            let jianshang: ccui.ImageView = ccui.helper.seekWidgetByTag(this.m_root, 393);
            let LoadingBar_2_jianshang: ccui.Loadingbar = ccui.helper.seekWidgetByName(jianshang, "LoadingBar_2");

            let naili_img: ccui.ImageView = ccui.helper.seekWidgetByTag(this.m_root, 399);
            let LoadingBar_2_naili_img: ccui.Loadingbar = ccui.helper.seekWidgetByName(naili_img, "LoadingBar_2");

            atkui.setString(tittledata.damage);
            hpui.setString( tittledata.hp);
            defui.setString(Math.floor(tittledata.def * 100) + '%');
            powerui.setString( tittledata.power);

            LoadingBar_2_gongji.setPercent(tittledata.damage / dataMgr.getMe().getChenghaoMax("damage") * 100);
            LoadingBar_2_xueliang.setPercent(tittledata.hp / (dataMgr.getMe().getChenghaoMax("hp")) * 100);
            LoadingBar_2_jianshang.setPercent(tittledata.def/dataMgr.getMe().getChenghaoMax("damageRes") * 100);
            LoadingBar_2_naili_img.setPercent(tittledata.power / dataMgr.getMe().getChenghaoMax("power") * 100)
        }

        loop(t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
                if (!Version_mgr.getInstance().isPhone()) {

                }
            }

            // this.update_tili()
        }
    }
}
