var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_loading = (function (_super) {
        __extends(ui_loading, _super);
        function ui_loading() {
            _super.call(this);
            this.m_isNewAccount = false;
            this.m_pvpServer_connect = false;
            this.m_serverTime = false;
            this.m_rankList = false;
            this.m_userData = false;
            this.m_curNum = 1;
            this.m_allNum = 6; //总进度 + 2
            this.m_curSucceed = true; //控制开关 ， 当前进度的开关
            this.m_StringNode = null;
            this.m_BackImg = null;
            this.m_loadingBar = null;
            this.m_allSucceed = false; //所有任务是否完成
            this.m_SucceedWaittime = 1;
            this.m_loadingSpeed = 10;
            this.m_des = "ui_loading";
        }
        ui_loading.getMe = function () {
            return ui_loading.g_instarn;
        };
        ;
        ui_loading.prototype.oninit = function (data) {
            var root = this._parseUIFile("jindu.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.m_StringNode = ccui.helper.seekWidgetByName(this.m_root, "Text_2");
            this.m_loadingBar = ccui.helper.seekWidgetByName(this.m_root, "jingdutiao");
            this.m_BackImg = ccui.helper.seekWidgetByName(this.m_root, "Image_1");
            this.m_loadingBar.setPercent(0);
            this.m_StringNode.setString("正在读取配置信息...");
        };
        ui_loading.prototype.errorMsg = function (msg) {
            game.uiMgr.getMe().show_ui_MessageBox2(true, msg, function () {
                cc.director.end();
            }, function () {
                cc.director.end();
            });
        };
        // connectPvpServer( )
        // {
        //     this.m_StringNode.setString("正在连接登陆服务器...")
        //     mainServer_webSocketManager.getMe().init(this.connectPvpServerCallback.bind(this))
        // }
        // connectPvpServerCallback( )
        // {
        //     this.m_pvpServer_connect = true
        //     this.m_curSucceed = true
        // }
        ui_loading.prototype.getServerTime = function () {
            this.m_StringNode.setString("正在获取服务器时间...");
            if (cc.sys.isNative) {
                game.httpMgr.getMe().sendMsg(game.g_httpType.type_httpGetServerTime);
            }
            else {
                this.getSerVerTimeCallback("0");
            }
        };
        ui_loading.prototype.getSerVerTimeCallback = function (serverTime) {
            console.log("serverTime is:" + serverTime);
            this.m_serverTime = true;
            this.m_curSucceed = true;
        };
        ui_loading.prototype.getUserData = function () {
            // this.m_StringNode.setString("正在下载用户存档数据...")
            // if(Version_mgr.getInstance().m_option.isPhone)//手机
            // {
            //     this.m_StringNode.setString("正在读取本地存档...")
            //     fileMgr.getMe().readlogindata()
            //
            // }
            // else
            // {
            //     httpMgr.getMe().sendMsg(g_httpType.type_httpGetGameData);
            // }
            this.m_userData = true;
            this.m_curSucceed = true;
        };
        ui_loading.prototype.getUserDataCallback = function (userdata) {
            this.m_userData = true;
            this.m_curSucceed = true;
            if (game.Version_mgr.getInstance().m_option.isPhone) {
            }
            else {
                if (userdata == null) {
                    this.m_isNewAccount = true;
                }
                else {
                }
            }
        };
        ui_loading.prototype.getRankList = function () {
            this.m_StringNode.setString("正在获取排行榜信息...");
            // if(cc.sys.isNative){
            //     httpMgr.getMe().sendMsg(g_httpType.type_httpGetScore);
            // }
            this.getRankListCallback();
        };
        ui_loading.prototype.getRankListCallback = function () {
            this.m_rankList = true;
            this.m_curSucceed = true;
        };
        ui_loading.prototype.loadNext = function () {
            //这里按加载顺序放
            if (this.m_serverTime == false) {
                this.m_curNum = 2;
                this.getServerTime();
            }
            else if (this.m_userData == false) {
                this.m_curNum = 3;
                this.getUserData();
            }
            else if (this.m_rankList == false) {
                this.m_curNum = 4;
                this.getRankList();
            }
            else {
                this.m_curNum = 6;
                //没有了，等待几秒，切换场景
                this.m_allSucceed = true;
                this.m_StringNode.setString("游戏加载成功...");
            }
            this.m_loadingSpeed = 10;
        };
        ui_loading.prototype.Succeed = function () {
            ui_loading.ShowOrHide(false);
            game.ui_chushijiemian.ShowOrHide(true);
            // if(Version_mgr.getInstance().m_option.isPhone)
            // {
            //     ui_chushijiemian.ShowOrHide(true)
            // }
            // else
            // {
            //     if(  this.m_isNewAccount )
            //     {
            //         //进入新手引导界面..
            //         ui_choosename.ShowOrHide( true )
            //     }
            //     else
            //     {
            //         ui_chushijiemian.ShowOrHide( true )
            //     }
            // }
        };
        ui_loading.prototype.loop = function (t) {
            if (this.m_curSucceed && this.m_curNum != 1 || this.m_allSucceed)
                this.m_loadingSpeed = 30;
            var curPercent = this.m_loadingBar.getPercent();
            if (curPercent < (this.m_curNum / this.m_allNum * 100)) {
                this.m_loadingBar.setPercent(curPercent + this.m_loadingSpeed * t);
            }
            else {
                //if(this.m_curSucceed)
                // {
                // this.m_curSucceed = false
                this.loadNext();
            }
            if (this.m_allSucceed) {
                this.m_SucceedWaittime -= t;
                if (this.m_SucceedWaittime < 0 && curPercent == 100) {
                    this.m_allSucceed = false;
                    this.Succeed();
                }
            }
        };
        ui_loading.g_instarn = null;
        ui_loading.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_loading, game.uiMgr.getMe(), 600);
        };
        return ui_loading;
    }(game.UiBase));
    game.ui_loading = ui_loading;
})(game || (game = {}));
//# sourceMappingURL=ui_loading.js.map