module game {
    import Rect = cc.Rect;
    export class ui_login extends UiBase {
        static g_instarn: ui_login = null;

        static getMe() {
            return ui_login.g_instarn;
        };

        static ShowOrHide = function (flag) {
            UiBase.ShowOrHide(flag, ui_login, uiMgr.getMe(), 600);
        };
        m_accountText: ccui.TextField;
        m_passwordText: ccui.TextField;

        constructor() {
            super();
            this.m_des = "ui_login";
            this.m_CBaseKeyState = new BaseKeyState();
        }

        oninit() {
            let root = this._parseUIFile("denglu.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            let loginButton: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "denglu");
            loginButton.addTouchEventListener(this.login, this);
            this.m_CBaseKeyState.regNodeEx(loginButton,3);
            let _p = ccui.helper.seekWidgetByName(this.m_root, "CheckBox_1");
            this.m_CBaseKeyState.regNodeEx(_p,1);
            this.m_accountText = ccui.helper.seekWidgetByName(_p, "TextField");
            _p = ccui.helper.seekWidgetByName(this.m_root, "CheckBox_2");
            this.m_passwordText = ccui.helper.seekWidgetByName(_p, "TextField");
            this.m_CBaseKeyState.regNodeEx(_p,2);
            fileMgr.getMe().readlogindata();
            if (fileMgr.getMe().m_logindata) {
                this.m_accountText.setString(fileMgr.getMe().m_logindata.account);
                this.m_passwordText.setString(fileMgr.getMe().m_logindata.password);

                // this.login(this, ccui.Widget.TOUCH_ENDED);
            }
            this.m_CBaseKeyState.init(this);
            this.setJiantouVisable(false,"CheckBox_2");
            this.setJiantouVisable(false,"CheckBox_1");
            if(Version_mgr.getInstance().getCurVersion() != e_game_Version.e_version_web){
                return ;
            }
            this.setJiantouVisable(true,"CheckBox_1");
        }


        up(){
            if(Version_mgr.getInstance().getCurVersion() != e_game_Version.e_version_web){
                return ;
            }
            let keyname_before:string = this.m_CBaseKeyState.m_key.getName();
            if("denglu" != keyname_before){
                this.setJiantouVisable(false,keyname_before);
            }
            this.m_CBaseKeyState.up();
            let keyname_after:string = this.m_CBaseKeyState.m_key.getName();
            if("denglu" != keyname_after){
                this.setJiantouVisable(true,keyname_after);
            }
        }

        down(){
            if(Version_mgr.getInstance().getCurVersion() != e_game_Version.e_version_web){
                return ;
            }
            let keyname_before:string = this.m_CBaseKeyState.m_key.getName();
            if( "denglu" != keyname_before){
                this.setJiantouVisable(false,keyname_before);
            }
            this.m_CBaseKeyState.down();
            let keyname_after:string = this.m_CBaseKeyState.m_key.getName();
            if("denglu" != keyname_after){
                this.setJiantouVisable(true,keyname_after);
            }
        }


        //设置箭头显示隐藏
        setJiantouVisable(flag:boolean,parentname:string){
            let parent:ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root,parentname);
            let jiantou:ccui.ImageView = ccui.helper.seekWidgetByName(parent,"jiantou");
            jiantou.setVisible(flag);
        }

        loop(t){
            if(this.m_CBaseKeyState){
                this.m_CBaseKeyState.loop(t)
            }
        }

        //
        // miss(sender, type) {
        //     switch (type) {
        //         case ccui.Widget.TOUCH_ENDED:
        //             ui_login.ShowOrHide(false)
        //             ui_forgetpassword.ShowOrHide(true)
        //             break
        //     }
        // }

        // exit(sender, type) {
        //     switch (type) {
        //         case ccui.Widget.TOUCH_ENDED:
        //             uiMgr.getMe().show_ui_MessageBox2(true, "是否退出游戏?", function () {
        //                 cc.director.end()
        //             })
        //             break
        //     }
        // }

        //登陆服务器的回调
        // loginCallback(result, nickname = "") {

        // ui_loading2.ShowOrHide( false , null )
        // if(result == e_login_type.succeed)
        // {
        //     this.m_nickName = nickname
        //     if(this.m_nickName == "" )
        //     {
        //         uiMgr.getMe().show_ui_MessageBox(true,"未知错误",function () {
        //             cc.director.end()
        //         })
        //         return
        //     }
        //     if(cc.sys.isNative)
        //     {
        //         //在这里需要先更新一下账号信息.
        //         fileMgr.getMe().savePlayAccount(this.m_accountText.getString(),this.m_passwordText.getString())
        //         httpMgr.getMe().sendMsg(g_httpType.type_httpGetGameData)
        //         ui_loading2.ShowOrHide( true, "读取服务器存档...")
        //     }
        //   else
        //     {
        //         this.getUserDataCallback(null)
        //     }
        //
        // }
        // else if(result == e_login_type.isLogin)
        // {
        //     uiMgr.getMe().show_ui_MessageBox(true,"该账号已在其他设备登陆" ,function () {
        //         cc.director.end()
        //     })
        // }
        // else
        // {
        //     uiMgr.getMe().show_ui_MessageBox(true,"登陆失败,账号或者密码错误!")
        // }
        // }

        //存档服务器的回调
        // getUserDataCallback(  saveTime = 0 )
        // {
        //     // saveTime = 0
        //     // playdoc = null
        //     ui_loading2.ShowOrHide( false , null )
        //
        //     this.m_nickName = fileMgr.getMe().m_play_doc.coreData.name
        //
        //     fileMgr.getMe().m_play_doc.coreData.acc = this.m_accountText.getString()
        //     //每次登陆成功后再更新一下存档里面的帐号和昵称 登 陆时间等信息
        //     dataMgr.getMe().updateUserName(this.m_nickName)
        //     // fileMgr.getMe().m_play_doc.coreData.name = this.m_nickName
        //     // fileMgr.getMe().m_play_doc.coreData.acc =  iapMgr.getMe().m_PhoneAccount
        //     fileMgr.getMe().m_play_doc.coreData.lastlogin = energyMgr.getMe().m_curServerTime
        //     //计算体力
        //     energyMgr.getMe().init(fileMgr.getMe().m_play_doc.coreData.recoverTime)
        //
        //     //存档到这里已经全部同步完毕
        //     this.test()
        //     // saveTime = 0
        //     if(saveTime == 0 || fileMgr.getMe().m_play_doc.coreData.name == "")
        //     {
        //         uiMgr.getMe().show_ui_MessageBox(true,"欢迎登陆："+ this.m_nickName,function () {
        //             ui_login.ShowOrHide(false)
        //             ui_mainScene.ShowOrHide(true)
        //             if(cc.sys.isNative)
        //             {
        //                 ui_chushixuanren.ShowOrHide(true)
        //             }
        //         })
        //     }
        //     else
        //     {
        //         uiMgr.getMe().show_ui_MessageBox(true,"欢迎登陆："+ this.m_nickName + "\n上次登陆:" + new Date( fileMgr.getMe().m_play_doc.coreData.lastlogin ).toLocaleString(),this.loginSuccedCallback.bind(this))
        //     }
        //
        // }
        onBack() {
            this.endLayout(function () {
                ui_login.ShowOrHide(false)
            })
        }

        //更改玩家存档数据在这里改 改完后重新更新到服务器
        // test()
        // {
        //
        // }
        // loginSuccedCallback()
        // {
        //     console.log("login succeed callback ....")
        //     g_Accountislogin = true
        //     this.onBack()
        //     ui_mainScene.ShowOrHide(true)
        //     ui_chushijiemian.ShowOrHide(false)
        // }
        login(sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    // 这里是登录接口  需要填入用户名和密码
                    let acc = this.m_accountText.getString();
                    let pass = this.m_passwordText.getString();
                    httpGetAcc.getMe().onSendMsg({username: acc, password: pass});
                    break;
            }
        }

        onTouchEnded(touch, event){
            let location = touch.getLocation();
            let image:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"Image_5");
            let height = image.getContentSize().height;
            let width = image.getContentSize().width;
            location = image.convertToNodeSpace(location);
            let rect:Rect = cc.rect(0,0,width,height);
            if(cc.rectContainsPoint(rect,cc.p(location.x,location.y))){
                return true;
            }else {
                ui_login.ShowOrHide(false)
            }
            return true;
        }

        // reg(sender, type) {
        //     switch (type) {
        //         case ccui.Widget.TOUCH_ENDED:
        //             ui_login.ShowOrHide(false)
        //             ui_regAccount.ShowOrHide(true)
        //             break
        //     }
        // }
    }
}