module game {
    import Rect = cc.Rect;
    export class ui_saodang extends UiBase {
        static g_instarn: ui_saodang = null;
        static getMe = function () {
            return ui_saodang.g_instarn;
        };
        static ShowOrHide = function (flag, guankaid) {
            UiBase.ShowOrHide(flag, ui_saodang, uiMgr.getMe(), 1101, guankaid);
        };
        m_awardlist = []//一次扫荡奖励
        m_awardlistTen = [];
        m_state: boolean = false

        constructor() {
            super();
            this.m_des = "ui_saodang";
            this.m_CBaseKeyState = new BaseKeyState();

        }

        up() {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.up();
                let nodekey = this.m_CBaseKeyState.m_key.getName();
                if (nodekey == "x1") {
                    this.setTexiao(3);
                } else if (nodekey == "x10") {
                    this.setTexiao(2);
                } else if (nodekey == "x10_0") {
                    this.setTexiao(1);
                }
            }
        }

        down() {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.down();
                let nodekey = this.m_CBaseKeyState.m_key.getName();
                if (nodekey == "x1") {
                    this.setTexiao(3);
                } else if (nodekey == "x10") {
                    this.setTexiao(2);
                } else if (nodekey == "x10_0") {
                    this.setTexiao(1);
                }
            }
        }


        oninit(guankaid) {

            this.setOpacity(255 * 0.0);
            let root = this._parseUIFile("saodang.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);

            if (ui_daditu.getMe()) {
                ui_daditu.getMe().m_ScrollView.setTouchEnabled(false);
            }


            let guankaconfig: scene_config_data_s = cc.clone(g_scene_config["sceneA_" + g_select_guanka])

            let saodang: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "x1")
            let saodang_10: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "x10")
            let zhijiejinru: ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root, "x10_0")
            zhijiejinru.addTouchEventListener(this.start_game, this)
            saodang.addTouchEventListener(this.get_one, this)
            saodang_10.addTouchEventListener(this.get_ten, this)
            this.m_CBaseKeyState.regNodeEx(saodang, 1)
            this.m_CBaseKeyState.regNodeEx(saodang_10, 2)
            this.m_CBaseKeyState.regNodeEx(zhijiejinru, 3)


            // if(guankaconfig.win_jiangli) //"yaoji3
            // {
            //     let dataconfig = cc.clone(g_daoju_nan[guankaconfig.win_jiangli])
            //     this.m_awardlist.push(
            //         {
            //             name:dataconfig.desName,
            //             icon:dataconfig.icon,
            //             num:1,
            //             name2:guankaconfig.win_jiangli
            //         }
            //     )
            // }

            this.m_CBaseKeyState.init(this);
            this.setTexiao(3);
        }

        setTexiao(key: number) {
            for (let i = 1; i <= 3; i++) {
                let texiao: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "uitexiao_" + i);
                texiao.setVisible(false);
                if (key == i) {
                    texiao.setVisible(true);
                }
            }
        }


        getExtra(Awards, num: number = 1) {
            let guankaconfig: scene_config_data_s = cc.clone(g_scene_config["sceneA_" + g_select_guanka]);
            let dataconfig_exp = cc.clone(g_daoju_nan.jingyan);
            let dataconfig_jinbi = cc.clone(g_daoju_nan.jinbi);
            let dataconfig = cc.clone(g_daoju_nan[guankaconfig.win_jiangli]);
            let zongexp = 0;
            let zongjinbi = 0;
            let zongjiangli = 0;


            for (let p = 0; p < num; p++) {
                let random: number = Math.random() * 100;
                if (guankaconfig.exp_win != 0) {
                    zongexp += guankaconfig.exp_win;
                }
                if (guankaconfig.gold_win != 0) {
                    zongjinbi += guankaconfig.gold_win;
                }
                if (guankaconfig.get_per > 0) {
                    if (random <= guankaconfig.get_per * 100) {
                        zongjiangli += 1;
                    }
                }
            }
            let data_exp = {
                name: dataconfig_exp.desName,
                icon: dataconfig_exp.icon,
                num: zongexp,
                name2: "jingyan"
            };
            let data_jinbi = {
                name: dataconfig_jinbi.desName,
                icon: dataconfig_jinbi.icon,
                num: zongjinbi,
                name2: "jinbi"
            };
            let data_jiangli = null;
            if (dataconfig) {
                data_jiangli = {
                    name: dataconfig.desName,
                    icon: dataconfig.icon,
                    num: zongjiangli,
                    name2: guankaconfig.win_jiangli
                };
            }

            Awards.push(data_exp);
            Awards.push(data_jinbi);
            if (data_jiangli) {
                if (data_jiangli.num > 0) {
                    Awards.push(data_jiangli);
                }
            }
        }

        start_game(sender, type) {
            if (type == ccui.Widget.TOUCH_ENDED) {
                this.endLayout(function () {
                    if (ui_saodanghuode.getMe())
                        ui_saodanghuode.ShowOrHide(false, null)
                    ui_saodang.ShowOrHide(false, 0)
                    ui_daditu.ShowOrHide(false)
                    ui_choosehero.ShowOrHide(true, e_SceneType.SceneType_fight)
                })
            }
        }

        get_one(sender, type) {
            if (type == ccui.Widget.TOUCH_ENDED) {
                //上一次扫荡未结束
                if (dataMgr.getMe().getViplevel() < g_saodang_unlock) {
                    ui_messageBox.ShowOrHide(true, "VIP等级不足！");
                    return;
                }

                if (ui_saodanghuode.getMe() && !ui_saodanghuode.getMe().m_awardGet) {
                    return
                }
                ui_saodanghuode.ShowOrHide(false, true);
                let tilicost = Version_mgr.getInstance().getDiamondPriceBystr("tili");
                this.m_maxtili = g_max_energy;
                if (dataMgr.getMe().getViplevel() >= g_tilishangxianunlock) {
                    this.m_maxtili = g_max_energy * 2;
                }
                if (dataMgr.getMe().removeEnergy(g_scene_config["sceneA_" + g_select_guanka].tili)) {
                    this.m_state = true;
                    //可能 存在上一次扫荡 的结果界面未清除 再判断一下
                    this.m_awardlist.length = 0;
                    this.getExtra(this.m_awardlist);
                    ui_saodanghuode.ShowOrHide(true, this.m_awardlist)
                }
                else {
                    if(dataMgr.getMe().getenergy() >= this.m_maxtili){
                        ui_messageBox.ShowOrHide(true,"体力已满！");
                        return ;
                    }
                    // ui_messageBox2.ShowOrHide(true, "体力不足，是否花费" + tilicost + "钻石恢复全部体力?", () => {
                    //     buy_mgr.getInstance().shoppingByDiamond(tilicost,"补足体力",ui_saodang.getMe().buytiliSucceedCallback,null)
                    // })
                    buy_mgr.getInstance().buyStrength_buy(ui_saodang.getMe().buytiliSucceedCallback,this,tilicost);

                }
            }
        }
        m_maxtili:number//当前体力上限
        buytiliSucceedCallback(){
            // let tilicost = Version_mgr.getInstance().getDiamondPriceBystr("tili");
            // httpMgr.getMe().sendMsg(g_httpType.type_httpShoppinglog,
            //     tilicost + "钻石购买" +(ui_saodang.getMe().m_maxtili - dataMgr.getMe().getenergy()) + "体力");

            dataMgr.getMe().addItemByType(e_item.e_tili, Number(ui_saodang.getMe().m_maxtili - dataMgr.getMe().getenergy()));
            ui_messageBox.ShowOrHide(true, "购买成功！");
            if(ui_daditu.getMe()){
                ui_daditu.getMe().updateItem()
            }
        }

        get_ten(sender, type) {

            if (type == ccui.Widget.TOUCH_ENDED) {
                if (dataMgr.getMe().getViplevel() < 1) {
                    ui_messageBox.ShowOrHide(true, "VIP等级不足！");
                    return;
                }
                //上一次扫荡未结束
                if (ui_saodanghuode.getMe() && !ui_saodanghuode.getMe().m_awardGet) {
                    return
                }
                if (ui_saodanghuode.getMe()) {
                    ui_saodanghuode.ShowOrHide(false, null)
                }
                let tilicost = Version_mgr.getInstance().getDiamondPriceBystr("tili");
                this.m_maxtili = g_max_energy;
                if (dataMgr.getMe().getViplevel() >= g_tilishangxianunlock) {
                    this.m_maxtili = g_max_energy * 2;
                }
                let needtili:number = g_scene_config["sceneA_" + g_select_guanka].tili * 10;
                if (dataMgr.getMe().getenergy() >= needtili) {
                    dataMgr.getMe().removeItemByType(e_item.e_tili, needtili);
                    this.m_state = true;
                    this.m_awardlistTen.length = 0;
                    this.getExtra(this.m_awardlistTen, 10);
                    //可能 存在上一次扫荡 的结果界面未清除  再判断一下

                    ui_saodanghuode.ShowOrHide(true, this.m_awardlistTen)
                }
                else {
                    if(dataMgr.getMe().getenergy() >=  this.m_maxtili && dataMgr.getMe().getenergy() < needtili){
                        ui_messageBox.ShowOrHide(true,"体力上限不足！");
                        return ;
                    }
                    // ui_messageBox2.ShowOrHide(true, "体力不足，是否花费" + tilicost + "钻石恢复全部体力?", () => {
                    //     buy_mgr.getInstance().shoppingByDiamond(tilicost,"补足体力",ui_saodang.getMe().buytiliSucceedCallback,null)
                    // })
                    buy_mgr.getInstance().buyStrength_buy(ui_saodang.getMe().buytiliSucceedCallback,this,tilicost);
                }

            }
        }

        onTouchEnded(touch, event) {
            if (ui_saodanghuode.getMe()) {
                return;
            }
            let Image_48: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "Image_48");
            let location = touch.getLocation();
            let height = Image_48.getContentSize().height;
            let width = Image_48.getContentSize().width;
            location = Image_48.convertToNodeSpace(location);
            let rect: Rect = cc.rect(0, 0, width, height);
            if (cc.rectContainsPoint(rect, cc.p(location.x, location.y))) {
                return true;
            } else {
                this.onBack();
            }

            return true;
        }


        // end() {
        // this.m_state = false
        // this.endLayout(function () {
        //     ui_saodang.ShowOrHide(false, null)
        //     if (ui_daditu.getMe()) {
        //         ui_daditu.getMe().updateItem()
        //     }
        //     if (ui_saodanghuode.getMe()) {
        //         ui_saodanghuode.ShowOrHide(false, null)
        //     }
        // })
        // }

        loop(t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
            }
            // if(this.m_state)
            // {
            //     if(this.m_awardlist.length != 0)
            //     {
            //         if(ui_saodanghuode.getMe() == null)
            //         {
            //
            //         }
            //     }
            //     else
            //     {
            //         if(ui_saodanghuode.getMe() == null)
            //         {
            //             this.end()
            //         }
            //     }
            // }

        }

        onBack() {
            ui_saodang.ShowOrHide(false, null);
            if (ui_daditu.getMe()) {
                ui_daditu.getMe().m_ScrollView.setTouchEnabled(true);
            }
        }
    }
}