var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var ui_zhanghaoxinxi = (function (_super) {
        __extends(ui_zhanghaoxinxi, _super);
        function ui_zhanghaoxinxi() {
            _super.call(this);
            this.isAccount = false;
            this.m_des = "ui_zhanghaoxinxi";
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_zhanghaoxinxi.prototype.oninit = function (data) {
            var root = this._parseUIFile("zhanghuxinxi.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            this.setpassword = ccui.helper.seekWidgetByName(this.m_root, "xiugaimima");
            this.mText = ccui.helper.seekWidgetByName(this.setpassword, "Text_2");
            this.setpassword.addTouchEventListener(this.ok_func, this);
            this.updateUi();
            if (!game.Version_mgr.getInstance().isPhone()) {
                this.m_CBaseKeyState.regNodeEx(this.setpassword, 1);
                this.m_CBaseKeyState.init(this);
            }
        };
        ui_zhanghaoxinxi.prototype.updateUi = function () {
            var nicknameui = ccui.helper.seekWidgetByName(this.m_root, "nicheng");
            nicknameui.setString(game.dataMgr.getMe().getNickName());
            var accountui = ccui.helper.seekWidgetByName(this.m_root, "zhanghao");
            var acc = game.fileMgr.getMe().m_play_doc.coreData.acc;
            if (!acc) {
                accountui.setString("");
                this.isAccount = true;
                this.mText.setString("绑定账号");
            }
            else {
                accountui.setString(acc);
                this.mText.setString("修改密码");
            }
            console.log("acc:" + acc);
            var uuid = "";
            if (cc.sys.isNative) {
                // uuid =  js_GameLogicMgr.getMe().getData("iapMgr_getaccount");
                uuid = game.iapMgr.getMe().getaccount();
            }
            this.setAccount(uuid);
            console.log("uuid:" + uuid);
        };
        ui_zhanghaoxinxi.prototype.setAccount = function (uuid) {
            if (uuid == null) {
                return null;
            }
            var uuidui = ccui.helper.seekWidgetByName(this.m_root, "bianhao");
            if (uuid.length < 16) {
                uuidui.setString(uuid);
            }
            else {
                var firstthree = uuid.substr(0, 3);
                var lastfour = uuid.substr(uuid.length - 4, 4);
                uuidui.setString(firstthree + "*********" + lastfour);
            }
        };
        ui_zhanghaoxinxi.prototype.ok_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_BEGAN:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        if (sender.isSelected()) {
                            sender.setSelected(false);
                        }
                        else {
                            sender.setSelected(true);
                        }
                    }
                    break;
                case ccui.Widget.TOUCH_ENDED:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        if (!sender.isSelected()) {
                            sender.setSelected(false);
                        }
                        else {
                            sender.setSelected(true);
                        }
                    }
                    if (this.isAccount) {
                        this.account();
                    }
                    else {
                        this.password();
                    }
                    break;
                case ccui.Widget.TOUCH_CANCELED:
                    if (game.Version_mgr.getInstance().isPhone()) {
                        if (!sender.isSelected()) {
                            sender.setSelected(false);
                        }
                        else {
                            sender.setSelected(true);
                        }
                    }
                    break;
            }
        };
        ui_zhanghaoxinxi.prototype.account = function () {
            ui_zhanghaoxinxi.ShowOrHide(false);
            game.ui_regAccount.ShowOrHide(true);
        };
        ui_zhanghaoxinxi.prototype.password = function () {
            ui_zhanghaoxinxi.ShowOrHide(false);
            game.ui_forgetpassword.ShowOrHide(true);
        };
        ui_zhanghaoxinxi.prototype.onTouchEnded = function (touch, event) {
            var location = touch.getLocation();
            var image = ccui.helper.seekWidgetByName(this.m_root, "Image_1");
            var height = image.getContentSize().height;
            var width = image.getContentSize().width;
            location = image.convertToNodeSpace(location);
            var rect = cc.rect(0, 0, width, height);
            if (cc.rectContainsPoint(rect, cc.p(location.x, location.y))) {
                return true;
            }
            else {
                ui_zhanghaoxinxi.ShowOrHide(false);
            }
            return true;
        };
        ui_zhanghaoxinxi.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
            }
        };
        ui_zhanghaoxinxi.prototype.onBack = function () {
            ui_zhanghaoxinxi.ShowOrHide(false);
            game.ui_mainScene.getMe().updateArrawUI();
        };
        ui_zhanghaoxinxi.g_instarn = null;
        ui_zhanghaoxinxi.getMe = function () {
            return ui_zhanghaoxinxi.g_instarn;
        };
        ui_zhanghaoxinxi.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_zhanghaoxinxi, game.uiMgr.getMe(), 101);
        };
        return ui_zhanghaoxinxi;
    }(game.UiBase));
    game.ui_zhanghaoxinxi = ui_zhanghaoxinxi;
})(game || (game = {}));
//# sourceMappingURL=ui_zhanghaoxinxi.js.map