"use strict";
/**
 * Created by cy1234 on 2015/12/28.
 */
//   ui
module game {
    export class uiMgr extends xjLayer {
        m_UiMap: Map< number , any > = null
        _topUiBase: any = null
        static g_uiMgr: any = null
        static getMe   (): uiMgr {
            if (game.uiMgr.g_uiMgr == null) {
                uiMgr.g_uiMgr = new uiMgr();
                return uiMgr.g_uiMgr;
            }
            else {
                return uiMgr.g_uiMgr;
            }
        };


        constructor() {
            super();
            this.m_UiMap = new Map< number , any >();
        }

        getUiScale_720() {
            let winSize = cc.director.getWinSize();
            let widthper = winSize.width / 1280.0;
            let heightper = winSize.height / 720.0;
            if (widthper > heightper) {
                return heightper;
            }
            else {
                return widthper;
            }
        }

        getUiScale() {
            let winSize = cc.director.getWinSize();
            let widthper = winSize.width / 1280.0;
            let heightper = winSize.height / 768.0;
            if (widthper > heightper) {
                return heightper;
            }
            else {
                return widthper;
            }
        }

        shutdownAllUi() {


            // this.m_UiMap.forEach(function (v,k,map) {
            //     v.shutdown()
            //     v.getParent().removeChild(v.getNode())
            //     this.m_UiMap.delete(k);
            // }.bind(this),this)
            ui_choosehero.ShowOrHide(false,null);
            ui_juese.ShowOrHide(false);
            ui_chushijiemian.ShowOrHide( false );
            ui_mainScene.ShowOrHide(false);
            ui_login.ShowOrHide(false);
            ui_paiweimoshi.ShowOrHide( false );
            ui_paiweiloading.ShowOrHide( false );
            ui_zhandoujiemian.ShowOrHide( false );
            // ui_PvpFight.ShowOrHide( false )
            ui_shop.ShowOrHide(false);
            ui_daditu.ShowOrHide(false);
            ui_choosehero.ShowOrHide(false,null);
            ui_choosehero2.ShowOrHide(false,null);
            // ui_zhandoujm.ShowOrHide(false);
            // ui_shibai_shengli.ShowOrHide(false, false);
            // ui_zanting.ShowOrHide(false);
            // ui_login.ShowOrHide(false);
            // ui_zhujiemian.ShowOrHide(false);
            // ui_juesexuanze.ShowOrHide(false);
            //this.show_ui_MessageBox(false);
        }

        adduibase(data) {
            this.m_UiMap.set(data.__instanceId, data);
        }

        deleteuibase( data ) {
            this.m_UiMap.delete(data.__instanceId);
        }

        removeChild( child: cc.Node , cleanup: boolean = true) {
            if (cleanup == null) {
                cleanup = true;
            }
            super.removeChild(child, cleanup);
            this.updateBaseUi_OTT_key();
        }

        addChild(child: cc.Node, localZOrder, tag: any = null) {
            //  console.log(" uimgr addChild: localZOrder:" + localZOrder + "tag:" + tag  );
            if (localZOrder == null) {
                localZOrder = 0;
            }
            if (tag == null) {
                tag = "";
            }
            super.addChild(child, localZOrder, tag);
            this.updateBaseUi_OTT_key();
        }

        updateBaseUi_OTT_key() {

            var toplay = -1000;
            this._topUiBase = null;
            if (this.m_UiMap.size == 0) {
                return;
            }
            if (this.m_UiMap.size == 1) {
                var it = this.m_UiMap.getByIndex(0);
                if (it != null) {
                    this._topUiBase = it;
                    // console.log(" init _topUiBase:");
                }
                return;
            }
            for (var i = 0; i < this.m_UiMap.size; ++i) {
                var l_uibase = this.m_UiMap.getByIndex(i);
                if (!l_uibase.m_key_not_close) {
                    continue;
                }
                if (l_uibase.getLocalZOrder() > toplay) {
                    toplay = l_uibase.getLocalZOrder();
                    this._topUiBase = l_uibase;
                }
            }
        }

        onKeyPressed(keycode) {
            if (this._topUiBase == null) {
                this.updateBaseUi_OTT_key();
            }
            if (this._topUiBase == null) {
            }
            else {
                this._topUiBase.onKeyPressed(keycode);
            }
        }

        onKeyReleased(keycode) {
            try {
                if (this._topUiBase == null) {
                }
                else {
                    this._topUiBase.onKeyReleased(keycode);
                }
            }
            catch (err) {
            }
        }
        //.............................玩家ui.......................................................................
        //刷新体力
        updateEnergy()
        {
            if(ui_mainScene.getMe())
            {
                ui_mainScene.getMe().updateItem()
            }
            if(ui_zuanshi.getMe())
            {
                ui_zuanshi.getMe().updateUi()
            }
        }
        //刷新ui
        updateDiamond()
        {
            if(ui_mainScene.getMe())
            {
                ui_mainScene.getMe().updateItem()
            }
            if(ui_zuanshi.getMe())
            {
                ui_zuanshi.getMe().updateUi()
            }
        }
        //..........................................................................................................
        show_OnceAnimation( jsonFile ,callback = null)
        {
            ui_PlayAinamationOnce.create( jsonFile, "play", callback, uiMgr.getMe().getNode(), cc.p(0 , 0) )
        }


        show_ui_MessageBox( flag, str = null , callback = null )
        {
            ui_messageBox.ShowOrHide( flag , str , callback )
        }
        show_ui_MessageBox2( flag, str = null , okFunc = null, noFunc = null ){
            ui_messageBox2.ShowOrHide( flag, str , okFunc, noFunc  )
        }

        //游戏启动的时候播放启动视频
        show_ui_MoviePlayer_startGame(flag, mp4, func, point) {
            // return ui_MoviePlayer_startGame.ShowOrHide(flag, mp4, func, point);
        }

        loop(t) {
            for (let i = 0; i < this.m_UiMap.size; ++i) {
                let data = this.m_UiMap.getByIndex(i);
                data.loop(t);
            }
        }
    }

}
//# sourceMappingURL=uiMgr.js.map